#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1174
#define LARGE_STATE_COUNT 690
#define SYMBOL_COUNT 133
#define ALIAS_COUNT 0
#define TOKEN_COUNT 80
#define EXTERNAL_TOKEN_COUNT 1
#define FIELD_COUNT 14
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 15

enum {
  anon_sym_LF = 1,
  anon_sym_SEMI = 2,
  anon_sym_function = 3,
  anon_sym_BSLASH = 4,
  anon_sym_if = 5,
  anon_sym_LPAREN = 6,
  anon_sym_RPAREN = 7,
  anon_sym_else = 8,
  anon_sym_while = 9,
  anon_sym_repeat = 10,
  anon_sym_for = 11,
  anon_sym_in = 12,
  anon_sym_switch = 13,
  anon_sym_COMMA = 14,
  anon_sym_EQ = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  anon_sym_LT_DASH = 18,
  anon_sym_COLON_EQ = 19,
  anon_sym_LT_LT_DASH = 20,
  anon_sym_DASH_GT_GT = 21,
  anon_sym_DASH_GT = 22,
  anon_sym_LBRACK = 23,
  anon_sym_RBRACK = 24,
  anon_sym_LBRACK_LBRACK = 25,
  anon_sym_RBRACK_RBRACK = 26,
  anon_sym_DOLLAR = 27,
  anon_sym_AT = 28,
  anon_sym_COLON_COLON = 29,
  anon_sym_COLON_COLON_COLON = 30,
  anon_sym_QMARK = 31,
  sym_dots = 32,
  sym_placeholder = 33,
  anon_sym_PIPE_GT = 34,
  anon_sym_DASH = 35,
  anon_sym_PLUS = 36,
  anon_sym_BANG = 37,
  anon_sym_TILDE = 38,
  anon_sym_STAR = 39,
  anon_sym_SLASH = 40,
  anon_sym_CARET = 41,
  anon_sym_LT = 42,
  anon_sym_GT = 43,
  anon_sym_LT_EQ = 44,
  anon_sym_GT_EQ = 45,
  anon_sym_EQ_EQ = 46,
  anon_sym_BANG_EQ = 47,
  anon_sym_PIPE_PIPE = 48,
  anon_sym_PIPE = 49,
  anon_sym_AMP_AMP = 50,
  anon_sym_AMP = 51,
  anon_sym_COLON = 52,
  sym_break = 53,
  sym_next = 54,
  sym_true = 55,
  sym_false = 56,
  sym_null = 57,
  sym_inf = 58,
  sym_nan = 59,
  anon_sym_NA = 60,
  anon_sym_NA_character_ = 61,
  anon_sym_NA_complex_ = 62,
  anon_sym_NA_integer_ = 63,
  anon_sym_NA_real_ = 64,
  aux_sym_identifier_token1 = 65,
  anon_sym_BQUOTE = 66,
  aux_sym_identifier_token2 = 67,
  sym_integer = 68,
  sym_float = 69,
  anon_sym_i = 70,
  sym_comment = 71,
  anon_sym_DQUOTE = 72,
  aux_sym_string_token1 = 73,
  anon_sym_SQUOTE = 74,
  aux_sym_string_token2 = 75,
  anon_sym_PERCENT = 76,
  aux_sym_special_token1 = 77,
  sym_escape_sequence = 78,
  sym__raw_string_literal = 79,
  sym_program = 80,
  sym_function_definition = 81,
  sym_lambda_function = 82,
  sym_if = 83,
  sym_while = 84,
  sym_repeat = 85,
  sym_for = 86,
  sym_switch = 87,
  sym_formal_parameters = 88,
  sym_default_parameter = 89,
  sym__formal_parameter = 90,
  sym_arguments = 91,
  sym_default_argument = 92,
  sym__argument = 93,
  sym_call = 94,
  sym__assignment = 95,
  sym_left_assignment = 96,
  sym_left_assignment2 = 97,
  sym_equals_assignment = 98,
  sym_super_assignment = 99,
  sym_super_right_assignment = 100,
  sym_right_assignment = 101,
  sym_brace_list = 102,
  sym_paren_list = 103,
  sym_subset = 104,
  sym_subset2 = 105,
  sym_dollar = 106,
  sym_slot = 107,
  sym_namespace_get = 108,
  sym_namespace_get_internal = 109,
  sym_help = 110,
  sym_pipe_placeholder_argument = 111,
  sym__pipe_rhs_argument = 112,
  sym_pipe_rhs_arguments = 113,
  sym_pipe_rhs = 114,
  sym_pipe = 115,
  sym_unary = 116,
  sym_binary = 117,
  sym_na = 118,
  sym__expression = 119,
  sym_identifier = 120,
  sym_complex = 121,
  sym_string = 122,
  sym_special = 123,
  aux_sym_program_repeat1 = 124,
  aux_sym_formal_parameters_repeat1 = 125,
  aux_sym_block_repeat1 = 126,
  aux_sym_arguments_repeat1 = 127,
  aux_sym_pipe_rhs_arguments_repeat1 = 128,
  aux_sym_identifier_repeat1 = 129,
  aux_sym_string_repeat1 = 130,
  aux_sym_string_repeat2 = 131,
  aux_sym_special_repeat1 = 132,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_function] = "function",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_if] = "if",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_repeat] = "repeat",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_switch] = "switch",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_DASH_GT_GT] = "->>",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_AT] = "@",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_COLON_COLON_COLON] = ":::",
  [anon_sym_QMARK] = "\?",
  [sym_dots] = "dots",
  [sym_placeholder] = "placeholder",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_CARET] = "^",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_AMP] = "&",
  [anon_sym_COLON] = ":",
  [sym_break] = "break",
  [sym_next] = "next",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_inf] = "inf",
  [sym_nan] = "nan",
  [anon_sym_NA] = "NA",
  [anon_sym_NA_character_] = "NA_character_",
  [anon_sym_NA_complex_] = "NA_complex_",
  [anon_sym_NA_integer_] = "NA_integer_",
  [anon_sym_NA_real_] = "NA_real_",
  [aux_sym_identifier_token1] = "identifier_token1",
  [anon_sym_BQUOTE] = "`",
  [aux_sym_identifier_token2] = "identifier_token2",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_i] = "i",
  [sym_comment] = "comment",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [anon_sym_PERCENT] = "%",
  [aux_sym_special_token1] = "special_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym__raw_string_literal] = "_raw_string_literal",
  [sym_program] = "program",
  [sym_function_definition] = "function_definition",
  [sym_lambda_function] = "lambda_function",
  [sym_if] = "if",
  [sym_while] = "while",
  [sym_repeat] = "repeat",
  [sym_for] = "for",
  [sym_switch] = "switch",
  [sym_formal_parameters] = "formal_parameters",
  [sym_default_parameter] = "default_parameter",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_arguments] = "arguments",
  [sym_default_argument] = "default_argument",
  [sym__argument] = "_argument",
  [sym_call] = "call",
  [sym__assignment] = "_assignment",
  [sym_left_assignment] = "left_assignment",
  [sym_left_assignment2] = "left_assignment2",
  [sym_equals_assignment] = "equals_assignment",
  [sym_super_assignment] = "super_assignment",
  [sym_super_right_assignment] = "super_right_assignment",
  [sym_right_assignment] = "right_assignment",
  [sym_brace_list] = "brace_list",
  [sym_paren_list] = "paren_list",
  [sym_subset] = "subset",
  [sym_subset2] = "subset2",
  [sym_dollar] = "dollar",
  [sym_slot] = "slot",
  [sym_namespace_get] = "namespace_get",
  [sym_namespace_get_internal] = "namespace_get_internal",
  [sym_help] = "help",
  [sym_pipe_placeholder_argument] = "default_argument",
  [sym__pipe_rhs_argument] = "_pipe_rhs_argument",
  [sym_pipe_rhs_arguments] = "arguments",
  [sym_pipe_rhs] = "call",
  [sym_pipe] = "pipe",
  [sym_unary] = "unary",
  [sym_binary] = "binary",
  [sym_na] = "na",
  [sym__expression] = "_expression",
  [sym_identifier] = "identifier",
  [sym_complex] = "complex",
  [sym_string] = "string",
  [sym_special] = "special",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_pipe_rhs_arguments_repeat1] = "pipe_rhs_arguments_repeat1",
  [aux_sym_identifier_repeat1] = "identifier_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_special_repeat1] = "special_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_repeat] = anon_sym_repeat,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_DASH_GT_GT] = anon_sym_DASH_GT_GT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_COLON_COLON_COLON] = anon_sym_COLON_COLON_COLON,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_dots] = sym_dots,
  [sym_placeholder] = sym_placeholder,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_break] = sym_break,
  [sym_next] = sym_next,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_inf] = sym_inf,
  [sym_nan] = sym_nan,
  [anon_sym_NA] = anon_sym_NA,
  [anon_sym_NA_character_] = anon_sym_NA_character_,
  [anon_sym_NA_complex_] = anon_sym_NA_complex_,
  [anon_sym_NA_integer_] = anon_sym_NA_integer_,
  [anon_sym_NA_real_] = anon_sym_NA_real_,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [aux_sym_identifier_token2] = aux_sym_identifier_token2,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_i] = anon_sym_i,
  [sym_comment] = sym_comment,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_special_token1] = aux_sym_special_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__raw_string_literal] = sym__raw_string_literal,
  [sym_program] = sym_program,
  [sym_function_definition] = sym_function_definition,
  [sym_lambda_function] = sym_lambda_function,
  [sym_if] = sym_if,
  [sym_while] = sym_while,
  [sym_repeat] = sym_repeat,
  [sym_for] = sym_for,
  [sym_switch] = sym_switch,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_default_parameter] = sym_default_parameter,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_arguments] = sym_arguments,
  [sym_default_argument] = sym_default_argument,
  [sym__argument] = sym__argument,
  [sym_call] = sym_call,
  [sym__assignment] = sym__assignment,
  [sym_left_assignment] = sym_left_assignment,
  [sym_left_assignment2] = sym_left_assignment2,
  [sym_equals_assignment] = sym_equals_assignment,
  [sym_super_assignment] = sym_super_assignment,
  [sym_super_right_assignment] = sym_super_right_assignment,
  [sym_right_assignment] = sym_right_assignment,
  [sym_brace_list] = sym_brace_list,
  [sym_paren_list] = sym_paren_list,
  [sym_subset] = sym_subset,
  [sym_subset2] = sym_subset2,
  [sym_dollar] = sym_dollar,
  [sym_slot] = sym_slot,
  [sym_namespace_get] = sym_namespace_get,
  [sym_namespace_get_internal] = sym_namespace_get_internal,
  [sym_help] = sym_help,
  [sym_pipe_placeholder_argument] = sym_default_argument,
  [sym__pipe_rhs_argument] = sym__pipe_rhs_argument,
  [sym_pipe_rhs_arguments] = sym_arguments,
  [sym_pipe_rhs] = sym_call,
  [sym_pipe] = sym_pipe,
  [sym_unary] = sym_unary,
  [sym_binary] = sym_binary,
  [sym_na] = sym_na,
  [sym__expression] = sym__expression,
  [sym_identifier] = sym_identifier,
  [sym_complex] = sym_complex,
  [sym_string] = sym_string,
  [sym_special] = sym_special,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_pipe_rhs_arguments_repeat1] = aux_sym_pipe_rhs_arguments_repeat1,
  [aux_sym_identifier_repeat1] = aux_sym_identifier_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_special_repeat1] = aux_sym_special_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_repeat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_dots] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_break] = {
    .visible = true,
    .named = true,
  },
  [sym_next] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_inf] = {
    .visible = true,
    .named = true,
  },
  [sym_nan] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_character_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_complex_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_integer_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_real_] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identifier_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_special_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__raw_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_function] = {
    .visible = true,
    .named = true,
  },
  [sym_if] = {
    .visible = true,
    .named = true,
  },
  [sym_while] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat] = {
    .visible = true,
    .named = true,
  },
  [sym_for] = {
    .visible = true,
    .named = true,
  },
  [sym_switch] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_default_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument] = {
    .visible = false,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_left_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_left_assignment2] = {
    .visible = true,
    .named = true,
  },
  [sym_equals_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_super_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_super_right_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_right_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_brace_list] = {
    .visible = true,
    .named = true,
  },
  [sym_paren_list] = {
    .visible = true,
    .named = true,
  },
  [sym_subset] = {
    .visible = true,
    .named = true,
  },
  [sym_subset2] = {
    .visible = true,
    .named = true,
  },
  [sym_dollar] = {
    .visible = true,
    .named = true,
  },
  [sym_slot] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_get] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_get_internal] = {
    .visible = true,
    .named = true,
  },
  [sym_help] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_placeholder_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__pipe_rhs_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_pipe_rhs_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_rhs] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe] = {
    .visible = true,
    .named = true,
  },
  [sym_unary] = {
    .visible = true,
    .named = true,
  },
  [sym_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_na] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_complex] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_special] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_rhs_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_special_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alternative = 1,
  field_arguments = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_function = 6,
  field_left = 7,
  field_name = 8,
  field_namespace = 9,
  field_operand = 10,
  field_operator = 11,
  field_right = 12,
  field_value = 13,
  field_vector = 14,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_function] = "function",
  [field_left] = "left",
  [field_name] = "name",
  [field_namespace] = "namespace",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_right] = "right",
  [field_value] = "value",
  [field_vector] = "vector",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 2},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 2},
  [5] = {.index = 6, .length = 2},
  [6] = {.index = 8, .length = 3},
  [7] = {.index = 11, .length = 2},
  [8] = {.index = 13, .length = 1},
  [9] = {.index = 14, .length = 2},
  [10] = {.index = 16, .length = 2},
  [11] = {.index = 18, .length = 2},
  [12] = {.index = 20, .length = 2},
  [13] = {.index = 22, .length = 4},
  [14] = {.index = 26, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 1},
  [1] =
    {field_operand, 1},
    {field_operator, 0},
  [3] =
    {field_function, 0},
  [4] =
    {field_name, 0},
    {field_value, 2},
  [6] =
    {field_name, 2},
    {field_value, 0},
  [8] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [11] =
    {field_function, 2},
    {field_namespace, 0},
  [13] =
    {field_name, 0},
  [14] =
    {field_arguments, 2},
    {field_function, 0},
  [16] =
    {field_condition, 2},
    {field_consequence, 4},
  [18] =
    {field_body, 4},
    {field_condition, 2},
  [20] =
    {field_body, 4},
    {field_value, 2},
  [22] =
    {field_alternative, 5},
    {field_alternative, 6},
    {field_condition, 2},
    {field_consequence, 4},
  [26] =
    {field_body, 6},
    {field_name, 2},
    {field_vector, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static inline bool aux_sym_identifier_token1_character_set_1(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? (c >= 'A' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_2(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_3(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < 'A'
                    ? c == '.'
                    : c <= 'Z')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_4(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '.'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_5(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '.'
                    : c <= '9')
                  : (c <= 'Z' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_6(int32_t c) {
  return (c < 43642
    ? (c < 3784
      ? (c < 2759
        ? (c < 2048
          ? (c < 1155
            ? (c < 736
              ? (c < 183
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 183 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)))))
              : (c <= 740 || (c < 895
                ? (c < 768
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))
                : (c <= 895 || (c < 910
                  ? (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)))))))
            : (c <= 1159 || (c < 1552
              ? (c < 1471
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)))
                : (c <= 1471 || (c < 1479
                  ? (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)
                  : (c <= 1479 || (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)))))
              : (c <= 1562 || (c < 1791
                ? (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)
                  : (c <= 1756 || (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)))
                : (c <= 1791 || (c < 1984
                  ? (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)
                  : (c <= 2037 || (c < 2045
                    ? c == 2042
                    : c <= 2045)))))))))
          : (c <= 2093 || (c < 2561
            ? (c < 2474
              ? (c < 2275
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)
                  : (c <= 2183 || (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)))
                : (c <= 2403 || (c < 2437
                  ? (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)
                  : (c <= 2444 || (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)))))
              : (c <= 2480 || (c < 2519
                ? (c < 2492
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2500 || (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)))
                : (c <= 2519 || (c < 2534
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)
                  : (c <= 2545 || (c < 2558
                    ? c == 2556
                    : c <= 2558)))))))
            : (c <= 2563 || (c < 2641
              ? (c < 2613
                ? (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)))
                : (c <= 2614 || (c < 2622
                  ? (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)
                  : (c <= 2626 || (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)))))
              : (c <= 2641 || (c < 2703
                ? (c < 2662
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2677 || (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)))
                : (c <= 2705 || (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)))))))))))
        : (c <= 2761 || (c < 3174
          ? (c < 2962
            ? (c < 2869
              ? (c < 2817
                ? (c < 2784
                  ? (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)
                  : (c <= 2787 || (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)))
                : (c <= 2819 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)))))
              : (c <= 2873 || (c < 2911
                ? (c < 2891
                  ? (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)
                  : (c <= 2893 || (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)))
                : (c <= 2915 || (c < 2946
                  ? (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)
                  : (c <= 2947 || (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)))))))
            : (c <= 2965 || (c < 3046
              ? (c < 2990
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))
                : (c <= 3001 || (c < 3018
                  ? (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)
                  : (c <= 3021 || (c < 3031
                    ? c == 3024
                    : c <= 3031)))))
              : (c <= 3055 || (c < 3142
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)))
                : (c <= 3144 || (c < 3160
                  ? (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)
                  : (c <= 3162 || (c < 3168
                    ? c == 3165
                    : c <= 3171)))))))))
          : (c <= 3183 || (c < 3457
            ? (c < 3296
              ? (c < 3253
                ? (c < 3214
                  ? (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))
                : (c <= 3257 || (c < 3274
                  ? (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)
                  : (c <= 3277 || (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)))))
              : (c <= 3299 || (c < 3398
                ? (c < 3328
                  ? (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)))
                : (c <= 3400 || (c < 3423
                  ? (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)
                  : (c <= 3427 || (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)))))))
            : (c <= 3459 || (c < 3585
              ? (c < 3530
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || (c < 3520
                    ? c == 3517
                    : c <= 3526)))
                : (c <= 3530 || (c < 3544
                  ? (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)
                  : (c <= 3551 || (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)))))
              : (c <= 3642 || (c < 3724
                ? (c < 3713
                  ? (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)
                  : (c <= 3714 || (c < 3718
                    ? c == 3716
                    : c <= 3722)))
                : (c <= 3747 || (c < 3776
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))))))))))
      : (c <= 3789 || (c < 8027
        ? (c < 5919
          ? (c < 4696
            ? (c < 3974
              ? (c < 3893
                ? (c < 3840
                  ? (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)
                  : (c <= 3840 || (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)))
                : (c <= 3893 || (c < 3902
                  ? (c < 3897
                    ? c == 3895
                    : c <= 3897)
                  : (c <= 3911 || (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)))))
              : (c <= 3991 || (c < 4295
                ? (c < 4096
                  ? (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)
                  : (c <= 4169 || (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)))))))
            : (c <= 4696 || (c < 4888
              ? (c < 4792
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))))
              : (c <= 4954 || (c < 5121
                ? (c < 4992
                  ? (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)
                  : (c <= 5007 || (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)))
                : (c <= 5740 || (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)))))))))
          : (c <= 5940 || (c < 6752
            ? (c < 6272
              ? (c < 6103
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)
                  : (c <= 6000 || (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)))
                : (c <= 6103 || (c < 6155
                  ? (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)
                  : (c <= 6157 || (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)))))
              : (c <= 6314 || (c < 6512
                ? (c < 6432
                  ? (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)
                  : (c <= 6443 || (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6608
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6618 || (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)))))))
            : (c <= 6780 || (c < 7245
              ? (c < 6912
                ? (c < 6823
                  ? (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)
                  : (c <= 6823 || (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)))
                : (c <= 6988 || (c < 7040
                  ? (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)
                  : (c <= 7155 || (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)))))
              : (c <= 7293 || (c < 7424
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)))
                : (c <= 7957 || (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)))))))))))
        : (c <= 8027 || (c < 11728
          ? (c < 8469
            ? (c < 8182
              ? (c < 8130
                ? (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))))
              : (c <= 8188 || (c < 8400
                ? (c < 8305
                  ? (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)
                  : (c <= 8305 || (c < 8336
                    ? c == 8319
                    : c <= 8348)))
                : (c <= 8412 || (c < 8450
                  ? (c < 8421
                    ? c == 8417
                    : c <= 8432)
                  : (c <= 8450 || (c < 8458
                    ? c == 8455
                    : c <= 8467)))))))
            : (c <= 8469 || (c < 11520
              ? (c < 8508
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || (c < 8490
                    ? c == 8488
                    : c <= 8505)))
                : (c <= 8511 || (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)))))
              : (c <= 11557 || (c < 11680
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || (c < 11647
                    ? c == 11631
                    : c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)))))))))
          : (c <= 11734 || (c < 42775
            ? (c < 12549
              ? (c < 12344
                ? (c < 12293
                  ? (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)
                  : (c <= 12295 || (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)))
                : (c <= 12348 || (c < 12445
                  ? (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))))
              : (c <= 12591 || (c < 42192
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)))
                : (c <= 42237 || (c < 42560
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)
                  : (c <= 42607 || (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)))))))
            : (c <= 42783 || (c < 43259
              ? (c < 42994
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || (c < 42965
                    ? c == 42963
                    : c <= 42969)))
                : (c <= 43047 || (c < 43136
                  ? (c < 43072
                    ? c == 43052
                    : c <= 43123)
                  : (c <= 43205 || (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)))))
              : (c <= 43259 || (c < 43488
                ? (c < 43360
                  ? (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)
                  : (c <= 43388 || (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)))
                : (c <= 43518 || (c < 43600
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)
                  : (c <= 43609 || (c >= 43616 && c <= 43638)))))))))))))))
    : (c <= 43714 || (c < 71472
      ? (c < 67644
        ? (c < 65382
          ? (c < 64318
            ? (c < 44012
              ? (c < 43793
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)
                  : (c <= 43766 || (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)))))
              : (c <= 44013 || (c < 64112
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)
                  : (c <= 55238 || (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64296 || (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)))))))
            : (c <= 64318 || (c < 65101
              ? (c < 64848
                ? (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)))
                : (c <= 64911 || (c < 65024
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65039 || (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)))))
              : (c <= 65103 || (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65313
                  ? (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)
                  : (c <= 65338 || (c < 65345
                    ? c == 65343
                    : c <= 65370)))))))))
          : (c <= 65470 || (c < 66560
            ? (c < 65856
              ? (c < 65549
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)))
                : (c <= 65574 || (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)))))
              : (c <= 65908 || (c < 66349
                ? (c < 66208
                  ? (c < 66176
                    ? c == 66045
                    : c <= 66204)
                  : (c <= 66256 || (c < 66304
                    ? c == 66272
                    : c <= 66335)))
                : (c <= 66378 || (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)
                  : (c <= 66499 || (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)))))))
            : (c <= 66717 || (c < 66995
              ? (c < 66928
                ? (c < 66776
                  ? (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)
                  : (c <= 66811 || (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)))
                : (c <= 66938 || (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))))
              : (c <= 67001 || (c < 67463
                ? (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)))
                : (c <= 67504 || (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)))))))))))
        : (c <= 67644 || (c < 69968
          ? (c < 68480
            ? (c < 68108
              ? (c < 67840
                ? (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)))
                : (c <= 67861 || (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)))))
              : (c <= 68115 || (c < 68224
                ? (c < 68152
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68154 || (c < 68192
                    ? c == 68159
                    : c <= 68220)))
                : (c <= 68252 || (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)
                  : (c <= 68405 || (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)))))))
            : (c <= 68497 || (c < 69488
              ? (c < 69248
                ? (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)))
                : (c <= 69289 || (c < 69376
                  ? (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69456)))))
              : (c <= 69509 || (c < 69826
                ? (c < 69632
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69702 || (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)))
                : (c <= 69826 || (c < 69888
                  ? (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)
                  : (c <= 69940 || (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)))))))))
          : (c <= 70003 || (c < 70471
            ? (c < 70287
              ? (c < 70144
                ? (c < 70089
                  ? (c < 70016
                    ? c == 70006
                    : c <= 70084)
                  : (c <= 70092 || (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)))
                : (c <= 70161 || (c < 70272
                  ? (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)
                  : (c <= 70278 || (c < 70282
                    ? c == 70280
                    : c <= 70285)))))
              : (c <= 70301 || (c < 70415
                ? (c < 70384
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)
                  : (c <= 70393 || (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)))
                : (c <= 70416 || (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)))))))
            : (c <= 70472 || (c < 70864
              ? (c < 70512
                ? (c < 70487
                  ? (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)
                  : (c <= 70487 || (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)))
                : (c <= 70516 || (c < 70750
                  ? (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)
                  : (c <= 70753 || (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)))))
              : (c <= 70873 || (c < 71248
                ? (c < 71128
                  ? (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)
                  : (c <= 71133 || (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)))
                : (c <= 71257 || (c < 71424
                  ? (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)
                  : (c <= 71450 || (c >= 71453 && c <= 71467)))))))))))))
      : (c <= 71481 || (c < 119973
        ? (c < 82944
          ? (c < 72784
            ? (c < 72096
              ? (c < 71948
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71738)
                  : (c <= 71913 || (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)))
                : (c <= 71955 || (c < 71991
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71989)
                  : (c <= 71992 || (c < 72016
                    ? (c >= 71995 && c <= 72003)
                    : c <= 72025)))))
              : (c <= 72103 || (c < 72272
                ? (c < 72163
                  ? (c < 72154
                    ? (c >= 72106 && c <= 72151)
                    : c <= 72161)
                  : (c <= 72164 || (c < 72263
                    ? (c >= 72192 && c <= 72254)
                    : c <= 72263)))
                : (c <= 72345 || (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c < 72760
                    ? (c >= 72714 && c <= 72758)
                    : c <= 72768)))))))
            : (c <= 72793 || (c < 73063
              ? (c < 72971
                ? (c < 72873
                  ? (c < 72850
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72871)
                  : (c <= 72886 || (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)))
                : (c <= 73014 || (c < 73023
                  ? (c < 73020
                    ? c == 73018
                    : c <= 73021)
                  : (c <= 73031 || (c < 73056
                    ? (c >= 73040 && c <= 73049)
                    : c <= 73061)))))
              : (c <= 73064 || (c < 73648
                ? (c < 73107
                  ? (c < 73104
                    ? (c >= 73066 && c <= 73102)
                    : c <= 73105)
                  : (c <= 73112 || (c < 73440
                    ? (c >= 73120 && c <= 73129)
                    : c <= 73462)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78894)))))))))
          : (c <= 83526 || (c < 110581
            ? (c < 93053
              ? (c < 92880
                ? (c < 92768
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92777 || (c < 92864
                    ? (c >= 92784 && c <= 92862)
                    : c <= 92873)))
                : (c <= 92909 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92912 && c <= 92916)
                    : c <= 92982)
                  : (c <= 92995 || (c < 93027
                    ? (c >= 93008 && c <= 93017)
                    : c <= 93047)))))
              : (c <= 93071 || (c < 94179
                ? (c < 94031
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94087 || (c < 94176
                    ? (c >= 94095 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94180 || (c < 100352
                  ? (c < 94208
                    ? (c >= 94192 && c <= 94193)
                    : c <= 100343)
                  : (c <= 101589 || (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)))))))
            : (c <= 110587 || (c < 118576
              ? (c < 113664
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c < 110960
                    ? (c >= 110948 && c <= 110951)
                    : c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c < 118528
                    ? (c >= 113821 && c <= 113822)
                    : c <= 118573)))))
              : (c <= 118598 || (c < 119362
                ? (c < 119163
                  ? (c < 119149
                    ? (c >= 119141 && c <= 119145)
                    : c <= 119154)
                  : (c <= 119170 || (c < 119210
                    ? (c >= 119173 && c <= 119179)
                    : c <= 119213)))
                : (c <= 119364 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_7(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_8(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'B'
                  ? (c < '0'
                    ? c == '.'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_9(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'B'
                  ? (c < '0'
                    ? c == '.'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_10(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '.'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_11(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '.'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(52);
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(105);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '_') ADVANCE(86);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(167);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '}') ADVANCE(70);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_1(lookahead)) ADVANCE(196);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '\r') ADVANCE(224);
      if (lookahead == 'u') ADVANCE(38);
      if (lookahead == 'x') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '\r') ADVANCE(225);
      if (lookahead == 'u') ADVANCE(38);
      if (lookahead == 'x') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '\r') ADVANCE(226);
      if (lookahead == 'u') ADVANCE(38);
      if (lookahead == 'x') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '\r') ADVANCE(227);
      if (lookahead == 'u') ADVANCE(38);
      if (lookahead == 'x') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(212);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(212);
      if (lookahead == '\r') ADVANCE(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(198);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(198);
      if (lookahead == '\r') ADVANCE(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(216);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(216);
      if (lookahead == '\r') ADVANCE(9);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(220);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(11);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(213);
      if (lookahead != 0) ADVANCE(214);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(213);
      if (lookahead != 0) ADVANCE(214);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(15)
      if (lookahead == '#') ADVANCE(200);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(199);
      if (lookahead != 0) ADVANCE(200);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(15)
      if (lookahead == '#') ADVANCE(200);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(199);
      if (lookahead != 0) ADVANCE(200);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(17)
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(217);
      if (lookahead != 0) ADVANCE(218);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(17)
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(3);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(217);
      if (lookahead != 0) ADVANCE(218);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(19)
      if (lookahead == '#') ADVANCE(222);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (lookahead != 0) ADVANCE(222);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(19)
      if (lookahead == '#') ADVANCE(222);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (lookahead != 0) ADVANCE(222);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(105);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(167);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(106);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(105);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(33);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(167);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(105);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(33);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(106);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(33);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(167);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(106);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(33);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(105);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(106);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(208);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (aux_sym_identifier_token1_character_set_3(lookahead)) ADVANCE(196);
      END_STATE();
    case 30:
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '.') ADVANCE(120);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(73);
      END_STATE();
    case 32:
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 33:
      if (lookahead == ']') ADVANCE(79);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(37);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 37:
      if (lookahead == 's') ADVANCE(34);
      END_STATE();
    case 38:
      if (lookahead == '{') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 39:
      if (lookahead == '}') ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 40:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(207);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(207);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(223);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 47:
      if (eof) ADVANCE(52);
      if (lookahead == '\n') ADVANCE(53);
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(105);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(167);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '}') ADVANCE(70);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 48:
      if (eof) ADVANCE(52);
      if (lookahead == '\n') ADVANCE(53);
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(105);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '}') ADVANCE(70);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 49:
      if (eof) ADVANCE(52);
      if (lookahead == '\n') ADVANCE(53);
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(106);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(167);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '}') ADVANCE(70);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 50:
      if (eof) ADVANCE(52);
      if (lookahead == '\n') ADVANCE(53);
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(106);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(209);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '}') ADVANCE(70);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(50)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(196);
      END_STATE();
    case 51:
      if (eof) ADVANCE(52);
      if (lookahead == '!') ADVANCE(90);
      if (lookahead == '"') ADVANCE(211);
      if (lookahead == '#') ADVANCE(210);
      if (lookahead == '$') ADVANCE(80);
      if (lookahead == '%') ADVANCE(219);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(215);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(59);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(203);
      if (lookahead == ':') ADVANCE(105);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(84);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == 'F') ADVANCE(122);
      if (lookahead == 'I') ADVANCE(172);
      if (lookahead == 'N') ADVANCE(123);
      if (lookahead == 'T') ADVANCE(130);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(94);
      if (lookahead == '_') ADVANCE(86);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == 'b') ADVANCE(181);
      if (lookahead == 'f') ADVANCE(176);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'n') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead == 'w') ADVANCE(161);
      if (lookahead == '{') ADVANCE(69);
      if (lookahead == '|') ADVANCE(102);
      if (lookahead == '}') ADVANCE(70);
      if (lookahead == '~') ADVANCE(91);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(51)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      if (aux_sym_identifier_token1_character_set_1(lookahead)) ADVANCE(196);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(53);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_function);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_if);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_else);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_while);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_repeat);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_for);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_switch);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH_GT_GT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(78);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      if (lookahead == ':') ADVANCE(83);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_COLON_COLON_COLON);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_dots);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_placeholder);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(75);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(71);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(87);
      if (lookahead == '|') ADVANCE(101);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(103);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(82);
      if (lookahead == '=') ADVANCE(72);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(72);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_break);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_next);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_true);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_false);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_null);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_inf);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_nan);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_NA);
      if (lookahead == '_') ADVANCE(142);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(196);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_NA_character_);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_NA_complex_);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_NA_integer_);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_NA_real_);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '.') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      if (aux_sym_identifier_token1_character_set_6(lookahead)) ADVANCE(196);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '.') ADVANCE(121);
      if (aux_sym_identifier_token1_character_set_7(lookahead)) ADVANCE(196);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '.') ADVANCE(85);
      if (aux_sym_identifier_token1_character_set_7(lookahead)) ADVANCE(196);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A') ADVANCE(126);
      if (aux_sym_identifier_token1_character_set_8(lookahead)) ADVANCE(196);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A') ADVANCE(114);
      if (lookahead == 'U') ADVANCE(128);
      if (lookahead == 'a') ADVANCE(129);
      if (aux_sym_identifier_token1_character_set_9(lookahead)) ADVANCE(196);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E') ADVANCE(109);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E') ADVANCE(110);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L') ADVANCE(131);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L') ADVANCE(111);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L') ADVANCE(127);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N') ADVANCE(113);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R') ADVANCE(132);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S') ADVANCE(125);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U') ADVANCE(124);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '_') ADVANCE(118);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(196);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '_') ADVANCE(116);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(196);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '_') ADVANCE(117);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(196);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '_') ADVANCE(115);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(196);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'a') ADVANCE(166);
      if (aux_sym_identifier_token1_character_set_10(lookahead)) ADVANCE(196);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'a') ADVANCE(184);
      if (aux_sym_identifier_token1_character_set_10(lookahead)) ADVANCE(196);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'a') ADVANCE(168);
      if (aux_sym_identifier_token1_character_set_10(lookahead)) ADVANCE(196);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'a') ADVANCE(187);
      if (aux_sym_identifier_token1_character_set_10(lookahead)) ADVANCE(196);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'a') ADVANCE(145);
      if (aux_sym_identifier_token1_character_set_10(lookahead)) ADVANCE(196);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'c') ADVANCE(162);
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'r') ADVANCE(155);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'c') ADVANCE(160);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'c') ADVANCE(189);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'c') ADVANCE(191);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(193);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(179);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(137);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(61);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(62);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(159);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(194);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(140);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(182);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(139);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(183);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'f') ADVANCE(57);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'f') ADVANCE(112);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'g') ADVANCE(154);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'h') ADVANCE(66);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'h') ADVANCE(164);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'h') ADVANCE(138);
      if (lookahead == 'o') ADVANCE(171);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'i') ADVANCE(177);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'i') ADVANCE(169);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'i') ADVANCE(188);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'k') ADVANCE(107);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'l') ADVANCE(185);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'l') ADVANCE(133);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'l') ADVANCE(150);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'l') ADVANCE(152);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'm') ADVANCE(178);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(158);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(144);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(55);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(190);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'o') ADVANCE(180);
      if (lookahead == 'u') ADVANCE(173);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'o') ADVANCE(174);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'p') ADVANCE(170);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'p') ADVANCE(153);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'r') ADVANCE(64);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'r') ADVANCE(148);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'r') ADVANCE(135);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'r') ADVANCE(136);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'r') ADVANCE(141);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 's') ADVANCE(149);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(108);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(63);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(143);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(163);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(151);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(156);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'w') ADVANCE(165);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'x') ADVANCE(186);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'x') ADVANCE(134);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(207);
      if (aux_sym_identifier_token1_character_set_11(lookahead)) ADVANCE(196);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_identifier_token2);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_identifier_token2);
      if (lookahead == '#') ADVANCE(200);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(199);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '`') ADVANCE(200);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym_identifier_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(205);
      if (lookahead == 'L') ADVANCE(201);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(205);
      if (lookahead == 'L') ADVANCE(201);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(42);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(202);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'L') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(207);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_i);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_i);
      if (lookahead == 'f') ADVANCE(57);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(196);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(210);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '#') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"') ADVANCE(214);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(214);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(217);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'') ADVANCE(218);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(218);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(aux_sym_special_token1);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_special_token1);
      if (lookahead == '#') ADVANCE(222);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '%') ADVANCE(222);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym_special_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(222);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(212);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(198);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(216);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(220);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(223);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(228);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 51, .external_lex_state = 1},
  [2] = {.lex_state = 51, .external_lex_state = 1},
  [3] = {.lex_state = 51, .external_lex_state = 1},
  [4] = {.lex_state = 51, .external_lex_state = 1},
  [5] = {.lex_state = 51, .external_lex_state = 1},
  [6] = {.lex_state = 51, .external_lex_state = 1},
  [7] = {.lex_state = 51, .external_lex_state = 1},
  [8] = {.lex_state = 51, .external_lex_state = 1},
  [9] = {.lex_state = 51, .external_lex_state = 1},
  [10] = {.lex_state = 51, .external_lex_state = 1},
  [11] = {.lex_state = 51, .external_lex_state = 1},
  [12] = {.lex_state = 51, .external_lex_state = 1},
  [13] = {.lex_state = 24, .external_lex_state = 1},
  [14] = {.lex_state = 51, .external_lex_state = 1},
  [15] = {.lex_state = 24, .external_lex_state = 1},
  [16] = {.lex_state = 51, .external_lex_state = 1},
  [17] = {.lex_state = 51, .external_lex_state = 1},
  [18] = {.lex_state = 51, .external_lex_state = 1},
  [19] = {.lex_state = 51, .external_lex_state = 1},
  [20] = {.lex_state = 51, .external_lex_state = 1},
  [21] = {.lex_state = 51, .external_lex_state = 1},
  [22] = {.lex_state = 51, .external_lex_state = 1},
  [23] = {.lex_state = 24, .external_lex_state = 1},
  [24] = {.lex_state = 51, .external_lex_state = 1},
  [25] = {.lex_state = 51, .external_lex_state = 1},
  [26] = {.lex_state = 24, .external_lex_state = 1},
  [27] = {.lex_state = 51, .external_lex_state = 1},
  [28] = {.lex_state = 24, .external_lex_state = 1},
  [29] = {.lex_state = 24, .external_lex_state = 1},
  [30] = {.lex_state = 51, .external_lex_state = 1},
  [31] = {.lex_state = 51, .external_lex_state = 1},
  [32] = {.lex_state = 24, .external_lex_state = 1},
  [33] = {.lex_state = 51, .external_lex_state = 1},
  [34] = {.lex_state = 24, .external_lex_state = 1},
  [35] = {.lex_state = 51, .external_lex_state = 1},
  [36] = {.lex_state = 51, .external_lex_state = 1},
  [37] = {.lex_state = 51, .external_lex_state = 1},
  [38] = {.lex_state = 24, .external_lex_state = 1},
  [39] = {.lex_state = 51, .external_lex_state = 1},
  [40] = {.lex_state = 51, .external_lex_state = 1},
  [41] = {.lex_state = 51, .external_lex_state = 1},
  [42] = {.lex_state = 51, .external_lex_state = 1},
  [43] = {.lex_state = 51, .external_lex_state = 1},
  [44] = {.lex_state = 51, .external_lex_state = 1},
  [45] = {.lex_state = 51, .external_lex_state = 1},
  [46] = {.lex_state = 51, .external_lex_state = 1},
  [47] = {.lex_state = 51, .external_lex_state = 1},
  [48] = {.lex_state = 51, .external_lex_state = 1},
  [49] = {.lex_state = 51, .external_lex_state = 1},
  [50] = {.lex_state = 24, .external_lex_state = 1},
  [51] = {.lex_state = 51, .external_lex_state = 1},
  [52] = {.lex_state = 24, .external_lex_state = 1},
  [53] = {.lex_state = 51, .external_lex_state = 1},
  [54] = {.lex_state = 51, .external_lex_state = 1},
  [55] = {.lex_state = 51, .external_lex_state = 1},
  [56] = {.lex_state = 51, .external_lex_state = 1},
  [57] = {.lex_state = 51, .external_lex_state = 1},
  [58] = {.lex_state = 51, .external_lex_state = 1},
  [59] = {.lex_state = 51, .external_lex_state = 1},
  [60] = {.lex_state = 51, .external_lex_state = 1},
  [61] = {.lex_state = 51, .external_lex_state = 1},
  [62] = {.lex_state = 51, .external_lex_state = 1},
  [63] = {.lex_state = 51, .external_lex_state = 1},
  [64] = {.lex_state = 51, .external_lex_state = 1},
  [65] = {.lex_state = 51, .external_lex_state = 1},
  [66] = {.lex_state = 51, .external_lex_state = 1},
  [67] = {.lex_state = 51, .external_lex_state = 1},
  [68] = {.lex_state = 51, .external_lex_state = 1},
  [69] = {.lex_state = 51, .external_lex_state = 1},
  [70] = {.lex_state = 51, .external_lex_state = 1},
  [71] = {.lex_state = 51, .external_lex_state = 1},
  [72] = {.lex_state = 51, .external_lex_state = 1},
  [73] = {.lex_state = 51, .external_lex_state = 1},
  [74] = {.lex_state = 51, .external_lex_state = 1},
  [75] = {.lex_state = 51, .external_lex_state = 1},
  [76] = {.lex_state = 51, .external_lex_state = 1},
  [77] = {.lex_state = 51, .external_lex_state = 1},
  [78] = {.lex_state = 51, .external_lex_state = 1},
  [79] = {.lex_state = 51, .external_lex_state = 1},
  [80] = {.lex_state = 51, .external_lex_state = 1},
  [81] = {.lex_state = 51, .external_lex_state = 1},
  [82] = {.lex_state = 51, .external_lex_state = 1},
  [83] = {.lex_state = 51, .external_lex_state = 1},
  [84] = {.lex_state = 51, .external_lex_state = 1},
  [85] = {.lex_state = 51, .external_lex_state = 1},
  [86] = {.lex_state = 51, .external_lex_state = 1},
  [87] = {.lex_state = 51, .external_lex_state = 1},
  [88] = {.lex_state = 51, .external_lex_state = 1},
  [89] = {.lex_state = 51, .external_lex_state = 1},
  [90] = {.lex_state = 51, .external_lex_state = 1},
  [91] = {.lex_state = 51, .external_lex_state = 1},
  [92] = {.lex_state = 51, .external_lex_state = 1},
  [93] = {.lex_state = 51, .external_lex_state = 1},
  [94] = {.lex_state = 51, .external_lex_state = 1},
  [95] = {.lex_state = 24, .external_lex_state = 1},
  [96] = {.lex_state = 51, .external_lex_state = 1},
  [97] = {.lex_state = 51, .external_lex_state = 1},
  [98] = {.lex_state = 51, .external_lex_state = 1},
  [99] = {.lex_state = 51, .external_lex_state = 1},
  [100] = {.lex_state = 51, .external_lex_state = 1},
  [101] = {.lex_state = 51, .external_lex_state = 1},
  [102] = {.lex_state = 51, .external_lex_state = 1},
  [103] = {.lex_state = 51, .external_lex_state = 1},
  [104] = {.lex_state = 51, .external_lex_state = 1},
  [105] = {.lex_state = 51, .external_lex_state = 1},
  [106] = {.lex_state = 51, .external_lex_state = 1},
  [107] = {.lex_state = 51, .external_lex_state = 1},
  [108] = {.lex_state = 51, .external_lex_state = 1},
  [109] = {.lex_state = 51, .external_lex_state = 1},
  [110] = {.lex_state = 51, .external_lex_state = 1},
  [111] = {.lex_state = 51, .external_lex_state = 1},
  [112] = {.lex_state = 51, .external_lex_state = 1},
  [113] = {.lex_state = 51, .external_lex_state = 1},
  [114] = {.lex_state = 51, .external_lex_state = 1},
  [115] = {.lex_state = 51, .external_lex_state = 1},
  [116] = {.lex_state = 51, .external_lex_state = 1},
  [117] = {.lex_state = 51, .external_lex_state = 1},
  [118] = {.lex_state = 51, .external_lex_state = 1},
  [119] = {.lex_state = 51, .external_lex_state = 1},
  [120] = {.lex_state = 51, .external_lex_state = 1},
  [121] = {.lex_state = 51, .external_lex_state = 1},
  [122] = {.lex_state = 51, .external_lex_state = 1},
  [123] = {.lex_state = 51, .external_lex_state = 1},
  [124] = {.lex_state = 51, .external_lex_state = 1},
  [125] = {.lex_state = 51, .external_lex_state = 1},
  [126] = {.lex_state = 51, .external_lex_state = 1},
  [127] = {.lex_state = 51, .external_lex_state = 1},
  [128] = {.lex_state = 51, .external_lex_state = 1},
  [129] = {.lex_state = 51, .external_lex_state = 1},
  [130] = {.lex_state = 51, .external_lex_state = 1},
  [131] = {.lex_state = 51, .external_lex_state = 1},
  [132] = {.lex_state = 51, .external_lex_state = 1},
  [133] = {.lex_state = 51, .external_lex_state = 1},
  [134] = {.lex_state = 51, .external_lex_state = 1},
  [135] = {.lex_state = 51, .external_lex_state = 1},
  [136] = {.lex_state = 51, .external_lex_state = 1},
  [137] = {.lex_state = 51, .external_lex_state = 1},
  [138] = {.lex_state = 51, .external_lex_state = 1},
  [139] = {.lex_state = 51, .external_lex_state = 1},
  [140] = {.lex_state = 51, .external_lex_state = 1},
  [141] = {.lex_state = 51, .external_lex_state = 1},
  [142] = {.lex_state = 51, .external_lex_state = 1},
  [143] = {.lex_state = 51, .external_lex_state = 1},
  [144] = {.lex_state = 51, .external_lex_state = 1},
  [145] = {.lex_state = 51, .external_lex_state = 1},
  [146] = {.lex_state = 51, .external_lex_state = 1},
  [147] = {.lex_state = 51, .external_lex_state = 1},
  [148] = {.lex_state = 51, .external_lex_state = 1},
  [149] = {.lex_state = 51, .external_lex_state = 1},
  [150] = {.lex_state = 51, .external_lex_state = 1},
  [151] = {.lex_state = 51, .external_lex_state = 1},
  [152] = {.lex_state = 51, .external_lex_state = 1},
  [153] = {.lex_state = 51, .external_lex_state = 1},
  [154] = {.lex_state = 51, .external_lex_state = 1},
  [155] = {.lex_state = 51, .external_lex_state = 1},
  [156] = {.lex_state = 51, .external_lex_state = 1},
  [157] = {.lex_state = 51, .external_lex_state = 1},
  [158] = {.lex_state = 51, .external_lex_state = 1},
  [159] = {.lex_state = 51, .external_lex_state = 1},
  [160] = {.lex_state = 51, .external_lex_state = 1},
  [161] = {.lex_state = 51, .external_lex_state = 1},
  [162] = {.lex_state = 51, .external_lex_state = 1},
  [163] = {.lex_state = 51, .external_lex_state = 1},
  [164] = {.lex_state = 51, .external_lex_state = 1},
  [165] = {.lex_state = 51, .external_lex_state = 1},
  [166] = {.lex_state = 51, .external_lex_state = 1},
  [167] = {.lex_state = 51, .external_lex_state = 1},
  [168] = {.lex_state = 51, .external_lex_state = 1},
  [169] = {.lex_state = 51, .external_lex_state = 1},
  [170] = {.lex_state = 51, .external_lex_state = 1},
  [171] = {.lex_state = 51, .external_lex_state = 1},
  [172] = {.lex_state = 51, .external_lex_state = 1},
  [173] = {.lex_state = 51, .external_lex_state = 1},
  [174] = {.lex_state = 51, .external_lex_state = 1},
  [175] = {.lex_state = 51, .external_lex_state = 1},
  [176] = {.lex_state = 51, .external_lex_state = 1},
  [177] = {.lex_state = 51, .external_lex_state = 1},
  [178] = {.lex_state = 51, .external_lex_state = 1},
  [179] = {.lex_state = 51, .external_lex_state = 1},
  [180] = {.lex_state = 51, .external_lex_state = 1},
  [181] = {.lex_state = 51, .external_lex_state = 1},
  [182] = {.lex_state = 51, .external_lex_state = 1},
  [183] = {.lex_state = 51, .external_lex_state = 1},
  [184] = {.lex_state = 51, .external_lex_state = 1},
  [185] = {.lex_state = 51, .external_lex_state = 1},
  [186] = {.lex_state = 51, .external_lex_state = 1},
  [187] = {.lex_state = 51, .external_lex_state = 1},
  [188] = {.lex_state = 51, .external_lex_state = 1},
  [189] = {.lex_state = 51, .external_lex_state = 1},
  [190] = {.lex_state = 51, .external_lex_state = 1},
  [191] = {.lex_state = 51, .external_lex_state = 1},
  [192] = {.lex_state = 51, .external_lex_state = 1},
  [193] = {.lex_state = 51, .external_lex_state = 1},
  [194] = {.lex_state = 51, .external_lex_state = 1},
  [195] = {.lex_state = 51, .external_lex_state = 1},
  [196] = {.lex_state = 51, .external_lex_state = 1},
  [197] = {.lex_state = 51, .external_lex_state = 1},
  [198] = {.lex_state = 51, .external_lex_state = 1},
  [199] = {.lex_state = 51, .external_lex_state = 1},
  [200] = {.lex_state = 51, .external_lex_state = 1},
  [201] = {.lex_state = 51, .external_lex_state = 1},
  [202] = {.lex_state = 51, .external_lex_state = 1},
  [203] = {.lex_state = 51, .external_lex_state = 1},
  [204] = {.lex_state = 51, .external_lex_state = 1},
  [205] = {.lex_state = 51, .external_lex_state = 1},
  [206] = {.lex_state = 51, .external_lex_state = 1},
  [207] = {.lex_state = 51, .external_lex_state = 1},
  [208] = {.lex_state = 51, .external_lex_state = 1},
  [209] = {.lex_state = 51, .external_lex_state = 1},
  [210] = {.lex_state = 51, .external_lex_state = 1},
  [211] = {.lex_state = 51, .external_lex_state = 1},
  [212] = {.lex_state = 51, .external_lex_state = 1},
  [213] = {.lex_state = 51, .external_lex_state = 1},
  [214] = {.lex_state = 51, .external_lex_state = 1},
  [215] = {.lex_state = 51, .external_lex_state = 1},
  [216] = {.lex_state = 51, .external_lex_state = 1},
  [217] = {.lex_state = 51, .external_lex_state = 1},
  [218] = {.lex_state = 51, .external_lex_state = 1},
  [219] = {.lex_state = 51, .external_lex_state = 1},
  [220] = {.lex_state = 51, .external_lex_state = 1},
  [221] = {.lex_state = 51, .external_lex_state = 1},
  [222] = {.lex_state = 51, .external_lex_state = 1},
  [223] = {.lex_state = 51, .external_lex_state = 1},
  [224] = {.lex_state = 51, .external_lex_state = 1},
  [225] = {.lex_state = 51, .external_lex_state = 1},
  [226] = {.lex_state = 51, .external_lex_state = 1},
  [227] = {.lex_state = 51, .external_lex_state = 1},
  [228] = {.lex_state = 51, .external_lex_state = 1},
  [229] = {.lex_state = 51, .external_lex_state = 1},
  [230] = {.lex_state = 51, .external_lex_state = 1},
  [231] = {.lex_state = 51, .external_lex_state = 1},
  [232] = {.lex_state = 51, .external_lex_state = 1},
  [233] = {.lex_state = 51, .external_lex_state = 1},
  [234] = {.lex_state = 51, .external_lex_state = 1},
  [235] = {.lex_state = 51, .external_lex_state = 1},
  [236] = {.lex_state = 51, .external_lex_state = 1},
  [237] = {.lex_state = 51, .external_lex_state = 1},
  [238] = {.lex_state = 51, .external_lex_state = 1},
  [239] = {.lex_state = 51, .external_lex_state = 1},
  [240] = {.lex_state = 51, .external_lex_state = 1},
  [241] = {.lex_state = 51, .external_lex_state = 1},
  [242] = {.lex_state = 51, .external_lex_state = 1},
  [243] = {.lex_state = 51, .external_lex_state = 1},
  [244] = {.lex_state = 51, .external_lex_state = 1},
  [245] = {.lex_state = 51, .external_lex_state = 1},
  [246] = {.lex_state = 51, .external_lex_state = 1},
  [247] = {.lex_state = 51, .external_lex_state = 1},
  [248] = {.lex_state = 51, .external_lex_state = 1},
  [249] = {.lex_state = 51, .external_lex_state = 1},
  [250] = {.lex_state = 51, .external_lex_state = 1},
  [251] = {.lex_state = 51, .external_lex_state = 1},
  [252] = {.lex_state = 51, .external_lex_state = 1},
  [253] = {.lex_state = 51, .external_lex_state = 1},
  [254] = {.lex_state = 51, .external_lex_state = 1},
  [255] = {.lex_state = 51, .external_lex_state = 1},
  [256] = {.lex_state = 51, .external_lex_state = 1},
  [257] = {.lex_state = 51, .external_lex_state = 1},
  [258] = {.lex_state = 51, .external_lex_state = 1},
  [259] = {.lex_state = 51, .external_lex_state = 1},
  [260] = {.lex_state = 51, .external_lex_state = 1},
  [261] = {.lex_state = 51, .external_lex_state = 1},
  [262] = {.lex_state = 51, .external_lex_state = 1},
  [263] = {.lex_state = 51, .external_lex_state = 1},
  [264] = {.lex_state = 51, .external_lex_state = 1},
  [265] = {.lex_state = 51, .external_lex_state = 1},
  [266] = {.lex_state = 51, .external_lex_state = 1},
  [267] = {.lex_state = 51, .external_lex_state = 1},
  [268] = {.lex_state = 51, .external_lex_state = 1},
  [269] = {.lex_state = 51, .external_lex_state = 1},
  [270] = {.lex_state = 51, .external_lex_state = 1},
  [271] = {.lex_state = 51, .external_lex_state = 1},
  [272] = {.lex_state = 51, .external_lex_state = 1},
  [273] = {.lex_state = 51, .external_lex_state = 1},
  [274] = {.lex_state = 51, .external_lex_state = 1},
  [275] = {.lex_state = 51, .external_lex_state = 1},
  [276] = {.lex_state = 51, .external_lex_state = 1},
  [277] = {.lex_state = 51, .external_lex_state = 1},
  [278] = {.lex_state = 51, .external_lex_state = 1},
  [279] = {.lex_state = 51, .external_lex_state = 1},
  [280] = {.lex_state = 51, .external_lex_state = 1},
  [281] = {.lex_state = 51, .external_lex_state = 1},
  [282] = {.lex_state = 51, .external_lex_state = 1},
  [283] = {.lex_state = 51, .external_lex_state = 1},
  [284] = {.lex_state = 51, .external_lex_state = 1},
  [285] = {.lex_state = 51, .external_lex_state = 1},
  [286] = {.lex_state = 51, .external_lex_state = 1},
  [287] = {.lex_state = 51, .external_lex_state = 1},
  [288] = {.lex_state = 51, .external_lex_state = 1},
  [289] = {.lex_state = 51, .external_lex_state = 1},
  [290] = {.lex_state = 51, .external_lex_state = 1},
  [291] = {.lex_state = 51, .external_lex_state = 1},
  [292] = {.lex_state = 51, .external_lex_state = 1},
  [293] = {.lex_state = 51, .external_lex_state = 1},
  [294] = {.lex_state = 51, .external_lex_state = 1},
  [295] = {.lex_state = 51, .external_lex_state = 1},
  [296] = {.lex_state = 47, .external_lex_state = 1},
  [297] = {.lex_state = 51, .external_lex_state = 1},
  [298] = {.lex_state = 51, .external_lex_state = 1},
  [299] = {.lex_state = 51, .external_lex_state = 1},
  [300] = {.lex_state = 47, .external_lex_state = 1},
  [301] = {.lex_state = 51, .external_lex_state = 1},
  [302] = {.lex_state = 51, .external_lex_state = 1},
  [303] = {.lex_state = 51, .external_lex_state = 1},
  [304] = {.lex_state = 51, .external_lex_state = 1},
  [305] = {.lex_state = 51, .external_lex_state = 1},
  [306] = {.lex_state = 51, .external_lex_state = 1},
  [307] = {.lex_state = 47, .external_lex_state = 1},
  [308] = {.lex_state = 47, .external_lex_state = 1},
  [309] = {.lex_state = 51, .external_lex_state = 1},
  [310] = {.lex_state = 51, .external_lex_state = 1},
  [311] = {.lex_state = 51, .external_lex_state = 1},
  [312] = {.lex_state = 21, .external_lex_state = 1},
  [313] = {.lex_state = 51, .external_lex_state = 1},
  [314] = {.lex_state = 51, .external_lex_state = 1},
  [315] = {.lex_state = 51, .external_lex_state = 1},
  [316] = {.lex_state = 51, .external_lex_state = 1},
  [317] = {.lex_state = 51, .external_lex_state = 1},
  [318] = {.lex_state = 51, .external_lex_state = 1},
  [319] = {.lex_state = 51, .external_lex_state = 1},
  [320] = {.lex_state = 51, .external_lex_state = 1},
  [321] = {.lex_state = 51, .external_lex_state = 1},
  [322] = {.lex_state = 51, .external_lex_state = 1},
  [323] = {.lex_state = 51, .external_lex_state = 1},
  [324] = {.lex_state = 51, .external_lex_state = 1},
  [325] = {.lex_state = 51, .external_lex_state = 1},
  [326] = {.lex_state = 51, .external_lex_state = 1},
  [327] = {.lex_state = 51, .external_lex_state = 1},
  [328] = {.lex_state = 51, .external_lex_state = 1},
  [329] = {.lex_state = 21, .external_lex_state = 1},
  [330] = {.lex_state = 51, .external_lex_state = 1},
  [331] = {.lex_state = 51, .external_lex_state = 1},
  [332] = {.lex_state = 21, .external_lex_state = 1},
  [333] = {.lex_state = 21, .external_lex_state = 1},
  [334] = {.lex_state = 51, .external_lex_state = 1},
  [335] = {.lex_state = 51, .external_lex_state = 1},
  [336] = {.lex_state = 51, .external_lex_state = 1},
  [337] = {.lex_state = 51, .external_lex_state = 1},
  [338] = {.lex_state = 51, .external_lex_state = 1},
  [339] = {.lex_state = 51, .external_lex_state = 1},
  [340] = {.lex_state = 51, .external_lex_state = 1},
  [341] = {.lex_state = 51, .external_lex_state = 1},
  [342] = {.lex_state = 51, .external_lex_state = 1},
  [343] = {.lex_state = 47, .external_lex_state = 1},
  [344] = {.lex_state = 51, .external_lex_state = 1},
  [345] = {.lex_state = 51, .external_lex_state = 1},
  [346] = {.lex_state = 51, .external_lex_state = 1},
  [347] = {.lex_state = 51, .external_lex_state = 1},
  [348] = {.lex_state = 51, .external_lex_state = 1},
  [349] = {.lex_state = 51, .external_lex_state = 1},
  [350] = {.lex_state = 51, .external_lex_state = 1},
  [351] = {.lex_state = 51, .external_lex_state = 1},
  [352] = {.lex_state = 51, .external_lex_state = 1},
  [353] = {.lex_state = 51, .external_lex_state = 1},
  [354] = {.lex_state = 51, .external_lex_state = 1},
  [355] = {.lex_state = 51, .external_lex_state = 1},
  [356] = {.lex_state = 51, .external_lex_state = 1},
  [357] = {.lex_state = 51, .external_lex_state = 1},
  [358] = {.lex_state = 51, .external_lex_state = 1},
  [359] = {.lex_state = 51, .external_lex_state = 1},
  [360] = {.lex_state = 51, .external_lex_state = 1},
  [361] = {.lex_state = 51, .external_lex_state = 1},
  [362] = {.lex_state = 51, .external_lex_state = 1},
  [363] = {.lex_state = 51, .external_lex_state = 1},
  [364] = {.lex_state = 51, .external_lex_state = 1},
  [365] = {.lex_state = 51, .external_lex_state = 1},
  [366] = {.lex_state = 51, .external_lex_state = 1},
  [367] = {.lex_state = 51, .external_lex_state = 1},
  [368] = {.lex_state = 51, .external_lex_state = 1},
  [369] = {.lex_state = 47, .external_lex_state = 1},
  [370] = {.lex_state = 51, .external_lex_state = 1},
  [371] = {.lex_state = 51, .external_lex_state = 1},
  [372] = {.lex_state = 47, .external_lex_state = 1},
  [373] = {.lex_state = 47, .external_lex_state = 1},
  [374] = {.lex_state = 51, .external_lex_state = 1},
  [375] = {.lex_state = 51, .external_lex_state = 1},
  [376] = {.lex_state = 51, .external_lex_state = 1},
  [377] = {.lex_state = 51, .external_lex_state = 1},
  [378] = {.lex_state = 51, .external_lex_state = 1},
  [379] = {.lex_state = 51, .external_lex_state = 1},
  [380] = {.lex_state = 51, .external_lex_state = 1},
  [381] = {.lex_state = 51, .external_lex_state = 1},
  [382] = {.lex_state = 51, .external_lex_state = 1},
  [383] = {.lex_state = 51, .external_lex_state = 1},
  [384] = {.lex_state = 51, .external_lex_state = 1},
  [385] = {.lex_state = 51, .external_lex_state = 1},
  [386] = {.lex_state = 51, .external_lex_state = 1},
  [387] = {.lex_state = 51, .external_lex_state = 1},
  [388] = {.lex_state = 51, .external_lex_state = 1},
  [389] = {.lex_state = 51, .external_lex_state = 1},
  [390] = {.lex_state = 51, .external_lex_state = 1},
  [391] = {.lex_state = 51, .external_lex_state = 1},
  [392] = {.lex_state = 51, .external_lex_state = 1},
  [393] = {.lex_state = 51, .external_lex_state = 1},
  [394] = {.lex_state = 51, .external_lex_state = 1},
  [395] = {.lex_state = 51, .external_lex_state = 1},
  [396] = {.lex_state = 51, .external_lex_state = 1},
  [397] = {.lex_state = 47, .external_lex_state = 1},
  [398] = {.lex_state = 47, .external_lex_state = 1},
  [399] = {.lex_state = 51, .external_lex_state = 1},
  [400] = {.lex_state = 51, .external_lex_state = 1},
  [401] = {.lex_state = 51, .external_lex_state = 1},
  [402] = {.lex_state = 21, .external_lex_state = 1},
  [403] = {.lex_state = 51, .external_lex_state = 1},
  [404] = {.lex_state = 48, .external_lex_state = 1},
  [405] = {.lex_state = 48, .external_lex_state = 1},
  [406] = {.lex_state = 48, .external_lex_state = 1},
  [407] = {.lex_state = 47, .external_lex_state = 1},
  [408] = {.lex_state = 21, .external_lex_state = 1},
  [409] = {.lex_state = 47, .external_lex_state = 1},
  [410] = {.lex_state = 51, .external_lex_state = 1},
  [411] = {.lex_state = 48, .external_lex_state = 1},
  [412] = {.lex_state = 23, .external_lex_state = 1},
  [413] = {.lex_state = 23, .external_lex_state = 1},
  [414] = {.lex_state = 23, .external_lex_state = 1},
  [415] = {.lex_state = 23, .external_lex_state = 1},
  [416] = {.lex_state = 47, .external_lex_state = 1},
  [417] = {.lex_state = 47, .external_lex_state = 1},
  [418] = {.lex_state = 47, .external_lex_state = 1},
  [419] = {.lex_state = 47, .external_lex_state = 1},
  [420] = {.lex_state = 47, .external_lex_state = 1},
  [421] = {.lex_state = 47, .external_lex_state = 1},
  [422] = {.lex_state = 47, .external_lex_state = 1},
  [423] = {.lex_state = 47, .external_lex_state = 1},
  [424] = {.lex_state = 47, .external_lex_state = 1},
  [425] = {.lex_state = 47, .external_lex_state = 1},
  [426] = {.lex_state = 47, .external_lex_state = 1},
  [427] = {.lex_state = 47, .external_lex_state = 1},
  [428] = {.lex_state = 47, .external_lex_state = 1},
  [429] = {.lex_state = 47, .external_lex_state = 1},
  [430] = {.lex_state = 47, .external_lex_state = 1},
  [431] = {.lex_state = 47, .external_lex_state = 1},
  [432] = {.lex_state = 47, .external_lex_state = 1},
  [433] = {.lex_state = 47, .external_lex_state = 1},
  [434] = {.lex_state = 48, .external_lex_state = 1},
  [435] = {.lex_state = 47, .external_lex_state = 1},
  [436] = {.lex_state = 47, .external_lex_state = 1},
  [437] = {.lex_state = 47, .external_lex_state = 1},
  [438] = {.lex_state = 47, .external_lex_state = 1},
  [439] = {.lex_state = 21, .external_lex_state = 1},
  [440] = {.lex_state = 21, .external_lex_state = 1},
  [441] = {.lex_state = 48, .external_lex_state = 1},
  [442] = {.lex_state = 21, .external_lex_state = 1},
  [443] = {.lex_state = 21, .external_lex_state = 1},
  [444] = {.lex_state = 21, .external_lex_state = 1},
  [445] = {.lex_state = 49, .external_lex_state = 1},
  [446] = {.lex_state = 21, .external_lex_state = 1},
  [447] = {.lex_state = 21, .external_lex_state = 1},
  [448] = {.lex_state = 21, .external_lex_state = 1},
  [449] = {.lex_state = 21, .external_lex_state = 1},
  [450] = {.lex_state = 47, .external_lex_state = 1},
  [451] = {.lex_state = 21, .external_lex_state = 1},
  [452] = {.lex_state = 47, .external_lex_state = 1},
  [453] = {.lex_state = 47, .external_lex_state = 1},
  [454] = {.lex_state = 47, .external_lex_state = 1},
  [455] = {.lex_state = 47, .external_lex_state = 1},
  [456] = {.lex_state = 21, .external_lex_state = 1},
  [457] = {.lex_state = 21, .external_lex_state = 1},
  [458] = {.lex_state = 21, .external_lex_state = 1},
  [459] = {.lex_state = 21, .external_lex_state = 1},
  [460] = {.lex_state = 21, .external_lex_state = 1},
  [461] = {.lex_state = 21, .external_lex_state = 1},
  [462] = {.lex_state = 21, .external_lex_state = 1},
  [463] = {.lex_state = 21, .external_lex_state = 1},
  [464] = {.lex_state = 21, .external_lex_state = 1},
  [465] = {.lex_state = 21, .external_lex_state = 1},
  [466] = {.lex_state = 47, .external_lex_state = 1},
  [467] = {.lex_state = 47, .external_lex_state = 1},
  [468] = {.lex_state = 47, .external_lex_state = 1},
  [469] = {.lex_state = 47, .external_lex_state = 1},
  [470] = {.lex_state = 47, .external_lex_state = 1},
  [471] = {.lex_state = 49, .external_lex_state = 1},
  [472] = {.lex_state = 47, .external_lex_state = 1},
  [473] = {.lex_state = 47, .external_lex_state = 1},
  [474] = {.lex_state = 47, .external_lex_state = 1},
  [475] = {.lex_state = 47, .external_lex_state = 1},
  [476] = {.lex_state = 47, .external_lex_state = 1},
  [477] = {.lex_state = 47, .external_lex_state = 1},
  [478] = {.lex_state = 47, .external_lex_state = 1},
  [479] = {.lex_state = 47, .external_lex_state = 1},
  [480] = {.lex_state = 47, .external_lex_state = 1},
  [481] = {.lex_state = 47, .external_lex_state = 1},
  [482] = {.lex_state = 47, .external_lex_state = 1},
  [483] = {.lex_state = 47, .external_lex_state = 1},
  [484] = {.lex_state = 47, .external_lex_state = 1},
  [485] = {.lex_state = 47, .external_lex_state = 1},
  [486] = {.lex_state = 47, .external_lex_state = 1},
  [487] = {.lex_state = 47, .external_lex_state = 1},
  [488] = {.lex_state = 21, .external_lex_state = 1},
  [489] = {.lex_state = 47, .external_lex_state = 1},
  [490] = {.lex_state = 47, .external_lex_state = 1},
  [491] = {.lex_state = 48, .external_lex_state = 1},
  [492] = {.lex_state = 47, .external_lex_state = 1},
  [493] = {.lex_state = 47, .external_lex_state = 1},
  [494] = {.lex_state = 48, .external_lex_state = 1},
  [495] = {.lex_state = 21, .external_lex_state = 1},
  [496] = {.lex_state = 21, .external_lex_state = 1},
  [497] = {.lex_state = 21, .external_lex_state = 1},
  [498] = {.lex_state = 21, .external_lex_state = 1},
  [499] = {.lex_state = 21, .external_lex_state = 1},
  [500] = {.lex_state = 0, .external_lex_state = 1},
  [501] = {.lex_state = 47, .external_lex_state = 1},
  [502] = {.lex_state = 21, .external_lex_state = 1},
  [503] = {.lex_state = 51, .external_lex_state = 1},
  [504] = {.lex_state = 51, .external_lex_state = 1},
  [505] = {.lex_state = 23, .external_lex_state = 1},
  [506] = {.lex_state = 51, .external_lex_state = 1},
  [507] = {.lex_state = 51, .external_lex_state = 1},
  [508] = {.lex_state = 47, .external_lex_state = 1},
  [509] = {.lex_state = 47, .external_lex_state = 1},
  [510] = {.lex_state = 47, .external_lex_state = 1},
  [511] = {.lex_state = 47, .external_lex_state = 1},
  [512] = {.lex_state = 47, .external_lex_state = 1},
  [513] = {.lex_state = 23, .external_lex_state = 1},
  [514] = {.lex_state = 48, .external_lex_state = 1},
  [515] = {.lex_state = 47, .external_lex_state = 1},
  [516] = {.lex_state = 48, .external_lex_state = 1},
  [517] = {.lex_state = 48, .external_lex_state = 1},
  [518] = {.lex_state = 47, .external_lex_state = 1},
  [519] = {.lex_state = 47, .external_lex_state = 1},
  [520] = {.lex_state = 24, .external_lex_state = 1},
  [521] = {.lex_state = 51, .external_lex_state = 1},
  [522] = {.lex_state = 21, .external_lex_state = 1},
  [523] = {.lex_state = 51, .external_lex_state = 1},
  [524] = {.lex_state = 51, .external_lex_state = 1},
  [525] = {.lex_state = 51, .external_lex_state = 1},
  [526] = {.lex_state = 48, .external_lex_state = 1},
  [527] = {.lex_state = 48, .external_lex_state = 1},
  [528] = {.lex_state = 21, .external_lex_state = 1},
  [529] = {.lex_state = 48, .external_lex_state = 1},
  [530] = {.lex_state = 51, .external_lex_state = 1},
  [531] = {.lex_state = 48, .external_lex_state = 1},
  [532] = {.lex_state = 48, .external_lex_state = 1},
  [533] = {.lex_state = 48, .external_lex_state = 1},
  [534] = {.lex_state = 21, .external_lex_state = 1},
  [535] = {.lex_state = 51, .external_lex_state = 1},
  [536] = {.lex_state = 21, .external_lex_state = 1},
  [537] = {.lex_state = 51, .external_lex_state = 1},
  [538] = {.lex_state = 51, .external_lex_state = 1},
  [539] = {.lex_state = 47, .external_lex_state = 1},
  [540] = {.lex_state = 51, .external_lex_state = 1},
  [541] = {.lex_state = 48, .external_lex_state = 1},
  [542] = {.lex_state = 21, .external_lex_state = 1},
  [543] = {.lex_state = 21, .external_lex_state = 1},
  [544] = {.lex_state = 48, .external_lex_state = 1},
  [545] = {.lex_state = 48, .external_lex_state = 1},
  [546] = {.lex_state = 51, .external_lex_state = 1},
  [547] = {.lex_state = 48, .external_lex_state = 1},
  [548] = {.lex_state = 51, .external_lex_state = 1},
  [549] = {.lex_state = 51, .external_lex_state = 1},
  [550] = {.lex_state = 48, .external_lex_state = 1},
  [551] = {.lex_state = 48, .external_lex_state = 1},
  [552] = {.lex_state = 51, .external_lex_state = 1},
  [553] = {.lex_state = 51, .external_lex_state = 1},
  [554] = {.lex_state = 48, .external_lex_state = 1},
  [555] = {.lex_state = 48, .external_lex_state = 1},
  [556] = {.lex_state = 48, .external_lex_state = 1},
  [557] = {.lex_state = 48, .external_lex_state = 1},
  [558] = {.lex_state = 48, .external_lex_state = 1},
  [559] = {.lex_state = 48, .external_lex_state = 1},
  [560] = {.lex_state = 51, .external_lex_state = 1},
  [561] = {.lex_state = 51, .external_lex_state = 1},
  [562] = {.lex_state = 47, .external_lex_state = 1},
  [563] = {.lex_state = 51, .external_lex_state = 1},
  [564] = {.lex_state = 47, .external_lex_state = 1},
  [565] = {.lex_state = 47, .external_lex_state = 1},
  [566] = {.lex_state = 21, .external_lex_state = 1},
  [567] = {.lex_state = 21, .external_lex_state = 1},
  [568] = {.lex_state = 47, .external_lex_state = 1},
  [569] = {.lex_state = 21, .external_lex_state = 1},
  [570] = {.lex_state = 21, .external_lex_state = 1},
  [571] = {.lex_state = 48, .external_lex_state = 1},
  [572] = {.lex_state = 48, .external_lex_state = 1},
  [573] = {.lex_state = 48, .external_lex_state = 1},
  [574] = {.lex_state = 51, .external_lex_state = 1},
  [575] = {.lex_state = 48, .external_lex_state = 1},
  [576] = {.lex_state = 51, .external_lex_state = 1},
  [577] = {.lex_state = 21, .external_lex_state = 1},
  [578] = {.lex_state = 21, .external_lex_state = 1},
  [579] = {.lex_state = 21, .external_lex_state = 1},
  [580] = {.lex_state = 21, .external_lex_state = 1},
  [581] = {.lex_state = 47, .external_lex_state = 1},
  [582] = {.lex_state = 21, .external_lex_state = 1},
  [583] = {.lex_state = 47, .external_lex_state = 1},
  [584] = {.lex_state = 48, .external_lex_state = 1},
  [585] = {.lex_state = 47, .external_lex_state = 1},
  [586] = {.lex_state = 47, .external_lex_state = 1},
  [587] = {.lex_state = 51, .external_lex_state = 1},
  [588] = {.lex_state = 51, .external_lex_state = 1},
  [589] = {.lex_state = 48, .external_lex_state = 1},
  [590] = {.lex_state = 48, .external_lex_state = 1},
  [591] = {.lex_state = 51, .external_lex_state = 1},
  [592] = {.lex_state = 21, .external_lex_state = 1},
  [593] = {.lex_state = 21, .external_lex_state = 1},
  [594] = {.lex_state = 50, .external_lex_state = 1},
  [595] = {.lex_state = 21, .external_lex_state = 1},
  [596] = {.lex_state = 23, .external_lex_state = 1},
  [597] = {.lex_state = 21, .external_lex_state = 1},
  [598] = {.lex_state = 48, .external_lex_state = 1},
  [599] = {.lex_state = 21, .external_lex_state = 1},
  [600] = {.lex_state = 48, .external_lex_state = 1},
  [601] = {.lex_state = 48, .external_lex_state = 1},
  [602] = {.lex_state = 21, .external_lex_state = 1},
  [603] = {.lex_state = 21, .external_lex_state = 1},
  [604] = {.lex_state = 48, .external_lex_state = 1},
  [605] = {.lex_state = 48, .external_lex_state = 1},
  [606] = {.lex_state = 47, .external_lex_state = 1},
  [607] = {.lex_state = 47, .external_lex_state = 1},
  [608] = {.lex_state = 48, .external_lex_state = 1},
  [609] = {.lex_state = 48, .external_lex_state = 1},
  [610] = {.lex_state = 48, .external_lex_state = 1},
  [611] = {.lex_state = 47, .external_lex_state = 1},
  [612] = {.lex_state = 48, .external_lex_state = 1},
  [613] = {.lex_state = 47, .external_lex_state = 1},
  [614] = {.lex_state = 48, .external_lex_state = 1},
  [615] = {.lex_state = 48, .external_lex_state = 1},
  [616] = {.lex_state = 48, .external_lex_state = 1},
  [617] = {.lex_state = 23, .external_lex_state = 1},
  [618] = {.lex_state = 48, .external_lex_state = 1},
  [619] = {.lex_state = 47, .external_lex_state = 1},
  [620] = {.lex_state = 47, .external_lex_state = 1},
  [621] = {.lex_state = 48, .external_lex_state = 1},
  [622] = {.lex_state = 22, .external_lex_state = 1},
  [623] = {.lex_state = 47, .external_lex_state = 1},
  [624] = {.lex_state = 47, .external_lex_state = 1},
  [625] = {.lex_state = 47, .external_lex_state = 1},
  [626] = {.lex_state = 47, .external_lex_state = 1},
  [627] = {.lex_state = 47, .external_lex_state = 1},
  [628] = {.lex_state = 48, .external_lex_state = 1},
  [629] = {.lex_state = 48, .external_lex_state = 1},
  [630] = {.lex_state = 48, .external_lex_state = 1},
  [631] = {.lex_state = 48, .external_lex_state = 1},
  [632] = {.lex_state = 48, .external_lex_state = 1},
  [633] = {.lex_state = 48, .external_lex_state = 1},
  [634] = {.lex_state = 47, .external_lex_state = 1},
  [635] = {.lex_state = 47, .external_lex_state = 1},
  [636] = {.lex_state = 47, .external_lex_state = 1},
  [637] = {.lex_state = 47, .external_lex_state = 1},
  [638] = {.lex_state = 47, .external_lex_state = 1},
  [639] = {.lex_state = 48, .external_lex_state = 1},
  [640] = {.lex_state = 51, .external_lex_state = 1},
  [641] = {.lex_state = 51, .external_lex_state = 1},
  [642] = {.lex_state = 23, .external_lex_state = 1},
  [643] = {.lex_state = 47, .external_lex_state = 1},
  [644] = {.lex_state = 47, .external_lex_state = 1},
  [645] = {.lex_state = 23, .external_lex_state = 1},
  [646] = {.lex_state = 23, .external_lex_state = 1},
  [647] = {.lex_state = 23, .external_lex_state = 1},
  [648] = {.lex_state = 51, .external_lex_state = 1},
  [649] = {.lex_state = 47, .external_lex_state = 1},
  [650] = {.lex_state = 47, .external_lex_state = 1},
  [651] = {.lex_state = 47, .external_lex_state = 1},
  [652] = {.lex_state = 47, .external_lex_state = 1},
  [653] = {.lex_state = 47, .external_lex_state = 1},
  [654] = {.lex_state = 47, .external_lex_state = 1},
  [655] = {.lex_state = 47, .external_lex_state = 1},
  [656] = {.lex_state = 47, .external_lex_state = 1},
  [657] = {.lex_state = 47, .external_lex_state = 1},
  [658] = {.lex_state = 48, .external_lex_state = 1},
  [659] = {.lex_state = 48, .external_lex_state = 1},
  [660] = {.lex_state = 23, .external_lex_state = 1},
  [661] = {.lex_state = 23, .external_lex_state = 1},
  [662] = {.lex_state = 24, .external_lex_state = 1},
  [663] = {.lex_state = 23, .external_lex_state = 1},
  [664] = {.lex_state = 24, .external_lex_state = 1},
  [665] = {.lex_state = 23, .external_lex_state = 1},
  [666] = {.lex_state = 23, .external_lex_state = 1},
  [667] = {.lex_state = 23, .external_lex_state = 1},
  [668] = {.lex_state = 23, .external_lex_state = 1},
  [669] = {.lex_state = 23, .external_lex_state = 1},
  [670] = {.lex_state = 23, .external_lex_state = 1},
  [671] = {.lex_state = 48, .external_lex_state = 1},
  [672] = {.lex_state = 24, .external_lex_state = 1},
  [673] = {.lex_state = 23, .external_lex_state = 1},
  [674] = {.lex_state = 23, .external_lex_state = 1},
  [675] = {.lex_state = 50, .external_lex_state = 1},
  [676] = {.lex_state = 23, .external_lex_state = 1},
  [677] = {.lex_state = 23, .external_lex_state = 1},
  [678] = {.lex_state = 48, .external_lex_state = 1},
  [679] = {.lex_state = 24, .external_lex_state = 1},
  [680] = {.lex_state = 23, .external_lex_state = 1},
  [681] = {.lex_state = 23, .external_lex_state = 1},
  [682] = {.lex_state = 47, .external_lex_state = 1},
  [683] = {.lex_state = 23, .external_lex_state = 1},
  [684] = {.lex_state = 48, .external_lex_state = 1},
  [685] = {.lex_state = 23, .external_lex_state = 1},
  [686] = {.lex_state = 23, .external_lex_state = 1},
  [687] = {.lex_state = 25, .external_lex_state = 1},
  [688] = {.lex_state = 23, .external_lex_state = 1},
  [689] = {.lex_state = 23, .external_lex_state = 1},
  [690] = {.lex_state = 48, .external_lex_state = 1},
  [691] = {.lex_state = 48, .external_lex_state = 1},
  [692] = {.lex_state = 24, .external_lex_state = 1},
  [693] = {.lex_state = 48, .external_lex_state = 1},
  [694] = {.lex_state = 48, .external_lex_state = 1},
  [695] = {.lex_state = 24, .external_lex_state = 1},
  [696] = {.lex_state = 24, .external_lex_state = 1},
  [697] = {.lex_state = 24, .external_lex_state = 1},
  [698] = {.lex_state = 51, .external_lex_state = 1},
  [699] = {.lex_state = 51, .external_lex_state = 1},
  [700] = {.lex_state = 51, .external_lex_state = 1},
  [701] = {.lex_state = 24, .external_lex_state = 1},
  [702] = {.lex_state = 24, .external_lex_state = 1},
  [703] = {.lex_state = 48, .external_lex_state = 1},
  [704] = {.lex_state = 51, .external_lex_state = 1},
  [705] = {.lex_state = 24, .external_lex_state = 1},
  [706] = {.lex_state = 51, .external_lex_state = 1},
  [707] = {.lex_state = 51, .external_lex_state = 1},
  [708] = {.lex_state = 24, .external_lex_state = 1},
  [709] = {.lex_state = 24, .external_lex_state = 1},
  [710] = {.lex_state = 48, .external_lex_state = 1},
  [711] = {.lex_state = 48, .external_lex_state = 1},
  [712] = {.lex_state = 48, .external_lex_state = 1},
  [713] = {.lex_state = 48, .external_lex_state = 1},
  [714] = {.lex_state = 48, .external_lex_state = 1},
  [715] = {.lex_state = 24, .external_lex_state = 1},
  [716] = {.lex_state = 24, .external_lex_state = 1},
  [717] = {.lex_state = 51, .external_lex_state = 1},
  [718] = {.lex_state = 51, .external_lex_state = 1},
  [719] = {.lex_state = 51, .external_lex_state = 1},
  [720] = {.lex_state = 51, .external_lex_state = 1},
  [721] = {.lex_state = 24, .external_lex_state = 1},
  [722] = {.lex_state = 51, .external_lex_state = 1},
  [723] = {.lex_state = 24, .external_lex_state = 1},
  [724] = {.lex_state = 48, .external_lex_state = 1},
  [725] = {.lex_state = 48, .external_lex_state = 1},
  [726] = {.lex_state = 48, .external_lex_state = 1},
  [727] = {.lex_state = 23, .external_lex_state = 1},
  [728] = {.lex_state = 23, .external_lex_state = 1},
  [729] = {.lex_state = 48, .external_lex_state = 1},
  [730] = {.lex_state = 48, .external_lex_state = 1},
  [731] = {.lex_state = 23, .external_lex_state = 1},
  [732] = {.lex_state = 23, .external_lex_state = 1},
  [733] = {.lex_state = 48, .external_lex_state = 1},
  [734] = {.lex_state = 23, .external_lex_state = 1},
  [735] = {.lex_state = 23, .external_lex_state = 1},
  [736] = {.lex_state = 23, .external_lex_state = 1},
  [737] = {.lex_state = 23, .external_lex_state = 1},
  [738] = {.lex_state = 48, .external_lex_state = 1},
  [739] = {.lex_state = 23, .external_lex_state = 1},
  [740] = {.lex_state = 23, .external_lex_state = 1},
  [741] = {.lex_state = 48, .external_lex_state = 1},
  [742] = {.lex_state = 51, .external_lex_state = 1},
  [743] = {.lex_state = 23, .external_lex_state = 1},
  [744] = {.lex_state = 23, .external_lex_state = 1},
  [745] = {.lex_state = 23, .external_lex_state = 1},
  [746] = {.lex_state = 23, .external_lex_state = 1},
  [747] = {.lex_state = 23, .external_lex_state = 1},
  [748] = {.lex_state = 51, .external_lex_state = 1},
  [749] = {.lex_state = 24, .external_lex_state = 1},
  [750] = {.lex_state = 24, .external_lex_state = 1},
  [751] = {.lex_state = 51, .external_lex_state = 1},
  [752] = {.lex_state = 24, .external_lex_state = 1},
  [753] = {.lex_state = 24, .external_lex_state = 1},
  [754] = {.lex_state = 26, .external_lex_state = 1},
  [755] = {.lex_state = 24, .external_lex_state = 1},
  [756] = {.lex_state = 51, .external_lex_state = 1},
  [757] = {.lex_state = 23, .external_lex_state = 1},
  [758] = {.lex_state = 23, .external_lex_state = 1},
  [759] = {.lex_state = 23, .external_lex_state = 1},
  [760] = {.lex_state = 23, .external_lex_state = 1},
  [761] = {.lex_state = 23, .external_lex_state = 1},
  [762] = {.lex_state = 48, .external_lex_state = 1},
  [763] = {.lex_state = 23, .external_lex_state = 1},
  [764] = {.lex_state = 23, .external_lex_state = 1},
  [765] = {.lex_state = 23, .external_lex_state = 1},
  [766] = {.lex_state = 48, .external_lex_state = 1},
  [767] = {.lex_state = 48, .external_lex_state = 1},
  [768] = {.lex_state = 24, .external_lex_state = 1},
  [769] = {.lex_state = 48, .external_lex_state = 1},
  [770] = {.lex_state = 48, .external_lex_state = 1},
  [771] = {.lex_state = 48, .external_lex_state = 1},
  [772] = {.lex_state = 24, .external_lex_state = 1},
  [773] = {.lex_state = 48, .external_lex_state = 1},
  [774] = {.lex_state = 48, .external_lex_state = 1},
  [775] = {.lex_state = 48, .external_lex_state = 1},
  [776] = {.lex_state = 51, .external_lex_state = 1},
  [777] = {.lex_state = 24, .external_lex_state = 1},
  [778] = {.lex_state = 24, .external_lex_state = 1},
  [779] = {.lex_state = 24, .external_lex_state = 1},
  [780] = {.lex_state = 48, .external_lex_state = 1},
  [781] = {.lex_state = 51, .external_lex_state = 1},
  [782] = {.lex_state = 24, .external_lex_state = 1},
  [783] = {.lex_state = 24, .external_lex_state = 1},
  [784] = {.lex_state = 51, .external_lex_state = 1},
  [785] = {.lex_state = 48, .external_lex_state = 1},
  [786] = {.lex_state = 51, .external_lex_state = 1},
  [787] = {.lex_state = 51, .external_lex_state = 1},
  [788] = {.lex_state = 51, .external_lex_state = 1},
  [789] = {.lex_state = 51, .external_lex_state = 1},
  [790] = {.lex_state = 48, .external_lex_state = 1},
  [791] = {.lex_state = 48, .external_lex_state = 1},
  [792] = {.lex_state = 48, .external_lex_state = 1},
  [793] = {.lex_state = 24, .external_lex_state = 1},
  [794] = {.lex_state = 48, .external_lex_state = 1},
  [795] = {.lex_state = 24, .external_lex_state = 1},
  [796] = {.lex_state = 48, .external_lex_state = 1},
  [797] = {.lex_state = 48, .external_lex_state = 1},
  [798] = {.lex_state = 48, .external_lex_state = 1},
  [799] = {.lex_state = 24, .external_lex_state = 1},
  [800] = {.lex_state = 51, .external_lex_state = 1},
  [801] = {.lex_state = 48, .external_lex_state = 1},
  [802] = {.lex_state = 48, .external_lex_state = 1},
  [803] = {.lex_state = 48, .external_lex_state = 1},
  [804] = {.lex_state = 48, .external_lex_state = 1},
  [805] = {.lex_state = 48, .external_lex_state = 1},
  [806] = {.lex_state = 51, .external_lex_state = 1},
  [807] = {.lex_state = 48, .external_lex_state = 1},
  [808] = {.lex_state = 51, .external_lex_state = 1},
  [809] = {.lex_state = 48, .external_lex_state = 1},
  [810] = {.lex_state = 51, .external_lex_state = 1},
  [811] = {.lex_state = 48, .external_lex_state = 1},
  [812] = {.lex_state = 48, .external_lex_state = 1},
  [813] = {.lex_state = 48, .external_lex_state = 1},
  [814] = {.lex_state = 51, .external_lex_state = 1},
  [815] = {.lex_state = 24, .external_lex_state = 1},
  [816] = {.lex_state = 24, .external_lex_state = 1},
  [817] = {.lex_state = 24, .external_lex_state = 1},
  [818] = {.lex_state = 24, .external_lex_state = 1},
  [819] = {.lex_state = 24, .external_lex_state = 1},
  [820] = {.lex_state = 24, .external_lex_state = 1},
  [821] = {.lex_state = 24, .external_lex_state = 1},
  [822] = {.lex_state = 24, .external_lex_state = 1},
  [823] = {.lex_state = 24, .external_lex_state = 1},
  [824] = {.lex_state = 24, .external_lex_state = 1},
  [825] = {.lex_state = 24, .external_lex_state = 1},
  [826] = {.lex_state = 24, .external_lex_state = 1},
  [827] = {.lex_state = 24, .external_lex_state = 1},
  [828] = {.lex_state = 24, .external_lex_state = 1},
  [829] = {.lex_state = 24, .external_lex_state = 1},
  [830] = {.lex_state = 24, .external_lex_state = 1},
  [831] = {.lex_state = 24, .external_lex_state = 1},
  [832] = {.lex_state = 24, .external_lex_state = 1},
  [833] = {.lex_state = 24, .external_lex_state = 1},
  [834] = {.lex_state = 24, .external_lex_state = 1},
  [835] = {.lex_state = 24, .external_lex_state = 1},
  [836] = {.lex_state = 24, .external_lex_state = 1},
  [837] = {.lex_state = 24, .external_lex_state = 1},
  [838] = {.lex_state = 24, .external_lex_state = 1},
  [839] = {.lex_state = 27},
  [840] = {.lex_state = 27},
  [841] = {.lex_state = 27},
  [842] = {.lex_state = 51, .external_lex_state = 1},
  [843] = {.lex_state = 51, .external_lex_state = 1},
  [844] = {.lex_state = 51, .external_lex_state = 1},
  [845] = {.lex_state = 27},
  [846] = {.lex_state = 27},
  [847] = {.lex_state = 27},
  [848] = {.lex_state = 27},
  [849] = {.lex_state = 27},
  [850] = {.lex_state = 27},
  [851] = {.lex_state = 27},
  [852] = {.lex_state = 27},
  [853] = {.lex_state = 27},
  [854] = {.lex_state = 27},
  [855] = {.lex_state = 27},
  [856] = {.lex_state = 27},
  [857] = {.lex_state = 27},
  [858] = {.lex_state = 27},
  [859] = {.lex_state = 27},
  [860] = {.lex_state = 27},
  [861] = {.lex_state = 27},
  [862] = {.lex_state = 27},
  [863] = {.lex_state = 27},
  [864] = {.lex_state = 51, .external_lex_state = 1},
  [865] = {.lex_state = 27},
  [866] = {.lex_state = 27},
  [867] = {.lex_state = 27},
  [868] = {.lex_state = 27},
  [869] = {.lex_state = 27},
  [870] = {.lex_state = 51, .external_lex_state = 1},
  [871] = {.lex_state = 27},
  [872] = {.lex_state = 27},
  [873] = {.lex_state = 27},
  [874] = {.lex_state = 28},
  [875] = {.lex_state = 27},
  [876] = {.lex_state = 27},
  [877] = {.lex_state = 27},
  [878] = {.lex_state = 27},
  [879] = {.lex_state = 27},
  [880] = {.lex_state = 27},
  [881] = {.lex_state = 51, .external_lex_state = 1},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 51, .external_lex_state = 1},
  [884] = {.lex_state = 51, .external_lex_state = 1},
  [885] = {.lex_state = 27},
  [886] = {.lex_state = 27},
  [887] = {.lex_state = 27},
  [888] = {.lex_state = 27},
  [889] = {.lex_state = 27},
  [890] = {.lex_state = 27},
  [891] = {.lex_state = 27},
  [892] = {.lex_state = 27},
  [893] = {.lex_state = 27},
  [894] = {.lex_state = 27},
  [895] = {.lex_state = 27},
  [896] = {.lex_state = 51, .external_lex_state = 1},
  [897] = {.lex_state = 51, .external_lex_state = 1},
  [898] = {.lex_state = 27},
  [899] = {.lex_state = 51, .external_lex_state = 1},
  [900] = {.lex_state = 27},
  [901] = {.lex_state = 27},
  [902] = {.lex_state = 27},
  [903] = {.lex_state = 27},
  [904] = {.lex_state = 27},
  [905] = {.lex_state = 27},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 29, .external_lex_state = 1},
  [952] = {.lex_state = 30},
  [953] = {.lex_state = 29, .external_lex_state = 1},
  [954] = {.lex_state = 29, .external_lex_state = 1},
  [955] = {.lex_state = 29, .external_lex_state = 1},
  [956] = {.lex_state = 29, .external_lex_state = 1},
  [957] = {.lex_state = 29, .external_lex_state = 1},
  [958] = {.lex_state = 29, .external_lex_state = 1},
  [959] = {.lex_state = 30},
  [960] = {.lex_state = 29, .external_lex_state = 1},
  [961] = {.lex_state = 30},
  [962] = {.lex_state = 29, .external_lex_state = 1},
  [963] = {.lex_state = 30},
  [964] = {.lex_state = 13},
  [965] = {.lex_state = 16},
  [966] = {.lex_state = 13},
  [967] = {.lex_state = 18},
  [968] = {.lex_state = 13},
  [969] = {.lex_state = 18},
  [970] = {.lex_state = 16},
  [971] = {.lex_state = 13},
  [972] = {.lex_state = 18},
  [973] = {.lex_state = 16},
  [974] = {.lex_state = 18},
  [975] = {.lex_state = 18},
  [976] = {.lex_state = 16},
  [977] = {.lex_state = 18},
  [978] = {.lex_state = 13},
  [979] = {.lex_state = 16},
  [980] = {.lex_state = 16},
  [981] = {.lex_state = 18},
  [982] = {.lex_state = 13},
  [983] = {.lex_state = 16},
  [984] = {.lex_state = 13},
  [985] = {.lex_state = 18},
  [986] = {.lex_state = 16},
  [987] = {.lex_state = 16},
  [988] = {.lex_state = 13},
  [989] = {.lex_state = 18},
  [990] = {.lex_state = 13},
  [991] = {.lex_state = 18},
  [992] = {.lex_state = 16},
  [993] = {.lex_state = 16},
  [994] = {.lex_state = 20},
  [995] = {.lex_state = 18},
  [996] = {.lex_state = 13},
  [997] = {.lex_state = 16},
  [998] = {.lex_state = 20},
  [999] = {.lex_state = 18},
  [1000] = {.lex_state = 13},
  [1001] = {.lex_state = 16},
  [1002] = {.lex_state = 13},
  [1003] = {.lex_state = 18},
  [1004] = {.lex_state = 13},
  [1005] = {.lex_state = 16},
  [1006] = {.lex_state = 16},
  [1007] = {.lex_state = 13},
  [1008] = {.lex_state = 18},
  [1009] = {.lex_state = 18},
  [1010] = {.lex_state = 13},
  [1011] = {.lex_state = 16},
  [1012] = {.lex_state = 20},
  [1013] = {.lex_state = 18},
  [1014] = {.lex_state = 18},
  [1015] = {.lex_state = 13},
  [1016] = {.lex_state = 16},
  [1017] = {.lex_state = 13},
  [1018] = {.lex_state = 18},
  [1019] = {.lex_state = 13},
  [1020] = {.lex_state = 16},
  [1021] = {.lex_state = 16},
  [1022] = {.lex_state = 13},
  [1023] = {.lex_state = 18},
  [1024] = {.lex_state = 29},
  [1025] = {.lex_state = 29},
  [1026] = {.lex_state = 29},
  [1027] = {.lex_state = 29},
  [1028] = {.lex_state = 29},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 29},
  [1032] = {.lex_state = 29},
  [1033] = {.lex_state = 29},
  [1034] = {.lex_state = 29},
  [1035] = {.lex_state = 29},
  [1036] = {.lex_state = 29},
  [1037] = {.lex_state = 29},
  [1038] = {.lex_state = 29},
  [1039] = {.lex_state = 29},
  [1040] = {.lex_state = 29},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 29},
  [1043] = {.lex_state = 29},
  [1044] = {.lex_state = 29},
  [1045] = {.lex_state = 29},
  [1046] = {.lex_state = 29},
  [1047] = {.lex_state = 29},
  [1048] = {.lex_state = 29},
  [1049] = {.lex_state = 29},
  [1050] = {.lex_state = 29},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 29},
  [1053] = {.lex_state = 29},
  [1054] = {.lex_state = 29},
  [1055] = {.lex_state = 29},
  [1056] = {.lex_state = 29},
  [1057] = {.lex_state = 29},
  [1058] = {.lex_state = 29},
  [1059] = {.lex_state = 29},
  [1060] = {.lex_state = 29},
  [1061] = {.lex_state = 29},
  [1062] = {.lex_state = 29},
  [1063] = {.lex_state = 29},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 24},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 24},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 27},
  [1105] = {.lex_state = 24},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 27},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 27},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 27},
  [1117] = {.lex_state = 24},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 27},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 27},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 24},
  [1128] = {.lex_state = 27},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 27},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 24},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 24},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 27},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 24},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 24},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
};

enum {
  ts_external_token__raw_string_literal = 0,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__raw_string_literal] = sym__raw_string_literal,
};

static const bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__raw_string_literal] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_repeat] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_DASH_GT_GT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_dots] = ACTIONS(1),
    [sym_placeholder] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [sym_break] = ACTIONS(1),
    [sym_next] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_inf] = ACTIONS(1),
    [sym_nan] = ACTIONS(1),
    [anon_sym_NA] = ACTIONS(1),
    [anon_sym_NA_character_] = ACTIONS(1),
    [anon_sym_NA_complex_] = ACTIONS(1),
    [anon_sym_NA_integer_] = ACTIONS(1),
    [anon_sym_NA_real_] = ACTIONS(1),
    [aux_sym_identifier_token1] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_i] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [sym__raw_string_literal] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1085),
    [sym_function_definition] = STATE(659),
    [sym_lambda_function] = STATE(659),
    [sym_if] = STATE(659),
    [sym_while] = STATE(659),
    [sym_repeat] = STATE(659),
    [sym_for] = STATE(659),
    [sym_switch] = STATE(659),
    [sym_call] = STATE(659),
    [sym__assignment] = STATE(659),
    [sym_left_assignment] = STATE(659),
    [sym_left_assignment2] = STATE(659),
    [sym_equals_assignment] = STATE(659),
    [sym_super_assignment] = STATE(659),
    [sym_super_right_assignment] = STATE(659),
    [sym_right_assignment] = STATE(659),
    [sym_brace_list] = STATE(659),
    [sym_paren_list] = STATE(659),
    [sym_subset] = STATE(659),
    [sym_subset2] = STATE(659),
    [sym_dollar] = STATE(659),
    [sym_slot] = STATE(659),
    [sym_namespace_get] = STATE(659),
    [sym_namespace_get_internal] = STATE(659),
    [sym_help] = STATE(659),
    [sym_pipe] = STATE(659),
    [sym_unary] = STATE(659),
    [sym_binary] = STATE(659),
    [sym_na] = STATE(659),
    [sym__expression] = STATE(659),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(659),
    [sym_string] = STATE(659),
    [aux_sym_program_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(27),
    [sym_next] = ACTIONS(27),
    [sym_true] = ACTIONS(27),
    [sym_false] = ACTIONS(27),
    [sym_null] = ACTIONS(27),
    [sym_inf] = ACTIONS(27),
    [sym_nan] = ACTIONS(27),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(41),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [2] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1141),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [3] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1094),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [4] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1134),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(103),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [5] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1113),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(105),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [6] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1151),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [7] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1102),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [8] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1123),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [9] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1097),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(113),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [10] = {
    [sym_function_definition] = STATE(742),
    [sym_lambda_function] = STATE(742),
    [sym_if] = STATE(742),
    [sym_while] = STATE(742),
    [sym_repeat] = STATE(742),
    [sym_for] = STATE(742),
    [sym_switch] = STATE(742),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(842),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(742),
    [sym__assignment] = STATE(742),
    [sym_left_assignment] = STATE(742),
    [sym_left_assignment2] = STATE(742),
    [sym_equals_assignment] = STATE(742),
    [sym_super_assignment] = STATE(742),
    [sym_super_right_assignment] = STATE(742),
    [sym_right_assignment] = STATE(742),
    [sym_brace_list] = STATE(742),
    [sym_paren_list] = STATE(742),
    [sym_subset] = STATE(742),
    [sym_subset2] = STATE(742),
    [sym_dollar] = STATE(742),
    [sym_slot] = STATE(742),
    [sym_namespace_get] = STATE(742),
    [sym_namespace_get_internal] = STATE(742),
    [sym_help] = STATE(742),
    [sym_pipe_placeholder_argument] = STATE(18),
    [sym__pipe_rhs_argument] = STATE(18),
    [sym_pipe_rhs_arguments] = STATE(1111),
    [sym_pipe] = STATE(742),
    [sym_unary] = STATE(742),
    [sym_binary] = STATE(742),
    [sym_na] = STATE(742),
    [sym__expression] = STATE(742),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(742),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(18),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(83),
    [sym_next] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_inf] = ACTIONS(83),
    [sym_nan] = ACTIONS(83),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [11] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1119),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(119),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [12] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1087),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [13] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1127),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(147),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [14] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_default_argument] = STATE(14),
    [sym__argument] = STATE(14),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(14),
    [anon_sym_function] = ACTIONS(177),
    [anon_sym_BSLASH] = ACTIONS(180),
    [anon_sym_if] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(186),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(191),
    [anon_sym_repeat] = ACTIONS(194),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(200),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(209),
    [sym_dots] = ACTIONS(212),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(218),
    [anon_sym_TILDE] = ACTIONS(221),
    [sym_break] = ACTIONS(224),
    [sym_next] = ACTIONS(224),
    [sym_true] = ACTIONS(224),
    [sym_false] = ACTIONS(224),
    [sym_null] = ACTIONS(224),
    [sym_inf] = ACTIONS(224),
    [sym_nan] = ACTIONS(224),
    [anon_sym_NA] = ACTIONS(227),
    [anon_sym_NA_character_] = ACTIONS(227),
    [anon_sym_NA_complex_] = ACTIONS(227),
    [anon_sym_NA_integer_] = ACTIONS(227),
    [anon_sym_NA_real_] = ACTIONS(227),
    [aux_sym_identifier_token1] = ACTIONS(230),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [sym_integer] = ACTIONS(236),
    [sym_float] = ACTIONS(239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(242),
    [anon_sym_SQUOTE] = ACTIONS(245),
    [sym__raw_string_literal] = ACTIONS(248),
  },
  [15] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1093),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(251),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [16] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1092),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [17] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1089),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [18] = {
    [sym_function_definition] = STATE(776),
    [sym_lambda_function] = STATE(776),
    [sym_if] = STATE(776),
    [sym_while] = STATE(776),
    [sym_repeat] = STATE(776),
    [sym_for] = STATE(776),
    [sym_switch] = STATE(776),
    [sym_default_argument] = STATE(20),
    [sym_call] = STATE(776),
    [sym__assignment] = STATE(776),
    [sym_left_assignment] = STATE(776),
    [sym_left_assignment2] = STATE(776),
    [sym_equals_assignment] = STATE(776),
    [sym_super_assignment] = STATE(776),
    [sym_super_right_assignment] = STATE(776),
    [sym_right_assignment] = STATE(776),
    [sym_brace_list] = STATE(776),
    [sym_paren_list] = STATE(776),
    [sym_subset] = STATE(776),
    [sym_subset2] = STATE(776),
    [sym_dollar] = STATE(776),
    [sym_slot] = STATE(776),
    [sym_namespace_get] = STATE(776),
    [sym_namespace_get_internal] = STATE(776),
    [sym_help] = STATE(776),
    [sym_pipe_placeholder_argument] = STATE(20),
    [sym__pipe_rhs_argument] = STATE(20),
    [sym_pipe] = STATE(776),
    [sym_unary] = STATE(776),
    [sym_binary] = STATE(776),
    [sym_na] = STATE(776),
    [sym__expression] = STATE(776),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(776),
    [sym_string] = STATE(700),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(20),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(259),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(261),
    [sym_next] = ACTIONS(261),
    [sym_true] = ACTIONS(261),
    [sym_false] = ACTIONS(261),
    [sym_null] = ACTIONS(261),
    [sym_inf] = ACTIONS(261),
    [sym_nan] = ACTIONS(261),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(263),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [19] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1132),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [20] = {
    [sym_function_definition] = STATE(776),
    [sym_lambda_function] = STATE(776),
    [sym_if] = STATE(776),
    [sym_while] = STATE(776),
    [sym_repeat] = STATE(776),
    [sym_for] = STATE(776),
    [sym_switch] = STATE(776),
    [sym_default_argument] = STATE(20),
    [sym_call] = STATE(776),
    [sym__assignment] = STATE(776),
    [sym_left_assignment] = STATE(776),
    [sym_left_assignment2] = STATE(776),
    [sym_equals_assignment] = STATE(776),
    [sym_super_assignment] = STATE(776),
    [sym_super_right_assignment] = STATE(776),
    [sym_right_assignment] = STATE(776),
    [sym_brace_list] = STATE(776),
    [sym_paren_list] = STATE(776),
    [sym_subset] = STATE(776),
    [sym_subset2] = STATE(776),
    [sym_dollar] = STATE(776),
    [sym_slot] = STATE(776),
    [sym_namespace_get] = STATE(776),
    [sym_namespace_get_internal] = STATE(776),
    [sym_help] = STATE(776),
    [sym_pipe_placeholder_argument] = STATE(20),
    [sym__pipe_rhs_argument] = STATE(20),
    [sym_pipe] = STATE(776),
    [sym_unary] = STATE(776),
    [sym_binary] = STATE(776),
    [sym_na] = STATE(776),
    [sym__expression] = STATE(776),
    [sym_identifier] = STATE(640),
    [sym_complex] = STATE(776),
    [sym_string] = STATE(700),
    [aux_sym_pipe_rhs_arguments_repeat1] = STATE(20),
    [anon_sym_function] = ACTIONS(267),
    [anon_sym_BSLASH] = ACTIONS(270),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_while] = ACTIONS(281),
    [anon_sym_repeat] = ACTIONS(284),
    [anon_sym_for] = ACTIONS(287),
    [anon_sym_switch] = ACTIONS(290),
    [anon_sym_COMMA] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(299),
    [sym_dots] = ACTIONS(302),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(308),
    [anon_sym_TILDE] = ACTIONS(311),
    [sym_break] = ACTIONS(314),
    [sym_next] = ACTIONS(314),
    [sym_true] = ACTIONS(314),
    [sym_false] = ACTIONS(314),
    [sym_null] = ACTIONS(314),
    [sym_inf] = ACTIONS(314),
    [sym_nan] = ACTIONS(314),
    [anon_sym_NA] = ACTIONS(317),
    [anon_sym_NA_character_] = ACTIONS(317),
    [anon_sym_NA_complex_] = ACTIONS(317),
    [anon_sym_NA_integer_] = ACTIONS(317),
    [anon_sym_NA_real_] = ACTIONS(317),
    [aux_sym_identifier_token1] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(323),
    [sym_integer] = ACTIONS(326),
    [sym_float] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(332),
    [anon_sym_SQUOTE] = ACTIONS(335),
    [sym__raw_string_literal] = ACTIONS(338),
  },
  [21] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_default_argument] = STATE(14),
    [sym__argument] = STATE(14),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(14),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [22] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1139),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [23] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1098),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(347),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [24] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1095),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [25] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1155),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(351),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [26] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1117),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [27] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1150),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [28] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1156),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [29] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1136),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(359),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [30] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1121),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [31] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1083),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(363),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [32] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1154),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [33] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1147),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [34] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1105),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(369),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [35] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1107),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(371),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [36] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1109),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [37] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1145),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [38] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_arguments] = STATE(1144),
    [sym_default_argument] = STATE(52),
    [sym__argument] = STATE(52),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(52),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(377),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [39] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1129),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(379),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [40] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1099),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [41] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1138),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(383),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [42] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1125),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [43] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1096),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [44] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1153),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [45] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1135),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [46] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1142),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [47] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1115),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [48] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1088),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [49] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1103),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [50] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_default_argument] = STATE(50),
    [sym__argument] = STATE(50),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(50),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_BSLASH] = ACTIONS(388),
    [anon_sym_if] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_repeat] = ACTIONS(400),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_switch] = ACTIONS(406),
    [anon_sym_COMMA] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(412),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(415),
    [sym_dots] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(424),
    [anon_sym_TILDE] = ACTIONS(427),
    [sym_break] = ACTIONS(430),
    [sym_next] = ACTIONS(430),
    [sym_true] = ACTIONS(430),
    [sym_false] = ACTIONS(430),
    [sym_null] = ACTIONS(430),
    [sym_inf] = ACTIONS(430),
    [sym_nan] = ACTIONS(430),
    [anon_sym_NA] = ACTIONS(433),
    [anon_sym_NA_character_] = ACTIONS(433),
    [anon_sym_NA_complex_] = ACTIONS(433),
    [anon_sym_NA_integer_] = ACTIONS(433),
    [anon_sym_NA_real_] = ACTIONS(433),
    [aux_sym_identifier_token1] = ACTIONS(436),
    [anon_sym_BQUOTE] = ACTIONS(439),
    [sym_integer] = ACTIONS(442),
    [sym_float] = ACTIONS(445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_SQUOTE] = ACTIONS(451),
    [sym__raw_string_literal] = ACTIONS(454),
  },
  [51] = {
    [sym_function_definition] = STATE(563),
    [sym_lambda_function] = STATE(563),
    [sym_if] = STATE(563),
    [sym_while] = STATE(563),
    [sym_repeat] = STATE(563),
    [sym_for] = STATE(563),
    [sym_switch] = STATE(563),
    [sym_arguments] = STATE(1100),
    [sym_default_argument] = STATE(21),
    [sym__argument] = STATE(21),
    [sym_call] = STATE(563),
    [sym__assignment] = STATE(563),
    [sym_left_assignment] = STATE(563),
    [sym_left_assignment2] = STATE(563),
    [sym_equals_assignment] = STATE(563),
    [sym_super_assignment] = STATE(563),
    [sym_super_right_assignment] = STATE(563),
    [sym_right_assignment] = STATE(563),
    [sym_brace_list] = STATE(563),
    [sym_paren_list] = STATE(563),
    [sym_subset] = STATE(563),
    [sym_subset2] = STATE(563),
    [sym_dollar] = STATE(563),
    [sym_slot] = STATE(563),
    [sym_namespace_get] = STATE(563),
    [sym_namespace_get_internal] = STATE(563),
    [sym_help] = STATE(563),
    [sym_pipe] = STATE(563),
    [sym_unary] = STATE(563),
    [sym_binary] = STATE(563),
    [sym_na] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_identifier] = STATE(401),
    [sym_complex] = STATE(563),
    [sym_string] = STATE(700),
    [aux_sym_arguments_repeat1] = STATE(21),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(121),
    [sym_next] = ACTIONS(121),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [sym_null] = ACTIONS(121),
    [sym_inf] = ACTIONS(121),
    [sym_nan] = ACTIONS(121),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [52] = {
    [sym_function_definition] = STATE(708),
    [sym_lambda_function] = STATE(708),
    [sym_if] = STATE(708),
    [sym_while] = STATE(708),
    [sym_repeat] = STATE(708),
    [sym_for] = STATE(708),
    [sym_switch] = STATE(708),
    [sym_default_argument] = STATE(50),
    [sym__argument] = STATE(50),
    [sym_call] = STATE(708),
    [sym__assignment] = STATE(708),
    [sym_left_assignment] = STATE(708),
    [sym_left_assignment2] = STATE(708),
    [sym_equals_assignment] = STATE(708),
    [sym_super_assignment] = STATE(708),
    [sym_super_right_assignment] = STATE(708),
    [sym_right_assignment] = STATE(708),
    [sym_brace_list] = STATE(708),
    [sym_paren_list] = STATE(708),
    [sym_subset] = STATE(708),
    [sym_subset2] = STATE(708),
    [sym_dollar] = STATE(708),
    [sym_slot] = STATE(708),
    [sym_namespace_get] = STATE(708),
    [sym_namespace_get_internal] = STATE(708),
    [sym_help] = STATE(708),
    [sym_pipe] = STATE(708),
    [sym_unary] = STATE(708),
    [sym_binary] = STATE(708),
    [sym_na] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_identifier] = STATE(520),
    [sym_complex] = STATE(708),
    [sym_string] = STATE(837),
    [aux_sym_arguments_repeat1] = STATE(50),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(457),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(341),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(159),
    [sym_next] = ACTIONS(159),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [sym_null] = ACTIONS(159),
    [sym_inf] = ACTIONS(159),
    [sym_nan] = ACTIONS(159),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [53] = {
    [sym_function_definition] = STATE(648),
    [sym_lambda_function] = STATE(648),
    [sym_if] = STATE(648),
    [sym_while] = STATE(648),
    [sym_repeat] = STATE(648),
    [sym_for] = STATE(648),
    [sym_switch] = STATE(648),
    [sym_call] = STATE(648),
    [sym__assignment] = STATE(648),
    [sym_left_assignment] = STATE(648),
    [sym_left_assignment2] = STATE(648),
    [sym_equals_assignment] = STATE(648),
    [sym_super_assignment] = STATE(648),
    [sym_super_right_assignment] = STATE(648),
    [sym_right_assignment] = STATE(648),
    [sym_brace_list] = STATE(648),
    [sym_paren_list] = STATE(648),
    [sym_subset] = STATE(648),
    [sym_subset2] = STATE(648),
    [sym_dollar] = STATE(648),
    [sym_slot] = STATE(648),
    [sym_namespace_get] = STATE(648),
    [sym_namespace_get_internal] = STATE(648),
    [sym_help] = STATE(648),
    [sym_pipe] = STATE(648),
    [sym_unary] = STATE(648),
    [sym_binary] = STATE(648),
    [sym_na] = STATE(648),
    [sym__expression] = STATE(648),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(648),
    [sym_string] = STATE(648),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_RBRACK] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(461),
    [sym_next] = ACTIONS(461),
    [sym_true] = ACTIONS(461),
    [sym_false] = ACTIONS(461),
    [sym_null] = ACTIONS(461),
    [sym_inf] = ACTIONS(461),
    [sym_nan] = ACTIONS(461),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(463),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [54] = {
    [sym_function_definition] = STATE(648),
    [sym_lambda_function] = STATE(648),
    [sym_if] = STATE(648),
    [sym_while] = STATE(648),
    [sym_repeat] = STATE(648),
    [sym_for] = STATE(648),
    [sym_switch] = STATE(648),
    [sym_call] = STATE(648),
    [sym__assignment] = STATE(648),
    [sym_left_assignment] = STATE(648),
    [sym_left_assignment2] = STATE(648),
    [sym_equals_assignment] = STATE(648),
    [sym_super_assignment] = STATE(648),
    [sym_super_right_assignment] = STATE(648),
    [sym_right_assignment] = STATE(648),
    [sym_brace_list] = STATE(648),
    [sym_paren_list] = STATE(648),
    [sym_subset] = STATE(648),
    [sym_subset2] = STATE(648),
    [sym_dollar] = STATE(648),
    [sym_slot] = STATE(648),
    [sym_namespace_get] = STATE(648),
    [sym_namespace_get_internal] = STATE(648),
    [sym_help] = STATE(648),
    [sym_pipe] = STATE(648),
    [sym_unary] = STATE(648),
    [sym_binary] = STATE(648),
    [sym_na] = STATE(648),
    [sym__expression] = STATE(648),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(648),
    [sym_string] = STATE(648),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(461),
    [sym_placeholder] = ACTIONS(465),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(461),
    [sym_next] = ACTIONS(461),
    [sym_true] = ACTIONS(461),
    [sym_false] = ACTIONS(461),
    [sym_null] = ACTIONS(461),
    [sym_inf] = ACTIONS(461),
    [sym_nan] = ACTIONS(461),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(463),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [55] = {
    [sym_function_definition] = STATE(659),
    [sym_lambda_function] = STATE(659),
    [sym_if] = STATE(659),
    [sym_while] = STATE(659),
    [sym_repeat] = STATE(659),
    [sym_for] = STATE(659),
    [sym_switch] = STATE(659),
    [sym_call] = STATE(659),
    [sym__assignment] = STATE(659),
    [sym_left_assignment] = STATE(659),
    [sym_left_assignment2] = STATE(659),
    [sym_equals_assignment] = STATE(659),
    [sym_super_assignment] = STATE(659),
    [sym_super_right_assignment] = STATE(659),
    [sym_right_assignment] = STATE(659),
    [sym_brace_list] = STATE(659),
    [sym_paren_list] = STATE(659),
    [sym_subset] = STATE(659),
    [sym_subset2] = STATE(659),
    [sym_dollar] = STATE(659),
    [sym_slot] = STATE(659),
    [sym_namespace_get] = STATE(659),
    [sym_namespace_get_internal] = STATE(659),
    [sym_help] = STATE(659),
    [sym_pipe] = STATE(659),
    [sym_unary] = STATE(659),
    [sym_binary] = STATE(659),
    [sym_na] = STATE(659),
    [sym__expression] = STATE(659),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(659),
    [sym_string] = STATE(659),
    [aux_sym_program_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(467),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(27),
    [sym_next] = ACTIONS(27),
    [sym_true] = ACTIONS(27),
    [sym_false] = ACTIONS(27),
    [sym_null] = ACTIONS(27),
    [sym_inf] = ACTIONS(27),
    [sym_nan] = ACTIONS(27),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(41),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [56] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(90),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [57] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(78),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(515),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [58] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(66),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(517),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [59] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [60] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [61] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(59),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [62] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [63] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(60),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(531),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [64] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(67),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [65] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [66] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(537),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [67] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(539),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [68] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(62),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [69] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [70] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(545),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [71] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(69),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(547),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [72] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(70),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [73] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(77),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(551),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [74] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(79),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(553),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [75] = {
    [sym_function_definition] = STATE(659),
    [sym_lambda_function] = STATE(659),
    [sym_if] = STATE(659),
    [sym_while] = STATE(659),
    [sym_repeat] = STATE(659),
    [sym_for] = STATE(659),
    [sym_switch] = STATE(659),
    [sym_call] = STATE(659),
    [sym__assignment] = STATE(659),
    [sym_left_assignment] = STATE(659),
    [sym_left_assignment2] = STATE(659),
    [sym_equals_assignment] = STATE(659),
    [sym_super_assignment] = STATE(659),
    [sym_super_right_assignment] = STATE(659),
    [sym_right_assignment] = STATE(659),
    [sym_brace_list] = STATE(659),
    [sym_paren_list] = STATE(659),
    [sym_subset] = STATE(659),
    [sym_subset2] = STATE(659),
    [sym_dollar] = STATE(659),
    [sym_slot] = STATE(659),
    [sym_namespace_get] = STATE(659),
    [sym_namespace_get_internal] = STATE(659),
    [sym_help] = STATE(659),
    [sym_pipe] = STATE(659),
    [sym_unary] = STATE(659),
    [sym_binary] = STATE(659),
    [sym_na] = STATE(659),
    [sym__expression] = STATE(659),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(659),
    [sym_string] = STATE(659),
    [aux_sym_program_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_repeat] = ACTIONS(572),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_switch] = ACTIONS(578),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_QMARK] = ACTIONS(584),
    [sym_dots] = ACTIONS(587),
    [anon_sym_DASH] = ACTIONS(590),
    [anon_sym_PLUS] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(596),
    [sym_break] = ACTIONS(587),
    [sym_next] = ACTIONS(587),
    [sym_true] = ACTIONS(587),
    [sym_false] = ACTIONS(587),
    [sym_null] = ACTIONS(587),
    [sym_inf] = ACTIONS(587),
    [sym_nan] = ACTIONS(587),
    [anon_sym_NA] = ACTIONS(599),
    [anon_sym_NA_character_] = ACTIONS(599),
    [anon_sym_NA_complex_] = ACTIONS(599),
    [anon_sym_NA_integer_] = ACTIONS(599),
    [anon_sym_NA_real_] = ACTIONS(599),
    [aux_sym_identifier_token1] = ACTIONS(602),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [sym_integer] = ACTIONS(608),
    [sym_float] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(614),
    [anon_sym_SQUOTE] = ACTIONS(617),
    [sym__raw_string_literal] = ACTIONS(620),
  },
  [76] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(65),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(623),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [77] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(625),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [78] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [79] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [80] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [81] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [82] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(80),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [83] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(640),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(646),
    [anon_sym_RPAREN] = ACTIONS(649),
    [anon_sym_while] = ACTIONS(651),
    [anon_sym_repeat] = ACTIONS(654),
    [anon_sym_for] = ACTIONS(657),
    [anon_sym_switch] = ACTIONS(660),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(666),
    [sym_dots] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(672),
    [anon_sym_PLUS] = ACTIONS(672),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(678),
    [sym_break] = ACTIONS(669),
    [sym_next] = ACTIONS(669),
    [sym_true] = ACTIONS(669),
    [sym_false] = ACTIONS(669),
    [sym_null] = ACTIONS(669),
    [sym_inf] = ACTIONS(669),
    [sym_nan] = ACTIONS(669),
    [anon_sym_NA] = ACTIONS(681),
    [anon_sym_NA_character_] = ACTIONS(681),
    [anon_sym_NA_complex_] = ACTIONS(681),
    [anon_sym_NA_integer_] = ACTIONS(681),
    [anon_sym_NA_real_] = ACTIONS(681),
    [aux_sym_identifier_token1] = ACTIONS(684),
    [anon_sym_BQUOTE] = ACTIONS(687),
    [sym_integer] = ACTIONS(690),
    [sym_float] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(696),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym__raw_string_literal] = ACTIONS(702),
  },
  [84] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(81),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [85] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(710),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(716),
    [anon_sym_while] = ACTIONS(719),
    [anon_sym_repeat] = ACTIONS(722),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_switch] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_QMARK] = ACTIONS(734),
    [sym_dots] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_BANG] = ACTIONS(743),
    [anon_sym_TILDE] = ACTIONS(746),
    [sym_break] = ACTIONS(737),
    [sym_next] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_null] = ACTIONS(737),
    [sym_inf] = ACTIONS(737),
    [sym_nan] = ACTIONS(737),
    [anon_sym_NA] = ACTIONS(749),
    [anon_sym_NA_character_] = ACTIONS(749),
    [anon_sym_NA_complex_] = ACTIONS(749),
    [anon_sym_NA_integer_] = ACTIONS(749),
    [anon_sym_NA_real_] = ACTIONS(749),
    [aux_sym_identifier_token1] = ACTIONS(752),
    [anon_sym_BQUOTE] = ACTIONS(755),
    [sym_integer] = ACTIONS(758),
    [sym_float] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(764),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [sym__raw_string_literal] = ACTIONS(770),
  },
  [86] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [87] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [88] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(94),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(777),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [89] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(86),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [90] = {
    [sym_function_definition] = STATE(684),
    [sym_lambda_function] = STATE(684),
    [sym_if] = STATE(684),
    [sym_while] = STATE(684),
    [sym_repeat] = STATE(684),
    [sym_for] = STATE(684),
    [sym_switch] = STATE(684),
    [sym_call] = STATE(684),
    [sym__assignment] = STATE(684),
    [sym_left_assignment] = STATE(684),
    [sym_left_assignment2] = STATE(684),
    [sym_equals_assignment] = STATE(684),
    [sym_super_assignment] = STATE(684),
    [sym_super_right_assignment] = STATE(684),
    [sym_right_assignment] = STATE(684),
    [sym_brace_list] = STATE(684),
    [sym_paren_list] = STATE(684),
    [sym_subset] = STATE(684),
    [sym_subset2] = STATE(684),
    [sym_dollar] = STATE(684),
    [sym_slot] = STATE(684),
    [sym_namespace_get] = STATE(684),
    [sym_namespace_get_internal] = STATE(684),
    [sym_help] = STATE(684),
    [sym_pipe] = STATE(684),
    [sym_unary] = STATE(684),
    [sym_binary] = STATE(684),
    [sym_na] = STATE(684),
    [sym__expression] = STATE(684),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(684),
    [sym_string] = STATE(684),
    [aux_sym_program_repeat1] = STATE(85),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(781),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(491),
    [sym_next] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_inf] = ACTIONS(491),
    [sym_nan] = ACTIONS(491),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(505),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [91] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [92] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(87),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [93] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(91),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [94] = {
    [sym_function_definition] = STATE(814),
    [sym_lambda_function] = STATE(814),
    [sym_if] = STATE(814),
    [sym_while] = STATE(814),
    [sym_repeat] = STATE(814),
    [sym_for] = STATE(814),
    [sym_switch] = STATE(814),
    [sym_call] = STATE(814),
    [sym__assignment] = STATE(814),
    [sym_left_assignment] = STATE(814),
    [sym_left_assignment2] = STATE(814),
    [sym_equals_assignment] = STATE(814),
    [sym_super_assignment] = STATE(814),
    [sym_super_right_assignment] = STATE(814),
    [sym_right_assignment] = STATE(814),
    [sym_brace_list] = STATE(814),
    [sym_paren_list] = STATE(814),
    [sym_subset] = STATE(814),
    [sym_subset2] = STATE(814),
    [sym_dollar] = STATE(814),
    [sym_slot] = STATE(814),
    [sym_namespace_get] = STATE(814),
    [sym_namespace_get_internal] = STATE(814),
    [sym_help] = STATE(814),
    [sym_pipe] = STATE(814),
    [sym_unary] = STATE(814),
    [sym_binary] = STATE(814),
    [sym_na] = STATE(814),
    [sym__expression] = STATE(814),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(814),
    [sym_string] = STATE(814),
    [aux_sym_block_repeat1] = STATE(83),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_RPAREN] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(519),
    [sym_next] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_inf] = ACTIONS(519),
    [sym_nan] = ACTIONS(519),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(521),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [95] = {
    [sym_function_definition] = STATE(799),
    [sym_lambda_function] = STATE(799),
    [sym_if] = STATE(799),
    [sym_while] = STATE(799),
    [sym_repeat] = STATE(799),
    [sym_for] = STATE(799),
    [sym_switch] = STATE(799),
    [sym_call] = STATE(799),
    [sym__assignment] = STATE(799),
    [sym_left_assignment] = STATE(799),
    [sym_left_assignment2] = STATE(799),
    [sym_equals_assignment] = STATE(799),
    [sym_super_assignment] = STATE(799),
    [sym_super_right_assignment] = STATE(799),
    [sym_right_assignment] = STATE(799),
    [sym_brace_list] = STATE(799),
    [sym_paren_list] = STATE(799),
    [sym_subset] = STATE(799),
    [sym_subset2] = STATE(799),
    [sym_dollar] = STATE(799),
    [sym_slot] = STATE(799),
    [sym_namespace_get] = STATE(799),
    [sym_namespace_get_internal] = STATE(799),
    [sym_help] = STATE(799),
    [sym_pipe] = STATE(799),
    [sym_unary] = STATE(799),
    [sym_binary] = STATE(799),
    [sym_na] = STATE(799),
    [sym__expression] = STATE(799),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(799),
    [sym_string] = STATE(799),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(791),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(791),
    [sym_next] = ACTIONS(791),
    [sym_true] = ACTIONS(791),
    [sym_false] = ACTIONS(791),
    [sym_null] = ACTIONS(791),
    [sym_inf] = ACTIONS(791),
    [sym_nan] = ACTIONS(791),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(793),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [96] = {
    [sym_function_definition] = STATE(944),
    [sym_lambda_function] = STATE(944),
    [sym_if] = STATE(944),
    [sym_while] = STATE(944),
    [sym_repeat] = STATE(944),
    [sym_for] = STATE(944),
    [sym_switch] = STATE(944),
    [sym_call] = STATE(944),
    [sym__assignment] = STATE(944),
    [sym_left_assignment] = STATE(944),
    [sym_left_assignment2] = STATE(944),
    [sym_equals_assignment] = STATE(944),
    [sym_super_assignment] = STATE(944),
    [sym_super_right_assignment] = STATE(944),
    [sym_right_assignment] = STATE(944),
    [sym_brace_list] = STATE(944),
    [sym_paren_list] = STATE(944),
    [sym_subset] = STATE(944),
    [sym_subset2] = STATE(944),
    [sym_dollar] = STATE(944),
    [sym_slot] = STATE(944),
    [sym_namespace_get] = STATE(944),
    [sym_namespace_get_internal] = STATE(944),
    [sym_help] = STATE(944),
    [sym_pipe_rhs] = STATE(722),
    [sym_pipe] = STATE(944),
    [sym_unary] = STATE(944),
    [sym_binary] = STATE(944),
    [sym_na] = STATE(944),
    [sym__expression] = STATE(944),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(944),
    [sym_string] = STATE(944),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(815),
    [sym_next] = ACTIONS(815),
    [sym_true] = ACTIONS(815),
    [sym_false] = ACTIONS(815),
    [sym_null] = ACTIONS(815),
    [sym_inf] = ACTIONS(815),
    [sym_nan] = ACTIONS(815),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [97] = {
    [sym_function_definition] = STATE(949),
    [sym_lambda_function] = STATE(949),
    [sym_if] = STATE(949),
    [sym_while] = STATE(949),
    [sym_repeat] = STATE(949),
    [sym_for] = STATE(949),
    [sym_switch] = STATE(949),
    [sym_call] = STATE(949),
    [sym__assignment] = STATE(949),
    [sym_left_assignment] = STATE(949),
    [sym_left_assignment2] = STATE(949),
    [sym_equals_assignment] = STATE(949),
    [sym_super_assignment] = STATE(949),
    [sym_super_right_assignment] = STATE(949),
    [sym_right_assignment] = STATE(949),
    [sym_brace_list] = STATE(949),
    [sym_paren_list] = STATE(949),
    [sym_subset] = STATE(949),
    [sym_subset2] = STATE(949),
    [sym_dollar] = STATE(949),
    [sym_slot] = STATE(949),
    [sym_namespace_get] = STATE(949),
    [sym_namespace_get_internal] = STATE(949),
    [sym_help] = STATE(949),
    [sym_pipe_rhs] = STATE(582),
    [sym_pipe] = STATE(949),
    [sym_unary] = STATE(949),
    [sym_binary] = STATE(949),
    [sym_na] = STATE(949),
    [sym__expression] = STATE(949),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(949),
    [sym_string] = STATE(949),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(839),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(839),
    [sym_next] = ACTIONS(839),
    [sym_true] = ACTIONS(839),
    [sym_false] = ACTIONS(839),
    [sym_null] = ACTIONS(839),
    [sym_inf] = ACTIONS(839),
    [sym_nan] = ACTIONS(839),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(841),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [98] = {
    [sym_function_definition] = STATE(945),
    [sym_lambda_function] = STATE(945),
    [sym_if] = STATE(945),
    [sym_while] = STATE(945),
    [sym_repeat] = STATE(945),
    [sym_for] = STATE(945),
    [sym_switch] = STATE(945),
    [sym_call] = STATE(945),
    [sym__assignment] = STATE(945),
    [sym_left_assignment] = STATE(945),
    [sym_left_assignment2] = STATE(945),
    [sym_equals_assignment] = STATE(945),
    [sym_super_assignment] = STATE(945),
    [sym_super_right_assignment] = STATE(945),
    [sym_right_assignment] = STATE(945),
    [sym_brace_list] = STATE(945),
    [sym_paren_list] = STATE(945),
    [sym_subset] = STATE(945),
    [sym_subset2] = STATE(945),
    [sym_dollar] = STATE(945),
    [sym_slot] = STATE(945),
    [sym_namespace_get] = STATE(945),
    [sym_namespace_get_internal] = STATE(945),
    [sym_help] = STATE(945),
    [sym_pipe_rhs] = STATE(625),
    [sym_pipe] = STATE(945),
    [sym_unary] = STATE(945),
    [sym_binary] = STATE(945),
    [sym_na] = STATE(945),
    [sym__expression] = STATE(945),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(945),
    [sym_string] = STATE(945),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(843),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(843),
    [sym_next] = ACTIONS(843),
    [sym_true] = ACTIONS(843),
    [sym_false] = ACTIONS(843),
    [sym_null] = ACTIONS(843),
    [sym_inf] = ACTIONS(843),
    [sym_nan] = ACTIONS(843),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(845),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [99] = {
    [sym_function_definition] = STATE(950),
    [sym_lambda_function] = STATE(950),
    [sym_if] = STATE(950),
    [sym_while] = STATE(950),
    [sym_repeat] = STATE(950),
    [sym_for] = STATE(950),
    [sym_switch] = STATE(950),
    [sym_call] = STATE(950),
    [sym__assignment] = STATE(950),
    [sym_left_assignment] = STATE(950),
    [sym_left_assignment2] = STATE(950),
    [sym_equals_assignment] = STATE(950),
    [sym_super_assignment] = STATE(950),
    [sym_super_right_assignment] = STATE(950),
    [sym_right_assignment] = STATE(950),
    [sym_brace_list] = STATE(950),
    [sym_paren_list] = STATE(950),
    [sym_subset] = STATE(950),
    [sym_subset2] = STATE(950),
    [sym_dollar] = STATE(950),
    [sym_slot] = STATE(950),
    [sym_namespace_get] = STATE(950),
    [sym_namespace_get_internal] = STATE(950),
    [sym_help] = STATE(950),
    [sym_pipe_rhs] = STATE(724),
    [sym_pipe] = STATE(950),
    [sym_unary] = STATE(950),
    [sym_binary] = STATE(950),
    [sym_na] = STATE(950),
    [sym__expression] = STATE(950),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(950),
    [sym_string] = STATE(950),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(847),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(847),
    [sym_next] = ACTIONS(847),
    [sym_true] = ACTIONS(847),
    [sym_false] = ACTIONS(847),
    [sym_null] = ACTIONS(847),
    [sym_inf] = ACTIONS(847),
    [sym_nan] = ACTIONS(847),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(849),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [100] = {
    [sym_function_definition] = STATE(948),
    [sym_lambda_function] = STATE(948),
    [sym_if] = STATE(948),
    [sym_while] = STATE(948),
    [sym_repeat] = STATE(948),
    [sym_for] = STATE(948),
    [sym_switch] = STATE(948),
    [sym_call] = STATE(948),
    [sym__assignment] = STATE(948),
    [sym_left_assignment] = STATE(948),
    [sym_left_assignment2] = STATE(948),
    [sym_equals_assignment] = STATE(948),
    [sym_super_assignment] = STATE(948),
    [sym_super_right_assignment] = STATE(948),
    [sym_right_assignment] = STATE(948),
    [sym_brace_list] = STATE(948),
    [sym_paren_list] = STATE(948),
    [sym_subset] = STATE(948),
    [sym_subset2] = STATE(948),
    [sym_dollar] = STATE(948),
    [sym_slot] = STATE(948),
    [sym_namespace_get] = STATE(948),
    [sym_namespace_get_internal] = STATE(948),
    [sym_help] = STATE(948),
    [sym_pipe_rhs] = STATE(539),
    [sym_pipe] = STATE(948),
    [sym_unary] = STATE(948),
    [sym_binary] = STATE(948),
    [sym_na] = STATE(948),
    [sym__expression] = STATE(948),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(948),
    [sym_string] = STATE(948),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(851),
    [sym_next] = ACTIONS(851),
    [sym_true] = ACTIONS(851),
    [sym_false] = ACTIONS(851),
    [sym_null] = ACTIONS(851),
    [sym_inf] = ACTIONS(851),
    [sym_nan] = ACTIONS(851),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(853),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [101] = {
    [sym_function_definition] = STATE(942),
    [sym_lambda_function] = STATE(942),
    [sym_if] = STATE(942),
    [sym_while] = STATE(942),
    [sym_repeat] = STATE(942),
    [sym_for] = STATE(942),
    [sym_switch] = STATE(942),
    [sym_call] = STATE(942),
    [sym__assignment] = STATE(942),
    [sym_left_assignment] = STATE(942),
    [sym_left_assignment2] = STATE(942),
    [sym_equals_assignment] = STATE(942),
    [sym_super_assignment] = STATE(942),
    [sym_super_right_assignment] = STATE(942),
    [sym_right_assignment] = STATE(942),
    [sym_brace_list] = STATE(942),
    [sym_paren_list] = STATE(942),
    [sym_subset] = STATE(942),
    [sym_subset2] = STATE(942),
    [sym_dollar] = STATE(942),
    [sym_slot] = STATE(942),
    [sym_namespace_get] = STATE(942),
    [sym_namespace_get_internal] = STATE(942),
    [sym_help] = STATE(942),
    [sym_pipe_rhs] = STATE(903),
    [sym_pipe] = STATE(942),
    [sym_unary] = STATE(942),
    [sym_binary] = STATE(942),
    [sym_na] = STATE(942),
    [sym__expression] = STATE(942),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(942),
    [sym_string] = STATE(942),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(855),
    [sym_next] = ACTIONS(855),
    [sym_true] = ACTIONS(855),
    [sym_false] = ACTIONS(855),
    [sym_null] = ACTIONS(855),
    [sym_inf] = ACTIONS(855),
    [sym_nan] = ACTIONS(855),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(857),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [102] = {
    [sym_function_definition] = STATE(943),
    [sym_lambda_function] = STATE(943),
    [sym_if] = STATE(943),
    [sym_while] = STATE(943),
    [sym_repeat] = STATE(943),
    [sym_for] = STATE(943),
    [sym_switch] = STATE(943),
    [sym_call] = STATE(943),
    [sym__assignment] = STATE(943),
    [sym_left_assignment] = STATE(943),
    [sym_left_assignment2] = STATE(943),
    [sym_equals_assignment] = STATE(943),
    [sym_super_assignment] = STATE(943),
    [sym_super_right_assignment] = STATE(943),
    [sym_right_assignment] = STATE(943),
    [sym_brace_list] = STATE(943),
    [sym_paren_list] = STATE(943),
    [sym_subset] = STATE(943),
    [sym_subset2] = STATE(943),
    [sym_dollar] = STATE(943),
    [sym_slot] = STATE(943),
    [sym_namespace_get] = STATE(943),
    [sym_namespace_get_internal] = STATE(943),
    [sym_help] = STATE(943),
    [sym_pipe_rhs] = STATE(767),
    [sym_pipe] = STATE(943),
    [sym_unary] = STATE(943),
    [sym_binary] = STATE(943),
    [sym_na] = STATE(943),
    [sym__expression] = STATE(943),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(943),
    [sym_string] = STATE(943),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(859),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(859),
    [sym_next] = ACTIONS(859),
    [sym_true] = ACTIONS(859),
    [sym_false] = ACTIONS(859),
    [sym_null] = ACTIONS(859),
    [sym_inf] = ACTIONS(859),
    [sym_nan] = ACTIONS(859),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(861),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [103] = {
    [sym_function_definition] = STATE(947),
    [sym_lambda_function] = STATE(947),
    [sym_if] = STATE(947),
    [sym_while] = STATE(947),
    [sym_repeat] = STATE(947),
    [sym_for] = STATE(947),
    [sym_switch] = STATE(947),
    [sym_call] = STATE(947),
    [sym__assignment] = STATE(947),
    [sym_left_assignment] = STATE(947),
    [sym_left_assignment2] = STATE(947),
    [sym_equals_assignment] = STATE(947),
    [sym_super_assignment] = STATE(947),
    [sym_super_right_assignment] = STATE(947),
    [sym_right_assignment] = STATE(947),
    [sym_brace_list] = STATE(947),
    [sym_paren_list] = STATE(947),
    [sym_subset] = STATE(947),
    [sym_subset2] = STATE(947),
    [sym_dollar] = STATE(947),
    [sym_slot] = STATE(947),
    [sym_namespace_get] = STATE(947),
    [sym_namespace_get_internal] = STATE(947),
    [sym_help] = STATE(947),
    [sym_pipe_rhs] = STATE(747),
    [sym_pipe] = STATE(947),
    [sym_unary] = STATE(947),
    [sym_binary] = STATE(947),
    [sym_na] = STATE(947),
    [sym__expression] = STATE(947),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(947),
    [sym_string] = STATE(947),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(863),
    [sym_next] = ACTIONS(863),
    [sym_true] = ACTIONS(863),
    [sym_false] = ACTIONS(863),
    [sym_null] = ACTIONS(863),
    [sym_inf] = ACTIONS(863),
    [sym_nan] = ACTIONS(863),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(865),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [104] = {
    [sym_function_definition] = STATE(946),
    [sym_lambda_function] = STATE(946),
    [sym_if] = STATE(946),
    [sym_while] = STATE(946),
    [sym_repeat] = STATE(946),
    [sym_for] = STATE(946),
    [sym_switch] = STATE(946),
    [sym_call] = STATE(946),
    [sym__assignment] = STATE(946),
    [sym_left_assignment] = STATE(946),
    [sym_left_assignment2] = STATE(946),
    [sym_equals_assignment] = STATE(946),
    [sym_super_assignment] = STATE(946),
    [sym_super_right_assignment] = STATE(946),
    [sym_right_assignment] = STATE(946),
    [sym_brace_list] = STATE(946),
    [sym_paren_list] = STATE(946),
    [sym_subset] = STATE(946),
    [sym_subset2] = STATE(946),
    [sym_dollar] = STATE(946),
    [sym_slot] = STATE(946),
    [sym_namespace_get] = STATE(946),
    [sym_namespace_get_internal] = STATE(946),
    [sym_help] = STATE(946),
    [sym_pipe_rhs] = STATE(836),
    [sym_pipe] = STATE(946),
    [sym_unary] = STATE(946),
    [sym_binary] = STATE(946),
    [sym_na] = STATE(946),
    [sym__expression] = STATE(946),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(946),
    [sym_string] = STATE(946),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(867),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(867),
    [sym_next] = ACTIONS(867),
    [sym_true] = ACTIONS(867),
    [sym_false] = ACTIONS(867),
    [sym_null] = ACTIONS(867),
    [sym_inf] = ACTIONS(867),
    [sym_nan] = ACTIONS(867),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(869),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [105] = {
    [sym_function_definition] = STATE(417),
    [sym_lambda_function] = STATE(417),
    [sym_if] = STATE(417),
    [sym_while] = STATE(417),
    [sym_repeat] = STATE(417),
    [sym_for] = STATE(417),
    [sym_switch] = STATE(417),
    [sym_call] = STATE(417),
    [sym__assignment] = STATE(417),
    [sym_left_assignment] = STATE(417),
    [sym_left_assignment2] = STATE(417),
    [sym_equals_assignment] = STATE(417),
    [sym_super_assignment] = STATE(417),
    [sym_super_right_assignment] = STATE(417),
    [sym_right_assignment] = STATE(417),
    [sym_brace_list] = STATE(417),
    [sym_paren_list] = STATE(417),
    [sym_subset] = STATE(417),
    [sym_subset2] = STATE(417),
    [sym_dollar] = STATE(417),
    [sym_slot] = STATE(417),
    [sym_namespace_get] = STATE(417),
    [sym_namespace_get_internal] = STATE(417),
    [sym_help] = STATE(417),
    [sym_pipe] = STATE(417),
    [sym_unary] = STATE(417),
    [sym_binary] = STATE(417),
    [sym_na] = STATE(417),
    [sym__expression] = STATE(417),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(417),
    [sym_string] = STATE(417),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(891),
    [sym_next] = ACTIONS(891),
    [sym_true] = ACTIONS(891),
    [sym_false] = ACTIONS(891),
    [sym_null] = ACTIONS(891),
    [sym_inf] = ACTIONS(891),
    [sym_nan] = ACTIONS(891),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(905),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [106] = {
    [sym_function_definition] = STATE(749),
    [sym_lambda_function] = STATE(749),
    [sym_if] = STATE(749),
    [sym_while] = STATE(749),
    [sym_repeat] = STATE(749),
    [sym_for] = STATE(749),
    [sym_switch] = STATE(749),
    [sym_call] = STATE(749),
    [sym__assignment] = STATE(749),
    [sym_left_assignment] = STATE(749),
    [sym_left_assignment2] = STATE(749),
    [sym_equals_assignment] = STATE(749),
    [sym_super_assignment] = STATE(749),
    [sym_super_right_assignment] = STATE(749),
    [sym_right_assignment] = STATE(749),
    [sym_brace_list] = STATE(749),
    [sym_paren_list] = STATE(749),
    [sym_subset] = STATE(749),
    [sym_subset2] = STATE(749),
    [sym_dollar] = STATE(749),
    [sym_slot] = STATE(749),
    [sym_namespace_get] = STATE(749),
    [sym_namespace_get_internal] = STATE(749),
    [sym_help] = STATE(749),
    [sym_pipe] = STATE(749),
    [sym_unary] = STATE(749),
    [sym_binary] = STATE(749),
    [sym_na] = STATE(749),
    [sym__expression] = STATE(749),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(749),
    [sym_string] = STATE(749),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(915),
    [sym_next] = ACTIONS(915),
    [sym_true] = ACTIONS(915),
    [sym_false] = ACTIONS(915),
    [sym_null] = ACTIONS(915),
    [sym_inf] = ACTIONS(915),
    [sym_nan] = ACTIONS(915),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [107] = {
    [sym_function_definition] = STATE(910),
    [sym_lambda_function] = STATE(910),
    [sym_if] = STATE(910),
    [sym_while] = STATE(910),
    [sym_repeat] = STATE(910),
    [sym_for] = STATE(910),
    [sym_switch] = STATE(910),
    [sym_call] = STATE(910),
    [sym__assignment] = STATE(910),
    [sym_left_assignment] = STATE(910),
    [sym_left_assignment2] = STATE(910),
    [sym_equals_assignment] = STATE(910),
    [sym_super_assignment] = STATE(910),
    [sym_super_right_assignment] = STATE(910),
    [sym_right_assignment] = STATE(910),
    [sym_brace_list] = STATE(910),
    [sym_paren_list] = STATE(910),
    [sym_subset] = STATE(910),
    [sym_subset2] = STATE(910),
    [sym_dollar] = STATE(910),
    [sym_slot] = STATE(910),
    [sym_namespace_get] = STATE(910),
    [sym_namespace_get_internal] = STATE(910),
    [sym_help] = STATE(910),
    [sym_pipe] = STATE(910),
    [sym_unary] = STATE(910),
    [sym_binary] = STATE(910),
    [sym_na] = STATE(910),
    [sym__expression] = STATE(910),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(910),
    [sym_string] = STATE(910),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(919),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(919),
    [sym_next] = ACTIONS(919),
    [sym_true] = ACTIONS(919),
    [sym_false] = ACTIONS(919),
    [sym_null] = ACTIONS(919),
    [sym_inf] = ACTIONS(919),
    [sym_nan] = ACTIONS(919),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [108] = {
    [sym_function_definition] = STATE(927),
    [sym_lambda_function] = STATE(927),
    [sym_if] = STATE(927),
    [sym_while] = STATE(927),
    [sym_repeat] = STATE(927),
    [sym_for] = STATE(927),
    [sym_switch] = STATE(927),
    [sym_call] = STATE(927),
    [sym__assignment] = STATE(927),
    [sym_left_assignment] = STATE(927),
    [sym_left_assignment2] = STATE(927),
    [sym_equals_assignment] = STATE(927),
    [sym_super_assignment] = STATE(927),
    [sym_super_right_assignment] = STATE(927),
    [sym_right_assignment] = STATE(927),
    [sym_brace_list] = STATE(927),
    [sym_paren_list] = STATE(927),
    [sym_subset] = STATE(927),
    [sym_subset2] = STATE(927),
    [sym_dollar] = STATE(927),
    [sym_slot] = STATE(927),
    [sym_namespace_get] = STATE(927),
    [sym_namespace_get_internal] = STATE(927),
    [sym_help] = STATE(927),
    [sym_pipe] = STATE(927),
    [sym_unary] = STATE(927),
    [sym_binary] = STATE(927),
    [sym_na] = STATE(927),
    [sym__expression] = STATE(927),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(927),
    [sym_string] = STATE(927),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(923),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(923),
    [sym_next] = ACTIONS(923),
    [sym_true] = ACTIONS(923),
    [sym_false] = ACTIONS(923),
    [sym_null] = ACTIONS(923),
    [sym_inf] = ACTIONS(923),
    [sym_nan] = ACTIONS(923),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(925),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [109] = {
    [sym_function_definition] = STATE(926),
    [sym_lambda_function] = STATE(926),
    [sym_if] = STATE(926),
    [sym_while] = STATE(926),
    [sym_repeat] = STATE(926),
    [sym_for] = STATE(926),
    [sym_switch] = STATE(926),
    [sym_call] = STATE(926),
    [sym__assignment] = STATE(926),
    [sym_left_assignment] = STATE(926),
    [sym_left_assignment2] = STATE(926),
    [sym_equals_assignment] = STATE(926),
    [sym_super_assignment] = STATE(926),
    [sym_super_right_assignment] = STATE(926),
    [sym_right_assignment] = STATE(926),
    [sym_brace_list] = STATE(926),
    [sym_paren_list] = STATE(926),
    [sym_subset] = STATE(926),
    [sym_subset2] = STATE(926),
    [sym_dollar] = STATE(926),
    [sym_slot] = STATE(926),
    [sym_namespace_get] = STATE(926),
    [sym_namespace_get_internal] = STATE(926),
    [sym_help] = STATE(926),
    [sym_pipe] = STATE(926),
    [sym_unary] = STATE(926),
    [sym_binary] = STATE(926),
    [sym_na] = STATE(926),
    [sym__expression] = STATE(926),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(926),
    [sym_string] = STATE(926),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(927),
    [sym_next] = ACTIONS(927),
    [sym_true] = ACTIONS(927),
    [sym_false] = ACTIONS(927),
    [sym_null] = ACTIONS(927),
    [sym_inf] = ACTIONS(927),
    [sym_nan] = ACTIONS(927),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(929),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [110] = {
    [sym_function_definition] = STATE(914),
    [sym_lambda_function] = STATE(914),
    [sym_if] = STATE(914),
    [sym_while] = STATE(914),
    [sym_repeat] = STATE(914),
    [sym_for] = STATE(914),
    [sym_switch] = STATE(914),
    [sym_call] = STATE(914),
    [sym__assignment] = STATE(914),
    [sym_left_assignment] = STATE(914),
    [sym_left_assignment2] = STATE(914),
    [sym_equals_assignment] = STATE(914),
    [sym_super_assignment] = STATE(914),
    [sym_super_right_assignment] = STATE(914),
    [sym_right_assignment] = STATE(914),
    [sym_brace_list] = STATE(914),
    [sym_paren_list] = STATE(914),
    [sym_subset] = STATE(914),
    [sym_subset2] = STATE(914),
    [sym_dollar] = STATE(914),
    [sym_slot] = STATE(914),
    [sym_namespace_get] = STATE(914),
    [sym_namespace_get_internal] = STATE(914),
    [sym_help] = STATE(914),
    [sym_pipe] = STATE(914),
    [sym_unary] = STATE(914),
    [sym_binary] = STATE(914),
    [sym_na] = STATE(914),
    [sym__expression] = STATE(914),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(914),
    [sym_string] = STATE(914),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(931),
    [sym_next] = ACTIONS(931),
    [sym_true] = ACTIONS(931),
    [sym_false] = ACTIONS(931),
    [sym_null] = ACTIONS(931),
    [sym_inf] = ACTIONS(931),
    [sym_nan] = ACTIONS(931),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(933),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [111] = {
    [sym_function_definition] = STATE(941),
    [sym_lambda_function] = STATE(941),
    [sym_if] = STATE(941),
    [sym_while] = STATE(941),
    [sym_repeat] = STATE(941),
    [sym_for] = STATE(941),
    [sym_switch] = STATE(941),
    [sym_call] = STATE(941),
    [sym__assignment] = STATE(941),
    [sym_left_assignment] = STATE(941),
    [sym_left_assignment2] = STATE(941),
    [sym_equals_assignment] = STATE(941),
    [sym_super_assignment] = STATE(941),
    [sym_super_right_assignment] = STATE(941),
    [sym_right_assignment] = STATE(941),
    [sym_brace_list] = STATE(941),
    [sym_paren_list] = STATE(941),
    [sym_subset] = STATE(941),
    [sym_subset2] = STATE(941),
    [sym_dollar] = STATE(941),
    [sym_slot] = STATE(941),
    [sym_namespace_get] = STATE(941),
    [sym_namespace_get_internal] = STATE(941),
    [sym_help] = STATE(941),
    [sym_pipe] = STATE(941),
    [sym_unary] = STATE(941),
    [sym_binary] = STATE(941),
    [sym_na] = STATE(941),
    [sym__expression] = STATE(941),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(941),
    [sym_string] = STATE(941),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(935),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(935),
    [sym_next] = ACTIONS(935),
    [sym_true] = ACTIONS(935),
    [sym_false] = ACTIONS(935),
    [sym_null] = ACTIONS(935),
    [sym_inf] = ACTIONS(935),
    [sym_nan] = ACTIONS(935),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(937),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [112] = {
    [sym_function_definition] = STATE(939),
    [sym_lambda_function] = STATE(939),
    [sym_if] = STATE(939),
    [sym_while] = STATE(939),
    [sym_repeat] = STATE(939),
    [sym_for] = STATE(939),
    [sym_switch] = STATE(939),
    [sym_call] = STATE(939),
    [sym__assignment] = STATE(939),
    [sym_left_assignment] = STATE(939),
    [sym_left_assignment2] = STATE(939),
    [sym_equals_assignment] = STATE(939),
    [sym_super_assignment] = STATE(939),
    [sym_super_right_assignment] = STATE(939),
    [sym_right_assignment] = STATE(939),
    [sym_brace_list] = STATE(939),
    [sym_paren_list] = STATE(939),
    [sym_subset] = STATE(939),
    [sym_subset2] = STATE(939),
    [sym_dollar] = STATE(939),
    [sym_slot] = STATE(939),
    [sym_namespace_get] = STATE(939),
    [sym_namespace_get_internal] = STATE(939),
    [sym_help] = STATE(939),
    [sym_pipe] = STATE(939),
    [sym_unary] = STATE(939),
    [sym_binary] = STATE(939),
    [sym_na] = STATE(939),
    [sym__expression] = STATE(939),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(939),
    [sym_string] = STATE(939),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(939),
    [sym_next] = ACTIONS(939),
    [sym_true] = ACTIONS(939),
    [sym_false] = ACTIONS(939),
    [sym_null] = ACTIONS(939),
    [sym_inf] = ACTIONS(939),
    [sym_nan] = ACTIONS(939),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(941),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [113] = {
    [sym_function_definition] = STATE(937),
    [sym_lambda_function] = STATE(937),
    [sym_if] = STATE(937),
    [sym_while] = STATE(937),
    [sym_repeat] = STATE(937),
    [sym_for] = STATE(937),
    [sym_switch] = STATE(937),
    [sym_call] = STATE(937),
    [sym__assignment] = STATE(937),
    [sym_left_assignment] = STATE(937),
    [sym_left_assignment2] = STATE(937),
    [sym_equals_assignment] = STATE(937),
    [sym_super_assignment] = STATE(937),
    [sym_super_right_assignment] = STATE(937),
    [sym_right_assignment] = STATE(937),
    [sym_brace_list] = STATE(937),
    [sym_paren_list] = STATE(937),
    [sym_subset] = STATE(937),
    [sym_subset2] = STATE(937),
    [sym_dollar] = STATE(937),
    [sym_slot] = STATE(937),
    [sym_namespace_get] = STATE(937),
    [sym_namespace_get_internal] = STATE(937),
    [sym_help] = STATE(937),
    [sym_pipe] = STATE(937),
    [sym_unary] = STATE(937),
    [sym_binary] = STATE(937),
    [sym_na] = STATE(937),
    [sym__expression] = STATE(937),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(937),
    [sym_string] = STATE(937),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(943),
    [sym_next] = ACTIONS(943),
    [sym_true] = ACTIONS(943),
    [sym_false] = ACTIONS(943),
    [sym_null] = ACTIONS(943),
    [sym_inf] = ACTIONS(943),
    [sym_nan] = ACTIONS(943),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(945),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [114] = {
    [sym_function_definition] = STATE(906),
    [sym_lambda_function] = STATE(906),
    [sym_if] = STATE(906),
    [sym_while] = STATE(906),
    [sym_repeat] = STATE(906),
    [sym_for] = STATE(906),
    [sym_switch] = STATE(906),
    [sym_call] = STATE(906),
    [sym__assignment] = STATE(906),
    [sym_left_assignment] = STATE(906),
    [sym_left_assignment2] = STATE(906),
    [sym_equals_assignment] = STATE(906),
    [sym_super_assignment] = STATE(906),
    [sym_super_right_assignment] = STATE(906),
    [sym_right_assignment] = STATE(906),
    [sym_brace_list] = STATE(906),
    [sym_paren_list] = STATE(906),
    [sym_subset] = STATE(906),
    [sym_subset2] = STATE(906),
    [sym_dollar] = STATE(906),
    [sym_slot] = STATE(906),
    [sym_namespace_get] = STATE(906),
    [sym_namespace_get_internal] = STATE(906),
    [sym_help] = STATE(906),
    [sym_pipe] = STATE(906),
    [sym_unary] = STATE(906),
    [sym_binary] = STATE(906),
    [sym_na] = STATE(906),
    [sym__expression] = STATE(906),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(906),
    [sym_string] = STATE(906),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(947),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(947),
    [sym_next] = ACTIONS(947),
    [sym_true] = ACTIONS(947),
    [sym_false] = ACTIONS(947),
    [sym_null] = ACTIONS(947),
    [sym_inf] = ACTIONS(947),
    [sym_nan] = ACTIONS(947),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(949),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [115] = {
    [sym_function_definition] = STATE(918),
    [sym_lambda_function] = STATE(918),
    [sym_if] = STATE(918),
    [sym_while] = STATE(918),
    [sym_repeat] = STATE(918),
    [sym_for] = STATE(918),
    [sym_switch] = STATE(918),
    [sym_call] = STATE(918),
    [sym__assignment] = STATE(918),
    [sym_left_assignment] = STATE(918),
    [sym_left_assignment2] = STATE(918),
    [sym_equals_assignment] = STATE(918),
    [sym_super_assignment] = STATE(918),
    [sym_super_right_assignment] = STATE(918),
    [sym_right_assignment] = STATE(918),
    [sym_brace_list] = STATE(918),
    [sym_paren_list] = STATE(918),
    [sym_subset] = STATE(918),
    [sym_subset2] = STATE(918),
    [sym_dollar] = STATE(918),
    [sym_slot] = STATE(918),
    [sym_namespace_get] = STATE(918),
    [sym_namespace_get_internal] = STATE(918),
    [sym_help] = STATE(918),
    [sym_pipe] = STATE(918),
    [sym_unary] = STATE(918),
    [sym_binary] = STATE(918),
    [sym_na] = STATE(918),
    [sym__expression] = STATE(918),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(918),
    [sym_string] = STATE(918),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(951),
    [sym_next] = ACTIONS(951),
    [sym_true] = ACTIONS(951),
    [sym_false] = ACTIONS(951),
    [sym_null] = ACTIONS(951),
    [sym_inf] = ACTIONS(951),
    [sym_nan] = ACTIONS(951),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(953),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [116] = {
    [sym_function_definition] = STATE(911),
    [sym_lambda_function] = STATE(911),
    [sym_if] = STATE(911),
    [sym_while] = STATE(911),
    [sym_repeat] = STATE(911),
    [sym_for] = STATE(911),
    [sym_switch] = STATE(911),
    [sym_call] = STATE(911),
    [sym__assignment] = STATE(911),
    [sym_left_assignment] = STATE(911),
    [sym_left_assignment2] = STATE(911),
    [sym_equals_assignment] = STATE(911),
    [sym_super_assignment] = STATE(911),
    [sym_super_right_assignment] = STATE(911),
    [sym_right_assignment] = STATE(911),
    [sym_brace_list] = STATE(911),
    [sym_paren_list] = STATE(911),
    [sym_subset] = STATE(911),
    [sym_subset2] = STATE(911),
    [sym_dollar] = STATE(911),
    [sym_slot] = STATE(911),
    [sym_namespace_get] = STATE(911),
    [sym_namespace_get_internal] = STATE(911),
    [sym_help] = STATE(911),
    [sym_pipe] = STATE(911),
    [sym_unary] = STATE(911),
    [sym_binary] = STATE(911),
    [sym_na] = STATE(911),
    [sym__expression] = STATE(911),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(911),
    [sym_string] = STATE(911),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(955),
    [sym_next] = ACTIONS(955),
    [sym_true] = ACTIONS(955),
    [sym_false] = ACTIONS(955),
    [sym_null] = ACTIONS(955),
    [sym_inf] = ACTIONS(955),
    [sym_nan] = ACTIONS(955),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(957),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [117] = {
    [sym_function_definition] = STATE(935),
    [sym_lambda_function] = STATE(935),
    [sym_if] = STATE(935),
    [sym_while] = STATE(935),
    [sym_repeat] = STATE(935),
    [sym_for] = STATE(935),
    [sym_switch] = STATE(935),
    [sym_call] = STATE(935),
    [sym__assignment] = STATE(935),
    [sym_left_assignment] = STATE(935),
    [sym_left_assignment2] = STATE(935),
    [sym_equals_assignment] = STATE(935),
    [sym_super_assignment] = STATE(935),
    [sym_super_right_assignment] = STATE(935),
    [sym_right_assignment] = STATE(935),
    [sym_brace_list] = STATE(935),
    [sym_paren_list] = STATE(935),
    [sym_subset] = STATE(935),
    [sym_subset2] = STATE(935),
    [sym_dollar] = STATE(935),
    [sym_slot] = STATE(935),
    [sym_namespace_get] = STATE(935),
    [sym_namespace_get_internal] = STATE(935),
    [sym_help] = STATE(935),
    [sym_pipe] = STATE(935),
    [sym_unary] = STATE(935),
    [sym_binary] = STATE(935),
    [sym_na] = STATE(935),
    [sym__expression] = STATE(935),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(935),
    [sym_string] = STATE(935),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(959),
    [sym_next] = ACTIONS(959),
    [sym_true] = ACTIONS(959),
    [sym_false] = ACTIONS(959),
    [sym_null] = ACTIONS(959),
    [sym_inf] = ACTIONS(959),
    [sym_nan] = ACTIONS(959),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(961),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [118] = {
    [sym_function_definition] = STATE(908),
    [sym_lambda_function] = STATE(908),
    [sym_if] = STATE(908),
    [sym_while] = STATE(908),
    [sym_repeat] = STATE(908),
    [sym_for] = STATE(908),
    [sym_switch] = STATE(908),
    [sym_call] = STATE(908),
    [sym__assignment] = STATE(908),
    [sym_left_assignment] = STATE(908),
    [sym_left_assignment2] = STATE(908),
    [sym_equals_assignment] = STATE(908),
    [sym_super_assignment] = STATE(908),
    [sym_super_right_assignment] = STATE(908),
    [sym_right_assignment] = STATE(908),
    [sym_brace_list] = STATE(908),
    [sym_paren_list] = STATE(908),
    [sym_subset] = STATE(908),
    [sym_subset2] = STATE(908),
    [sym_dollar] = STATE(908),
    [sym_slot] = STATE(908),
    [sym_namespace_get] = STATE(908),
    [sym_namespace_get_internal] = STATE(908),
    [sym_help] = STATE(908),
    [sym_pipe] = STATE(908),
    [sym_unary] = STATE(908),
    [sym_binary] = STATE(908),
    [sym_na] = STATE(908),
    [sym__expression] = STATE(908),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(908),
    [sym_string] = STATE(908),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(963),
    [sym_next] = ACTIONS(963),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [sym_null] = ACTIONS(963),
    [sym_inf] = ACTIONS(963),
    [sym_nan] = ACTIONS(963),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(965),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [119] = {
    [sym_function_definition] = STATE(916),
    [sym_lambda_function] = STATE(916),
    [sym_if] = STATE(916),
    [sym_while] = STATE(916),
    [sym_repeat] = STATE(916),
    [sym_for] = STATE(916),
    [sym_switch] = STATE(916),
    [sym_call] = STATE(916),
    [sym__assignment] = STATE(916),
    [sym_left_assignment] = STATE(916),
    [sym_left_assignment2] = STATE(916),
    [sym_equals_assignment] = STATE(916),
    [sym_super_assignment] = STATE(916),
    [sym_super_right_assignment] = STATE(916),
    [sym_right_assignment] = STATE(916),
    [sym_brace_list] = STATE(916),
    [sym_paren_list] = STATE(916),
    [sym_subset] = STATE(916),
    [sym_subset2] = STATE(916),
    [sym_dollar] = STATE(916),
    [sym_slot] = STATE(916),
    [sym_namespace_get] = STATE(916),
    [sym_namespace_get_internal] = STATE(916),
    [sym_help] = STATE(916),
    [sym_pipe] = STATE(916),
    [sym_unary] = STATE(916),
    [sym_binary] = STATE(916),
    [sym_na] = STATE(916),
    [sym__expression] = STATE(916),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(916),
    [sym_string] = STATE(916),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(967),
    [sym_next] = ACTIONS(967),
    [sym_true] = ACTIONS(967),
    [sym_false] = ACTIONS(967),
    [sym_null] = ACTIONS(967),
    [sym_inf] = ACTIONS(967),
    [sym_nan] = ACTIONS(967),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(969),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [120] = {
    [sym_function_definition] = STATE(907),
    [sym_lambda_function] = STATE(907),
    [sym_if] = STATE(907),
    [sym_while] = STATE(907),
    [sym_repeat] = STATE(907),
    [sym_for] = STATE(907),
    [sym_switch] = STATE(907),
    [sym_call] = STATE(907),
    [sym__assignment] = STATE(907),
    [sym_left_assignment] = STATE(907),
    [sym_left_assignment2] = STATE(907),
    [sym_equals_assignment] = STATE(907),
    [sym_super_assignment] = STATE(907),
    [sym_super_right_assignment] = STATE(907),
    [sym_right_assignment] = STATE(907),
    [sym_brace_list] = STATE(907),
    [sym_paren_list] = STATE(907),
    [sym_subset] = STATE(907),
    [sym_subset2] = STATE(907),
    [sym_dollar] = STATE(907),
    [sym_slot] = STATE(907),
    [sym_namespace_get] = STATE(907),
    [sym_namespace_get_internal] = STATE(907),
    [sym_help] = STATE(907),
    [sym_pipe] = STATE(907),
    [sym_unary] = STATE(907),
    [sym_binary] = STATE(907),
    [sym_na] = STATE(907),
    [sym__expression] = STATE(907),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(907),
    [sym_string] = STATE(907),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(971),
    [sym_next] = ACTIONS(971),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [sym_inf] = ACTIONS(971),
    [sym_nan] = ACTIONS(971),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(973),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [121] = {
    [sym_function_definition] = STATE(928),
    [sym_lambda_function] = STATE(928),
    [sym_if] = STATE(928),
    [sym_while] = STATE(928),
    [sym_repeat] = STATE(928),
    [sym_for] = STATE(928),
    [sym_switch] = STATE(928),
    [sym_call] = STATE(928),
    [sym__assignment] = STATE(928),
    [sym_left_assignment] = STATE(928),
    [sym_left_assignment2] = STATE(928),
    [sym_equals_assignment] = STATE(928),
    [sym_super_assignment] = STATE(928),
    [sym_super_right_assignment] = STATE(928),
    [sym_right_assignment] = STATE(928),
    [sym_brace_list] = STATE(928),
    [sym_paren_list] = STATE(928),
    [sym_subset] = STATE(928),
    [sym_subset2] = STATE(928),
    [sym_dollar] = STATE(928),
    [sym_slot] = STATE(928),
    [sym_namespace_get] = STATE(928),
    [sym_namespace_get_internal] = STATE(928),
    [sym_help] = STATE(928),
    [sym_pipe] = STATE(928),
    [sym_unary] = STATE(928),
    [sym_binary] = STATE(928),
    [sym_na] = STATE(928),
    [sym__expression] = STATE(928),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(928),
    [sym_string] = STATE(928),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(975),
    [sym_next] = ACTIONS(975),
    [sym_true] = ACTIONS(975),
    [sym_false] = ACTIONS(975),
    [sym_null] = ACTIONS(975),
    [sym_inf] = ACTIONS(975),
    [sym_nan] = ACTIONS(975),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(977),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [122] = {
    [sym_function_definition] = STATE(923),
    [sym_lambda_function] = STATE(923),
    [sym_if] = STATE(923),
    [sym_while] = STATE(923),
    [sym_repeat] = STATE(923),
    [sym_for] = STATE(923),
    [sym_switch] = STATE(923),
    [sym_call] = STATE(923),
    [sym__assignment] = STATE(923),
    [sym_left_assignment] = STATE(923),
    [sym_left_assignment2] = STATE(923),
    [sym_equals_assignment] = STATE(923),
    [sym_super_assignment] = STATE(923),
    [sym_super_right_assignment] = STATE(923),
    [sym_right_assignment] = STATE(923),
    [sym_brace_list] = STATE(923),
    [sym_paren_list] = STATE(923),
    [sym_subset] = STATE(923),
    [sym_subset2] = STATE(923),
    [sym_dollar] = STATE(923),
    [sym_slot] = STATE(923),
    [sym_namespace_get] = STATE(923),
    [sym_namespace_get_internal] = STATE(923),
    [sym_help] = STATE(923),
    [sym_pipe] = STATE(923),
    [sym_unary] = STATE(923),
    [sym_binary] = STATE(923),
    [sym_na] = STATE(923),
    [sym__expression] = STATE(923),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(923),
    [sym_string] = STATE(923),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(979),
    [sym_next] = ACTIONS(979),
    [sym_true] = ACTIONS(979),
    [sym_false] = ACTIONS(979),
    [sym_null] = ACTIONS(979),
    [sym_inf] = ACTIONS(979),
    [sym_nan] = ACTIONS(979),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(981),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [123] = {
    [sym_function_definition] = STATE(913),
    [sym_lambda_function] = STATE(913),
    [sym_if] = STATE(913),
    [sym_while] = STATE(913),
    [sym_repeat] = STATE(913),
    [sym_for] = STATE(913),
    [sym_switch] = STATE(913),
    [sym_call] = STATE(913),
    [sym__assignment] = STATE(913),
    [sym_left_assignment] = STATE(913),
    [sym_left_assignment2] = STATE(913),
    [sym_equals_assignment] = STATE(913),
    [sym_super_assignment] = STATE(913),
    [sym_super_right_assignment] = STATE(913),
    [sym_right_assignment] = STATE(913),
    [sym_brace_list] = STATE(913),
    [sym_paren_list] = STATE(913),
    [sym_subset] = STATE(913),
    [sym_subset2] = STATE(913),
    [sym_dollar] = STATE(913),
    [sym_slot] = STATE(913),
    [sym_namespace_get] = STATE(913),
    [sym_namespace_get_internal] = STATE(913),
    [sym_help] = STATE(913),
    [sym_pipe] = STATE(913),
    [sym_unary] = STATE(913),
    [sym_binary] = STATE(913),
    [sym_na] = STATE(913),
    [sym__expression] = STATE(913),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(913),
    [sym_string] = STATE(913),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(983),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(983),
    [sym_next] = ACTIONS(983),
    [sym_true] = ACTIONS(983),
    [sym_false] = ACTIONS(983),
    [sym_null] = ACTIONS(983),
    [sym_inf] = ACTIONS(983),
    [sym_nan] = ACTIONS(983),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(985),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [124] = {
    [sym_function_definition] = STATE(919),
    [sym_lambda_function] = STATE(919),
    [sym_if] = STATE(919),
    [sym_while] = STATE(919),
    [sym_repeat] = STATE(919),
    [sym_for] = STATE(919),
    [sym_switch] = STATE(919),
    [sym_call] = STATE(919),
    [sym__assignment] = STATE(919),
    [sym_left_assignment] = STATE(919),
    [sym_left_assignment2] = STATE(919),
    [sym_equals_assignment] = STATE(919),
    [sym_super_assignment] = STATE(919),
    [sym_super_right_assignment] = STATE(919),
    [sym_right_assignment] = STATE(919),
    [sym_brace_list] = STATE(919),
    [sym_paren_list] = STATE(919),
    [sym_subset] = STATE(919),
    [sym_subset2] = STATE(919),
    [sym_dollar] = STATE(919),
    [sym_slot] = STATE(919),
    [sym_namespace_get] = STATE(919),
    [sym_namespace_get_internal] = STATE(919),
    [sym_help] = STATE(919),
    [sym_pipe] = STATE(919),
    [sym_unary] = STATE(919),
    [sym_binary] = STATE(919),
    [sym_na] = STATE(919),
    [sym__expression] = STATE(919),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(919),
    [sym_string] = STATE(919),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(987),
    [sym_next] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_inf] = ACTIONS(987),
    [sym_nan] = ACTIONS(987),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(989),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [125] = {
    [sym_function_definition] = STATE(925),
    [sym_lambda_function] = STATE(925),
    [sym_if] = STATE(925),
    [sym_while] = STATE(925),
    [sym_repeat] = STATE(925),
    [sym_for] = STATE(925),
    [sym_switch] = STATE(925),
    [sym_call] = STATE(925),
    [sym__assignment] = STATE(925),
    [sym_left_assignment] = STATE(925),
    [sym_left_assignment2] = STATE(925),
    [sym_equals_assignment] = STATE(925),
    [sym_super_assignment] = STATE(925),
    [sym_super_right_assignment] = STATE(925),
    [sym_right_assignment] = STATE(925),
    [sym_brace_list] = STATE(925),
    [sym_paren_list] = STATE(925),
    [sym_subset] = STATE(925),
    [sym_subset2] = STATE(925),
    [sym_dollar] = STATE(925),
    [sym_slot] = STATE(925),
    [sym_namespace_get] = STATE(925),
    [sym_namespace_get_internal] = STATE(925),
    [sym_help] = STATE(925),
    [sym_pipe] = STATE(925),
    [sym_unary] = STATE(925),
    [sym_binary] = STATE(925),
    [sym_na] = STATE(925),
    [sym__expression] = STATE(925),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(925),
    [sym_string] = STATE(925),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(991),
    [sym_next] = ACTIONS(991),
    [sym_true] = ACTIONS(991),
    [sym_false] = ACTIONS(991),
    [sym_null] = ACTIONS(991),
    [sym_inf] = ACTIONS(991),
    [sym_nan] = ACTIONS(991),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(993),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [126] = {
    [sym_function_definition] = STATE(933),
    [sym_lambda_function] = STATE(933),
    [sym_if] = STATE(933),
    [sym_while] = STATE(933),
    [sym_repeat] = STATE(933),
    [sym_for] = STATE(933),
    [sym_switch] = STATE(933),
    [sym_call] = STATE(933),
    [sym__assignment] = STATE(933),
    [sym_left_assignment] = STATE(933),
    [sym_left_assignment2] = STATE(933),
    [sym_equals_assignment] = STATE(933),
    [sym_super_assignment] = STATE(933),
    [sym_super_right_assignment] = STATE(933),
    [sym_right_assignment] = STATE(933),
    [sym_brace_list] = STATE(933),
    [sym_paren_list] = STATE(933),
    [sym_subset] = STATE(933),
    [sym_subset2] = STATE(933),
    [sym_dollar] = STATE(933),
    [sym_slot] = STATE(933),
    [sym_namespace_get] = STATE(933),
    [sym_namespace_get_internal] = STATE(933),
    [sym_help] = STATE(933),
    [sym_pipe] = STATE(933),
    [sym_unary] = STATE(933),
    [sym_binary] = STATE(933),
    [sym_na] = STATE(933),
    [sym__expression] = STATE(933),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(933),
    [sym_string] = STATE(933),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(995),
    [sym_next] = ACTIONS(995),
    [sym_true] = ACTIONS(995),
    [sym_false] = ACTIONS(995),
    [sym_null] = ACTIONS(995),
    [sym_inf] = ACTIONS(995),
    [sym_nan] = ACTIONS(995),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(997),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [127] = {
    [sym_function_definition] = STATE(915),
    [sym_lambda_function] = STATE(915),
    [sym_if] = STATE(915),
    [sym_while] = STATE(915),
    [sym_repeat] = STATE(915),
    [sym_for] = STATE(915),
    [sym_switch] = STATE(915),
    [sym_call] = STATE(915),
    [sym__assignment] = STATE(915),
    [sym_left_assignment] = STATE(915),
    [sym_left_assignment2] = STATE(915),
    [sym_equals_assignment] = STATE(915),
    [sym_super_assignment] = STATE(915),
    [sym_super_right_assignment] = STATE(915),
    [sym_right_assignment] = STATE(915),
    [sym_brace_list] = STATE(915),
    [sym_paren_list] = STATE(915),
    [sym_subset] = STATE(915),
    [sym_subset2] = STATE(915),
    [sym_dollar] = STATE(915),
    [sym_slot] = STATE(915),
    [sym_namespace_get] = STATE(915),
    [sym_namespace_get_internal] = STATE(915),
    [sym_help] = STATE(915),
    [sym_pipe] = STATE(915),
    [sym_unary] = STATE(915),
    [sym_binary] = STATE(915),
    [sym_na] = STATE(915),
    [sym__expression] = STATE(915),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(915),
    [sym_string] = STATE(915),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(999),
    [sym_next] = ACTIONS(999),
    [sym_true] = ACTIONS(999),
    [sym_false] = ACTIONS(999),
    [sym_null] = ACTIONS(999),
    [sym_inf] = ACTIONS(999),
    [sym_nan] = ACTIONS(999),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1001),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [128] = {
    [sym_function_definition] = STATE(934),
    [sym_lambda_function] = STATE(934),
    [sym_if] = STATE(934),
    [sym_while] = STATE(934),
    [sym_repeat] = STATE(934),
    [sym_for] = STATE(934),
    [sym_switch] = STATE(934),
    [sym_call] = STATE(934),
    [sym__assignment] = STATE(934),
    [sym_left_assignment] = STATE(934),
    [sym_left_assignment2] = STATE(934),
    [sym_equals_assignment] = STATE(934),
    [sym_super_assignment] = STATE(934),
    [sym_super_right_assignment] = STATE(934),
    [sym_right_assignment] = STATE(934),
    [sym_brace_list] = STATE(934),
    [sym_paren_list] = STATE(934),
    [sym_subset] = STATE(934),
    [sym_subset2] = STATE(934),
    [sym_dollar] = STATE(934),
    [sym_slot] = STATE(934),
    [sym_namespace_get] = STATE(934),
    [sym_namespace_get_internal] = STATE(934),
    [sym_help] = STATE(934),
    [sym_pipe] = STATE(934),
    [sym_unary] = STATE(934),
    [sym_binary] = STATE(934),
    [sym_na] = STATE(934),
    [sym__expression] = STATE(934),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(934),
    [sym_string] = STATE(934),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1003),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1003),
    [sym_next] = ACTIONS(1003),
    [sym_true] = ACTIONS(1003),
    [sym_false] = ACTIONS(1003),
    [sym_null] = ACTIONS(1003),
    [sym_inf] = ACTIONS(1003),
    [sym_nan] = ACTIONS(1003),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1005),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [129] = {
    [sym_function_definition] = STATE(940),
    [sym_lambda_function] = STATE(940),
    [sym_if] = STATE(940),
    [sym_while] = STATE(940),
    [sym_repeat] = STATE(940),
    [sym_for] = STATE(940),
    [sym_switch] = STATE(940),
    [sym_call] = STATE(940),
    [sym__assignment] = STATE(940),
    [sym_left_assignment] = STATE(940),
    [sym_left_assignment2] = STATE(940),
    [sym_equals_assignment] = STATE(940),
    [sym_super_assignment] = STATE(940),
    [sym_super_right_assignment] = STATE(940),
    [sym_right_assignment] = STATE(940),
    [sym_brace_list] = STATE(940),
    [sym_paren_list] = STATE(940),
    [sym_subset] = STATE(940),
    [sym_subset2] = STATE(940),
    [sym_dollar] = STATE(940),
    [sym_slot] = STATE(940),
    [sym_namespace_get] = STATE(940),
    [sym_namespace_get_internal] = STATE(940),
    [sym_help] = STATE(940),
    [sym_pipe] = STATE(940),
    [sym_unary] = STATE(940),
    [sym_binary] = STATE(940),
    [sym_na] = STATE(940),
    [sym__expression] = STATE(940),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(940),
    [sym_string] = STATE(940),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1007),
    [sym_next] = ACTIONS(1007),
    [sym_true] = ACTIONS(1007),
    [sym_false] = ACTIONS(1007),
    [sym_null] = ACTIONS(1007),
    [sym_inf] = ACTIONS(1007),
    [sym_nan] = ACTIONS(1007),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1009),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [130] = {
    [sym_function_definition] = STATE(882),
    [sym_lambda_function] = STATE(882),
    [sym_if] = STATE(882),
    [sym_while] = STATE(882),
    [sym_repeat] = STATE(882),
    [sym_for] = STATE(882),
    [sym_switch] = STATE(882),
    [sym_call] = STATE(882),
    [sym__assignment] = STATE(882),
    [sym_left_assignment] = STATE(882),
    [sym_left_assignment2] = STATE(882),
    [sym_equals_assignment] = STATE(882),
    [sym_super_assignment] = STATE(882),
    [sym_super_right_assignment] = STATE(882),
    [sym_right_assignment] = STATE(882),
    [sym_brace_list] = STATE(882),
    [sym_paren_list] = STATE(882),
    [sym_subset] = STATE(882),
    [sym_subset2] = STATE(882),
    [sym_dollar] = STATE(882),
    [sym_slot] = STATE(882),
    [sym_namespace_get] = STATE(882),
    [sym_namespace_get_internal] = STATE(882),
    [sym_help] = STATE(882),
    [sym_pipe] = STATE(882),
    [sym_unary] = STATE(882),
    [sym_binary] = STATE(882),
    [sym_na] = STATE(882),
    [sym__expression] = STATE(882),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(882),
    [sym_string] = STATE(882),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1011),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1011),
    [sym_next] = ACTIONS(1011),
    [sym_true] = ACTIONS(1011),
    [sym_false] = ACTIONS(1011),
    [sym_null] = ACTIONS(1011),
    [sym_inf] = ACTIONS(1011),
    [sym_nan] = ACTIONS(1011),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1013),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [131] = {
    [sym_function_definition] = STATE(427),
    [sym_lambda_function] = STATE(427),
    [sym_if] = STATE(427),
    [sym_while] = STATE(427),
    [sym_repeat] = STATE(427),
    [sym_for] = STATE(427),
    [sym_switch] = STATE(427),
    [sym_call] = STATE(427),
    [sym__assignment] = STATE(427),
    [sym_left_assignment] = STATE(427),
    [sym_left_assignment2] = STATE(427),
    [sym_equals_assignment] = STATE(427),
    [sym_super_assignment] = STATE(427),
    [sym_super_right_assignment] = STATE(427),
    [sym_right_assignment] = STATE(427),
    [sym_brace_list] = STATE(427),
    [sym_paren_list] = STATE(427),
    [sym_subset] = STATE(427),
    [sym_subset2] = STATE(427),
    [sym_dollar] = STATE(427),
    [sym_slot] = STATE(427),
    [sym_namespace_get] = STATE(427),
    [sym_namespace_get_internal] = STATE(427),
    [sym_help] = STATE(427),
    [sym_pipe] = STATE(427),
    [sym_unary] = STATE(427),
    [sym_binary] = STATE(427),
    [sym_na] = STATE(427),
    [sym__expression] = STATE(427),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(427),
    [sym_string] = STATE(427),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1035),
    [sym_next] = ACTIONS(1035),
    [sym_true] = ACTIONS(1035),
    [sym_false] = ACTIONS(1035),
    [sym_null] = ACTIONS(1035),
    [sym_inf] = ACTIONS(1035),
    [sym_nan] = ACTIONS(1035),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1049),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [132] = {
    [sym_function_definition] = STATE(671),
    [sym_lambda_function] = STATE(671),
    [sym_if] = STATE(671),
    [sym_while] = STATE(671),
    [sym_repeat] = STATE(671),
    [sym_for] = STATE(671),
    [sym_switch] = STATE(671),
    [sym_call] = STATE(671),
    [sym__assignment] = STATE(671),
    [sym_left_assignment] = STATE(671),
    [sym_left_assignment2] = STATE(671),
    [sym_equals_assignment] = STATE(671),
    [sym_super_assignment] = STATE(671),
    [sym_super_right_assignment] = STATE(671),
    [sym_right_assignment] = STATE(671),
    [sym_brace_list] = STATE(671),
    [sym_paren_list] = STATE(671),
    [sym_subset] = STATE(671),
    [sym_subset2] = STATE(671),
    [sym_dollar] = STATE(671),
    [sym_slot] = STATE(671),
    [sym_namespace_get] = STATE(671),
    [sym_namespace_get_internal] = STATE(671),
    [sym_help] = STATE(671),
    [sym_pipe] = STATE(671),
    [sym_unary] = STATE(671),
    [sym_binary] = STATE(671),
    [sym_na] = STATE(671),
    [sym__expression] = STATE(671),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(671),
    [sym_string] = STATE(671),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1059),
    [sym_next] = ACTIONS(1059),
    [sym_true] = ACTIONS(1059),
    [sym_false] = ACTIONS(1059),
    [sym_null] = ACTIONS(1059),
    [sym_inf] = ACTIONS(1059),
    [sym_nan] = ACTIONS(1059),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1061),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [133] = {
    [sym_function_definition] = STATE(921),
    [sym_lambda_function] = STATE(921),
    [sym_if] = STATE(921),
    [sym_while] = STATE(921),
    [sym_repeat] = STATE(921),
    [sym_for] = STATE(921),
    [sym_switch] = STATE(921),
    [sym_call] = STATE(921),
    [sym__assignment] = STATE(921),
    [sym_left_assignment] = STATE(921),
    [sym_left_assignment2] = STATE(921),
    [sym_equals_assignment] = STATE(921),
    [sym_super_assignment] = STATE(921),
    [sym_super_right_assignment] = STATE(921),
    [sym_right_assignment] = STATE(921),
    [sym_brace_list] = STATE(921),
    [sym_paren_list] = STATE(921),
    [sym_subset] = STATE(921),
    [sym_subset2] = STATE(921),
    [sym_dollar] = STATE(921),
    [sym_slot] = STATE(921),
    [sym_namespace_get] = STATE(921),
    [sym_namespace_get_internal] = STATE(921),
    [sym_help] = STATE(921),
    [sym_pipe] = STATE(921),
    [sym_unary] = STATE(921),
    [sym_binary] = STATE(921),
    [sym_na] = STATE(921),
    [sym__expression] = STATE(921),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(921),
    [sym_string] = STATE(921),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1063),
    [sym_next] = ACTIONS(1063),
    [sym_true] = ACTIONS(1063),
    [sym_false] = ACTIONS(1063),
    [sym_null] = ACTIONS(1063),
    [sym_inf] = ACTIONS(1063),
    [sym_nan] = ACTIONS(1063),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1065),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [134] = {
    [sym_function_definition] = STATE(936),
    [sym_lambda_function] = STATE(936),
    [sym_if] = STATE(936),
    [sym_while] = STATE(936),
    [sym_repeat] = STATE(936),
    [sym_for] = STATE(936),
    [sym_switch] = STATE(936),
    [sym_call] = STATE(936),
    [sym__assignment] = STATE(936),
    [sym_left_assignment] = STATE(936),
    [sym_left_assignment2] = STATE(936),
    [sym_equals_assignment] = STATE(936),
    [sym_super_assignment] = STATE(936),
    [sym_super_right_assignment] = STATE(936),
    [sym_right_assignment] = STATE(936),
    [sym_brace_list] = STATE(936),
    [sym_paren_list] = STATE(936),
    [sym_subset] = STATE(936),
    [sym_subset2] = STATE(936),
    [sym_dollar] = STATE(936),
    [sym_slot] = STATE(936),
    [sym_namespace_get] = STATE(936),
    [sym_namespace_get_internal] = STATE(936),
    [sym_help] = STATE(936),
    [sym_pipe] = STATE(936),
    [sym_unary] = STATE(936),
    [sym_binary] = STATE(936),
    [sym_na] = STATE(936),
    [sym__expression] = STATE(936),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(936),
    [sym_string] = STATE(936),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1067),
    [sym_next] = ACTIONS(1067),
    [sym_true] = ACTIONS(1067),
    [sym_false] = ACTIONS(1067),
    [sym_null] = ACTIONS(1067),
    [sym_inf] = ACTIONS(1067),
    [sym_nan] = ACTIONS(1067),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1069),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [135] = {
    [sym_function_definition] = STATE(614),
    [sym_lambda_function] = STATE(614),
    [sym_if] = STATE(614),
    [sym_while] = STATE(614),
    [sym_repeat] = STATE(614),
    [sym_for] = STATE(614),
    [sym_switch] = STATE(614),
    [sym_call] = STATE(614),
    [sym__assignment] = STATE(614),
    [sym_left_assignment] = STATE(614),
    [sym_left_assignment2] = STATE(614),
    [sym_equals_assignment] = STATE(614),
    [sym_super_assignment] = STATE(614),
    [sym_super_right_assignment] = STATE(614),
    [sym_right_assignment] = STATE(614),
    [sym_brace_list] = STATE(614),
    [sym_paren_list] = STATE(614),
    [sym_subset] = STATE(614),
    [sym_subset2] = STATE(614),
    [sym_dollar] = STATE(614),
    [sym_slot] = STATE(614),
    [sym_namespace_get] = STATE(614),
    [sym_namespace_get_internal] = STATE(614),
    [sym_help] = STATE(614),
    [sym_pipe] = STATE(614),
    [sym_unary] = STATE(614),
    [sym_binary] = STATE(614),
    [sym_na] = STATE(614),
    [sym__expression] = STATE(614),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(614),
    [sym_string] = STATE(614),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1071),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1071),
    [sym_next] = ACTIONS(1071),
    [sym_true] = ACTIONS(1071),
    [sym_false] = ACTIONS(1071),
    [sym_null] = ACTIONS(1071),
    [sym_inf] = ACTIONS(1071),
    [sym_nan] = ACTIONS(1071),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1073),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [136] = {
    [sym_function_definition] = STATE(920),
    [sym_lambda_function] = STATE(920),
    [sym_if] = STATE(920),
    [sym_while] = STATE(920),
    [sym_repeat] = STATE(920),
    [sym_for] = STATE(920),
    [sym_switch] = STATE(920),
    [sym_call] = STATE(920),
    [sym__assignment] = STATE(920),
    [sym_left_assignment] = STATE(920),
    [sym_left_assignment2] = STATE(920),
    [sym_equals_assignment] = STATE(920),
    [sym_super_assignment] = STATE(920),
    [sym_super_right_assignment] = STATE(920),
    [sym_right_assignment] = STATE(920),
    [sym_brace_list] = STATE(920),
    [sym_paren_list] = STATE(920),
    [sym_subset] = STATE(920),
    [sym_subset2] = STATE(920),
    [sym_dollar] = STATE(920),
    [sym_slot] = STATE(920),
    [sym_namespace_get] = STATE(920),
    [sym_namespace_get_internal] = STATE(920),
    [sym_help] = STATE(920),
    [sym_pipe] = STATE(920),
    [sym_unary] = STATE(920),
    [sym_binary] = STATE(920),
    [sym_na] = STATE(920),
    [sym__expression] = STATE(920),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(920),
    [sym_string] = STATE(920),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1075),
    [sym_next] = ACTIONS(1075),
    [sym_true] = ACTIONS(1075),
    [sym_false] = ACTIONS(1075),
    [sym_null] = ACTIONS(1075),
    [sym_inf] = ACTIONS(1075),
    [sym_nan] = ACTIONS(1075),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1077),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [137] = {
    [sym_function_definition] = STATE(931),
    [sym_lambda_function] = STATE(931),
    [sym_if] = STATE(931),
    [sym_while] = STATE(931),
    [sym_repeat] = STATE(931),
    [sym_for] = STATE(931),
    [sym_switch] = STATE(931),
    [sym_call] = STATE(931),
    [sym__assignment] = STATE(931),
    [sym_left_assignment] = STATE(931),
    [sym_left_assignment2] = STATE(931),
    [sym_equals_assignment] = STATE(931),
    [sym_super_assignment] = STATE(931),
    [sym_super_right_assignment] = STATE(931),
    [sym_right_assignment] = STATE(931),
    [sym_brace_list] = STATE(931),
    [sym_paren_list] = STATE(931),
    [sym_subset] = STATE(931),
    [sym_subset2] = STATE(931),
    [sym_dollar] = STATE(931),
    [sym_slot] = STATE(931),
    [sym_namespace_get] = STATE(931),
    [sym_namespace_get_internal] = STATE(931),
    [sym_help] = STATE(931),
    [sym_pipe] = STATE(931),
    [sym_unary] = STATE(931),
    [sym_binary] = STATE(931),
    [sym_na] = STATE(931),
    [sym__expression] = STATE(931),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(931),
    [sym_string] = STATE(931),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1079),
    [sym_next] = ACTIONS(1079),
    [sym_true] = ACTIONS(1079),
    [sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_inf] = ACTIONS(1079),
    [sym_nan] = ACTIONS(1079),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1081),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [138] = {
    [sym_function_definition] = STATE(909),
    [sym_lambda_function] = STATE(909),
    [sym_if] = STATE(909),
    [sym_while] = STATE(909),
    [sym_repeat] = STATE(909),
    [sym_for] = STATE(909),
    [sym_switch] = STATE(909),
    [sym_call] = STATE(909),
    [sym__assignment] = STATE(909),
    [sym_left_assignment] = STATE(909),
    [sym_left_assignment2] = STATE(909),
    [sym_equals_assignment] = STATE(909),
    [sym_super_assignment] = STATE(909),
    [sym_super_right_assignment] = STATE(909),
    [sym_right_assignment] = STATE(909),
    [sym_brace_list] = STATE(909),
    [sym_paren_list] = STATE(909),
    [sym_subset] = STATE(909),
    [sym_subset2] = STATE(909),
    [sym_dollar] = STATE(909),
    [sym_slot] = STATE(909),
    [sym_namespace_get] = STATE(909),
    [sym_namespace_get_internal] = STATE(909),
    [sym_help] = STATE(909),
    [sym_pipe] = STATE(909),
    [sym_unary] = STATE(909),
    [sym_binary] = STATE(909),
    [sym_na] = STATE(909),
    [sym__expression] = STATE(909),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(909),
    [sym_string] = STATE(909),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1083),
    [sym_next] = ACTIONS(1083),
    [sym_true] = ACTIONS(1083),
    [sym_false] = ACTIONS(1083),
    [sym_null] = ACTIONS(1083),
    [sym_inf] = ACTIONS(1083),
    [sym_nan] = ACTIONS(1083),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1085),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [139] = {
    [sym_function_definition] = STATE(932),
    [sym_lambda_function] = STATE(932),
    [sym_if] = STATE(932),
    [sym_while] = STATE(932),
    [sym_repeat] = STATE(932),
    [sym_for] = STATE(932),
    [sym_switch] = STATE(932),
    [sym_call] = STATE(932),
    [sym__assignment] = STATE(932),
    [sym_left_assignment] = STATE(932),
    [sym_left_assignment2] = STATE(932),
    [sym_equals_assignment] = STATE(932),
    [sym_super_assignment] = STATE(932),
    [sym_super_right_assignment] = STATE(932),
    [sym_right_assignment] = STATE(932),
    [sym_brace_list] = STATE(932),
    [sym_paren_list] = STATE(932),
    [sym_subset] = STATE(932),
    [sym_subset2] = STATE(932),
    [sym_dollar] = STATE(932),
    [sym_slot] = STATE(932),
    [sym_namespace_get] = STATE(932),
    [sym_namespace_get_internal] = STATE(932),
    [sym_help] = STATE(932),
    [sym_pipe] = STATE(932),
    [sym_unary] = STATE(932),
    [sym_binary] = STATE(932),
    [sym_na] = STATE(932),
    [sym__expression] = STATE(932),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(932),
    [sym_string] = STATE(932),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1087),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1087),
    [sym_next] = ACTIONS(1087),
    [sym_true] = ACTIONS(1087),
    [sym_false] = ACTIONS(1087),
    [sym_null] = ACTIONS(1087),
    [sym_inf] = ACTIONS(1087),
    [sym_nan] = ACTIONS(1087),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1089),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [140] = {
    [sym_function_definition] = STATE(912),
    [sym_lambda_function] = STATE(912),
    [sym_if] = STATE(912),
    [sym_while] = STATE(912),
    [sym_repeat] = STATE(912),
    [sym_for] = STATE(912),
    [sym_switch] = STATE(912),
    [sym_call] = STATE(912),
    [sym__assignment] = STATE(912),
    [sym_left_assignment] = STATE(912),
    [sym_left_assignment2] = STATE(912),
    [sym_equals_assignment] = STATE(912),
    [sym_super_assignment] = STATE(912),
    [sym_super_right_assignment] = STATE(912),
    [sym_right_assignment] = STATE(912),
    [sym_brace_list] = STATE(912),
    [sym_paren_list] = STATE(912),
    [sym_subset] = STATE(912),
    [sym_subset2] = STATE(912),
    [sym_dollar] = STATE(912),
    [sym_slot] = STATE(912),
    [sym_namespace_get] = STATE(912),
    [sym_namespace_get_internal] = STATE(912),
    [sym_help] = STATE(912),
    [sym_pipe] = STATE(912),
    [sym_unary] = STATE(912),
    [sym_binary] = STATE(912),
    [sym_na] = STATE(912),
    [sym__expression] = STATE(912),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(912),
    [sym_string] = STATE(912),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1091),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1091),
    [sym_next] = ACTIONS(1091),
    [sym_true] = ACTIONS(1091),
    [sym_false] = ACTIONS(1091),
    [sym_null] = ACTIONS(1091),
    [sym_inf] = ACTIONS(1091),
    [sym_nan] = ACTIONS(1091),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1093),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [141] = {
    [sym_function_definition] = STATE(938),
    [sym_lambda_function] = STATE(938),
    [sym_if] = STATE(938),
    [sym_while] = STATE(938),
    [sym_repeat] = STATE(938),
    [sym_for] = STATE(938),
    [sym_switch] = STATE(938),
    [sym_call] = STATE(938),
    [sym__assignment] = STATE(938),
    [sym_left_assignment] = STATE(938),
    [sym_left_assignment2] = STATE(938),
    [sym_equals_assignment] = STATE(938),
    [sym_super_assignment] = STATE(938),
    [sym_super_right_assignment] = STATE(938),
    [sym_right_assignment] = STATE(938),
    [sym_brace_list] = STATE(938),
    [sym_paren_list] = STATE(938),
    [sym_subset] = STATE(938),
    [sym_subset2] = STATE(938),
    [sym_dollar] = STATE(938),
    [sym_slot] = STATE(938),
    [sym_namespace_get] = STATE(938),
    [sym_namespace_get_internal] = STATE(938),
    [sym_help] = STATE(938),
    [sym_pipe] = STATE(938),
    [sym_unary] = STATE(938),
    [sym_binary] = STATE(938),
    [sym_na] = STATE(938),
    [sym__expression] = STATE(938),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(938),
    [sym_string] = STATE(938),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1095),
    [sym_next] = ACTIONS(1095),
    [sym_true] = ACTIONS(1095),
    [sym_false] = ACTIONS(1095),
    [sym_null] = ACTIONS(1095),
    [sym_inf] = ACTIONS(1095),
    [sym_nan] = ACTIONS(1095),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1097),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [142] = {
    [sym_function_definition] = STATE(677),
    [sym_lambda_function] = STATE(677),
    [sym_if] = STATE(677),
    [sym_while] = STATE(677),
    [sym_repeat] = STATE(677),
    [sym_for] = STATE(677),
    [sym_switch] = STATE(677),
    [sym_call] = STATE(677),
    [sym__assignment] = STATE(677),
    [sym_left_assignment] = STATE(677),
    [sym_left_assignment2] = STATE(677),
    [sym_equals_assignment] = STATE(677),
    [sym_super_assignment] = STATE(677),
    [sym_super_right_assignment] = STATE(677),
    [sym_right_assignment] = STATE(677),
    [sym_brace_list] = STATE(677),
    [sym_paren_list] = STATE(677),
    [sym_subset] = STATE(677),
    [sym_subset2] = STATE(677),
    [sym_dollar] = STATE(677),
    [sym_slot] = STATE(677),
    [sym_namespace_get] = STATE(677),
    [sym_namespace_get_internal] = STATE(677),
    [sym_help] = STATE(677),
    [sym_pipe] = STATE(677),
    [sym_unary] = STATE(677),
    [sym_binary] = STATE(677),
    [sym_na] = STATE(677),
    [sym__expression] = STATE(677),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(677),
    [sym_string] = STATE(677),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1119),
    [sym_next] = ACTIONS(1119),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_inf] = ACTIONS(1119),
    [sym_nan] = ACTIONS(1119),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1133),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [143] = {
    [sym_function_definition] = STATE(590),
    [sym_lambda_function] = STATE(590),
    [sym_if] = STATE(590),
    [sym_while] = STATE(590),
    [sym_repeat] = STATE(590),
    [sym_for] = STATE(590),
    [sym_switch] = STATE(590),
    [sym_call] = STATE(590),
    [sym__assignment] = STATE(590),
    [sym_left_assignment] = STATE(590),
    [sym_left_assignment2] = STATE(590),
    [sym_equals_assignment] = STATE(590),
    [sym_super_assignment] = STATE(590),
    [sym_super_right_assignment] = STATE(590),
    [sym_right_assignment] = STATE(590),
    [sym_brace_list] = STATE(590),
    [sym_paren_list] = STATE(590),
    [sym_subset] = STATE(590),
    [sym_subset2] = STATE(590),
    [sym_dollar] = STATE(590),
    [sym_slot] = STATE(590),
    [sym_namespace_get] = STATE(590),
    [sym_namespace_get_internal] = STATE(590),
    [sym_help] = STATE(590),
    [sym_pipe] = STATE(590),
    [sym_unary] = STATE(590),
    [sym_binary] = STATE(590),
    [sym_na] = STATE(590),
    [sym__expression] = STATE(590),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(590),
    [sym_string] = STATE(590),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1143),
    [sym_next] = ACTIONS(1143),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [sym_null] = ACTIONS(1143),
    [sym_inf] = ACTIONS(1143),
    [sym_nan] = ACTIONS(1143),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1145),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [144] = {
    [sym_function_definition] = STATE(929),
    [sym_lambda_function] = STATE(929),
    [sym_if] = STATE(929),
    [sym_while] = STATE(929),
    [sym_repeat] = STATE(929),
    [sym_for] = STATE(929),
    [sym_switch] = STATE(929),
    [sym_call] = STATE(929),
    [sym__assignment] = STATE(929),
    [sym_left_assignment] = STATE(929),
    [sym_left_assignment2] = STATE(929),
    [sym_equals_assignment] = STATE(929),
    [sym_super_assignment] = STATE(929),
    [sym_super_right_assignment] = STATE(929),
    [sym_right_assignment] = STATE(929),
    [sym_brace_list] = STATE(929),
    [sym_paren_list] = STATE(929),
    [sym_subset] = STATE(929),
    [sym_subset2] = STATE(929),
    [sym_dollar] = STATE(929),
    [sym_slot] = STATE(929),
    [sym_namespace_get] = STATE(929),
    [sym_namespace_get_internal] = STATE(929),
    [sym_help] = STATE(929),
    [sym_pipe] = STATE(929),
    [sym_unary] = STATE(929),
    [sym_binary] = STATE(929),
    [sym_na] = STATE(929),
    [sym__expression] = STATE(929),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(929),
    [sym_string] = STATE(929),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1147),
    [sym_next] = ACTIONS(1147),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [sym_null] = ACTIONS(1147),
    [sym_inf] = ACTIONS(1147),
    [sym_nan] = ACTIONS(1147),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1149),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [145] = {
    [sym_function_definition] = STATE(409),
    [sym_lambda_function] = STATE(409),
    [sym_if] = STATE(409),
    [sym_while] = STATE(409),
    [sym_repeat] = STATE(409),
    [sym_for] = STATE(409),
    [sym_switch] = STATE(409),
    [sym_call] = STATE(409),
    [sym__assignment] = STATE(409),
    [sym_left_assignment] = STATE(409),
    [sym_left_assignment2] = STATE(409),
    [sym_equals_assignment] = STATE(409),
    [sym_super_assignment] = STATE(409),
    [sym_super_right_assignment] = STATE(409),
    [sym_right_assignment] = STATE(409),
    [sym_brace_list] = STATE(409),
    [sym_paren_list] = STATE(409),
    [sym_subset] = STATE(409),
    [sym_subset2] = STATE(409),
    [sym_dollar] = STATE(409),
    [sym_slot] = STATE(409),
    [sym_namespace_get] = STATE(409),
    [sym_namespace_get_internal] = STATE(409),
    [sym_help] = STATE(409),
    [sym_pipe] = STATE(409),
    [sym_unary] = STATE(409),
    [sym_binary] = STATE(409),
    [sym_na] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(409),
    [sym_string] = STATE(409),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1151),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1151),
    [sym_next] = ACTIONS(1151),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_inf] = ACTIONS(1151),
    [sym_nan] = ACTIONS(1151),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1153),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [146] = {
    [sym_function_definition] = STATE(922),
    [sym_lambda_function] = STATE(922),
    [sym_if] = STATE(922),
    [sym_while] = STATE(922),
    [sym_repeat] = STATE(922),
    [sym_for] = STATE(922),
    [sym_switch] = STATE(922),
    [sym_call] = STATE(922),
    [sym__assignment] = STATE(922),
    [sym_left_assignment] = STATE(922),
    [sym_left_assignment2] = STATE(922),
    [sym_equals_assignment] = STATE(922),
    [sym_super_assignment] = STATE(922),
    [sym_super_right_assignment] = STATE(922),
    [sym_right_assignment] = STATE(922),
    [sym_brace_list] = STATE(922),
    [sym_paren_list] = STATE(922),
    [sym_subset] = STATE(922),
    [sym_subset2] = STATE(922),
    [sym_dollar] = STATE(922),
    [sym_slot] = STATE(922),
    [sym_namespace_get] = STATE(922),
    [sym_namespace_get_internal] = STATE(922),
    [sym_help] = STATE(922),
    [sym_pipe] = STATE(922),
    [sym_unary] = STATE(922),
    [sym_binary] = STATE(922),
    [sym_na] = STATE(922),
    [sym__expression] = STATE(922),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(922),
    [sym_string] = STATE(922),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1155),
    [sym_next] = ACTIONS(1155),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [sym_null] = ACTIONS(1155),
    [sym_inf] = ACTIONS(1155),
    [sym_nan] = ACTIONS(1155),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1157),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [147] = {
    [sym_function_definition] = STATE(589),
    [sym_lambda_function] = STATE(589),
    [sym_if] = STATE(589),
    [sym_while] = STATE(589),
    [sym_repeat] = STATE(589),
    [sym_for] = STATE(589),
    [sym_switch] = STATE(589),
    [sym_call] = STATE(589),
    [sym__assignment] = STATE(589),
    [sym_left_assignment] = STATE(589),
    [sym_left_assignment2] = STATE(589),
    [sym_equals_assignment] = STATE(589),
    [sym_super_assignment] = STATE(589),
    [sym_super_right_assignment] = STATE(589),
    [sym_right_assignment] = STATE(589),
    [sym_brace_list] = STATE(589),
    [sym_paren_list] = STATE(589),
    [sym_subset] = STATE(589),
    [sym_subset2] = STATE(589),
    [sym_dollar] = STATE(589),
    [sym_slot] = STATE(589),
    [sym_namespace_get] = STATE(589),
    [sym_namespace_get_internal] = STATE(589),
    [sym_help] = STATE(589),
    [sym_pipe] = STATE(589),
    [sym_unary] = STATE(589),
    [sym_binary] = STATE(589),
    [sym_na] = STATE(589),
    [sym__expression] = STATE(589),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(589),
    [sym_string] = STATE(589),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1159),
    [sym_next] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_null] = ACTIONS(1159),
    [sym_inf] = ACTIONS(1159),
    [sym_nan] = ACTIONS(1159),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1161),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [148] = {
    [sym_function_definition] = STATE(517),
    [sym_lambda_function] = STATE(517),
    [sym_if] = STATE(517),
    [sym_while] = STATE(517),
    [sym_repeat] = STATE(517),
    [sym_for] = STATE(517),
    [sym_switch] = STATE(517),
    [sym_call] = STATE(517),
    [sym__assignment] = STATE(517),
    [sym_left_assignment] = STATE(517),
    [sym_left_assignment2] = STATE(517),
    [sym_equals_assignment] = STATE(517),
    [sym_super_assignment] = STATE(517),
    [sym_super_right_assignment] = STATE(517),
    [sym_right_assignment] = STATE(517),
    [sym_brace_list] = STATE(517),
    [sym_paren_list] = STATE(517),
    [sym_subset] = STATE(517),
    [sym_subset2] = STATE(517),
    [sym_dollar] = STATE(517),
    [sym_slot] = STATE(517),
    [sym_namespace_get] = STATE(517),
    [sym_namespace_get_internal] = STATE(517),
    [sym_help] = STATE(517),
    [sym_pipe] = STATE(517),
    [sym_unary] = STATE(517),
    [sym_binary] = STATE(517),
    [sym_na] = STATE(517),
    [sym__expression] = STATE(517),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(517),
    [sym_string] = STATE(517),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1163),
    [sym_next] = ACTIONS(1163),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [sym_null] = ACTIONS(1163),
    [sym_inf] = ACTIONS(1163),
    [sym_nan] = ACTIONS(1163),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1165),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [149] = {
    [sym_function_definition] = STATE(550),
    [sym_lambda_function] = STATE(550),
    [sym_if] = STATE(550),
    [sym_while] = STATE(550),
    [sym_repeat] = STATE(550),
    [sym_for] = STATE(550),
    [sym_switch] = STATE(550),
    [sym_call] = STATE(550),
    [sym__assignment] = STATE(550),
    [sym_left_assignment] = STATE(550),
    [sym_left_assignment2] = STATE(550),
    [sym_equals_assignment] = STATE(550),
    [sym_super_assignment] = STATE(550),
    [sym_super_right_assignment] = STATE(550),
    [sym_right_assignment] = STATE(550),
    [sym_brace_list] = STATE(550),
    [sym_paren_list] = STATE(550),
    [sym_subset] = STATE(550),
    [sym_subset2] = STATE(550),
    [sym_dollar] = STATE(550),
    [sym_slot] = STATE(550),
    [sym_namespace_get] = STATE(550),
    [sym_namespace_get_internal] = STATE(550),
    [sym_help] = STATE(550),
    [sym_pipe] = STATE(550),
    [sym_unary] = STATE(550),
    [sym_binary] = STATE(550),
    [sym_na] = STATE(550),
    [sym__expression] = STATE(550),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(550),
    [sym_string] = STATE(550),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1167),
    [sym_next] = ACTIONS(1167),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [sym_null] = ACTIONS(1167),
    [sym_inf] = ACTIONS(1167),
    [sym_nan] = ACTIONS(1167),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1169),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [150] = {
    [sym_function_definition] = STATE(572),
    [sym_lambda_function] = STATE(572),
    [sym_if] = STATE(572),
    [sym_while] = STATE(572),
    [sym_repeat] = STATE(572),
    [sym_for] = STATE(572),
    [sym_switch] = STATE(572),
    [sym_call] = STATE(572),
    [sym__assignment] = STATE(572),
    [sym_left_assignment] = STATE(572),
    [sym_left_assignment2] = STATE(572),
    [sym_equals_assignment] = STATE(572),
    [sym_super_assignment] = STATE(572),
    [sym_super_right_assignment] = STATE(572),
    [sym_right_assignment] = STATE(572),
    [sym_brace_list] = STATE(572),
    [sym_paren_list] = STATE(572),
    [sym_subset] = STATE(572),
    [sym_subset2] = STATE(572),
    [sym_dollar] = STATE(572),
    [sym_slot] = STATE(572),
    [sym_namespace_get] = STATE(572),
    [sym_namespace_get_internal] = STATE(572),
    [sym_help] = STATE(572),
    [sym_pipe] = STATE(572),
    [sym_unary] = STATE(572),
    [sym_binary] = STATE(572),
    [sym_na] = STATE(572),
    [sym__expression] = STATE(572),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(572),
    [sym_string] = STATE(572),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1171),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1171),
    [sym_next] = ACTIONS(1171),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [sym_null] = ACTIONS(1171),
    [sym_inf] = ACTIONS(1171),
    [sym_nan] = ACTIONS(1171),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1173),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [151] = {
    [sym_function_definition] = STATE(573),
    [sym_lambda_function] = STATE(573),
    [sym_if] = STATE(573),
    [sym_while] = STATE(573),
    [sym_repeat] = STATE(573),
    [sym_for] = STATE(573),
    [sym_switch] = STATE(573),
    [sym_call] = STATE(573),
    [sym__assignment] = STATE(573),
    [sym_left_assignment] = STATE(573),
    [sym_left_assignment2] = STATE(573),
    [sym_equals_assignment] = STATE(573),
    [sym_super_assignment] = STATE(573),
    [sym_super_right_assignment] = STATE(573),
    [sym_right_assignment] = STATE(573),
    [sym_brace_list] = STATE(573),
    [sym_paren_list] = STATE(573),
    [sym_subset] = STATE(573),
    [sym_subset2] = STATE(573),
    [sym_dollar] = STATE(573),
    [sym_slot] = STATE(573),
    [sym_namespace_get] = STATE(573),
    [sym_namespace_get_internal] = STATE(573),
    [sym_help] = STATE(573),
    [sym_pipe] = STATE(573),
    [sym_unary] = STATE(573),
    [sym_binary] = STATE(573),
    [sym_na] = STATE(573),
    [sym__expression] = STATE(573),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(573),
    [sym_string] = STATE(573),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1175),
    [sym_next] = ACTIONS(1175),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [sym_null] = ACTIONS(1175),
    [sym_inf] = ACTIONS(1175),
    [sym_nan] = ACTIONS(1175),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1177),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [152] = {
    [sym_function_definition] = STATE(917),
    [sym_lambda_function] = STATE(917),
    [sym_if] = STATE(917),
    [sym_while] = STATE(917),
    [sym_repeat] = STATE(917),
    [sym_for] = STATE(917),
    [sym_switch] = STATE(917),
    [sym_call] = STATE(917),
    [sym__assignment] = STATE(917),
    [sym_left_assignment] = STATE(917),
    [sym_left_assignment2] = STATE(917),
    [sym_equals_assignment] = STATE(917),
    [sym_super_assignment] = STATE(917),
    [sym_super_right_assignment] = STATE(917),
    [sym_right_assignment] = STATE(917),
    [sym_brace_list] = STATE(917),
    [sym_paren_list] = STATE(917),
    [sym_subset] = STATE(917),
    [sym_subset2] = STATE(917),
    [sym_dollar] = STATE(917),
    [sym_slot] = STATE(917),
    [sym_namespace_get] = STATE(917),
    [sym_namespace_get_internal] = STATE(917),
    [sym_help] = STATE(917),
    [sym_pipe] = STATE(917),
    [sym_unary] = STATE(917),
    [sym_binary] = STATE(917),
    [sym_na] = STATE(917),
    [sym__expression] = STATE(917),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(917),
    [sym_string] = STATE(917),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1179),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1179),
    [sym_next] = ACTIONS(1179),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [sym_null] = ACTIONS(1179),
    [sym_inf] = ACTIONS(1179),
    [sym_nan] = ACTIONS(1179),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1181),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [153] = {
    [sym_function_definition] = STATE(924),
    [sym_lambda_function] = STATE(924),
    [sym_if] = STATE(924),
    [sym_while] = STATE(924),
    [sym_repeat] = STATE(924),
    [sym_for] = STATE(924),
    [sym_switch] = STATE(924),
    [sym_call] = STATE(924),
    [sym__assignment] = STATE(924),
    [sym_left_assignment] = STATE(924),
    [sym_left_assignment2] = STATE(924),
    [sym_equals_assignment] = STATE(924),
    [sym_super_assignment] = STATE(924),
    [sym_super_right_assignment] = STATE(924),
    [sym_right_assignment] = STATE(924),
    [sym_brace_list] = STATE(924),
    [sym_paren_list] = STATE(924),
    [sym_subset] = STATE(924),
    [sym_subset2] = STATE(924),
    [sym_dollar] = STATE(924),
    [sym_slot] = STATE(924),
    [sym_namespace_get] = STATE(924),
    [sym_namespace_get_internal] = STATE(924),
    [sym_help] = STATE(924),
    [sym_pipe] = STATE(924),
    [sym_unary] = STATE(924),
    [sym_binary] = STATE(924),
    [sym_na] = STATE(924),
    [sym__expression] = STATE(924),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(924),
    [sym_string] = STATE(924),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1183),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1183),
    [sym_next] = ACTIONS(1183),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [sym_null] = ACTIONS(1183),
    [sym_inf] = ACTIONS(1183),
    [sym_nan] = ACTIONS(1183),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1185),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [154] = {
    [sym_function_definition] = STATE(407),
    [sym_lambda_function] = STATE(407),
    [sym_if] = STATE(407),
    [sym_while] = STATE(407),
    [sym_repeat] = STATE(407),
    [sym_for] = STATE(407),
    [sym_switch] = STATE(407),
    [sym_call] = STATE(407),
    [sym__assignment] = STATE(407),
    [sym_left_assignment] = STATE(407),
    [sym_left_assignment2] = STATE(407),
    [sym_equals_assignment] = STATE(407),
    [sym_super_assignment] = STATE(407),
    [sym_super_right_assignment] = STATE(407),
    [sym_right_assignment] = STATE(407),
    [sym_brace_list] = STATE(407),
    [sym_paren_list] = STATE(407),
    [sym_subset] = STATE(407),
    [sym_subset2] = STATE(407),
    [sym_dollar] = STATE(407),
    [sym_slot] = STATE(407),
    [sym_namespace_get] = STATE(407),
    [sym_namespace_get_internal] = STATE(407),
    [sym_help] = STATE(407),
    [sym_pipe] = STATE(407),
    [sym_unary] = STATE(407),
    [sym_binary] = STATE(407),
    [sym_na] = STATE(407),
    [sym__expression] = STATE(407),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(407),
    [sym_string] = STATE(407),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1187),
    [sym_next] = ACTIONS(1187),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [sym_null] = ACTIONS(1187),
    [sym_inf] = ACTIONS(1187),
    [sym_nan] = ACTIONS(1187),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1189),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [155] = {
    [sym_function_definition] = STATE(930),
    [sym_lambda_function] = STATE(930),
    [sym_if] = STATE(930),
    [sym_while] = STATE(930),
    [sym_repeat] = STATE(930),
    [sym_for] = STATE(930),
    [sym_switch] = STATE(930),
    [sym_call] = STATE(930),
    [sym__assignment] = STATE(930),
    [sym_left_assignment] = STATE(930),
    [sym_left_assignment2] = STATE(930),
    [sym_equals_assignment] = STATE(930),
    [sym_super_assignment] = STATE(930),
    [sym_super_right_assignment] = STATE(930),
    [sym_right_assignment] = STATE(930),
    [sym_brace_list] = STATE(930),
    [sym_paren_list] = STATE(930),
    [sym_subset] = STATE(930),
    [sym_subset2] = STATE(930),
    [sym_dollar] = STATE(930),
    [sym_slot] = STATE(930),
    [sym_namespace_get] = STATE(930),
    [sym_namespace_get_internal] = STATE(930),
    [sym_help] = STATE(930),
    [sym_pipe] = STATE(930),
    [sym_unary] = STATE(930),
    [sym_binary] = STATE(930),
    [sym_na] = STATE(930),
    [sym__expression] = STATE(930),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(930),
    [sym_string] = STATE(930),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1191),
    [sym_next] = ACTIONS(1191),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [sym_null] = ACTIONS(1191),
    [sym_inf] = ACTIONS(1191),
    [sym_nan] = ACTIONS(1191),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1193),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [156] = {
    [sym_function_definition] = STATE(408),
    [sym_lambda_function] = STATE(408),
    [sym_if] = STATE(408),
    [sym_while] = STATE(408),
    [sym_repeat] = STATE(408),
    [sym_for] = STATE(408),
    [sym_switch] = STATE(408),
    [sym_call] = STATE(408),
    [sym__assignment] = STATE(408),
    [sym_left_assignment] = STATE(408),
    [sym_left_assignment2] = STATE(408),
    [sym_equals_assignment] = STATE(408),
    [sym_super_assignment] = STATE(408),
    [sym_super_right_assignment] = STATE(408),
    [sym_right_assignment] = STATE(408),
    [sym_brace_list] = STATE(408),
    [sym_paren_list] = STATE(408),
    [sym_subset] = STATE(408),
    [sym_subset2] = STATE(408),
    [sym_dollar] = STATE(408),
    [sym_slot] = STATE(408),
    [sym_namespace_get] = STATE(408),
    [sym_namespace_get_internal] = STATE(408),
    [sym_help] = STATE(408),
    [sym_pipe] = STATE(408),
    [sym_unary] = STATE(408),
    [sym_binary] = STATE(408),
    [sym_na] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(408),
    [sym_string] = STATE(408),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1215),
    [sym_next] = ACTIONS(1215),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_inf] = ACTIONS(1215),
    [sym_nan] = ACTIONS(1215),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1229),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [157] = {
    [sym_function_definition] = STATE(616),
    [sym_lambda_function] = STATE(616),
    [sym_if] = STATE(616),
    [sym_while] = STATE(616),
    [sym_repeat] = STATE(616),
    [sym_for] = STATE(616),
    [sym_switch] = STATE(616),
    [sym_call] = STATE(616),
    [sym__assignment] = STATE(616),
    [sym_left_assignment] = STATE(616),
    [sym_left_assignment2] = STATE(616),
    [sym_equals_assignment] = STATE(616),
    [sym_super_assignment] = STATE(616),
    [sym_super_right_assignment] = STATE(616),
    [sym_right_assignment] = STATE(616),
    [sym_brace_list] = STATE(616),
    [sym_paren_list] = STATE(616),
    [sym_subset] = STATE(616),
    [sym_subset2] = STATE(616),
    [sym_dollar] = STATE(616),
    [sym_slot] = STATE(616),
    [sym_namespace_get] = STATE(616),
    [sym_namespace_get_internal] = STATE(616),
    [sym_help] = STATE(616),
    [sym_pipe] = STATE(616),
    [sym_unary] = STATE(616),
    [sym_binary] = STATE(616),
    [sym_na] = STATE(616),
    [sym__expression] = STATE(616),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(616),
    [sym_string] = STATE(616),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1239),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1239),
    [sym_next] = ACTIONS(1239),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [sym_null] = ACTIONS(1239),
    [sym_inf] = ACTIONS(1239),
    [sym_nan] = ACTIONS(1239),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1241),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [158] = {
    [sym_function_definition] = STATE(630),
    [sym_lambda_function] = STATE(630),
    [sym_if] = STATE(630),
    [sym_while] = STATE(630),
    [sym_repeat] = STATE(630),
    [sym_for] = STATE(630),
    [sym_switch] = STATE(630),
    [sym_call] = STATE(630),
    [sym__assignment] = STATE(630),
    [sym_left_assignment] = STATE(630),
    [sym_left_assignment2] = STATE(630),
    [sym_equals_assignment] = STATE(630),
    [sym_super_assignment] = STATE(630),
    [sym_super_right_assignment] = STATE(630),
    [sym_right_assignment] = STATE(630),
    [sym_brace_list] = STATE(630),
    [sym_paren_list] = STATE(630),
    [sym_subset] = STATE(630),
    [sym_subset2] = STATE(630),
    [sym_dollar] = STATE(630),
    [sym_slot] = STATE(630),
    [sym_namespace_get] = STATE(630),
    [sym_namespace_get_internal] = STATE(630),
    [sym_help] = STATE(630),
    [sym_pipe] = STATE(630),
    [sym_unary] = STATE(630),
    [sym_binary] = STATE(630),
    [sym_na] = STATE(630),
    [sym__expression] = STATE(630),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(630),
    [sym_string] = STATE(630),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1243),
    [sym_next] = ACTIONS(1243),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [sym_null] = ACTIONS(1243),
    [sym_inf] = ACTIONS(1243),
    [sym_nan] = ACTIONS(1243),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1245),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [159] = {
    [sym_function_definition] = STATE(631),
    [sym_lambda_function] = STATE(631),
    [sym_if] = STATE(631),
    [sym_while] = STATE(631),
    [sym_repeat] = STATE(631),
    [sym_for] = STATE(631),
    [sym_switch] = STATE(631),
    [sym_call] = STATE(631),
    [sym__assignment] = STATE(631),
    [sym_left_assignment] = STATE(631),
    [sym_left_assignment2] = STATE(631),
    [sym_equals_assignment] = STATE(631),
    [sym_super_assignment] = STATE(631),
    [sym_super_right_assignment] = STATE(631),
    [sym_right_assignment] = STATE(631),
    [sym_brace_list] = STATE(631),
    [sym_paren_list] = STATE(631),
    [sym_subset] = STATE(631),
    [sym_subset2] = STATE(631),
    [sym_dollar] = STATE(631),
    [sym_slot] = STATE(631),
    [sym_namespace_get] = STATE(631),
    [sym_namespace_get_internal] = STATE(631),
    [sym_help] = STATE(631),
    [sym_pipe] = STATE(631),
    [sym_unary] = STATE(631),
    [sym_binary] = STATE(631),
    [sym_na] = STATE(631),
    [sym__expression] = STATE(631),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(631),
    [sym_string] = STATE(631),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1247),
    [sym_next] = ACTIONS(1247),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [sym_null] = ACTIONS(1247),
    [sym_inf] = ACTIONS(1247),
    [sym_nan] = ACTIONS(1247),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1249),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [160] = {
    [sym_function_definition] = STATE(513),
    [sym_lambda_function] = STATE(513),
    [sym_if] = STATE(513),
    [sym_while] = STATE(513),
    [sym_repeat] = STATE(513),
    [sym_for] = STATE(513),
    [sym_switch] = STATE(513),
    [sym_call] = STATE(513),
    [sym__assignment] = STATE(513),
    [sym_left_assignment] = STATE(513),
    [sym_left_assignment2] = STATE(513),
    [sym_equals_assignment] = STATE(513),
    [sym_super_assignment] = STATE(513),
    [sym_super_right_assignment] = STATE(513),
    [sym_right_assignment] = STATE(513),
    [sym_brace_list] = STATE(513),
    [sym_paren_list] = STATE(513),
    [sym_subset] = STATE(513),
    [sym_subset2] = STATE(513),
    [sym_dollar] = STATE(513),
    [sym_slot] = STATE(513),
    [sym_namespace_get] = STATE(513),
    [sym_namespace_get_internal] = STATE(513),
    [sym_help] = STATE(513),
    [sym_pipe] = STATE(513),
    [sym_unary] = STATE(513),
    [sym_binary] = STATE(513),
    [sym_na] = STATE(513),
    [sym__expression] = STATE(513),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(513),
    [sym_string] = STATE(513),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1251),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1251),
    [sym_next] = ACTIONS(1251),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [sym_null] = ACTIONS(1251),
    [sym_inf] = ACTIONS(1251),
    [sym_nan] = ACTIONS(1251),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1253),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [161] = {
    [sym_function_definition] = STATE(639),
    [sym_lambda_function] = STATE(639),
    [sym_if] = STATE(639),
    [sym_while] = STATE(639),
    [sym_repeat] = STATE(639),
    [sym_for] = STATE(639),
    [sym_switch] = STATE(639),
    [sym_call] = STATE(639),
    [sym__assignment] = STATE(639),
    [sym_left_assignment] = STATE(639),
    [sym_left_assignment2] = STATE(639),
    [sym_equals_assignment] = STATE(639),
    [sym_super_assignment] = STATE(639),
    [sym_super_right_assignment] = STATE(639),
    [sym_right_assignment] = STATE(639),
    [sym_brace_list] = STATE(639),
    [sym_paren_list] = STATE(639),
    [sym_subset] = STATE(639),
    [sym_subset2] = STATE(639),
    [sym_dollar] = STATE(639),
    [sym_slot] = STATE(639),
    [sym_namespace_get] = STATE(639),
    [sym_namespace_get_internal] = STATE(639),
    [sym_help] = STATE(639),
    [sym_pipe] = STATE(639),
    [sym_unary] = STATE(639),
    [sym_binary] = STATE(639),
    [sym_na] = STATE(639),
    [sym__expression] = STATE(639),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(639),
    [sym_string] = STATE(639),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1255),
    [sym_next] = ACTIONS(1255),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [sym_null] = ACTIONS(1255),
    [sym_inf] = ACTIONS(1255),
    [sym_nan] = ACTIONS(1255),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1257),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [162] = {
    [sym_function_definition] = STATE(629),
    [sym_lambda_function] = STATE(629),
    [sym_if] = STATE(629),
    [sym_while] = STATE(629),
    [sym_repeat] = STATE(629),
    [sym_for] = STATE(629),
    [sym_switch] = STATE(629),
    [sym_call] = STATE(629),
    [sym__assignment] = STATE(629),
    [sym_left_assignment] = STATE(629),
    [sym_left_assignment2] = STATE(629),
    [sym_equals_assignment] = STATE(629),
    [sym_super_assignment] = STATE(629),
    [sym_super_right_assignment] = STATE(629),
    [sym_right_assignment] = STATE(629),
    [sym_brace_list] = STATE(629),
    [sym_paren_list] = STATE(629),
    [sym_subset] = STATE(629),
    [sym_subset2] = STATE(629),
    [sym_dollar] = STATE(629),
    [sym_slot] = STATE(629),
    [sym_namespace_get] = STATE(629),
    [sym_namespace_get_internal] = STATE(629),
    [sym_help] = STATE(629),
    [sym_pipe] = STATE(629),
    [sym_unary] = STATE(629),
    [sym_binary] = STATE(629),
    [sym_na] = STATE(629),
    [sym__expression] = STATE(629),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(629),
    [sym_string] = STATE(629),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1259),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1259),
    [sym_next] = ACTIONS(1259),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [sym_null] = ACTIONS(1259),
    [sym_inf] = ACTIONS(1259),
    [sym_nan] = ACTIONS(1259),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1261),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [163] = {
    [sym_function_definition] = STATE(628),
    [sym_lambda_function] = STATE(628),
    [sym_if] = STATE(628),
    [sym_while] = STATE(628),
    [sym_repeat] = STATE(628),
    [sym_for] = STATE(628),
    [sym_switch] = STATE(628),
    [sym_call] = STATE(628),
    [sym__assignment] = STATE(628),
    [sym_left_assignment] = STATE(628),
    [sym_left_assignment2] = STATE(628),
    [sym_equals_assignment] = STATE(628),
    [sym_super_assignment] = STATE(628),
    [sym_super_right_assignment] = STATE(628),
    [sym_right_assignment] = STATE(628),
    [sym_brace_list] = STATE(628),
    [sym_paren_list] = STATE(628),
    [sym_subset] = STATE(628),
    [sym_subset2] = STATE(628),
    [sym_dollar] = STATE(628),
    [sym_slot] = STATE(628),
    [sym_namespace_get] = STATE(628),
    [sym_namespace_get_internal] = STATE(628),
    [sym_help] = STATE(628),
    [sym_pipe] = STATE(628),
    [sym_unary] = STATE(628),
    [sym_binary] = STATE(628),
    [sym_na] = STATE(628),
    [sym__expression] = STATE(628),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(628),
    [sym_string] = STATE(628),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1263),
    [sym_next] = ACTIONS(1263),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [sym_null] = ACTIONS(1263),
    [sym_inf] = ACTIONS(1263),
    [sym_nan] = ACTIONS(1263),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1265),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [164] = {
    [sym_function_definition] = STATE(678),
    [sym_lambda_function] = STATE(678),
    [sym_if] = STATE(678),
    [sym_while] = STATE(678),
    [sym_repeat] = STATE(678),
    [sym_for] = STATE(678),
    [sym_switch] = STATE(678),
    [sym_call] = STATE(678),
    [sym__assignment] = STATE(678),
    [sym_left_assignment] = STATE(678),
    [sym_left_assignment2] = STATE(678),
    [sym_equals_assignment] = STATE(678),
    [sym_super_assignment] = STATE(678),
    [sym_super_right_assignment] = STATE(678),
    [sym_right_assignment] = STATE(678),
    [sym_brace_list] = STATE(678),
    [sym_paren_list] = STATE(678),
    [sym_subset] = STATE(678),
    [sym_subset2] = STATE(678),
    [sym_dollar] = STATE(678),
    [sym_slot] = STATE(678),
    [sym_namespace_get] = STATE(678),
    [sym_namespace_get_internal] = STATE(678),
    [sym_help] = STATE(678),
    [sym_pipe] = STATE(678),
    [sym_unary] = STATE(678),
    [sym_binary] = STATE(678),
    [sym_na] = STATE(678),
    [sym__expression] = STATE(678),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(678),
    [sym_string] = STATE(678),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1267),
    [sym_next] = ACTIONS(1267),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [sym_null] = ACTIONS(1267),
    [sym_inf] = ACTIONS(1267),
    [sym_nan] = ACTIONS(1267),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1269),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [165] = {
    [sym_function_definition] = STATE(621),
    [sym_lambda_function] = STATE(621),
    [sym_if] = STATE(621),
    [sym_while] = STATE(621),
    [sym_repeat] = STATE(621),
    [sym_for] = STATE(621),
    [sym_switch] = STATE(621),
    [sym_call] = STATE(621),
    [sym__assignment] = STATE(621),
    [sym_left_assignment] = STATE(621),
    [sym_left_assignment2] = STATE(621),
    [sym_equals_assignment] = STATE(621),
    [sym_super_assignment] = STATE(621),
    [sym_super_right_assignment] = STATE(621),
    [sym_right_assignment] = STATE(621),
    [sym_brace_list] = STATE(621),
    [sym_paren_list] = STATE(621),
    [sym_subset] = STATE(621),
    [sym_subset2] = STATE(621),
    [sym_dollar] = STATE(621),
    [sym_slot] = STATE(621),
    [sym_namespace_get] = STATE(621),
    [sym_namespace_get_internal] = STATE(621),
    [sym_help] = STATE(621),
    [sym_pipe] = STATE(621),
    [sym_unary] = STATE(621),
    [sym_binary] = STATE(621),
    [sym_na] = STATE(621),
    [sym__expression] = STATE(621),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(621),
    [sym_string] = STATE(621),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1271),
    [sym_next] = ACTIONS(1271),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [sym_null] = ACTIONS(1271),
    [sym_inf] = ACTIONS(1271),
    [sym_nan] = ACTIONS(1271),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1273),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [166] = {
    [sym_function_definition] = STATE(575),
    [sym_lambda_function] = STATE(575),
    [sym_if] = STATE(575),
    [sym_while] = STATE(575),
    [sym_repeat] = STATE(575),
    [sym_for] = STATE(575),
    [sym_switch] = STATE(575),
    [sym_call] = STATE(575),
    [sym__assignment] = STATE(575),
    [sym_left_assignment] = STATE(575),
    [sym_left_assignment2] = STATE(575),
    [sym_equals_assignment] = STATE(575),
    [sym_super_assignment] = STATE(575),
    [sym_super_right_assignment] = STATE(575),
    [sym_right_assignment] = STATE(575),
    [sym_brace_list] = STATE(575),
    [sym_paren_list] = STATE(575),
    [sym_subset] = STATE(575),
    [sym_subset2] = STATE(575),
    [sym_dollar] = STATE(575),
    [sym_slot] = STATE(575),
    [sym_namespace_get] = STATE(575),
    [sym_namespace_get_internal] = STATE(575),
    [sym_help] = STATE(575),
    [sym_pipe] = STATE(575),
    [sym_unary] = STATE(575),
    [sym_binary] = STATE(575),
    [sym_na] = STATE(575),
    [sym__expression] = STATE(575),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(575),
    [sym_string] = STATE(575),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1275),
    [sym_next] = ACTIONS(1275),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [sym_null] = ACTIONS(1275),
    [sym_inf] = ACTIONS(1275),
    [sym_nan] = ACTIONS(1275),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1277),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [167] = {
    [sym_function_definition] = STATE(571),
    [sym_lambda_function] = STATE(571),
    [sym_if] = STATE(571),
    [sym_while] = STATE(571),
    [sym_repeat] = STATE(571),
    [sym_for] = STATE(571),
    [sym_switch] = STATE(571),
    [sym_call] = STATE(571),
    [sym__assignment] = STATE(571),
    [sym_left_assignment] = STATE(571),
    [sym_left_assignment2] = STATE(571),
    [sym_equals_assignment] = STATE(571),
    [sym_super_assignment] = STATE(571),
    [sym_super_right_assignment] = STATE(571),
    [sym_right_assignment] = STATE(571),
    [sym_brace_list] = STATE(571),
    [sym_paren_list] = STATE(571),
    [sym_subset] = STATE(571),
    [sym_subset2] = STATE(571),
    [sym_dollar] = STATE(571),
    [sym_slot] = STATE(571),
    [sym_namespace_get] = STATE(571),
    [sym_namespace_get_internal] = STATE(571),
    [sym_help] = STATE(571),
    [sym_pipe] = STATE(571),
    [sym_unary] = STATE(571),
    [sym_binary] = STATE(571),
    [sym_na] = STATE(571),
    [sym__expression] = STATE(571),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(571),
    [sym_string] = STATE(571),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1279),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1279),
    [sym_next] = ACTIONS(1279),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [sym_null] = ACTIONS(1279),
    [sym_inf] = ACTIONS(1279),
    [sym_nan] = ACTIONS(1279),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1281),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [168] = {
    [sym_function_definition] = STATE(516),
    [sym_lambda_function] = STATE(516),
    [sym_if] = STATE(516),
    [sym_while] = STATE(516),
    [sym_repeat] = STATE(516),
    [sym_for] = STATE(516),
    [sym_switch] = STATE(516),
    [sym_call] = STATE(516),
    [sym__assignment] = STATE(516),
    [sym_left_assignment] = STATE(516),
    [sym_left_assignment2] = STATE(516),
    [sym_equals_assignment] = STATE(516),
    [sym_super_assignment] = STATE(516),
    [sym_super_right_assignment] = STATE(516),
    [sym_right_assignment] = STATE(516),
    [sym_brace_list] = STATE(516),
    [sym_paren_list] = STATE(516),
    [sym_subset] = STATE(516),
    [sym_subset2] = STATE(516),
    [sym_dollar] = STATE(516),
    [sym_slot] = STATE(516),
    [sym_namespace_get] = STATE(516),
    [sym_namespace_get_internal] = STATE(516),
    [sym_help] = STATE(516),
    [sym_pipe] = STATE(516),
    [sym_unary] = STATE(516),
    [sym_binary] = STATE(516),
    [sym_na] = STATE(516),
    [sym__expression] = STATE(516),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(516),
    [sym_string] = STATE(516),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1283),
    [sym_next] = ACTIONS(1283),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [sym_null] = ACTIONS(1283),
    [sym_inf] = ACTIONS(1283),
    [sym_nan] = ACTIONS(1283),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1285),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [169] = {
    [sym_function_definition] = STATE(642),
    [sym_lambda_function] = STATE(642),
    [sym_if] = STATE(642),
    [sym_while] = STATE(642),
    [sym_repeat] = STATE(642),
    [sym_for] = STATE(642),
    [sym_switch] = STATE(642),
    [sym_call] = STATE(642),
    [sym__assignment] = STATE(642),
    [sym_left_assignment] = STATE(642),
    [sym_left_assignment2] = STATE(642),
    [sym_equals_assignment] = STATE(642),
    [sym_super_assignment] = STATE(642),
    [sym_super_right_assignment] = STATE(642),
    [sym_right_assignment] = STATE(642),
    [sym_brace_list] = STATE(642),
    [sym_paren_list] = STATE(642),
    [sym_subset] = STATE(642),
    [sym_subset2] = STATE(642),
    [sym_dollar] = STATE(642),
    [sym_slot] = STATE(642),
    [sym_namespace_get] = STATE(642),
    [sym_namespace_get_internal] = STATE(642),
    [sym_help] = STATE(642),
    [sym_pipe] = STATE(642),
    [sym_unary] = STATE(642),
    [sym_binary] = STATE(642),
    [sym_na] = STATE(642),
    [sym__expression] = STATE(642),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(642),
    [sym_string] = STATE(642),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1287),
    [sym_next] = ACTIONS(1287),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_null] = ACTIONS(1287),
    [sym_inf] = ACTIONS(1287),
    [sym_nan] = ACTIONS(1287),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1289),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [170] = {
    [sym_function_definition] = STATE(645),
    [sym_lambda_function] = STATE(645),
    [sym_if] = STATE(645),
    [sym_while] = STATE(645),
    [sym_repeat] = STATE(645),
    [sym_for] = STATE(645),
    [sym_switch] = STATE(645),
    [sym_call] = STATE(645),
    [sym__assignment] = STATE(645),
    [sym_left_assignment] = STATE(645),
    [sym_left_assignment2] = STATE(645),
    [sym_equals_assignment] = STATE(645),
    [sym_super_assignment] = STATE(645),
    [sym_super_right_assignment] = STATE(645),
    [sym_right_assignment] = STATE(645),
    [sym_brace_list] = STATE(645),
    [sym_paren_list] = STATE(645),
    [sym_subset] = STATE(645),
    [sym_subset2] = STATE(645),
    [sym_dollar] = STATE(645),
    [sym_slot] = STATE(645),
    [sym_namespace_get] = STATE(645),
    [sym_namespace_get_internal] = STATE(645),
    [sym_help] = STATE(645),
    [sym_pipe] = STATE(645),
    [sym_unary] = STATE(645),
    [sym_binary] = STATE(645),
    [sym_na] = STATE(645),
    [sym__expression] = STATE(645),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(645),
    [sym_string] = STATE(645),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1291),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1291),
    [sym_next] = ACTIONS(1291),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [sym_null] = ACTIONS(1291),
    [sym_inf] = ACTIONS(1291),
    [sym_nan] = ACTIONS(1291),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1293),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [171] = {
    [sym_function_definition] = STATE(646),
    [sym_lambda_function] = STATE(646),
    [sym_if] = STATE(646),
    [sym_while] = STATE(646),
    [sym_repeat] = STATE(646),
    [sym_for] = STATE(646),
    [sym_switch] = STATE(646),
    [sym_call] = STATE(646),
    [sym__assignment] = STATE(646),
    [sym_left_assignment] = STATE(646),
    [sym_left_assignment2] = STATE(646),
    [sym_equals_assignment] = STATE(646),
    [sym_super_assignment] = STATE(646),
    [sym_super_right_assignment] = STATE(646),
    [sym_right_assignment] = STATE(646),
    [sym_brace_list] = STATE(646),
    [sym_paren_list] = STATE(646),
    [sym_subset] = STATE(646),
    [sym_subset2] = STATE(646),
    [sym_dollar] = STATE(646),
    [sym_slot] = STATE(646),
    [sym_namespace_get] = STATE(646),
    [sym_namespace_get_internal] = STATE(646),
    [sym_help] = STATE(646),
    [sym_pipe] = STATE(646),
    [sym_unary] = STATE(646),
    [sym_binary] = STATE(646),
    [sym_na] = STATE(646),
    [sym__expression] = STATE(646),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(646),
    [sym_string] = STATE(646),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1295),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1295),
    [sym_next] = ACTIONS(1295),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [sym_null] = ACTIONS(1295),
    [sym_inf] = ACTIONS(1295),
    [sym_nan] = ACTIONS(1295),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1297),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [172] = {
    [sym_function_definition] = STATE(647),
    [sym_lambda_function] = STATE(647),
    [sym_if] = STATE(647),
    [sym_while] = STATE(647),
    [sym_repeat] = STATE(647),
    [sym_for] = STATE(647),
    [sym_switch] = STATE(647),
    [sym_call] = STATE(647),
    [sym__assignment] = STATE(647),
    [sym_left_assignment] = STATE(647),
    [sym_left_assignment2] = STATE(647),
    [sym_equals_assignment] = STATE(647),
    [sym_super_assignment] = STATE(647),
    [sym_super_right_assignment] = STATE(647),
    [sym_right_assignment] = STATE(647),
    [sym_brace_list] = STATE(647),
    [sym_paren_list] = STATE(647),
    [sym_subset] = STATE(647),
    [sym_subset2] = STATE(647),
    [sym_dollar] = STATE(647),
    [sym_slot] = STATE(647),
    [sym_namespace_get] = STATE(647),
    [sym_namespace_get_internal] = STATE(647),
    [sym_help] = STATE(647),
    [sym_pipe] = STATE(647),
    [sym_unary] = STATE(647),
    [sym_binary] = STATE(647),
    [sym_na] = STATE(647),
    [sym__expression] = STATE(647),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(647),
    [sym_string] = STATE(647),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1299),
    [sym_next] = ACTIONS(1299),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [sym_null] = ACTIONS(1299),
    [sym_inf] = ACTIONS(1299),
    [sym_nan] = ACTIONS(1299),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1301),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [173] = {
    [sym_function_definition] = STATE(576),
    [sym_lambda_function] = STATE(576),
    [sym_if] = STATE(576),
    [sym_while] = STATE(576),
    [sym_repeat] = STATE(576),
    [sym_for] = STATE(576),
    [sym_switch] = STATE(576),
    [sym_call] = STATE(576),
    [sym__assignment] = STATE(576),
    [sym_left_assignment] = STATE(576),
    [sym_left_assignment2] = STATE(576),
    [sym_equals_assignment] = STATE(576),
    [sym_super_assignment] = STATE(576),
    [sym_super_right_assignment] = STATE(576),
    [sym_right_assignment] = STATE(576),
    [sym_brace_list] = STATE(576),
    [sym_paren_list] = STATE(576),
    [sym_subset] = STATE(576),
    [sym_subset2] = STATE(576),
    [sym_dollar] = STATE(576),
    [sym_slot] = STATE(576),
    [sym_namespace_get] = STATE(576),
    [sym_namespace_get_internal] = STATE(576),
    [sym_help] = STATE(576),
    [sym_pipe] = STATE(576),
    [sym_unary] = STATE(576),
    [sym_binary] = STATE(576),
    [sym_na] = STATE(576),
    [sym__expression] = STATE(576),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(576),
    [sym_string] = STATE(576),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1303),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1303),
    [sym_next] = ACTIONS(1303),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_inf] = ACTIONS(1303),
    [sym_nan] = ACTIONS(1303),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1305),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [174] = {
    [sym_function_definition] = STATE(574),
    [sym_lambda_function] = STATE(574),
    [sym_if] = STATE(574),
    [sym_while] = STATE(574),
    [sym_repeat] = STATE(574),
    [sym_for] = STATE(574),
    [sym_switch] = STATE(574),
    [sym_call] = STATE(574),
    [sym__assignment] = STATE(574),
    [sym_left_assignment] = STATE(574),
    [sym_left_assignment2] = STATE(574),
    [sym_equals_assignment] = STATE(574),
    [sym_super_assignment] = STATE(574),
    [sym_super_right_assignment] = STATE(574),
    [sym_right_assignment] = STATE(574),
    [sym_brace_list] = STATE(574),
    [sym_paren_list] = STATE(574),
    [sym_subset] = STATE(574),
    [sym_subset2] = STATE(574),
    [sym_dollar] = STATE(574),
    [sym_slot] = STATE(574),
    [sym_namespace_get] = STATE(574),
    [sym_namespace_get_internal] = STATE(574),
    [sym_help] = STATE(574),
    [sym_pipe] = STATE(574),
    [sym_unary] = STATE(574),
    [sym_binary] = STATE(574),
    [sym_na] = STATE(574),
    [sym__expression] = STATE(574),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(574),
    [sym_string] = STATE(574),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1307),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1307),
    [sym_next] = ACTIONS(1307),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [sym_null] = ACTIONS(1307),
    [sym_inf] = ACTIONS(1307),
    [sym_nan] = ACTIONS(1307),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1309),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [175] = {
    [sym_function_definition] = STATE(641),
    [sym_lambda_function] = STATE(641),
    [sym_if] = STATE(641),
    [sym_while] = STATE(641),
    [sym_repeat] = STATE(641),
    [sym_for] = STATE(641),
    [sym_switch] = STATE(641),
    [sym_call] = STATE(641),
    [sym__assignment] = STATE(641),
    [sym_left_assignment] = STATE(641),
    [sym_left_assignment2] = STATE(641),
    [sym_equals_assignment] = STATE(641),
    [sym_super_assignment] = STATE(641),
    [sym_super_right_assignment] = STATE(641),
    [sym_right_assignment] = STATE(641),
    [sym_brace_list] = STATE(641),
    [sym_paren_list] = STATE(641),
    [sym_subset] = STATE(641),
    [sym_subset2] = STATE(641),
    [sym_dollar] = STATE(641),
    [sym_slot] = STATE(641),
    [sym_namespace_get] = STATE(641),
    [sym_namespace_get_internal] = STATE(641),
    [sym_help] = STATE(641),
    [sym_pipe] = STATE(641),
    [sym_unary] = STATE(641),
    [sym_binary] = STATE(641),
    [sym_na] = STATE(641),
    [sym__expression] = STATE(641),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(641),
    [sym_string] = STATE(641),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1311),
    [sym_next] = ACTIONS(1311),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [sym_null] = ACTIONS(1311),
    [sym_inf] = ACTIONS(1311),
    [sym_nan] = ACTIONS(1311),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1313),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [176] = {
    [sym_function_definition] = STATE(503),
    [sym_lambda_function] = STATE(503),
    [sym_if] = STATE(503),
    [sym_while] = STATE(503),
    [sym_repeat] = STATE(503),
    [sym_for] = STATE(503),
    [sym_switch] = STATE(503),
    [sym_call] = STATE(503),
    [sym__assignment] = STATE(503),
    [sym_left_assignment] = STATE(503),
    [sym_left_assignment2] = STATE(503),
    [sym_equals_assignment] = STATE(503),
    [sym_super_assignment] = STATE(503),
    [sym_super_right_assignment] = STATE(503),
    [sym_right_assignment] = STATE(503),
    [sym_brace_list] = STATE(503),
    [sym_paren_list] = STATE(503),
    [sym_subset] = STATE(503),
    [sym_subset2] = STATE(503),
    [sym_dollar] = STATE(503),
    [sym_slot] = STATE(503),
    [sym_namespace_get] = STATE(503),
    [sym_namespace_get_internal] = STATE(503),
    [sym_help] = STATE(503),
    [sym_pipe] = STATE(503),
    [sym_unary] = STATE(503),
    [sym_binary] = STATE(503),
    [sym_na] = STATE(503),
    [sym__expression] = STATE(503),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(503),
    [sym_string] = STATE(503),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1315),
    [sym_next] = ACTIONS(1315),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [sym_null] = ACTIONS(1315),
    [sym_inf] = ACTIONS(1315),
    [sym_nan] = ACTIONS(1315),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1317),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [177] = {
    [sym_function_definition] = STATE(504),
    [sym_lambda_function] = STATE(504),
    [sym_if] = STATE(504),
    [sym_while] = STATE(504),
    [sym_repeat] = STATE(504),
    [sym_for] = STATE(504),
    [sym_switch] = STATE(504),
    [sym_call] = STATE(504),
    [sym__assignment] = STATE(504),
    [sym_left_assignment] = STATE(504),
    [sym_left_assignment2] = STATE(504),
    [sym_equals_assignment] = STATE(504),
    [sym_super_assignment] = STATE(504),
    [sym_super_right_assignment] = STATE(504),
    [sym_right_assignment] = STATE(504),
    [sym_brace_list] = STATE(504),
    [sym_paren_list] = STATE(504),
    [sym_subset] = STATE(504),
    [sym_subset2] = STATE(504),
    [sym_dollar] = STATE(504),
    [sym_slot] = STATE(504),
    [sym_namespace_get] = STATE(504),
    [sym_namespace_get_internal] = STATE(504),
    [sym_help] = STATE(504),
    [sym_pipe] = STATE(504),
    [sym_unary] = STATE(504),
    [sym_binary] = STATE(504),
    [sym_na] = STATE(504),
    [sym__expression] = STATE(504),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(504),
    [sym_string] = STATE(504),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1319),
    [sym_next] = ACTIONS(1319),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [sym_null] = ACTIONS(1319),
    [sym_inf] = ACTIONS(1319),
    [sym_nan] = ACTIONS(1319),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1321),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [178] = {
    [sym_function_definition] = STATE(660),
    [sym_lambda_function] = STATE(660),
    [sym_if] = STATE(660),
    [sym_while] = STATE(660),
    [sym_repeat] = STATE(660),
    [sym_for] = STATE(660),
    [sym_switch] = STATE(660),
    [sym_call] = STATE(660),
    [sym__assignment] = STATE(660),
    [sym_left_assignment] = STATE(660),
    [sym_left_assignment2] = STATE(660),
    [sym_equals_assignment] = STATE(660),
    [sym_super_assignment] = STATE(660),
    [sym_super_right_assignment] = STATE(660),
    [sym_right_assignment] = STATE(660),
    [sym_brace_list] = STATE(660),
    [sym_paren_list] = STATE(660),
    [sym_subset] = STATE(660),
    [sym_subset2] = STATE(660),
    [sym_dollar] = STATE(660),
    [sym_slot] = STATE(660),
    [sym_namespace_get] = STATE(660),
    [sym_namespace_get_internal] = STATE(660),
    [sym_help] = STATE(660),
    [sym_pipe] = STATE(660),
    [sym_unary] = STATE(660),
    [sym_binary] = STATE(660),
    [sym_na] = STATE(660),
    [sym__expression] = STATE(660),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(660),
    [sym_string] = STATE(660),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1323),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1323),
    [sym_next] = ACTIONS(1323),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_null] = ACTIONS(1323),
    [sym_inf] = ACTIONS(1323),
    [sym_nan] = ACTIONS(1323),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1325),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [179] = {
    [sym_function_definition] = STATE(661),
    [sym_lambda_function] = STATE(661),
    [sym_if] = STATE(661),
    [sym_while] = STATE(661),
    [sym_repeat] = STATE(661),
    [sym_for] = STATE(661),
    [sym_switch] = STATE(661),
    [sym_call] = STATE(661),
    [sym__assignment] = STATE(661),
    [sym_left_assignment] = STATE(661),
    [sym_left_assignment2] = STATE(661),
    [sym_equals_assignment] = STATE(661),
    [sym_super_assignment] = STATE(661),
    [sym_super_right_assignment] = STATE(661),
    [sym_right_assignment] = STATE(661),
    [sym_brace_list] = STATE(661),
    [sym_paren_list] = STATE(661),
    [sym_subset] = STATE(661),
    [sym_subset2] = STATE(661),
    [sym_dollar] = STATE(661),
    [sym_slot] = STATE(661),
    [sym_namespace_get] = STATE(661),
    [sym_namespace_get_internal] = STATE(661),
    [sym_help] = STATE(661),
    [sym_pipe] = STATE(661),
    [sym_unary] = STATE(661),
    [sym_binary] = STATE(661),
    [sym_na] = STATE(661),
    [sym__expression] = STATE(661),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(661),
    [sym_string] = STATE(661),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1327),
    [sym_next] = ACTIONS(1327),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [sym_null] = ACTIONS(1327),
    [sym_inf] = ACTIONS(1327),
    [sym_nan] = ACTIONS(1327),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1329),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [180] = {
    [sym_function_definition] = STATE(663),
    [sym_lambda_function] = STATE(663),
    [sym_if] = STATE(663),
    [sym_while] = STATE(663),
    [sym_repeat] = STATE(663),
    [sym_for] = STATE(663),
    [sym_switch] = STATE(663),
    [sym_call] = STATE(663),
    [sym__assignment] = STATE(663),
    [sym_left_assignment] = STATE(663),
    [sym_left_assignment2] = STATE(663),
    [sym_equals_assignment] = STATE(663),
    [sym_super_assignment] = STATE(663),
    [sym_super_right_assignment] = STATE(663),
    [sym_right_assignment] = STATE(663),
    [sym_brace_list] = STATE(663),
    [sym_paren_list] = STATE(663),
    [sym_subset] = STATE(663),
    [sym_subset2] = STATE(663),
    [sym_dollar] = STATE(663),
    [sym_slot] = STATE(663),
    [sym_namespace_get] = STATE(663),
    [sym_namespace_get_internal] = STATE(663),
    [sym_help] = STATE(663),
    [sym_pipe] = STATE(663),
    [sym_unary] = STATE(663),
    [sym_binary] = STATE(663),
    [sym_na] = STATE(663),
    [sym__expression] = STATE(663),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(663),
    [sym_string] = STATE(663),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1331),
    [sym_next] = ACTIONS(1331),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [sym_null] = ACTIONS(1331),
    [sym_inf] = ACTIONS(1331),
    [sym_nan] = ACTIONS(1331),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1333),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [181] = {
    [sym_function_definition] = STATE(665),
    [sym_lambda_function] = STATE(665),
    [sym_if] = STATE(665),
    [sym_while] = STATE(665),
    [sym_repeat] = STATE(665),
    [sym_for] = STATE(665),
    [sym_switch] = STATE(665),
    [sym_call] = STATE(665),
    [sym__assignment] = STATE(665),
    [sym_left_assignment] = STATE(665),
    [sym_left_assignment2] = STATE(665),
    [sym_equals_assignment] = STATE(665),
    [sym_super_assignment] = STATE(665),
    [sym_super_right_assignment] = STATE(665),
    [sym_right_assignment] = STATE(665),
    [sym_brace_list] = STATE(665),
    [sym_paren_list] = STATE(665),
    [sym_subset] = STATE(665),
    [sym_subset2] = STATE(665),
    [sym_dollar] = STATE(665),
    [sym_slot] = STATE(665),
    [sym_namespace_get] = STATE(665),
    [sym_namespace_get_internal] = STATE(665),
    [sym_help] = STATE(665),
    [sym_pipe] = STATE(665),
    [sym_unary] = STATE(665),
    [sym_binary] = STATE(665),
    [sym_na] = STATE(665),
    [sym__expression] = STATE(665),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(665),
    [sym_string] = STATE(665),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1335),
    [sym_next] = ACTIONS(1335),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [sym_null] = ACTIONS(1335),
    [sym_inf] = ACTIONS(1335),
    [sym_nan] = ACTIONS(1335),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1337),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [182] = {
    [sym_function_definition] = STATE(666),
    [sym_lambda_function] = STATE(666),
    [sym_if] = STATE(666),
    [sym_while] = STATE(666),
    [sym_repeat] = STATE(666),
    [sym_for] = STATE(666),
    [sym_switch] = STATE(666),
    [sym_call] = STATE(666),
    [sym__assignment] = STATE(666),
    [sym_left_assignment] = STATE(666),
    [sym_left_assignment2] = STATE(666),
    [sym_equals_assignment] = STATE(666),
    [sym_super_assignment] = STATE(666),
    [sym_super_right_assignment] = STATE(666),
    [sym_right_assignment] = STATE(666),
    [sym_brace_list] = STATE(666),
    [sym_paren_list] = STATE(666),
    [sym_subset] = STATE(666),
    [sym_subset2] = STATE(666),
    [sym_dollar] = STATE(666),
    [sym_slot] = STATE(666),
    [sym_namespace_get] = STATE(666),
    [sym_namespace_get_internal] = STATE(666),
    [sym_help] = STATE(666),
    [sym_pipe] = STATE(666),
    [sym_unary] = STATE(666),
    [sym_binary] = STATE(666),
    [sym_na] = STATE(666),
    [sym__expression] = STATE(666),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(666),
    [sym_string] = STATE(666),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1339),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1339),
    [sym_next] = ACTIONS(1339),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [sym_null] = ACTIONS(1339),
    [sym_inf] = ACTIONS(1339),
    [sym_nan] = ACTIONS(1339),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1341),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [183] = {
    [sym_function_definition] = STATE(506),
    [sym_lambda_function] = STATE(506),
    [sym_if] = STATE(506),
    [sym_while] = STATE(506),
    [sym_repeat] = STATE(506),
    [sym_for] = STATE(506),
    [sym_switch] = STATE(506),
    [sym_call] = STATE(506),
    [sym__assignment] = STATE(506),
    [sym_left_assignment] = STATE(506),
    [sym_left_assignment2] = STATE(506),
    [sym_equals_assignment] = STATE(506),
    [sym_super_assignment] = STATE(506),
    [sym_super_right_assignment] = STATE(506),
    [sym_right_assignment] = STATE(506),
    [sym_brace_list] = STATE(506),
    [sym_paren_list] = STATE(506),
    [sym_subset] = STATE(506),
    [sym_subset2] = STATE(506),
    [sym_dollar] = STATE(506),
    [sym_slot] = STATE(506),
    [sym_namespace_get] = STATE(506),
    [sym_namespace_get_internal] = STATE(506),
    [sym_help] = STATE(506),
    [sym_pipe] = STATE(506),
    [sym_unary] = STATE(506),
    [sym_binary] = STATE(506),
    [sym_na] = STATE(506),
    [sym__expression] = STATE(506),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(506),
    [sym_string] = STATE(506),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1343),
    [sym_next] = ACTIONS(1343),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [sym_null] = ACTIONS(1343),
    [sym_inf] = ACTIONS(1343),
    [sym_nan] = ACTIONS(1343),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1345),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [184] = {
    [sym_function_definition] = STATE(507),
    [sym_lambda_function] = STATE(507),
    [sym_if] = STATE(507),
    [sym_while] = STATE(507),
    [sym_repeat] = STATE(507),
    [sym_for] = STATE(507),
    [sym_switch] = STATE(507),
    [sym_call] = STATE(507),
    [sym__assignment] = STATE(507),
    [sym_left_assignment] = STATE(507),
    [sym_left_assignment2] = STATE(507),
    [sym_equals_assignment] = STATE(507),
    [sym_super_assignment] = STATE(507),
    [sym_super_right_assignment] = STATE(507),
    [sym_right_assignment] = STATE(507),
    [sym_brace_list] = STATE(507),
    [sym_paren_list] = STATE(507),
    [sym_subset] = STATE(507),
    [sym_subset2] = STATE(507),
    [sym_dollar] = STATE(507),
    [sym_slot] = STATE(507),
    [sym_namespace_get] = STATE(507),
    [sym_namespace_get_internal] = STATE(507),
    [sym_help] = STATE(507),
    [sym_pipe] = STATE(507),
    [sym_unary] = STATE(507),
    [sym_binary] = STATE(507),
    [sym_na] = STATE(507),
    [sym__expression] = STATE(507),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(507),
    [sym_string] = STATE(507),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1347),
    [sym_next] = ACTIONS(1347),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [sym_null] = ACTIONS(1347),
    [sym_inf] = ACTIONS(1347),
    [sym_nan] = ACTIONS(1347),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1349),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [185] = {
    [sym_function_definition] = STATE(667),
    [sym_lambda_function] = STATE(667),
    [sym_if] = STATE(667),
    [sym_while] = STATE(667),
    [sym_repeat] = STATE(667),
    [sym_for] = STATE(667),
    [sym_switch] = STATE(667),
    [sym_call] = STATE(667),
    [sym__assignment] = STATE(667),
    [sym_left_assignment] = STATE(667),
    [sym_left_assignment2] = STATE(667),
    [sym_equals_assignment] = STATE(667),
    [sym_super_assignment] = STATE(667),
    [sym_super_right_assignment] = STATE(667),
    [sym_right_assignment] = STATE(667),
    [sym_brace_list] = STATE(667),
    [sym_paren_list] = STATE(667),
    [sym_subset] = STATE(667),
    [sym_subset2] = STATE(667),
    [sym_dollar] = STATE(667),
    [sym_slot] = STATE(667),
    [sym_namespace_get] = STATE(667),
    [sym_namespace_get_internal] = STATE(667),
    [sym_help] = STATE(667),
    [sym_pipe] = STATE(667),
    [sym_unary] = STATE(667),
    [sym_binary] = STATE(667),
    [sym_na] = STATE(667),
    [sym__expression] = STATE(667),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(667),
    [sym_string] = STATE(667),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1351),
    [sym_next] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_inf] = ACTIONS(1351),
    [sym_nan] = ACTIONS(1351),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1353),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [186] = {
    [sym_function_definition] = STATE(668),
    [sym_lambda_function] = STATE(668),
    [sym_if] = STATE(668),
    [sym_while] = STATE(668),
    [sym_repeat] = STATE(668),
    [sym_for] = STATE(668),
    [sym_switch] = STATE(668),
    [sym_call] = STATE(668),
    [sym__assignment] = STATE(668),
    [sym_left_assignment] = STATE(668),
    [sym_left_assignment2] = STATE(668),
    [sym_equals_assignment] = STATE(668),
    [sym_super_assignment] = STATE(668),
    [sym_super_right_assignment] = STATE(668),
    [sym_right_assignment] = STATE(668),
    [sym_brace_list] = STATE(668),
    [sym_paren_list] = STATE(668),
    [sym_subset] = STATE(668),
    [sym_subset2] = STATE(668),
    [sym_dollar] = STATE(668),
    [sym_slot] = STATE(668),
    [sym_namespace_get] = STATE(668),
    [sym_namespace_get_internal] = STATE(668),
    [sym_help] = STATE(668),
    [sym_pipe] = STATE(668),
    [sym_unary] = STATE(668),
    [sym_binary] = STATE(668),
    [sym_na] = STATE(668),
    [sym__expression] = STATE(668),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(668),
    [sym_string] = STATE(668),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1355),
    [sym_next] = ACTIONS(1355),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [sym_null] = ACTIONS(1355),
    [sym_inf] = ACTIONS(1355),
    [sym_nan] = ACTIONS(1355),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1357),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [187] = {
    [sym_function_definition] = STATE(669),
    [sym_lambda_function] = STATE(669),
    [sym_if] = STATE(669),
    [sym_while] = STATE(669),
    [sym_repeat] = STATE(669),
    [sym_for] = STATE(669),
    [sym_switch] = STATE(669),
    [sym_call] = STATE(669),
    [sym__assignment] = STATE(669),
    [sym_left_assignment] = STATE(669),
    [sym_left_assignment2] = STATE(669),
    [sym_equals_assignment] = STATE(669),
    [sym_super_assignment] = STATE(669),
    [sym_super_right_assignment] = STATE(669),
    [sym_right_assignment] = STATE(669),
    [sym_brace_list] = STATE(669),
    [sym_paren_list] = STATE(669),
    [sym_subset] = STATE(669),
    [sym_subset2] = STATE(669),
    [sym_dollar] = STATE(669),
    [sym_slot] = STATE(669),
    [sym_namespace_get] = STATE(669),
    [sym_namespace_get_internal] = STATE(669),
    [sym_help] = STATE(669),
    [sym_pipe] = STATE(669),
    [sym_unary] = STATE(669),
    [sym_binary] = STATE(669),
    [sym_na] = STATE(669),
    [sym__expression] = STATE(669),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(669),
    [sym_string] = STATE(669),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1359),
    [sym_next] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_inf] = ACTIONS(1359),
    [sym_nan] = ACTIONS(1359),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1361),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [188] = {
    [sym_function_definition] = STATE(685),
    [sym_lambda_function] = STATE(685),
    [sym_if] = STATE(685),
    [sym_while] = STATE(685),
    [sym_repeat] = STATE(685),
    [sym_for] = STATE(685),
    [sym_switch] = STATE(685),
    [sym_call] = STATE(685),
    [sym__assignment] = STATE(685),
    [sym_left_assignment] = STATE(685),
    [sym_left_assignment2] = STATE(685),
    [sym_equals_assignment] = STATE(685),
    [sym_super_assignment] = STATE(685),
    [sym_super_right_assignment] = STATE(685),
    [sym_right_assignment] = STATE(685),
    [sym_brace_list] = STATE(685),
    [sym_paren_list] = STATE(685),
    [sym_subset] = STATE(685),
    [sym_subset2] = STATE(685),
    [sym_dollar] = STATE(685),
    [sym_slot] = STATE(685),
    [sym_namespace_get] = STATE(685),
    [sym_namespace_get_internal] = STATE(685),
    [sym_help] = STATE(685),
    [sym_pipe] = STATE(685),
    [sym_unary] = STATE(685),
    [sym_binary] = STATE(685),
    [sym_na] = STATE(685),
    [sym__expression] = STATE(685),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(685),
    [sym_string] = STATE(685),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1363),
    [sym_next] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_inf] = ACTIONS(1363),
    [sym_nan] = ACTIONS(1363),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1365),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [189] = {
    [sym_function_definition] = STATE(505),
    [sym_lambda_function] = STATE(505),
    [sym_if] = STATE(505),
    [sym_while] = STATE(505),
    [sym_repeat] = STATE(505),
    [sym_for] = STATE(505),
    [sym_switch] = STATE(505),
    [sym_call] = STATE(505),
    [sym__assignment] = STATE(505),
    [sym_left_assignment] = STATE(505),
    [sym_left_assignment2] = STATE(505),
    [sym_equals_assignment] = STATE(505),
    [sym_super_assignment] = STATE(505),
    [sym_super_right_assignment] = STATE(505),
    [sym_right_assignment] = STATE(505),
    [sym_brace_list] = STATE(505),
    [sym_paren_list] = STATE(505),
    [sym_subset] = STATE(505),
    [sym_subset2] = STATE(505),
    [sym_dollar] = STATE(505),
    [sym_slot] = STATE(505),
    [sym_namespace_get] = STATE(505),
    [sym_namespace_get_internal] = STATE(505),
    [sym_help] = STATE(505),
    [sym_pipe] = STATE(505),
    [sym_unary] = STATE(505),
    [sym_binary] = STATE(505),
    [sym_na] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(505),
    [sym_string] = STATE(505),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1367),
    [sym_next] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_inf] = ACTIONS(1367),
    [sym_nan] = ACTIONS(1367),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1369),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [190] = {
    [sym_function_definition] = STATE(681),
    [sym_lambda_function] = STATE(681),
    [sym_if] = STATE(681),
    [sym_while] = STATE(681),
    [sym_repeat] = STATE(681),
    [sym_for] = STATE(681),
    [sym_switch] = STATE(681),
    [sym_call] = STATE(681),
    [sym__assignment] = STATE(681),
    [sym_left_assignment] = STATE(681),
    [sym_left_assignment2] = STATE(681),
    [sym_equals_assignment] = STATE(681),
    [sym_super_assignment] = STATE(681),
    [sym_super_right_assignment] = STATE(681),
    [sym_right_assignment] = STATE(681),
    [sym_brace_list] = STATE(681),
    [sym_paren_list] = STATE(681),
    [sym_subset] = STATE(681),
    [sym_subset2] = STATE(681),
    [sym_dollar] = STATE(681),
    [sym_slot] = STATE(681),
    [sym_namespace_get] = STATE(681),
    [sym_namespace_get_internal] = STATE(681),
    [sym_help] = STATE(681),
    [sym_pipe] = STATE(681),
    [sym_unary] = STATE(681),
    [sym_binary] = STATE(681),
    [sym_na] = STATE(681),
    [sym__expression] = STATE(681),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(681),
    [sym_string] = STATE(681),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1371),
    [sym_next] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_inf] = ACTIONS(1371),
    [sym_nan] = ACTIONS(1371),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1373),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [191] = {
    [sym_function_definition] = STATE(617),
    [sym_lambda_function] = STATE(617),
    [sym_if] = STATE(617),
    [sym_while] = STATE(617),
    [sym_repeat] = STATE(617),
    [sym_for] = STATE(617),
    [sym_switch] = STATE(617),
    [sym_call] = STATE(617),
    [sym__assignment] = STATE(617),
    [sym_left_assignment] = STATE(617),
    [sym_left_assignment2] = STATE(617),
    [sym_equals_assignment] = STATE(617),
    [sym_super_assignment] = STATE(617),
    [sym_super_right_assignment] = STATE(617),
    [sym_right_assignment] = STATE(617),
    [sym_brace_list] = STATE(617),
    [sym_paren_list] = STATE(617),
    [sym_subset] = STATE(617),
    [sym_subset2] = STATE(617),
    [sym_dollar] = STATE(617),
    [sym_slot] = STATE(617),
    [sym_namespace_get] = STATE(617),
    [sym_namespace_get_internal] = STATE(617),
    [sym_help] = STATE(617),
    [sym_pipe] = STATE(617),
    [sym_unary] = STATE(617),
    [sym_binary] = STATE(617),
    [sym_na] = STATE(617),
    [sym__expression] = STATE(617),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(617),
    [sym_string] = STATE(617),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1375),
    [sym_next] = ACTIONS(1375),
    [sym_true] = ACTIONS(1375),
    [sym_false] = ACTIONS(1375),
    [sym_null] = ACTIONS(1375),
    [sym_inf] = ACTIONS(1375),
    [sym_nan] = ACTIONS(1375),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1377),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [192] = {
    [sym_function_definition] = STATE(683),
    [sym_lambda_function] = STATE(683),
    [sym_if] = STATE(683),
    [sym_while] = STATE(683),
    [sym_repeat] = STATE(683),
    [sym_for] = STATE(683),
    [sym_switch] = STATE(683),
    [sym_call] = STATE(683),
    [sym__assignment] = STATE(683),
    [sym_left_assignment] = STATE(683),
    [sym_left_assignment2] = STATE(683),
    [sym_equals_assignment] = STATE(683),
    [sym_super_assignment] = STATE(683),
    [sym_super_right_assignment] = STATE(683),
    [sym_right_assignment] = STATE(683),
    [sym_brace_list] = STATE(683),
    [sym_paren_list] = STATE(683),
    [sym_subset] = STATE(683),
    [sym_subset2] = STATE(683),
    [sym_dollar] = STATE(683),
    [sym_slot] = STATE(683),
    [sym_namespace_get] = STATE(683),
    [sym_namespace_get_internal] = STATE(683),
    [sym_help] = STATE(683),
    [sym_pipe] = STATE(683),
    [sym_unary] = STATE(683),
    [sym_binary] = STATE(683),
    [sym_na] = STATE(683),
    [sym__expression] = STATE(683),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(683),
    [sym_string] = STATE(683),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1379),
    [sym_next] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_inf] = ACTIONS(1379),
    [sym_nan] = ACTIONS(1379),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1381),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [193] = {
    [sym_function_definition] = STATE(670),
    [sym_lambda_function] = STATE(670),
    [sym_if] = STATE(670),
    [sym_while] = STATE(670),
    [sym_repeat] = STATE(670),
    [sym_for] = STATE(670),
    [sym_switch] = STATE(670),
    [sym_call] = STATE(670),
    [sym__assignment] = STATE(670),
    [sym_left_assignment] = STATE(670),
    [sym_left_assignment2] = STATE(670),
    [sym_equals_assignment] = STATE(670),
    [sym_super_assignment] = STATE(670),
    [sym_super_right_assignment] = STATE(670),
    [sym_right_assignment] = STATE(670),
    [sym_brace_list] = STATE(670),
    [sym_paren_list] = STATE(670),
    [sym_subset] = STATE(670),
    [sym_subset2] = STATE(670),
    [sym_dollar] = STATE(670),
    [sym_slot] = STATE(670),
    [sym_namespace_get] = STATE(670),
    [sym_namespace_get_internal] = STATE(670),
    [sym_help] = STATE(670),
    [sym_pipe] = STATE(670),
    [sym_unary] = STATE(670),
    [sym_binary] = STATE(670),
    [sym_na] = STATE(670),
    [sym__expression] = STATE(670),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(670),
    [sym_string] = STATE(670),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1383),
    [sym_next] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_inf] = ACTIONS(1383),
    [sym_nan] = ACTIONS(1383),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1385),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [194] = {
    [sym_function_definition] = STATE(689),
    [sym_lambda_function] = STATE(689),
    [sym_if] = STATE(689),
    [sym_while] = STATE(689),
    [sym_repeat] = STATE(689),
    [sym_for] = STATE(689),
    [sym_switch] = STATE(689),
    [sym_call] = STATE(689),
    [sym__assignment] = STATE(689),
    [sym_left_assignment] = STATE(689),
    [sym_left_assignment2] = STATE(689),
    [sym_equals_assignment] = STATE(689),
    [sym_super_assignment] = STATE(689),
    [sym_super_right_assignment] = STATE(689),
    [sym_right_assignment] = STATE(689),
    [sym_brace_list] = STATE(689),
    [sym_paren_list] = STATE(689),
    [sym_subset] = STATE(689),
    [sym_subset2] = STATE(689),
    [sym_dollar] = STATE(689),
    [sym_slot] = STATE(689),
    [sym_namespace_get] = STATE(689),
    [sym_namespace_get_internal] = STATE(689),
    [sym_help] = STATE(689),
    [sym_pipe] = STATE(689),
    [sym_unary] = STATE(689),
    [sym_binary] = STATE(689),
    [sym_na] = STATE(689),
    [sym__expression] = STATE(689),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(689),
    [sym_string] = STATE(689),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1387),
    [sym_next] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_inf] = ACTIONS(1387),
    [sym_nan] = ACTIONS(1387),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1389),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [195] = {
    [sym_function_definition] = STATE(688),
    [sym_lambda_function] = STATE(688),
    [sym_if] = STATE(688),
    [sym_while] = STATE(688),
    [sym_repeat] = STATE(688),
    [sym_for] = STATE(688),
    [sym_switch] = STATE(688),
    [sym_call] = STATE(688),
    [sym__assignment] = STATE(688),
    [sym_left_assignment] = STATE(688),
    [sym_left_assignment2] = STATE(688),
    [sym_equals_assignment] = STATE(688),
    [sym_super_assignment] = STATE(688),
    [sym_super_right_assignment] = STATE(688),
    [sym_right_assignment] = STATE(688),
    [sym_brace_list] = STATE(688),
    [sym_paren_list] = STATE(688),
    [sym_subset] = STATE(688),
    [sym_subset2] = STATE(688),
    [sym_dollar] = STATE(688),
    [sym_slot] = STATE(688),
    [sym_namespace_get] = STATE(688),
    [sym_namespace_get_internal] = STATE(688),
    [sym_help] = STATE(688),
    [sym_pipe] = STATE(688),
    [sym_unary] = STATE(688),
    [sym_binary] = STATE(688),
    [sym_na] = STATE(688),
    [sym__expression] = STATE(688),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(688),
    [sym_string] = STATE(688),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1391),
    [sym_next] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_inf] = ACTIONS(1391),
    [sym_nan] = ACTIONS(1391),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1393),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [196] = {
    [sym_function_definition] = STATE(521),
    [sym_lambda_function] = STATE(521),
    [sym_if] = STATE(521),
    [sym_while] = STATE(521),
    [sym_repeat] = STATE(521),
    [sym_for] = STATE(521),
    [sym_switch] = STATE(521),
    [sym_call] = STATE(521),
    [sym__assignment] = STATE(521),
    [sym_left_assignment] = STATE(521),
    [sym_left_assignment2] = STATE(521),
    [sym_equals_assignment] = STATE(521),
    [sym_super_assignment] = STATE(521),
    [sym_super_right_assignment] = STATE(521),
    [sym_right_assignment] = STATE(521),
    [sym_brace_list] = STATE(521),
    [sym_paren_list] = STATE(521),
    [sym_subset] = STATE(521),
    [sym_subset2] = STATE(521),
    [sym_dollar] = STATE(521),
    [sym_slot] = STATE(521),
    [sym_namespace_get] = STATE(521),
    [sym_namespace_get_internal] = STATE(521),
    [sym_help] = STATE(521),
    [sym_pipe] = STATE(521),
    [sym_unary] = STATE(521),
    [sym_binary] = STATE(521),
    [sym_na] = STATE(521),
    [sym__expression] = STATE(521),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(521),
    [sym_string] = STATE(521),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1395),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1395),
    [sym_next] = ACTIONS(1395),
    [sym_true] = ACTIONS(1395),
    [sym_false] = ACTIONS(1395),
    [sym_null] = ACTIONS(1395),
    [sym_inf] = ACTIONS(1395),
    [sym_nan] = ACTIONS(1395),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1397),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [197] = {
    [sym_function_definition] = STATE(523),
    [sym_lambda_function] = STATE(523),
    [sym_if] = STATE(523),
    [sym_while] = STATE(523),
    [sym_repeat] = STATE(523),
    [sym_for] = STATE(523),
    [sym_switch] = STATE(523),
    [sym_call] = STATE(523),
    [sym__assignment] = STATE(523),
    [sym_left_assignment] = STATE(523),
    [sym_left_assignment2] = STATE(523),
    [sym_equals_assignment] = STATE(523),
    [sym_super_assignment] = STATE(523),
    [sym_super_right_assignment] = STATE(523),
    [sym_right_assignment] = STATE(523),
    [sym_brace_list] = STATE(523),
    [sym_paren_list] = STATE(523),
    [sym_subset] = STATE(523),
    [sym_subset2] = STATE(523),
    [sym_dollar] = STATE(523),
    [sym_slot] = STATE(523),
    [sym_namespace_get] = STATE(523),
    [sym_namespace_get_internal] = STATE(523),
    [sym_help] = STATE(523),
    [sym_pipe] = STATE(523),
    [sym_unary] = STATE(523),
    [sym_binary] = STATE(523),
    [sym_na] = STATE(523),
    [sym__expression] = STATE(523),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(523),
    [sym_string] = STATE(523),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1399),
    [sym_next] = ACTIONS(1399),
    [sym_true] = ACTIONS(1399),
    [sym_false] = ACTIONS(1399),
    [sym_null] = ACTIONS(1399),
    [sym_inf] = ACTIONS(1399),
    [sym_nan] = ACTIONS(1399),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1401),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [198] = {
    [sym_function_definition] = STATE(524),
    [sym_lambda_function] = STATE(524),
    [sym_if] = STATE(524),
    [sym_while] = STATE(524),
    [sym_repeat] = STATE(524),
    [sym_for] = STATE(524),
    [sym_switch] = STATE(524),
    [sym_call] = STATE(524),
    [sym__assignment] = STATE(524),
    [sym_left_assignment] = STATE(524),
    [sym_left_assignment2] = STATE(524),
    [sym_equals_assignment] = STATE(524),
    [sym_super_assignment] = STATE(524),
    [sym_super_right_assignment] = STATE(524),
    [sym_right_assignment] = STATE(524),
    [sym_brace_list] = STATE(524),
    [sym_paren_list] = STATE(524),
    [sym_subset] = STATE(524),
    [sym_subset2] = STATE(524),
    [sym_dollar] = STATE(524),
    [sym_slot] = STATE(524),
    [sym_namespace_get] = STATE(524),
    [sym_namespace_get_internal] = STATE(524),
    [sym_help] = STATE(524),
    [sym_pipe] = STATE(524),
    [sym_unary] = STATE(524),
    [sym_binary] = STATE(524),
    [sym_na] = STATE(524),
    [sym__expression] = STATE(524),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(524),
    [sym_string] = STATE(524),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1403),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1403),
    [sym_next] = ACTIONS(1403),
    [sym_true] = ACTIONS(1403),
    [sym_false] = ACTIONS(1403),
    [sym_null] = ACTIONS(1403),
    [sym_inf] = ACTIONS(1403),
    [sym_nan] = ACTIONS(1403),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1405),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [199] = {
    [sym_function_definition] = STATE(525),
    [sym_lambda_function] = STATE(525),
    [sym_if] = STATE(525),
    [sym_while] = STATE(525),
    [sym_repeat] = STATE(525),
    [sym_for] = STATE(525),
    [sym_switch] = STATE(525),
    [sym_call] = STATE(525),
    [sym__assignment] = STATE(525),
    [sym_left_assignment] = STATE(525),
    [sym_left_assignment2] = STATE(525),
    [sym_equals_assignment] = STATE(525),
    [sym_super_assignment] = STATE(525),
    [sym_super_right_assignment] = STATE(525),
    [sym_right_assignment] = STATE(525),
    [sym_brace_list] = STATE(525),
    [sym_paren_list] = STATE(525),
    [sym_subset] = STATE(525),
    [sym_subset2] = STATE(525),
    [sym_dollar] = STATE(525),
    [sym_slot] = STATE(525),
    [sym_namespace_get] = STATE(525),
    [sym_namespace_get_internal] = STATE(525),
    [sym_help] = STATE(525),
    [sym_pipe] = STATE(525),
    [sym_unary] = STATE(525),
    [sym_binary] = STATE(525),
    [sym_na] = STATE(525),
    [sym__expression] = STATE(525),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(525),
    [sym_string] = STATE(525),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1407),
    [sym_next] = ACTIONS(1407),
    [sym_true] = ACTIONS(1407),
    [sym_false] = ACTIONS(1407),
    [sym_null] = ACTIONS(1407),
    [sym_inf] = ACTIONS(1407),
    [sym_nan] = ACTIONS(1407),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1409),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [200] = {
    [sym_function_definition] = STATE(530),
    [sym_lambda_function] = STATE(530),
    [sym_if] = STATE(530),
    [sym_while] = STATE(530),
    [sym_repeat] = STATE(530),
    [sym_for] = STATE(530),
    [sym_switch] = STATE(530),
    [sym_call] = STATE(530),
    [sym__assignment] = STATE(530),
    [sym_left_assignment] = STATE(530),
    [sym_left_assignment2] = STATE(530),
    [sym_equals_assignment] = STATE(530),
    [sym_super_assignment] = STATE(530),
    [sym_super_right_assignment] = STATE(530),
    [sym_right_assignment] = STATE(530),
    [sym_brace_list] = STATE(530),
    [sym_paren_list] = STATE(530),
    [sym_subset] = STATE(530),
    [sym_subset2] = STATE(530),
    [sym_dollar] = STATE(530),
    [sym_slot] = STATE(530),
    [sym_namespace_get] = STATE(530),
    [sym_namespace_get_internal] = STATE(530),
    [sym_help] = STATE(530),
    [sym_pipe] = STATE(530),
    [sym_unary] = STATE(530),
    [sym_binary] = STATE(530),
    [sym_na] = STATE(530),
    [sym__expression] = STATE(530),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(530),
    [sym_string] = STATE(530),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1411),
    [sym_next] = ACTIONS(1411),
    [sym_true] = ACTIONS(1411),
    [sym_false] = ACTIONS(1411),
    [sym_null] = ACTIONS(1411),
    [sym_inf] = ACTIONS(1411),
    [sym_nan] = ACTIONS(1411),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1413),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [201] = {
    [sym_function_definition] = STATE(535),
    [sym_lambda_function] = STATE(535),
    [sym_if] = STATE(535),
    [sym_while] = STATE(535),
    [sym_repeat] = STATE(535),
    [sym_for] = STATE(535),
    [sym_switch] = STATE(535),
    [sym_call] = STATE(535),
    [sym__assignment] = STATE(535),
    [sym_left_assignment] = STATE(535),
    [sym_left_assignment2] = STATE(535),
    [sym_equals_assignment] = STATE(535),
    [sym_super_assignment] = STATE(535),
    [sym_super_right_assignment] = STATE(535),
    [sym_right_assignment] = STATE(535),
    [sym_brace_list] = STATE(535),
    [sym_paren_list] = STATE(535),
    [sym_subset] = STATE(535),
    [sym_subset2] = STATE(535),
    [sym_dollar] = STATE(535),
    [sym_slot] = STATE(535),
    [sym_namespace_get] = STATE(535),
    [sym_namespace_get_internal] = STATE(535),
    [sym_help] = STATE(535),
    [sym_pipe] = STATE(535),
    [sym_unary] = STATE(535),
    [sym_binary] = STATE(535),
    [sym_na] = STATE(535),
    [sym__expression] = STATE(535),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(535),
    [sym_string] = STATE(535),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1415),
    [sym_next] = ACTIONS(1415),
    [sym_true] = ACTIONS(1415),
    [sym_false] = ACTIONS(1415),
    [sym_null] = ACTIONS(1415),
    [sym_inf] = ACTIONS(1415),
    [sym_nan] = ACTIONS(1415),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1417),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [202] = {
    [sym_function_definition] = STATE(686),
    [sym_lambda_function] = STATE(686),
    [sym_if] = STATE(686),
    [sym_while] = STATE(686),
    [sym_repeat] = STATE(686),
    [sym_for] = STATE(686),
    [sym_switch] = STATE(686),
    [sym_call] = STATE(686),
    [sym__assignment] = STATE(686),
    [sym_left_assignment] = STATE(686),
    [sym_left_assignment2] = STATE(686),
    [sym_equals_assignment] = STATE(686),
    [sym_super_assignment] = STATE(686),
    [sym_super_right_assignment] = STATE(686),
    [sym_right_assignment] = STATE(686),
    [sym_brace_list] = STATE(686),
    [sym_paren_list] = STATE(686),
    [sym_subset] = STATE(686),
    [sym_subset2] = STATE(686),
    [sym_dollar] = STATE(686),
    [sym_slot] = STATE(686),
    [sym_namespace_get] = STATE(686),
    [sym_namespace_get_internal] = STATE(686),
    [sym_help] = STATE(686),
    [sym_pipe] = STATE(686),
    [sym_unary] = STATE(686),
    [sym_binary] = STATE(686),
    [sym_na] = STATE(686),
    [sym__expression] = STATE(686),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(686),
    [sym_string] = STATE(686),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1419),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1419),
    [sym_next] = ACTIONS(1419),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_null] = ACTIONS(1419),
    [sym_inf] = ACTIONS(1419),
    [sym_nan] = ACTIONS(1419),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [203] = {
    [sym_function_definition] = STATE(680),
    [sym_lambda_function] = STATE(680),
    [sym_if] = STATE(680),
    [sym_while] = STATE(680),
    [sym_repeat] = STATE(680),
    [sym_for] = STATE(680),
    [sym_switch] = STATE(680),
    [sym_call] = STATE(680),
    [sym__assignment] = STATE(680),
    [sym_left_assignment] = STATE(680),
    [sym_left_assignment2] = STATE(680),
    [sym_equals_assignment] = STATE(680),
    [sym_super_assignment] = STATE(680),
    [sym_super_right_assignment] = STATE(680),
    [sym_right_assignment] = STATE(680),
    [sym_brace_list] = STATE(680),
    [sym_paren_list] = STATE(680),
    [sym_subset] = STATE(680),
    [sym_subset2] = STATE(680),
    [sym_dollar] = STATE(680),
    [sym_slot] = STATE(680),
    [sym_namespace_get] = STATE(680),
    [sym_namespace_get_internal] = STATE(680),
    [sym_help] = STATE(680),
    [sym_pipe] = STATE(680),
    [sym_unary] = STATE(680),
    [sym_binary] = STATE(680),
    [sym_na] = STATE(680),
    [sym__expression] = STATE(680),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(680),
    [sym_string] = STATE(680),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1423),
    [sym_next] = ACTIONS(1423),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [sym_null] = ACTIONS(1423),
    [sym_inf] = ACTIONS(1423),
    [sym_nan] = ACTIONS(1423),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1425),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [204] = {
    [sym_function_definition] = STATE(537),
    [sym_lambda_function] = STATE(537),
    [sym_if] = STATE(537),
    [sym_while] = STATE(537),
    [sym_repeat] = STATE(537),
    [sym_for] = STATE(537),
    [sym_switch] = STATE(537),
    [sym_call] = STATE(537),
    [sym__assignment] = STATE(537),
    [sym_left_assignment] = STATE(537),
    [sym_left_assignment2] = STATE(537),
    [sym_equals_assignment] = STATE(537),
    [sym_super_assignment] = STATE(537),
    [sym_super_right_assignment] = STATE(537),
    [sym_right_assignment] = STATE(537),
    [sym_brace_list] = STATE(537),
    [sym_paren_list] = STATE(537),
    [sym_subset] = STATE(537),
    [sym_subset2] = STATE(537),
    [sym_dollar] = STATE(537),
    [sym_slot] = STATE(537),
    [sym_namespace_get] = STATE(537),
    [sym_namespace_get_internal] = STATE(537),
    [sym_help] = STATE(537),
    [sym_pipe] = STATE(537),
    [sym_unary] = STATE(537),
    [sym_binary] = STATE(537),
    [sym_na] = STATE(537),
    [sym__expression] = STATE(537),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(537),
    [sym_string] = STATE(537),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1427),
    [sym_next] = ACTIONS(1427),
    [sym_true] = ACTIONS(1427),
    [sym_false] = ACTIONS(1427),
    [sym_null] = ACTIONS(1427),
    [sym_inf] = ACTIONS(1427),
    [sym_nan] = ACTIONS(1427),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1429),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [205] = {
    [sym_function_definition] = STATE(538),
    [sym_lambda_function] = STATE(538),
    [sym_if] = STATE(538),
    [sym_while] = STATE(538),
    [sym_repeat] = STATE(538),
    [sym_for] = STATE(538),
    [sym_switch] = STATE(538),
    [sym_call] = STATE(538),
    [sym__assignment] = STATE(538),
    [sym_left_assignment] = STATE(538),
    [sym_left_assignment2] = STATE(538),
    [sym_equals_assignment] = STATE(538),
    [sym_super_assignment] = STATE(538),
    [sym_super_right_assignment] = STATE(538),
    [sym_right_assignment] = STATE(538),
    [sym_brace_list] = STATE(538),
    [sym_paren_list] = STATE(538),
    [sym_subset] = STATE(538),
    [sym_subset2] = STATE(538),
    [sym_dollar] = STATE(538),
    [sym_slot] = STATE(538),
    [sym_namespace_get] = STATE(538),
    [sym_namespace_get_internal] = STATE(538),
    [sym_help] = STATE(538),
    [sym_pipe] = STATE(538),
    [sym_unary] = STATE(538),
    [sym_binary] = STATE(538),
    [sym_na] = STATE(538),
    [sym__expression] = STATE(538),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(538),
    [sym_string] = STATE(538),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1431),
    [sym_next] = ACTIONS(1431),
    [sym_true] = ACTIONS(1431),
    [sym_false] = ACTIONS(1431),
    [sym_null] = ACTIONS(1431),
    [sym_inf] = ACTIONS(1431),
    [sym_nan] = ACTIONS(1431),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1433),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [206] = {
    [sym_function_definition] = STATE(540),
    [sym_lambda_function] = STATE(540),
    [sym_if] = STATE(540),
    [sym_while] = STATE(540),
    [sym_repeat] = STATE(540),
    [sym_for] = STATE(540),
    [sym_switch] = STATE(540),
    [sym_call] = STATE(540),
    [sym__assignment] = STATE(540),
    [sym_left_assignment] = STATE(540),
    [sym_left_assignment2] = STATE(540),
    [sym_equals_assignment] = STATE(540),
    [sym_super_assignment] = STATE(540),
    [sym_super_right_assignment] = STATE(540),
    [sym_right_assignment] = STATE(540),
    [sym_brace_list] = STATE(540),
    [sym_paren_list] = STATE(540),
    [sym_subset] = STATE(540),
    [sym_subset2] = STATE(540),
    [sym_dollar] = STATE(540),
    [sym_slot] = STATE(540),
    [sym_namespace_get] = STATE(540),
    [sym_namespace_get_internal] = STATE(540),
    [sym_help] = STATE(540),
    [sym_pipe] = STATE(540),
    [sym_unary] = STATE(540),
    [sym_binary] = STATE(540),
    [sym_na] = STATE(540),
    [sym__expression] = STATE(540),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(540),
    [sym_string] = STATE(540),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1435),
    [sym_next] = ACTIONS(1435),
    [sym_true] = ACTIONS(1435),
    [sym_false] = ACTIONS(1435),
    [sym_null] = ACTIONS(1435),
    [sym_inf] = ACTIONS(1435),
    [sym_nan] = ACTIONS(1435),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1437),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [207] = {
    [sym_function_definition] = STATE(546),
    [sym_lambda_function] = STATE(546),
    [sym_if] = STATE(546),
    [sym_while] = STATE(546),
    [sym_repeat] = STATE(546),
    [sym_for] = STATE(546),
    [sym_switch] = STATE(546),
    [sym_call] = STATE(546),
    [sym__assignment] = STATE(546),
    [sym_left_assignment] = STATE(546),
    [sym_left_assignment2] = STATE(546),
    [sym_equals_assignment] = STATE(546),
    [sym_super_assignment] = STATE(546),
    [sym_super_right_assignment] = STATE(546),
    [sym_right_assignment] = STATE(546),
    [sym_brace_list] = STATE(546),
    [sym_paren_list] = STATE(546),
    [sym_subset] = STATE(546),
    [sym_subset2] = STATE(546),
    [sym_dollar] = STATE(546),
    [sym_slot] = STATE(546),
    [sym_namespace_get] = STATE(546),
    [sym_namespace_get_internal] = STATE(546),
    [sym_help] = STATE(546),
    [sym_pipe] = STATE(546),
    [sym_unary] = STATE(546),
    [sym_binary] = STATE(546),
    [sym_na] = STATE(546),
    [sym__expression] = STATE(546),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(546),
    [sym_string] = STATE(546),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1439),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1439),
    [sym_next] = ACTIONS(1439),
    [sym_true] = ACTIONS(1439),
    [sym_false] = ACTIONS(1439),
    [sym_null] = ACTIONS(1439),
    [sym_inf] = ACTIONS(1439),
    [sym_nan] = ACTIONS(1439),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1441),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [208] = {
    [sym_function_definition] = STATE(548),
    [sym_lambda_function] = STATE(548),
    [sym_if] = STATE(548),
    [sym_while] = STATE(548),
    [sym_repeat] = STATE(548),
    [sym_for] = STATE(548),
    [sym_switch] = STATE(548),
    [sym_call] = STATE(548),
    [sym__assignment] = STATE(548),
    [sym_left_assignment] = STATE(548),
    [sym_left_assignment2] = STATE(548),
    [sym_equals_assignment] = STATE(548),
    [sym_super_assignment] = STATE(548),
    [sym_super_right_assignment] = STATE(548),
    [sym_right_assignment] = STATE(548),
    [sym_brace_list] = STATE(548),
    [sym_paren_list] = STATE(548),
    [sym_subset] = STATE(548),
    [sym_subset2] = STATE(548),
    [sym_dollar] = STATE(548),
    [sym_slot] = STATE(548),
    [sym_namespace_get] = STATE(548),
    [sym_namespace_get_internal] = STATE(548),
    [sym_help] = STATE(548),
    [sym_pipe] = STATE(548),
    [sym_unary] = STATE(548),
    [sym_binary] = STATE(548),
    [sym_na] = STATE(548),
    [sym__expression] = STATE(548),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(548),
    [sym_string] = STATE(548),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1443),
    [sym_next] = ACTIONS(1443),
    [sym_true] = ACTIONS(1443),
    [sym_false] = ACTIONS(1443),
    [sym_null] = ACTIONS(1443),
    [sym_inf] = ACTIONS(1443),
    [sym_nan] = ACTIONS(1443),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1445),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [209] = {
    [sym_function_definition] = STATE(549),
    [sym_lambda_function] = STATE(549),
    [sym_if] = STATE(549),
    [sym_while] = STATE(549),
    [sym_repeat] = STATE(549),
    [sym_for] = STATE(549),
    [sym_switch] = STATE(549),
    [sym_call] = STATE(549),
    [sym__assignment] = STATE(549),
    [sym_left_assignment] = STATE(549),
    [sym_left_assignment2] = STATE(549),
    [sym_equals_assignment] = STATE(549),
    [sym_super_assignment] = STATE(549),
    [sym_super_right_assignment] = STATE(549),
    [sym_right_assignment] = STATE(549),
    [sym_brace_list] = STATE(549),
    [sym_paren_list] = STATE(549),
    [sym_subset] = STATE(549),
    [sym_subset2] = STATE(549),
    [sym_dollar] = STATE(549),
    [sym_slot] = STATE(549),
    [sym_namespace_get] = STATE(549),
    [sym_namespace_get_internal] = STATE(549),
    [sym_help] = STATE(549),
    [sym_pipe] = STATE(549),
    [sym_unary] = STATE(549),
    [sym_binary] = STATE(549),
    [sym_na] = STATE(549),
    [sym__expression] = STATE(549),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(549),
    [sym_string] = STATE(549),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1447),
    [sym_next] = ACTIONS(1447),
    [sym_true] = ACTIONS(1447),
    [sym_false] = ACTIONS(1447),
    [sym_null] = ACTIONS(1447),
    [sym_inf] = ACTIONS(1447),
    [sym_nan] = ACTIONS(1447),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1449),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [210] = {
    [sym_function_definition] = STATE(552),
    [sym_lambda_function] = STATE(552),
    [sym_if] = STATE(552),
    [sym_while] = STATE(552),
    [sym_repeat] = STATE(552),
    [sym_for] = STATE(552),
    [sym_switch] = STATE(552),
    [sym_call] = STATE(552),
    [sym__assignment] = STATE(552),
    [sym_left_assignment] = STATE(552),
    [sym_left_assignment2] = STATE(552),
    [sym_equals_assignment] = STATE(552),
    [sym_super_assignment] = STATE(552),
    [sym_super_right_assignment] = STATE(552),
    [sym_right_assignment] = STATE(552),
    [sym_brace_list] = STATE(552),
    [sym_paren_list] = STATE(552),
    [sym_subset] = STATE(552),
    [sym_subset2] = STATE(552),
    [sym_dollar] = STATE(552),
    [sym_slot] = STATE(552),
    [sym_namespace_get] = STATE(552),
    [sym_namespace_get_internal] = STATE(552),
    [sym_help] = STATE(552),
    [sym_pipe] = STATE(552),
    [sym_unary] = STATE(552),
    [sym_binary] = STATE(552),
    [sym_na] = STATE(552),
    [sym__expression] = STATE(552),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(552),
    [sym_string] = STATE(552),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1451),
    [sym_next] = ACTIONS(1451),
    [sym_true] = ACTIONS(1451),
    [sym_false] = ACTIONS(1451),
    [sym_null] = ACTIONS(1451),
    [sym_inf] = ACTIONS(1451),
    [sym_nan] = ACTIONS(1451),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1453),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [211] = {
    [sym_function_definition] = STATE(553),
    [sym_lambda_function] = STATE(553),
    [sym_if] = STATE(553),
    [sym_while] = STATE(553),
    [sym_repeat] = STATE(553),
    [sym_for] = STATE(553),
    [sym_switch] = STATE(553),
    [sym_call] = STATE(553),
    [sym__assignment] = STATE(553),
    [sym_left_assignment] = STATE(553),
    [sym_left_assignment2] = STATE(553),
    [sym_equals_assignment] = STATE(553),
    [sym_super_assignment] = STATE(553),
    [sym_super_right_assignment] = STATE(553),
    [sym_right_assignment] = STATE(553),
    [sym_brace_list] = STATE(553),
    [sym_paren_list] = STATE(553),
    [sym_subset] = STATE(553),
    [sym_subset2] = STATE(553),
    [sym_dollar] = STATE(553),
    [sym_slot] = STATE(553),
    [sym_namespace_get] = STATE(553),
    [sym_namespace_get_internal] = STATE(553),
    [sym_help] = STATE(553),
    [sym_pipe] = STATE(553),
    [sym_unary] = STATE(553),
    [sym_binary] = STATE(553),
    [sym_na] = STATE(553),
    [sym__expression] = STATE(553),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(553),
    [sym_string] = STATE(553),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1455),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1455),
    [sym_next] = ACTIONS(1455),
    [sym_true] = ACTIONS(1455),
    [sym_false] = ACTIONS(1455),
    [sym_null] = ACTIONS(1455),
    [sym_inf] = ACTIONS(1455),
    [sym_nan] = ACTIONS(1455),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1457),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [212] = {
    [sym_function_definition] = STATE(560),
    [sym_lambda_function] = STATE(560),
    [sym_if] = STATE(560),
    [sym_while] = STATE(560),
    [sym_repeat] = STATE(560),
    [sym_for] = STATE(560),
    [sym_switch] = STATE(560),
    [sym_call] = STATE(560),
    [sym__assignment] = STATE(560),
    [sym_left_assignment] = STATE(560),
    [sym_left_assignment2] = STATE(560),
    [sym_equals_assignment] = STATE(560),
    [sym_super_assignment] = STATE(560),
    [sym_super_right_assignment] = STATE(560),
    [sym_right_assignment] = STATE(560),
    [sym_brace_list] = STATE(560),
    [sym_paren_list] = STATE(560),
    [sym_subset] = STATE(560),
    [sym_subset2] = STATE(560),
    [sym_dollar] = STATE(560),
    [sym_slot] = STATE(560),
    [sym_namespace_get] = STATE(560),
    [sym_namespace_get_internal] = STATE(560),
    [sym_help] = STATE(560),
    [sym_pipe] = STATE(560),
    [sym_unary] = STATE(560),
    [sym_binary] = STATE(560),
    [sym_na] = STATE(560),
    [sym__expression] = STATE(560),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(560),
    [sym_string] = STATE(560),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1459),
    [sym_next] = ACTIONS(1459),
    [sym_true] = ACTIONS(1459),
    [sym_false] = ACTIONS(1459),
    [sym_null] = ACTIONS(1459),
    [sym_inf] = ACTIONS(1459),
    [sym_nan] = ACTIONS(1459),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1461),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [213] = {
    [sym_function_definition] = STATE(561),
    [sym_lambda_function] = STATE(561),
    [sym_if] = STATE(561),
    [sym_while] = STATE(561),
    [sym_repeat] = STATE(561),
    [sym_for] = STATE(561),
    [sym_switch] = STATE(561),
    [sym_call] = STATE(561),
    [sym__assignment] = STATE(561),
    [sym_left_assignment] = STATE(561),
    [sym_left_assignment2] = STATE(561),
    [sym_equals_assignment] = STATE(561),
    [sym_super_assignment] = STATE(561),
    [sym_super_right_assignment] = STATE(561),
    [sym_right_assignment] = STATE(561),
    [sym_brace_list] = STATE(561),
    [sym_paren_list] = STATE(561),
    [sym_subset] = STATE(561),
    [sym_subset2] = STATE(561),
    [sym_dollar] = STATE(561),
    [sym_slot] = STATE(561),
    [sym_namespace_get] = STATE(561),
    [sym_namespace_get_internal] = STATE(561),
    [sym_help] = STATE(561),
    [sym_pipe] = STATE(561),
    [sym_unary] = STATE(561),
    [sym_binary] = STATE(561),
    [sym_na] = STATE(561),
    [sym__expression] = STATE(561),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(561),
    [sym_string] = STATE(561),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1463),
    [sym_next] = ACTIONS(1463),
    [sym_true] = ACTIONS(1463),
    [sym_false] = ACTIONS(1463),
    [sym_null] = ACTIONS(1463),
    [sym_inf] = ACTIONS(1463),
    [sym_nan] = ACTIONS(1463),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1465),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [214] = {
    [sym_function_definition] = STATE(676),
    [sym_lambda_function] = STATE(676),
    [sym_if] = STATE(676),
    [sym_while] = STATE(676),
    [sym_repeat] = STATE(676),
    [sym_for] = STATE(676),
    [sym_switch] = STATE(676),
    [sym_call] = STATE(676),
    [sym__assignment] = STATE(676),
    [sym_left_assignment] = STATE(676),
    [sym_left_assignment2] = STATE(676),
    [sym_equals_assignment] = STATE(676),
    [sym_super_assignment] = STATE(676),
    [sym_super_right_assignment] = STATE(676),
    [sym_right_assignment] = STATE(676),
    [sym_brace_list] = STATE(676),
    [sym_paren_list] = STATE(676),
    [sym_subset] = STATE(676),
    [sym_subset2] = STATE(676),
    [sym_dollar] = STATE(676),
    [sym_slot] = STATE(676),
    [sym_namespace_get] = STATE(676),
    [sym_namespace_get_internal] = STATE(676),
    [sym_help] = STATE(676),
    [sym_pipe] = STATE(676),
    [sym_unary] = STATE(676),
    [sym_binary] = STATE(676),
    [sym_na] = STATE(676),
    [sym__expression] = STATE(676),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(676),
    [sym_string] = STATE(676),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1467),
    [sym_next] = ACTIONS(1467),
    [sym_true] = ACTIONS(1467),
    [sym_false] = ACTIONS(1467),
    [sym_null] = ACTIONS(1467),
    [sym_inf] = ACTIONS(1467),
    [sym_nan] = ACTIONS(1467),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1469),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [215] = {
    [sym_function_definition] = STATE(674),
    [sym_lambda_function] = STATE(674),
    [sym_if] = STATE(674),
    [sym_while] = STATE(674),
    [sym_repeat] = STATE(674),
    [sym_for] = STATE(674),
    [sym_switch] = STATE(674),
    [sym_call] = STATE(674),
    [sym__assignment] = STATE(674),
    [sym_left_assignment] = STATE(674),
    [sym_left_assignment2] = STATE(674),
    [sym_equals_assignment] = STATE(674),
    [sym_super_assignment] = STATE(674),
    [sym_super_right_assignment] = STATE(674),
    [sym_right_assignment] = STATE(674),
    [sym_brace_list] = STATE(674),
    [sym_paren_list] = STATE(674),
    [sym_subset] = STATE(674),
    [sym_subset2] = STATE(674),
    [sym_dollar] = STATE(674),
    [sym_slot] = STATE(674),
    [sym_namespace_get] = STATE(674),
    [sym_namespace_get_internal] = STATE(674),
    [sym_help] = STATE(674),
    [sym_pipe] = STATE(674),
    [sym_unary] = STATE(674),
    [sym_binary] = STATE(674),
    [sym_na] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(674),
    [sym_string] = STATE(674),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1471),
    [sym_next] = ACTIONS(1471),
    [sym_true] = ACTIONS(1471),
    [sym_false] = ACTIONS(1471),
    [sym_null] = ACTIONS(1471),
    [sym_inf] = ACTIONS(1471),
    [sym_nan] = ACTIONS(1471),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1473),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [216] = {
    [sym_function_definition] = STATE(673),
    [sym_lambda_function] = STATE(673),
    [sym_if] = STATE(673),
    [sym_while] = STATE(673),
    [sym_repeat] = STATE(673),
    [sym_for] = STATE(673),
    [sym_switch] = STATE(673),
    [sym_call] = STATE(673),
    [sym__assignment] = STATE(673),
    [sym_left_assignment] = STATE(673),
    [sym_left_assignment2] = STATE(673),
    [sym_equals_assignment] = STATE(673),
    [sym_super_assignment] = STATE(673),
    [sym_super_right_assignment] = STATE(673),
    [sym_right_assignment] = STATE(673),
    [sym_brace_list] = STATE(673),
    [sym_paren_list] = STATE(673),
    [sym_subset] = STATE(673),
    [sym_subset2] = STATE(673),
    [sym_dollar] = STATE(673),
    [sym_slot] = STATE(673),
    [sym_namespace_get] = STATE(673),
    [sym_namespace_get_internal] = STATE(673),
    [sym_help] = STATE(673),
    [sym_pipe] = STATE(673),
    [sym_unary] = STATE(673),
    [sym_binary] = STATE(673),
    [sym_na] = STATE(673),
    [sym__expression] = STATE(673),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(673),
    [sym_string] = STATE(673),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1475),
    [sym_next] = ACTIONS(1475),
    [sym_true] = ACTIONS(1475),
    [sym_false] = ACTIONS(1475),
    [sym_null] = ACTIONS(1475),
    [sym_inf] = ACTIONS(1475),
    [sym_nan] = ACTIONS(1475),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1477),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [217] = {
    [sym_function_definition] = STATE(596),
    [sym_lambda_function] = STATE(596),
    [sym_if] = STATE(596),
    [sym_while] = STATE(596),
    [sym_repeat] = STATE(596),
    [sym_for] = STATE(596),
    [sym_switch] = STATE(596),
    [sym_call] = STATE(596),
    [sym__assignment] = STATE(596),
    [sym_left_assignment] = STATE(596),
    [sym_left_assignment2] = STATE(596),
    [sym_equals_assignment] = STATE(596),
    [sym_super_assignment] = STATE(596),
    [sym_super_right_assignment] = STATE(596),
    [sym_right_assignment] = STATE(596),
    [sym_brace_list] = STATE(596),
    [sym_paren_list] = STATE(596),
    [sym_subset] = STATE(596),
    [sym_subset2] = STATE(596),
    [sym_dollar] = STATE(596),
    [sym_slot] = STATE(596),
    [sym_namespace_get] = STATE(596),
    [sym_namespace_get_internal] = STATE(596),
    [sym_help] = STATE(596),
    [sym_pipe] = STATE(596),
    [sym_unary] = STATE(596),
    [sym_binary] = STATE(596),
    [sym_na] = STATE(596),
    [sym__expression] = STATE(596),
    [sym_identifier] = STATE(414),
    [sym_complex] = STATE(596),
    [sym_string] = STATE(596),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_repeat] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1117),
    [sym_dots] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1125),
    [sym_break] = ACTIONS(1479),
    [sym_next] = ACTIONS(1479),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_null] = ACTIONS(1479),
    [sym_inf] = ACTIONS(1479),
    [sym_nan] = ACTIONS(1479),
    [anon_sym_NA] = ACTIONS(1127),
    [anon_sym_NA_character_] = ACTIONS(1127),
    [anon_sym_NA_complex_] = ACTIONS(1127),
    [anon_sym_NA_integer_] = ACTIONS(1127),
    [anon_sym_NA_real_] = ACTIONS(1127),
    [aux_sym_identifier_token1] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1481),
    [sym_float] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym__raw_string_literal] = ACTIONS(1141),
  },
  [218] = {
    [sym_function_definition] = STATE(514),
    [sym_lambda_function] = STATE(514),
    [sym_if] = STATE(514),
    [sym_while] = STATE(514),
    [sym_repeat] = STATE(514),
    [sym_for] = STATE(514),
    [sym_switch] = STATE(514),
    [sym_call] = STATE(514),
    [sym__assignment] = STATE(514),
    [sym_left_assignment] = STATE(514),
    [sym_left_assignment2] = STATE(514),
    [sym_equals_assignment] = STATE(514),
    [sym_super_assignment] = STATE(514),
    [sym_super_right_assignment] = STATE(514),
    [sym_right_assignment] = STATE(514),
    [sym_brace_list] = STATE(514),
    [sym_paren_list] = STATE(514),
    [sym_subset] = STATE(514),
    [sym_subset2] = STATE(514),
    [sym_dollar] = STATE(514),
    [sym_slot] = STATE(514),
    [sym_namespace_get] = STATE(514),
    [sym_namespace_get_internal] = STATE(514),
    [sym_help] = STATE(514),
    [sym_pipe] = STATE(514),
    [sym_unary] = STATE(514),
    [sym_binary] = STATE(514),
    [sym_na] = STATE(514),
    [sym__expression] = STATE(514),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(514),
    [sym_string] = STATE(514),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1483),
    [sym_next] = ACTIONS(1483),
    [sym_true] = ACTIONS(1483),
    [sym_false] = ACTIONS(1483),
    [sym_null] = ACTIONS(1483),
    [sym_inf] = ACTIONS(1483),
    [sym_nan] = ACTIONS(1483),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1485),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [219] = {
    [sym_function_definition] = STATE(855),
    [sym_lambda_function] = STATE(855),
    [sym_if] = STATE(855),
    [sym_while] = STATE(855),
    [sym_repeat] = STATE(855),
    [sym_for] = STATE(855),
    [sym_switch] = STATE(855),
    [sym_call] = STATE(855),
    [sym__assignment] = STATE(855),
    [sym_left_assignment] = STATE(855),
    [sym_left_assignment2] = STATE(855),
    [sym_equals_assignment] = STATE(855),
    [sym_super_assignment] = STATE(855),
    [sym_super_right_assignment] = STATE(855),
    [sym_right_assignment] = STATE(855),
    [sym_brace_list] = STATE(855),
    [sym_paren_list] = STATE(855),
    [sym_subset] = STATE(855),
    [sym_subset2] = STATE(855),
    [sym_dollar] = STATE(855),
    [sym_slot] = STATE(855),
    [sym_namespace_get] = STATE(855),
    [sym_namespace_get_internal] = STATE(855),
    [sym_help] = STATE(855),
    [sym_pipe] = STATE(855),
    [sym_unary] = STATE(855),
    [sym_binary] = STATE(855),
    [sym_na] = STATE(855),
    [sym__expression] = STATE(855),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(855),
    [sym_string] = STATE(855),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(1487),
    [sym_next] = ACTIONS(1487),
    [sym_true] = ACTIONS(1487),
    [sym_false] = ACTIONS(1487),
    [sym_null] = ACTIONS(1487),
    [sym_inf] = ACTIONS(1487),
    [sym_nan] = ACTIONS(1487),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(1489),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [220] = {
    [sym_function_definition] = STATE(632),
    [sym_lambda_function] = STATE(632),
    [sym_if] = STATE(632),
    [sym_while] = STATE(632),
    [sym_repeat] = STATE(632),
    [sym_for] = STATE(632),
    [sym_switch] = STATE(632),
    [sym_call] = STATE(632),
    [sym__assignment] = STATE(632),
    [sym_left_assignment] = STATE(632),
    [sym_left_assignment2] = STATE(632),
    [sym_equals_assignment] = STATE(632),
    [sym_super_assignment] = STATE(632),
    [sym_super_right_assignment] = STATE(632),
    [sym_right_assignment] = STATE(632),
    [sym_brace_list] = STATE(632),
    [sym_paren_list] = STATE(632),
    [sym_subset] = STATE(632),
    [sym_subset2] = STATE(632),
    [sym_dollar] = STATE(632),
    [sym_slot] = STATE(632),
    [sym_namespace_get] = STATE(632),
    [sym_namespace_get_internal] = STATE(632),
    [sym_help] = STATE(632),
    [sym_pipe] = STATE(632),
    [sym_unary] = STATE(632),
    [sym_binary] = STATE(632),
    [sym_na] = STATE(632),
    [sym__expression] = STATE(632),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(632),
    [sym_string] = STATE(632),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1491),
    [sym_next] = ACTIONS(1491),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [sym_null] = ACTIONS(1491),
    [sym_inf] = ACTIONS(1491),
    [sym_nan] = ACTIONS(1491),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1493),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [221] = {
    [sym_function_definition] = STATE(633),
    [sym_lambda_function] = STATE(633),
    [sym_if] = STATE(633),
    [sym_while] = STATE(633),
    [sym_repeat] = STATE(633),
    [sym_for] = STATE(633),
    [sym_switch] = STATE(633),
    [sym_call] = STATE(633),
    [sym__assignment] = STATE(633),
    [sym_left_assignment] = STATE(633),
    [sym_left_assignment2] = STATE(633),
    [sym_equals_assignment] = STATE(633),
    [sym_super_assignment] = STATE(633),
    [sym_super_right_assignment] = STATE(633),
    [sym_right_assignment] = STATE(633),
    [sym_brace_list] = STATE(633),
    [sym_paren_list] = STATE(633),
    [sym_subset] = STATE(633),
    [sym_subset2] = STATE(633),
    [sym_dollar] = STATE(633),
    [sym_slot] = STATE(633),
    [sym_namespace_get] = STATE(633),
    [sym_namespace_get_internal] = STATE(633),
    [sym_help] = STATE(633),
    [sym_pipe] = STATE(633),
    [sym_unary] = STATE(633),
    [sym_binary] = STATE(633),
    [sym_na] = STATE(633),
    [sym__expression] = STATE(633),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(633),
    [sym_string] = STATE(633),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1495),
    [sym_next] = ACTIONS(1495),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_inf] = ACTIONS(1495),
    [sym_nan] = ACTIONS(1495),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1497),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [222] = {
    [sym_function_definition] = STATE(618),
    [sym_lambda_function] = STATE(618),
    [sym_if] = STATE(618),
    [sym_while] = STATE(618),
    [sym_repeat] = STATE(618),
    [sym_for] = STATE(618),
    [sym_switch] = STATE(618),
    [sym_call] = STATE(618),
    [sym__assignment] = STATE(618),
    [sym_left_assignment] = STATE(618),
    [sym_left_assignment2] = STATE(618),
    [sym_equals_assignment] = STATE(618),
    [sym_super_assignment] = STATE(618),
    [sym_super_right_assignment] = STATE(618),
    [sym_right_assignment] = STATE(618),
    [sym_brace_list] = STATE(618),
    [sym_paren_list] = STATE(618),
    [sym_subset] = STATE(618),
    [sym_subset2] = STATE(618),
    [sym_dollar] = STATE(618),
    [sym_slot] = STATE(618),
    [sym_namespace_get] = STATE(618),
    [sym_namespace_get_internal] = STATE(618),
    [sym_help] = STATE(618),
    [sym_pipe] = STATE(618),
    [sym_unary] = STATE(618),
    [sym_binary] = STATE(618),
    [sym_na] = STATE(618),
    [sym__expression] = STATE(618),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(618),
    [sym_string] = STATE(618),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1499),
    [sym_next] = ACTIONS(1499),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_null] = ACTIONS(1499),
    [sym_inf] = ACTIONS(1499),
    [sym_nan] = ACTIONS(1499),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1501),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [223] = {
    [sym_function_definition] = STATE(610),
    [sym_lambda_function] = STATE(610),
    [sym_if] = STATE(610),
    [sym_while] = STATE(610),
    [sym_repeat] = STATE(610),
    [sym_for] = STATE(610),
    [sym_switch] = STATE(610),
    [sym_call] = STATE(610),
    [sym__assignment] = STATE(610),
    [sym_left_assignment] = STATE(610),
    [sym_left_assignment2] = STATE(610),
    [sym_equals_assignment] = STATE(610),
    [sym_super_assignment] = STATE(610),
    [sym_super_right_assignment] = STATE(610),
    [sym_right_assignment] = STATE(610),
    [sym_brace_list] = STATE(610),
    [sym_paren_list] = STATE(610),
    [sym_subset] = STATE(610),
    [sym_subset2] = STATE(610),
    [sym_dollar] = STATE(610),
    [sym_slot] = STATE(610),
    [sym_namespace_get] = STATE(610),
    [sym_namespace_get_internal] = STATE(610),
    [sym_help] = STATE(610),
    [sym_pipe] = STATE(610),
    [sym_unary] = STATE(610),
    [sym_binary] = STATE(610),
    [sym_na] = STATE(610),
    [sym__expression] = STATE(610),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(610),
    [sym_string] = STATE(610),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1503),
    [sym_next] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_null] = ACTIONS(1503),
    [sym_inf] = ACTIONS(1503),
    [sym_nan] = ACTIONS(1503),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1505),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [224] = {
    [sym_function_definition] = STATE(551),
    [sym_lambda_function] = STATE(551),
    [sym_if] = STATE(551),
    [sym_while] = STATE(551),
    [sym_repeat] = STATE(551),
    [sym_for] = STATE(551),
    [sym_switch] = STATE(551),
    [sym_call] = STATE(551),
    [sym__assignment] = STATE(551),
    [sym_left_assignment] = STATE(551),
    [sym_left_assignment2] = STATE(551),
    [sym_equals_assignment] = STATE(551),
    [sym_super_assignment] = STATE(551),
    [sym_super_right_assignment] = STATE(551),
    [sym_right_assignment] = STATE(551),
    [sym_brace_list] = STATE(551),
    [sym_paren_list] = STATE(551),
    [sym_subset] = STATE(551),
    [sym_subset2] = STATE(551),
    [sym_dollar] = STATE(551),
    [sym_slot] = STATE(551),
    [sym_namespace_get] = STATE(551),
    [sym_namespace_get_internal] = STATE(551),
    [sym_help] = STATE(551),
    [sym_pipe] = STATE(551),
    [sym_unary] = STATE(551),
    [sym_binary] = STATE(551),
    [sym_na] = STATE(551),
    [sym__expression] = STATE(551),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(551),
    [sym_string] = STATE(551),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1507),
    [sym_next] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_inf] = ACTIONS(1507),
    [sym_nan] = ACTIONS(1507),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1509),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [225] = {
    [sym_function_definition] = STATE(658),
    [sym_lambda_function] = STATE(658),
    [sym_if] = STATE(658),
    [sym_while] = STATE(658),
    [sym_repeat] = STATE(658),
    [sym_for] = STATE(658),
    [sym_switch] = STATE(658),
    [sym_call] = STATE(658),
    [sym__assignment] = STATE(658),
    [sym_left_assignment] = STATE(658),
    [sym_left_assignment2] = STATE(658),
    [sym_equals_assignment] = STATE(658),
    [sym_super_assignment] = STATE(658),
    [sym_super_right_assignment] = STATE(658),
    [sym_right_assignment] = STATE(658),
    [sym_brace_list] = STATE(658),
    [sym_paren_list] = STATE(658),
    [sym_subset] = STATE(658),
    [sym_subset2] = STATE(658),
    [sym_dollar] = STATE(658),
    [sym_slot] = STATE(658),
    [sym_namespace_get] = STATE(658),
    [sym_namespace_get_internal] = STATE(658),
    [sym_help] = STATE(658),
    [sym_pipe] = STATE(658),
    [sym_unary] = STATE(658),
    [sym_binary] = STATE(658),
    [sym_na] = STATE(658),
    [sym__expression] = STATE(658),
    [sym_identifier] = STATE(441),
    [sym_complex] = STATE(658),
    [sym_string] = STATE(658),
    [anon_sym_function] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(9),
    [anon_sym_if] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_repeat] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [sym_dots] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_TILDE] = ACTIONS(33),
    [sym_break] = ACTIONS(1511),
    [sym_next] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_null] = ACTIONS(1511),
    [sym_inf] = ACTIONS(1511),
    [sym_nan] = ACTIONS(1511),
    [anon_sym_NA] = ACTIONS(35),
    [anon_sym_NA_character_] = ACTIONS(35),
    [anon_sym_NA_complex_] = ACTIONS(35),
    [anon_sym_NA_integer_] = ACTIONS(35),
    [anon_sym_NA_real_] = ACTIONS(35),
    [aux_sym_identifier_token1] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(39),
    [sym_integer] = ACTIONS(1513),
    [sym_float] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(45),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [sym__raw_string_literal] = ACTIONS(49),
  },
  [226] = {
    [sym_function_definition] = STATE(416),
    [sym_lambda_function] = STATE(416),
    [sym_if] = STATE(416),
    [sym_while] = STATE(416),
    [sym_repeat] = STATE(416),
    [sym_for] = STATE(416),
    [sym_switch] = STATE(416),
    [sym_call] = STATE(416),
    [sym__assignment] = STATE(416),
    [sym_left_assignment] = STATE(416),
    [sym_left_assignment2] = STATE(416),
    [sym_equals_assignment] = STATE(416),
    [sym_super_assignment] = STATE(416),
    [sym_super_right_assignment] = STATE(416),
    [sym_right_assignment] = STATE(416),
    [sym_brace_list] = STATE(416),
    [sym_paren_list] = STATE(416),
    [sym_subset] = STATE(416),
    [sym_subset2] = STATE(416),
    [sym_dollar] = STATE(416),
    [sym_slot] = STATE(416),
    [sym_namespace_get] = STATE(416),
    [sym_namespace_get_internal] = STATE(416),
    [sym_help] = STATE(416),
    [sym_pipe] = STATE(416),
    [sym_unary] = STATE(416),
    [sym_binary] = STATE(416),
    [sym_na] = STATE(416),
    [sym__expression] = STATE(416),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(416),
    [sym_string] = STATE(416),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1515),
    [sym_next] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_null] = ACTIONS(1515),
    [sym_inf] = ACTIONS(1515),
    [sym_nan] = ACTIONS(1515),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1517),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [227] = {
    [sym_function_definition] = STATE(418),
    [sym_lambda_function] = STATE(418),
    [sym_if] = STATE(418),
    [sym_while] = STATE(418),
    [sym_repeat] = STATE(418),
    [sym_for] = STATE(418),
    [sym_switch] = STATE(418),
    [sym_call] = STATE(418),
    [sym__assignment] = STATE(418),
    [sym_left_assignment] = STATE(418),
    [sym_left_assignment2] = STATE(418),
    [sym_equals_assignment] = STATE(418),
    [sym_super_assignment] = STATE(418),
    [sym_super_right_assignment] = STATE(418),
    [sym_right_assignment] = STATE(418),
    [sym_brace_list] = STATE(418),
    [sym_paren_list] = STATE(418),
    [sym_subset] = STATE(418),
    [sym_subset2] = STATE(418),
    [sym_dollar] = STATE(418),
    [sym_slot] = STATE(418),
    [sym_namespace_get] = STATE(418),
    [sym_namespace_get_internal] = STATE(418),
    [sym_help] = STATE(418),
    [sym_pipe] = STATE(418),
    [sym_unary] = STATE(418),
    [sym_binary] = STATE(418),
    [sym_na] = STATE(418),
    [sym__expression] = STATE(418),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(418),
    [sym_string] = STATE(418),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1519),
    [sym_next] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_null] = ACTIONS(1519),
    [sym_inf] = ACTIONS(1519),
    [sym_nan] = ACTIONS(1519),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1521),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [228] = {
    [sym_function_definition] = STATE(419),
    [sym_lambda_function] = STATE(419),
    [sym_if] = STATE(419),
    [sym_while] = STATE(419),
    [sym_repeat] = STATE(419),
    [sym_for] = STATE(419),
    [sym_switch] = STATE(419),
    [sym_call] = STATE(419),
    [sym__assignment] = STATE(419),
    [sym_left_assignment] = STATE(419),
    [sym_left_assignment2] = STATE(419),
    [sym_equals_assignment] = STATE(419),
    [sym_super_assignment] = STATE(419),
    [sym_super_right_assignment] = STATE(419),
    [sym_right_assignment] = STATE(419),
    [sym_brace_list] = STATE(419),
    [sym_paren_list] = STATE(419),
    [sym_subset] = STATE(419),
    [sym_subset2] = STATE(419),
    [sym_dollar] = STATE(419),
    [sym_slot] = STATE(419),
    [sym_namespace_get] = STATE(419),
    [sym_namespace_get_internal] = STATE(419),
    [sym_help] = STATE(419),
    [sym_pipe] = STATE(419),
    [sym_unary] = STATE(419),
    [sym_binary] = STATE(419),
    [sym_na] = STATE(419),
    [sym__expression] = STATE(419),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(419),
    [sym_string] = STATE(419),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1523),
    [sym_next] = ACTIONS(1523),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_null] = ACTIONS(1523),
    [sym_inf] = ACTIONS(1523),
    [sym_nan] = ACTIONS(1523),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1525),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [229] = {
    [sym_function_definition] = STATE(420),
    [sym_lambda_function] = STATE(420),
    [sym_if] = STATE(420),
    [sym_while] = STATE(420),
    [sym_repeat] = STATE(420),
    [sym_for] = STATE(420),
    [sym_switch] = STATE(420),
    [sym_call] = STATE(420),
    [sym__assignment] = STATE(420),
    [sym_left_assignment] = STATE(420),
    [sym_left_assignment2] = STATE(420),
    [sym_equals_assignment] = STATE(420),
    [sym_super_assignment] = STATE(420),
    [sym_super_right_assignment] = STATE(420),
    [sym_right_assignment] = STATE(420),
    [sym_brace_list] = STATE(420),
    [sym_paren_list] = STATE(420),
    [sym_subset] = STATE(420),
    [sym_subset2] = STATE(420),
    [sym_dollar] = STATE(420),
    [sym_slot] = STATE(420),
    [sym_namespace_get] = STATE(420),
    [sym_namespace_get_internal] = STATE(420),
    [sym_help] = STATE(420),
    [sym_pipe] = STATE(420),
    [sym_unary] = STATE(420),
    [sym_binary] = STATE(420),
    [sym_na] = STATE(420),
    [sym__expression] = STATE(420),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(420),
    [sym_string] = STATE(420),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1527),
    [sym_next] = ACTIONS(1527),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_null] = ACTIONS(1527),
    [sym_inf] = ACTIONS(1527),
    [sym_nan] = ACTIONS(1527),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1529),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [230] = {
    [sym_function_definition] = STATE(421),
    [sym_lambda_function] = STATE(421),
    [sym_if] = STATE(421),
    [sym_while] = STATE(421),
    [sym_repeat] = STATE(421),
    [sym_for] = STATE(421),
    [sym_switch] = STATE(421),
    [sym_call] = STATE(421),
    [sym__assignment] = STATE(421),
    [sym_left_assignment] = STATE(421),
    [sym_left_assignment2] = STATE(421),
    [sym_equals_assignment] = STATE(421),
    [sym_super_assignment] = STATE(421),
    [sym_super_right_assignment] = STATE(421),
    [sym_right_assignment] = STATE(421),
    [sym_brace_list] = STATE(421),
    [sym_paren_list] = STATE(421),
    [sym_subset] = STATE(421),
    [sym_subset2] = STATE(421),
    [sym_dollar] = STATE(421),
    [sym_slot] = STATE(421),
    [sym_namespace_get] = STATE(421),
    [sym_namespace_get_internal] = STATE(421),
    [sym_help] = STATE(421),
    [sym_pipe] = STATE(421),
    [sym_unary] = STATE(421),
    [sym_binary] = STATE(421),
    [sym_na] = STATE(421),
    [sym__expression] = STATE(421),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(421),
    [sym_string] = STATE(421),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1531),
    [sym_next] = ACTIONS(1531),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_null] = ACTIONS(1531),
    [sym_inf] = ACTIONS(1531),
    [sym_nan] = ACTIONS(1531),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1533),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [231] = {
    [sym_function_definition] = STATE(422),
    [sym_lambda_function] = STATE(422),
    [sym_if] = STATE(422),
    [sym_while] = STATE(422),
    [sym_repeat] = STATE(422),
    [sym_for] = STATE(422),
    [sym_switch] = STATE(422),
    [sym_call] = STATE(422),
    [sym__assignment] = STATE(422),
    [sym_left_assignment] = STATE(422),
    [sym_left_assignment2] = STATE(422),
    [sym_equals_assignment] = STATE(422),
    [sym_super_assignment] = STATE(422),
    [sym_super_right_assignment] = STATE(422),
    [sym_right_assignment] = STATE(422),
    [sym_brace_list] = STATE(422),
    [sym_paren_list] = STATE(422),
    [sym_subset] = STATE(422),
    [sym_subset2] = STATE(422),
    [sym_dollar] = STATE(422),
    [sym_slot] = STATE(422),
    [sym_namespace_get] = STATE(422),
    [sym_namespace_get_internal] = STATE(422),
    [sym_help] = STATE(422),
    [sym_pipe] = STATE(422),
    [sym_unary] = STATE(422),
    [sym_binary] = STATE(422),
    [sym_na] = STATE(422),
    [sym__expression] = STATE(422),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(422),
    [sym_string] = STATE(422),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1535),
    [sym_next] = ACTIONS(1535),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_null] = ACTIONS(1535),
    [sym_inf] = ACTIONS(1535),
    [sym_nan] = ACTIONS(1535),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [232] = {
    [sym_function_definition] = STATE(423),
    [sym_lambda_function] = STATE(423),
    [sym_if] = STATE(423),
    [sym_while] = STATE(423),
    [sym_repeat] = STATE(423),
    [sym_for] = STATE(423),
    [sym_switch] = STATE(423),
    [sym_call] = STATE(423),
    [sym__assignment] = STATE(423),
    [sym_left_assignment] = STATE(423),
    [sym_left_assignment2] = STATE(423),
    [sym_equals_assignment] = STATE(423),
    [sym_super_assignment] = STATE(423),
    [sym_super_right_assignment] = STATE(423),
    [sym_right_assignment] = STATE(423),
    [sym_brace_list] = STATE(423),
    [sym_paren_list] = STATE(423),
    [sym_subset] = STATE(423),
    [sym_subset2] = STATE(423),
    [sym_dollar] = STATE(423),
    [sym_slot] = STATE(423),
    [sym_namespace_get] = STATE(423),
    [sym_namespace_get_internal] = STATE(423),
    [sym_help] = STATE(423),
    [sym_pipe] = STATE(423),
    [sym_unary] = STATE(423),
    [sym_binary] = STATE(423),
    [sym_na] = STATE(423),
    [sym__expression] = STATE(423),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(423),
    [sym_string] = STATE(423),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1539),
    [sym_next] = ACTIONS(1539),
    [sym_true] = ACTIONS(1539),
    [sym_false] = ACTIONS(1539),
    [sym_null] = ACTIONS(1539),
    [sym_inf] = ACTIONS(1539),
    [sym_nan] = ACTIONS(1539),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1541),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [233] = {
    [sym_function_definition] = STATE(424),
    [sym_lambda_function] = STATE(424),
    [sym_if] = STATE(424),
    [sym_while] = STATE(424),
    [sym_repeat] = STATE(424),
    [sym_for] = STATE(424),
    [sym_switch] = STATE(424),
    [sym_call] = STATE(424),
    [sym__assignment] = STATE(424),
    [sym_left_assignment] = STATE(424),
    [sym_left_assignment2] = STATE(424),
    [sym_equals_assignment] = STATE(424),
    [sym_super_assignment] = STATE(424),
    [sym_super_right_assignment] = STATE(424),
    [sym_right_assignment] = STATE(424),
    [sym_brace_list] = STATE(424),
    [sym_paren_list] = STATE(424),
    [sym_subset] = STATE(424),
    [sym_subset2] = STATE(424),
    [sym_dollar] = STATE(424),
    [sym_slot] = STATE(424),
    [sym_namespace_get] = STATE(424),
    [sym_namespace_get_internal] = STATE(424),
    [sym_help] = STATE(424),
    [sym_pipe] = STATE(424),
    [sym_unary] = STATE(424),
    [sym_binary] = STATE(424),
    [sym_na] = STATE(424),
    [sym__expression] = STATE(424),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(424),
    [sym_string] = STATE(424),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1543),
    [sym_next] = ACTIONS(1543),
    [sym_true] = ACTIONS(1543),
    [sym_false] = ACTIONS(1543),
    [sym_null] = ACTIONS(1543),
    [sym_inf] = ACTIONS(1543),
    [sym_nan] = ACTIONS(1543),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1545),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [234] = {
    [sym_function_definition] = STATE(425),
    [sym_lambda_function] = STATE(425),
    [sym_if] = STATE(425),
    [sym_while] = STATE(425),
    [sym_repeat] = STATE(425),
    [sym_for] = STATE(425),
    [sym_switch] = STATE(425),
    [sym_call] = STATE(425),
    [sym__assignment] = STATE(425),
    [sym_left_assignment] = STATE(425),
    [sym_left_assignment2] = STATE(425),
    [sym_equals_assignment] = STATE(425),
    [sym_super_assignment] = STATE(425),
    [sym_super_right_assignment] = STATE(425),
    [sym_right_assignment] = STATE(425),
    [sym_brace_list] = STATE(425),
    [sym_paren_list] = STATE(425),
    [sym_subset] = STATE(425),
    [sym_subset2] = STATE(425),
    [sym_dollar] = STATE(425),
    [sym_slot] = STATE(425),
    [sym_namespace_get] = STATE(425),
    [sym_namespace_get_internal] = STATE(425),
    [sym_help] = STATE(425),
    [sym_pipe] = STATE(425),
    [sym_unary] = STATE(425),
    [sym_binary] = STATE(425),
    [sym_na] = STATE(425),
    [sym__expression] = STATE(425),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(425),
    [sym_string] = STATE(425),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1547),
    [sym_next] = ACTIONS(1547),
    [sym_true] = ACTIONS(1547),
    [sym_false] = ACTIONS(1547),
    [sym_null] = ACTIONS(1547),
    [sym_inf] = ACTIONS(1547),
    [sym_nan] = ACTIONS(1547),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1549),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [235] = {
    [sym_function_definition] = STATE(426),
    [sym_lambda_function] = STATE(426),
    [sym_if] = STATE(426),
    [sym_while] = STATE(426),
    [sym_repeat] = STATE(426),
    [sym_for] = STATE(426),
    [sym_switch] = STATE(426),
    [sym_call] = STATE(426),
    [sym__assignment] = STATE(426),
    [sym_left_assignment] = STATE(426),
    [sym_left_assignment2] = STATE(426),
    [sym_equals_assignment] = STATE(426),
    [sym_super_assignment] = STATE(426),
    [sym_super_right_assignment] = STATE(426),
    [sym_right_assignment] = STATE(426),
    [sym_brace_list] = STATE(426),
    [sym_paren_list] = STATE(426),
    [sym_subset] = STATE(426),
    [sym_subset2] = STATE(426),
    [sym_dollar] = STATE(426),
    [sym_slot] = STATE(426),
    [sym_namespace_get] = STATE(426),
    [sym_namespace_get_internal] = STATE(426),
    [sym_help] = STATE(426),
    [sym_pipe] = STATE(426),
    [sym_unary] = STATE(426),
    [sym_binary] = STATE(426),
    [sym_na] = STATE(426),
    [sym__expression] = STATE(426),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(426),
    [sym_string] = STATE(426),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1551),
    [sym_next] = ACTIONS(1551),
    [sym_true] = ACTIONS(1551),
    [sym_false] = ACTIONS(1551),
    [sym_null] = ACTIONS(1551),
    [sym_inf] = ACTIONS(1551),
    [sym_nan] = ACTIONS(1551),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1553),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [236] = {
    [sym_function_definition] = STATE(428),
    [sym_lambda_function] = STATE(428),
    [sym_if] = STATE(428),
    [sym_while] = STATE(428),
    [sym_repeat] = STATE(428),
    [sym_for] = STATE(428),
    [sym_switch] = STATE(428),
    [sym_call] = STATE(428),
    [sym__assignment] = STATE(428),
    [sym_left_assignment] = STATE(428),
    [sym_left_assignment2] = STATE(428),
    [sym_equals_assignment] = STATE(428),
    [sym_super_assignment] = STATE(428),
    [sym_super_right_assignment] = STATE(428),
    [sym_right_assignment] = STATE(428),
    [sym_brace_list] = STATE(428),
    [sym_paren_list] = STATE(428),
    [sym_subset] = STATE(428),
    [sym_subset2] = STATE(428),
    [sym_dollar] = STATE(428),
    [sym_slot] = STATE(428),
    [sym_namespace_get] = STATE(428),
    [sym_namespace_get_internal] = STATE(428),
    [sym_help] = STATE(428),
    [sym_pipe] = STATE(428),
    [sym_unary] = STATE(428),
    [sym_binary] = STATE(428),
    [sym_na] = STATE(428),
    [sym__expression] = STATE(428),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(428),
    [sym_string] = STATE(428),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1555),
    [sym_next] = ACTIONS(1555),
    [sym_true] = ACTIONS(1555),
    [sym_false] = ACTIONS(1555),
    [sym_null] = ACTIONS(1555),
    [sym_inf] = ACTIONS(1555),
    [sym_nan] = ACTIONS(1555),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1557),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [237] = {
    [sym_function_definition] = STATE(429),
    [sym_lambda_function] = STATE(429),
    [sym_if] = STATE(429),
    [sym_while] = STATE(429),
    [sym_repeat] = STATE(429),
    [sym_for] = STATE(429),
    [sym_switch] = STATE(429),
    [sym_call] = STATE(429),
    [sym__assignment] = STATE(429),
    [sym_left_assignment] = STATE(429),
    [sym_left_assignment2] = STATE(429),
    [sym_equals_assignment] = STATE(429),
    [sym_super_assignment] = STATE(429),
    [sym_super_right_assignment] = STATE(429),
    [sym_right_assignment] = STATE(429),
    [sym_brace_list] = STATE(429),
    [sym_paren_list] = STATE(429),
    [sym_subset] = STATE(429),
    [sym_subset2] = STATE(429),
    [sym_dollar] = STATE(429),
    [sym_slot] = STATE(429),
    [sym_namespace_get] = STATE(429),
    [sym_namespace_get_internal] = STATE(429),
    [sym_help] = STATE(429),
    [sym_pipe] = STATE(429),
    [sym_unary] = STATE(429),
    [sym_binary] = STATE(429),
    [sym_na] = STATE(429),
    [sym__expression] = STATE(429),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(429),
    [sym_string] = STATE(429),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1559),
    [sym_next] = ACTIONS(1559),
    [sym_true] = ACTIONS(1559),
    [sym_false] = ACTIONS(1559),
    [sym_null] = ACTIONS(1559),
    [sym_inf] = ACTIONS(1559),
    [sym_nan] = ACTIONS(1559),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1561),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [238] = {
    [sym_function_definition] = STATE(430),
    [sym_lambda_function] = STATE(430),
    [sym_if] = STATE(430),
    [sym_while] = STATE(430),
    [sym_repeat] = STATE(430),
    [sym_for] = STATE(430),
    [sym_switch] = STATE(430),
    [sym_call] = STATE(430),
    [sym__assignment] = STATE(430),
    [sym_left_assignment] = STATE(430),
    [sym_left_assignment2] = STATE(430),
    [sym_equals_assignment] = STATE(430),
    [sym_super_assignment] = STATE(430),
    [sym_super_right_assignment] = STATE(430),
    [sym_right_assignment] = STATE(430),
    [sym_brace_list] = STATE(430),
    [sym_paren_list] = STATE(430),
    [sym_subset] = STATE(430),
    [sym_subset2] = STATE(430),
    [sym_dollar] = STATE(430),
    [sym_slot] = STATE(430),
    [sym_namespace_get] = STATE(430),
    [sym_namespace_get_internal] = STATE(430),
    [sym_help] = STATE(430),
    [sym_pipe] = STATE(430),
    [sym_unary] = STATE(430),
    [sym_binary] = STATE(430),
    [sym_na] = STATE(430),
    [sym__expression] = STATE(430),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(430),
    [sym_string] = STATE(430),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1563),
    [sym_next] = ACTIONS(1563),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_inf] = ACTIONS(1563),
    [sym_nan] = ACTIONS(1563),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1565),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [239] = {
    [sym_function_definition] = STATE(431),
    [sym_lambda_function] = STATE(431),
    [sym_if] = STATE(431),
    [sym_while] = STATE(431),
    [sym_repeat] = STATE(431),
    [sym_for] = STATE(431),
    [sym_switch] = STATE(431),
    [sym_call] = STATE(431),
    [sym__assignment] = STATE(431),
    [sym_left_assignment] = STATE(431),
    [sym_left_assignment2] = STATE(431),
    [sym_equals_assignment] = STATE(431),
    [sym_super_assignment] = STATE(431),
    [sym_super_right_assignment] = STATE(431),
    [sym_right_assignment] = STATE(431),
    [sym_brace_list] = STATE(431),
    [sym_paren_list] = STATE(431),
    [sym_subset] = STATE(431),
    [sym_subset2] = STATE(431),
    [sym_dollar] = STATE(431),
    [sym_slot] = STATE(431),
    [sym_namespace_get] = STATE(431),
    [sym_namespace_get_internal] = STATE(431),
    [sym_help] = STATE(431),
    [sym_pipe] = STATE(431),
    [sym_unary] = STATE(431),
    [sym_binary] = STATE(431),
    [sym_na] = STATE(431),
    [sym__expression] = STATE(431),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(431),
    [sym_string] = STATE(431),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1567),
    [sym_next] = ACTIONS(1567),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_inf] = ACTIONS(1567),
    [sym_nan] = ACTIONS(1567),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1569),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [240] = {
    [sym_function_definition] = STATE(432),
    [sym_lambda_function] = STATE(432),
    [sym_if] = STATE(432),
    [sym_while] = STATE(432),
    [sym_repeat] = STATE(432),
    [sym_for] = STATE(432),
    [sym_switch] = STATE(432),
    [sym_call] = STATE(432),
    [sym__assignment] = STATE(432),
    [sym_left_assignment] = STATE(432),
    [sym_left_assignment2] = STATE(432),
    [sym_equals_assignment] = STATE(432),
    [sym_super_assignment] = STATE(432),
    [sym_super_right_assignment] = STATE(432),
    [sym_right_assignment] = STATE(432),
    [sym_brace_list] = STATE(432),
    [sym_paren_list] = STATE(432),
    [sym_subset] = STATE(432),
    [sym_subset2] = STATE(432),
    [sym_dollar] = STATE(432),
    [sym_slot] = STATE(432),
    [sym_namespace_get] = STATE(432),
    [sym_namespace_get_internal] = STATE(432),
    [sym_help] = STATE(432),
    [sym_pipe] = STATE(432),
    [sym_unary] = STATE(432),
    [sym_binary] = STATE(432),
    [sym_na] = STATE(432),
    [sym__expression] = STATE(432),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(432),
    [sym_string] = STATE(432),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1571),
    [sym_next] = ACTIONS(1571),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_inf] = ACTIONS(1571),
    [sym_nan] = ACTIONS(1571),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1573),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [241] = {
    [sym_function_definition] = STATE(433),
    [sym_lambda_function] = STATE(433),
    [sym_if] = STATE(433),
    [sym_while] = STATE(433),
    [sym_repeat] = STATE(433),
    [sym_for] = STATE(433),
    [sym_switch] = STATE(433),
    [sym_call] = STATE(433),
    [sym__assignment] = STATE(433),
    [sym_left_assignment] = STATE(433),
    [sym_left_assignment2] = STATE(433),
    [sym_equals_assignment] = STATE(433),
    [sym_super_assignment] = STATE(433),
    [sym_super_right_assignment] = STATE(433),
    [sym_right_assignment] = STATE(433),
    [sym_brace_list] = STATE(433),
    [sym_paren_list] = STATE(433),
    [sym_subset] = STATE(433),
    [sym_subset2] = STATE(433),
    [sym_dollar] = STATE(433),
    [sym_slot] = STATE(433),
    [sym_namespace_get] = STATE(433),
    [sym_namespace_get_internal] = STATE(433),
    [sym_help] = STATE(433),
    [sym_pipe] = STATE(433),
    [sym_unary] = STATE(433),
    [sym_binary] = STATE(433),
    [sym_na] = STATE(433),
    [sym__expression] = STATE(433),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(433),
    [sym_string] = STATE(433),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1575),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1575),
    [sym_next] = ACTIONS(1575),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [sym_null] = ACTIONS(1575),
    [sym_inf] = ACTIONS(1575),
    [sym_nan] = ACTIONS(1575),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1577),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [242] = {
    [sym_function_definition] = STATE(435),
    [sym_lambda_function] = STATE(435),
    [sym_if] = STATE(435),
    [sym_while] = STATE(435),
    [sym_repeat] = STATE(435),
    [sym_for] = STATE(435),
    [sym_switch] = STATE(435),
    [sym_call] = STATE(435),
    [sym__assignment] = STATE(435),
    [sym_left_assignment] = STATE(435),
    [sym_left_assignment2] = STATE(435),
    [sym_equals_assignment] = STATE(435),
    [sym_super_assignment] = STATE(435),
    [sym_super_right_assignment] = STATE(435),
    [sym_right_assignment] = STATE(435),
    [sym_brace_list] = STATE(435),
    [sym_paren_list] = STATE(435),
    [sym_subset] = STATE(435),
    [sym_subset2] = STATE(435),
    [sym_dollar] = STATE(435),
    [sym_slot] = STATE(435),
    [sym_namespace_get] = STATE(435),
    [sym_namespace_get_internal] = STATE(435),
    [sym_help] = STATE(435),
    [sym_pipe] = STATE(435),
    [sym_unary] = STATE(435),
    [sym_binary] = STATE(435),
    [sym_na] = STATE(435),
    [sym__expression] = STATE(435),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(435),
    [sym_string] = STATE(435),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1579),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1579),
    [sym_next] = ACTIONS(1579),
    [sym_true] = ACTIONS(1579),
    [sym_false] = ACTIONS(1579),
    [sym_null] = ACTIONS(1579),
    [sym_inf] = ACTIONS(1579),
    [sym_nan] = ACTIONS(1579),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1581),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [243] = {
    [sym_function_definition] = STATE(436),
    [sym_lambda_function] = STATE(436),
    [sym_if] = STATE(436),
    [sym_while] = STATE(436),
    [sym_repeat] = STATE(436),
    [sym_for] = STATE(436),
    [sym_switch] = STATE(436),
    [sym_call] = STATE(436),
    [sym__assignment] = STATE(436),
    [sym_left_assignment] = STATE(436),
    [sym_left_assignment2] = STATE(436),
    [sym_equals_assignment] = STATE(436),
    [sym_super_assignment] = STATE(436),
    [sym_super_right_assignment] = STATE(436),
    [sym_right_assignment] = STATE(436),
    [sym_brace_list] = STATE(436),
    [sym_paren_list] = STATE(436),
    [sym_subset] = STATE(436),
    [sym_subset2] = STATE(436),
    [sym_dollar] = STATE(436),
    [sym_slot] = STATE(436),
    [sym_namespace_get] = STATE(436),
    [sym_namespace_get_internal] = STATE(436),
    [sym_help] = STATE(436),
    [sym_pipe] = STATE(436),
    [sym_unary] = STATE(436),
    [sym_binary] = STATE(436),
    [sym_na] = STATE(436),
    [sym__expression] = STATE(436),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(436),
    [sym_string] = STATE(436),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1583),
    [sym_next] = ACTIONS(1583),
    [sym_true] = ACTIONS(1583),
    [sym_false] = ACTIONS(1583),
    [sym_null] = ACTIONS(1583),
    [sym_inf] = ACTIONS(1583),
    [sym_nan] = ACTIONS(1583),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1585),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [244] = {
    [sym_function_definition] = STATE(437),
    [sym_lambda_function] = STATE(437),
    [sym_if] = STATE(437),
    [sym_while] = STATE(437),
    [sym_repeat] = STATE(437),
    [sym_for] = STATE(437),
    [sym_switch] = STATE(437),
    [sym_call] = STATE(437),
    [sym__assignment] = STATE(437),
    [sym_left_assignment] = STATE(437),
    [sym_left_assignment2] = STATE(437),
    [sym_equals_assignment] = STATE(437),
    [sym_super_assignment] = STATE(437),
    [sym_super_right_assignment] = STATE(437),
    [sym_right_assignment] = STATE(437),
    [sym_brace_list] = STATE(437),
    [sym_paren_list] = STATE(437),
    [sym_subset] = STATE(437),
    [sym_subset2] = STATE(437),
    [sym_dollar] = STATE(437),
    [sym_slot] = STATE(437),
    [sym_namespace_get] = STATE(437),
    [sym_namespace_get_internal] = STATE(437),
    [sym_help] = STATE(437),
    [sym_pipe] = STATE(437),
    [sym_unary] = STATE(437),
    [sym_binary] = STATE(437),
    [sym_na] = STATE(437),
    [sym__expression] = STATE(437),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(437),
    [sym_string] = STATE(437),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1587),
    [sym_next] = ACTIONS(1587),
    [sym_true] = ACTIONS(1587),
    [sym_false] = ACTIONS(1587),
    [sym_null] = ACTIONS(1587),
    [sym_inf] = ACTIONS(1587),
    [sym_nan] = ACTIONS(1587),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1589),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [245] = {
    [sym_function_definition] = STATE(438),
    [sym_lambda_function] = STATE(438),
    [sym_if] = STATE(438),
    [sym_while] = STATE(438),
    [sym_repeat] = STATE(438),
    [sym_for] = STATE(438),
    [sym_switch] = STATE(438),
    [sym_call] = STATE(438),
    [sym__assignment] = STATE(438),
    [sym_left_assignment] = STATE(438),
    [sym_left_assignment2] = STATE(438),
    [sym_equals_assignment] = STATE(438),
    [sym_super_assignment] = STATE(438),
    [sym_super_right_assignment] = STATE(438),
    [sym_right_assignment] = STATE(438),
    [sym_brace_list] = STATE(438),
    [sym_paren_list] = STATE(438),
    [sym_subset] = STATE(438),
    [sym_subset2] = STATE(438),
    [sym_dollar] = STATE(438),
    [sym_slot] = STATE(438),
    [sym_namespace_get] = STATE(438),
    [sym_namespace_get_internal] = STATE(438),
    [sym_help] = STATE(438),
    [sym_pipe] = STATE(438),
    [sym_unary] = STATE(438),
    [sym_binary] = STATE(438),
    [sym_na] = STATE(438),
    [sym__expression] = STATE(438),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(438),
    [sym_string] = STATE(438),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1591),
    [sym_next] = ACTIONS(1591),
    [sym_true] = ACTIONS(1591),
    [sym_false] = ACTIONS(1591),
    [sym_null] = ACTIONS(1591),
    [sym_inf] = ACTIONS(1591),
    [sym_nan] = ACTIONS(1591),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [246] = {
    [sym_function_definition] = STATE(466),
    [sym_lambda_function] = STATE(466),
    [sym_if] = STATE(466),
    [sym_while] = STATE(466),
    [sym_repeat] = STATE(466),
    [sym_for] = STATE(466),
    [sym_switch] = STATE(466),
    [sym_call] = STATE(466),
    [sym__assignment] = STATE(466),
    [sym_left_assignment] = STATE(466),
    [sym_left_assignment2] = STATE(466),
    [sym_equals_assignment] = STATE(466),
    [sym_super_assignment] = STATE(466),
    [sym_super_right_assignment] = STATE(466),
    [sym_right_assignment] = STATE(466),
    [sym_brace_list] = STATE(466),
    [sym_paren_list] = STATE(466),
    [sym_subset] = STATE(466),
    [sym_subset2] = STATE(466),
    [sym_dollar] = STATE(466),
    [sym_slot] = STATE(466),
    [sym_namespace_get] = STATE(466),
    [sym_namespace_get_internal] = STATE(466),
    [sym_help] = STATE(466),
    [sym_pipe] = STATE(466),
    [sym_unary] = STATE(466),
    [sym_binary] = STATE(466),
    [sym_na] = STATE(466),
    [sym__expression] = STATE(466),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(466),
    [sym_string] = STATE(466),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1595),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1595),
    [sym_next] = ACTIONS(1595),
    [sym_true] = ACTIONS(1595),
    [sym_false] = ACTIONS(1595),
    [sym_null] = ACTIONS(1595),
    [sym_inf] = ACTIONS(1595),
    [sym_nan] = ACTIONS(1595),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1597),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [247] = {
    [sym_function_definition] = STATE(467),
    [sym_lambda_function] = STATE(467),
    [sym_if] = STATE(467),
    [sym_while] = STATE(467),
    [sym_repeat] = STATE(467),
    [sym_for] = STATE(467),
    [sym_switch] = STATE(467),
    [sym_call] = STATE(467),
    [sym__assignment] = STATE(467),
    [sym_left_assignment] = STATE(467),
    [sym_left_assignment2] = STATE(467),
    [sym_equals_assignment] = STATE(467),
    [sym_super_assignment] = STATE(467),
    [sym_super_right_assignment] = STATE(467),
    [sym_right_assignment] = STATE(467),
    [sym_brace_list] = STATE(467),
    [sym_paren_list] = STATE(467),
    [sym_subset] = STATE(467),
    [sym_subset2] = STATE(467),
    [sym_dollar] = STATE(467),
    [sym_slot] = STATE(467),
    [sym_namespace_get] = STATE(467),
    [sym_namespace_get_internal] = STATE(467),
    [sym_help] = STATE(467),
    [sym_pipe] = STATE(467),
    [sym_unary] = STATE(467),
    [sym_binary] = STATE(467),
    [sym_na] = STATE(467),
    [sym__expression] = STATE(467),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(467),
    [sym_string] = STATE(467),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1599),
    [sym_next] = ACTIONS(1599),
    [sym_true] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [sym_null] = ACTIONS(1599),
    [sym_inf] = ACTIONS(1599),
    [sym_nan] = ACTIONS(1599),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1601),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [248] = {
    [sym_function_definition] = STATE(468),
    [sym_lambda_function] = STATE(468),
    [sym_if] = STATE(468),
    [sym_while] = STATE(468),
    [sym_repeat] = STATE(468),
    [sym_for] = STATE(468),
    [sym_switch] = STATE(468),
    [sym_call] = STATE(468),
    [sym__assignment] = STATE(468),
    [sym_left_assignment] = STATE(468),
    [sym_left_assignment2] = STATE(468),
    [sym_equals_assignment] = STATE(468),
    [sym_super_assignment] = STATE(468),
    [sym_super_right_assignment] = STATE(468),
    [sym_right_assignment] = STATE(468),
    [sym_brace_list] = STATE(468),
    [sym_paren_list] = STATE(468),
    [sym_subset] = STATE(468),
    [sym_subset2] = STATE(468),
    [sym_dollar] = STATE(468),
    [sym_slot] = STATE(468),
    [sym_namespace_get] = STATE(468),
    [sym_namespace_get_internal] = STATE(468),
    [sym_help] = STATE(468),
    [sym_pipe] = STATE(468),
    [sym_unary] = STATE(468),
    [sym_binary] = STATE(468),
    [sym_na] = STATE(468),
    [sym__expression] = STATE(468),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(468),
    [sym_string] = STATE(468),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1603),
    [sym_next] = ACTIONS(1603),
    [sym_true] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [sym_null] = ACTIONS(1603),
    [sym_inf] = ACTIONS(1603),
    [sym_nan] = ACTIONS(1603),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1605),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [249] = {
    [sym_function_definition] = STATE(469),
    [sym_lambda_function] = STATE(469),
    [sym_if] = STATE(469),
    [sym_while] = STATE(469),
    [sym_repeat] = STATE(469),
    [sym_for] = STATE(469),
    [sym_switch] = STATE(469),
    [sym_call] = STATE(469),
    [sym__assignment] = STATE(469),
    [sym_left_assignment] = STATE(469),
    [sym_left_assignment2] = STATE(469),
    [sym_equals_assignment] = STATE(469),
    [sym_super_assignment] = STATE(469),
    [sym_super_right_assignment] = STATE(469),
    [sym_right_assignment] = STATE(469),
    [sym_brace_list] = STATE(469),
    [sym_paren_list] = STATE(469),
    [sym_subset] = STATE(469),
    [sym_subset2] = STATE(469),
    [sym_dollar] = STATE(469),
    [sym_slot] = STATE(469),
    [sym_namespace_get] = STATE(469),
    [sym_namespace_get_internal] = STATE(469),
    [sym_help] = STATE(469),
    [sym_pipe] = STATE(469),
    [sym_unary] = STATE(469),
    [sym_binary] = STATE(469),
    [sym_na] = STATE(469),
    [sym__expression] = STATE(469),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(469),
    [sym_string] = STATE(469),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1607),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1607),
    [sym_next] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [sym_null] = ACTIONS(1607),
    [sym_inf] = ACTIONS(1607),
    [sym_nan] = ACTIONS(1607),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1609),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [250] = {
    [sym_function_definition] = STATE(470),
    [sym_lambda_function] = STATE(470),
    [sym_if] = STATE(470),
    [sym_while] = STATE(470),
    [sym_repeat] = STATE(470),
    [sym_for] = STATE(470),
    [sym_switch] = STATE(470),
    [sym_call] = STATE(470),
    [sym__assignment] = STATE(470),
    [sym_left_assignment] = STATE(470),
    [sym_left_assignment2] = STATE(470),
    [sym_equals_assignment] = STATE(470),
    [sym_super_assignment] = STATE(470),
    [sym_super_right_assignment] = STATE(470),
    [sym_right_assignment] = STATE(470),
    [sym_brace_list] = STATE(470),
    [sym_paren_list] = STATE(470),
    [sym_subset] = STATE(470),
    [sym_subset2] = STATE(470),
    [sym_dollar] = STATE(470),
    [sym_slot] = STATE(470),
    [sym_namespace_get] = STATE(470),
    [sym_namespace_get_internal] = STATE(470),
    [sym_help] = STATE(470),
    [sym_pipe] = STATE(470),
    [sym_unary] = STATE(470),
    [sym_binary] = STATE(470),
    [sym_na] = STATE(470),
    [sym__expression] = STATE(470),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(470),
    [sym_string] = STATE(470),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1611),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1611),
    [sym_next] = ACTIONS(1611),
    [sym_true] = ACTIONS(1611),
    [sym_false] = ACTIONS(1611),
    [sym_null] = ACTIONS(1611),
    [sym_inf] = ACTIONS(1611),
    [sym_nan] = ACTIONS(1611),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1613),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [251] = {
    [sym_function_definition] = STATE(587),
    [sym_lambda_function] = STATE(587),
    [sym_if] = STATE(587),
    [sym_while] = STATE(587),
    [sym_repeat] = STATE(587),
    [sym_for] = STATE(587),
    [sym_switch] = STATE(587),
    [sym_call] = STATE(587),
    [sym__assignment] = STATE(587),
    [sym_left_assignment] = STATE(587),
    [sym_left_assignment2] = STATE(587),
    [sym_equals_assignment] = STATE(587),
    [sym_super_assignment] = STATE(587),
    [sym_super_right_assignment] = STATE(587),
    [sym_right_assignment] = STATE(587),
    [sym_brace_list] = STATE(587),
    [sym_paren_list] = STATE(587),
    [sym_subset] = STATE(587),
    [sym_subset2] = STATE(587),
    [sym_dollar] = STATE(587),
    [sym_slot] = STATE(587),
    [sym_namespace_get] = STATE(587),
    [sym_namespace_get_internal] = STATE(587),
    [sym_help] = STATE(587),
    [sym_pipe] = STATE(587),
    [sym_unary] = STATE(587),
    [sym_binary] = STATE(587),
    [sym_na] = STATE(587),
    [sym__expression] = STATE(587),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(587),
    [sym_string] = STATE(587),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1615),
    [sym_next] = ACTIONS(1615),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [sym_null] = ACTIONS(1615),
    [sym_inf] = ACTIONS(1615),
    [sym_nan] = ACTIONS(1615),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1617),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [252] = {
    [sym_function_definition] = STATE(398),
    [sym_lambda_function] = STATE(398),
    [sym_if] = STATE(398),
    [sym_while] = STATE(398),
    [sym_repeat] = STATE(398),
    [sym_for] = STATE(398),
    [sym_switch] = STATE(398),
    [sym_call] = STATE(398),
    [sym__assignment] = STATE(398),
    [sym_left_assignment] = STATE(398),
    [sym_left_assignment2] = STATE(398),
    [sym_equals_assignment] = STATE(398),
    [sym_super_assignment] = STATE(398),
    [sym_super_right_assignment] = STATE(398),
    [sym_right_assignment] = STATE(398),
    [sym_brace_list] = STATE(398),
    [sym_paren_list] = STATE(398),
    [sym_subset] = STATE(398),
    [sym_subset2] = STATE(398),
    [sym_dollar] = STATE(398),
    [sym_slot] = STATE(398),
    [sym_namespace_get] = STATE(398),
    [sym_namespace_get_internal] = STATE(398),
    [sym_help] = STATE(398),
    [sym_pipe] = STATE(398),
    [sym_unary] = STATE(398),
    [sym_binary] = STATE(398),
    [sym_na] = STATE(398),
    [sym__expression] = STATE(398),
    [sym_identifier] = STATE(307),
    [sym_complex] = STATE(398),
    [sym_string] = STATE(398),
    [anon_sym_function] = ACTIONS(871),
    [anon_sym_BSLASH] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_repeat] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_QMARK] = ACTIONS(889),
    [sym_dots] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(897),
    [sym_break] = ACTIONS(1619),
    [sym_next] = ACTIONS(1619),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [sym_null] = ACTIONS(1619),
    [sym_inf] = ACTIONS(1619),
    [sym_nan] = ACTIONS(1619),
    [anon_sym_NA] = ACTIONS(899),
    [anon_sym_NA_character_] = ACTIONS(899),
    [anon_sym_NA_complex_] = ACTIONS(899),
    [anon_sym_NA_integer_] = ACTIONS(899),
    [anon_sym_NA_real_] = ACTIONS(899),
    [aux_sym_identifier_token1] = ACTIONS(901),
    [anon_sym_BQUOTE] = ACTIONS(903),
    [sym_integer] = ACTIONS(1621),
    [sym_float] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [sym__raw_string_literal] = ACTIONS(913),
  },
  [253] = {
    [sym_function_definition] = STATE(439),
    [sym_lambda_function] = STATE(439),
    [sym_if] = STATE(439),
    [sym_while] = STATE(439),
    [sym_repeat] = STATE(439),
    [sym_for] = STATE(439),
    [sym_switch] = STATE(439),
    [sym_call] = STATE(439),
    [sym__assignment] = STATE(439),
    [sym_left_assignment] = STATE(439),
    [sym_left_assignment2] = STATE(439),
    [sym_equals_assignment] = STATE(439),
    [sym_super_assignment] = STATE(439),
    [sym_super_right_assignment] = STATE(439),
    [sym_right_assignment] = STATE(439),
    [sym_brace_list] = STATE(439),
    [sym_paren_list] = STATE(439),
    [sym_subset] = STATE(439),
    [sym_subset2] = STATE(439),
    [sym_dollar] = STATE(439),
    [sym_slot] = STATE(439),
    [sym_namespace_get] = STATE(439),
    [sym_namespace_get_internal] = STATE(439),
    [sym_help] = STATE(439),
    [sym_pipe] = STATE(439),
    [sym_unary] = STATE(439),
    [sym_binary] = STATE(439),
    [sym_na] = STATE(439),
    [sym__expression] = STATE(439),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(439),
    [sym_string] = STATE(439),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1623),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1623),
    [sym_next] = ACTIONS(1623),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [sym_null] = ACTIONS(1623),
    [sym_inf] = ACTIONS(1623),
    [sym_nan] = ACTIONS(1623),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1625),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [254] = {
    [sym_function_definition] = STATE(440),
    [sym_lambda_function] = STATE(440),
    [sym_if] = STATE(440),
    [sym_while] = STATE(440),
    [sym_repeat] = STATE(440),
    [sym_for] = STATE(440),
    [sym_switch] = STATE(440),
    [sym_call] = STATE(440),
    [sym__assignment] = STATE(440),
    [sym_left_assignment] = STATE(440),
    [sym_left_assignment2] = STATE(440),
    [sym_equals_assignment] = STATE(440),
    [sym_super_assignment] = STATE(440),
    [sym_super_right_assignment] = STATE(440),
    [sym_right_assignment] = STATE(440),
    [sym_brace_list] = STATE(440),
    [sym_paren_list] = STATE(440),
    [sym_subset] = STATE(440),
    [sym_subset2] = STATE(440),
    [sym_dollar] = STATE(440),
    [sym_slot] = STATE(440),
    [sym_namespace_get] = STATE(440),
    [sym_namespace_get_internal] = STATE(440),
    [sym_help] = STATE(440),
    [sym_pipe] = STATE(440),
    [sym_unary] = STATE(440),
    [sym_binary] = STATE(440),
    [sym_na] = STATE(440),
    [sym__expression] = STATE(440),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(440),
    [sym_string] = STATE(440),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1627),
    [sym_next] = ACTIONS(1627),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [sym_null] = ACTIONS(1627),
    [sym_inf] = ACTIONS(1627),
    [sym_nan] = ACTIONS(1627),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1629),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [255] = {
    [sym_function_definition] = STATE(442),
    [sym_lambda_function] = STATE(442),
    [sym_if] = STATE(442),
    [sym_while] = STATE(442),
    [sym_repeat] = STATE(442),
    [sym_for] = STATE(442),
    [sym_switch] = STATE(442),
    [sym_call] = STATE(442),
    [sym__assignment] = STATE(442),
    [sym_left_assignment] = STATE(442),
    [sym_left_assignment2] = STATE(442),
    [sym_equals_assignment] = STATE(442),
    [sym_super_assignment] = STATE(442),
    [sym_super_right_assignment] = STATE(442),
    [sym_right_assignment] = STATE(442),
    [sym_brace_list] = STATE(442),
    [sym_paren_list] = STATE(442),
    [sym_subset] = STATE(442),
    [sym_subset2] = STATE(442),
    [sym_dollar] = STATE(442),
    [sym_slot] = STATE(442),
    [sym_namespace_get] = STATE(442),
    [sym_namespace_get_internal] = STATE(442),
    [sym_help] = STATE(442),
    [sym_pipe] = STATE(442),
    [sym_unary] = STATE(442),
    [sym_binary] = STATE(442),
    [sym_na] = STATE(442),
    [sym__expression] = STATE(442),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(442),
    [sym_string] = STATE(442),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1631),
    [sym_next] = ACTIONS(1631),
    [sym_true] = ACTIONS(1631),
    [sym_false] = ACTIONS(1631),
    [sym_null] = ACTIONS(1631),
    [sym_inf] = ACTIONS(1631),
    [sym_nan] = ACTIONS(1631),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1633),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [256] = {
    [sym_function_definition] = STATE(443),
    [sym_lambda_function] = STATE(443),
    [sym_if] = STATE(443),
    [sym_while] = STATE(443),
    [sym_repeat] = STATE(443),
    [sym_for] = STATE(443),
    [sym_switch] = STATE(443),
    [sym_call] = STATE(443),
    [sym__assignment] = STATE(443),
    [sym_left_assignment] = STATE(443),
    [sym_left_assignment2] = STATE(443),
    [sym_equals_assignment] = STATE(443),
    [sym_super_assignment] = STATE(443),
    [sym_super_right_assignment] = STATE(443),
    [sym_right_assignment] = STATE(443),
    [sym_brace_list] = STATE(443),
    [sym_paren_list] = STATE(443),
    [sym_subset] = STATE(443),
    [sym_subset2] = STATE(443),
    [sym_dollar] = STATE(443),
    [sym_slot] = STATE(443),
    [sym_namespace_get] = STATE(443),
    [sym_namespace_get_internal] = STATE(443),
    [sym_help] = STATE(443),
    [sym_pipe] = STATE(443),
    [sym_unary] = STATE(443),
    [sym_binary] = STATE(443),
    [sym_na] = STATE(443),
    [sym__expression] = STATE(443),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(443),
    [sym_string] = STATE(443),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1635),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1635),
    [sym_next] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_null] = ACTIONS(1635),
    [sym_inf] = ACTIONS(1635),
    [sym_nan] = ACTIONS(1635),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1637),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [257] = {
    [sym_function_definition] = STATE(444),
    [sym_lambda_function] = STATE(444),
    [sym_if] = STATE(444),
    [sym_while] = STATE(444),
    [sym_repeat] = STATE(444),
    [sym_for] = STATE(444),
    [sym_switch] = STATE(444),
    [sym_call] = STATE(444),
    [sym__assignment] = STATE(444),
    [sym_left_assignment] = STATE(444),
    [sym_left_assignment2] = STATE(444),
    [sym_equals_assignment] = STATE(444),
    [sym_super_assignment] = STATE(444),
    [sym_super_right_assignment] = STATE(444),
    [sym_right_assignment] = STATE(444),
    [sym_brace_list] = STATE(444),
    [sym_paren_list] = STATE(444),
    [sym_subset] = STATE(444),
    [sym_subset2] = STATE(444),
    [sym_dollar] = STATE(444),
    [sym_slot] = STATE(444),
    [sym_namespace_get] = STATE(444),
    [sym_namespace_get_internal] = STATE(444),
    [sym_help] = STATE(444),
    [sym_pipe] = STATE(444),
    [sym_unary] = STATE(444),
    [sym_binary] = STATE(444),
    [sym_na] = STATE(444),
    [sym__expression] = STATE(444),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(444),
    [sym_string] = STATE(444),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1639),
    [sym_next] = ACTIONS(1639),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_inf] = ACTIONS(1639),
    [sym_nan] = ACTIONS(1639),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1641),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [258] = {
    [sym_function_definition] = STATE(446),
    [sym_lambda_function] = STATE(446),
    [sym_if] = STATE(446),
    [sym_while] = STATE(446),
    [sym_repeat] = STATE(446),
    [sym_for] = STATE(446),
    [sym_switch] = STATE(446),
    [sym_call] = STATE(446),
    [sym__assignment] = STATE(446),
    [sym_left_assignment] = STATE(446),
    [sym_left_assignment2] = STATE(446),
    [sym_equals_assignment] = STATE(446),
    [sym_super_assignment] = STATE(446),
    [sym_super_right_assignment] = STATE(446),
    [sym_right_assignment] = STATE(446),
    [sym_brace_list] = STATE(446),
    [sym_paren_list] = STATE(446),
    [sym_subset] = STATE(446),
    [sym_subset2] = STATE(446),
    [sym_dollar] = STATE(446),
    [sym_slot] = STATE(446),
    [sym_namespace_get] = STATE(446),
    [sym_namespace_get_internal] = STATE(446),
    [sym_help] = STATE(446),
    [sym_pipe] = STATE(446),
    [sym_unary] = STATE(446),
    [sym_binary] = STATE(446),
    [sym_na] = STATE(446),
    [sym__expression] = STATE(446),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(446),
    [sym_string] = STATE(446),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1643),
    [sym_next] = ACTIONS(1643),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [sym_null] = ACTIONS(1643),
    [sym_inf] = ACTIONS(1643),
    [sym_nan] = ACTIONS(1643),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1645),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [259] = {
    [sym_function_definition] = STATE(447),
    [sym_lambda_function] = STATE(447),
    [sym_if] = STATE(447),
    [sym_while] = STATE(447),
    [sym_repeat] = STATE(447),
    [sym_for] = STATE(447),
    [sym_switch] = STATE(447),
    [sym_call] = STATE(447),
    [sym__assignment] = STATE(447),
    [sym_left_assignment] = STATE(447),
    [sym_left_assignment2] = STATE(447),
    [sym_equals_assignment] = STATE(447),
    [sym_super_assignment] = STATE(447),
    [sym_super_right_assignment] = STATE(447),
    [sym_right_assignment] = STATE(447),
    [sym_brace_list] = STATE(447),
    [sym_paren_list] = STATE(447),
    [sym_subset] = STATE(447),
    [sym_subset2] = STATE(447),
    [sym_dollar] = STATE(447),
    [sym_slot] = STATE(447),
    [sym_namespace_get] = STATE(447),
    [sym_namespace_get_internal] = STATE(447),
    [sym_help] = STATE(447),
    [sym_pipe] = STATE(447),
    [sym_unary] = STATE(447),
    [sym_binary] = STATE(447),
    [sym_na] = STATE(447),
    [sym__expression] = STATE(447),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(447),
    [sym_string] = STATE(447),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1647),
    [sym_next] = ACTIONS(1647),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [sym_null] = ACTIONS(1647),
    [sym_inf] = ACTIONS(1647),
    [sym_nan] = ACTIONS(1647),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1649),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [260] = {
    [sym_function_definition] = STATE(448),
    [sym_lambda_function] = STATE(448),
    [sym_if] = STATE(448),
    [sym_while] = STATE(448),
    [sym_repeat] = STATE(448),
    [sym_for] = STATE(448),
    [sym_switch] = STATE(448),
    [sym_call] = STATE(448),
    [sym__assignment] = STATE(448),
    [sym_left_assignment] = STATE(448),
    [sym_left_assignment2] = STATE(448),
    [sym_equals_assignment] = STATE(448),
    [sym_super_assignment] = STATE(448),
    [sym_super_right_assignment] = STATE(448),
    [sym_right_assignment] = STATE(448),
    [sym_brace_list] = STATE(448),
    [sym_paren_list] = STATE(448),
    [sym_subset] = STATE(448),
    [sym_subset2] = STATE(448),
    [sym_dollar] = STATE(448),
    [sym_slot] = STATE(448),
    [sym_namespace_get] = STATE(448),
    [sym_namespace_get_internal] = STATE(448),
    [sym_help] = STATE(448),
    [sym_pipe] = STATE(448),
    [sym_unary] = STATE(448),
    [sym_binary] = STATE(448),
    [sym_na] = STATE(448),
    [sym__expression] = STATE(448),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(448),
    [sym_string] = STATE(448),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1651),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1651),
    [sym_next] = ACTIONS(1651),
    [sym_true] = ACTIONS(1651),
    [sym_false] = ACTIONS(1651),
    [sym_null] = ACTIONS(1651),
    [sym_inf] = ACTIONS(1651),
    [sym_nan] = ACTIONS(1651),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1653),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [261] = {
    [sym_function_definition] = STATE(588),
    [sym_lambda_function] = STATE(588),
    [sym_if] = STATE(588),
    [sym_while] = STATE(588),
    [sym_repeat] = STATE(588),
    [sym_for] = STATE(588),
    [sym_switch] = STATE(588),
    [sym_call] = STATE(588),
    [sym__assignment] = STATE(588),
    [sym_left_assignment] = STATE(588),
    [sym_left_assignment2] = STATE(588),
    [sym_equals_assignment] = STATE(588),
    [sym_super_assignment] = STATE(588),
    [sym_super_right_assignment] = STATE(588),
    [sym_right_assignment] = STATE(588),
    [sym_brace_list] = STATE(588),
    [sym_paren_list] = STATE(588),
    [sym_subset] = STATE(588),
    [sym_subset2] = STATE(588),
    [sym_dollar] = STATE(588),
    [sym_slot] = STATE(588),
    [sym_namespace_get] = STATE(588),
    [sym_namespace_get_internal] = STATE(588),
    [sym_help] = STATE(588),
    [sym_pipe] = STATE(588),
    [sym_unary] = STATE(588),
    [sym_binary] = STATE(588),
    [sym_na] = STATE(588),
    [sym__expression] = STATE(588),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(588),
    [sym_string] = STATE(588),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1655),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1655),
    [sym_next] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_null] = ACTIONS(1655),
    [sym_inf] = ACTIONS(1655),
    [sym_nan] = ACTIONS(1655),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1657),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [262] = {
    [sym_function_definition] = STATE(591),
    [sym_lambda_function] = STATE(591),
    [sym_if] = STATE(591),
    [sym_while] = STATE(591),
    [sym_repeat] = STATE(591),
    [sym_for] = STATE(591),
    [sym_switch] = STATE(591),
    [sym_call] = STATE(591),
    [sym__assignment] = STATE(591),
    [sym_left_assignment] = STATE(591),
    [sym_left_assignment2] = STATE(591),
    [sym_equals_assignment] = STATE(591),
    [sym_super_assignment] = STATE(591),
    [sym_super_right_assignment] = STATE(591),
    [sym_right_assignment] = STATE(591),
    [sym_brace_list] = STATE(591),
    [sym_paren_list] = STATE(591),
    [sym_subset] = STATE(591),
    [sym_subset2] = STATE(591),
    [sym_dollar] = STATE(591),
    [sym_slot] = STATE(591),
    [sym_namespace_get] = STATE(591),
    [sym_namespace_get_internal] = STATE(591),
    [sym_help] = STATE(591),
    [sym_pipe] = STATE(591),
    [sym_unary] = STATE(591),
    [sym_binary] = STATE(591),
    [sym_na] = STATE(591),
    [sym__expression] = STATE(591),
    [sym_identifier] = STATE(403),
    [sym_complex] = STATE(591),
    [sym_string] = STATE(591),
    [anon_sym_function] = ACTIONS(51),
    [anon_sym_BSLASH] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_repeat] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_switch] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(73),
    [sym_dots] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(81),
    [sym_break] = ACTIONS(1659),
    [sym_next] = ACTIONS(1659),
    [sym_true] = ACTIONS(1659),
    [sym_false] = ACTIONS(1659),
    [sym_null] = ACTIONS(1659),
    [sym_inf] = ACTIONS(1659),
    [sym_nan] = ACTIONS(1659),
    [anon_sym_NA] = ACTIONS(85),
    [anon_sym_NA_character_] = ACTIONS(85),
    [anon_sym_NA_complex_] = ACTIONS(85),
    [anon_sym_NA_integer_] = ACTIONS(85),
    [anon_sym_NA_real_] = ACTIONS(85),
    [aux_sym_identifier_token1] = ACTIONS(87),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_integer] = ACTIONS(1661),
    [sym_float] = ACTIONS(93),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym__raw_string_literal] = ACTIONS(99),
  },
  [263] = {
    [sym_function_definition] = STATE(449),
    [sym_lambda_function] = STATE(449),
    [sym_if] = STATE(449),
    [sym_while] = STATE(449),
    [sym_repeat] = STATE(449),
    [sym_for] = STATE(449),
    [sym_switch] = STATE(449),
    [sym_call] = STATE(449),
    [sym__assignment] = STATE(449),
    [sym_left_assignment] = STATE(449),
    [sym_left_assignment2] = STATE(449),
    [sym_equals_assignment] = STATE(449),
    [sym_super_assignment] = STATE(449),
    [sym_super_right_assignment] = STATE(449),
    [sym_right_assignment] = STATE(449),
    [sym_brace_list] = STATE(449),
    [sym_paren_list] = STATE(449),
    [sym_subset] = STATE(449),
    [sym_subset2] = STATE(449),
    [sym_dollar] = STATE(449),
    [sym_slot] = STATE(449),
    [sym_namespace_get] = STATE(449),
    [sym_namespace_get_internal] = STATE(449),
    [sym_help] = STATE(449),
    [sym_pipe] = STATE(449),
    [sym_unary] = STATE(449),
    [sym_binary] = STATE(449),
    [sym_na] = STATE(449),
    [sym__expression] = STATE(449),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(449),
    [sym_string] = STATE(449),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1663),
    [sym_next] = ACTIONS(1663),
    [sym_true] = ACTIONS(1663),
    [sym_false] = ACTIONS(1663),
    [sym_null] = ACTIONS(1663),
    [sym_inf] = ACTIONS(1663),
    [sym_nan] = ACTIONS(1663),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1665),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [264] = {
    [sym_function_definition] = STATE(451),
    [sym_lambda_function] = STATE(451),
    [sym_if] = STATE(451),
    [sym_while] = STATE(451),
    [sym_repeat] = STATE(451),
    [sym_for] = STATE(451),
    [sym_switch] = STATE(451),
    [sym_call] = STATE(451),
    [sym__assignment] = STATE(451),
    [sym_left_assignment] = STATE(451),
    [sym_left_assignment2] = STATE(451),
    [sym_equals_assignment] = STATE(451),
    [sym_super_assignment] = STATE(451),
    [sym_super_right_assignment] = STATE(451),
    [sym_right_assignment] = STATE(451),
    [sym_brace_list] = STATE(451),
    [sym_paren_list] = STATE(451),
    [sym_subset] = STATE(451),
    [sym_subset2] = STATE(451),
    [sym_dollar] = STATE(451),
    [sym_slot] = STATE(451),
    [sym_namespace_get] = STATE(451),
    [sym_namespace_get_internal] = STATE(451),
    [sym_help] = STATE(451),
    [sym_pipe] = STATE(451),
    [sym_unary] = STATE(451),
    [sym_binary] = STATE(451),
    [sym_na] = STATE(451),
    [sym__expression] = STATE(451),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(451),
    [sym_string] = STATE(451),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1667),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1667),
    [sym_next] = ACTIONS(1667),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [sym_null] = ACTIONS(1667),
    [sym_inf] = ACTIONS(1667),
    [sym_nan] = ACTIONS(1667),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1669),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [265] = {
    [sym_function_definition] = STATE(457),
    [sym_lambda_function] = STATE(457),
    [sym_if] = STATE(457),
    [sym_while] = STATE(457),
    [sym_repeat] = STATE(457),
    [sym_for] = STATE(457),
    [sym_switch] = STATE(457),
    [sym_call] = STATE(457),
    [sym__assignment] = STATE(457),
    [sym_left_assignment] = STATE(457),
    [sym_left_assignment2] = STATE(457),
    [sym_equals_assignment] = STATE(457),
    [sym_super_assignment] = STATE(457),
    [sym_super_right_assignment] = STATE(457),
    [sym_right_assignment] = STATE(457),
    [sym_brace_list] = STATE(457),
    [sym_paren_list] = STATE(457),
    [sym_subset] = STATE(457),
    [sym_subset2] = STATE(457),
    [sym_dollar] = STATE(457),
    [sym_slot] = STATE(457),
    [sym_namespace_get] = STATE(457),
    [sym_namespace_get_internal] = STATE(457),
    [sym_help] = STATE(457),
    [sym_pipe] = STATE(457),
    [sym_unary] = STATE(457),
    [sym_binary] = STATE(457),
    [sym_na] = STATE(457),
    [sym__expression] = STATE(457),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(457),
    [sym_string] = STATE(457),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1671),
    [sym_next] = ACTIONS(1671),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [sym_null] = ACTIONS(1671),
    [sym_inf] = ACTIONS(1671),
    [sym_nan] = ACTIONS(1671),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1673),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [266] = {
    [sym_function_definition] = STATE(488),
    [sym_lambda_function] = STATE(488),
    [sym_if] = STATE(488),
    [sym_while] = STATE(488),
    [sym_repeat] = STATE(488),
    [sym_for] = STATE(488),
    [sym_switch] = STATE(488),
    [sym_call] = STATE(488),
    [sym__assignment] = STATE(488),
    [sym_left_assignment] = STATE(488),
    [sym_left_assignment2] = STATE(488),
    [sym_equals_assignment] = STATE(488),
    [sym_super_assignment] = STATE(488),
    [sym_super_right_assignment] = STATE(488),
    [sym_right_assignment] = STATE(488),
    [sym_brace_list] = STATE(488),
    [sym_paren_list] = STATE(488),
    [sym_subset] = STATE(488),
    [sym_subset2] = STATE(488),
    [sym_dollar] = STATE(488),
    [sym_slot] = STATE(488),
    [sym_namespace_get] = STATE(488),
    [sym_namespace_get_internal] = STATE(488),
    [sym_help] = STATE(488),
    [sym_pipe] = STATE(488),
    [sym_unary] = STATE(488),
    [sym_binary] = STATE(488),
    [sym_na] = STATE(488),
    [sym__expression] = STATE(488),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(488),
    [sym_string] = STATE(488),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1675),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1675),
    [sym_next] = ACTIONS(1675),
    [sym_true] = ACTIONS(1675),
    [sym_false] = ACTIONS(1675),
    [sym_null] = ACTIONS(1675),
    [sym_inf] = ACTIONS(1675),
    [sym_nan] = ACTIONS(1675),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1677),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [267] = {
    [sym_function_definition] = STATE(456),
    [sym_lambda_function] = STATE(456),
    [sym_if] = STATE(456),
    [sym_while] = STATE(456),
    [sym_repeat] = STATE(456),
    [sym_for] = STATE(456),
    [sym_switch] = STATE(456),
    [sym_call] = STATE(456),
    [sym__assignment] = STATE(456),
    [sym_left_assignment] = STATE(456),
    [sym_left_assignment2] = STATE(456),
    [sym_equals_assignment] = STATE(456),
    [sym_super_assignment] = STATE(456),
    [sym_super_right_assignment] = STATE(456),
    [sym_right_assignment] = STATE(456),
    [sym_brace_list] = STATE(456),
    [sym_paren_list] = STATE(456),
    [sym_subset] = STATE(456),
    [sym_subset2] = STATE(456),
    [sym_dollar] = STATE(456),
    [sym_slot] = STATE(456),
    [sym_namespace_get] = STATE(456),
    [sym_namespace_get_internal] = STATE(456),
    [sym_help] = STATE(456),
    [sym_pipe] = STATE(456),
    [sym_unary] = STATE(456),
    [sym_binary] = STATE(456),
    [sym_na] = STATE(456),
    [sym__expression] = STATE(456),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(456),
    [sym_string] = STATE(456),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1679),
    [sym_next] = ACTIONS(1679),
    [sym_true] = ACTIONS(1679),
    [sym_false] = ACTIONS(1679),
    [sym_null] = ACTIONS(1679),
    [sym_inf] = ACTIONS(1679),
    [sym_nan] = ACTIONS(1679),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1681),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [268] = {
    [sym_function_definition] = STATE(598),
    [sym_lambda_function] = STATE(598),
    [sym_if] = STATE(598),
    [sym_while] = STATE(598),
    [sym_repeat] = STATE(598),
    [sym_for] = STATE(598),
    [sym_switch] = STATE(598),
    [sym_call] = STATE(598),
    [sym__assignment] = STATE(598),
    [sym_left_assignment] = STATE(598),
    [sym_left_assignment2] = STATE(598),
    [sym_equals_assignment] = STATE(598),
    [sym_super_assignment] = STATE(598),
    [sym_super_right_assignment] = STATE(598),
    [sym_right_assignment] = STATE(598),
    [sym_brace_list] = STATE(598),
    [sym_paren_list] = STATE(598),
    [sym_subset] = STATE(598),
    [sym_subset2] = STATE(598),
    [sym_dollar] = STATE(598),
    [sym_slot] = STATE(598),
    [sym_namespace_get] = STATE(598),
    [sym_namespace_get_internal] = STATE(598),
    [sym_help] = STATE(598),
    [sym_pipe] = STATE(598),
    [sym_unary] = STATE(598),
    [sym_binary] = STATE(598),
    [sym_na] = STATE(598),
    [sym__expression] = STATE(598),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(598),
    [sym_string] = STATE(598),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1683),
    [sym_next] = ACTIONS(1683),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [sym_null] = ACTIONS(1683),
    [sym_inf] = ACTIONS(1683),
    [sym_nan] = ACTIONS(1683),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1685),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [269] = {
    [sym_function_definition] = STATE(600),
    [sym_lambda_function] = STATE(600),
    [sym_if] = STATE(600),
    [sym_while] = STATE(600),
    [sym_repeat] = STATE(600),
    [sym_for] = STATE(600),
    [sym_switch] = STATE(600),
    [sym_call] = STATE(600),
    [sym__assignment] = STATE(600),
    [sym_left_assignment] = STATE(600),
    [sym_left_assignment2] = STATE(600),
    [sym_equals_assignment] = STATE(600),
    [sym_super_assignment] = STATE(600),
    [sym_super_right_assignment] = STATE(600),
    [sym_right_assignment] = STATE(600),
    [sym_brace_list] = STATE(600),
    [sym_paren_list] = STATE(600),
    [sym_subset] = STATE(600),
    [sym_subset2] = STATE(600),
    [sym_dollar] = STATE(600),
    [sym_slot] = STATE(600),
    [sym_namespace_get] = STATE(600),
    [sym_namespace_get_internal] = STATE(600),
    [sym_help] = STATE(600),
    [sym_pipe] = STATE(600),
    [sym_unary] = STATE(600),
    [sym_binary] = STATE(600),
    [sym_na] = STATE(600),
    [sym__expression] = STATE(600),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(600),
    [sym_string] = STATE(600),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1687),
    [sym_next] = ACTIONS(1687),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [sym_null] = ACTIONS(1687),
    [sym_inf] = ACTIONS(1687),
    [sym_nan] = ACTIONS(1687),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1689),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [270] = {
    [sym_function_definition] = STATE(604),
    [sym_lambda_function] = STATE(604),
    [sym_if] = STATE(604),
    [sym_while] = STATE(604),
    [sym_repeat] = STATE(604),
    [sym_for] = STATE(604),
    [sym_switch] = STATE(604),
    [sym_call] = STATE(604),
    [sym__assignment] = STATE(604),
    [sym_left_assignment] = STATE(604),
    [sym_left_assignment2] = STATE(604),
    [sym_equals_assignment] = STATE(604),
    [sym_super_assignment] = STATE(604),
    [sym_super_right_assignment] = STATE(604),
    [sym_right_assignment] = STATE(604),
    [sym_brace_list] = STATE(604),
    [sym_paren_list] = STATE(604),
    [sym_subset] = STATE(604),
    [sym_subset2] = STATE(604),
    [sym_dollar] = STATE(604),
    [sym_slot] = STATE(604),
    [sym_namespace_get] = STATE(604),
    [sym_namespace_get_internal] = STATE(604),
    [sym_help] = STATE(604),
    [sym_pipe] = STATE(604),
    [sym_unary] = STATE(604),
    [sym_binary] = STATE(604),
    [sym_na] = STATE(604),
    [sym__expression] = STATE(604),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(604),
    [sym_string] = STATE(604),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1691),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1691),
    [sym_next] = ACTIONS(1691),
    [sym_true] = ACTIONS(1691),
    [sym_false] = ACTIONS(1691),
    [sym_null] = ACTIONS(1691),
    [sym_inf] = ACTIONS(1691),
    [sym_nan] = ACTIONS(1691),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1693),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [271] = {
    [sym_function_definition] = STATE(612),
    [sym_lambda_function] = STATE(612),
    [sym_if] = STATE(612),
    [sym_while] = STATE(612),
    [sym_repeat] = STATE(612),
    [sym_for] = STATE(612),
    [sym_switch] = STATE(612),
    [sym_call] = STATE(612),
    [sym__assignment] = STATE(612),
    [sym_left_assignment] = STATE(612),
    [sym_left_assignment2] = STATE(612),
    [sym_equals_assignment] = STATE(612),
    [sym_super_assignment] = STATE(612),
    [sym_super_right_assignment] = STATE(612),
    [sym_right_assignment] = STATE(612),
    [sym_brace_list] = STATE(612),
    [sym_paren_list] = STATE(612),
    [sym_subset] = STATE(612),
    [sym_subset2] = STATE(612),
    [sym_dollar] = STATE(612),
    [sym_slot] = STATE(612),
    [sym_namespace_get] = STATE(612),
    [sym_namespace_get_internal] = STATE(612),
    [sym_help] = STATE(612),
    [sym_pipe] = STATE(612),
    [sym_unary] = STATE(612),
    [sym_binary] = STATE(612),
    [sym_na] = STATE(612),
    [sym__expression] = STATE(612),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(612),
    [sym_string] = STATE(612),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1695),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1695),
    [sym_next] = ACTIONS(1695),
    [sym_true] = ACTIONS(1695),
    [sym_false] = ACTIONS(1695),
    [sym_null] = ACTIONS(1695),
    [sym_inf] = ACTIONS(1695),
    [sym_nan] = ACTIONS(1695),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1697),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [272] = {
    [sym_function_definition] = STATE(615),
    [sym_lambda_function] = STATE(615),
    [sym_if] = STATE(615),
    [sym_while] = STATE(615),
    [sym_repeat] = STATE(615),
    [sym_for] = STATE(615),
    [sym_switch] = STATE(615),
    [sym_call] = STATE(615),
    [sym__assignment] = STATE(615),
    [sym_left_assignment] = STATE(615),
    [sym_left_assignment2] = STATE(615),
    [sym_equals_assignment] = STATE(615),
    [sym_super_assignment] = STATE(615),
    [sym_super_right_assignment] = STATE(615),
    [sym_right_assignment] = STATE(615),
    [sym_brace_list] = STATE(615),
    [sym_paren_list] = STATE(615),
    [sym_subset] = STATE(615),
    [sym_subset2] = STATE(615),
    [sym_dollar] = STATE(615),
    [sym_slot] = STATE(615),
    [sym_namespace_get] = STATE(615),
    [sym_namespace_get_internal] = STATE(615),
    [sym_help] = STATE(615),
    [sym_pipe] = STATE(615),
    [sym_unary] = STATE(615),
    [sym_binary] = STATE(615),
    [sym_na] = STATE(615),
    [sym__expression] = STATE(615),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(615),
    [sym_string] = STATE(615),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1699),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1699),
    [sym_next] = ACTIONS(1699),
    [sym_true] = ACTIONS(1699),
    [sym_false] = ACTIONS(1699),
    [sym_null] = ACTIONS(1699),
    [sym_inf] = ACTIONS(1699),
    [sym_nan] = ACTIONS(1699),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1701),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [273] = {
    [sym_function_definition] = STATE(458),
    [sym_lambda_function] = STATE(458),
    [sym_if] = STATE(458),
    [sym_while] = STATE(458),
    [sym_repeat] = STATE(458),
    [sym_for] = STATE(458),
    [sym_switch] = STATE(458),
    [sym_call] = STATE(458),
    [sym__assignment] = STATE(458),
    [sym_left_assignment] = STATE(458),
    [sym_left_assignment2] = STATE(458),
    [sym_equals_assignment] = STATE(458),
    [sym_super_assignment] = STATE(458),
    [sym_super_right_assignment] = STATE(458),
    [sym_right_assignment] = STATE(458),
    [sym_brace_list] = STATE(458),
    [sym_paren_list] = STATE(458),
    [sym_subset] = STATE(458),
    [sym_subset2] = STATE(458),
    [sym_dollar] = STATE(458),
    [sym_slot] = STATE(458),
    [sym_namespace_get] = STATE(458),
    [sym_namespace_get_internal] = STATE(458),
    [sym_help] = STATE(458),
    [sym_pipe] = STATE(458),
    [sym_unary] = STATE(458),
    [sym_binary] = STATE(458),
    [sym_na] = STATE(458),
    [sym__expression] = STATE(458),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(458),
    [sym_string] = STATE(458),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1703),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1703),
    [sym_next] = ACTIONS(1703),
    [sym_true] = ACTIONS(1703),
    [sym_false] = ACTIONS(1703),
    [sym_null] = ACTIONS(1703),
    [sym_inf] = ACTIONS(1703),
    [sym_nan] = ACTIONS(1703),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1705),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [274] = {
    [sym_function_definition] = STATE(459),
    [sym_lambda_function] = STATE(459),
    [sym_if] = STATE(459),
    [sym_while] = STATE(459),
    [sym_repeat] = STATE(459),
    [sym_for] = STATE(459),
    [sym_switch] = STATE(459),
    [sym_call] = STATE(459),
    [sym__assignment] = STATE(459),
    [sym_left_assignment] = STATE(459),
    [sym_left_assignment2] = STATE(459),
    [sym_equals_assignment] = STATE(459),
    [sym_super_assignment] = STATE(459),
    [sym_super_right_assignment] = STATE(459),
    [sym_right_assignment] = STATE(459),
    [sym_brace_list] = STATE(459),
    [sym_paren_list] = STATE(459),
    [sym_subset] = STATE(459),
    [sym_subset2] = STATE(459),
    [sym_dollar] = STATE(459),
    [sym_slot] = STATE(459),
    [sym_namespace_get] = STATE(459),
    [sym_namespace_get_internal] = STATE(459),
    [sym_help] = STATE(459),
    [sym_pipe] = STATE(459),
    [sym_unary] = STATE(459),
    [sym_binary] = STATE(459),
    [sym_na] = STATE(459),
    [sym__expression] = STATE(459),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(459),
    [sym_string] = STATE(459),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1707),
    [sym_next] = ACTIONS(1707),
    [sym_true] = ACTIONS(1707),
    [sym_false] = ACTIONS(1707),
    [sym_null] = ACTIONS(1707),
    [sym_inf] = ACTIONS(1707),
    [sym_nan] = ACTIONS(1707),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1709),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [275] = {
    [sym_function_definition] = STATE(460),
    [sym_lambda_function] = STATE(460),
    [sym_if] = STATE(460),
    [sym_while] = STATE(460),
    [sym_repeat] = STATE(460),
    [sym_for] = STATE(460),
    [sym_switch] = STATE(460),
    [sym_call] = STATE(460),
    [sym__assignment] = STATE(460),
    [sym_left_assignment] = STATE(460),
    [sym_left_assignment2] = STATE(460),
    [sym_equals_assignment] = STATE(460),
    [sym_super_assignment] = STATE(460),
    [sym_super_right_assignment] = STATE(460),
    [sym_right_assignment] = STATE(460),
    [sym_brace_list] = STATE(460),
    [sym_paren_list] = STATE(460),
    [sym_subset] = STATE(460),
    [sym_subset2] = STATE(460),
    [sym_dollar] = STATE(460),
    [sym_slot] = STATE(460),
    [sym_namespace_get] = STATE(460),
    [sym_namespace_get_internal] = STATE(460),
    [sym_help] = STATE(460),
    [sym_pipe] = STATE(460),
    [sym_unary] = STATE(460),
    [sym_binary] = STATE(460),
    [sym_na] = STATE(460),
    [sym__expression] = STATE(460),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(460),
    [sym_string] = STATE(460),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1711),
    [sym_next] = ACTIONS(1711),
    [sym_true] = ACTIONS(1711),
    [sym_false] = ACTIONS(1711),
    [sym_null] = ACTIONS(1711),
    [sym_inf] = ACTIONS(1711),
    [sym_nan] = ACTIONS(1711),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1713),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [276] = {
    [sym_function_definition] = STATE(461),
    [sym_lambda_function] = STATE(461),
    [sym_if] = STATE(461),
    [sym_while] = STATE(461),
    [sym_repeat] = STATE(461),
    [sym_for] = STATE(461),
    [sym_switch] = STATE(461),
    [sym_call] = STATE(461),
    [sym__assignment] = STATE(461),
    [sym_left_assignment] = STATE(461),
    [sym_left_assignment2] = STATE(461),
    [sym_equals_assignment] = STATE(461),
    [sym_super_assignment] = STATE(461),
    [sym_super_right_assignment] = STATE(461),
    [sym_right_assignment] = STATE(461),
    [sym_brace_list] = STATE(461),
    [sym_paren_list] = STATE(461),
    [sym_subset] = STATE(461),
    [sym_subset2] = STATE(461),
    [sym_dollar] = STATE(461),
    [sym_slot] = STATE(461),
    [sym_namespace_get] = STATE(461),
    [sym_namespace_get_internal] = STATE(461),
    [sym_help] = STATE(461),
    [sym_pipe] = STATE(461),
    [sym_unary] = STATE(461),
    [sym_binary] = STATE(461),
    [sym_na] = STATE(461),
    [sym__expression] = STATE(461),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(461),
    [sym_string] = STATE(461),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1715),
    [sym_next] = ACTIONS(1715),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [sym_null] = ACTIONS(1715),
    [sym_inf] = ACTIONS(1715),
    [sym_nan] = ACTIONS(1715),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1717),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [277] = {
    [sym_function_definition] = STATE(608),
    [sym_lambda_function] = STATE(608),
    [sym_if] = STATE(608),
    [sym_while] = STATE(608),
    [sym_repeat] = STATE(608),
    [sym_for] = STATE(608),
    [sym_switch] = STATE(608),
    [sym_call] = STATE(608),
    [sym__assignment] = STATE(608),
    [sym_left_assignment] = STATE(608),
    [sym_left_assignment2] = STATE(608),
    [sym_equals_assignment] = STATE(608),
    [sym_super_assignment] = STATE(608),
    [sym_super_right_assignment] = STATE(608),
    [sym_right_assignment] = STATE(608),
    [sym_brace_list] = STATE(608),
    [sym_paren_list] = STATE(608),
    [sym_subset] = STATE(608),
    [sym_subset2] = STATE(608),
    [sym_dollar] = STATE(608),
    [sym_slot] = STATE(608),
    [sym_namespace_get] = STATE(608),
    [sym_namespace_get_internal] = STATE(608),
    [sym_help] = STATE(608),
    [sym_pipe] = STATE(608),
    [sym_unary] = STATE(608),
    [sym_binary] = STATE(608),
    [sym_na] = STATE(608),
    [sym__expression] = STATE(608),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(608),
    [sym_string] = STATE(608),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1719),
    [sym_next] = ACTIONS(1719),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [sym_null] = ACTIONS(1719),
    [sym_inf] = ACTIONS(1719),
    [sym_nan] = ACTIONS(1719),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1721),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [278] = {
    [sym_function_definition] = STATE(601),
    [sym_lambda_function] = STATE(601),
    [sym_if] = STATE(601),
    [sym_while] = STATE(601),
    [sym_repeat] = STATE(601),
    [sym_for] = STATE(601),
    [sym_switch] = STATE(601),
    [sym_call] = STATE(601),
    [sym__assignment] = STATE(601),
    [sym_left_assignment] = STATE(601),
    [sym_left_assignment2] = STATE(601),
    [sym_equals_assignment] = STATE(601),
    [sym_super_assignment] = STATE(601),
    [sym_super_right_assignment] = STATE(601),
    [sym_right_assignment] = STATE(601),
    [sym_brace_list] = STATE(601),
    [sym_paren_list] = STATE(601),
    [sym_subset] = STATE(601),
    [sym_subset2] = STATE(601),
    [sym_dollar] = STATE(601),
    [sym_slot] = STATE(601),
    [sym_namespace_get] = STATE(601),
    [sym_namespace_get_internal] = STATE(601),
    [sym_help] = STATE(601),
    [sym_pipe] = STATE(601),
    [sym_unary] = STATE(601),
    [sym_binary] = STATE(601),
    [sym_na] = STATE(601),
    [sym__expression] = STATE(601),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(601),
    [sym_string] = STATE(601),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1723),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1723),
    [sym_next] = ACTIONS(1723),
    [sym_true] = ACTIONS(1723),
    [sym_false] = ACTIONS(1723),
    [sym_null] = ACTIONS(1723),
    [sym_inf] = ACTIONS(1723),
    [sym_nan] = ACTIONS(1723),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1725),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [279] = {
    [sym_function_definition] = STATE(462),
    [sym_lambda_function] = STATE(462),
    [sym_if] = STATE(462),
    [sym_while] = STATE(462),
    [sym_repeat] = STATE(462),
    [sym_for] = STATE(462),
    [sym_switch] = STATE(462),
    [sym_call] = STATE(462),
    [sym__assignment] = STATE(462),
    [sym_left_assignment] = STATE(462),
    [sym_left_assignment2] = STATE(462),
    [sym_equals_assignment] = STATE(462),
    [sym_super_assignment] = STATE(462),
    [sym_super_right_assignment] = STATE(462),
    [sym_right_assignment] = STATE(462),
    [sym_brace_list] = STATE(462),
    [sym_paren_list] = STATE(462),
    [sym_subset] = STATE(462),
    [sym_subset2] = STATE(462),
    [sym_dollar] = STATE(462),
    [sym_slot] = STATE(462),
    [sym_namespace_get] = STATE(462),
    [sym_namespace_get_internal] = STATE(462),
    [sym_help] = STATE(462),
    [sym_pipe] = STATE(462),
    [sym_unary] = STATE(462),
    [sym_binary] = STATE(462),
    [sym_na] = STATE(462),
    [sym__expression] = STATE(462),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(462),
    [sym_string] = STATE(462),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1727),
    [sym_next] = ACTIONS(1727),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_inf] = ACTIONS(1727),
    [sym_nan] = ACTIONS(1727),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1729),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [280] = {
    [sym_function_definition] = STATE(463),
    [sym_lambda_function] = STATE(463),
    [sym_if] = STATE(463),
    [sym_while] = STATE(463),
    [sym_repeat] = STATE(463),
    [sym_for] = STATE(463),
    [sym_switch] = STATE(463),
    [sym_call] = STATE(463),
    [sym__assignment] = STATE(463),
    [sym_left_assignment] = STATE(463),
    [sym_left_assignment2] = STATE(463),
    [sym_equals_assignment] = STATE(463),
    [sym_super_assignment] = STATE(463),
    [sym_super_right_assignment] = STATE(463),
    [sym_right_assignment] = STATE(463),
    [sym_brace_list] = STATE(463),
    [sym_paren_list] = STATE(463),
    [sym_subset] = STATE(463),
    [sym_subset2] = STATE(463),
    [sym_dollar] = STATE(463),
    [sym_slot] = STATE(463),
    [sym_namespace_get] = STATE(463),
    [sym_namespace_get_internal] = STATE(463),
    [sym_help] = STATE(463),
    [sym_pipe] = STATE(463),
    [sym_unary] = STATE(463),
    [sym_binary] = STATE(463),
    [sym_na] = STATE(463),
    [sym__expression] = STATE(463),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(463),
    [sym_string] = STATE(463),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1731),
    [sym_next] = ACTIONS(1731),
    [sym_true] = ACTIONS(1731),
    [sym_false] = ACTIONS(1731),
    [sym_null] = ACTIONS(1731),
    [sym_inf] = ACTIONS(1731),
    [sym_nan] = ACTIONS(1731),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1733),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [281] = {
    [sym_function_definition] = STATE(464),
    [sym_lambda_function] = STATE(464),
    [sym_if] = STATE(464),
    [sym_while] = STATE(464),
    [sym_repeat] = STATE(464),
    [sym_for] = STATE(464),
    [sym_switch] = STATE(464),
    [sym_call] = STATE(464),
    [sym__assignment] = STATE(464),
    [sym_left_assignment] = STATE(464),
    [sym_left_assignment2] = STATE(464),
    [sym_equals_assignment] = STATE(464),
    [sym_super_assignment] = STATE(464),
    [sym_super_right_assignment] = STATE(464),
    [sym_right_assignment] = STATE(464),
    [sym_brace_list] = STATE(464),
    [sym_paren_list] = STATE(464),
    [sym_subset] = STATE(464),
    [sym_subset2] = STATE(464),
    [sym_dollar] = STATE(464),
    [sym_slot] = STATE(464),
    [sym_namespace_get] = STATE(464),
    [sym_namespace_get_internal] = STATE(464),
    [sym_help] = STATE(464),
    [sym_pipe] = STATE(464),
    [sym_unary] = STATE(464),
    [sym_binary] = STATE(464),
    [sym_na] = STATE(464),
    [sym__expression] = STATE(464),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(464),
    [sym_string] = STATE(464),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1735),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1735),
    [sym_next] = ACTIONS(1735),
    [sym_true] = ACTIONS(1735),
    [sym_false] = ACTIONS(1735),
    [sym_null] = ACTIONS(1735),
    [sym_inf] = ACTIONS(1735),
    [sym_nan] = ACTIONS(1735),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1737),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [282] = {
    [sym_function_definition] = STATE(465),
    [sym_lambda_function] = STATE(465),
    [sym_if] = STATE(465),
    [sym_while] = STATE(465),
    [sym_repeat] = STATE(465),
    [sym_for] = STATE(465),
    [sym_switch] = STATE(465),
    [sym_call] = STATE(465),
    [sym__assignment] = STATE(465),
    [sym_left_assignment] = STATE(465),
    [sym_left_assignment2] = STATE(465),
    [sym_equals_assignment] = STATE(465),
    [sym_super_assignment] = STATE(465),
    [sym_super_right_assignment] = STATE(465),
    [sym_right_assignment] = STATE(465),
    [sym_brace_list] = STATE(465),
    [sym_paren_list] = STATE(465),
    [sym_subset] = STATE(465),
    [sym_subset2] = STATE(465),
    [sym_dollar] = STATE(465),
    [sym_slot] = STATE(465),
    [sym_namespace_get] = STATE(465),
    [sym_namespace_get_internal] = STATE(465),
    [sym_help] = STATE(465),
    [sym_pipe] = STATE(465),
    [sym_unary] = STATE(465),
    [sym_binary] = STATE(465),
    [sym_na] = STATE(465),
    [sym__expression] = STATE(465),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(465),
    [sym_string] = STATE(465),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1739),
    [sym_next] = ACTIONS(1739),
    [sym_true] = ACTIONS(1739),
    [sym_false] = ACTIONS(1739),
    [sym_null] = ACTIONS(1739),
    [sym_inf] = ACTIONS(1739),
    [sym_nan] = ACTIONS(1739),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1741),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [283] = {
    [sym_function_definition] = STATE(495),
    [sym_lambda_function] = STATE(495),
    [sym_if] = STATE(495),
    [sym_while] = STATE(495),
    [sym_repeat] = STATE(495),
    [sym_for] = STATE(495),
    [sym_switch] = STATE(495),
    [sym_call] = STATE(495),
    [sym__assignment] = STATE(495),
    [sym_left_assignment] = STATE(495),
    [sym_left_assignment2] = STATE(495),
    [sym_equals_assignment] = STATE(495),
    [sym_super_assignment] = STATE(495),
    [sym_super_right_assignment] = STATE(495),
    [sym_right_assignment] = STATE(495),
    [sym_brace_list] = STATE(495),
    [sym_paren_list] = STATE(495),
    [sym_subset] = STATE(495),
    [sym_subset2] = STATE(495),
    [sym_dollar] = STATE(495),
    [sym_slot] = STATE(495),
    [sym_namespace_get] = STATE(495),
    [sym_namespace_get_internal] = STATE(495),
    [sym_help] = STATE(495),
    [sym_pipe] = STATE(495),
    [sym_unary] = STATE(495),
    [sym_binary] = STATE(495),
    [sym_na] = STATE(495),
    [sym__expression] = STATE(495),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(495),
    [sym_string] = STATE(495),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1743),
    [sym_next] = ACTIONS(1743),
    [sym_true] = ACTIONS(1743),
    [sym_false] = ACTIONS(1743),
    [sym_null] = ACTIONS(1743),
    [sym_inf] = ACTIONS(1743),
    [sym_nan] = ACTIONS(1743),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1745),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [284] = {
    [sym_function_definition] = STATE(496),
    [sym_lambda_function] = STATE(496),
    [sym_if] = STATE(496),
    [sym_while] = STATE(496),
    [sym_repeat] = STATE(496),
    [sym_for] = STATE(496),
    [sym_switch] = STATE(496),
    [sym_call] = STATE(496),
    [sym__assignment] = STATE(496),
    [sym_left_assignment] = STATE(496),
    [sym_left_assignment2] = STATE(496),
    [sym_equals_assignment] = STATE(496),
    [sym_super_assignment] = STATE(496),
    [sym_super_right_assignment] = STATE(496),
    [sym_right_assignment] = STATE(496),
    [sym_brace_list] = STATE(496),
    [sym_paren_list] = STATE(496),
    [sym_subset] = STATE(496),
    [sym_subset2] = STATE(496),
    [sym_dollar] = STATE(496),
    [sym_slot] = STATE(496),
    [sym_namespace_get] = STATE(496),
    [sym_namespace_get_internal] = STATE(496),
    [sym_help] = STATE(496),
    [sym_pipe] = STATE(496),
    [sym_unary] = STATE(496),
    [sym_binary] = STATE(496),
    [sym_na] = STATE(496),
    [sym__expression] = STATE(496),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(496),
    [sym_string] = STATE(496),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1747),
    [sym_next] = ACTIONS(1747),
    [sym_true] = ACTIONS(1747),
    [sym_false] = ACTIONS(1747),
    [sym_null] = ACTIONS(1747),
    [sym_inf] = ACTIONS(1747),
    [sym_nan] = ACTIONS(1747),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1749),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [285] = {
    [sym_function_definition] = STATE(497),
    [sym_lambda_function] = STATE(497),
    [sym_if] = STATE(497),
    [sym_while] = STATE(497),
    [sym_repeat] = STATE(497),
    [sym_for] = STATE(497),
    [sym_switch] = STATE(497),
    [sym_call] = STATE(497),
    [sym__assignment] = STATE(497),
    [sym_left_assignment] = STATE(497),
    [sym_left_assignment2] = STATE(497),
    [sym_equals_assignment] = STATE(497),
    [sym_super_assignment] = STATE(497),
    [sym_super_right_assignment] = STATE(497),
    [sym_right_assignment] = STATE(497),
    [sym_brace_list] = STATE(497),
    [sym_paren_list] = STATE(497),
    [sym_subset] = STATE(497),
    [sym_subset2] = STATE(497),
    [sym_dollar] = STATE(497),
    [sym_slot] = STATE(497),
    [sym_namespace_get] = STATE(497),
    [sym_namespace_get_internal] = STATE(497),
    [sym_help] = STATE(497),
    [sym_pipe] = STATE(497),
    [sym_unary] = STATE(497),
    [sym_binary] = STATE(497),
    [sym_na] = STATE(497),
    [sym__expression] = STATE(497),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(497),
    [sym_string] = STATE(497),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1751),
    [sym_next] = ACTIONS(1751),
    [sym_true] = ACTIONS(1751),
    [sym_false] = ACTIONS(1751),
    [sym_null] = ACTIONS(1751),
    [sym_inf] = ACTIONS(1751),
    [sym_nan] = ACTIONS(1751),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1753),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [286] = {
    [sym_function_definition] = STATE(498),
    [sym_lambda_function] = STATE(498),
    [sym_if] = STATE(498),
    [sym_while] = STATE(498),
    [sym_repeat] = STATE(498),
    [sym_for] = STATE(498),
    [sym_switch] = STATE(498),
    [sym_call] = STATE(498),
    [sym__assignment] = STATE(498),
    [sym_left_assignment] = STATE(498),
    [sym_left_assignment2] = STATE(498),
    [sym_equals_assignment] = STATE(498),
    [sym_super_assignment] = STATE(498),
    [sym_super_right_assignment] = STATE(498),
    [sym_right_assignment] = STATE(498),
    [sym_brace_list] = STATE(498),
    [sym_paren_list] = STATE(498),
    [sym_subset] = STATE(498),
    [sym_subset2] = STATE(498),
    [sym_dollar] = STATE(498),
    [sym_slot] = STATE(498),
    [sym_namespace_get] = STATE(498),
    [sym_namespace_get_internal] = STATE(498),
    [sym_help] = STATE(498),
    [sym_pipe] = STATE(498),
    [sym_unary] = STATE(498),
    [sym_binary] = STATE(498),
    [sym_na] = STATE(498),
    [sym__expression] = STATE(498),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(498),
    [sym_string] = STATE(498),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1755),
    [sym_next] = ACTIONS(1755),
    [sym_true] = ACTIONS(1755),
    [sym_false] = ACTIONS(1755),
    [sym_null] = ACTIONS(1755),
    [sym_inf] = ACTIONS(1755),
    [sym_nan] = ACTIONS(1755),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1757),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [287] = {
    [sym_function_definition] = STATE(499),
    [sym_lambda_function] = STATE(499),
    [sym_if] = STATE(499),
    [sym_while] = STATE(499),
    [sym_repeat] = STATE(499),
    [sym_for] = STATE(499),
    [sym_switch] = STATE(499),
    [sym_call] = STATE(499),
    [sym__assignment] = STATE(499),
    [sym_left_assignment] = STATE(499),
    [sym_left_assignment2] = STATE(499),
    [sym_equals_assignment] = STATE(499),
    [sym_super_assignment] = STATE(499),
    [sym_super_right_assignment] = STATE(499),
    [sym_right_assignment] = STATE(499),
    [sym_brace_list] = STATE(499),
    [sym_paren_list] = STATE(499),
    [sym_subset] = STATE(499),
    [sym_subset2] = STATE(499),
    [sym_dollar] = STATE(499),
    [sym_slot] = STATE(499),
    [sym_namespace_get] = STATE(499),
    [sym_namespace_get_internal] = STATE(499),
    [sym_help] = STATE(499),
    [sym_pipe] = STATE(499),
    [sym_unary] = STATE(499),
    [sym_binary] = STATE(499),
    [sym_na] = STATE(499),
    [sym__expression] = STATE(499),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(499),
    [sym_string] = STATE(499),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1759),
    [sym_next] = ACTIONS(1759),
    [sym_true] = ACTIONS(1759),
    [sym_false] = ACTIONS(1759),
    [sym_null] = ACTIONS(1759),
    [sym_inf] = ACTIONS(1759),
    [sym_nan] = ACTIONS(1759),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1761),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [288] = {
    [sym_function_definition] = STATE(402),
    [sym_lambda_function] = STATE(402),
    [sym_if] = STATE(402),
    [sym_while] = STATE(402),
    [sym_repeat] = STATE(402),
    [sym_for] = STATE(402),
    [sym_switch] = STATE(402),
    [sym_call] = STATE(402),
    [sym__assignment] = STATE(402),
    [sym_left_assignment] = STATE(402),
    [sym_left_assignment2] = STATE(402),
    [sym_equals_assignment] = STATE(402),
    [sym_super_assignment] = STATE(402),
    [sym_super_right_assignment] = STATE(402),
    [sym_right_assignment] = STATE(402),
    [sym_brace_list] = STATE(402),
    [sym_paren_list] = STATE(402),
    [sym_subset] = STATE(402),
    [sym_subset2] = STATE(402),
    [sym_dollar] = STATE(402),
    [sym_slot] = STATE(402),
    [sym_namespace_get] = STATE(402),
    [sym_namespace_get_internal] = STATE(402),
    [sym_help] = STATE(402),
    [sym_pipe] = STATE(402),
    [sym_unary] = STATE(402),
    [sym_binary] = STATE(402),
    [sym_na] = STATE(402),
    [sym__expression] = STATE(402),
    [sym_identifier] = STATE(332),
    [sym_complex] = STATE(402),
    [sym_string] = STATE(402),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_BSLASH] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_repeat] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1213),
    [sym_dots] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1221),
    [sym_break] = ACTIONS(1763),
    [sym_next] = ACTIONS(1763),
    [sym_true] = ACTIONS(1763),
    [sym_false] = ACTIONS(1763),
    [sym_null] = ACTIONS(1763),
    [sym_inf] = ACTIONS(1763),
    [sym_nan] = ACTIONS(1763),
    [anon_sym_NA] = ACTIONS(1223),
    [anon_sym_NA_character_] = ACTIONS(1223),
    [anon_sym_NA_complex_] = ACTIONS(1223),
    [anon_sym_NA_integer_] = ACTIONS(1223),
    [anon_sym_NA_real_] = ACTIONS(1223),
    [aux_sym_identifier_token1] = ACTIONS(1225),
    [anon_sym_BQUOTE] = ACTIONS(1227),
    [sym_integer] = ACTIONS(1765),
    [sym_float] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym__raw_string_literal] = ACTIONS(1237),
  },
  [289] = {
    [sym_function_definition] = STATE(559),
    [sym_lambda_function] = STATE(559),
    [sym_if] = STATE(559),
    [sym_while] = STATE(559),
    [sym_repeat] = STATE(559),
    [sym_for] = STATE(559),
    [sym_switch] = STATE(559),
    [sym_call] = STATE(559),
    [sym__assignment] = STATE(559),
    [sym_left_assignment] = STATE(559),
    [sym_left_assignment2] = STATE(559),
    [sym_equals_assignment] = STATE(559),
    [sym_super_assignment] = STATE(559),
    [sym_super_right_assignment] = STATE(559),
    [sym_right_assignment] = STATE(559),
    [sym_brace_list] = STATE(559),
    [sym_paren_list] = STATE(559),
    [sym_subset] = STATE(559),
    [sym_subset2] = STATE(559),
    [sym_dollar] = STATE(559),
    [sym_slot] = STATE(559),
    [sym_namespace_get] = STATE(559),
    [sym_namespace_get_internal] = STATE(559),
    [sym_help] = STATE(559),
    [sym_pipe] = STATE(559),
    [sym_unary] = STATE(559),
    [sym_binary] = STATE(559),
    [sym_na] = STATE(559),
    [sym__expression] = STATE(559),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(559),
    [sym_string] = STATE(559),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1767),
    [sym_next] = ACTIONS(1767),
    [sym_true] = ACTIONS(1767),
    [sym_false] = ACTIONS(1767),
    [sym_null] = ACTIONS(1767),
    [sym_inf] = ACTIONS(1767),
    [sym_nan] = ACTIONS(1767),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1769),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [290] = {
    [sym_function_definition] = STATE(558),
    [sym_lambda_function] = STATE(558),
    [sym_if] = STATE(558),
    [sym_while] = STATE(558),
    [sym_repeat] = STATE(558),
    [sym_for] = STATE(558),
    [sym_switch] = STATE(558),
    [sym_call] = STATE(558),
    [sym__assignment] = STATE(558),
    [sym_left_assignment] = STATE(558),
    [sym_left_assignment2] = STATE(558),
    [sym_equals_assignment] = STATE(558),
    [sym_super_assignment] = STATE(558),
    [sym_super_right_assignment] = STATE(558),
    [sym_right_assignment] = STATE(558),
    [sym_brace_list] = STATE(558),
    [sym_paren_list] = STATE(558),
    [sym_subset] = STATE(558),
    [sym_subset2] = STATE(558),
    [sym_dollar] = STATE(558),
    [sym_slot] = STATE(558),
    [sym_namespace_get] = STATE(558),
    [sym_namespace_get_internal] = STATE(558),
    [sym_help] = STATE(558),
    [sym_pipe] = STATE(558),
    [sym_unary] = STATE(558),
    [sym_binary] = STATE(558),
    [sym_na] = STATE(558),
    [sym__expression] = STATE(558),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(558),
    [sym_string] = STATE(558),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1771),
    [sym_next] = ACTIONS(1771),
    [sym_true] = ACTIONS(1771),
    [sym_false] = ACTIONS(1771),
    [sym_null] = ACTIONS(1771),
    [sym_inf] = ACTIONS(1771),
    [sym_nan] = ACTIONS(1771),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1773),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [291] = {
    [sym_function_definition] = STATE(557),
    [sym_lambda_function] = STATE(557),
    [sym_if] = STATE(557),
    [sym_while] = STATE(557),
    [sym_repeat] = STATE(557),
    [sym_for] = STATE(557),
    [sym_switch] = STATE(557),
    [sym_call] = STATE(557),
    [sym__assignment] = STATE(557),
    [sym_left_assignment] = STATE(557),
    [sym_left_assignment2] = STATE(557),
    [sym_equals_assignment] = STATE(557),
    [sym_super_assignment] = STATE(557),
    [sym_super_right_assignment] = STATE(557),
    [sym_right_assignment] = STATE(557),
    [sym_brace_list] = STATE(557),
    [sym_paren_list] = STATE(557),
    [sym_subset] = STATE(557),
    [sym_subset2] = STATE(557),
    [sym_dollar] = STATE(557),
    [sym_slot] = STATE(557),
    [sym_namespace_get] = STATE(557),
    [sym_namespace_get_internal] = STATE(557),
    [sym_help] = STATE(557),
    [sym_pipe] = STATE(557),
    [sym_unary] = STATE(557),
    [sym_binary] = STATE(557),
    [sym_na] = STATE(557),
    [sym__expression] = STATE(557),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(557),
    [sym_string] = STATE(557),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1775),
    [sym_next] = ACTIONS(1775),
    [sym_true] = ACTIONS(1775),
    [sym_false] = ACTIONS(1775),
    [sym_null] = ACTIONS(1775),
    [sym_inf] = ACTIONS(1775),
    [sym_nan] = ACTIONS(1775),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1777),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [292] = {
    [sym_function_definition] = STATE(556),
    [sym_lambda_function] = STATE(556),
    [sym_if] = STATE(556),
    [sym_while] = STATE(556),
    [sym_repeat] = STATE(556),
    [sym_for] = STATE(556),
    [sym_switch] = STATE(556),
    [sym_call] = STATE(556),
    [sym__assignment] = STATE(556),
    [sym_left_assignment] = STATE(556),
    [sym_left_assignment2] = STATE(556),
    [sym_equals_assignment] = STATE(556),
    [sym_super_assignment] = STATE(556),
    [sym_super_right_assignment] = STATE(556),
    [sym_right_assignment] = STATE(556),
    [sym_brace_list] = STATE(556),
    [sym_paren_list] = STATE(556),
    [sym_subset] = STATE(556),
    [sym_subset2] = STATE(556),
    [sym_dollar] = STATE(556),
    [sym_slot] = STATE(556),
    [sym_namespace_get] = STATE(556),
    [sym_namespace_get_internal] = STATE(556),
    [sym_help] = STATE(556),
    [sym_pipe] = STATE(556),
    [sym_unary] = STATE(556),
    [sym_binary] = STATE(556),
    [sym_na] = STATE(556),
    [sym__expression] = STATE(556),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(556),
    [sym_string] = STATE(556),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1779),
    [sym_next] = ACTIONS(1779),
    [sym_true] = ACTIONS(1779),
    [sym_false] = ACTIONS(1779),
    [sym_null] = ACTIONS(1779),
    [sym_inf] = ACTIONS(1779),
    [sym_nan] = ACTIONS(1779),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1781),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [293] = {
    [sym_function_definition] = STATE(555),
    [sym_lambda_function] = STATE(555),
    [sym_if] = STATE(555),
    [sym_while] = STATE(555),
    [sym_repeat] = STATE(555),
    [sym_for] = STATE(555),
    [sym_switch] = STATE(555),
    [sym_call] = STATE(555),
    [sym__assignment] = STATE(555),
    [sym_left_assignment] = STATE(555),
    [sym_left_assignment2] = STATE(555),
    [sym_equals_assignment] = STATE(555),
    [sym_super_assignment] = STATE(555),
    [sym_super_right_assignment] = STATE(555),
    [sym_right_assignment] = STATE(555),
    [sym_brace_list] = STATE(555),
    [sym_paren_list] = STATE(555),
    [sym_subset] = STATE(555),
    [sym_subset2] = STATE(555),
    [sym_dollar] = STATE(555),
    [sym_slot] = STATE(555),
    [sym_namespace_get] = STATE(555),
    [sym_namespace_get_internal] = STATE(555),
    [sym_help] = STATE(555),
    [sym_pipe] = STATE(555),
    [sym_unary] = STATE(555),
    [sym_binary] = STATE(555),
    [sym_na] = STATE(555),
    [sym__expression] = STATE(555),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(555),
    [sym_string] = STATE(555),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1783),
    [sym_next] = ACTIONS(1783),
    [sym_true] = ACTIONS(1783),
    [sym_false] = ACTIONS(1783),
    [sym_null] = ACTIONS(1783),
    [sym_inf] = ACTIONS(1783),
    [sym_nan] = ACTIONS(1783),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1785),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [294] = {
    [sym_function_definition] = STATE(554),
    [sym_lambda_function] = STATE(554),
    [sym_if] = STATE(554),
    [sym_while] = STATE(554),
    [sym_repeat] = STATE(554),
    [sym_for] = STATE(554),
    [sym_switch] = STATE(554),
    [sym_call] = STATE(554),
    [sym__assignment] = STATE(554),
    [sym_left_assignment] = STATE(554),
    [sym_left_assignment2] = STATE(554),
    [sym_equals_assignment] = STATE(554),
    [sym_super_assignment] = STATE(554),
    [sym_super_right_assignment] = STATE(554),
    [sym_right_assignment] = STATE(554),
    [sym_brace_list] = STATE(554),
    [sym_paren_list] = STATE(554),
    [sym_subset] = STATE(554),
    [sym_subset2] = STATE(554),
    [sym_dollar] = STATE(554),
    [sym_slot] = STATE(554),
    [sym_namespace_get] = STATE(554),
    [sym_namespace_get_internal] = STATE(554),
    [sym_help] = STATE(554),
    [sym_pipe] = STATE(554),
    [sym_unary] = STATE(554),
    [sym_binary] = STATE(554),
    [sym_na] = STATE(554),
    [sym__expression] = STATE(554),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(554),
    [sym_string] = STATE(554),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1787),
    [sym_next] = ACTIONS(1787),
    [sym_true] = ACTIONS(1787),
    [sym_false] = ACTIONS(1787),
    [sym_null] = ACTIONS(1787),
    [sym_inf] = ACTIONS(1787),
    [sym_nan] = ACTIONS(1787),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1789),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [295] = {
    [sym_function_definition] = STATE(541),
    [sym_lambda_function] = STATE(541),
    [sym_if] = STATE(541),
    [sym_while] = STATE(541),
    [sym_repeat] = STATE(541),
    [sym_for] = STATE(541),
    [sym_switch] = STATE(541),
    [sym_call] = STATE(541),
    [sym__assignment] = STATE(541),
    [sym_left_assignment] = STATE(541),
    [sym_left_assignment2] = STATE(541),
    [sym_equals_assignment] = STATE(541),
    [sym_super_assignment] = STATE(541),
    [sym_super_right_assignment] = STATE(541),
    [sym_right_assignment] = STATE(541),
    [sym_brace_list] = STATE(541),
    [sym_paren_list] = STATE(541),
    [sym_subset] = STATE(541),
    [sym_subset2] = STATE(541),
    [sym_dollar] = STATE(541),
    [sym_slot] = STATE(541),
    [sym_namespace_get] = STATE(541),
    [sym_namespace_get_internal] = STATE(541),
    [sym_help] = STATE(541),
    [sym_pipe] = STATE(541),
    [sym_unary] = STATE(541),
    [sym_binary] = STATE(541),
    [sym_na] = STATE(541),
    [sym__expression] = STATE(541),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(541),
    [sym_string] = STATE(541),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1791),
    [sym_next] = ACTIONS(1791),
    [sym_true] = ACTIONS(1791),
    [sym_false] = ACTIONS(1791),
    [sym_null] = ACTIONS(1791),
    [sym_inf] = ACTIONS(1791),
    [sym_nan] = ACTIONS(1791),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1793),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [296] = {
    [anon_sym_LF] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1795),
    [anon_sym_BSLASH] = ACTIONS(1795),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_else] = ACTIONS(1795),
    [anon_sym_while] = ACTIONS(1795),
    [anon_sym_repeat] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1795),
    [anon_sym_switch] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1795),
    [anon_sym_RBRACE] = ACTIONS(1795),
    [anon_sym_LT_DASH] = ACTIONS(1795),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_DASH] = ACTIONS(1795),
    [anon_sym_DASH_GT_GT] = ACTIONS(1795),
    [anon_sym_DASH_GT] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1795),
    [anon_sym_DOLLAR] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1795),
    [anon_sym_QMARK] = ACTIONS(1795),
    [sym_dots] = ACTIONS(1795),
    [anon_sym_PIPE_GT] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_EQ_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(1795),
    [sym_break] = ACTIONS(1795),
    [sym_next] = ACTIONS(1795),
    [sym_true] = ACTIONS(1795),
    [sym_false] = ACTIONS(1795),
    [sym_null] = ACTIONS(1795),
    [sym_inf] = ACTIONS(1795),
    [sym_nan] = ACTIONS(1795),
    [anon_sym_NA] = ACTIONS(1795),
    [anon_sym_NA_character_] = ACTIONS(1795),
    [anon_sym_NA_complex_] = ACTIONS(1795),
    [anon_sym_NA_integer_] = ACTIONS(1795),
    [anon_sym_NA_real_] = ACTIONS(1795),
    [aux_sym_identifier_token1] = ACTIONS(1795),
    [anon_sym_BQUOTE] = ACTIONS(1795),
    [sym_integer] = ACTIONS(1795),
    [sym_float] = ACTIONS(1795),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1795),
    [anon_sym_SQUOTE] = ACTIONS(1795),
    [anon_sym_PERCENT] = ACTIONS(1795),
    [sym__raw_string_literal] = ACTIONS(1799),
  },
  [297] = {
    [sym_function_definition] = STATE(547),
    [sym_lambda_function] = STATE(547),
    [sym_if] = STATE(547),
    [sym_while] = STATE(547),
    [sym_repeat] = STATE(547),
    [sym_for] = STATE(547),
    [sym_switch] = STATE(547),
    [sym_call] = STATE(547),
    [sym__assignment] = STATE(547),
    [sym_left_assignment] = STATE(547),
    [sym_left_assignment2] = STATE(547),
    [sym_equals_assignment] = STATE(547),
    [sym_super_assignment] = STATE(547),
    [sym_super_right_assignment] = STATE(547),
    [sym_right_assignment] = STATE(547),
    [sym_brace_list] = STATE(547),
    [sym_paren_list] = STATE(547),
    [sym_subset] = STATE(547),
    [sym_subset2] = STATE(547),
    [sym_dollar] = STATE(547),
    [sym_slot] = STATE(547),
    [sym_namespace_get] = STATE(547),
    [sym_namespace_get_internal] = STATE(547),
    [sym_help] = STATE(547),
    [sym_pipe] = STATE(547),
    [sym_unary] = STATE(547),
    [sym_binary] = STATE(547),
    [sym_na] = STATE(547),
    [sym__expression] = STATE(547),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(547),
    [sym_string] = STATE(547),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1801),
    [sym_next] = ACTIONS(1801),
    [sym_true] = ACTIONS(1801),
    [sym_false] = ACTIONS(1801),
    [sym_null] = ACTIONS(1801),
    [sym_inf] = ACTIONS(1801),
    [sym_nan] = ACTIONS(1801),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1803),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [298] = {
    [sym_function_definition] = STATE(545),
    [sym_lambda_function] = STATE(545),
    [sym_if] = STATE(545),
    [sym_while] = STATE(545),
    [sym_repeat] = STATE(545),
    [sym_for] = STATE(545),
    [sym_switch] = STATE(545),
    [sym_call] = STATE(545),
    [sym__assignment] = STATE(545),
    [sym_left_assignment] = STATE(545),
    [sym_left_assignment2] = STATE(545),
    [sym_equals_assignment] = STATE(545),
    [sym_super_assignment] = STATE(545),
    [sym_super_right_assignment] = STATE(545),
    [sym_right_assignment] = STATE(545),
    [sym_brace_list] = STATE(545),
    [sym_paren_list] = STATE(545),
    [sym_subset] = STATE(545),
    [sym_subset2] = STATE(545),
    [sym_dollar] = STATE(545),
    [sym_slot] = STATE(545),
    [sym_namespace_get] = STATE(545),
    [sym_namespace_get_internal] = STATE(545),
    [sym_help] = STATE(545),
    [sym_pipe] = STATE(545),
    [sym_unary] = STATE(545),
    [sym_binary] = STATE(545),
    [sym_na] = STATE(545),
    [sym__expression] = STATE(545),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(545),
    [sym_string] = STATE(545),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1805),
    [sym_next] = ACTIONS(1805),
    [sym_true] = ACTIONS(1805),
    [sym_false] = ACTIONS(1805),
    [sym_null] = ACTIONS(1805),
    [sym_inf] = ACTIONS(1805),
    [sym_nan] = ACTIONS(1805),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1807),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [299] = {
    [sym_function_definition] = STATE(544),
    [sym_lambda_function] = STATE(544),
    [sym_if] = STATE(544),
    [sym_while] = STATE(544),
    [sym_repeat] = STATE(544),
    [sym_for] = STATE(544),
    [sym_switch] = STATE(544),
    [sym_call] = STATE(544),
    [sym__assignment] = STATE(544),
    [sym_left_assignment] = STATE(544),
    [sym_left_assignment2] = STATE(544),
    [sym_equals_assignment] = STATE(544),
    [sym_super_assignment] = STATE(544),
    [sym_super_right_assignment] = STATE(544),
    [sym_right_assignment] = STATE(544),
    [sym_brace_list] = STATE(544),
    [sym_paren_list] = STATE(544),
    [sym_subset] = STATE(544),
    [sym_subset2] = STATE(544),
    [sym_dollar] = STATE(544),
    [sym_slot] = STATE(544),
    [sym_namespace_get] = STATE(544),
    [sym_namespace_get_internal] = STATE(544),
    [sym_help] = STATE(544),
    [sym_pipe] = STATE(544),
    [sym_unary] = STATE(544),
    [sym_binary] = STATE(544),
    [sym_na] = STATE(544),
    [sym__expression] = STATE(544),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(544),
    [sym_string] = STATE(544),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1809),
    [sym_next] = ACTIONS(1809),
    [sym_true] = ACTIONS(1809),
    [sym_false] = ACTIONS(1809),
    [sym_null] = ACTIONS(1809),
    [sym_inf] = ACTIONS(1809),
    [sym_nan] = ACTIONS(1809),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1811),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [300] = {
    [anon_sym_LF] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_BSLASH] = ACTIONS(1813),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_else] = ACTIONS(1813),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_repeat] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1813),
    [anon_sym_RBRACE] = ACTIONS(1813),
    [anon_sym_LT_DASH] = ACTIONS(1813),
    [anon_sym_COLON_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT_DASH] = ACTIONS(1813),
    [anon_sym_DASH_GT_GT] = ACTIONS(1813),
    [anon_sym_DASH_GT] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1813),
    [anon_sym_DOLLAR] = ACTIONS(1813),
    [anon_sym_AT] = ACTIONS(1813),
    [anon_sym_COLON_COLON] = ACTIONS(1813),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1813),
    [anon_sym_QMARK] = ACTIONS(1813),
    [sym_dots] = ACTIONS(1813),
    [anon_sym_PIPE_GT] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1813),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_EQ_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_break] = ACTIONS(1813),
    [sym_next] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_inf] = ACTIONS(1813),
    [sym_nan] = ACTIONS(1813),
    [anon_sym_NA] = ACTIONS(1813),
    [anon_sym_NA_character_] = ACTIONS(1813),
    [anon_sym_NA_complex_] = ACTIONS(1813),
    [anon_sym_NA_integer_] = ACTIONS(1813),
    [anon_sym_NA_real_] = ACTIONS(1813),
    [aux_sym_identifier_token1] = ACTIONS(1813),
    [anon_sym_BQUOTE] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1813),
    [sym_float] = ACTIONS(1813),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1813),
    [anon_sym_SQUOTE] = ACTIONS(1813),
    [anon_sym_PERCENT] = ACTIONS(1813),
    [sym__raw_string_literal] = ACTIONS(1815),
  },
  [301] = {
    [sym_function_definition] = STATE(533),
    [sym_lambda_function] = STATE(533),
    [sym_if] = STATE(533),
    [sym_while] = STATE(533),
    [sym_repeat] = STATE(533),
    [sym_for] = STATE(533),
    [sym_switch] = STATE(533),
    [sym_call] = STATE(533),
    [sym__assignment] = STATE(533),
    [sym_left_assignment] = STATE(533),
    [sym_left_assignment2] = STATE(533),
    [sym_equals_assignment] = STATE(533),
    [sym_super_assignment] = STATE(533),
    [sym_super_right_assignment] = STATE(533),
    [sym_right_assignment] = STATE(533),
    [sym_brace_list] = STATE(533),
    [sym_paren_list] = STATE(533),
    [sym_subset] = STATE(533),
    [sym_subset2] = STATE(533),
    [sym_dollar] = STATE(533),
    [sym_slot] = STATE(533),
    [sym_namespace_get] = STATE(533),
    [sym_namespace_get_internal] = STATE(533),
    [sym_help] = STATE(533),
    [sym_pipe] = STATE(533),
    [sym_unary] = STATE(533),
    [sym_binary] = STATE(533),
    [sym_na] = STATE(533),
    [sym__expression] = STATE(533),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(533),
    [sym_string] = STATE(533),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1817),
    [sym_next] = ACTIONS(1817),
    [sym_true] = ACTIONS(1817),
    [sym_false] = ACTIONS(1817),
    [sym_null] = ACTIONS(1817),
    [sym_inf] = ACTIONS(1817),
    [sym_nan] = ACTIONS(1817),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1819),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [302] = {
    [sym_function_definition] = STATE(532),
    [sym_lambda_function] = STATE(532),
    [sym_if] = STATE(532),
    [sym_while] = STATE(532),
    [sym_repeat] = STATE(532),
    [sym_for] = STATE(532),
    [sym_switch] = STATE(532),
    [sym_call] = STATE(532),
    [sym__assignment] = STATE(532),
    [sym_left_assignment] = STATE(532),
    [sym_left_assignment2] = STATE(532),
    [sym_equals_assignment] = STATE(532),
    [sym_super_assignment] = STATE(532),
    [sym_super_right_assignment] = STATE(532),
    [sym_right_assignment] = STATE(532),
    [sym_brace_list] = STATE(532),
    [sym_paren_list] = STATE(532),
    [sym_subset] = STATE(532),
    [sym_subset2] = STATE(532),
    [sym_dollar] = STATE(532),
    [sym_slot] = STATE(532),
    [sym_namespace_get] = STATE(532),
    [sym_namespace_get_internal] = STATE(532),
    [sym_help] = STATE(532),
    [sym_pipe] = STATE(532),
    [sym_unary] = STATE(532),
    [sym_binary] = STATE(532),
    [sym_na] = STATE(532),
    [sym__expression] = STATE(532),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(532),
    [sym_string] = STATE(532),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1821),
    [sym_next] = ACTIONS(1821),
    [sym_true] = ACTIONS(1821),
    [sym_false] = ACTIONS(1821),
    [sym_null] = ACTIONS(1821),
    [sym_inf] = ACTIONS(1821),
    [sym_nan] = ACTIONS(1821),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1823),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [303] = {
    [sym_function_definition] = STATE(531),
    [sym_lambda_function] = STATE(531),
    [sym_if] = STATE(531),
    [sym_while] = STATE(531),
    [sym_repeat] = STATE(531),
    [sym_for] = STATE(531),
    [sym_switch] = STATE(531),
    [sym_call] = STATE(531),
    [sym__assignment] = STATE(531),
    [sym_left_assignment] = STATE(531),
    [sym_left_assignment2] = STATE(531),
    [sym_equals_assignment] = STATE(531),
    [sym_super_assignment] = STATE(531),
    [sym_super_right_assignment] = STATE(531),
    [sym_right_assignment] = STATE(531),
    [sym_brace_list] = STATE(531),
    [sym_paren_list] = STATE(531),
    [sym_subset] = STATE(531),
    [sym_subset2] = STATE(531),
    [sym_dollar] = STATE(531),
    [sym_slot] = STATE(531),
    [sym_namespace_get] = STATE(531),
    [sym_namespace_get_internal] = STATE(531),
    [sym_help] = STATE(531),
    [sym_pipe] = STATE(531),
    [sym_unary] = STATE(531),
    [sym_binary] = STATE(531),
    [sym_na] = STATE(531),
    [sym__expression] = STATE(531),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(531),
    [sym_string] = STATE(531),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1825),
    [sym_next] = ACTIONS(1825),
    [sym_true] = ACTIONS(1825),
    [sym_false] = ACTIONS(1825),
    [sym_null] = ACTIONS(1825),
    [sym_inf] = ACTIONS(1825),
    [sym_nan] = ACTIONS(1825),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1827),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [304] = {
    [sym_function_definition] = STATE(529),
    [sym_lambda_function] = STATE(529),
    [sym_if] = STATE(529),
    [sym_while] = STATE(529),
    [sym_repeat] = STATE(529),
    [sym_for] = STATE(529),
    [sym_switch] = STATE(529),
    [sym_call] = STATE(529),
    [sym__assignment] = STATE(529),
    [sym_left_assignment] = STATE(529),
    [sym_left_assignment2] = STATE(529),
    [sym_equals_assignment] = STATE(529),
    [sym_super_assignment] = STATE(529),
    [sym_super_right_assignment] = STATE(529),
    [sym_right_assignment] = STATE(529),
    [sym_brace_list] = STATE(529),
    [sym_paren_list] = STATE(529),
    [sym_subset] = STATE(529),
    [sym_subset2] = STATE(529),
    [sym_dollar] = STATE(529),
    [sym_slot] = STATE(529),
    [sym_namespace_get] = STATE(529),
    [sym_namespace_get_internal] = STATE(529),
    [sym_help] = STATE(529),
    [sym_pipe] = STATE(529),
    [sym_unary] = STATE(529),
    [sym_binary] = STATE(529),
    [sym_na] = STATE(529),
    [sym__expression] = STATE(529),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(529),
    [sym_string] = STATE(529),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1829),
    [sym_next] = ACTIONS(1829),
    [sym_true] = ACTIONS(1829),
    [sym_false] = ACTIONS(1829),
    [sym_null] = ACTIONS(1829),
    [sym_inf] = ACTIONS(1829),
    [sym_nan] = ACTIONS(1829),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1831),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [305] = {
    [sym_function_definition] = STATE(527),
    [sym_lambda_function] = STATE(527),
    [sym_if] = STATE(527),
    [sym_while] = STATE(527),
    [sym_repeat] = STATE(527),
    [sym_for] = STATE(527),
    [sym_switch] = STATE(527),
    [sym_call] = STATE(527),
    [sym__assignment] = STATE(527),
    [sym_left_assignment] = STATE(527),
    [sym_left_assignment2] = STATE(527),
    [sym_equals_assignment] = STATE(527),
    [sym_super_assignment] = STATE(527),
    [sym_super_right_assignment] = STATE(527),
    [sym_right_assignment] = STATE(527),
    [sym_brace_list] = STATE(527),
    [sym_paren_list] = STATE(527),
    [sym_subset] = STATE(527),
    [sym_subset2] = STATE(527),
    [sym_dollar] = STATE(527),
    [sym_slot] = STATE(527),
    [sym_namespace_get] = STATE(527),
    [sym_namespace_get_internal] = STATE(527),
    [sym_help] = STATE(527),
    [sym_pipe] = STATE(527),
    [sym_unary] = STATE(527),
    [sym_binary] = STATE(527),
    [sym_na] = STATE(527),
    [sym__expression] = STATE(527),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(527),
    [sym_string] = STATE(527),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1833),
    [sym_next] = ACTIONS(1833),
    [sym_true] = ACTIONS(1833),
    [sym_false] = ACTIONS(1833),
    [sym_null] = ACTIONS(1833),
    [sym_inf] = ACTIONS(1833),
    [sym_nan] = ACTIONS(1833),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1835),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [306] = {
    [sym_function_definition] = STATE(526),
    [sym_lambda_function] = STATE(526),
    [sym_if] = STATE(526),
    [sym_while] = STATE(526),
    [sym_repeat] = STATE(526),
    [sym_for] = STATE(526),
    [sym_switch] = STATE(526),
    [sym_call] = STATE(526),
    [sym__assignment] = STATE(526),
    [sym_left_assignment] = STATE(526),
    [sym_left_assignment2] = STATE(526),
    [sym_equals_assignment] = STATE(526),
    [sym_super_assignment] = STATE(526),
    [sym_super_right_assignment] = STATE(526),
    [sym_right_assignment] = STATE(526),
    [sym_brace_list] = STATE(526),
    [sym_paren_list] = STATE(526),
    [sym_subset] = STATE(526),
    [sym_subset2] = STATE(526),
    [sym_dollar] = STATE(526),
    [sym_slot] = STATE(526),
    [sym_namespace_get] = STATE(526),
    [sym_namespace_get_internal] = STATE(526),
    [sym_help] = STATE(526),
    [sym_pipe] = STATE(526),
    [sym_unary] = STATE(526),
    [sym_binary] = STATE(526),
    [sym_na] = STATE(526),
    [sym__expression] = STATE(526),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(526),
    [sym_string] = STATE(526),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1837),
    [sym_next] = ACTIONS(1837),
    [sym_true] = ACTIONS(1837),
    [sym_false] = ACTIONS(1837),
    [sym_null] = ACTIONS(1837),
    [sym_inf] = ACTIONS(1837),
    [sym_nan] = ACTIONS(1837),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1839),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [307] = {
    [anon_sym_LF] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1841),
    [anon_sym_COLON_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_DASH] = ACTIONS(1841),
    [anon_sym_DASH_GT_GT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COLON_COLON] = ACTIONS(1843),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1841),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [308] = {
    [anon_sym_LF] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_repeat] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_LT_DASH] = ACTIONS(1849),
    [anon_sym_COLON_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_DASH] = ACTIONS(1849),
    [anon_sym_DASH_GT_GT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [sym_dots] = ACTIONS(1849),
    [anon_sym_PIPE_GT] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_break] = ACTIONS(1849),
    [sym_next] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_inf] = ACTIONS(1849),
    [sym_nan] = ACTIONS(1849),
    [anon_sym_NA] = ACTIONS(1849),
    [anon_sym_NA_character_] = ACTIONS(1849),
    [anon_sym_NA_complex_] = ACTIONS(1849),
    [anon_sym_NA_integer_] = ACTIONS(1849),
    [anon_sym_NA_real_] = ACTIONS(1849),
    [aux_sym_identifier_token1] = ACTIONS(1849),
    [anon_sym_BQUOTE] = ACTIONS(1849),
    [sym_integer] = ACTIONS(1849),
    [sym_float] = ACTIONS(1849),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1849),
    [anon_sym_SQUOTE] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [sym__raw_string_literal] = ACTIONS(1851),
  },
  [309] = {
    [sym_function_definition] = STATE(472),
    [sym_lambda_function] = STATE(472),
    [sym_if] = STATE(472),
    [sym_while] = STATE(472),
    [sym_repeat] = STATE(472),
    [sym_for] = STATE(472),
    [sym_switch] = STATE(472),
    [sym_call] = STATE(472),
    [sym__assignment] = STATE(472),
    [sym_left_assignment] = STATE(472),
    [sym_left_assignment2] = STATE(472),
    [sym_equals_assignment] = STATE(472),
    [sym_super_assignment] = STATE(472),
    [sym_super_right_assignment] = STATE(472),
    [sym_right_assignment] = STATE(472),
    [sym_brace_list] = STATE(472),
    [sym_paren_list] = STATE(472),
    [sym_subset] = STATE(472),
    [sym_subset2] = STATE(472),
    [sym_dollar] = STATE(472),
    [sym_slot] = STATE(472),
    [sym_namespace_get] = STATE(472),
    [sym_namespace_get_internal] = STATE(472),
    [sym_help] = STATE(472),
    [sym_pipe] = STATE(472),
    [sym_unary] = STATE(472),
    [sym_binary] = STATE(472),
    [sym_na] = STATE(472),
    [sym__expression] = STATE(472),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(472),
    [sym_string] = STATE(472),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1853),
    [sym_next] = ACTIONS(1853),
    [sym_true] = ACTIONS(1853),
    [sym_false] = ACTIONS(1853),
    [sym_null] = ACTIONS(1853),
    [sym_inf] = ACTIONS(1853),
    [sym_nan] = ACTIONS(1853),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1855),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [310] = {
    [sym_function_definition] = STATE(473),
    [sym_lambda_function] = STATE(473),
    [sym_if] = STATE(473),
    [sym_while] = STATE(473),
    [sym_repeat] = STATE(473),
    [sym_for] = STATE(473),
    [sym_switch] = STATE(473),
    [sym_call] = STATE(473),
    [sym__assignment] = STATE(473),
    [sym_left_assignment] = STATE(473),
    [sym_left_assignment2] = STATE(473),
    [sym_equals_assignment] = STATE(473),
    [sym_super_assignment] = STATE(473),
    [sym_super_right_assignment] = STATE(473),
    [sym_right_assignment] = STATE(473),
    [sym_brace_list] = STATE(473),
    [sym_paren_list] = STATE(473),
    [sym_subset] = STATE(473),
    [sym_subset2] = STATE(473),
    [sym_dollar] = STATE(473),
    [sym_slot] = STATE(473),
    [sym_namespace_get] = STATE(473),
    [sym_namespace_get_internal] = STATE(473),
    [sym_help] = STATE(473),
    [sym_pipe] = STATE(473),
    [sym_unary] = STATE(473),
    [sym_binary] = STATE(473),
    [sym_na] = STATE(473),
    [sym__expression] = STATE(473),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(473),
    [sym_string] = STATE(473),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1857),
    [sym_next] = ACTIONS(1857),
    [sym_true] = ACTIONS(1857),
    [sym_false] = ACTIONS(1857),
    [sym_null] = ACTIONS(1857),
    [sym_inf] = ACTIONS(1857),
    [sym_nan] = ACTIONS(1857),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1859),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [311] = {
    [sym_function_definition] = STATE(474),
    [sym_lambda_function] = STATE(474),
    [sym_if] = STATE(474),
    [sym_while] = STATE(474),
    [sym_repeat] = STATE(474),
    [sym_for] = STATE(474),
    [sym_switch] = STATE(474),
    [sym_call] = STATE(474),
    [sym__assignment] = STATE(474),
    [sym_left_assignment] = STATE(474),
    [sym_left_assignment2] = STATE(474),
    [sym_equals_assignment] = STATE(474),
    [sym_super_assignment] = STATE(474),
    [sym_super_right_assignment] = STATE(474),
    [sym_right_assignment] = STATE(474),
    [sym_brace_list] = STATE(474),
    [sym_paren_list] = STATE(474),
    [sym_subset] = STATE(474),
    [sym_subset2] = STATE(474),
    [sym_dollar] = STATE(474),
    [sym_slot] = STATE(474),
    [sym_namespace_get] = STATE(474),
    [sym_namespace_get_internal] = STATE(474),
    [sym_help] = STATE(474),
    [sym_pipe] = STATE(474),
    [sym_unary] = STATE(474),
    [sym_binary] = STATE(474),
    [sym_na] = STATE(474),
    [sym__expression] = STATE(474),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(474),
    [sym_string] = STATE(474),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1861),
    [sym_next] = ACTIONS(1861),
    [sym_true] = ACTIONS(1861),
    [sym_false] = ACTIONS(1861),
    [sym_null] = ACTIONS(1861),
    [sym_inf] = ACTIONS(1861),
    [sym_nan] = ACTIONS(1861),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1863),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [312] = {
    [anon_sym_function] = ACTIONS(1795),
    [anon_sym_BSLASH] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_else] = ACTIONS(1795),
    [anon_sym_while] = ACTIONS(1795),
    [anon_sym_repeat] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1795),
    [anon_sym_switch] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1799),
    [anon_sym_LT_DASH] = ACTIONS(1799),
    [anon_sym_COLON_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT_DASH] = ACTIONS(1799),
    [anon_sym_DASH_GT_GT] = ACTIONS(1799),
    [anon_sym_DASH_GT] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1799),
    [anon_sym_DOLLAR] = ACTIONS(1799),
    [anon_sym_AT] = ACTIONS(1799),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1799),
    [anon_sym_QMARK] = ACTIONS(1799),
    [sym_dots] = ACTIONS(1795),
    [anon_sym_PIPE_GT] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_BANG] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_EQ_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(1795),
    [sym_break] = ACTIONS(1795),
    [sym_next] = ACTIONS(1795),
    [sym_true] = ACTIONS(1795),
    [sym_false] = ACTIONS(1795),
    [sym_null] = ACTIONS(1795),
    [sym_inf] = ACTIONS(1795),
    [sym_nan] = ACTIONS(1795),
    [anon_sym_NA] = ACTIONS(1795),
    [anon_sym_NA_character_] = ACTIONS(1795),
    [anon_sym_NA_complex_] = ACTIONS(1795),
    [anon_sym_NA_integer_] = ACTIONS(1795),
    [anon_sym_NA_real_] = ACTIONS(1795),
    [aux_sym_identifier_token1] = ACTIONS(1795),
    [anon_sym_BQUOTE] = ACTIONS(1799),
    [sym_integer] = ACTIONS(1799),
    [sym_float] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1799),
    [anon_sym_SQUOTE] = ACTIONS(1799),
    [anon_sym_PERCENT] = ACTIONS(1799),
    [sym__raw_string_literal] = ACTIONS(1799),
  },
  [313] = {
    [sym_function_definition] = STATE(475),
    [sym_lambda_function] = STATE(475),
    [sym_if] = STATE(475),
    [sym_while] = STATE(475),
    [sym_repeat] = STATE(475),
    [sym_for] = STATE(475),
    [sym_switch] = STATE(475),
    [sym_call] = STATE(475),
    [sym__assignment] = STATE(475),
    [sym_left_assignment] = STATE(475),
    [sym_left_assignment2] = STATE(475),
    [sym_equals_assignment] = STATE(475),
    [sym_super_assignment] = STATE(475),
    [sym_super_right_assignment] = STATE(475),
    [sym_right_assignment] = STATE(475),
    [sym_brace_list] = STATE(475),
    [sym_paren_list] = STATE(475),
    [sym_subset] = STATE(475),
    [sym_subset2] = STATE(475),
    [sym_dollar] = STATE(475),
    [sym_slot] = STATE(475),
    [sym_namespace_get] = STATE(475),
    [sym_namespace_get_internal] = STATE(475),
    [sym_help] = STATE(475),
    [sym_pipe] = STATE(475),
    [sym_unary] = STATE(475),
    [sym_binary] = STATE(475),
    [sym_na] = STATE(475),
    [sym__expression] = STATE(475),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(475),
    [sym_string] = STATE(475),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1865),
    [sym_next] = ACTIONS(1865),
    [sym_true] = ACTIONS(1865),
    [sym_false] = ACTIONS(1865),
    [sym_null] = ACTIONS(1865),
    [sym_inf] = ACTIONS(1865),
    [sym_nan] = ACTIONS(1865),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1867),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [314] = {
    [sym_function_definition] = STATE(476),
    [sym_lambda_function] = STATE(476),
    [sym_if] = STATE(476),
    [sym_while] = STATE(476),
    [sym_repeat] = STATE(476),
    [sym_for] = STATE(476),
    [sym_switch] = STATE(476),
    [sym_call] = STATE(476),
    [sym__assignment] = STATE(476),
    [sym_left_assignment] = STATE(476),
    [sym_left_assignment2] = STATE(476),
    [sym_equals_assignment] = STATE(476),
    [sym_super_assignment] = STATE(476),
    [sym_super_right_assignment] = STATE(476),
    [sym_right_assignment] = STATE(476),
    [sym_brace_list] = STATE(476),
    [sym_paren_list] = STATE(476),
    [sym_subset] = STATE(476),
    [sym_subset2] = STATE(476),
    [sym_dollar] = STATE(476),
    [sym_slot] = STATE(476),
    [sym_namespace_get] = STATE(476),
    [sym_namespace_get_internal] = STATE(476),
    [sym_help] = STATE(476),
    [sym_pipe] = STATE(476),
    [sym_unary] = STATE(476),
    [sym_binary] = STATE(476),
    [sym_na] = STATE(476),
    [sym__expression] = STATE(476),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(476),
    [sym_string] = STATE(476),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1869),
    [sym_next] = ACTIONS(1869),
    [sym_true] = ACTIONS(1869),
    [sym_false] = ACTIONS(1869),
    [sym_null] = ACTIONS(1869),
    [sym_inf] = ACTIONS(1869),
    [sym_nan] = ACTIONS(1869),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1871),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [315] = {
    [sym_function_definition] = STATE(477),
    [sym_lambda_function] = STATE(477),
    [sym_if] = STATE(477),
    [sym_while] = STATE(477),
    [sym_repeat] = STATE(477),
    [sym_for] = STATE(477),
    [sym_switch] = STATE(477),
    [sym_call] = STATE(477),
    [sym__assignment] = STATE(477),
    [sym_left_assignment] = STATE(477),
    [sym_left_assignment2] = STATE(477),
    [sym_equals_assignment] = STATE(477),
    [sym_super_assignment] = STATE(477),
    [sym_super_right_assignment] = STATE(477),
    [sym_right_assignment] = STATE(477),
    [sym_brace_list] = STATE(477),
    [sym_paren_list] = STATE(477),
    [sym_subset] = STATE(477),
    [sym_subset2] = STATE(477),
    [sym_dollar] = STATE(477),
    [sym_slot] = STATE(477),
    [sym_namespace_get] = STATE(477),
    [sym_namespace_get_internal] = STATE(477),
    [sym_help] = STATE(477),
    [sym_pipe] = STATE(477),
    [sym_unary] = STATE(477),
    [sym_binary] = STATE(477),
    [sym_na] = STATE(477),
    [sym__expression] = STATE(477),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(477),
    [sym_string] = STATE(477),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1873),
    [sym_next] = ACTIONS(1873),
    [sym_true] = ACTIONS(1873),
    [sym_false] = ACTIONS(1873),
    [sym_null] = ACTIONS(1873),
    [sym_inf] = ACTIONS(1873),
    [sym_nan] = ACTIONS(1873),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1875),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [316] = {
    [sym_function_definition] = STATE(478),
    [sym_lambda_function] = STATE(478),
    [sym_if] = STATE(478),
    [sym_while] = STATE(478),
    [sym_repeat] = STATE(478),
    [sym_for] = STATE(478),
    [sym_switch] = STATE(478),
    [sym_call] = STATE(478),
    [sym__assignment] = STATE(478),
    [sym_left_assignment] = STATE(478),
    [sym_left_assignment2] = STATE(478),
    [sym_equals_assignment] = STATE(478),
    [sym_super_assignment] = STATE(478),
    [sym_super_right_assignment] = STATE(478),
    [sym_right_assignment] = STATE(478),
    [sym_brace_list] = STATE(478),
    [sym_paren_list] = STATE(478),
    [sym_subset] = STATE(478),
    [sym_subset2] = STATE(478),
    [sym_dollar] = STATE(478),
    [sym_slot] = STATE(478),
    [sym_namespace_get] = STATE(478),
    [sym_namespace_get_internal] = STATE(478),
    [sym_help] = STATE(478),
    [sym_pipe] = STATE(478),
    [sym_unary] = STATE(478),
    [sym_binary] = STATE(478),
    [sym_na] = STATE(478),
    [sym__expression] = STATE(478),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(478),
    [sym_string] = STATE(478),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1877),
    [sym_next] = ACTIONS(1877),
    [sym_true] = ACTIONS(1877),
    [sym_false] = ACTIONS(1877),
    [sym_null] = ACTIONS(1877),
    [sym_inf] = ACTIONS(1877),
    [sym_nan] = ACTIONS(1877),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1879),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [317] = {
    [sym_function_definition] = STATE(479),
    [sym_lambda_function] = STATE(479),
    [sym_if] = STATE(479),
    [sym_while] = STATE(479),
    [sym_repeat] = STATE(479),
    [sym_for] = STATE(479),
    [sym_switch] = STATE(479),
    [sym_call] = STATE(479),
    [sym__assignment] = STATE(479),
    [sym_left_assignment] = STATE(479),
    [sym_left_assignment2] = STATE(479),
    [sym_equals_assignment] = STATE(479),
    [sym_super_assignment] = STATE(479),
    [sym_super_right_assignment] = STATE(479),
    [sym_right_assignment] = STATE(479),
    [sym_brace_list] = STATE(479),
    [sym_paren_list] = STATE(479),
    [sym_subset] = STATE(479),
    [sym_subset2] = STATE(479),
    [sym_dollar] = STATE(479),
    [sym_slot] = STATE(479),
    [sym_namespace_get] = STATE(479),
    [sym_namespace_get_internal] = STATE(479),
    [sym_help] = STATE(479),
    [sym_pipe] = STATE(479),
    [sym_unary] = STATE(479),
    [sym_binary] = STATE(479),
    [sym_na] = STATE(479),
    [sym__expression] = STATE(479),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(479),
    [sym_string] = STATE(479),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1881),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1881),
    [sym_next] = ACTIONS(1881),
    [sym_true] = ACTIONS(1881),
    [sym_false] = ACTIONS(1881),
    [sym_null] = ACTIONS(1881),
    [sym_inf] = ACTIONS(1881),
    [sym_nan] = ACTIONS(1881),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1883),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [318] = {
    [sym_function_definition] = STATE(480),
    [sym_lambda_function] = STATE(480),
    [sym_if] = STATE(480),
    [sym_while] = STATE(480),
    [sym_repeat] = STATE(480),
    [sym_for] = STATE(480),
    [sym_switch] = STATE(480),
    [sym_call] = STATE(480),
    [sym__assignment] = STATE(480),
    [sym_left_assignment] = STATE(480),
    [sym_left_assignment2] = STATE(480),
    [sym_equals_assignment] = STATE(480),
    [sym_super_assignment] = STATE(480),
    [sym_super_right_assignment] = STATE(480),
    [sym_right_assignment] = STATE(480),
    [sym_brace_list] = STATE(480),
    [sym_paren_list] = STATE(480),
    [sym_subset] = STATE(480),
    [sym_subset2] = STATE(480),
    [sym_dollar] = STATE(480),
    [sym_slot] = STATE(480),
    [sym_namespace_get] = STATE(480),
    [sym_namespace_get_internal] = STATE(480),
    [sym_help] = STATE(480),
    [sym_pipe] = STATE(480),
    [sym_unary] = STATE(480),
    [sym_binary] = STATE(480),
    [sym_na] = STATE(480),
    [sym__expression] = STATE(480),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(480),
    [sym_string] = STATE(480),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1885),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1885),
    [sym_next] = ACTIONS(1885),
    [sym_true] = ACTIONS(1885),
    [sym_false] = ACTIONS(1885),
    [sym_null] = ACTIONS(1885),
    [sym_inf] = ACTIONS(1885),
    [sym_nan] = ACTIONS(1885),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1887),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [319] = {
    [sym_function_definition] = STATE(481),
    [sym_lambda_function] = STATE(481),
    [sym_if] = STATE(481),
    [sym_while] = STATE(481),
    [sym_repeat] = STATE(481),
    [sym_for] = STATE(481),
    [sym_switch] = STATE(481),
    [sym_call] = STATE(481),
    [sym__assignment] = STATE(481),
    [sym_left_assignment] = STATE(481),
    [sym_left_assignment2] = STATE(481),
    [sym_equals_assignment] = STATE(481),
    [sym_super_assignment] = STATE(481),
    [sym_super_right_assignment] = STATE(481),
    [sym_right_assignment] = STATE(481),
    [sym_brace_list] = STATE(481),
    [sym_paren_list] = STATE(481),
    [sym_subset] = STATE(481),
    [sym_subset2] = STATE(481),
    [sym_dollar] = STATE(481),
    [sym_slot] = STATE(481),
    [sym_namespace_get] = STATE(481),
    [sym_namespace_get_internal] = STATE(481),
    [sym_help] = STATE(481),
    [sym_pipe] = STATE(481),
    [sym_unary] = STATE(481),
    [sym_binary] = STATE(481),
    [sym_na] = STATE(481),
    [sym__expression] = STATE(481),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(481),
    [sym_string] = STATE(481),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1889),
    [sym_next] = ACTIONS(1889),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [sym_null] = ACTIONS(1889),
    [sym_inf] = ACTIONS(1889),
    [sym_nan] = ACTIONS(1889),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1891),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [320] = {
    [sym_function_definition] = STATE(482),
    [sym_lambda_function] = STATE(482),
    [sym_if] = STATE(482),
    [sym_while] = STATE(482),
    [sym_repeat] = STATE(482),
    [sym_for] = STATE(482),
    [sym_switch] = STATE(482),
    [sym_call] = STATE(482),
    [sym__assignment] = STATE(482),
    [sym_left_assignment] = STATE(482),
    [sym_left_assignment2] = STATE(482),
    [sym_equals_assignment] = STATE(482),
    [sym_super_assignment] = STATE(482),
    [sym_super_right_assignment] = STATE(482),
    [sym_right_assignment] = STATE(482),
    [sym_brace_list] = STATE(482),
    [sym_paren_list] = STATE(482),
    [sym_subset] = STATE(482),
    [sym_subset2] = STATE(482),
    [sym_dollar] = STATE(482),
    [sym_slot] = STATE(482),
    [sym_namespace_get] = STATE(482),
    [sym_namespace_get_internal] = STATE(482),
    [sym_help] = STATE(482),
    [sym_pipe] = STATE(482),
    [sym_unary] = STATE(482),
    [sym_binary] = STATE(482),
    [sym_na] = STATE(482),
    [sym__expression] = STATE(482),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(482),
    [sym_string] = STATE(482),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1893),
    [sym_next] = ACTIONS(1893),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [sym_null] = ACTIONS(1893),
    [sym_inf] = ACTIONS(1893),
    [sym_nan] = ACTIONS(1893),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1895),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [321] = {
    [sym_function_definition] = STATE(483),
    [sym_lambda_function] = STATE(483),
    [sym_if] = STATE(483),
    [sym_while] = STATE(483),
    [sym_repeat] = STATE(483),
    [sym_for] = STATE(483),
    [sym_switch] = STATE(483),
    [sym_call] = STATE(483),
    [sym__assignment] = STATE(483),
    [sym_left_assignment] = STATE(483),
    [sym_left_assignment2] = STATE(483),
    [sym_equals_assignment] = STATE(483),
    [sym_super_assignment] = STATE(483),
    [sym_super_right_assignment] = STATE(483),
    [sym_right_assignment] = STATE(483),
    [sym_brace_list] = STATE(483),
    [sym_paren_list] = STATE(483),
    [sym_subset] = STATE(483),
    [sym_subset2] = STATE(483),
    [sym_dollar] = STATE(483),
    [sym_slot] = STATE(483),
    [sym_namespace_get] = STATE(483),
    [sym_namespace_get_internal] = STATE(483),
    [sym_help] = STATE(483),
    [sym_pipe] = STATE(483),
    [sym_unary] = STATE(483),
    [sym_binary] = STATE(483),
    [sym_na] = STATE(483),
    [sym__expression] = STATE(483),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(483),
    [sym_string] = STATE(483),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1897),
    [sym_next] = ACTIONS(1897),
    [sym_true] = ACTIONS(1897),
    [sym_false] = ACTIONS(1897),
    [sym_null] = ACTIONS(1897),
    [sym_inf] = ACTIONS(1897),
    [sym_nan] = ACTIONS(1897),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1899),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [322] = {
    [sym_function_definition] = STATE(484),
    [sym_lambda_function] = STATE(484),
    [sym_if] = STATE(484),
    [sym_while] = STATE(484),
    [sym_repeat] = STATE(484),
    [sym_for] = STATE(484),
    [sym_switch] = STATE(484),
    [sym_call] = STATE(484),
    [sym__assignment] = STATE(484),
    [sym_left_assignment] = STATE(484),
    [sym_left_assignment2] = STATE(484),
    [sym_equals_assignment] = STATE(484),
    [sym_super_assignment] = STATE(484),
    [sym_super_right_assignment] = STATE(484),
    [sym_right_assignment] = STATE(484),
    [sym_brace_list] = STATE(484),
    [sym_paren_list] = STATE(484),
    [sym_subset] = STATE(484),
    [sym_subset2] = STATE(484),
    [sym_dollar] = STATE(484),
    [sym_slot] = STATE(484),
    [sym_namespace_get] = STATE(484),
    [sym_namespace_get_internal] = STATE(484),
    [sym_help] = STATE(484),
    [sym_pipe] = STATE(484),
    [sym_unary] = STATE(484),
    [sym_binary] = STATE(484),
    [sym_na] = STATE(484),
    [sym__expression] = STATE(484),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(484),
    [sym_string] = STATE(484),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1901),
    [sym_next] = ACTIONS(1901),
    [sym_true] = ACTIONS(1901),
    [sym_false] = ACTIONS(1901),
    [sym_null] = ACTIONS(1901),
    [sym_inf] = ACTIONS(1901),
    [sym_nan] = ACTIONS(1901),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1903),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [323] = {
    [sym_function_definition] = STATE(485),
    [sym_lambda_function] = STATE(485),
    [sym_if] = STATE(485),
    [sym_while] = STATE(485),
    [sym_repeat] = STATE(485),
    [sym_for] = STATE(485),
    [sym_switch] = STATE(485),
    [sym_call] = STATE(485),
    [sym__assignment] = STATE(485),
    [sym_left_assignment] = STATE(485),
    [sym_left_assignment2] = STATE(485),
    [sym_equals_assignment] = STATE(485),
    [sym_super_assignment] = STATE(485),
    [sym_super_right_assignment] = STATE(485),
    [sym_right_assignment] = STATE(485),
    [sym_brace_list] = STATE(485),
    [sym_paren_list] = STATE(485),
    [sym_subset] = STATE(485),
    [sym_subset2] = STATE(485),
    [sym_dollar] = STATE(485),
    [sym_slot] = STATE(485),
    [sym_namespace_get] = STATE(485),
    [sym_namespace_get_internal] = STATE(485),
    [sym_help] = STATE(485),
    [sym_pipe] = STATE(485),
    [sym_unary] = STATE(485),
    [sym_binary] = STATE(485),
    [sym_na] = STATE(485),
    [sym__expression] = STATE(485),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(485),
    [sym_string] = STATE(485),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1905),
    [sym_next] = ACTIONS(1905),
    [sym_true] = ACTIONS(1905),
    [sym_false] = ACTIONS(1905),
    [sym_null] = ACTIONS(1905),
    [sym_inf] = ACTIONS(1905),
    [sym_nan] = ACTIONS(1905),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1907),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [324] = {
    [sym_function_definition] = STATE(486),
    [sym_lambda_function] = STATE(486),
    [sym_if] = STATE(486),
    [sym_while] = STATE(486),
    [sym_repeat] = STATE(486),
    [sym_for] = STATE(486),
    [sym_switch] = STATE(486),
    [sym_call] = STATE(486),
    [sym__assignment] = STATE(486),
    [sym_left_assignment] = STATE(486),
    [sym_left_assignment2] = STATE(486),
    [sym_equals_assignment] = STATE(486),
    [sym_super_assignment] = STATE(486),
    [sym_super_right_assignment] = STATE(486),
    [sym_right_assignment] = STATE(486),
    [sym_brace_list] = STATE(486),
    [sym_paren_list] = STATE(486),
    [sym_subset] = STATE(486),
    [sym_subset2] = STATE(486),
    [sym_dollar] = STATE(486),
    [sym_slot] = STATE(486),
    [sym_namespace_get] = STATE(486),
    [sym_namespace_get_internal] = STATE(486),
    [sym_help] = STATE(486),
    [sym_pipe] = STATE(486),
    [sym_unary] = STATE(486),
    [sym_binary] = STATE(486),
    [sym_na] = STATE(486),
    [sym__expression] = STATE(486),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(486),
    [sym_string] = STATE(486),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1909),
    [sym_next] = ACTIONS(1909),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [sym_null] = ACTIONS(1909),
    [sym_inf] = ACTIONS(1909),
    [sym_nan] = ACTIONS(1909),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1911),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [325] = {
    [sym_function_definition] = STATE(487),
    [sym_lambda_function] = STATE(487),
    [sym_if] = STATE(487),
    [sym_while] = STATE(487),
    [sym_repeat] = STATE(487),
    [sym_for] = STATE(487),
    [sym_switch] = STATE(487),
    [sym_call] = STATE(487),
    [sym__assignment] = STATE(487),
    [sym_left_assignment] = STATE(487),
    [sym_left_assignment2] = STATE(487),
    [sym_equals_assignment] = STATE(487),
    [sym_super_assignment] = STATE(487),
    [sym_super_right_assignment] = STATE(487),
    [sym_right_assignment] = STATE(487),
    [sym_brace_list] = STATE(487),
    [sym_paren_list] = STATE(487),
    [sym_subset] = STATE(487),
    [sym_subset2] = STATE(487),
    [sym_dollar] = STATE(487),
    [sym_slot] = STATE(487),
    [sym_namespace_get] = STATE(487),
    [sym_namespace_get_internal] = STATE(487),
    [sym_help] = STATE(487),
    [sym_pipe] = STATE(487),
    [sym_unary] = STATE(487),
    [sym_binary] = STATE(487),
    [sym_na] = STATE(487),
    [sym__expression] = STATE(487),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(487),
    [sym_string] = STATE(487),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1913),
    [sym_next] = ACTIONS(1913),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [sym_null] = ACTIONS(1913),
    [sym_inf] = ACTIONS(1913),
    [sym_nan] = ACTIONS(1913),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1915),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [326] = {
    [sym_function_definition] = STATE(397),
    [sym_lambda_function] = STATE(397),
    [sym_if] = STATE(397),
    [sym_while] = STATE(397),
    [sym_repeat] = STATE(397),
    [sym_for] = STATE(397),
    [sym_switch] = STATE(397),
    [sym_call] = STATE(397),
    [sym__assignment] = STATE(397),
    [sym_left_assignment] = STATE(397),
    [sym_left_assignment2] = STATE(397),
    [sym_equals_assignment] = STATE(397),
    [sym_super_assignment] = STATE(397),
    [sym_super_right_assignment] = STATE(397),
    [sym_right_assignment] = STATE(397),
    [sym_brace_list] = STATE(397),
    [sym_paren_list] = STATE(397),
    [sym_subset] = STATE(397),
    [sym_subset2] = STATE(397),
    [sym_dollar] = STATE(397),
    [sym_slot] = STATE(397),
    [sym_namespace_get] = STATE(397),
    [sym_namespace_get_internal] = STATE(397),
    [sym_help] = STATE(397),
    [sym_pipe] = STATE(397),
    [sym_unary] = STATE(397),
    [sym_binary] = STATE(397),
    [sym_na] = STATE(397),
    [sym__expression] = STATE(397),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(397),
    [sym_string] = STATE(397),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1917),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1917),
    [sym_next] = ACTIONS(1917),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [sym_null] = ACTIONS(1917),
    [sym_inf] = ACTIONS(1917),
    [sym_nan] = ACTIONS(1917),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1919),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [327] = {
    [sym_function_definition] = STATE(489),
    [sym_lambda_function] = STATE(489),
    [sym_if] = STATE(489),
    [sym_while] = STATE(489),
    [sym_repeat] = STATE(489),
    [sym_for] = STATE(489),
    [sym_switch] = STATE(489),
    [sym_call] = STATE(489),
    [sym__assignment] = STATE(489),
    [sym_left_assignment] = STATE(489),
    [sym_left_assignment2] = STATE(489),
    [sym_equals_assignment] = STATE(489),
    [sym_super_assignment] = STATE(489),
    [sym_super_right_assignment] = STATE(489),
    [sym_right_assignment] = STATE(489),
    [sym_brace_list] = STATE(489),
    [sym_paren_list] = STATE(489),
    [sym_subset] = STATE(489),
    [sym_subset2] = STATE(489),
    [sym_dollar] = STATE(489),
    [sym_slot] = STATE(489),
    [sym_namespace_get] = STATE(489),
    [sym_namespace_get_internal] = STATE(489),
    [sym_help] = STATE(489),
    [sym_pipe] = STATE(489),
    [sym_unary] = STATE(489),
    [sym_binary] = STATE(489),
    [sym_na] = STATE(489),
    [sym__expression] = STATE(489),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(489),
    [sym_string] = STATE(489),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1921),
    [sym_next] = ACTIONS(1921),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [sym_null] = ACTIONS(1921),
    [sym_inf] = ACTIONS(1921),
    [sym_nan] = ACTIONS(1921),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1923),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [328] = {
    [sym_function_definition] = STATE(490),
    [sym_lambda_function] = STATE(490),
    [sym_if] = STATE(490),
    [sym_while] = STATE(490),
    [sym_repeat] = STATE(490),
    [sym_for] = STATE(490),
    [sym_switch] = STATE(490),
    [sym_call] = STATE(490),
    [sym__assignment] = STATE(490),
    [sym_left_assignment] = STATE(490),
    [sym_left_assignment2] = STATE(490),
    [sym_equals_assignment] = STATE(490),
    [sym_super_assignment] = STATE(490),
    [sym_super_right_assignment] = STATE(490),
    [sym_right_assignment] = STATE(490),
    [sym_brace_list] = STATE(490),
    [sym_paren_list] = STATE(490),
    [sym_subset] = STATE(490),
    [sym_subset2] = STATE(490),
    [sym_dollar] = STATE(490),
    [sym_slot] = STATE(490),
    [sym_namespace_get] = STATE(490),
    [sym_namespace_get_internal] = STATE(490),
    [sym_help] = STATE(490),
    [sym_pipe] = STATE(490),
    [sym_unary] = STATE(490),
    [sym_binary] = STATE(490),
    [sym_na] = STATE(490),
    [sym__expression] = STATE(490),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(490),
    [sym_string] = STATE(490),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1925),
    [sym_next] = ACTIONS(1925),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [sym_null] = ACTIONS(1925),
    [sym_inf] = ACTIONS(1925),
    [sym_nan] = ACTIONS(1925),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1927),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [329] = {
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_BSLASH] = ACTIONS(1815),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1815),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_else] = ACTIONS(1813),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_repeat] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_COMMA] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_COLON_EQ] = ACTIONS(1815),
    [anon_sym_LT_LT_DASH] = ACTIONS(1815),
    [anon_sym_DASH_GT_GT] = ACTIONS(1815),
    [anon_sym_DASH_GT] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_RBRACK] = ACTIONS(1815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1815),
    [anon_sym_DOLLAR] = ACTIONS(1815),
    [anon_sym_AT] = ACTIONS(1815),
    [anon_sym_COLON_COLON] = ACTIONS(1813),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1815),
    [anon_sym_QMARK] = ACTIONS(1815),
    [sym_dots] = ACTIONS(1813),
    [anon_sym_PIPE_GT] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_CARET] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1815),
    [anon_sym_GT_EQ] = ACTIONS(1815),
    [anon_sym_EQ_EQ] = ACTIONS(1815),
    [anon_sym_BANG_EQ] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1815),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1815),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_break] = ACTIONS(1813),
    [sym_next] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_inf] = ACTIONS(1813),
    [sym_nan] = ACTIONS(1813),
    [anon_sym_NA] = ACTIONS(1813),
    [anon_sym_NA_character_] = ACTIONS(1813),
    [anon_sym_NA_complex_] = ACTIONS(1813),
    [anon_sym_NA_integer_] = ACTIONS(1813),
    [anon_sym_NA_real_] = ACTIONS(1813),
    [aux_sym_identifier_token1] = ACTIONS(1813),
    [anon_sym_BQUOTE] = ACTIONS(1815),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_PERCENT] = ACTIONS(1815),
    [sym__raw_string_literal] = ACTIONS(1815),
  },
  [330] = {
    [sym_function_definition] = STATE(492),
    [sym_lambda_function] = STATE(492),
    [sym_if] = STATE(492),
    [sym_while] = STATE(492),
    [sym_repeat] = STATE(492),
    [sym_for] = STATE(492),
    [sym_switch] = STATE(492),
    [sym_call] = STATE(492),
    [sym__assignment] = STATE(492),
    [sym_left_assignment] = STATE(492),
    [sym_left_assignment2] = STATE(492),
    [sym_equals_assignment] = STATE(492),
    [sym_super_assignment] = STATE(492),
    [sym_super_right_assignment] = STATE(492),
    [sym_right_assignment] = STATE(492),
    [sym_brace_list] = STATE(492),
    [sym_paren_list] = STATE(492),
    [sym_subset] = STATE(492),
    [sym_subset2] = STATE(492),
    [sym_dollar] = STATE(492),
    [sym_slot] = STATE(492),
    [sym_namespace_get] = STATE(492),
    [sym_namespace_get_internal] = STATE(492),
    [sym_help] = STATE(492),
    [sym_pipe] = STATE(492),
    [sym_unary] = STATE(492),
    [sym_binary] = STATE(492),
    [sym_na] = STATE(492),
    [sym__expression] = STATE(492),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(492),
    [sym_string] = STATE(492),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1929),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1929),
    [sym_next] = ACTIONS(1929),
    [sym_true] = ACTIONS(1929),
    [sym_false] = ACTIONS(1929),
    [sym_null] = ACTIONS(1929),
    [sym_inf] = ACTIONS(1929),
    [sym_nan] = ACTIONS(1929),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1931),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [331] = {
    [sym_function_definition] = STATE(493),
    [sym_lambda_function] = STATE(493),
    [sym_if] = STATE(493),
    [sym_while] = STATE(493),
    [sym_repeat] = STATE(493),
    [sym_for] = STATE(493),
    [sym_switch] = STATE(493),
    [sym_call] = STATE(493),
    [sym__assignment] = STATE(493),
    [sym_left_assignment] = STATE(493),
    [sym_left_assignment2] = STATE(493),
    [sym_equals_assignment] = STATE(493),
    [sym_super_assignment] = STATE(493),
    [sym_super_right_assignment] = STATE(493),
    [sym_right_assignment] = STATE(493),
    [sym_brace_list] = STATE(493),
    [sym_paren_list] = STATE(493),
    [sym_subset] = STATE(493),
    [sym_subset2] = STATE(493),
    [sym_dollar] = STATE(493),
    [sym_slot] = STATE(493),
    [sym_namespace_get] = STATE(493),
    [sym_namespace_get_internal] = STATE(493),
    [sym_help] = STATE(493),
    [sym_pipe] = STATE(493),
    [sym_unary] = STATE(493),
    [sym_binary] = STATE(493),
    [sym_na] = STATE(493),
    [sym__expression] = STATE(493),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(493),
    [sym_string] = STATE(493),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1933),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1933),
    [sym_next] = ACTIONS(1933),
    [sym_true] = ACTIONS(1933),
    [sym_false] = ACTIONS(1933),
    [sym_null] = ACTIONS(1933),
    [sym_inf] = ACTIONS(1933),
    [sym_nan] = ACTIONS(1933),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1935),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [332] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(1937),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [333] = {
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_repeat] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_LT_DASH] = ACTIONS(1851),
    [anon_sym_COLON_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_DASH] = ACTIONS(1851),
    [anon_sym_DASH_GT_GT] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_RBRACK] = ACTIONS(1851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [sym_dots] = ACTIONS(1849),
    [anon_sym_PIPE_GT] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_break] = ACTIONS(1849),
    [sym_next] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_inf] = ACTIONS(1849),
    [sym_nan] = ACTIONS(1849),
    [anon_sym_NA] = ACTIONS(1849),
    [anon_sym_NA_character_] = ACTIONS(1849),
    [anon_sym_NA_complex_] = ACTIONS(1849),
    [anon_sym_NA_integer_] = ACTIONS(1849),
    [anon_sym_NA_real_] = ACTIONS(1849),
    [aux_sym_identifier_token1] = ACTIONS(1849),
    [anon_sym_BQUOTE] = ACTIONS(1851),
    [sym_integer] = ACTIONS(1851),
    [sym_float] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1851),
    [anon_sym_SQUOTE] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [sym__raw_string_literal] = ACTIONS(1851),
  },
  [334] = {
    [sym_function_definition] = STATE(455),
    [sym_lambda_function] = STATE(455),
    [sym_if] = STATE(455),
    [sym_while] = STATE(455),
    [sym_repeat] = STATE(455),
    [sym_for] = STATE(455),
    [sym_switch] = STATE(455),
    [sym_call] = STATE(455),
    [sym__assignment] = STATE(455),
    [sym_left_assignment] = STATE(455),
    [sym_left_assignment2] = STATE(455),
    [sym_equals_assignment] = STATE(455),
    [sym_super_assignment] = STATE(455),
    [sym_super_right_assignment] = STATE(455),
    [sym_right_assignment] = STATE(455),
    [sym_brace_list] = STATE(455),
    [sym_paren_list] = STATE(455),
    [sym_subset] = STATE(455),
    [sym_subset2] = STATE(455),
    [sym_dollar] = STATE(455),
    [sym_slot] = STATE(455),
    [sym_namespace_get] = STATE(455),
    [sym_namespace_get_internal] = STATE(455),
    [sym_help] = STATE(455),
    [sym_pipe] = STATE(455),
    [sym_unary] = STATE(455),
    [sym_binary] = STATE(455),
    [sym_na] = STATE(455),
    [sym__expression] = STATE(455),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(455),
    [sym_string] = STATE(455),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1941),
    [sym_next] = ACTIONS(1941),
    [sym_true] = ACTIONS(1941),
    [sym_false] = ACTIONS(1941),
    [sym_null] = ACTIONS(1941),
    [sym_inf] = ACTIONS(1941),
    [sym_nan] = ACTIONS(1941),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1943),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [335] = {
    [sym_function_definition] = STATE(454),
    [sym_lambda_function] = STATE(454),
    [sym_if] = STATE(454),
    [sym_while] = STATE(454),
    [sym_repeat] = STATE(454),
    [sym_for] = STATE(454),
    [sym_switch] = STATE(454),
    [sym_call] = STATE(454),
    [sym__assignment] = STATE(454),
    [sym_left_assignment] = STATE(454),
    [sym_left_assignment2] = STATE(454),
    [sym_equals_assignment] = STATE(454),
    [sym_super_assignment] = STATE(454),
    [sym_super_right_assignment] = STATE(454),
    [sym_right_assignment] = STATE(454),
    [sym_brace_list] = STATE(454),
    [sym_paren_list] = STATE(454),
    [sym_subset] = STATE(454),
    [sym_subset2] = STATE(454),
    [sym_dollar] = STATE(454),
    [sym_slot] = STATE(454),
    [sym_namespace_get] = STATE(454),
    [sym_namespace_get_internal] = STATE(454),
    [sym_help] = STATE(454),
    [sym_pipe] = STATE(454),
    [sym_unary] = STATE(454),
    [sym_binary] = STATE(454),
    [sym_na] = STATE(454),
    [sym__expression] = STATE(454),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(454),
    [sym_string] = STATE(454),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1945),
    [sym_next] = ACTIONS(1945),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [sym_null] = ACTIONS(1945),
    [sym_inf] = ACTIONS(1945),
    [sym_nan] = ACTIONS(1945),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1947),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [336] = {
    [sym_function_definition] = STATE(453),
    [sym_lambda_function] = STATE(453),
    [sym_if] = STATE(453),
    [sym_while] = STATE(453),
    [sym_repeat] = STATE(453),
    [sym_for] = STATE(453),
    [sym_switch] = STATE(453),
    [sym_call] = STATE(453),
    [sym__assignment] = STATE(453),
    [sym_left_assignment] = STATE(453),
    [sym_left_assignment2] = STATE(453),
    [sym_equals_assignment] = STATE(453),
    [sym_super_assignment] = STATE(453),
    [sym_super_right_assignment] = STATE(453),
    [sym_right_assignment] = STATE(453),
    [sym_brace_list] = STATE(453),
    [sym_paren_list] = STATE(453),
    [sym_subset] = STATE(453),
    [sym_subset2] = STATE(453),
    [sym_dollar] = STATE(453),
    [sym_slot] = STATE(453),
    [sym_namespace_get] = STATE(453),
    [sym_namespace_get_internal] = STATE(453),
    [sym_help] = STATE(453),
    [sym_pipe] = STATE(453),
    [sym_unary] = STATE(453),
    [sym_binary] = STATE(453),
    [sym_na] = STATE(453),
    [sym__expression] = STATE(453),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(453),
    [sym_string] = STATE(453),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1949),
    [sym_next] = ACTIONS(1949),
    [sym_true] = ACTIONS(1949),
    [sym_false] = ACTIONS(1949),
    [sym_null] = ACTIONS(1949),
    [sym_inf] = ACTIONS(1949),
    [sym_nan] = ACTIONS(1949),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1951),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [337] = {
    [sym_function_definition] = STATE(452),
    [sym_lambda_function] = STATE(452),
    [sym_if] = STATE(452),
    [sym_while] = STATE(452),
    [sym_repeat] = STATE(452),
    [sym_for] = STATE(452),
    [sym_switch] = STATE(452),
    [sym_call] = STATE(452),
    [sym__assignment] = STATE(452),
    [sym_left_assignment] = STATE(452),
    [sym_left_assignment2] = STATE(452),
    [sym_equals_assignment] = STATE(452),
    [sym_super_assignment] = STATE(452),
    [sym_super_right_assignment] = STATE(452),
    [sym_right_assignment] = STATE(452),
    [sym_brace_list] = STATE(452),
    [sym_paren_list] = STATE(452),
    [sym_subset] = STATE(452),
    [sym_subset2] = STATE(452),
    [sym_dollar] = STATE(452),
    [sym_slot] = STATE(452),
    [sym_namespace_get] = STATE(452),
    [sym_namespace_get_internal] = STATE(452),
    [sym_help] = STATE(452),
    [sym_pipe] = STATE(452),
    [sym_unary] = STATE(452),
    [sym_binary] = STATE(452),
    [sym_na] = STATE(452),
    [sym__expression] = STATE(452),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(452),
    [sym_string] = STATE(452),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1953),
    [sym_next] = ACTIONS(1953),
    [sym_true] = ACTIONS(1953),
    [sym_false] = ACTIONS(1953),
    [sym_null] = ACTIONS(1953),
    [sym_inf] = ACTIONS(1953),
    [sym_nan] = ACTIONS(1953),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1955),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [338] = {
    [sym_function_definition] = STATE(450),
    [sym_lambda_function] = STATE(450),
    [sym_if] = STATE(450),
    [sym_while] = STATE(450),
    [sym_repeat] = STATE(450),
    [sym_for] = STATE(450),
    [sym_switch] = STATE(450),
    [sym_call] = STATE(450),
    [sym__assignment] = STATE(450),
    [sym_left_assignment] = STATE(450),
    [sym_left_assignment2] = STATE(450),
    [sym_equals_assignment] = STATE(450),
    [sym_super_assignment] = STATE(450),
    [sym_super_right_assignment] = STATE(450),
    [sym_right_assignment] = STATE(450),
    [sym_brace_list] = STATE(450),
    [sym_paren_list] = STATE(450),
    [sym_subset] = STATE(450),
    [sym_subset2] = STATE(450),
    [sym_dollar] = STATE(450),
    [sym_slot] = STATE(450),
    [sym_namespace_get] = STATE(450),
    [sym_namespace_get_internal] = STATE(450),
    [sym_help] = STATE(450),
    [sym_pipe] = STATE(450),
    [sym_unary] = STATE(450),
    [sym_binary] = STATE(450),
    [sym_na] = STATE(450),
    [sym__expression] = STATE(450),
    [sym_identifier] = STATE(372),
    [sym_complex] = STATE(450),
    [sym_string] = STATE(450),
    [anon_sym_function] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1033),
    [sym_dots] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1041),
    [sym_break] = ACTIONS(1957),
    [sym_next] = ACTIONS(1957),
    [sym_true] = ACTIONS(1957),
    [sym_false] = ACTIONS(1957),
    [sym_null] = ACTIONS(1957),
    [sym_inf] = ACTIONS(1957),
    [sym_nan] = ACTIONS(1957),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1959),
    [sym_float] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym__raw_string_literal] = ACTIONS(1057),
  },
  [339] = {
    [sym_function_definition] = STATE(584),
    [sym_lambda_function] = STATE(584),
    [sym_if] = STATE(584),
    [sym_while] = STATE(584),
    [sym_repeat] = STATE(584),
    [sym_for] = STATE(584),
    [sym_switch] = STATE(584),
    [sym_call] = STATE(584),
    [sym__assignment] = STATE(584),
    [sym_left_assignment] = STATE(584),
    [sym_left_assignment2] = STATE(584),
    [sym_equals_assignment] = STATE(584),
    [sym_super_assignment] = STATE(584),
    [sym_super_right_assignment] = STATE(584),
    [sym_right_assignment] = STATE(584),
    [sym_brace_list] = STATE(584),
    [sym_paren_list] = STATE(584),
    [sym_subset] = STATE(584),
    [sym_subset2] = STATE(584),
    [sym_dollar] = STATE(584),
    [sym_slot] = STATE(584),
    [sym_namespace_get] = STATE(584),
    [sym_namespace_get_internal] = STATE(584),
    [sym_help] = STATE(584),
    [sym_pipe] = STATE(584),
    [sym_unary] = STATE(584),
    [sym_binary] = STATE(584),
    [sym_na] = STATE(584),
    [sym__expression] = STATE(584),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(584),
    [sym_string] = STATE(584),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1961),
    [sym_next] = ACTIONS(1961),
    [sym_true] = ACTIONS(1961),
    [sym_false] = ACTIONS(1961),
    [sym_null] = ACTIONS(1961),
    [sym_inf] = ACTIONS(1961),
    [sym_nan] = ACTIONS(1961),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1963),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [340] = {
    [sym_function_definition] = STATE(709),
    [sym_lambda_function] = STATE(709),
    [sym_if] = STATE(709),
    [sym_while] = STATE(709),
    [sym_repeat] = STATE(709),
    [sym_for] = STATE(709),
    [sym_switch] = STATE(709),
    [sym_call] = STATE(709),
    [sym__assignment] = STATE(709),
    [sym_left_assignment] = STATE(709),
    [sym_left_assignment2] = STATE(709),
    [sym_equals_assignment] = STATE(709),
    [sym_super_assignment] = STATE(709),
    [sym_super_right_assignment] = STATE(709),
    [sym_right_assignment] = STATE(709),
    [sym_brace_list] = STATE(709),
    [sym_paren_list] = STATE(709),
    [sym_subset] = STATE(709),
    [sym_subset2] = STATE(709),
    [sym_dollar] = STATE(709),
    [sym_slot] = STATE(709),
    [sym_namespace_get] = STATE(709),
    [sym_namespace_get_internal] = STATE(709),
    [sym_help] = STATE(709),
    [sym_pipe] = STATE(709),
    [sym_unary] = STATE(709),
    [sym_binary] = STATE(709),
    [sym_na] = STATE(709),
    [sym__expression] = STATE(709),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(709),
    [sym_string] = STATE(709),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(1965),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(1965),
    [sym_next] = ACTIONS(1965),
    [sym_true] = ACTIONS(1965),
    [sym_false] = ACTIONS(1965),
    [sym_null] = ACTIONS(1965),
    [sym_inf] = ACTIONS(1965),
    [sym_nan] = ACTIONS(1965),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(1967),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [341] = {
    [sym_function_definition] = STATE(705),
    [sym_lambda_function] = STATE(705),
    [sym_if] = STATE(705),
    [sym_while] = STATE(705),
    [sym_repeat] = STATE(705),
    [sym_for] = STATE(705),
    [sym_switch] = STATE(705),
    [sym_call] = STATE(705),
    [sym__assignment] = STATE(705),
    [sym_left_assignment] = STATE(705),
    [sym_left_assignment2] = STATE(705),
    [sym_equals_assignment] = STATE(705),
    [sym_super_assignment] = STATE(705),
    [sym_super_right_assignment] = STATE(705),
    [sym_right_assignment] = STATE(705),
    [sym_brace_list] = STATE(705),
    [sym_paren_list] = STATE(705),
    [sym_subset] = STATE(705),
    [sym_subset2] = STATE(705),
    [sym_dollar] = STATE(705),
    [sym_slot] = STATE(705),
    [sym_namespace_get] = STATE(705),
    [sym_namespace_get_internal] = STATE(705),
    [sym_help] = STATE(705),
    [sym_pipe] = STATE(705),
    [sym_unary] = STATE(705),
    [sym_binary] = STATE(705),
    [sym_na] = STATE(705),
    [sym__expression] = STATE(705),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(705),
    [sym_string] = STATE(705),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(1969),
    [sym_next] = ACTIONS(1969),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [sym_null] = ACTIONS(1969),
    [sym_inf] = ACTIONS(1969),
    [sym_nan] = ACTIONS(1969),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(1971),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [342] = {
    [sym_function_definition] = STATE(702),
    [sym_lambda_function] = STATE(702),
    [sym_if] = STATE(702),
    [sym_while] = STATE(702),
    [sym_repeat] = STATE(702),
    [sym_for] = STATE(702),
    [sym_switch] = STATE(702),
    [sym_call] = STATE(702),
    [sym__assignment] = STATE(702),
    [sym_left_assignment] = STATE(702),
    [sym_left_assignment2] = STATE(702),
    [sym_equals_assignment] = STATE(702),
    [sym_super_assignment] = STATE(702),
    [sym_super_right_assignment] = STATE(702),
    [sym_right_assignment] = STATE(702),
    [sym_brace_list] = STATE(702),
    [sym_paren_list] = STATE(702),
    [sym_subset] = STATE(702),
    [sym_subset2] = STATE(702),
    [sym_dollar] = STATE(702),
    [sym_slot] = STATE(702),
    [sym_namespace_get] = STATE(702),
    [sym_namespace_get_internal] = STATE(702),
    [sym_help] = STATE(702),
    [sym_pipe] = STATE(702),
    [sym_unary] = STATE(702),
    [sym_binary] = STATE(702),
    [sym_na] = STATE(702),
    [sym__expression] = STATE(702),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(702),
    [sym_string] = STATE(702),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(1973),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(1973),
    [sym_next] = ACTIONS(1973),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [sym_null] = ACTIONS(1973),
    [sym_inf] = ACTIONS(1973),
    [sym_nan] = ACTIONS(1973),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(1975),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [anon_sym_LF] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1795),
    [anon_sym_BSLASH] = ACTIONS(1795),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_else] = ACTIONS(1795),
    [anon_sym_while] = ACTIONS(1795),
    [anon_sym_repeat] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1795),
    [anon_sym_switch] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1795),
    [anon_sym_LT_DASH] = ACTIONS(1795),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_DASH] = ACTIONS(1795),
    [anon_sym_DASH_GT_GT] = ACTIONS(1795),
    [anon_sym_DASH_GT] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1795),
    [anon_sym_DOLLAR] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1795),
    [anon_sym_QMARK] = ACTIONS(1795),
    [sym_dots] = ACTIONS(1795),
    [anon_sym_PIPE_GT] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_EQ_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(1795),
    [sym_break] = ACTIONS(1795),
    [sym_next] = ACTIONS(1795),
    [sym_true] = ACTIONS(1795),
    [sym_false] = ACTIONS(1795),
    [sym_null] = ACTIONS(1795),
    [sym_inf] = ACTIONS(1795),
    [sym_nan] = ACTIONS(1795),
    [anon_sym_NA] = ACTIONS(1795),
    [anon_sym_NA_character_] = ACTIONS(1795),
    [anon_sym_NA_complex_] = ACTIONS(1795),
    [anon_sym_NA_integer_] = ACTIONS(1795),
    [anon_sym_NA_real_] = ACTIONS(1795),
    [aux_sym_identifier_token1] = ACTIONS(1795),
    [anon_sym_BQUOTE] = ACTIONS(1795),
    [sym_integer] = ACTIONS(1795),
    [sym_float] = ACTIONS(1795),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1795),
    [anon_sym_SQUOTE] = ACTIONS(1795),
    [anon_sym_PERCENT] = ACTIONS(1795),
    [sym__raw_string_literal] = ACTIONS(1799),
  },
  [344] = {
    [sym_function_definition] = STATE(701),
    [sym_lambda_function] = STATE(701),
    [sym_if] = STATE(701),
    [sym_while] = STATE(701),
    [sym_repeat] = STATE(701),
    [sym_for] = STATE(701),
    [sym_switch] = STATE(701),
    [sym_call] = STATE(701),
    [sym__assignment] = STATE(701),
    [sym_left_assignment] = STATE(701),
    [sym_left_assignment2] = STATE(701),
    [sym_equals_assignment] = STATE(701),
    [sym_super_assignment] = STATE(701),
    [sym_super_right_assignment] = STATE(701),
    [sym_right_assignment] = STATE(701),
    [sym_brace_list] = STATE(701),
    [sym_paren_list] = STATE(701),
    [sym_subset] = STATE(701),
    [sym_subset2] = STATE(701),
    [sym_dollar] = STATE(701),
    [sym_slot] = STATE(701),
    [sym_namespace_get] = STATE(701),
    [sym_namespace_get_internal] = STATE(701),
    [sym_help] = STATE(701),
    [sym_pipe] = STATE(701),
    [sym_unary] = STATE(701),
    [sym_binary] = STATE(701),
    [sym_na] = STATE(701),
    [sym__expression] = STATE(701),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(701),
    [sym_string] = STATE(701),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(1977),
    [sym_next] = ACTIONS(1977),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_inf] = ACTIONS(1977),
    [sym_nan] = ACTIONS(1977),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(1979),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [345] = {
    [sym_function_definition] = STATE(697),
    [sym_lambda_function] = STATE(697),
    [sym_if] = STATE(697),
    [sym_while] = STATE(697),
    [sym_repeat] = STATE(697),
    [sym_for] = STATE(697),
    [sym_switch] = STATE(697),
    [sym_call] = STATE(697),
    [sym__assignment] = STATE(697),
    [sym_left_assignment] = STATE(697),
    [sym_left_assignment2] = STATE(697),
    [sym_equals_assignment] = STATE(697),
    [sym_super_assignment] = STATE(697),
    [sym_super_right_assignment] = STATE(697),
    [sym_right_assignment] = STATE(697),
    [sym_brace_list] = STATE(697),
    [sym_paren_list] = STATE(697),
    [sym_subset] = STATE(697),
    [sym_subset2] = STATE(697),
    [sym_dollar] = STATE(697),
    [sym_slot] = STATE(697),
    [sym_namespace_get] = STATE(697),
    [sym_namespace_get_internal] = STATE(697),
    [sym_help] = STATE(697),
    [sym_pipe] = STATE(697),
    [sym_unary] = STATE(697),
    [sym_binary] = STATE(697),
    [sym_na] = STATE(697),
    [sym__expression] = STATE(697),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(697),
    [sym_string] = STATE(697),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(1981),
    [sym_next] = ACTIONS(1981),
    [sym_true] = ACTIONS(1981),
    [sym_false] = ACTIONS(1981),
    [sym_null] = ACTIONS(1981),
    [sym_inf] = ACTIONS(1981),
    [sym_nan] = ACTIONS(1981),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(1983),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [346] = {
    [sym_function_definition] = STATE(605),
    [sym_lambda_function] = STATE(605),
    [sym_if] = STATE(605),
    [sym_while] = STATE(605),
    [sym_repeat] = STATE(605),
    [sym_for] = STATE(605),
    [sym_switch] = STATE(605),
    [sym_call] = STATE(605),
    [sym__assignment] = STATE(605),
    [sym_left_assignment] = STATE(605),
    [sym_left_assignment2] = STATE(605),
    [sym_equals_assignment] = STATE(605),
    [sym_super_assignment] = STATE(605),
    [sym_super_right_assignment] = STATE(605),
    [sym_right_assignment] = STATE(605),
    [sym_brace_list] = STATE(605),
    [sym_paren_list] = STATE(605),
    [sym_subset] = STATE(605),
    [sym_subset2] = STATE(605),
    [sym_dollar] = STATE(605),
    [sym_slot] = STATE(605),
    [sym_namespace_get] = STATE(605),
    [sym_namespace_get_internal] = STATE(605),
    [sym_help] = STATE(605),
    [sym_pipe] = STATE(605),
    [sym_unary] = STATE(605),
    [sym_binary] = STATE(605),
    [sym_na] = STATE(605),
    [sym__expression] = STATE(605),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(605),
    [sym_string] = STATE(605),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1985),
    [sym_next] = ACTIONS(1985),
    [sym_true] = ACTIONS(1985),
    [sym_false] = ACTIONS(1985),
    [sym_null] = ACTIONS(1985),
    [sym_inf] = ACTIONS(1985),
    [sym_nan] = ACTIONS(1985),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1987),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [347] = {
    [sym_function_definition] = STATE(609),
    [sym_lambda_function] = STATE(609),
    [sym_if] = STATE(609),
    [sym_while] = STATE(609),
    [sym_repeat] = STATE(609),
    [sym_for] = STATE(609),
    [sym_switch] = STATE(609),
    [sym_call] = STATE(609),
    [sym__assignment] = STATE(609),
    [sym_left_assignment] = STATE(609),
    [sym_left_assignment2] = STATE(609),
    [sym_equals_assignment] = STATE(609),
    [sym_super_assignment] = STATE(609),
    [sym_super_right_assignment] = STATE(609),
    [sym_right_assignment] = STATE(609),
    [sym_brace_list] = STATE(609),
    [sym_paren_list] = STATE(609),
    [sym_subset] = STATE(609),
    [sym_subset2] = STATE(609),
    [sym_dollar] = STATE(609),
    [sym_slot] = STATE(609),
    [sym_namespace_get] = STATE(609),
    [sym_namespace_get_internal] = STATE(609),
    [sym_help] = STATE(609),
    [sym_pipe] = STATE(609),
    [sym_unary] = STATE(609),
    [sym_binary] = STATE(609),
    [sym_na] = STATE(609),
    [sym__expression] = STATE(609),
    [sym_identifier] = STATE(405),
    [sym_complex] = STATE(609),
    [sym_string] = STATE(609),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_BSLASH] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_while] = ACTIONS(477),
    [anon_sym_repeat] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(489),
    [sym_dots] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(497),
    [sym_break] = ACTIONS(1989),
    [sym_next] = ACTIONS(1989),
    [sym_true] = ACTIONS(1989),
    [sym_false] = ACTIONS(1989),
    [sym_null] = ACTIONS(1989),
    [sym_inf] = ACTIONS(1989),
    [sym_nan] = ACTIONS(1989),
    [anon_sym_NA] = ACTIONS(499),
    [anon_sym_NA_character_] = ACTIONS(499),
    [anon_sym_NA_complex_] = ACTIONS(499),
    [anon_sym_NA_integer_] = ACTIONS(499),
    [anon_sym_NA_real_] = ACTIONS(499),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [sym_integer] = ACTIONS(1991),
    [sym_float] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [sym__raw_string_literal] = ACTIONS(513),
  },
  [348] = {
    [sym_function_definition] = STATE(696),
    [sym_lambda_function] = STATE(696),
    [sym_if] = STATE(696),
    [sym_while] = STATE(696),
    [sym_repeat] = STATE(696),
    [sym_for] = STATE(696),
    [sym_switch] = STATE(696),
    [sym_call] = STATE(696),
    [sym__assignment] = STATE(696),
    [sym_left_assignment] = STATE(696),
    [sym_left_assignment2] = STATE(696),
    [sym_equals_assignment] = STATE(696),
    [sym_super_assignment] = STATE(696),
    [sym_super_right_assignment] = STATE(696),
    [sym_right_assignment] = STATE(696),
    [sym_brace_list] = STATE(696),
    [sym_paren_list] = STATE(696),
    [sym_subset] = STATE(696),
    [sym_subset2] = STATE(696),
    [sym_dollar] = STATE(696),
    [sym_slot] = STATE(696),
    [sym_namespace_get] = STATE(696),
    [sym_namespace_get_internal] = STATE(696),
    [sym_help] = STATE(696),
    [sym_pipe] = STATE(696),
    [sym_unary] = STATE(696),
    [sym_binary] = STATE(696),
    [sym_na] = STATE(696),
    [sym__expression] = STATE(696),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(696),
    [sym_string] = STATE(696),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(1993),
    [sym_next] = ACTIONS(1993),
    [sym_true] = ACTIONS(1993),
    [sym_false] = ACTIONS(1993),
    [sym_null] = ACTIONS(1993),
    [sym_inf] = ACTIONS(1993),
    [sym_nan] = ACTIONS(1993),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [349] = {
    [sym_function_definition] = STATE(695),
    [sym_lambda_function] = STATE(695),
    [sym_if] = STATE(695),
    [sym_while] = STATE(695),
    [sym_repeat] = STATE(695),
    [sym_for] = STATE(695),
    [sym_switch] = STATE(695),
    [sym_call] = STATE(695),
    [sym__assignment] = STATE(695),
    [sym_left_assignment] = STATE(695),
    [sym_left_assignment2] = STATE(695),
    [sym_equals_assignment] = STATE(695),
    [sym_super_assignment] = STATE(695),
    [sym_super_right_assignment] = STATE(695),
    [sym_right_assignment] = STATE(695),
    [sym_brace_list] = STATE(695),
    [sym_paren_list] = STATE(695),
    [sym_subset] = STATE(695),
    [sym_subset2] = STATE(695),
    [sym_dollar] = STATE(695),
    [sym_slot] = STATE(695),
    [sym_namespace_get] = STATE(695),
    [sym_namespace_get_internal] = STATE(695),
    [sym_help] = STATE(695),
    [sym_pipe] = STATE(695),
    [sym_unary] = STATE(695),
    [sym_binary] = STATE(695),
    [sym_na] = STATE(695),
    [sym__expression] = STATE(695),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(695),
    [sym_string] = STATE(695),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(1997),
    [sym_next] = ACTIONS(1997),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [sym_null] = ACTIONS(1997),
    [sym_inf] = ACTIONS(1997),
    [sym_nan] = ACTIONS(1997),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(1999),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [350] = {
    [sym_function_definition] = STATE(777),
    [sym_lambda_function] = STATE(777),
    [sym_if] = STATE(777),
    [sym_while] = STATE(777),
    [sym_repeat] = STATE(777),
    [sym_for] = STATE(777),
    [sym_switch] = STATE(777),
    [sym_call] = STATE(777),
    [sym__assignment] = STATE(777),
    [sym_left_assignment] = STATE(777),
    [sym_left_assignment2] = STATE(777),
    [sym_equals_assignment] = STATE(777),
    [sym_super_assignment] = STATE(777),
    [sym_super_right_assignment] = STATE(777),
    [sym_right_assignment] = STATE(777),
    [sym_brace_list] = STATE(777),
    [sym_paren_list] = STATE(777),
    [sym_subset] = STATE(777),
    [sym_subset2] = STATE(777),
    [sym_dollar] = STATE(777),
    [sym_slot] = STATE(777),
    [sym_namespace_get] = STATE(777),
    [sym_namespace_get_internal] = STATE(777),
    [sym_help] = STATE(777),
    [sym_pipe] = STATE(777),
    [sym_unary] = STATE(777),
    [sym_binary] = STATE(777),
    [sym_na] = STATE(777),
    [sym__expression] = STATE(777),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(777),
    [sym_string] = STATE(777),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2001),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2001),
    [sym_next] = ACTIONS(2001),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_inf] = ACTIONS(2001),
    [sym_nan] = ACTIONS(2001),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2003),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [351] = {
    [sym_function_definition] = STATE(782),
    [sym_lambda_function] = STATE(782),
    [sym_if] = STATE(782),
    [sym_while] = STATE(782),
    [sym_repeat] = STATE(782),
    [sym_for] = STATE(782),
    [sym_switch] = STATE(782),
    [sym_call] = STATE(782),
    [sym__assignment] = STATE(782),
    [sym_left_assignment] = STATE(782),
    [sym_left_assignment2] = STATE(782),
    [sym_equals_assignment] = STATE(782),
    [sym_super_assignment] = STATE(782),
    [sym_super_right_assignment] = STATE(782),
    [sym_right_assignment] = STATE(782),
    [sym_brace_list] = STATE(782),
    [sym_paren_list] = STATE(782),
    [sym_subset] = STATE(782),
    [sym_subset2] = STATE(782),
    [sym_dollar] = STATE(782),
    [sym_slot] = STATE(782),
    [sym_namespace_get] = STATE(782),
    [sym_namespace_get_internal] = STATE(782),
    [sym_help] = STATE(782),
    [sym_pipe] = STATE(782),
    [sym_unary] = STATE(782),
    [sym_binary] = STATE(782),
    [sym_na] = STATE(782),
    [sym__expression] = STATE(782),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(782),
    [sym_string] = STATE(782),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2005),
    [sym_next] = ACTIONS(2005),
    [sym_true] = ACTIONS(2005),
    [sym_false] = ACTIONS(2005),
    [sym_null] = ACTIONS(2005),
    [sym_inf] = ACTIONS(2005),
    [sym_nan] = ACTIONS(2005),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2007),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [352] = {
    [sym_function_definition] = STATE(715),
    [sym_lambda_function] = STATE(715),
    [sym_if] = STATE(715),
    [sym_while] = STATE(715),
    [sym_repeat] = STATE(715),
    [sym_for] = STATE(715),
    [sym_switch] = STATE(715),
    [sym_call] = STATE(715),
    [sym__assignment] = STATE(715),
    [sym_left_assignment] = STATE(715),
    [sym_left_assignment2] = STATE(715),
    [sym_equals_assignment] = STATE(715),
    [sym_super_assignment] = STATE(715),
    [sym_super_right_assignment] = STATE(715),
    [sym_right_assignment] = STATE(715),
    [sym_brace_list] = STATE(715),
    [sym_paren_list] = STATE(715),
    [sym_subset] = STATE(715),
    [sym_subset2] = STATE(715),
    [sym_dollar] = STATE(715),
    [sym_slot] = STATE(715),
    [sym_namespace_get] = STATE(715),
    [sym_namespace_get_internal] = STATE(715),
    [sym_help] = STATE(715),
    [sym_pipe] = STATE(715),
    [sym_unary] = STATE(715),
    [sym_binary] = STATE(715),
    [sym_na] = STATE(715),
    [sym__expression] = STATE(715),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(715),
    [sym_string] = STATE(715),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2009),
    [sym_next] = ACTIONS(2009),
    [sym_true] = ACTIONS(2009),
    [sym_false] = ACTIONS(2009),
    [sym_null] = ACTIONS(2009),
    [sym_inf] = ACTIONS(2009),
    [sym_nan] = ACTIONS(2009),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2011),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [353] = {
    [sym_function_definition] = STATE(871),
    [sym_lambda_function] = STATE(871),
    [sym_if] = STATE(871),
    [sym_while] = STATE(871),
    [sym_repeat] = STATE(871),
    [sym_for] = STATE(871),
    [sym_switch] = STATE(871),
    [sym_call] = STATE(871),
    [sym__assignment] = STATE(871),
    [sym_left_assignment] = STATE(871),
    [sym_left_assignment2] = STATE(871),
    [sym_equals_assignment] = STATE(871),
    [sym_super_assignment] = STATE(871),
    [sym_super_right_assignment] = STATE(871),
    [sym_right_assignment] = STATE(871),
    [sym_brace_list] = STATE(871),
    [sym_paren_list] = STATE(871),
    [sym_subset] = STATE(871),
    [sym_subset2] = STATE(871),
    [sym_dollar] = STATE(871),
    [sym_slot] = STATE(871),
    [sym_namespace_get] = STATE(871),
    [sym_namespace_get_internal] = STATE(871),
    [sym_help] = STATE(871),
    [sym_pipe] = STATE(871),
    [sym_unary] = STATE(871),
    [sym_binary] = STATE(871),
    [sym_na] = STATE(871),
    [sym__expression] = STATE(871),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(871),
    [sym_string] = STATE(871),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2013),
    [sym_next] = ACTIONS(2013),
    [sym_true] = ACTIONS(2013),
    [sym_false] = ACTIONS(2013),
    [sym_null] = ACTIONS(2013),
    [sym_inf] = ACTIONS(2013),
    [sym_nan] = ACTIONS(2013),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2015),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [354] = {
    [sym_function_definition] = STATE(865),
    [sym_lambda_function] = STATE(865),
    [sym_if] = STATE(865),
    [sym_while] = STATE(865),
    [sym_repeat] = STATE(865),
    [sym_for] = STATE(865),
    [sym_switch] = STATE(865),
    [sym_call] = STATE(865),
    [sym__assignment] = STATE(865),
    [sym_left_assignment] = STATE(865),
    [sym_left_assignment2] = STATE(865),
    [sym_equals_assignment] = STATE(865),
    [sym_super_assignment] = STATE(865),
    [sym_super_right_assignment] = STATE(865),
    [sym_right_assignment] = STATE(865),
    [sym_brace_list] = STATE(865),
    [sym_paren_list] = STATE(865),
    [sym_subset] = STATE(865),
    [sym_subset2] = STATE(865),
    [sym_dollar] = STATE(865),
    [sym_slot] = STATE(865),
    [sym_namespace_get] = STATE(865),
    [sym_namespace_get_internal] = STATE(865),
    [sym_help] = STATE(865),
    [sym_pipe] = STATE(865),
    [sym_unary] = STATE(865),
    [sym_binary] = STATE(865),
    [sym_na] = STATE(865),
    [sym__expression] = STATE(865),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(865),
    [sym_string] = STATE(865),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2017),
    [sym_next] = ACTIONS(2017),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [sym_null] = ACTIONS(2017),
    [sym_inf] = ACTIONS(2017),
    [sym_nan] = ACTIONS(2017),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2019),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [355] = {
    [sym_function_definition] = STATE(869),
    [sym_lambda_function] = STATE(869),
    [sym_if] = STATE(869),
    [sym_while] = STATE(869),
    [sym_repeat] = STATE(869),
    [sym_for] = STATE(869),
    [sym_switch] = STATE(869),
    [sym_call] = STATE(869),
    [sym__assignment] = STATE(869),
    [sym_left_assignment] = STATE(869),
    [sym_left_assignment2] = STATE(869),
    [sym_equals_assignment] = STATE(869),
    [sym_super_assignment] = STATE(869),
    [sym_super_right_assignment] = STATE(869),
    [sym_right_assignment] = STATE(869),
    [sym_brace_list] = STATE(869),
    [sym_paren_list] = STATE(869),
    [sym_subset] = STATE(869),
    [sym_subset2] = STATE(869),
    [sym_dollar] = STATE(869),
    [sym_slot] = STATE(869),
    [sym_namespace_get] = STATE(869),
    [sym_namespace_get_internal] = STATE(869),
    [sym_help] = STATE(869),
    [sym_pipe] = STATE(869),
    [sym_unary] = STATE(869),
    [sym_binary] = STATE(869),
    [sym_na] = STATE(869),
    [sym__expression] = STATE(869),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(869),
    [sym_string] = STATE(869),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2021),
    [sym_next] = ACTIONS(2021),
    [sym_true] = ACTIONS(2021),
    [sym_false] = ACTIONS(2021),
    [sym_null] = ACTIONS(2021),
    [sym_inf] = ACTIONS(2021),
    [sym_nan] = ACTIONS(2021),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2023),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [356] = {
    [sym_function_definition] = STATE(846),
    [sym_lambda_function] = STATE(846),
    [sym_if] = STATE(846),
    [sym_while] = STATE(846),
    [sym_repeat] = STATE(846),
    [sym_for] = STATE(846),
    [sym_switch] = STATE(846),
    [sym_call] = STATE(846),
    [sym__assignment] = STATE(846),
    [sym_left_assignment] = STATE(846),
    [sym_left_assignment2] = STATE(846),
    [sym_equals_assignment] = STATE(846),
    [sym_super_assignment] = STATE(846),
    [sym_super_right_assignment] = STATE(846),
    [sym_right_assignment] = STATE(846),
    [sym_brace_list] = STATE(846),
    [sym_paren_list] = STATE(846),
    [sym_subset] = STATE(846),
    [sym_subset2] = STATE(846),
    [sym_dollar] = STATE(846),
    [sym_slot] = STATE(846),
    [sym_namespace_get] = STATE(846),
    [sym_namespace_get_internal] = STATE(846),
    [sym_help] = STATE(846),
    [sym_pipe] = STATE(846),
    [sym_unary] = STATE(846),
    [sym_binary] = STATE(846),
    [sym_na] = STATE(846),
    [sym__expression] = STATE(846),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(846),
    [sym_string] = STATE(846),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2025),
    [sym_next] = ACTIONS(2025),
    [sym_true] = ACTIONS(2025),
    [sym_false] = ACTIONS(2025),
    [sym_null] = ACTIONS(2025),
    [sym_inf] = ACTIONS(2025),
    [sym_nan] = ACTIONS(2025),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2027),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [357] = {
    [sym_function_definition] = STATE(867),
    [sym_lambda_function] = STATE(867),
    [sym_if] = STATE(867),
    [sym_while] = STATE(867),
    [sym_repeat] = STATE(867),
    [sym_for] = STATE(867),
    [sym_switch] = STATE(867),
    [sym_call] = STATE(867),
    [sym__assignment] = STATE(867),
    [sym_left_assignment] = STATE(867),
    [sym_left_assignment2] = STATE(867),
    [sym_equals_assignment] = STATE(867),
    [sym_super_assignment] = STATE(867),
    [sym_super_right_assignment] = STATE(867),
    [sym_right_assignment] = STATE(867),
    [sym_brace_list] = STATE(867),
    [sym_paren_list] = STATE(867),
    [sym_subset] = STATE(867),
    [sym_subset2] = STATE(867),
    [sym_dollar] = STATE(867),
    [sym_slot] = STATE(867),
    [sym_namespace_get] = STATE(867),
    [sym_namespace_get_internal] = STATE(867),
    [sym_help] = STATE(867),
    [sym_pipe] = STATE(867),
    [sym_unary] = STATE(867),
    [sym_binary] = STATE(867),
    [sym_na] = STATE(867),
    [sym__expression] = STATE(867),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(867),
    [sym_string] = STATE(867),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2029),
    [sym_next] = ACTIONS(2029),
    [sym_true] = ACTIONS(2029),
    [sym_false] = ACTIONS(2029),
    [sym_null] = ACTIONS(2029),
    [sym_inf] = ACTIONS(2029),
    [sym_nan] = ACTIONS(2029),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2031),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [358] = {
    [sym_function_definition] = STATE(716),
    [sym_lambda_function] = STATE(716),
    [sym_if] = STATE(716),
    [sym_while] = STATE(716),
    [sym_repeat] = STATE(716),
    [sym_for] = STATE(716),
    [sym_switch] = STATE(716),
    [sym_call] = STATE(716),
    [sym__assignment] = STATE(716),
    [sym_left_assignment] = STATE(716),
    [sym_left_assignment2] = STATE(716),
    [sym_equals_assignment] = STATE(716),
    [sym_super_assignment] = STATE(716),
    [sym_super_right_assignment] = STATE(716),
    [sym_right_assignment] = STATE(716),
    [sym_brace_list] = STATE(716),
    [sym_paren_list] = STATE(716),
    [sym_subset] = STATE(716),
    [sym_subset2] = STATE(716),
    [sym_dollar] = STATE(716),
    [sym_slot] = STATE(716),
    [sym_namespace_get] = STATE(716),
    [sym_namespace_get_internal] = STATE(716),
    [sym_help] = STATE(716),
    [sym_pipe] = STATE(716),
    [sym_unary] = STATE(716),
    [sym_binary] = STATE(716),
    [sym_na] = STATE(716),
    [sym__expression] = STATE(716),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(716),
    [sym_string] = STATE(716),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2033),
    [sym_next] = ACTIONS(2033),
    [sym_true] = ACTIONS(2033),
    [sym_false] = ACTIONS(2033),
    [sym_null] = ACTIONS(2033),
    [sym_inf] = ACTIONS(2033),
    [sym_nan] = ACTIONS(2033),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2035),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [359] = {
    [sym_function_definition] = STATE(721),
    [sym_lambda_function] = STATE(721),
    [sym_if] = STATE(721),
    [sym_while] = STATE(721),
    [sym_repeat] = STATE(721),
    [sym_for] = STATE(721),
    [sym_switch] = STATE(721),
    [sym_call] = STATE(721),
    [sym__assignment] = STATE(721),
    [sym_left_assignment] = STATE(721),
    [sym_left_assignment2] = STATE(721),
    [sym_equals_assignment] = STATE(721),
    [sym_super_assignment] = STATE(721),
    [sym_super_right_assignment] = STATE(721),
    [sym_right_assignment] = STATE(721),
    [sym_brace_list] = STATE(721),
    [sym_paren_list] = STATE(721),
    [sym_subset] = STATE(721),
    [sym_subset2] = STATE(721),
    [sym_dollar] = STATE(721),
    [sym_slot] = STATE(721),
    [sym_namespace_get] = STATE(721),
    [sym_namespace_get_internal] = STATE(721),
    [sym_help] = STATE(721),
    [sym_pipe] = STATE(721),
    [sym_unary] = STATE(721),
    [sym_binary] = STATE(721),
    [sym_na] = STATE(721),
    [sym__expression] = STATE(721),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(721),
    [sym_string] = STATE(721),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2037),
    [sym_next] = ACTIONS(2037),
    [sym_true] = ACTIONS(2037),
    [sym_false] = ACTIONS(2037),
    [sym_null] = ACTIONS(2037),
    [sym_inf] = ACTIONS(2037),
    [sym_nan] = ACTIONS(2037),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2039),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [360] = {
    [sym_function_definition] = STATE(723),
    [sym_lambda_function] = STATE(723),
    [sym_if] = STATE(723),
    [sym_while] = STATE(723),
    [sym_repeat] = STATE(723),
    [sym_for] = STATE(723),
    [sym_switch] = STATE(723),
    [sym_call] = STATE(723),
    [sym__assignment] = STATE(723),
    [sym_left_assignment] = STATE(723),
    [sym_left_assignment2] = STATE(723),
    [sym_equals_assignment] = STATE(723),
    [sym_super_assignment] = STATE(723),
    [sym_super_right_assignment] = STATE(723),
    [sym_right_assignment] = STATE(723),
    [sym_brace_list] = STATE(723),
    [sym_paren_list] = STATE(723),
    [sym_subset] = STATE(723),
    [sym_subset2] = STATE(723),
    [sym_dollar] = STATE(723),
    [sym_slot] = STATE(723),
    [sym_namespace_get] = STATE(723),
    [sym_namespace_get_internal] = STATE(723),
    [sym_help] = STATE(723),
    [sym_pipe] = STATE(723),
    [sym_unary] = STATE(723),
    [sym_binary] = STATE(723),
    [sym_na] = STATE(723),
    [sym__expression] = STATE(723),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(723),
    [sym_string] = STATE(723),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2041),
    [sym_next] = ACTIONS(2041),
    [sym_true] = ACTIONS(2041),
    [sym_false] = ACTIONS(2041),
    [sym_null] = ACTIONS(2041),
    [sym_inf] = ACTIONS(2041),
    [sym_nan] = ACTIONS(2041),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2043),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [361] = {
    [sym_function_definition] = STATE(753),
    [sym_lambda_function] = STATE(753),
    [sym_if] = STATE(753),
    [sym_while] = STATE(753),
    [sym_repeat] = STATE(753),
    [sym_for] = STATE(753),
    [sym_switch] = STATE(753),
    [sym_call] = STATE(753),
    [sym__assignment] = STATE(753),
    [sym_left_assignment] = STATE(753),
    [sym_left_assignment2] = STATE(753),
    [sym_equals_assignment] = STATE(753),
    [sym_super_assignment] = STATE(753),
    [sym_super_right_assignment] = STATE(753),
    [sym_right_assignment] = STATE(753),
    [sym_brace_list] = STATE(753),
    [sym_paren_list] = STATE(753),
    [sym_subset] = STATE(753),
    [sym_subset2] = STATE(753),
    [sym_dollar] = STATE(753),
    [sym_slot] = STATE(753),
    [sym_namespace_get] = STATE(753),
    [sym_namespace_get_internal] = STATE(753),
    [sym_help] = STATE(753),
    [sym_pipe] = STATE(753),
    [sym_unary] = STATE(753),
    [sym_binary] = STATE(753),
    [sym_na] = STATE(753),
    [sym__expression] = STATE(753),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(753),
    [sym_string] = STATE(753),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2045),
    [sym_next] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_inf] = ACTIONS(2045),
    [sym_nan] = ACTIONS(2045),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2047),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [362] = {
    [sym_function_definition] = STATE(858),
    [sym_lambda_function] = STATE(858),
    [sym_if] = STATE(858),
    [sym_while] = STATE(858),
    [sym_repeat] = STATE(858),
    [sym_for] = STATE(858),
    [sym_switch] = STATE(858),
    [sym_call] = STATE(858),
    [sym__assignment] = STATE(858),
    [sym_left_assignment] = STATE(858),
    [sym_left_assignment2] = STATE(858),
    [sym_equals_assignment] = STATE(858),
    [sym_super_assignment] = STATE(858),
    [sym_super_right_assignment] = STATE(858),
    [sym_right_assignment] = STATE(858),
    [sym_brace_list] = STATE(858),
    [sym_paren_list] = STATE(858),
    [sym_subset] = STATE(858),
    [sym_subset2] = STATE(858),
    [sym_dollar] = STATE(858),
    [sym_slot] = STATE(858),
    [sym_namespace_get] = STATE(858),
    [sym_namespace_get_internal] = STATE(858),
    [sym_help] = STATE(858),
    [sym_pipe] = STATE(858),
    [sym_unary] = STATE(858),
    [sym_binary] = STATE(858),
    [sym_na] = STATE(858),
    [sym__expression] = STATE(858),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(858),
    [sym_string] = STATE(858),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2049),
    [sym_next] = ACTIONS(2049),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [sym_null] = ACTIONS(2049),
    [sym_inf] = ACTIONS(2049),
    [sym_nan] = ACTIONS(2049),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2051),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [363] = {
    [sym_function_definition] = STATE(866),
    [sym_lambda_function] = STATE(866),
    [sym_if] = STATE(866),
    [sym_while] = STATE(866),
    [sym_repeat] = STATE(866),
    [sym_for] = STATE(866),
    [sym_switch] = STATE(866),
    [sym_call] = STATE(866),
    [sym__assignment] = STATE(866),
    [sym_left_assignment] = STATE(866),
    [sym_left_assignment2] = STATE(866),
    [sym_equals_assignment] = STATE(866),
    [sym_super_assignment] = STATE(866),
    [sym_super_right_assignment] = STATE(866),
    [sym_right_assignment] = STATE(866),
    [sym_brace_list] = STATE(866),
    [sym_paren_list] = STATE(866),
    [sym_subset] = STATE(866),
    [sym_subset2] = STATE(866),
    [sym_dollar] = STATE(866),
    [sym_slot] = STATE(866),
    [sym_namespace_get] = STATE(866),
    [sym_namespace_get_internal] = STATE(866),
    [sym_help] = STATE(866),
    [sym_pipe] = STATE(866),
    [sym_unary] = STATE(866),
    [sym_binary] = STATE(866),
    [sym_na] = STATE(866),
    [sym__expression] = STATE(866),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(866),
    [sym_string] = STATE(866),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2053),
    [sym_next] = ACTIONS(2053),
    [sym_true] = ACTIONS(2053),
    [sym_false] = ACTIONS(2053),
    [sym_null] = ACTIONS(2053),
    [sym_inf] = ACTIONS(2053),
    [sym_nan] = ACTIONS(2053),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2055),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [364] = {
    [sym_function_definition] = STATE(755),
    [sym_lambda_function] = STATE(755),
    [sym_if] = STATE(755),
    [sym_while] = STATE(755),
    [sym_repeat] = STATE(755),
    [sym_for] = STATE(755),
    [sym_switch] = STATE(755),
    [sym_call] = STATE(755),
    [sym__assignment] = STATE(755),
    [sym_left_assignment] = STATE(755),
    [sym_left_assignment2] = STATE(755),
    [sym_equals_assignment] = STATE(755),
    [sym_super_assignment] = STATE(755),
    [sym_super_right_assignment] = STATE(755),
    [sym_right_assignment] = STATE(755),
    [sym_brace_list] = STATE(755),
    [sym_paren_list] = STATE(755),
    [sym_subset] = STATE(755),
    [sym_subset2] = STATE(755),
    [sym_dollar] = STATE(755),
    [sym_slot] = STATE(755),
    [sym_namespace_get] = STATE(755),
    [sym_namespace_get_internal] = STATE(755),
    [sym_help] = STATE(755),
    [sym_pipe] = STATE(755),
    [sym_unary] = STATE(755),
    [sym_binary] = STATE(755),
    [sym_na] = STATE(755),
    [sym__expression] = STATE(755),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(755),
    [sym_string] = STATE(755),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2057),
    [sym_next] = ACTIONS(2057),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [sym_null] = ACTIONS(2057),
    [sym_inf] = ACTIONS(2057),
    [sym_nan] = ACTIONS(2057),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2059),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [365] = {
    [sym_function_definition] = STATE(768),
    [sym_lambda_function] = STATE(768),
    [sym_if] = STATE(768),
    [sym_while] = STATE(768),
    [sym_repeat] = STATE(768),
    [sym_for] = STATE(768),
    [sym_switch] = STATE(768),
    [sym_call] = STATE(768),
    [sym__assignment] = STATE(768),
    [sym_left_assignment] = STATE(768),
    [sym_left_assignment2] = STATE(768),
    [sym_equals_assignment] = STATE(768),
    [sym_super_assignment] = STATE(768),
    [sym_super_right_assignment] = STATE(768),
    [sym_right_assignment] = STATE(768),
    [sym_brace_list] = STATE(768),
    [sym_paren_list] = STATE(768),
    [sym_subset] = STATE(768),
    [sym_subset2] = STATE(768),
    [sym_dollar] = STATE(768),
    [sym_slot] = STATE(768),
    [sym_namespace_get] = STATE(768),
    [sym_namespace_get_internal] = STATE(768),
    [sym_help] = STATE(768),
    [sym_pipe] = STATE(768),
    [sym_unary] = STATE(768),
    [sym_binary] = STATE(768),
    [sym_na] = STATE(768),
    [sym__expression] = STATE(768),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(768),
    [sym_string] = STATE(768),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2061),
    [sym_next] = ACTIONS(2061),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [sym_null] = ACTIONS(2061),
    [sym_inf] = ACTIONS(2061),
    [sym_nan] = ACTIONS(2061),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2063),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [366] = {
    [sym_function_definition] = STATE(772),
    [sym_lambda_function] = STATE(772),
    [sym_if] = STATE(772),
    [sym_while] = STATE(772),
    [sym_repeat] = STATE(772),
    [sym_for] = STATE(772),
    [sym_switch] = STATE(772),
    [sym_call] = STATE(772),
    [sym__assignment] = STATE(772),
    [sym_left_assignment] = STATE(772),
    [sym_left_assignment2] = STATE(772),
    [sym_equals_assignment] = STATE(772),
    [sym_super_assignment] = STATE(772),
    [sym_super_right_assignment] = STATE(772),
    [sym_right_assignment] = STATE(772),
    [sym_brace_list] = STATE(772),
    [sym_paren_list] = STATE(772),
    [sym_subset] = STATE(772),
    [sym_subset2] = STATE(772),
    [sym_dollar] = STATE(772),
    [sym_slot] = STATE(772),
    [sym_namespace_get] = STATE(772),
    [sym_namespace_get_internal] = STATE(772),
    [sym_help] = STATE(772),
    [sym_pipe] = STATE(772),
    [sym_unary] = STATE(772),
    [sym_binary] = STATE(772),
    [sym_na] = STATE(772),
    [sym__expression] = STATE(772),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(772),
    [sym_string] = STATE(772),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2065),
    [sym_next] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_inf] = ACTIONS(2065),
    [sym_nan] = ACTIONS(2065),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2067),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [367] = {
    [sym_function_definition] = STATE(778),
    [sym_lambda_function] = STATE(778),
    [sym_if] = STATE(778),
    [sym_while] = STATE(778),
    [sym_repeat] = STATE(778),
    [sym_for] = STATE(778),
    [sym_switch] = STATE(778),
    [sym_call] = STATE(778),
    [sym__assignment] = STATE(778),
    [sym_left_assignment] = STATE(778),
    [sym_left_assignment2] = STATE(778),
    [sym_equals_assignment] = STATE(778),
    [sym_super_assignment] = STATE(778),
    [sym_super_right_assignment] = STATE(778),
    [sym_right_assignment] = STATE(778),
    [sym_brace_list] = STATE(778),
    [sym_paren_list] = STATE(778),
    [sym_subset] = STATE(778),
    [sym_subset2] = STATE(778),
    [sym_dollar] = STATE(778),
    [sym_slot] = STATE(778),
    [sym_namespace_get] = STATE(778),
    [sym_namespace_get_internal] = STATE(778),
    [sym_help] = STATE(778),
    [sym_pipe] = STATE(778),
    [sym_unary] = STATE(778),
    [sym_binary] = STATE(778),
    [sym_na] = STATE(778),
    [sym__expression] = STATE(778),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(778),
    [sym_string] = STATE(778),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2069),
    [sym_next] = ACTIONS(2069),
    [sym_true] = ACTIONS(2069),
    [sym_false] = ACTIONS(2069),
    [sym_null] = ACTIONS(2069),
    [sym_inf] = ACTIONS(2069),
    [sym_nan] = ACTIONS(2069),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2071),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [368] = {
    [sym_function_definition] = STATE(779),
    [sym_lambda_function] = STATE(779),
    [sym_if] = STATE(779),
    [sym_while] = STATE(779),
    [sym_repeat] = STATE(779),
    [sym_for] = STATE(779),
    [sym_switch] = STATE(779),
    [sym_call] = STATE(779),
    [sym__assignment] = STATE(779),
    [sym_left_assignment] = STATE(779),
    [sym_left_assignment2] = STATE(779),
    [sym_equals_assignment] = STATE(779),
    [sym_super_assignment] = STATE(779),
    [sym_super_right_assignment] = STATE(779),
    [sym_right_assignment] = STATE(779),
    [sym_brace_list] = STATE(779),
    [sym_paren_list] = STATE(779),
    [sym_subset] = STATE(779),
    [sym_subset2] = STATE(779),
    [sym_dollar] = STATE(779),
    [sym_slot] = STATE(779),
    [sym_namespace_get] = STATE(779),
    [sym_namespace_get_internal] = STATE(779),
    [sym_help] = STATE(779),
    [sym_pipe] = STATE(779),
    [sym_unary] = STATE(779),
    [sym_binary] = STATE(779),
    [sym_na] = STATE(779),
    [sym__expression] = STATE(779),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(779),
    [sym_string] = STATE(779),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2073),
    [sym_next] = ACTIONS(2073),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [sym_null] = ACTIONS(2073),
    [sym_inf] = ACTIONS(2073),
    [sym_nan] = ACTIONS(2073),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2075),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1815),
    [anon_sym_LF] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_BSLASH] = ACTIONS(1813),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_else] = ACTIONS(1813),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_repeat] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1813),
    [anon_sym_LT_DASH] = ACTIONS(1813),
    [anon_sym_COLON_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT_DASH] = ACTIONS(1813),
    [anon_sym_DASH_GT_GT] = ACTIONS(1813),
    [anon_sym_DASH_GT] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1813),
    [anon_sym_DOLLAR] = ACTIONS(1813),
    [anon_sym_AT] = ACTIONS(1813),
    [anon_sym_COLON_COLON] = ACTIONS(1813),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1813),
    [anon_sym_QMARK] = ACTIONS(1813),
    [sym_dots] = ACTIONS(1813),
    [anon_sym_PIPE_GT] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1813),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_EQ_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_break] = ACTIONS(1813),
    [sym_next] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_inf] = ACTIONS(1813),
    [sym_nan] = ACTIONS(1813),
    [anon_sym_NA] = ACTIONS(1813),
    [anon_sym_NA_character_] = ACTIONS(1813),
    [anon_sym_NA_complex_] = ACTIONS(1813),
    [anon_sym_NA_integer_] = ACTIONS(1813),
    [anon_sym_NA_real_] = ACTIONS(1813),
    [aux_sym_identifier_token1] = ACTIONS(1813),
    [anon_sym_BQUOTE] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1813),
    [sym_float] = ACTIONS(1813),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1813),
    [anon_sym_SQUOTE] = ACTIONS(1813),
    [anon_sym_PERCENT] = ACTIONS(1813),
    [sym__raw_string_literal] = ACTIONS(1815),
  },
  [370] = {
    [sym_function_definition] = STATE(793),
    [sym_lambda_function] = STATE(793),
    [sym_if] = STATE(793),
    [sym_while] = STATE(793),
    [sym_repeat] = STATE(793),
    [sym_for] = STATE(793),
    [sym_switch] = STATE(793),
    [sym_call] = STATE(793),
    [sym__assignment] = STATE(793),
    [sym_left_assignment] = STATE(793),
    [sym_left_assignment2] = STATE(793),
    [sym_equals_assignment] = STATE(793),
    [sym_super_assignment] = STATE(793),
    [sym_super_right_assignment] = STATE(793),
    [sym_right_assignment] = STATE(793),
    [sym_brace_list] = STATE(793),
    [sym_paren_list] = STATE(793),
    [sym_subset] = STATE(793),
    [sym_subset2] = STATE(793),
    [sym_dollar] = STATE(793),
    [sym_slot] = STATE(793),
    [sym_namespace_get] = STATE(793),
    [sym_namespace_get_internal] = STATE(793),
    [sym_help] = STATE(793),
    [sym_pipe] = STATE(793),
    [sym_unary] = STATE(793),
    [sym_binary] = STATE(793),
    [sym_na] = STATE(793),
    [sym__expression] = STATE(793),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(793),
    [sym_string] = STATE(793),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2077),
    [sym_next] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_inf] = ACTIONS(2077),
    [sym_nan] = ACTIONS(2077),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2079),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [371] = {
    [sym_function_definition] = STATE(795),
    [sym_lambda_function] = STATE(795),
    [sym_if] = STATE(795),
    [sym_while] = STATE(795),
    [sym_repeat] = STATE(795),
    [sym_for] = STATE(795),
    [sym_switch] = STATE(795),
    [sym_call] = STATE(795),
    [sym__assignment] = STATE(795),
    [sym_left_assignment] = STATE(795),
    [sym_left_assignment2] = STATE(795),
    [sym_equals_assignment] = STATE(795),
    [sym_super_assignment] = STATE(795),
    [sym_super_right_assignment] = STATE(795),
    [sym_right_assignment] = STATE(795),
    [sym_brace_list] = STATE(795),
    [sym_paren_list] = STATE(795),
    [sym_subset] = STATE(795),
    [sym_subset2] = STATE(795),
    [sym_dollar] = STATE(795),
    [sym_slot] = STATE(795),
    [sym_namespace_get] = STATE(795),
    [sym_namespace_get_internal] = STATE(795),
    [sym_help] = STATE(795),
    [sym_pipe] = STATE(795),
    [sym_unary] = STATE(795),
    [sym_binary] = STATE(795),
    [sym_na] = STATE(795),
    [sym__expression] = STATE(795),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(795),
    [sym_string] = STATE(795),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2081),
    [sym_next] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_inf] = ACTIONS(2081),
    [sym_nan] = ACTIONS(2081),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2083),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [anon_sym_LF] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1841),
    [anon_sym_COLON_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_DASH] = ACTIONS(1841),
    [anon_sym_DASH_GT_GT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COLON_COLON] = ACTIONS(2085),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2087),
    [anon_sym_QMARK] = ACTIONS(1841),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [anon_sym_LF] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_repeat] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_LT_DASH] = ACTIONS(1849),
    [anon_sym_COLON_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_DASH] = ACTIONS(1849),
    [anon_sym_DASH_GT_GT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [sym_dots] = ACTIONS(1849),
    [anon_sym_PIPE_GT] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_break] = ACTIONS(1849),
    [sym_next] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_inf] = ACTIONS(1849),
    [sym_nan] = ACTIONS(1849),
    [anon_sym_NA] = ACTIONS(1849),
    [anon_sym_NA_character_] = ACTIONS(1849),
    [anon_sym_NA_complex_] = ACTIONS(1849),
    [anon_sym_NA_integer_] = ACTIONS(1849),
    [anon_sym_NA_real_] = ACTIONS(1849),
    [aux_sym_identifier_token1] = ACTIONS(1849),
    [anon_sym_BQUOTE] = ACTIONS(1849),
    [sym_integer] = ACTIONS(1849),
    [sym_float] = ACTIONS(1849),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1849),
    [anon_sym_SQUOTE] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [sym__raw_string_literal] = ACTIONS(1851),
  },
  [374] = {
    [sym_function_definition] = STATE(863),
    [sym_lambda_function] = STATE(863),
    [sym_if] = STATE(863),
    [sym_while] = STATE(863),
    [sym_repeat] = STATE(863),
    [sym_for] = STATE(863),
    [sym_switch] = STATE(863),
    [sym_call] = STATE(863),
    [sym__assignment] = STATE(863),
    [sym_left_assignment] = STATE(863),
    [sym_left_assignment2] = STATE(863),
    [sym_equals_assignment] = STATE(863),
    [sym_super_assignment] = STATE(863),
    [sym_super_right_assignment] = STATE(863),
    [sym_right_assignment] = STATE(863),
    [sym_brace_list] = STATE(863),
    [sym_paren_list] = STATE(863),
    [sym_subset] = STATE(863),
    [sym_subset2] = STATE(863),
    [sym_dollar] = STATE(863),
    [sym_slot] = STATE(863),
    [sym_namespace_get] = STATE(863),
    [sym_namespace_get_internal] = STATE(863),
    [sym_help] = STATE(863),
    [sym_pipe] = STATE(863),
    [sym_unary] = STATE(863),
    [sym_binary] = STATE(863),
    [sym_na] = STATE(863),
    [sym__expression] = STATE(863),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(863),
    [sym_string] = STATE(863),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2089),
    [sym_next] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_inf] = ACTIONS(2089),
    [sym_nan] = ACTIONS(2089),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2091),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [375] = {
    [sym_function_definition] = STATE(857),
    [sym_lambda_function] = STATE(857),
    [sym_if] = STATE(857),
    [sym_while] = STATE(857),
    [sym_repeat] = STATE(857),
    [sym_for] = STATE(857),
    [sym_switch] = STATE(857),
    [sym_call] = STATE(857),
    [sym__assignment] = STATE(857),
    [sym_left_assignment] = STATE(857),
    [sym_left_assignment2] = STATE(857),
    [sym_equals_assignment] = STATE(857),
    [sym_super_assignment] = STATE(857),
    [sym_super_right_assignment] = STATE(857),
    [sym_right_assignment] = STATE(857),
    [sym_brace_list] = STATE(857),
    [sym_paren_list] = STATE(857),
    [sym_subset] = STATE(857),
    [sym_subset2] = STATE(857),
    [sym_dollar] = STATE(857),
    [sym_slot] = STATE(857),
    [sym_namespace_get] = STATE(857),
    [sym_namespace_get_internal] = STATE(857),
    [sym_help] = STATE(857),
    [sym_pipe] = STATE(857),
    [sym_unary] = STATE(857),
    [sym_binary] = STATE(857),
    [sym_na] = STATE(857),
    [sym__expression] = STATE(857),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(857),
    [sym_string] = STATE(857),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2093),
    [sym_next] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_inf] = ACTIONS(2093),
    [sym_nan] = ACTIONS(2093),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2095),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [376] = {
    [sym_function_definition] = STATE(873),
    [sym_lambda_function] = STATE(873),
    [sym_if] = STATE(873),
    [sym_while] = STATE(873),
    [sym_repeat] = STATE(873),
    [sym_for] = STATE(873),
    [sym_switch] = STATE(873),
    [sym_call] = STATE(873),
    [sym__assignment] = STATE(873),
    [sym_left_assignment] = STATE(873),
    [sym_left_assignment2] = STATE(873),
    [sym_equals_assignment] = STATE(873),
    [sym_super_assignment] = STATE(873),
    [sym_super_right_assignment] = STATE(873),
    [sym_right_assignment] = STATE(873),
    [sym_brace_list] = STATE(873),
    [sym_paren_list] = STATE(873),
    [sym_subset] = STATE(873),
    [sym_subset2] = STATE(873),
    [sym_dollar] = STATE(873),
    [sym_slot] = STATE(873),
    [sym_namespace_get] = STATE(873),
    [sym_namespace_get_internal] = STATE(873),
    [sym_help] = STATE(873),
    [sym_pipe] = STATE(873),
    [sym_unary] = STATE(873),
    [sym_binary] = STATE(873),
    [sym_na] = STATE(873),
    [sym__expression] = STATE(873),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(873),
    [sym_string] = STATE(873),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2097),
    [sym_next] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_inf] = ACTIONS(2097),
    [sym_nan] = ACTIONS(2097),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2099),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [377] = {
    [sym_function_definition] = STATE(868),
    [sym_lambda_function] = STATE(868),
    [sym_if] = STATE(868),
    [sym_while] = STATE(868),
    [sym_repeat] = STATE(868),
    [sym_for] = STATE(868),
    [sym_switch] = STATE(868),
    [sym_call] = STATE(868),
    [sym__assignment] = STATE(868),
    [sym_left_assignment] = STATE(868),
    [sym_left_assignment2] = STATE(868),
    [sym_equals_assignment] = STATE(868),
    [sym_super_assignment] = STATE(868),
    [sym_super_right_assignment] = STATE(868),
    [sym_right_assignment] = STATE(868),
    [sym_brace_list] = STATE(868),
    [sym_paren_list] = STATE(868),
    [sym_subset] = STATE(868),
    [sym_subset2] = STATE(868),
    [sym_dollar] = STATE(868),
    [sym_slot] = STATE(868),
    [sym_namespace_get] = STATE(868),
    [sym_namespace_get_internal] = STATE(868),
    [sym_help] = STATE(868),
    [sym_pipe] = STATE(868),
    [sym_unary] = STATE(868),
    [sym_binary] = STATE(868),
    [sym_na] = STATE(868),
    [sym__expression] = STATE(868),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(868),
    [sym_string] = STATE(868),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2101),
    [sym_next] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_inf] = ACTIONS(2101),
    [sym_nan] = ACTIONS(2101),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2103),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [378] = {
    [sym_function_definition] = STATE(848),
    [sym_lambda_function] = STATE(848),
    [sym_if] = STATE(848),
    [sym_while] = STATE(848),
    [sym_repeat] = STATE(848),
    [sym_for] = STATE(848),
    [sym_switch] = STATE(848),
    [sym_call] = STATE(848),
    [sym__assignment] = STATE(848),
    [sym_left_assignment] = STATE(848),
    [sym_left_assignment2] = STATE(848),
    [sym_equals_assignment] = STATE(848),
    [sym_super_assignment] = STATE(848),
    [sym_super_right_assignment] = STATE(848),
    [sym_right_assignment] = STATE(848),
    [sym_brace_list] = STATE(848),
    [sym_paren_list] = STATE(848),
    [sym_subset] = STATE(848),
    [sym_subset2] = STATE(848),
    [sym_dollar] = STATE(848),
    [sym_slot] = STATE(848),
    [sym_namespace_get] = STATE(848),
    [sym_namespace_get_internal] = STATE(848),
    [sym_help] = STATE(848),
    [sym_pipe] = STATE(848),
    [sym_unary] = STATE(848),
    [sym_binary] = STATE(848),
    [sym_na] = STATE(848),
    [sym__expression] = STATE(848),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(848),
    [sym_string] = STATE(848),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2105),
    [sym_next] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_inf] = ACTIONS(2105),
    [sym_nan] = ACTIONS(2105),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2107),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [379] = {
    [sym_function_definition] = STATE(875),
    [sym_lambda_function] = STATE(875),
    [sym_if] = STATE(875),
    [sym_while] = STATE(875),
    [sym_repeat] = STATE(875),
    [sym_for] = STATE(875),
    [sym_switch] = STATE(875),
    [sym_call] = STATE(875),
    [sym__assignment] = STATE(875),
    [sym_left_assignment] = STATE(875),
    [sym_left_assignment2] = STATE(875),
    [sym_equals_assignment] = STATE(875),
    [sym_super_assignment] = STATE(875),
    [sym_super_right_assignment] = STATE(875),
    [sym_right_assignment] = STATE(875),
    [sym_brace_list] = STATE(875),
    [sym_paren_list] = STATE(875),
    [sym_subset] = STATE(875),
    [sym_subset2] = STATE(875),
    [sym_dollar] = STATE(875),
    [sym_slot] = STATE(875),
    [sym_namespace_get] = STATE(875),
    [sym_namespace_get_internal] = STATE(875),
    [sym_help] = STATE(875),
    [sym_pipe] = STATE(875),
    [sym_unary] = STATE(875),
    [sym_binary] = STATE(875),
    [sym_na] = STATE(875),
    [sym__expression] = STATE(875),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(875),
    [sym_string] = STATE(875),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2109),
    [sym_next] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_inf] = ACTIONS(2109),
    [sym_nan] = ACTIONS(2109),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2111),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [380] = {
    [sym_function_definition] = STATE(692),
    [sym_lambda_function] = STATE(692),
    [sym_if] = STATE(692),
    [sym_while] = STATE(692),
    [sym_repeat] = STATE(692),
    [sym_for] = STATE(692),
    [sym_switch] = STATE(692),
    [sym_call] = STATE(692),
    [sym__assignment] = STATE(692),
    [sym_left_assignment] = STATE(692),
    [sym_left_assignment2] = STATE(692),
    [sym_equals_assignment] = STATE(692),
    [sym_super_assignment] = STATE(692),
    [sym_super_right_assignment] = STATE(692),
    [sym_right_assignment] = STATE(692),
    [sym_brace_list] = STATE(692),
    [sym_paren_list] = STATE(692),
    [sym_subset] = STATE(692),
    [sym_subset2] = STATE(692),
    [sym_dollar] = STATE(692),
    [sym_slot] = STATE(692),
    [sym_namespace_get] = STATE(692),
    [sym_namespace_get_internal] = STATE(692),
    [sym_help] = STATE(692),
    [sym_pipe] = STATE(692),
    [sym_unary] = STATE(692),
    [sym_binary] = STATE(692),
    [sym_na] = STATE(692),
    [sym__expression] = STATE(692),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(692),
    [sym_string] = STATE(692),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2113),
    [sym_next] = ACTIONS(2113),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [sym_null] = ACTIONS(2113),
    [sym_inf] = ACTIONS(2113),
    [sym_nan] = ACTIONS(2113),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2115),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [381] = {
    [sym_function_definition] = STATE(783),
    [sym_lambda_function] = STATE(783),
    [sym_if] = STATE(783),
    [sym_while] = STATE(783),
    [sym_repeat] = STATE(783),
    [sym_for] = STATE(783),
    [sym_switch] = STATE(783),
    [sym_call] = STATE(783),
    [sym__assignment] = STATE(783),
    [sym_left_assignment] = STATE(783),
    [sym_left_assignment2] = STATE(783),
    [sym_equals_assignment] = STATE(783),
    [sym_super_assignment] = STATE(783),
    [sym_super_right_assignment] = STATE(783),
    [sym_right_assignment] = STATE(783),
    [sym_brace_list] = STATE(783),
    [sym_paren_list] = STATE(783),
    [sym_subset] = STATE(783),
    [sym_subset2] = STATE(783),
    [sym_dollar] = STATE(783),
    [sym_slot] = STATE(783),
    [sym_namespace_get] = STATE(783),
    [sym_namespace_get_internal] = STATE(783),
    [sym_help] = STATE(783),
    [sym_pipe] = STATE(783),
    [sym_unary] = STATE(783),
    [sym_binary] = STATE(783),
    [sym_na] = STATE(783),
    [sym__expression] = STATE(783),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(783),
    [sym_string] = STATE(783),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2117),
    [sym_next] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_inf] = ACTIONS(2117),
    [sym_nan] = ACTIONS(2117),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2119),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [382] = {
    [sym_function_definition] = STATE(872),
    [sym_lambda_function] = STATE(872),
    [sym_if] = STATE(872),
    [sym_while] = STATE(872),
    [sym_repeat] = STATE(872),
    [sym_for] = STATE(872),
    [sym_switch] = STATE(872),
    [sym_call] = STATE(872),
    [sym__assignment] = STATE(872),
    [sym_left_assignment] = STATE(872),
    [sym_left_assignment2] = STATE(872),
    [sym_equals_assignment] = STATE(872),
    [sym_super_assignment] = STATE(872),
    [sym_super_right_assignment] = STATE(872),
    [sym_right_assignment] = STATE(872),
    [sym_brace_list] = STATE(872),
    [sym_paren_list] = STATE(872),
    [sym_subset] = STATE(872),
    [sym_subset2] = STATE(872),
    [sym_dollar] = STATE(872),
    [sym_slot] = STATE(872),
    [sym_namespace_get] = STATE(872),
    [sym_namespace_get_internal] = STATE(872),
    [sym_help] = STATE(872),
    [sym_pipe] = STATE(872),
    [sym_unary] = STATE(872),
    [sym_binary] = STATE(872),
    [sym_na] = STATE(872),
    [sym__expression] = STATE(872),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(872),
    [sym_string] = STATE(872),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2121),
    [sym_next] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_inf] = ACTIONS(2121),
    [sym_nan] = ACTIONS(2121),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2123),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [383] = {
    [sym_function_definition] = STATE(862),
    [sym_lambda_function] = STATE(862),
    [sym_if] = STATE(862),
    [sym_while] = STATE(862),
    [sym_repeat] = STATE(862),
    [sym_for] = STATE(862),
    [sym_switch] = STATE(862),
    [sym_call] = STATE(862),
    [sym__assignment] = STATE(862),
    [sym_left_assignment] = STATE(862),
    [sym_left_assignment2] = STATE(862),
    [sym_equals_assignment] = STATE(862),
    [sym_super_assignment] = STATE(862),
    [sym_super_right_assignment] = STATE(862),
    [sym_right_assignment] = STATE(862),
    [sym_brace_list] = STATE(862),
    [sym_paren_list] = STATE(862),
    [sym_subset] = STATE(862),
    [sym_subset2] = STATE(862),
    [sym_dollar] = STATE(862),
    [sym_slot] = STATE(862),
    [sym_namespace_get] = STATE(862),
    [sym_namespace_get_internal] = STATE(862),
    [sym_help] = STATE(862),
    [sym_pipe] = STATE(862),
    [sym_unary] = STATE(862),
    [sym_binary] = STATE(862),
    [sym_na] = STATE(862),
    [sym__expression] = STATE(862),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(862),
    [sym_string] = STATE(862),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2125),
    [sym_next] = ACTIONS(2125),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [sym_null] = ACTIONS(2125),
    [sym_inf] = ACTIONS(2125),
    [sym_nan] = ACTIONS(2125),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2127),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [384] = {
    [sym_function_definition] = STATE(860),
    [sym_lambda_function] = STATE(860),
    [sym_if] = STATE(860),
    [sym_while] = STATE(860),
    [sym_repeat] = STATE(860),
    [sym_for] = STATE(860),
    [sym_switch] = STATE(860),
    [sym_call] = STATE(860),
    [sym__assignment] = STATE(860),
    [sym_left_assignment] = STATE(860),
    [sym_left_assignment2] = STATE(860),
    [sym_equals_assignment] = STATE(860),
    [sym_super_assignment] = STATE(860),
    [sym_super_right_assignment] = STATE(860),
    [sym_right_assignment] = STATE(860),
    [sym_brace_list] = STATE(860),
    [sym_paren_list] = STATE(860),
    [sym_subset] = STATE(860),
    [sym_subset2] = STATE(860),
    [sym_dollar] = STATE(860),
    [sym_slot] = STATE(860),
    [sym_namespace_get] = STATE(860),
    [sym_namespace_get_internal] = STATE(860),
    [sym_help] = STATE(860),
    [sym_pipe] = STATE(860),
    [sym_unary] = STATE(860),
    [sym_binary] = STATE(860),
    [sym_na] = STATE(860),
    [sym__expression] = STATE(860),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(860),
    [sym_string] = STATE(860),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2129),
    [sym_next] = ACTIONS(2129),
    [sym_true] = ACTIONS(2129),
    [sym_false] = ACTIONS(2129),
    [sym_null] = ACTIONS(2129),
    [sym_inf] = ACTIONS(2129),
    [sym_nan] = ACTIONS(2129),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2131),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [385] = {
    [sym_function_definition] = STATE(853),
    [sym_lambda_function] = STATE(853),
    [sym_if] = STATE(853),
    [sym_while] = STATE(853),
    [sym_repeat] = STATE(853),
    [sym_for] = STATE(853),
    [sym_switch] = STATE(853),
    [sym_call] = STATE(853),
    [sym__assignment] = STATE(853),
    [sym_left_assignment] = STATE(853),
    [sym_left_assignment2] = STATE(853),
    [sym_equals_assignment] = STATE(853),
    [sym_super_assignment] = STATE(853),
    [sym_super_right_assignment] = STATE(853),
    [sym_right_assignment] = STATE(853),
    [sym_brace_list] = STATE(853),
    [sym_paren_list] = STATE(853),
    [sym_subset] = STATE(853),
    [sym_subset2] = STATE(853),
    [sym_dollar] = STATE(853),
    [sym_slot] = STATE(853),
    [sym_namespace_get] = STATE(853),
    [sym_namespace_get_internal] = STATE(853),
    [sym_help] = STATE(853),
    [sym_pipe] = STATE(853),
    [sym_unary] = STATE(853),
    [sym_binary] = STATE(853),
    [sym_na] = STATE(853),
    [sym__expression] = STATE(853),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(853),
    [sym_string] = STATE(853),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2133),
    [sym_next] = ACTIONS(2133),
    [sym_true] = ACTIONS(2133),
    [sym_false] = ACTIONS(2133),
    [sym_null] = ACTIONS(2133),
    [sym_inf] = ACTIONS(2133),
    [sym_nan] = ACTIONS(2133),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2135),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [386] = {
    [sym_function_definition] = STATE(851),
    [sym_lambda_function] = STATE(851),
    [sym_if] = STATE(851),
    [sym_while] = STATE(851),
    [sym_repeat] = STATE(851),
    [sym_for] = STATE(851),
    [sym_switch] = STATE(851),
    [sym_call] = STATE(851),
    [sym__assignment] = STATE(851),
    [sym_left_assignment] = STATE(851),
    [sym_left_assignment2] = STATE(851),
    [sym_equals_assignment] = STATE(851),
    [sym_super_assignment] = STATE(851),
    [sym_super_right_assignment] = STATE(851),
    [sym_right_assignment] = STATE(851),
    [sym_brace_list] = STATE(851),
    [sym_paren_list] = STATE(851),
    [sym_subset] = STATE(851),
    [sym_subset2] = STATE(851),
    [sym_dollar] = STATE(851),
    [sym_slot] = STATE(851),
    [sym_namespace_get] = STATE(851),
    [sym_namespace_get_internal] = STATE(851),
    [sym_help] = STATE(851),
    [sym_pipe] = STATE(851),
    [sym_unary] = STATE(851),
    [sym_binary] = STATE(851),
    [sym_na] = STATE(851),
    [sym__expression] = STATE(851),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(851),
    [sym_string] = STATE(851),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2137),
    [sym_next] = ACTIONS(2137),
    [sym_true] = ACTIONS(2137),
    [sym_false] = ACTIONS(2137),
    [sym_null] = ACTIONS(2137),
    [sym_inf] = ACTIONS(2137),
    [sym_nan] = ACTIONS(2137),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2139),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [387] = {
    [sym_function_definition] = STATE(850),
    [sym_lambda_function] = STATE(850),
    [sym_if] = STATE(850),
    [sym_while] = STATE(850),
    [sym_repeat] = STATE(850),
    [sym_for] = STATE(850),
    [sym_switch] = STATE(850),
    [sym_call] = STATE(850),
    [sym__assignment] = STATE(850),
    [sym_left_assignment] = STATE(850),
    [sym_left_assignment2] = STATE(850),
    [sym_equals_assignment] = STATE(850),
    [sym_super_assignment] = STATE(850),
    [sym_super_right_assignment] = STATE(850),
    [sym_right_assignment] = STATE(850),
    [sym_brace_list] = STATE(850),
    [sym_paren_list] = STATE(850),
    [sym_subset] = STATE(850),
    [sym_subset2] = STATE(850),
    [sym_dollar] = STATE(850),
    [sym_slot] = STATE(850),
    [sym_namespace_get] = STATE(850),
    [sym_namespace_get_internal] = STATE(850),
    [sym_help] = STATE(850),
    [sym_pipe] = STATE(850),
    [sym_unary] = STATE(850),
    [sym_binary] = STATE(850),
    [sym_na] = STATE(850),
    [sym__expression] = STATE(850),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(850),
    [sym_string] = STATE(850),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2141),
    [sym_next] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_inf] = ACTIONS(2141),
    [sym_nan] = ACTIONS(2141),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2143),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [388] = {
    [sym_function_definition] = STATE(849),
    [sym_lambda_function] = STATE(849),
    [sym_if] = STATE(849),
    [sym_while] = STATE(849),
    [sym_repeat] = STATE(849),
    [sym_for] = STATE(849),
    [sym_switch] = STATE(849),
    [sym_call] = STATE(849),
    [sym__assignment] = STATE(849),
    [sym_left_assignment] = STATE(849),
    [sym_left_assignment2] = STATE(849),
    [sym_equals_assignment] = STATE(849),
    [sym_super_assignment] = STATE(849),
    [sym_super_right_assignment] = STATE(849),
    [sym_right_assignment] = STATE(849),
    [sym_brace_list] = STATE(849),
    [sym_paren_list] = STATE(849),
    [sym_subset] = STATE(849),
    [sym_subset2] = STATE(849),
    [sym_dollar] = STATE(849),
    [sym_slot] = STATE(849),
    [sym_namespace_get] = STATE(849),
    [sym_namespace_get_internal] = STATE(849),
    [sym_help] = STATE(849),
    [sym_pipe] = STATE(849),
    [sym_unary] = STATE(849),
    [sym_binary] = STATE(849),
    [sym_na] = STATE(849),
    [sym__expression] = STATE(849),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(849),
    [sym_string] = STATE(849),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2145),
    [sym_next] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_inf] = ACTIONS(2145),
    [sym_nan] = ACTIONS(2145),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2147),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [389] = {
    [sym_function_definition] = STATE(847),
    [sym_lambda_function] = STATE(847),
    [sym_if] = STATE(847),
    [sym_while] = STATE(847),
    [sym_repeat] = STATE(847),
    [sym_for] = STATE(847),
    [sym_switch] = STATE(847),
    [sym_call] = STATE(847),
    [sym__assignment] = STATE(847),
    [sym_left_assignment] = STATE(847),
    [sym_left_assignment2] = STATE(847),
    [sym_equals_assignment] = STATE(847),
    [sym_super_assignment] = STATE(847),
    [sym_super_right_assignment] = STATE(847),
    [sym_right_assignment] = STATE(847),
    [sym_brace_list] = STATE(847),
    [sym_paren_list] = STATE(847),
    [sym_subset] = STATE(847),
    [sym_subset2] = STATE(847),
    [sym_dollar] = STATE(847),
    [sym_slot] = STATE(847),
    [sym_namespace_get] = STATE(847),
    [sym_namespace_get_internal] = STATE(847),
    [sym_help] = STATE(847),
    [sym_pipe] = STATE(847),
    [sym_unary] = STATE(847),
    [sym_binary] = STATE(847),
    [sym_na] = STATE(847),
    [sym__expression] = STATE(847),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(847),
    [sym_string] = STATE(847),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2149),
    [sym_next] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_inf] = ACTIONS(2149),
    [sym_nan] = ACTIONS(2149),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2151),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [390] = {
    [sym_function_definition] = STATE(852),
    [sym_lambda_function] = STATE(852),
    [sym_if] = STATE(852),
    [sym_while] = STATE(852),
    [sym_repeat] = STATE(852),
    [sym_for] = STATE(852),
    [sym_switch] = STATE(852),
    [sym_call] = STATE(852),
    [sym__assignment] = STATE(852),
    [sym_left_assignment] = STATE(852),
    [sym_left_assignment2] = STATE(852),
    [sym_equals_assignment] = STATE(852),
    [sym_super_assignment] = STATE(852),
    [sym_super_right_assignment] = STATE(852),
    [sym_right_assignment] = STATE(852),
    [sym_brace_list] = STATE(852),
    [sym_paren_list] = STATE(852),
    [sym_subset] = STATE(852),
    [sym_subset2] = STATE(852),
    [sym_dollar] = STATE(852),
    [sym_slot] = STATE(852),
    [sym_namespace_get] = STATE(852),
    [sym_namespace_get_internal] = STATE(852),
    [sym_help] = STATE(852),
    [sym_pipe] = STATE(852),
    [sym_unary] = STATE(852),
    [sym_binary] = STATE(852),
    [sym_na] = STATE(852),
    [sym__expression] = STATE(852),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(852),
    [sym_string] = STATE(852),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2153),
    [sym_next] = ACTIONS(2153),
    [sym_true] = ACTIONS(2153),
    [sym_false] = ACTIONS(2153),
    [sym_null] = ACTIONS(2153),
    [sym_inf] = ACTIONS(2153),
    [sym_nan] = ACTIONS(2153),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2155),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [391] = {
    [sym_function_definition] = STATE(854),
    [sym_lambda_function] = STATE(854),
    [sym_if] = STATE(854),
    [sym_while] = STATE(854),
    [sym_repeat] = STATE(854),
    [sym_for] = STATE(854),
    [sym_switch] = STATE(854),
    [sym_call] = STATE(854),
    [sym__assignment] = STATE(854),
    [sym_left_assignment] = STATE(854),
    [sym_left_assignment2] = STATE(854),
    [sym_equals_assignment] = STATE(854),
    [sym_super_assignment] = STATE(854),
    [sym_super_right_assignment] = STATE(854),
    [sym_right_assignment] = STATE(854),
    [sym_brace_list] = STATE(854),
    [sym_paren_list] = STATE(854),
    [sym_subset] = STATE(854),
    [sym_subset2] = STATE(854),
    [sym_dollar] = STATE(854),
    [sym_slot] = STATE(854),
    [sym_namespace_get] = STATE(854),
    [sym_namespace_get_internal] = STATE(854),
    [sym_help] = STATE(854),
    [sym_pipe] = STATE(854),
    [sym_unary] = STATE(854),
    [sym_binary] = STATE(854),
    [sym_na] = STATE(854),
    [sym__expression] = STATE(854),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(854),
    [sym_string] = STATE(854),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2157),
    [sym_next] = ACTIONS(2157),
    [sym_true] = ACTIONS(2157),
    [sym_false] = ACTIONS(2157),
    [sym_null] = ACTIONS(2157),
    [sym_inf] = ACTIONS(2157),
    [sym_nan] = ACTIONS(2157),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [392] = {
    [sym_function_definition] = STATE(856),
    [sym_lambda_function] = STATE(856),
    [sym_if] = STATE(856),
    [sym_while] = STATE(856),
    [sym_repeat] = STATE(856),
    [sym_for] = STATE(856),
    [sym_switch] = STATE(856),
    [sym_call] = STATE(856),
    [sym__assignment] = STATE(856),
    [sym_left_assignment] = STATE(856),
    [sym_left_assignment2] = STATE(856),
    [sym_equals_assignment] = STATE(856),
    [sym_super_assignment] = STATE(856),
    [sym_super_right_assignment] = STATE(856),
    [sym_right_assignment] = STATE(856),
    [sym_brace_list] = STATE(856),
    [sym_paren_list] = STATE(856),
    [sym_subset] = STATE(856),
    [sym_subset2] = STATE(856),
    [sym_dollar] = STATE(856),
    [sym_slot] = STATE(856),
    [sym_namespace_get] = STATE(856),
    [sym_namespace_get_internal] = STATE(856),
    [sym_help] = STATE(856),
    [sym_pipe] = STATE(856),
    [sym_unary] = STATE(856),
    [sym_binary] = STATE(856),
    [sym_na] = STATE(856),
    [sym__expression] = STATE(856),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(856),
    [sym_string] = STATE(856),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2161),
    [sym_next] = ACTIONS(2161),
    [sym_true] = ACTIONS(2161),
    [sym_false] = ACTIONS(2161),
    [sym_null] = ACTIONS(2161),
    [sym_inf] = ACTIONS(2161),
    [sym_nan] = ACTIONS(2161),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2163),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [393] = {
    [sym_function_definition] = STATE(859),
    [sym_lambda_function] = STATE(859),
    [sym_if] = STATE(859),
    [sym_while] = STATE(859),
    [sym_repeat] = STATE(859),
    [sym_for] = STATE(859),
    [sym_switch] = STATE(859),
    [sym_call] = STATE(859),
    [sym__assignment] = STATE(859),
    [sym_left_assignment] = STATE(859),
    [sym_left_assignment2] = STATE(859),
    [sym_equals_assignment] = STATE(859),
    [sym_super_assignment] = STATE(859),
    [sym_super_right_assignment] = STATE(859),
    [sym_right_assignment] = STATE(859),
    [sym_brace_list] = STATE(859),
    [sym_paren_list] = STATE(859),
    [sym_subset] = STATE(859),
    [sym_subset2] = STATE(859),
    [sym_dollar] = STATE(859),
    [sym_slot] = STATE(859),
    [sym_namespace_get] = STATE(859),
    [sym_namespace_get_internal] = STATE(859),
    [sym_help] = STATE(859),
    [sym_pipe] = STATE(859),
    [sym_unary] = STATE(859),
    [sym_binary] = STATE(859),
    [sym_na] = STATE(859),
    [sym__expression] = STATE(859),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(859),
    [sym_string] = STATE(859),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2165),
    [sym_next] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_inf] = ACTIONS(2165),
    [sym_nan] = ACTIONS(2165),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2167),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [394] = {
    [sym_function_definition] = STATE(861),
    [sym_lambda_function] = STATE(861),
    [sym_if] = STATE(861),
    [sym_while] = STATE(861),
    [sym_repeat] = STATE(861),
    [sym_for] = STATE(861),
    [sym_switch] = STATE(861),
    [sym_call] = STATE(861),
    [sym__assignment] = STATE(861),
    [sym_left_assignment] = STATE(861),
    [sym_left_assignment2] = STATE(861),
    [sym_equals_assignment] = STATE(861),
    [sym_super_assignment] = STATE(861),
    [sym_super_right_assignment] = STATE(861),
    [sym_right_assignment] = STATE(861),
    [sym_brace_list] = STATE(861),
    [sym_paren_list] = STATE(861),
    [sym_subset] = STATE(861),
    [sym_subset2] = STATE(861),
    [sym_dollar] = STATE(861),
    [sym_slot] = STATE(861),
    [sym_namespace_get] = STATE(861),
    [sym_namespace_get_internal] = STATE(861),
    [sym_help] = STATE(861),
    [sym_pipe] = STATE(861),
    [sym_unary] = STATE(861),
    [sym_binary] = STATE(861),
    [sym_na] = STATE(861),
    [sym__expression] = STATE(861),
    [sym_identifier] = STATE(845),
    [sym_complex] = STATE(861),
    [sym_string] = STATE(861),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [sym_dots] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [sym_break] = ACTIONS(2169),
    [sym_next] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_inf] = ACTIONS(2169),
    [sym_nan] = ACTIONS(2169),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [aux_sym_identifier_token1] = ACTIONS(825),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_integer] = ACTIONS(2171),
    [sym_float] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_SQUOTE] = ACTIONS(835),
    [sym__raw_string_literal] = ACTIONS(837),
  },
  [395] = {
    [sym_function_definition] = STATE(752),
    [sym_lambda_function] = STATE(752),
    [sym_if] = STATE(752),
    [sym_while] = STATE(752),
    [sym_repeat] = STATE(752),
    [sym_for] = STATE(752),
    [sym_switch] = STATE(752),
    [sym_call] = STATE(752),
    [sym__assignment] = STATE(752),
    [sym_left_assignment] = STATE(752),
    [sym_left_assignment2] = STATE(752),
    [sym_equals_assignment] = STATE(752),
    [sym_super_assignment] = STATE(752),
    [sym_super_right_assignment] = STATE(752),
    [sym_right_assignment] = STATE(752),
    [sym_brace_list] = STATE(752),
    [sym_paren_list] = STATE(752),
    [sym_subset] = STATE(752),
    [sym_subset2] = STATE(752),
    [sym_dollar] = STATE(752),
    [sym_slot] = STATE(752),
    [sym_namespace_get] = STATE(752),
    [sym_namespace_get_internal] = STATE(752),
    [sym_help] = STATE(752),
    [sym_pipe] = STATE(752),
    [sym_unary] = STATE(752),
    [sym_binary] = STATE(752),
    [sym_na] = STATE(752),
    [sym__expression] = STATE(752),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(752),
    [sym_string] = STATE(752),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2173),
    [sym_next] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_inf] = ACTIONS(2173),
    [sym_nan] = ACTIONS(2173),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2175),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [396] = {
    [sym_function_definition] = STATE(750),
    [sym_lambda_function] = STATE(750),
    [sym_if] = STATE(750),
    [sym_while] = STATE(750),
    [sym_repeat] = STATE(750),
    [sym_for] = STATE(750),
    [sym_switch] = STATE(750),
    [sym_call] = STATE(750),
    [sym__assignment] = STATE(750),
    [sym_left_assignment] = STATE(750),
    [sym_left_assignment2] = STATE(750),
    [sym_equals_assignment] = STATE(750),
    [sym_super_assignment] = STATE(750),
    [sym_super_right_assignment] = STATE(750),
    [sym_right_assignment] = STATE(750),
    [sym_brace_list] = STATE(750),
    [sym_paren_list] = STATE(750),
    [sym_subset] = STATE(750),
    [sym_subset2] = STATE(750),
    [sym_dollar] = STATE(750),
    [sym_slot] = STATE(750),
    [sym_namespace_get] = STATE(750),
    [sym_namespace_get_internal] = STATE(750),
    [sym_help] = STATE(750),
    [sym_pipe] = STATE(750),
    [sym_unary] = STATE(750),
    [sym_binary] = STATE(750),
    [sym_na] = STATE(750),
    [sym__expression] = STATE(750),
    [sym_identifier] = STATE(664),
    [sym_complex] = STATE(750),
    [sym_string] = STATE(750),
    [anon_sym_function] = ACTIONS(127),
    [anon_sym_BSLASH] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_while] = ACTIONS(135),
    [anon_sym_repeat] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_QMARK] = ACTIONS(149),
    [sym_dots] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [sym_break] = ACTIONS(2177),
    [sym_next] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_inf] = ACTIONS(2177),
    [sym_nan] = ACTIONS(2177),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [aux_sym_identifier_token1] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym_integer] = ACTIONS(2179),
    [sym_float] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym__raw_string_literal] = ACTIONS(175),
  },
  [397] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2181),
    [anon_sym_LF] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_function] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_repeat] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_switch] = ACTIONS(2183),
    [anon_sym_EQ] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2183),
    [sym_dots] = ACTIONS(2183),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2183),
    [sym_next] = ACTIONS(2183),
    [sym_true] = ACTIONS(2183),
    [sym_false] = ACTIONS(2183),
    [sym_null] = ACTIONS(2183),
    [sym_inf] = ACTIONS(2183),
    [sym_nan] = ACTIONS(2183),
    [anon_sym_NA] = ACTIONS(2183),
    [anon_sym_NA_character_] = ACTIONS(2183),
    [anon_sym_NA_complex_] = ACTIONS(2183),
    [anon_sym_NA_integer_] = ACTIONS(2183),
    [anon_sym_NA_real_] = ACTIONS(2183),
    [aux_sym_identifier_token1] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [sym_integer] = ACTIONS(2183),
    [sym_float] = ACTIONS(2183),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2181),
  },
  [398] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_repeat] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2251),
    [sym_dots] = ACTIONS(2225),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2225),
    [sym_next] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_inf] = ACTIONS(2225),
    [sym_nan] = ACTIONS(2225),
    [anon_sym_NA] = ACTIONS(2225),
    [anon_sym_NA_character_] = ACTIONS(2225),
    [anon_sym_NA_complex_] = ACTIONS(2225),
    [anon_sym_NA_integer_] = ACTIONS(2225),
    [anon_sym_NA_real_] = ACTIONS(2225),
    [aux_sym_identifier_token1] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_integer] = ACTIONS(2225),
    [sym_float] = ACTIONS(2225),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2271),
  },
  [399] = {
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_BSLASH] = ACTIONS(1815),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1815),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_repeat] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_COMMA] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_COLON_EQ] = ACTIONS(1815),
    [anon_sym_LT_LT_DASH] = ACTIONS(1815),
    [anon_sym_DASH_GT_GT] = ACTIONS(1815),
    [anon_sym_DASH_GT] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_RBRACK] = ACTIONS(1815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1815),
    [anon_sym_DOLLAR] = ACTIONS(1815),
    [anon_sym_AT] = ACTIONS(1815),
    [anon_sym_COLON_COLON] = ACTIONS(1813),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1815),
    [anon_sym_QMARK] = ACTIONS(1815),
    [sym_dots] = ACTIONS(1813),
    [anon_sym_PIPE_GT] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_CARET] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1815),
    [anon_sym_GT_EQ] = ACTIONS(1815),
    [anon_sym_EQ_EQ] = ACTIONS(1815),
    [anon_sym_BANG_EQ] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1815),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1815),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_break] = ACTIONS(1813),
    [sym_next] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_inf] = ACTIONS(1813),
    [sym_nan] = ACTIONS(1813),
    [anon_sym_NA] = ACTIONS(1813),
    [anon_sym_NA_character_] = ACTIONS(1813),
    [anon_sym_NA_complex_] = ACTIONS(1813),
    [anon_sym_NA_integer_] = ACTIONS(1813),
    [anon_sym_NA_real_] = ACTIONS(1813),
    [aux_sym_identifier_token1] = ACTIONS(1813),
    [anon_sym_BQUOTE] = ACTIONS(1815),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_PERCENT] = ACTIONS(1815),
    [sym__raw_string_literal] = ACTIONS(1815),
  },
  [400] = {
    [anon_sym_function] = ACTIONS(1795),
    [anon_sym_BSLASH] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_while] = ACTIONS(1795),
    [anon_sym_repeat] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1795),
    [anon_sym_switch] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1799),
    [anon_sym_LT_DASH] = ACTIONS(1799),
    [anon_sym_COLON_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT_DASH] = ACTIONS(1799),
    [anon_sym_DASH_GT_GT] = ACTIONS(1799),
    [anon_sym_DASH_GT] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1799),
    [anon_sym_DOLLAR] = ACTIONS(1799),
    [anon_sym_AT] = ACTIONS(1799),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1799),
    [anon_sym_QMARK] = ACTIONS(1799),
    [sym_dots] = ACTIONS(1795),
    [anon_sym_PIPE_GT] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_BANG] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_EQ_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(1795),
    [sym_break] = ACTIONS(1795),
    [sym_next] = ACTIONS(1795),
    [sym_true] = ACTIONS(1795),
    [sym_false] = ACTIONS(1795),
    [sym_null] = ACTIONS(1795),
    [sym_inf] = ACTIONS(1795),
    [sym_nan] = ACTIONS(1795),
    [anon_sym_NA] = ACTIONS(1795),
    [anon_sym_NA_character_] = ACTIONS(1795),
    [anon_sym_NA_complex_] = ACTIONS(1795),
    [anon_sym_NA_integer_] = ACTIONS(1795),
    [anon_sym_NA_real_] = ACTIONS(1795),
    [aux_sym_identifier_token1] = ACTIONS(1795),
    [anon_sym_BQUOTE] = ACTIONS(1799),
    [sym_integer] = ACTIONS(1799),
    [sym_float] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1799),
    [anon_sym_SQUOTE] = ACTIONS(1799),
    [anon_sym_PERCENT] = ACTIONS(1799),
    [sym__raw_string_literal] = ACTIONS(1799),
  },
  [401] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(2275),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2277),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [402] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2271),
    [anon_sym_else] = ACTIONS(2281),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_repeat] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2271),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2271),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2303),
    [sym_dots] = ACTIONS(2225),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2225),
    [sym_next] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_inf] = ACTIONS(2225),
    [sym_nan] = ACTIONS(2225),
    [anon_sym_NA] = ACTIONS(2225),
    [anon_sym_NA_character_] = ACTIONS(2225),
    [anon_sym_NA_complex_] = ACTIONS(2225),
    [anon_sym_NA_integer_] = ACTIONS(2225),
    [anon_sym_NA_real_] = ACTIONS(2225),
    [aux_sym_identifier_token1] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2271),
    [sym_integer] = ACTIONS(2271),
    [sym_float] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2271),
    [anon_sym_SQUOTE] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2271),
  },
  [403] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(2275),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2277),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [404] = {
    [anon_sym_LF] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_repeat] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_LT_DASH] = ACTIONS(1849),
    [anon_sym_COLON_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_DASH] = ACTIONS(1849),
    [anon_sym_DASH_GT_GT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [sym_dots] = ACTIONS(1849),
    [anon_sym_PIPE_GT] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_break] = ACTIONS(1849),
    [sym_next] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_inf] = ACTIONS(1849),
    [sym_nan] = ACTIONS(1849),
    [anon_sym_NA] = ACTIONS(1849),
    [anon_sym_NA_character_] = ACTIONS(1849),
    [anon_sym_NA_complex_] = ACTIONS(1849),
    [anon_sym_NA_integer_] = ACTIONS(1849),
    [anon_sym_NA_real_] = ACTIONS(1849),
    [aux_sym_identifier_token1] = ACTIONS(1849),
    [anon_sym_BQUOTE] = ACTIONS(1849),
    [sym_integer] = ACTIONS(1849),
    [sym_float] = ACTIONS(1849),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1849),
    [anon_sym_SQUOTE] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [sym__raw_string_literal] = ACTIONS(1851),
  },
  [405] = {
    [anon_sym_LF] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1841),
    [anon_sym_COLON_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_DASH] = ACTIONS(1841),
    [anon_sym_DASH_GT_GT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COLON_COLON] = ACTIONS(2333),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2335),
    [anon_sym_QMARK] = ACTIONS(1841),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [406] = {
    [anon_sym_LF] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_BSLASH] = ACTIONS(1813),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_repeat] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1813),
    [anon_sym_RBRACE] = ACTIONS(1813),
    [anon_sym_LT_DASH] = ACTIONS(1813),
    [anon_sym_COLON_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT_DASH] = ACTIONS(1813),
    [anon_sym_DASH_GT_GT] = ACTIONS(1813),
    [anon_sym_DASH_GT] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1813),
    [anon_sym_DOLLAR] = ACTIONS(1813),
    [anon_sym_AT] = ACTIONS(1813),
    [anon_sym_COLON_COLON] = ACTIONS(1813),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1813),
    [anon_sym_QMARK] = ACTIONS(1813),
    [sym_dots] = ACTIONS(1813),
    [anon_sym_PIPE_GT] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1813),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_EQ_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_break] = ACTIONS(1813),
    [sym_next] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_inf] = ACTIONS(1813),
    [sym_nan] = ACTIONS(1813),
    [anon_sym_NA] = ACTIONS(1813),
    [anon_sym_NA_character_] = ACTIONS(1813),
    [anon_sym_NA_complex_] = ACTIONS(1813),
    [anon_sym_NA_integer_] = ACTIONS(1813),
    [anon_sym_NA_real_] = ACTIONS(1813),
    [aux_sym_identifier_token1] = ACTIONS(1813),
    [anon_sym_BQUOTE] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1813),
    [sym_float] = ACTIONS(1813),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1813),
    [anon_sym_SQUOTE] = ACTIONS(1813),
    [anon_sym_PERCENT] = ACTIONS(1813),
    [sym__raw_string_literal] = ACTIONS(1815),
  },
  [407] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_repeat] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2251),
    [sym_dots] = ACTIONS(2225),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2225),
    [sym_next] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_inf] = ACTIONS(2225),
    [sym_nan] = ACTIONS(2225),
    [anon_sym_NA] = ACTIONS(2225),
    [anon_sym_NA_character_] = ACTIONS(2225),
    [anon_sym_NA_complex_] = ACTIONS(2225),
    [anon_sym_NA_integer_] = ACTIONS(2225),
    [anon_sym_NA_real_] = ACTIONS(2225),
    [aux_sym_identifier_token1] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_integer] = ACTIONS(2225),
    [sym_float] = ACTIONS(2225),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2271),
  },
  [408] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2271),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_repeat] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2271),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2271),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2303),
    [sym_dots] = ACTIONS(2225),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2225),
    [sym_next] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_inf] = ACTIONS(2225),
    [sym_nan] = ACTIONS(2225),
    [anon_sym_NA] = ACTIONS(2225),
    [anon_sym_NA_character_] = ACTIONS(2225),
    [anon_sym_NA_complex_] = ACTIONS(2225),
    [anon_sym_NA_integer_] = ACTIONS(2225),
    [anon_sym_NA_real_] = ACTIONS(2225),
    [aux_sym_identifier_token1] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2271),
    [sym_integer] = ACTIONS(2271),
    [sym_float] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2271),
    [anon_sym_SQUOTE] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2271),
  },
  [409] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [anon_sym_LF] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2341),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_repeat] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2345),
    [sym_dots] = ACTIONS(2225),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2225),
    [sym_next] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_inf] = ACTIONS(2225),
    [sym_nan] = ACTIONS(2225),
    [anon_sym_NA] = ACTIONS(2225),
    [anon_sym_NA_character_] = ACTIONS(2225),
    [anon_sym_NA_complex_] = ACTIONS(2225),
    [anon_sym_NA_integer_] = ACTIONS(2225),
    [anon_sym_NA_real_] = ACTIONS(2225),
    [aux_sym_identifier_token1] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_integer] = ACTIONS(2225),
    [sym_float] = ACTIONS(2225),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2271),
  },
  [410] = {
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_repeat] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_LT_DASH] = ACTIONS(1851),
    [anon_sym_COLON_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_DASH] = ACTIONS(1851),
    [anon_sym_DASH_GT_GT] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_RBRACK] = ACTIONS(1851),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [sym_dots] = ACTIONS(1849),
    [anon_sym_PIPE_GT] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_break] = ACTIONS(1849),
    [sym_next] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_inf] = ACTIONS(1849),
    [sym_nan] = ACTIONS(1849),
    [anon_sym_NA] = ACTIONS(1849),
    [anon_sym_NA_character_] = ACTIONS(1849),
    [anon_sym_NA_complex_] = ACTIONS(1849),
    [anon_sym_NA_integer_] = ACTIONS(1849),
    [anon_sym_NA_real_] = ACTIONS(1849),
    [aux_sym_identifier_token1] = ACTIONS(1849),
    [anon_sym_BQUOTE] = ACTIONS(1851),
    [sym_integer] = ACTIONS(1851),
    [sym_float] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1851),
    [anon_sym_SQUOTE] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [sym__raw_string_literal] = ACTIONS(1851),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [anon_sym_LF] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1795),
    [anon_sym_BSLASH] = ACTIONS(1795),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_while] = ACTIONS(1795),
    [anon_sym_repeat] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1795),
    [anon_sym_switch] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1795),
    [anon_sym_LT_DASH] = ACTIONS(1795),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_DASH] = ACTIONS(1795),
    [anon_sym_DASH_GT_GT] = ACTIONS(1795),
    [anon_sym_DASH_GT] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1795),
    [anon_sym_DOLLAR] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1795),
    [anon_sym_QMARK] = ACTIONS(1795),
    [sym_dots] = ACTIONS(1795),
    [anon_sym_PIPE_GT] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_EQ_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(1795),
    [sym_break] = ACTIONS(1795),
    [sym_next] = ACTIONS(1795),
    [sym_true] = ACTIONS(1795),
    [sym_false] = ACTIONS(1795),
    [sym_null] = ACTIONS(1795),
    [sym_inf] = ACTIONS(1795),
    [sym_nan] = ACTIONS(1795),
    [anon_sym_NA] = ACTIONS(1795),
    [anon_sym_NA_character_] = ACTIONS(1795),
    [anon_sym_NA_complex_] = ACTIONS(1795),
    [anon_sym_NA_integer_] = ACTIONS(1795),
    [anon_sym_NA_real_] = ACTIONS(1795),
    [aux_sym_identifier_token1] = ACTIONS(1795),
    [anon_sym_BQUOTE] = ACTIONS(1795),
    [sym_integer] = ACTIONS(1795),
    [sym_float] = ACTIONS(1795),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1795),
    [anon_sym_SQUOTE] = ACTIONS(1795),
    [anon_sym_PERCENT] = ACTIONS(1795),
    [sym__raw_string_literal] = ACTIONS(1799),
  },
  [412] = {
    [anon_sym_function] = ACTIONS(1795),
    [anon_sym_BSLASH] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_else] = ACTIONS(1795),
    [anon_sym_while] = ACTIONS(1795),
    [anon_sym_repeat] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1795),
    [anon_sym_switch] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1799),
    [anon_sym_LT_DASH] = ACTIONS(1799),
    [anon_sym_COLON_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT_DASH] = ACTIONS(1799),
    [anon_sym_DASH_GT_GT] = ACTIONS(1799),
    [anon_sym_DASH_GT] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1799),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1799),
    [anon_sym_DOLLAR] = ACTIONS(1799),
    [anon_sym_AT] = ACTIONS(1799),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1799),
    [anon_sym_QMARK] = ACTIONS(1799),
    [sym_dots] = ACTIONS(1795),
    [anon_sym_PIPE_GT] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_BANG] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_EQ_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(1795),
    [sym_break] = ACTIONS(1795),
    [sym_next] = ACTIONS(1795),
    [sym_true] = ACTIONS(1795),
    [sym_false] = ACTIONS(1795),
    [sym_null] = ACTIONS(1795),
    [sym_inf] = ACTIONS(1795),
    [sym_nan] = ACTIONS(1795),
    [anon_sym_NA] = ACTIONS(1795),
    [anon_sym_NA_character_] = ACTIONS(1795),
    [anon_sym_NA_complex_] = ACTIONS(1795),
    [anon_sym_NA_integer_] = ACTIONS(1795),
    [anon_sym_NA_real_] = ACTIONS(1795),
    [aux_sym_identifier_token1] = ACTIONS(1795),
    [anon_sym_BQUOTE] = ACTIONS(1799),
    [sym_integer] = ACTIONS(1799),
    [sym_float] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1799),
    [anon_sym_SQUOTE] = ACTIONS(1799),
    [anon_sym_PERCENT] = ACTIONS(1799),
    [sym__raw_string_literal] = ACTIONS(1799),
  },
  [413] = {
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_BSLASH] = ACTIONS(1815),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1815),
    [anon_sym_else] = ACTIONS(1813),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_repeat] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_COMMA] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_COLON_EQ] = ACTIONS(1815),
    [anon_sym_LT_LT_DASH] = ACTIONS(1815),
    [anon_sym_DASH_GT_GT] = ACTIONS(1815),
    [anon_sym_DASH_GT] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1815),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1815),
    [anon_sym_DOLLAR] = ACTIONS(1815),
    [anon_sym_AT] = ACTIONS(1815),
    [anon_sym_COLON_COLON] = ACTIONS(1813),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1815),
    [anon_sym_QMARK] = ACTIONS(1815),
    [sym_dots] = ACTIONS(1813),
    [anon_sym_PIPE_GT] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_CARET] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1815),
    [anon_sym_GT_EQ] = ACTIONS(1815),
    [anon_sym_EQ_EQ] = ACTIONS(1815),
    [anon_sym_BANG_EQ] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1815),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1815),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_break] = ACTIONS(1813),
    [sym_next] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_inf] = ACTIONS(1813),
    [sym_nan] = ACTIONS(1813),
    [anon_sym_NA] = ACTIONS(1813),
    [anon_sym_NA_character_] = ACTIONS(1813),
    [anon_sym_NA_complex_] = ACTIONS(1813),
    [anon_sym_NA_integer_] = ACTIONS(1813),
    [anon_sym_NA_real_] = ACTIONS(1813),
    [aux_sym_identifier_token1] = ACTIONS(1813),
    [anon_sym_BQUOTE] = ACTIONS(1815),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_PERCENT] = ACTIONS(1815),
    [sym__raw_string_literal] = ACTIONS(1815),
  },
  [414] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(2347),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2349),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [415] = {
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_repeat] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_LT_DASH] = ACTIONS(1851),
    [anon_sym_COLON_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_DASH] = ACTIONS(1851),
    [anon_sym_DASH_GT_GT] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1851),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [sym_dots] = ACTIONS(1849),
    [anon_sym_PIPE_GT] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_break] = ACTIONS(1849),
    [sym_next] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_inf] = ACTIONS(1849),
    [sym_nan] = ACTIONS(1849),
    [anon_sym_NA] = ACTIONS(1849),
    [anon_sym_NA_character_] = ACTIONS(1849),
    [anon_sym_NA_complex_] = ACTIONS(1849),
    [anon_sym_NA_integer_] = ACTIONS(1849),
    [anon_sym_NA_real_] = ACTIONS(1849),
    [aux_sym_identifier_token1] = ACTIONS(1849),
    [anon_sym_BQUOTE] = ACTIONS(1851),
    [sym_integer] = ACTIONS(1851),
    [sym_float] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1851),
    [anon_sym_SQUOTE] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [sym__raw_string_literal] = ACTIONS(1851),
  },
  [416] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_BSLASH] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_repeat] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2351),
    [anon_sym_RBRACE] = ACTIONS(2351),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2251),
    [sym_dots] = ACTIONS(2351),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2351),
    [sym_next] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_inf] = ACTIONS(2351),
    [sym_nan] = ACTIONS(2351),
    [anon_sym_NA] = ACTIONS(2351),
    [anon_sym_NA_character_] = ACTIONS(2351),
    [anon_sym_NA_complex_] = ACTIONS(2351),
    [anon_sym_NA_integer_] = ACTIONS(2351),
    [anon_sym_NA_real_] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [anon_sym_BQUOTE] = ACTIONS(2351),
    [sym_integer] = ACTIONS(2351),
    [sym_float] = ACTIONS(2351),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [anon_sym_SQUOTE] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2353),
  },
  [417] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(2355),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_BSLASH] = ACTIONS(2355),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_repeat] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_RBRACE] = ACTIONS(2355),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2251),
    [sym_dots] = ACTIONS(2355),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2355),
    [sym_next] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_inf] = ACTIONS(2355),
    [sym_nan] = ACTIONS(2355),
    [anon_sym_NA] = ACTIONS(2355),
    [anon_sym_NA_character_] = ACTIONS(2355),
    [anon_sym_NA_complex_] = ACTIONS(2355),
    [anon_sym_NA_integer_] = ACTIONS(2355),
    [anon_sym_NA_real_] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [anon_sym_BQUOTE] = ACTIONS(2355),
    [sym_integer] = ACTIONS(2355),
    [sym_float] = ACTIONS(2355),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2355),
    [anon_sym_SQUOTE] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2357),
  },
  [418] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2359),
    [anon_sym_SEMI] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_BSLASH] = ACTIONS(2359),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2359),
    [anon_sym_while] = ACTIONS(2359),
    [anon_sym_repeat] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2359),
    [anon_sym_RBRACE] = ACTIONS(2359),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2251),
    [sym_dots] = ACTIONS(2359),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2359),
    [sym_next] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_inf] = ACTIONS(2359),
    [sym_nan] = ACTIONS(2359),
    [anon_sym_NA] = ACTIONS(2359),
    [anon_sym_NA_character_] = ACTIONS(2359),
    [anon_sym_NA_complex_] = ACTIONS(2359),
    [anon_sym_NA_integer_] = ACTIONS(2359),
    [anon_sym_NA_real_] = ACTIONS(2359),
    [aux_sym_identifier_token1] = ACTIONS(2359),
    [anon_sym_BQUOTE] = ACTIONS(2359),
    [sym_integer] = ACTIONS(2359),
    [sym_float] = ACTIONS(2359),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2359),
    [anon_sym_SQUOTE] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2361),
  },
  [419] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [420] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [421] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [422] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [423] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [424] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [425] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [426] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [427] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [anon_sym_LF] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2367),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_repeat] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2345),
    [sym_dots] = ACTIONS(2225),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2225),
    [sym_next] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_inf] = ACTIONS(2225),
    [sym_nan] = ACTIONS(2225),
    [anon_sym_NA] = ACTIONS(2225),
    [anon_sym_NA_character_] = ACTIONS(2225),
    [anon_sym_NA_complex_] = ACTIONS(2225),
    [anon_sym_NA_integer_] = ACTIONS(2225),
    [anon_sym_NA_real_] = ACTIONS(2225),
    [aux_sym_identifier_token1] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2225),
    [sym_integer] = ACTIONS(2225),
    [sym_float] = ACTIONS(2225),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2225),
    [anon_sym_SQUOTE] = ACTIONS(2225),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2271),
  },
  [428] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [429] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2369),
    [anon_sym_SEMI] = ACTIONS(2369),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_BSLASH] = ACTIONS(2369),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_repeat] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_RBRACE] = ACTIONS(2369),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2369),
    [sym_dots] = ACTIONS(2369),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2369),
    [sym_next] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_inf] = ACTIONS(2369),
    [sym_nan] = ACTIONS(2369),
    [anon_sym_NA] = ACTIONS(2369),
    [anon_sym_NA_character_] = ACTIONS(2369),
    [anon_sym_NA_complex_] = ACTIONS(2369),
    [anon_sym_NA_integer_] = ACTIONS(2369),
    [anon_sym_NA_real_] = ACTIONS(2369),
    [aux_sym_identifier_token1] = ACTIONS(2369),
    [anon_sym_BQUOTE] = ACTIONS(2369),
    [sym_integer] = ACTIONS(2369),
    [sym_float] = ACTIONS(2369),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2369),
    [anon_sym_SQUOTE] = ACTIONS(2369),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2371),
  },
  [430] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2373),
    [anon_sym_BSLASH] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(2373),
    [anon_sym_repeat] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2373),
    [anon_sym_switch] = ACTIONS(2373),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_RBRACE] = ACTIONS(2373),
    [anon_sym_LT_DASH] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_LT_LT_DASH] = ACTIONS(2373),
    [anon_sym_DASH_GT_GT] = ACTIONS(2373),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2373),
    [sym_dots] = ACTIONS(2373),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2373),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2373),
    [sym_next] = ACTIONS(2373),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_inf] = ACTIONS(2373),
    [sym_nan] = ACTIONS(2373),
    [anon_sym_NA] = ACTIONS(2373),
    [anon_sym_NA_character_] = ACTIONS(2373),
    [anon_sym_NA_complex_] = ACTIONS(2373),
    [anon_sym_NA_integer_] = ACTIONS(2373),
    [anon_sym_NA_real_] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [anon_sym_BQUOTE] = ACTIONS(2373),
    [sym_integer] = ACTIONS(2373),
    [sym_float] = ACTIONS(2373),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2375),
  },
  [431] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_BSLASH] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2377),
    [anon_sym_repeat] = ACTIONS(2377),
    [anon_sym_for] = ACTIONS(2377),
    [anon_sym_switch] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_RBRACE] = ACTIONS(2377),
    [anon_sym_LT_DASH] = ACTIONS(2377),
    [anon_sym_COLON_EQ] = ACTIONS(2377),
    [anon_sym_LT_LT_DASH] = ACTIONS(2377),
    [anon_sym_DASH_GT_GT] = ACTIONS(2377),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2377),
    [sym_dots] = ACTIONS(2377),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2377),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2377),
    [sym_next] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_inf] = ACTIONS(2377),
    [sym_nan] = ACTIONS(2377),
    [anon_sym_NA] = ACTIONS(2377),
    [anon_sym_NA_character_] = ACTIONS(2377),
    [anon_sym_NA_complex_] = ACTIONS(2377),
    [anon_sym_NA_integer_] = ACTIONS(2377),
    [anon_sym_NA_real_] = ACTIONS(2377),
    [aux_sym_identifier_token1] = ACTIONS(2377),
    [anon_sym_BQUOTE] = ACTIONS(2377),
    [sym_integer] = ACTIONS(2377),
    [sym_float] = ACTIONS(2377),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2377),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2379),
  },
  [432] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2381),
    [anon_sym_SEMI] = ACTIONS(2381),
    [anon_sym_function] = ACTIONS(2381),
    [anon_sym_BSLASH] = ACTIONS(2381),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_repeat] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_RBRACE] = ACTIONS(2381),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2381),
    [sym_dots] = ACTIONS(2381),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2381),
    [sym_next] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_null] = ACTIONS(2381),
    [sym_inf] = ACTIONS(2381),
    [sym_nan] = ACTIONS(2381),
    [anon_sym_NA] = ACTIONS(2381),
    [anon_sym_NA_character_] = ACTIONS(2381),
    [anon_sym_NA_complex_] = ACTIONS(2381),
    [anon_sym_NA_integer_] = ACTIONS(2381),
    [anon_sym_NA_real_] = ACTIONS(2381),
    [aux_sym_identifier_token1] = ACTIONS(2381),
    [anon_sym_BQUOTE] = ACTIONS(2381),
    [sym_integer] = ACTIONS(2381),
    [sym_float] = ACTIONS(2381),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2381),
    [anon_sym_SQUOTE] = ACTIONS(2381),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2383),
  },
  [433] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_function] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_repeat] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_switch] = ACTIONS(2183),
    [anon_sym_EQ] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2183),
    [sym_dots] = ACTIONS(2183),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2183),
    [sym_next] = ACTIONS(2183),
    [sym_true] = ACTIONS(2183),
    [sym_false] = ACTIONS(2183),
    [sym_null] = ACTIONS(2183),
    [sym_inf] = ACTIONS(2183),
    [sym_nan] = ACTIONS(2183),
    [anon_sym_NA] = ACTIONS(2183),
    [anon_sym_NA_character_] = ACTIONS(2183),
    [anon_sym_NA_complex_] = ACTIONS(2183),
    [anon_sym_NA_integer_] = ACTIONS(2183),
    [anon_sym_NA_real_] = ACTIONS(2183),
    [aux_sym_identifier_token1] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [sym_integer] = ACTIONS(2183),
    [sym_float] = ACTIONS(2183),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2181),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [anon_sym_LF] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_repeat] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_LT_DASH] = ACTIONS(1849),
    [anon_sym_COLON_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_DASH] = ACTIONS(1849),
    [anon_sym_DASH_GT_GT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [sym_dots] = ACTIONS(1849),
    [anon_sym_PIPE_GT] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_break] = ACTIONS(1849),
    [sym_next] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_inf] = ACTIONS(1849),
    [sym_nan] = ACTIONS(1849),
    [anon_sym_NA] = ACTIONS(1849),
    [anon_sym_NA_character_] = ACTIONS(1849),
    [anon_sym_NA_complex_] = ACTIONS(1849),
    [anon_sym_NA_integer_] = ACTIONS(1849),
    [anon_sym_NA_real_] = ACTIONS(1849),
    [aux_sym_identifier_token1] = ACTIONS(1849),
    [anon_sym_BQUOTE] = ACTIONS(1849),
    [sym_integer] = ACTIONS(1849),
    [sym_float] = ACTIONS(1849),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1849),
    [anon_sym_SQUOTE] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [sym__raw_string_literal] = ACTIONS(1851),
  },
  [435] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2385),
    [anon_sym_SEMI] = ACTIONS(2385),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_BSLASH] = ACTIONS(2385),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_repeat] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_RBRACE] = ACTIONS(2385),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2385),
    [sym_dots] = ACTIONS(2385),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2385),
    [sym_next] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_null] = ACTIONS(2385),
    [sym_inf] = ACTIONS(2385),
    [sym_nan] = ACTIONS(2385),
    [anon_sym_NA] = ACTIONS(2385),
    [anon_sym_NA_character_] = ACTIONS(2385),
    [anon_sym_NA_complex_] = ACTIONS(2385),
    [anon_sym_NA_integer_] = ACTIONS(2385),
    [anon_sym_NA_real_] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [anon_sym_BQUOTE] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2385),
    [sym_float] = ACTIONS(2385),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2387),
  },
  [436] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_BSLASH] = ACTIONS(2389),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_repeat] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2389),
    [sym_dots] = ACTIONS(2389),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2389),
    [sym_next] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_null] = ACTIONS(2389),
    [sym_inf] = ACTIONS(2389),
    [sym_nan] = ACTIONS(2389),
    [anon_sym_NA] = ACTIONS(2389),
    [anon_sym_NA_character_] = ACTIONS(2389),
    [anon_sym_NA_complex_] = ACTIONS(2389),
    [anon_sym_NA_integer_] = ACTIONS(2389),
    [anon_sym_NA_real_] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_integer] = ACTIONS(2389),
    [sym_float] = ACTIONS(2389),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2391),
  },
  [437] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_function] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_repeat] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_RBRACE] = ACTIONS(2393),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2251),
    [sym_dots] = ACTIONS(2393),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2393),
    [sym_next] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_inf] = ACTIONS(2393),
    [sym_nan] = ACTIONS(2393),
    [anon_sym_NA] = ACTIONS(2393),
    [anon_sym_NA_character_] = ACTIONS(2393),
    [anon_sym_NA_complex_] = ACTIONS(2393),
    [anon_sym_NA_integer_] = ACTIONS(2393),
    [anon_sym_NA_real_] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [anon_sym_BQUOTE] = ACTIONS(2393),
    [sym_integer] = ACTIONS(2393),
    [sym_float] = ACTIONS(2393),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_SQUOTE] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2395),
  },
  [438] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2397),
    [anon_sym_function] = ACTIONS(2397),
    [anon_sym_BSLASH] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_repeat] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2397),
    [anon_sym_RBRACE] = ACTIONS(2397),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2251),
    [sym_dots] = ACTIONS(2397),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2397),
    [sym_next] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_null] = ACTIONS(2397),
    [sym_inf] = ACTIONS(2397),
    [sym_nan] = ACTIONS(2397),
    [anon_sym_NA] = ACTIONS(2397),
    [anon_sym_NA_character_] = ACTIONS(2397),
    [anon_sym_NA_complex_] = ACTIONS(2397),
    [anon_sym_NA_integer_] = ACTIONS(2397),
    [anon_sym_NA_real_] = ACTIONS(2397),
    [aux_sym_identifier_token1] = ACTIONS(2397),
    [anon_sym_BQUOTE] = ACTIONS(2397),
    [sym_integer] = ACTIONS(2397),
    [sym_float] = ACTIONS(2397),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2399),
  },
  [439] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_BSLASH] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2353),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_repeat] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_COMMA] = ACTIONS(2353),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2303),
    [sym_dots] = ACTIONS(2351),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2351),
    [sym_next] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_inf] = ACTIONS(2351),
    [sym_nan] = ACTIONS(2351),
    [anon_sym_NA] = ACTIONS(2351),
    [anon_sym_NA_character_] = ACTIONS(2351),
    [anon_sym_NA_complex_] = ACTIONS(2351),
    [anon_sym_NA_integer_] = ACTIONS(2351),
    [anon_sym_NA_real_] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [anon_sym_BQUOTE] = ACTIONS(2353),
    [sym_integer] = ACTIONS(2353),
    [sym_float] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2353),
  },
  [440] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_BSLASH] = ACTIONS(2357),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_repeat] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_COMMA] = ACTIONS(2357),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2303),
    [sym_dots] = ACTIONS(2355),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2355),
    [sym_next] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_inf] = ACTIONS(2355),
    [sym_nan] = ACTIONS(2355),
    [anon_sym_NA] = ACTIONS(2355),
    [anon_sym_NA_character_] = ACTIONS(2355),
    [anon_sym_NA_complex_] = ACTIONS(2355),
    [anon_sym_NA_integer_] = ACTIONS(2355),
    [anon_sym_NA_real_] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [anon_sym_BQUOTE] = ACTIONS(2357),
    [sym_integer] = ACTIONS(2357),
    [sym_float] = ACTIONS(2355),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2357),
    [anon_sym_SQUOTE] = ACTIONS(2357),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2357),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [anon_sym_LF] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1841),
    [anon_sym_COLON_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_DASH] = ACTIONS(1841),
    [anon_sym_DASH_GT_GT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COLON_COLON] = ACTIONS(2401),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(1841),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [442] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_BSLASH] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2359),
    [anon_sym_while] = ACTIONS(2359),
    [anon_sym_repeat] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2303),
    [sym_dots] = ACTIONS(2359),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2359),
    [sym_next] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_inf] = ACTIONS(2359),
    [sym_nan] = ACTIONS(2359),
    [anon_sym_NA] = ACTIONS(2359),
    [anon_sym_NA_character_] = ACTIONS(2359),
    [anon_sym_NA_complex_] = ACTIONS(2359),
    [anon_sym_NA_integer_] = ACTIONS(2359),
    [anon_sym_NA_real_] = ACTIONS(2359),
    [aux_sym_identifier_token1] = ACTIONS(2359),
    [anon_sym_BQUOTE] = ACTIONS(2361),
    [sym_integer] = ACTIONS(2361),
    [sym_float] = ACTIONS(2359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2361),
  },
  [443] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [444] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [anon_sym_LF] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1841),
    [anon_sym_COLON_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_DASH] = ACTIONS(1841),
    [anon_sym_DASH_GT_GT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [anon_sym_i] = ACTIONS(2405),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [446] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [447] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [448] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [449] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [450] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2407),
    [anon_sym_LF] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2409),
    [anon_sym_BSLASH] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2409),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_repeat] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2345),
    [sym_dots] = ACTIONS(2409),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2409),
    [sym_next] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_null] = ACTIONS(2409),
    [sym_inf] = ACTIONS(2409),
    [sym_nan] = ACTIONS(2409),
    [anon_sym_NA] = ACTIONS(2409),
    [anon_sym_NA_character_] = ACTIONS(2409),
    [anon_sym_NA_complex_] = ACTIONS(2409),
    [anon_sym_NA_integer_] = ACTIONS(2409),
    [anon_sym_NA_real_] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [anon_sym_BQUOTE] = ACTIONS(2409),
    [sym_integer] = ACTIONS(2409),
    [sym_float] = ACTIONS(2409),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2407),
  },
  [451] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [452] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2411),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [453] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2411),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2413),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(2413),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_LT_EQ] = ACTIONS(2413),
    [anon_sym_GT_EQ] = ACTIONS(2413),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2413),
    [anon_sym_PIPE_PIPE] = ACTIONS(2413),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2413),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2413),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2413),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [454] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2411),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2413),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2413),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [455] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2411),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [456] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_BSLASH] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2371),
    [anon_sym_else] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_repeat] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_COMMA] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2371),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2371),
    [sym_dots] = ACTIONS(2369),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2369),
    [sym_next] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_inf] = ACTIONS(2369),
    [sym_nan] = ACTIONS(2369),
    [anon_sym_NA] = ACTIONS(2369),
    [anon_sym_NA_character_] = ACTIONS(2369),
    [anon_sym_NA_complex_] = ACTIONS(2369),
    [anon_sym_NA_integer_] = ACTIONS(2369),
    [anon_sym_NA_real_] = ACTIONS(2369),
    [aux_sym_identifier_token1] = ACTIONS(2369),
    [anon_sym_BQUOTE] = ACTIONS(2371),
    [sym_integer] = ACTIONS(2371),
    [sym_float] = ACTIONS(2369),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2371),
    [anon_sym_SQUOTE] = ACTIONS(2371),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2371),
  },
  [457] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [458] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2373),
    [anon_sym_BSLASH] = ACTIONS(2375),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_else] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(2373),
    [anon_sym_repeat] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2373),
    [anon_sym_switch] = ACTIONS(2373),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_LT_DASH] = ACTIONS(2375),
    [anon_sym_COLON_EQ] = ACTIONS(2375),
    [anon_sym_LT_LT_DASH] = ACTIONS(2375),
    [anon_sym_DASH_GT_GT] = ACTIONS(2375),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2375),
    [sym_dots] = ACTIONS(2373),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2373),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2373),
    [sym_next] = ACTIONS(2373),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_inf] = ACTIONS(2373),
    [sym_nan] = ACTIONS(2373),
    [anon_sym_NA] = ACTIONS(2373),
    [anon_sym_NA_character_] = ACTIONS(2373),
    [anon_sym_NA_complex_] = ACTIONS(2373),
    [anon_sym_NA_integer_] = ACTIONS(2373),
    [anon_sym_NA_real_] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [anon_sym_BQUOTE] = ACTIONS(2375),
    [sym_integer] = ACTIONS(2375),
    [sym_float] = ACTIONS(2373),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2375),
    [anon_sym_SQUOTE] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2375),
  },
  [459] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_BSLASH] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2379),
    [anon_sym_else] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2377),
    [anon_sym_repeat] = ACTIONS(2377),
    [anon_sym_for] = ACTIONS(2377),
    [anon_sym_switch] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2379),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2379),
    [anon_sym_LT_DASH] = ACTIONS(2379),
    [anon_sym_COLON_EQ] = ACTIONS(2379),
    [anon_sym_LT_LT_DASH] = ACTIONS(2379),
    [anon_sym_DASH_GT_GT] = ACTIONS(2379),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2379),
    [sym_dots] = ACTIONS(2377),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2377),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2377),
    [sym_next] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_inf] = ACTIONS(2377),
    [sym_nan] = ACTIONS(2377),
    [anon_sym_NA] = ACTIONS(2377),
    [anon_sym_NA_character_] = ACTIONS(2377),
    [anon_sym_NA_complex_] = ACTIONS(2377),
    [anon_sym_NA_integer_] = ACTIONS(2377),
    [anon_sym_NA_real_] = ACTIONS(2377),
    [aux_sym_identifier_token1] = ACTIONS(2377),
    [anon_sym_BQUOTE] = ACTIONS(2379),
    [sym_integer] = ACTIONS(2379),
    [sym_float] = ACTIONS(2377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [anon_sym_SQUOTE] = ACTIONS(2379),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2379),
  },
  [460] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2381),
    [anon_sym_BSLASH] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_repeat] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2383),
    [sym_dots] = ACTIONS(2381),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2381),
    [sym_next] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_null] = ACTIONS(2381),
    [sym_inf] = ACTIONS(2381),
    [sym_nan] = ACTIONS(2381),
    [anon_sym_NA] = ACTIONS(2381),
    [anon_sym_NA_character_] = ACTIONS(2381),
    [anon_sym_NA_complex_] = ACTIONS(2381),
    [anon_sym_NA_integer_] = ACTIONS(2381),
    [anon_sym_NA_real_] = ACTIONS(2381),
    [aux_sym_identifier_token1] = ACTIONS(2381),
    [anon_sym_BQUOTE] = ACTIONS(2383),
    [sym_integer] = ACTIONS(2383),
    [sym_float] = ACTIONS(2381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2383),
  },
  [461] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_repeat] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_switch] = ACTIONS(2183),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_EQ] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2181),
    [sym_dots] = ACTIONS(2183),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2183),
    [sym_next] = ACTIONS(2183),
    [sym_true] = ACTIONS(2183),
    [sym_false] = ACTIONS(2183),
    [sym_null] = ACTIONS(2183),
    [sym_inf] = ACTIONS(2183),
    [sym_nan] = ACTIONS(2183),
    [anon_sym_NA] = ACTIONS(2183),
    [anon_sym_NA_character_] = ACTIONS(2183),
    [anon_sym_NA_complex_] = ACTIONS(2183),
    [anon_sym_NA_integer_] = ACTIONS(2183),
    [anon_sym_NA_real_] = ACTIONS(2183),
    [aux_sym_identifier_token1] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_integer] = ACTIONS(2181),
    [sym_float] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2181),
  },
  [462] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_BSLASH] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_repeat] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_COMMA] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2387),
    [sym_dots] = ACTIONS(2385),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2385),
    [sym_next] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_null] = ACTIONS(2385),
    [sym_inf] = ACTIONS(2385),
    [sym_nan] = ACTIONS(2385),
    [anon_sym_NA] = ACTIONS(2385),
    [anon_sym_NA_character_] = ACTIONS(2385),
    [anon_sym_NA_complex_] = ACTIONS(2385),
    [anon_sym_NA_integer_] = ACTIONS(2385),
    [anon_sym_NA_real_] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [anon_sym_BQUOTE] = ACTIONS(2387),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2387),
  },
  [463] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_BSLASH] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_repeat] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2391),
    [sym_dots] = ACTIONS(2389),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2389),
    [sym_next] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_null] = ACTIONS(2389),
    [sym_inf] = ACTIONS(2389),
    [sym_nan] = ACTIONS(2389),
    [anon_sym_NA] = ACTIONS(2389),
    [anon_sym_NA_character_] = ACTIONS(2389),
    [anon_sym_NA_complex_] = ACTIONS(2389),
    [anon_sym_NA_integer_] = ACTIONS(2389),
    [anon_sym_NA_real_] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [anon_sym_BQUOTE] = ACTIONS(2391),
    [sym_integer] = ACTIONS(2391),
    [sym_float] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2391),
  },
  [464] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2395),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2395),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_repeat] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(2395),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2395),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2303),
    [sym_dots] = ACTIONS(2393),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2393),
    [sym_next] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_inf] = ACTIONS(2393),
    [sym_nan] = ACTIONS(2393),
    [anon_sym_NA] = ACTIONS(2393),
    [anon_sym_NA_character_] = ACTIONS(2393),
    [anon_sym_NA_complex_] = ACTIONS(2393),
    [anon_sym_NA_integer_] = ACTIONS(2393),
    [anon_sym_NA_real_] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [anon_sym_BQUOTE] = ACTIONS(2395),
    [sym_integer] = ACTIONS(2395),
    [sym_float] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2395),
  },
  [465] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2397),
    [anon_sym_BSLASH] = ACTIONS(2399),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2399),
    [anon_sym_else] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_repeat] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_COMMA] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2303),
    [sym_dots] = ACTIONS(2397),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2397),
    [sym_next] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_null] = ACTIONS(2397),
    [sym_inf] = ACTIONS(2397),
    [sym_nan] = ACTIONS(2397),
    [anon_sym_NA] = ACTIONS(2397),
    [anon_sym_NA_character_] = ACTIONS(2397),
    [anon_sym_NA_complex_] = ACTIONS(2397),
    [anon_sym_NA_integer_] = ACTIONS(2397),
    [anon_sym_NA_real_] = ACTIONS(2397),
    [aux_sym_identifier_token1] = ACTIONS(2397),
    [anon_sym_BQUOTE] = ACTIONS(2399),
    [sym_integer] = ACTIONS(2399),
    [sym_float] = ACTIONS(2397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [anon_sym_SQUOTE] = ACTIONS(2399),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2399),
  },
  [466] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [467] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2413),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2413),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [468] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2413),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(2413),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_LT_EQ] = ACTIONS(2413),
    [anon_sym_GT_EQ] = ACTIONS(2413),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2413),
    [anon_sym_PIPE_PIPE] = ACTIONS(2413),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2413),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2413),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2413),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [469] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [470] = {
    [sym_special] = STATE(228),
    [anon_sym_LF] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2409),
    [anon_sym_BSLASH] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2409),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_repeat] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_EQ] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_LT_DASH] = ACTIONS(2233),
    [anon_sym_COLON_EQ] = ACTIONS(2235),
    [anon_sym_LT_LT_DASH] = ACTIONS(2237),
    [anon_sym_DASH_GT_GT] = ACTIONS(2239),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_QMARK] = ACTIONS(2251),
    [sym_dots] = ACTIONS(2409),
    [anon_sym_PIPE_GT] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2263),
    [anon_sym_GT_EQ] = ACTIONS(2263),
    [anon_sym_EQ_EQ] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2265),
    [anon_sym_PIPE] = ACTIONS(2265),
    [anon_sym_AMP_AMP] = ACTIONS(2267),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_COLON] = ACTIONS(2269),
    [sym_break] = ACTIONS(2409),
    [sym_next] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_null] = ACTIONS(2409),
    [sym_inf] = ACTIONS(2409),
    [sym_nan] = ACTIONS(2409),
    [anon_sym_NA] = ACTIONS(2409),
    [anon_sym_NA_character_] = ACTIONS(2409),
    [anon_sym_NA_complex_] = ACTIONS(2409),
    [anon_sym_NA_integer_] = ACTIONS(2409),
    [anon_sym_NA_real_] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [anon_sym_BQUOTE] = ACTIONS(2409),
    [sym_integer] = ACTIONS(2409),
    [sym_float] = ACTIONS(2409),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2407),
  },
  [471] = {
    [anon_sym_LF] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1841),
    [anon_sym_COLON_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_DASH] = ACTIONS(1841),
    [anon_sym_DASH_GT_GT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [anon_sym_i] = ACTIONS(2415),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [472] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2353),
    [anon_sym_LF] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_BSLASH] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_repeat] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2351),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2345),
    [sym_dots] = ACTIONS(2351),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2351),
    [sym_next] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_inf] = ACTIONS(2351),
    [sym_nan] = ACTIONS(2351),
    [anon_sym_NA] = ACTIONS(2351),
    [anon_sym_NA_character_] = ACTIONS(2351),
    [anon_sym_NA_complex_] = ACTIONS(2351),
    [anon_sym_NA_integer_] = ACTIONS(2351),
    [anon_sym_NA_real_] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [anon_sym_BQUOTE] = ACTIONS(2351),
    [sym_integer] = ACTIONS(2351),
    [sym_float] = ACTIONS(2351),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [anon_sym_SQUOTE] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2353),
  },
  [473] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2357),
    [anon_sym_LF] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(2355),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_BSLASH] = ACTIONS(2355),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_repeat] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2345),
    [sym_dots] = ACTIONS(2355),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2355),
    [sym_next] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_inf] = ACTIONS(2355),
    [sym_nan] = ACTIONS(2355),
    [anon_sym_NA] = ACTIONS(2355),
    [anon_sym_NA_character_] = ACTIONS(2355),
    [anon_sym_NA_complex_] = ACTIONS(2355),
    [anon_sym_NA_integer_] = ACTIONS(2355),
    [anon_sym_NA_real_] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [anon_sym_BQUOTE] = ACTIONS(2355),
    [sym_integer] = ACTIONS(2355),
    [sym_float] = ACTIONS(2355),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2355),
    [anon_sym_SQUOTE] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2357),
  },
  [474] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2361),
    [anon_sym_LF] = ACTIONS(2359),
    [anon_sym_SEMI] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_BSLASH] = ACTIONS(2359),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2359),
    [anon_sym_while] = ACTIONS(2359),
    [anon_sym_repeat] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2359),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2345),
    [sym_dots] = ACTIONS(2359),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2359),
    [sym_next] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_inf] = ACTIONS(2359),
    [sym_nan] = ACTIONS(2359),
    [anon_sym_NA] = ACTIONS(2359),
    [anon_sym_NA_character_] = ACTIONS(2359),
    [anon_sym_NA_complex_] = ACTIONS(2359),
    [anon_sym_NA_integer_] = ACTIONS(2359),
    [anon_sym_NA_real_] = ACTIONS(2359),
    [aux_sym_identifier_token1] = ACTIONS(2359),
    [anon_sym_BQUOTE] = ACTIONS(2359),
    [sym_integer] = ACTIONS(2359),
    [sym_float] = ACTIONS(2359),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2359),
    [anon_sym_SQUOTE] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2361),
  },
  [475] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [476] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [477] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [478] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [479] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [480] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [481] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [482] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [483] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [484] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2371),
    [anon_sym_LF] = ACTIONS(2369),
    [anon_sym_SEMI] = ACTIONS(2369),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_BSLASH] = ACTIONS(2369),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_repeat] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2369),
    [sym_dots] = ACTIONS(2369),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2369),
    [sym_next] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_inf] = ACTIONS(2369),
    [sym_nan] = ACTIONS(2369),
    [anon_sym_NA] = ACTIONS(2369),
    [anon_sym_NA_character_] = ACTIONS(2369),
    [anon_sym_NA_complex_] = ACTIONS(2369),
    [anon_sym_NA_integer_] = ACTIONS(2369),
    [anon_sym_NA_real_] = ACTIONS(2369),
    [aux_sym_identifier_token1] = ACTIONS(2369),
    [anon_sym_BQUOTE] = ACTIONS(2369),
    [sym_integer] = ACTIONS(2369),
    [sym_float] = ACTIONS(2369),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2369),
    [anon_sym_SQUOTE] = ACTIONS(2369),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2371),
  },
  [485] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2375),
    [anon_sym_LF] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2373),
    [anon_sym_BSLASH] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(2373),
    [anon_sym_repeat] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2373),
    [anon_sym_switch] = ACTIONS(2373),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_LT_DASH] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_LT_LT_DASH] = ACTIONS(2373),
    [anon_sym_DASH_GT_GT] = ACTIONS(2373),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2373),
    [sym_dots] = ACTIONS(2373),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2373),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2373),
    [sym_next] = ACTIONS(2373),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_inf] = ACTIONS(2373),
    [sym_nan] = ACTIONS(2373),
    [anon_sym_NA] = ACTIONS(2373),
    [anon_sym_NA_character_] = ACTIONS(2373),
    [anon_sym_NA_complex_] = ACTIONS(2373),
    [anon_sym_NA_integer_] = ACTIONS(2373),
    [anon_sym_NA_real_] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [anon_sym_BQUOTE] = ACTIONS(2373),
    [sym_integer] = ACTIONS(2373),
    [sym_float] = ACTIONS(2373),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2375),
  },
  [486] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2379),
    [anon_sym_LF] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_BSLASH] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2377),
    [anon_sym_repeat] = ACTIONS(2377),
    [anon_sym_for] = ACTIONS(2377),
    [anon_sym_switch] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_LT_DASH] = ACTIONS(2377),
    [anon_sym_COLON_EQ] = ACTIONS(2377),
    [anon_sym_LT_LT_DASH] = ACTIONS(2377),
    [anon_sym_DASH_GT_GT] = ACTIONS(2377),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2377),
    [sym_dots] = ACTIONS(2377),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2377),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2377),
    [sym_next] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_inf] = ACTIONS(2377),
    [sym_nan] = ACTIONS(2377),
    [anon_sym_NA] = ACTIONS(2377),
    [anon_sym_NA_character_] = ACTIONS(2377),
    [anon_sym_NA_complex_] = ACTIONS(2377),
    [anon_sym_NA_integer_] = ACTIONS(2377),
    [anon_sym_NA_real_] = ACTIONS(2377),
    [aux_sym_identifier_token1] = ACTIONS(2377),
    [anon_sym_BQUOTE] = ACTIONS(2377),
    [sym_integer] = ACTIONS(2377),
    [sym_float] = ACTIONS(2377),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2377),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2379),
  },
  [487] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2383),
    [anon_sym_LF] = ACTIONS(2381),
    [anon_sym_SEMI] = ACTIONS(2381),
    [anon_sym_function] = ACTIONS(2381),
    [anon_sym_BSLASH] = ACTIONS(2381),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_repeat] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2381),
    [sym_dots] = ACTIONS(2381),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2381),
    [sym_next] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_null] = ACTIONS(2381),
    [sym_inf] = ACTIONS(2381),
    [sym_nan] = ACTIONS(2381),
    [anon_sym_NA] = ACTIONS(2381),
    [anon_sym_NA_character_] = ACTIONS(2381),
    [anon_sym_NA_complex_] = ACTIONS(2381),
    [anon_sym_NA_integer_] = ACTIONS(2381),
    [anon_sym_NA_real_] = ACTIONS(2381),
    [aux_sym_identifier_token1] = ACTIONS(2381),
    [anon_sym_BQUOTE] = ACTIONS(2381),
    [sym_integer] = ACTIONS(2381),
    [sym_float] = ACTIONS(2381),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2381),
    [anon_sym_SQUOTE] = ACTIONS(2381),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2383),
  },
  [488] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [489] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2387),
    [anon_sym_LF] = ACTIONS(2385),
    [anon_sym_SEMI] = ACTIONS(2385),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_BSLASH] = ACTIONS(2385),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_repeat] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2385),
    [sym_dots] = ACTIONS(2385),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2385),
    [sym_next] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_null] = ACTIONS(2385),
    [sym_inf] = ACTIONS(2385),
    [sym_nan] = ACTIONS(2385),
    [anon_sym_NA] = ACTIONS(2385),
    [anon_sym_NA_character_] = ACTIONS(2385),
    [anon_sym_NA_complex_] = ACTIONS(2385),
    [anon_sym_NA_integer_] = ACTIONS(2385),
    [anon_sym_NA_real_] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [anon_sym_BQUOTE] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2385),
    [sym_float] = ACTIONS(2385),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2387),
  },
  [490] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2391),
    [anon_sym_LF] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_BSLASH] = ACTIONS(2389),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_repeat] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2389),
    [sym_dots] = ACTIONS(2389),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2389),
    [sym_next] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_null] = ACTIONS(2389),
    [sym_inf] = ACTIONS(2389),
    [sym_nan] = ACTIONS(2389),
    [anon_sym_NA] = ACTIONS(2389),
    [anon_sym_NA_character_] = ACTIONS(2389),
    [anon_sym_NA_complex_] = ACTIONS(2389),
    [anon_sym_NA_integer_] = ACTIONS(2389),
    [anon_sym_NA_real_] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_integer] = ACTIONS(2389),
    [sym_float] = ACTIONS(2389),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2391),
  },
  [491] = {
    [anon_sym_LF] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1795),
    [anon_sym_BSLASH] = ACTIONS(1795),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_while] = ACTIONS(1795),
    [anon_sym_repeat] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1795),
    [anon_sym_switch] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1795),
    [anon_sym_RBRACE] = ACTIONS(1795),
    [anon_sym_LT_DASH] = ACTIONS(1795),
    [anon_sym_COLON_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_DASH] = ACTIONS(1795),
    [anon_sym_DASH_GT_GT] = ACTIONS(1795),
    [anon_sym_DASH_GT] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1795),
    [anon_sym_DOLLAR] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1795),
    [anon_sym_QMARK] = ACTIONS(1795),
    [sym_dots] = ACTIONS(1795),
    [anon_sym_PIPE_GT] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_EQ_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(1795),
    [sym_break] = ACTIONS(1795),
    [sym_next] = ACTIONS(1795),
    [sym_true] = ACTIONS(1795),
    [sym_false] = ACTIONS(1795),
    [sym_null] = ACTIONS(1795),
    [sym_inf] = ACTIONS(1795),
    [sym_nan] = ACTIONS(1795),
    [anon_sym_NA] = ACTIONS(1795),
    [anon_sym_NA_character_] = ACTIONS(1795),
    [anon_sym_NA_complex_] = ACTIONS(1795),
    [anon_sym_NA_integer_] = ACTIONS(1795),
    [anon_sym_NA_real_] = ACTIONS(1795),
    [aux_sym_identifier_token1] = ACTIONS(1795),
    [anon_sym_BQUOTE] = ACTIONS(1795),
    [sym_integer] = ACTIONS(1795),
    [sym_float] = ACTIONS(1795),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1795),
    [anon_sym_SQUOTE] = ACTIONS(1795),
    [anon_sym_PERCENT] = ACTIONS(1795),
    [sym__raw_string_literal] = ACTIONS(1799),
  },
  [492] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2395),
    [anon_sym_LF] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_function] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_repeat] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2345),
    [sym_dots] = ACTIONS(2393),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2393),
    [sym_next] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_inf] = ACTIONS(2393),
    [sym_nan] = ACTIONS(2393),
    [anon_sym_NA] = ACTIONS(2393),
    [anon_sym_NA_character_] = ACTIONS(2393),
    [anon_sym_NA_complex_] = ACTIONS(2393),
    [anon_sym_NA_integer_] = ACTIONS(2393),
    [anon_sym_NA_real_] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [anon_sym_BQUOTE] = ACTIONS(2393),
    [sym_integer] = ACTIONS(2393),
    [sym_float] = ACTIONS(2393),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_SQUOTE] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2395),
  },
  [493] = {
    [sym_special] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2399),
    [anon_sym_LF] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2397),
    [anon_sym_function] = ACTIONS(2397),
    [anon_sym_BSLASH] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_repeat] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2397),
    [anon_sym_LT_DASH] = ACTIONS(2187),
    [anon_sym_COLON_EQ] = ACTIONS(2189),
    [anon_sym_LT_LT_DASH] = ACTIONS(2191),
    [anon_sym_DASH_GT_GT] = ACTIONS(2193),
    [anon_sym_DASH_GT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_QMARK] = ACTIONS(2345),
    [sym_dots] = ACTIONS(2397),
    [anon_sym_PIPE_GT] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_CARET] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2217),
    [anon_sym_PIPE] = ACTIONS(2217),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_break] = ACTIONS(2397),
    [sym_next] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_null] = ACTIONS(2397),
    [sym_inf] = ACTIONS(2397),
    [sym_nan] = ACTIONS(2397),
    [anon_sym_NA] = ACTIONS(2397),
    [anon_sym_NA_character_] = ACTIONS(2397),
    [anon_sym_NA_complex_] = ACTIONS(2397),
    [anon_sym_NA_integer_] = ACTIONS(2397),
    [anon_sym_NA_real_] = ACTIONS(2397),
    [aux_sym_identifier_token1] = ACTIONS(2397),
    [anon_sym_BQUOTE] = ACTIONS(2397),
    [sym_integer] = ACTIONS(2397),
    [sym_float] = ACTIONS(2397),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2399),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1815),
    [anon_sym_LF] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_BSLASH] = ACTIONS(1813),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_repeat] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1813),
    [anon_sym_LT_DASH] = ACTIONS(1813),
    [anon_sym_COLON_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT_DASH] = ACTIONS(1813),
    [anon_sym_DASH_GT_GT] = ACTIONS(1813),
    [anon_sym_DASH_GT] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1813),
    [anon_sym_DOLLAR] = ACTIONS(1813),
    [anon_sym_AT] = ACTIONS(1813),
    [anon_sym_COLON_COLON] = ACTIONS(1813),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1813),
    [anon_sym_QMARK] = ACTIONS(1813),
    [sym_dots] = ACTIONS(1813),
    [anon_sym_PIPE_GT] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1813),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_EQ_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_break] = ACTIONS(1813),
    [sym_next] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_inf] = ACTIONS(1813),
    [sym_nan] = ACTIONS(1813),
    [anon_sym_NA] = ACTIONS(1813),
    [anon_sym_NA_character_] = ACTIONS(1813),
    [anon_sym_NA_complex_] = ACTIONS(1813),
    [anon_sym_NA_integer_] = ACTIONS(1813),
    [anon_sym_NA_real_] = ACTIONS(1813),
    [aux_sym_identifier_token1] = ACTIONS(1813),
    [anon_sym_BQUOTE] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1813),
    [sym_float] = ACTIONS(1813),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1813),
    [anon_sym_SQUOTE] = ACTIONS(1813),
    [anon_sym_PERCENT] = ACTIONS(1813),
    [sym__raw_string_literal] = ACTIONS(1815),
  },
  [495] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [496] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [497] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2411),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2411),
    [anon_sym_SLASH] = ACTIONS(2411),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_LT_EQ] = ACTIONS(2411),
    [anon_sym_GT_EQ] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2411),
    [anon_sym_BANG_EQ] = ACTIONS(2411),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2413),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2411),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [498] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [499] = {
    [sym_special] = STATE(256),
    [anon_sym_function] = ACTIONS(2409),
    [anon_sym_BSLASH] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2409),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_repeat] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(2407),
    [anon_sym_EQ] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_LT_DASH] = ACTIONS(2285),
    [anon_sym_COLON_EQ] = ACTIONS(2287),
    [anon_sym_LT_LT_DASH] = ACTIONS(2289),
    [anon_sym_DASH_GT_GT] = ACTIONS(2291),
    [anon_sym_DASH_GT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_RBRACK] = ACTIONS(2407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2299),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_QMARK] = ACTIONS(2303),
    [sym_dots] = ACTIONS(2409),
    [anon_sym_PIPE_GT] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2325),
    [anon_sym_AMP] = ACTIONS(2327),
    [anon_sym_COLON] = ACTIONS(2329),
    [sym_break] = ACTIONS(2409),
    [sym_next] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_null] = ACTIONS(2409),
    [sym_inf] = ACTIONS(2409),
    [sym_nan] = ACTIONS(2409),
    [anon_sym_NA] = ACTIONS(2409),
    [anon_sym_NA_character_] = ACTIONS(2409),
    [anon_sym_NA_complex_] = ACTIONS(2409),
    [anon_sym_NA_integer_] = ACTIONS(2409),
    [anon_sym_NA_real_] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [anon_sym_BQUOTE] = ACTIONS(2407),
    [sym_integer] = ACTIONS(2407),
    [sym_float] = ACTIONS(2409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2407),
    [anon_sym_SQUOTE] = ACTIONS(2407),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2407),
  },
  [500] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [anon_sym_i] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [501] = {
    [anon_sym_LF] = ACTIONS(2419),
    [anon_sym_SEMI] = ACTIONS(2419),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_BSLASH] = ACTIONS(2419),
    [anon_sym_if] = ACTIONS(2419),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_else] = ACTIONS(2419),
    [anon_sym_while] = ACTIONS(2419),
    [anon_sym_repeat] = ACTIONS(2419),
    [anon_sym_for] = ACTIONS(2419),
    [anon_sym_switch] = ACTIONS(2419),
    [anon_sym_EQ] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_RBRACE] = ACTIONS(2419),
    [anon_sym_LT_DASH] = ACTIONS(2419),
    [anon_sym_COLON_EQ] = ACTIONS(2419),
    [anon_sym_LT_LT_DASH] = ACTIONS(2419),
    [anon_sym_DASH_GT_GT] = ACTIONS(2419),
    [anon_sym_DASH_GT] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2419),
    [anon_sym_DOLLAR] = ACTIONS(2419),
    [anon_sym_AT] = ACTIONS(2419),
    [anon_sym_QMARK] = ACTIONS(2419),
    [sym_dots] = ACTIONS(2419),
    [anon_sym_PIPE_GT] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(2419),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(2419),
    [anon_sym_GT] = ACTIONS(2419),
    [anon_sym_LT_EQ] = ACTIONS(2419),
    [anon_sym_GT_EQ] = ACTIONS(2419),
    [anon_sym_EQ_EQ] = ACTIONS(2419),
    [anon_sym_BANG_EQ] = ACTIONS(2419),
    [anon_sym_PIPE_PIPE] = ACTIONS(2419),
    [anon_sym_PIPE] = ACTIONS(2419),
    [anon_sym_AMP_AMP] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(2419),
    [anon_sym_COLON] = ACTIONS(2419),
    [sym_break] = ACTIONS(2419),
    [sym_next] = ACTIONS(2419),
    [sym_true] = ACTIONS(2419),
    [sym_false] = ACTIONS(2419),
    [sym_null] = ACTIONS(2419),
    [sym_inf] = ACTIONS(2419),
    [sym_nan] = ACTIONS(2419),
    [anon_sym_NA] = ACTIONS(2419),
    [anon_sym_NA_character_] = ACTIONS(2419),
    [anon_sym_NA_complex_] = ACTIONS(2419),
    [anon_sym_NA_integer_] = ACTIONS(2419),
    [anon_sym_NA_real_] = ACTIONS(2419),
    [aux_sym_identifier_token1] = ACTIONS(2419),
    [anon_sym_BQUOTE] = ACTIONS(2419),
    [sym_integer] = ACTIONS(2419),
    [sym_float] = ACTIONS(2419),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [sym__raw_string_literal] = ACTIONS(2421),
  },
  [502] = {
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_BSLASH] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2425),
    [anon_sym_RPAREN] = ACTIONS(2425),
    [anon_sym_else] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_repeat] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_switch] = ACTIONS(2423),
    [anon_sym_COMMA] = ACTIONS(2425),
    [anon_sym_EQ] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_LT_DASH] = ACTIONS(2425),
    [anon_sym_COLON_EQ] = ACTIONS(2425),
    [anon_sym_LT_LT_DASH] = ACTIONS(2425),
    [anon_sym_DASH_GT_GT] = ACTIONS(2425),
    [anon_sym_DASH_GT] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [anon_sym_RBRACK] = ACTIONS(2425),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2425),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [anon_sym_AT] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2425),
    [sym_dots] = ACTIONS(2423),
    [anon_sym_PIPE_GT] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_BANG] = ACTIONS(2423),
    [anon_sym_TILDE] = ACTIONS(2425),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2423),
    [anon_sym_GT] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2425),
    [anon_sym_GT_EQ] = ACTIONS(2425),
    [anon_sym_EQ_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_PIPE_PIPE] = ACTIONS(2425),
    [anon_sym_PIPE] = ACTIONS(2423),
    [anon_sym_AMP_AMP] = ACTIONS(2425),
    [anon_sym_AMP] = ACTIONS(2423),
    [anon_sym_COLON] = ACTIONS(2423),
    [sym_break] = ACTIONS(2423),
    [sym_next] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_null] = ACTIONS(2423),
    [sym_inf] = ACTIONS(2423),
    [sym_nan] = ACTIONS(2423),
    [anon_sym_NA] = ACTIONS(2423),
    [anon_sym_NA_character_] = ACTIONS(2423),
    [anon_sym_NA_complex_] = ACTIONS(2423),
    [anon_sym_NA_integer_] = ACTIONS(2423),
    [anon_sym_NA_real_] = ACTIONS(2423),
    [aux_sym_identifier_token1] = ACTIONS(2423),
    [anon_sym_BQUOTE] = ACTIONS(2425),
    [sym_integer] = ACTIONS(2425),
    [sym_float] = ACTIONS(2423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_SQUOTE] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [sym__raw_string_literal] = ACTIONS(2425),
  },
  [503] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [504] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [505] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2373),
    [anon_sym_BSLASH] = ACTIONS(2375),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(2373),
    [anon_sym_repeat] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2373),
    [anon_sym_switch] = ACTIONS(2373),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_LT_DASH] = ACTIONS(2375),
    [anon_sym_COLON_EQ] = ACTIONS(2375),
    [anon_sym_LT_LT_DASH] = ACTIONS(2375),
    [anon_sym_DASH_GT_GT] = ACTIONS(2375),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2375),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2375),
    [sym_dots] = ACTIONS(2373),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2373),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2373),
    [sym_next] = ACTIONS(2373),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_inf] = ACTIONS(2373),
    [sym_nan] = ACTIONS(2373),
    [anon_sym_NA] = ACTIONS(2373),
    [anon_sym_NA_character_] = ACTIONS(2373),
    [anon_sym_NA_complex_] = ACTIONS(2373),
    [anon_sym_NA_integer_] = ACTIONS(2373),
    [anon_sym_NA_real_] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [anon_sym_BQUOTE] = ACTIONS(2375),
    [sym_integer] = ACTIONS(2375),
    [sym_float] = ACTIONS(2373),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2375),
    [anon_sym_SQUOTE] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2375),
  },
  [506] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2397),
    [anon_sym_BSLASH] = ACTIONS(2399),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_repeat] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_COMMA] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2509),
    [sym_dots] = ACTIONS(2397),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2397),
    [sym_next] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_null] = ACTIONS(2397),
    [sym_inf] = ACTIONS(2397),
    [sym_nan] = ACTIONS(2397),
    [anon_sym_NA] = ACTIONS(2397),
    [anon_sym_NA_character_] = ACTIONS(2397),
    [anon_sym_NA_complex_] = ACTIONS(2397),
    [anon_sym_NA_integer_] = ACTIONS(2397),
    [anon_sym_NA_real_] = ACTIONS(2397),
    [aux_sym_identifier_token1] = ACTIONS(2397),
    [anon_sym_BQUOTE] = ACTIONS(2399),
    [sym_integer] = ACTIONS(2399),
    [sym_float] = ACTIONS(2397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [anon_sym_SQUOTE] = ACTIONS(2399),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2399),
  },
  [507] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2395),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2395),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_repeat] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(2395),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2395),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2509),
    [sym_dots] = ACTIONS(2393),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2393),
    [sym_next] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_inf] = ACTIONS(2393),
    [sym_nan] = ACTIONS(2393),
    [anon_sym_NA] = ACTIONS(2393),
    [anon_sym_NA_character_] = ACTIONS(2393),
    [anon_sym_NA_complex_] = ACTIONS(2393),
    [anon_sym_NA_integer_] = ACTIONS(2393),
    [anon_sym_NA_real_] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [anon_sym_BQUOTE] = ACTIONS(2395),
    [sym_integer] = ACTIONS(2395),
    [sym_float] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2395),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(2513),
    [anon_sym_LF] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_BSLASH] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2515),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_repeat] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_LT_DASH] = ACTIONS(2515),
    [anon_sym_COLON_EQ] = ACTIONS(2515),
    [anon_sym_LT_LT_DASH] = ACTIONS(2515),
    [anon_sym_DASH_GT_GT] = ACTIONS(2515),
    [anon_sym_DASH_GT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2515),
    [anon_sym_DOLLAR] = ACTIONS(2515),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_QMARK] = ACTIONS(2515),
    [sym_dots] = ACTIONS(2515),
    [anon_sym_PIPE_GT] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2515),
    [anon_sym_CARET] = ACTIONS(2515),
    [anon_sym_LT] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2515),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_AMP] = ACTIONS(2515),
    [anon_sym_COLON] = ACTIONS(2515),
    [sym_break] = ACTIONS(2515),
    [sym_next] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_inf] = ACTIONS(2515),
    [sym_nan] = ACTIONS(2515),
    [anon_sym_NA] = ACTIONS(2515),
    [anon_sym_NA_character_] = ACTIONS(2515),
    [anon_sym_NA_complex_] = ACTIONS(2515),
    [anon_sym_NA_integer_] = ACTIONS(2515),
    [anon_sym_NA_real_] = ACTIONS(2515),
    [aux_sym_identifier_token1] = ACTIONS(2515),
    [anon_sym_BQUOTE] = ACTIONS(2515),
    [sym_integer] = ACTIONS(2515),
    [sym_float] = ACTIONS(2515),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [anon_sym_PERCENT] = ACTIONS(2515),
    [sym__raw_string_literal] = ACTIONS(2513),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(2517),
    [anon_sym_LF] = ACTIONS(2519),
    [anon_sym_SEMI] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2519),
    [anon_sym_BSLASH] = ACTIONS(2519),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_LPAREN] = ACTIONS(2519),
    [anon_sym_else] = ACTIONS(2519),
    [anon_sym_while] = ACTIONS(2519),
    [anon_sym_repeat] = ACTIONS(2519),
    [anon_sym_for] = ACTIONS(2519),
    [anon_sym_switch] = ACTIONS(2519),
    [anon_sym_EQ] = ACTIONS(2519),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [anon_sym_LT_DASH] = ACTIONS(2519),
    [anon_sym_COLON_EQ] = ACTIONS(2519),
    [anon_sym_LT_LT_DASH] = ACTIONS(2519),
    [anon_sym_DASH_GT_GT] = ACTIONS(2519),
    [anon_sym_DASH_GT] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2519),
    [anon_sym_DOLLAR] = ACTIONS(2519),
    [anon_sym_AT] = ACTIONS(2519),
    [anon_sym_QMARK] = ACTIONS(2519),
    [sym_dots] = ACTIONS(2519),
    [anon_sym_PIPE_GT] = ACTIONS(2519),
    [anon_sym_DASH] = ACTIONS(2519),
    [anon_sym_PLUS] = ACTIONS(2519),
    [anon_sym_BANG] = ACTIONS(2519),
    [anon_sym_TILDE] = ACTIONS(2519),
    [anon_sym_STAR] = ACTIONS(2519),
    [anon_sym_SLASH] = ACTIONS(2519),
    [anon_sym_CARET] = ACTIONS(2519),
    [anon_sym_LT] = ACTIONS(2519),
    [anon_sym_GT] = ACTIONS(2519),
    [anon_sym_LT_EQ] = ACTIONS(2519),
    [anon_sym_GT_EQ] = ACTIONS(2519),
    [anon_sym_EQ_EQ] = ACTIONS(2519),
    [anon_sym_BANG_EQ] = ACTIONS(2519),
    [anon_sym_PIPE_PIPE] = ACTIONS(2519),
    [anon_sym_PIPE] = ACTIONS(2519),
    [anon_sym_AMP_AMP] = ACTIONS(2519),
    [anon_sym_AMP] = ACTIONS(2519),
    [anon_sym_COLON] = ACTIONS(2519),
    [sym_break] = ACTIONS(2519),
    [sym_next] = ACTIONS(2519),
    [sym_true] = ACTIONS(2519),
    [sym_false] = ACTIONS(2519),
    [sym_null] = ACTIONS(2519),
    [sym_inf] = ACTIONS(2519),
    [sym_nan] = ACTIONS(2519),
    [anon_sym_NA] = ACTIONS(2519),
    [anon_sym_NA_character_] = ACTIONS(2519),
    [anon_sym_NA_complex_] = ACTIONS(2519),
    [anon_sym_NA_integer_] = ACTIONS(2519),
    [anon_sym_NA_real_] = ACTIONS(2519),
    [aux_sym_identifier_token1] = ACTIONS(2519),
    [anon_sym_BQUOTE] = ACTIONS(2519),
    [sym_integer] = ACTIONS(2519),
    [sym_float] = ACTIONS(2519),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2519),
    [anon_sym_SQUOTE] = ACTIONS(2519),
    [anon_sym_PERCENT] = ACTIONS(2519),
    [sym__raw_string_literal] = ACTIONS(2517),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(2521),
    [anon_sym_LF] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_function] = ACTIONS(2523),
    [anon_sym_BSLASH] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_else] = ACTIONS(2523),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_repeat] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2523),
    [anon_sym_switch] = ACTIONS(2523),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(2523),
    [anon_sym_LT_DASH] = ACTIONS(2523),
    [anon_sym_COLON_EQ] = ACTIONS(2523),
    [anon_sym_LT_LT_DASH] = ACTIONS(2523),
    [anon_sym_DASH_GT_GT] = ACTIONS(2523),
    [anon_sym_DASH_GT] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2523),
    [anon_sym_DOLLAR] = ACTIONS(2523),
    [anon_sym_AT] = ACTIONS(2523),
    [anon_sym_QMARK] = ACTIONS(2523),
    [sym_dots] = ACTIONS(2523),
    [anon_sym_PIPE_GT] = ACTIONS(2523),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_BANG] = ACTIONS(2523),
    [anon_sym_TILDE] = ACTIONS(2523),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_CARET] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2523),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2523),
    [anon_sym_PIPE_PIPE] = ACTIONS(2523),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_AMP_AMP] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_COLON] = ACTIONS(2523),
    [sym_break] = ACTIONS(2523),
    [sym_next] = ACTIONS(2523),
    [sym_true] = ACTIONS(2523),
    [sym_false] = ACTIONS(2523),
    [sym_null] = ACTIONS(2523),
    [sym_inf] = ACTIONS(2523),
    [sym_nan] = ACTIONS(2523),
    [anon_sym_NA] = ACTIONS(2523),
    [anon_sym_NA_character_] = ACTIONS(2523),
    [anon_sym_NA_complex_] = ACTIONS(2523),
    [anon_sym_NA_integer_] = ACTIONS(2523),
    [anon_sym_NA_real_] = ACTIONS(2523),
    [aux_sym_identifier_token1] = ACTIONS(2523),
    [anon_sym_BQUOTE] = ACTIONS(2523),
    [sym_integer] = ACTIONS(2523),
    [sym_float] = ACTIONS(2523),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2523),
    [anon_sym_SQUOTE] = ACTIONS(2523),
    [anon_sym_PERCENT] = ACTIONS(2523),
    [sym__raw_string_literal] = ACTIONS(2521),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(2425),
    [anon_sym_LF] = ACTIONS(2423),
    [anon_sym_SEMI] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_BSLASH] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2423),
    [anon_sym_else] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_repeat] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_switch] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2423),
    [anon_sym_LT_DASH] = ACTIONS(2423),
    [anon_sym_COLON_EQ] = ACTIONS(2423),
    [anon_sym_LT_LT_DASH] = ACTIONS(2423),
    [anon_sym_DASH_GT_GT] = ACTIONS(2423),
    [anon_sym_DASH_GT] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2423),
    [anon_sym_QMARK] = ACTIONS(2423),
    [sym_dots] = ACTIONS(2423),
    [anon_sym_PIPE_GT] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2423),
    [anon_sym_TILDE] = ACTIONS(2423),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_CARET] = ACTIONS(2423),
    [anon_sym_LT] = ACTIONS(2423),
    [anon_sym_GT] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2423),
    [anon_sym_GT_EQ] = ACTIONS(2423),
    [anon_sym_EQ_EQ] = ACTIONS(2423),
    [anon_sym_BANG_EQ] = ACTIONS(2423),
    [anon_sym_PIPE_PIPE] = ACTIONS(2423),
    [anon_sym_PIPE] = ACTIONS(2423),
    [anon_sym_AMP_AMP] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(2423),
    [anon_sym_COLON] = ACTIONS(2423),
    [sym_break] = ACTIONS(2423),
    [sym_next] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_null] = ACTIONS(2423),
    [sym_inf] = ACTIONS(2423),
    [sym_nan] = ACTIONS(2423),
    [anon_sym_NA] = ACTIONS(2423),
    [anon_sym_NA_character_] = ACTIONS(2423),
    [anon_sym_NA_complex_] = ACTIONS(2423),
    [anon_sym_NA_integer_] = ACTIONS(2423),
    [anon_sym_NA_real_] = ACTIONS(2423),
    [aux_sym_identifier_token1] = ACTIONS(2423),
    [anon_sym_BQUOTE] = ACTIONS(2423),
    [sym_integer] = ACTIONS(2423),
    [sym_float] = ACTIONS(2423),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [anon_sym_SQUOTE] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [sym__raw_string_literal] = ACTIONS(2425),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(2525),
    [anon_sym_LF] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2527),
    [anon_sym_BSLASH] = ACTIONS(2527),
    [anon_sym_if] = ACTIONS(2527),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2527),
    [anon_sym_while] = ACTIONS(2527),
    [anon_sym_repeat] = ACTIONS(2527),
    [anon_sym_for] = ACTIONS(2527),
    [anon_sym_switch] = ACTIONS(2527),
    [anon_sym_EQ] = ACTIONS(2527),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_LT_DASH] = ACTIONS(2527),
    [anon_sym_COLON_EQ] = ACTIONS(2527),
    [anon_sym_LT_LT_DASH] = ACTIONS(2527),
    [anon_sym_DASH_GT_GT] = ACTIONS(2527),
    [anon_sym_DASH_GT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2527),
    [anon_sym_DOLLAR] = ACTIONS(2527),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_QMARK] = ACTIONS(2527),
    [sym_dots] = ACTIONS(2527),
    [anon_sym_PIPE_GT] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_TILDE] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_LT] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2527),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_COLON] = ACTIONS(2527),
    [sym_break] = ACTIONS(2527),
    [sym_next] = ACTIONS(2527),
    [sym_true] = ACTIONS(2527),
    [sym_false] = ACTIONS(2527),
    [sym_null] = ACTIONS(2527),
    [sym_inf] = ACTIONS(2527),
    [sym_nan] = ACTIONS(2527),
    [anon_sym_NA] = ACTIONS(2527),
    [anon_sym_NA_character_] = ACTIONS(2527),
    [anon_sym_NA_complex_] = ACTIONS(2527),
    [anon_sym_NA_integer_] = ACTIONS(2527),
    [anon_sym_NA_real_] = ACTIONS(2527),
    [aux_sym_identifier_token1] = ACTIONS(2527),
    [anon_sym_BQUOTE] = ACTIONS(2527),
    [sym_integer] = ACTIONS(2527),
    [sym_float] = ACTIONS(2527),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [anon_sym_PERCENT] = ACTIONS(2527),
    [sym__raw_string_literal] = ACTIONS(2525),
  },
  [513] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_repeat] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2271),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2271),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2271),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2543),
    [sym_dots] = ACTIONS(2225),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2225),
    [sym_next] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_inf] = ACTIONS(2225),
    [sym_nan] = ACTIONS(2225),
    [anon_sym_NA] = ACTIONS(2225),
    [anon_sym_NA_character_] = ACTIONS(2225),
    [anon_sym_NA_complex_] = ACTIONS(2225),
    [anon_sym_NA_integer_] = ACTIONS(2225),
    [anon_sym_NA_real_] = ACTIONS(2225),
    [aux_sym_identifier_token1] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2271),
    [sym_integer] = ACTIONS(2271),
    [sym_float] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2271),
    [anon_sym_SQUOTE] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2271),
  },
  [514] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(2561),
    [anon_sym_LF] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_BSLASH] = ACTIONS(2563),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_repeat] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_EQ] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_LT_DASH] = ACTIONS(2563),
    [anon_sym_COLON_EQ] = ACTIONS(2563),
    [anon_sym_LT_LT_DASH] = ACTIONS(2563),
    [anon_sym_DASH_GT_GT] = ACTIONS(2563),
    [anon_sym_DASH_GT] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2563),
    [anon_sym_DOLLAR] = ACTIONS(2563),
    [anon_sym_AT] = ACTIONS(2563),
    [anon_sym_QMARK] = ACTIONS(2563),
    [sym_dots] = ACTIONS(2563),
    [anon_sym_PIPE_GT] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_BANG] = ACTIONS(2563),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2563),
    [anon_sym_SLASH] = ACTIONS(2563),
    [anon_sym_CARET] = ACTIONS(2563),
    [anon_sym_LT] = ACTIONS(2563),
    [anon_sym_GT] = ACTIONS(2563),
    [anon_sym_LT_EQ] = ACTIONS(2563),
    [anon_sym_GT_EQ] = ACTIONS(2563),
    [anon_sym_EQ_EQ] = ACTIONS(2563),
    [anon_sym_BANG_EQ] = ACTIONS(2563),
    [anon_sym_PIPE_PIPE] = ACTIONS(2563),
    [anon_sym_PIPE] = ACTIONS(2563),
    [anon_sym_AMP_AMP] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_COLON] = ACTIONS(2563),
    [sym_break] = ACTIONS(2563),
    [sym_next] = ACTIONS(2563),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [sym_null] = ACTIONS(2563),
    [sym_inf] = ACTIONS(2563),
    [sym_nan] = ACTIONS(2563),
    [anon_sym_NA] = ACTIONS(2563),
    [anon_sym_NA_character_] = ACTIONS(2563),
    [anon_sym_NA_complex_] = ACTIONS(2563),
    [anon_sym_NA_integer_] = ACTIONS(2563),
    [anon_sym_NA_real_] = ACTIONS(2563),
    [aux_sym_identifier_token1] = ACTIONS(2563),
    [anon_sym_BQUOTE] = ACTIONS(2563),
    [sym_integer] = ACTIONS(2563),
    [sym_float] = ACTIONS(2563),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2563),
    [anon_sym_SQUOTE] = ACTIONS(2563),
    [anon_sym_PERCENT] = ACTIONS(2563),
    [sym__raw_string_literal] = ACTIONS(2561),
  },
  [516] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [517] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2411),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2413),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2413),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(2575),
    [anon_sym_LF] = ACTIONS(2577),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_BSLASH] = ACTIONS(2577),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2577),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_repeat] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_LT_DASH] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_LT_LT_DASH] = ACTIONS(2577),
    [anon_sym_DASH_GT_GT] = ACTIONS(2577),
    [anon_sym_DASH_GT] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2577),
    [anon_sym_AT] = ACTIONS(2577),
    [anon_sym_QMARK] = ACTIONS(2577),
    [sym_dots] = ACTIONS(2577),
    [anon_sym_PIPE_GT] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_SLASH] = ACTIONS(2577),
    [anon_sym_CARET] = ACTIONS(2577),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_GT] = ACTIONS(2577),
    [anon_sym_LT_EQ] = ACTIONS(2577),
    [anon_sym_GT_EQ] = ACTIONS(2577),
    [anon_sym_EQ_EQ] = ACTIONS(2577),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_PIPE_PIPE] = ACTIONS(2577),
    [anon_sym_PIPE] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2577),
    [sym_break] = ACTIONS(2577),
    [sym_next] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_null] = ACTIONS(2577),
    [sym_inf] = ACTIONS(2577),
    [sym_nan] = ACTIONS(2577),
    [anon_sym_NA] = ACTIONS(2577),
    [anon_sym_NA_character_] = ACTIONS(2577),
    [anon_sym_NA_complex_] = ACTIONS(2577),
    [anon_sym_NA_integer_] = ACTIONS(2577),
    [anon_sym_NA_real_] = ACTIONS(2577),
    [aux_sym_identifier_token1] = ACTIONS(2577),
    [anon_sym_BQUOTE] = ACTIONS(2577),
    [sym_integer] = ACTIONS(2577),
    [sym_float] = ACTIONS(2577),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_PERCENT] = ACTIONS(2577),
    [sym__raw_string_literal] = ACTIONS(2575),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(2579),
    [anon_sym_LF] = ACTIONS(2581),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_BSLASH] = ACTIONS(2581),
    [anon_sym_if] = ACTIONS(2581),
    [anon_sym_LPAREN] = ACTIONS(2581),
    [anon_sym_else] = ACTIONS(2581),
    [anon_sym_while] = ACTIONS(2581),
    [anon_sym_repeat] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2581),
    [anon_sym_switch] = ACTIONS(2581),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_LT_DASH] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_LT_LT_DASH] = ACTIONS(2581),
    [anon_sym_DASH_GT_GT] = ACTIONS(2581),
    [anon_sym_DASH_GT] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2581),
    [anon_sym_AT] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2581),
    [sym_dots] = ACTIONS(2581),
    [anon_sym_PIPE_GT] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_SLASH] = ACTIONS(2581),
    [anon_sym_CARET] = ACTIONS(2581),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_GT] = ACTIONS(2581),
    [anon_sym_LT_EQ] = ACTIONS(2581),
    [anon_sym_GT_EQ] = ACTIONS(2581),
    [anon_sym_EQ_EQ] = ACTIONS(2581),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_PIPE_PIPE] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2581),
    [sym_break] = ACTIONS(2581),
    [sym_next] = ACTIONS(2581),
    [sym_true] = ACTIONS(2581),
    [sym_false] = ACTIONS(2581),
    [sym_null] = ACTIONS(2581),
    [sym_inf] = ACTIONS(2581),
    [sym_nan] = ACTIONS(2581),
    [anon_sym_NA] = ACTIONS(2581),
    [anon_sym_NA_character_] = ACTIONS(2581),
    [anon_sym_NA_complex_] = ACTIONS(2581),
    [anon_sym_NA_integer_] = ACTIONS(2581),
    [anon_sym_NA_real_] = ACTIONS(2581),
    [aux_sym_identifier_token1] = ACTIONS(2581),
    [anon_sym_BQUOTE] = ACTIONS(2581),
    [sym_integer] = ACTIONS(2581),
    [sym_float] = ACTIONS(2581),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_PERCENT] = ACTIONS(2581),
    [sym__raw_string_literal] = ACTIONS(2579),
  },
  [520] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [521] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_BSLASH] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2391),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_repeat] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2391),
    [sym_dots] = ACTIONS(2389),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2389),
    [sym_next] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_null] = ACTIONS(2389),
    [sym_inf] = ACTIONS(2389),
    [sym_nan] = ACTIONS(2389),
    [anon_sym_NA] = ACTIONS(2389),
    [anon_sym_NA_character_] = ACTIONS(2389),
    [anon_sym_NA_complex_] = ACTIONS(2389),
    [anon_sym_NA_integer_] = ACTIONS(2389),
    [anon_sym_NA_real_] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [anon_sym_BQUOTE] = ACTIONS(2391),
    [sym_integer] = ACTIONS(2391),
    [sym_float] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2391),
  },
  [522] = {
    [anon_sym_function] = ACTIONS(2589),
    [anon_sym_BSLASH] = ACTIONS(2591),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_LPAREN] = ACTIONS(2591),
    [anon_sym_RPAREN] = ACTIONS(2591),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_repeat] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_COMMA] = ACTIONS(2591),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_LT_DASH] = ACTIONS(2591),
    [anon_sym_COLON_EQ] = ACTIONS(2591),
    [anon_sym_LT_LT_DASH] = ACTIONS(2591),
    [anon_sym_DASH_GT_GT] = ACTIONS(2591),
    [anon_sym_DASH_GT] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_RBRACK] = ACTIONS(2591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2591),
    [anon_sym_DOLLAR] = ACTIONS(2591),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_QMARK] = ACTIONS(2591),
    [sym_dots] = ACTIONS(2589),
    [anon_sym_PIPE_GT] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_SLASH] = ACTIONS(2591),
    [anon_sym_CARET] = ACTIONS(2591),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_LT_EQ] = ACTIONS(2591),
    [anon_sym_GT_EQ] = ACTIONS(2591),
    [anon_sym_EQ_EQ] = ACTIONS(2591),
    [anon_sym_BANG_EQ] = ACTIONS(2591),
    [anon_sym_PIPE_PIPE] = ACTIONS(2591),
    [anon_sym_PIPE] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2589),
    [sym_break] = ACTIONS(2589),
    [sym_next] = ACTIONS(2589),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [sym_null] = ACTIONS(2589),
    [sym_inf] = ACTIONS(2589),
    [sym_nan] = ACTIONS(2589),
    [anon_sym_NA] = ACTIONS(2589),
    [anon_sym_NA_character_] = ACTIONS(2589),
    [anon_sym_NA_complex_] = ACTIONS(2589),
    [anon_sym_NA_integer_] = ACTIONS(2589),
    [anon_sym_NA_real_] = ACTIONS(2589),
    [aux_sym_identifier_token1] = ACTIONS(2589),
    [anon_sym_BQUOTE] = ACTIONS(2591),
    [sym_integer] = ACTIONS(2591),
    [sym_float] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [sym__raw_string_literal] = ACTIONS(2591),
  },
  [523] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_BSLASH] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_repeat] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_COMMA] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2387),
    [sym_dots] = ACTIONS(2385),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2385),
    [sym_next] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_null] = ACTIONS(2385),
    [sym_inf] = ACTIONS(2385),
    [sym_nan] = ACTIONS(2385),
    [anon_sym_NA] = ACTIONS(2385),
    [anon_sym_NA_character_] = ACTIONS(2385),
    [anon_sym_NA_complex_] = ACTIONS(2385),
    [anon_sym_NA_integer_] = ACTIONS(2385),
    [anon_sym_NA_real_] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [anon_sym_BQUOTE] = ACTIONS(2387),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2387),
  },
  [524] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_repeat] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_switch] = ACTIONS(2183),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_EQ] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2181),
    [sym_dots] = ACTIONS(2183),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2183),
    [sym_next] = ACTIONS(2183),
    [sym_true] = ACTIONS(2183),
    [sym_false] = ACTIONS(2183),
    [sym_null] = ACTIONS(2183),
    [sym_inf] = ACTIONS(2183),
    [sym_nan] = ACTIONS(2183),
    [anon_sym_NA] = ACTIONS(2183),
    [anon_sym_NA_character_] = ACTIONS(2183),
    [anon_sym_NA_complex_] = ACTIONS(2183),
    [anon_sym_NA_integer_] = ACTIONS(2183),
    [anon_sym_NA_real_] = ACTIONS(2183),
    [aux_sym_identifier_token1] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_integer] = ACTIONS(2181),
    [sym_float] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2181),
  },
  [525] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2381),
    [anon_sym_BSLASH] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2383),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_repeat] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2383),
    [sym_dots] = ACTIONS(2381),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2381),
    [sym_next] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_null] = ACTIONS(2381),
    [sym_inf] = ACTIONS(2381),
    [sym_nan] = ACTIONS(2381),
    [anon_sym_NA] = ACTIONS(2381),
    [anon_sym_NA_character_] = ACTIONS(2381),
    [anon_sym_NA_complex_] = ACTIONS(2381),
    [anon_sym_NA_integer_] = ACTIONS(2381),
    [anon_sym_NA_real_] = ACTIONS(2381),
    [aux_sym_identifier_token1] = ACTIONS(2381),
    [anon_sym_BQUOTE] = ACTIONS(2383),
    [sym_integer] = ACTIONS(2383),
    [sym_float] = ACTIONS(2381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2383),
  },
  [526] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [527] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [528] = {
    [anon_sym_function] = ACTIONS(2607),
    [anon_sym_BSLASH] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_RPAREN] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_repeat] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_COMMA] = ACTIONS(2609),
    [anon_sym_EQ] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_LT_DASH] = ACTIONS(2609),
    [anon_sym_COLON_EQ] = ACTIONS(2609),
    [anon_sym_LT_LT_DASH] = ACTIONS(2609),
    [anon_sym_DASH_GT_GT] = ACTIONS(2609),
    [anon_sym_DASH_GT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_RBRACK] = ACTIONS(2609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2609),
    [anon_sym_DOLLAR] = ACTIONS(2609),
    [anon_sym_AT] = ACTIONS(2609),
    [anon_sym_QMARK] = ACTIONS(2609),
    [sym_dots] = ACTIONS(2607),
    [anon_sym_PIPE_GT] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_SLASH] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(2607),
    [anon_sym_GT] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2609),
    [anon_sym_GT_EQ] = ACTIONS(2609),
    [anon_sym_EQ_EQ] = ACTIONS(2609),
    [anon_sym_BANG_EQ] = ACTIONS(2609),
    [anon_sym_PIPE_PIPE] = ACTIONS(2609),
    [anon_sym_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_COLON] = ACTIONS(2607),
    [sym_break] = ACTIONS(2607),
    [sym_next] = ACTIONS(2607),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [sym_null] = ACTIONS(2607),
    [sym_inf] = ACTIONS(2607),
    [sym_nan] = ACTIONS(2607),
    [anon_sym_NA] = ACTIONS(2607),
    [anon_sym_NA_character_] = ACTIONS(2607),
    [anon_sym_NA_complex_] = ACTIONS(2607),
    [anon_sym_NA_integer_] = ACTIONS(2607),
    [anon_sym_NA_real_] = ACTIONS(2607),
    [aux_sym_identifier_token1] = ACTIONS(2607),
    [anon_sym_BQUOTE] = ACTIONS(2609),
    [sym_integer] = ACTIONS(2609),
    [sym_float] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_PERCENT] = ACTIONS(2609),
    [sym__raw_string_literal] = ACTIONS(2609),
  },
  [529] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [530] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_BSLASH] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2379),
    [anon_sym_while] = ACTIONS(2377),
    [anon_sym_repeat] = ACTIONS(2377),
    [anon_sym_for] = ACTIONS(2377),
    [anon_sym_switch] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2379),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2379),
    [anon_sym_LT_DASH] = ACTIONS(2379),
    [anon_sym_COLON_EQ] = ACTIONS(2379),
    [anon_sym_LT_LT_DASH] = ACTIONS(2379),
    [anon_sym_DASH_GT_GT] = ACTIONS(2379),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2379),
    [sym_dots] = ACTIONS(2377),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2377),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2377),
    [sym_next] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_inf] = ACTIONS(2377),
    [sym_nan] = ACTIONS(2377),
    [anon_sym_NA] = ACTIONS(2377),
    [anon_sym_NA_character_] = ACTIONS(2377),
    [anon_sym_NA_complex_] = ACTIONS(2377),
    [anon_sym_NA_integer_] = ACTIONS(2377),
    [anon_sym_NA_real_] = ACTIONS(2377),
    [aux_sym_identifier_token1] = ACTIONS(2377),
    [anon_sym_BQUOTE] = ACTIONS(2379),
    [sym_integer] = ACTIONS(2379),
    [sym_float] = ACTIONS(2377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [anon_sym_SQUOTE] = ACTIONS(2379),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2379),
  },
  [531] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [532] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [533] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [534] = {
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_RPAREN] = ACTIONS(2623),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_repeat] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2623),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_LT_DASH] = ACTIONS(2623),
    [anon_sym_COLON_EQ] = ACTIONS(2623),
    [anon_sym_LT_LT_DASH] = ACTIONS(2623),
    [anon_sym_DASH_GT_GT] = ACTIONS(2623),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_RBRACK] = ACTIONS(2623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2623),
    [anon_sym_DOLLAR] = ACTIONS(2623),
    [anon_sym_AT] = ACTIONS(2623),
    [anon_sym_QMARK] = ACTIONS(2623),
    [sym_dots] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_SLASH] = ACTIONS(2623),
    [anon_sym_CARET] = ACTIONS(2623),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2623),
    [anon_sym_GT_EQ] = ACTIONS(2623),
    [anon_sym_EQ_EQ] = ACTIONS(2623),
    [anon_sym_BANG_EQ] = ACTIONS(2623),
    [anon_sym_PIPE_PIPE] = ACTIONS(2623),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_COLON] = ACTIONS(2621),
    [sym_break] = ACTIONS(2621),
    [sym_next] = ACTIONS(2621),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [sym_null] = ACTIONS(2621),
    [sym_inf] = ACTIONS(2621),
    [sym_nan] = ACTIONS(2621),
    [anon_sym_NA] = ACTIONS(2621),
    [anon_sym_NA_character_] = ACTIONS(2621),
    [anon_sym_NA_complex_] = ACTIONS(2621),
    [anon_sym_NA_integer_] = ACTIONS(2621),
    [anon_sym_NA_real_] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_BQUOTE] = ACTIONS(2623),
    [sym_integer] = ACTIONS(2623),
    [sym_float] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_PERCENT] = ACTIONS(2623),
    [sym__raw_string_literal] = ACTIONS(2623),
  },
  [535] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2373),
    [anon_sym_BSLASH] = ACTIONS(2375),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(2373),
    [anon_sym_repeat] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2373),
    [anon_sym_switch] = ACTIONS(2373),
    [anon_sym_COMMA] = ACTIONS(2375),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_LT_DASH] = ACTIONS(2375),
    [anon_sym_COLON_EQ] = ACTIONS(2375),
    [anon_sym_LT_LT_DASH] = ACTIONS(2375),
    [anon_sym_DASH_GT_GT] = ACTIONS(2375),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2375),
    [sym_dots] = ACTIONS(2373),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2373),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2373),
    [sym_next] = ACTIONS(2373),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_inf] = ACTIONS(2373),
    [sym_nan] = ACTIONS(2373),
    [anon_sym_NA] = ACTIONS(2373),
    [anon_sym_NA_character_] = ACTIONS(2373),
    [anon_sym_NA_complex_] = ACTIONS(2373),
    [anon_sym_NA_integer_] = ACTIONS(2373),
    [anon_sym_NA_real_] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [anon_sym_BQUOTE] = ACTIONS(2375),
    [sym_integer] = ACTIONS(2375),
    [sym_float] = ACTIONS(2373),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2375),
    [anon_sym_SQUOTE] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2375),
  },
  [536] = {
    [anon_sym_function] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_RPAREN] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_repeat] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_LT_DASH] = ACTIONS(2627),
    [anon_sym_COLON_EQ] = ACTIONS(2627),
    [anon_sym_LT_LT_DASH] = ACTIONS(2627),
    [anon_sym_DASH_GT_GT] = ACTIONS(2627),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_RBRACK] = ACTIONS(2627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2627),
    [anon_sym_DOLLAR] = ACTIONS(2627),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_QMARK] = ACTIONS(2627),
    [sym_dots] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2627),
    [anon_sym_CARET] = ACTIONS(2627),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2627),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_COLON] = ACTIONS(2625),
    [sym_break] = ACTIONS(2625),
    [sym_next] = ACTIONS(2625),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_inf] = ACTIONS(2625),
    [sym_nan] = ACTIONS(2625),
    [anon_sym_NA] = ACTIONS(2625),
    [anon_sym_NA_character_] = ACTIONS(2625),
    [anon_sym_NA_complex_] = ACTIONS(2625),
    [anon_sym_NA_integer_] = ACTIONS(2625),
    [anon_sym_NA_real_] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_BQUOTE] = ACTIONS(2627),
    [sym_integer] = ACTIONS(2627),
    [sym_float] = ACTIONS(2625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_PERCENT] = ACTIONS(2627),
    [sym__raw_string_literal] = ACTIONS(2627),
  },
  [537] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_BSLASH] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2371),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_repeat] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_COMMA] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2371),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2371),
    [sym_dots] = ACTIONS(2369),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2369),
    [sym_next] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_inf] = ACTIONS(2369),
    [sym_nan] = ACTIONS(2369),
    [anon_sym_NA] = ACTIONS(2369),
    [anon_sym_NA_character_] = ACTIONS(2369),
    [anon_sym_NA_complex_] = ACTIONS(2369),
    [anon_sym_NA_integer_] = ACTIONS(2369),
    [anon_sym_NA_real_] = ACTIONS(2369),
    [aux_sym_identifier_token1] = ACTIONS(2369),
    [anon_sym_BQUOTE] = ACTIONS(2371),
    [sym_integer] = ACTIONS(2371),
    [sym_float] = ACTIONS(2369),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2371),
    [anon_sym_SQUOTE] = ACTIONS(2371),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2371),
  },
  [538] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(2629),
    [anon_sym_LF] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_BSLASH] = ACTIONS(2631),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_repeat] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_EQ] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_LT_DASH] = ACTIONS(2631),
    [anon_sym_COLON_EQ] = ACTIONS(2631),
    [anon_sym_LT_LT_DASH] = ACTIONS(2631),
    [anon_sym_DASH_GT_GT] = ACTIONS(2631),
    [anon_sym_DASH_GT] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym_DOLLAR] = ACTIONS(2631),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_QMARK] = ACTIONS(2631),
    [sym_dots] = ACTIONS(2631),
    [anon_sym_PIPE_GT] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_SLASH] = ACTIONS(2631),
    [anon_sym_CARET] = ACTIONS(2631),
    [anon_sym_LT] = ACTIONS(2631),
    [anon_sym_GT] = ACTIONS(2631),
    [anon_sym_LT_EQ] = ACTIONS(2631),
    [anon_sym_GT_EQ] = ACTIONS(2631),
    [anon_sym_EQ_EQ] = ACTIONS(2631),
    [anon_sym_BANG_EQ] = ACTIONS(2631),
    [anon_sym_PIPE_PIPE] = ACTIONS(2631),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_COLON] = ACTIONS(2631),
    [sym_break] = ACTIONS(2631),
    [sym_next] = ACTIONS(2631),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [sym_null] = ACTIONS(2631),
    [sym_inf] = ACTIONS(2631),
    [sym_nan] = ACTIONS(2631),
    [anon_sym_NA] = ACTIONS(2631),
    [anon_sym_NA_character_] = ACTIONS(2631),
    [anon_sym_NA_complex_] = ACTIONS(2631),
    [anon_sym_NA_integer_] = ACTIONS(2631),
    [anon_sym_NA_real_] = ACTIONS(2631),
    [aux_sym_identifier_token1] = ACTIONS(2631),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_integer] = ACTIONS(2631),
    [sym_float] = ACTIONS(2631),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_PERCENT] = ACTIONS(2631),
    [sym__raw_string_literal] = ACTIONS(2629),
  },
  [540] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [541] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [542] = {
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2635),
    [anon_sym_RPAREN] = ACTIONS(2635),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_repeat] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_LT_DASH] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_LT_LT_DASH] = ACTIONS(2635),
    [anon_sym_DASH_GT_GT] = ACTIONS(2635),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_RBRACK] = ACTIONS(2635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2635),
    [anon_sym_AT] = ACTIONS(2635),
    [anon_sym_QMARK] = ACTIONS(2635),
    [sym_dots] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2635),
    [anon_sym_SLASH] = ACTIONS(2635),
    [anon_sym_CARET] = ACTIONS(2635),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2635),
    [anon_sym_GT_EQ] = ACTIONS(2635),
    [anon_sym_EQ_EQ] = ACTIONS(2635),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_PIPE_PIPE] = ACTIONS(2635),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_COLON] = ACTIONS(2633),
    [sym_break] = ACTIONS(2633),
    [sym_next] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_inf] = ACTIONS(2633),
    [sym_nan] = ACTIONS(2633),
    [anon_sym_NA] = ACTIONS(2633),
    [anon_sym_NA_character_] = ACTIONS(2633),
    [anon_sym_NA_complex_] = ACTIONS(2633),
    [anon_sym_NA_integer_] = ACTIONS(2633),
    [anon_sym_NA_real_] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_BQUOTE] = ACTIONS(2635),
    [sym_integer] = ACTIONS(2635),
    [sym_float] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(2635),
    [sym__raw_string_literal] = ACTIONS(2635),
  },
  [543] = {
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2639),
    [anon_sym_RPAREN] = ACTIONS(2639),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_repeat] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_LT_DASH] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_LT_LT_DASH] = ACTIONS(2639),
    [anon_sym_DASH_GT_GT] = ACTIONS(2639),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_RBRACK] = ACTIONS(2639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2639),
    [anon_sym_AT] = ACTIONS(2639),
    [anon_sym_QMARK] = ACTIONS(2639),
    [sym_dots] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2639),
    [anon_sym_SLASH] = ACTIONS(2639),
    [anon_sym_CARET] = ACTIONS(2639),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2639),
    [anon_sym_GT_EQ] = ACTIONS(2639),
    [anon_sym_EQ_EQ] = ACTIONS(2639),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_PIPE_PIPE] = ACTIONS(2639),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_COLON] = ACTIONS(2637),
    [sym_break] = ACTIONS(2637),
    [sym_next] = ACTIONS(2637),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [sym_null] = ACTIONS(2637),
    [sym_inf] = ACTIONS(2637),
    [sym_nan] = ACTIONS(2637),
    [anon_sym_NA] = ACTIONS(2637),
    [anon_sym_NA_character_] = ACTIONS(2637),
    [anon_sym_NA_complex_] = ACTIONS(2637),
    [anon_sym_NA_integer_] = ACTIONS(2637),
    [anon_sym_NA_real_] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_integer] = ACTIONS(2639),
    [sym_float] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_PERCENT] = ACTIONS(2639),
    [sym__raw_string_literal] = ACTIONS(2639),
  },
  [544] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [545] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [546] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [547] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2369),
    [anon_sym_SEMI] = ACTIONS(2369),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_BSLASH] = ACTIONS(2369),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_repeat] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_RBRACE] = ACTIONS(2369),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2369),
    [sym_dots] = ACTIONS(2369),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2369),
    [sym_next] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_inf] = ACTIONS(2369),
    [sym_nan] = ACTIONS(2369),
    [anon_sym_NA] = ACTIONS(2369),
    [anon_sym_NA_character_] = ACTIONS(2369),
    [anon_sym_NA_complex_] = ACTIONS(2369),
    [anon_sym_NA_integer_] = ACTIONS(2369),
    [anon_sym_NA_real_] = ACTIONS(2369),
    [aux_sym_identifier_token1] = ACTIONS(2369),
    [anon_sym_BQUOTE] = ACTIONS(2369),
    [sym_integer] = ACTIONS(2369),
    [sym_float] = ACTIONS(2369),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2369),
    [anon_sym_SQUOTE] = ACTIONS(2369),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2371),
  },
  [548] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [549] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [550] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2411),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [551] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [552] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [553] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [554] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2373),
    [anon_sym_BSLASH] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2373),
    [anon_sym_repeat] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2373),
    [anon_sym_switch] = ACTIONS(2373),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_RBRACE] = ACTIONS(2373),
    [anon_sym_LT_DASH] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_LT_LT_DASH] = ACTIONS(2373),
    [anon_sym_DASH_GT_GT] = ACTIONS(2373),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2373),
    [sym_dots] = ACTIONS(2373),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2373),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2373),
    [sym_next] = ACTIONS(2373),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_inf] = ACTIONS(2373),
    [sym_nan] = ACTIONS(2373),
    [anon_sym_NA] = ACTIONS(2373),
    [anon_sym_NA_character_] = ACTIONS(2373),
    [anon_sym_NA_complex_] = ACTIONS(2373),
    [anon_sym_NA_integer_] = ACTIONS(2373),
    [anon_sym_NA_real_] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [anon_sym_BQUOTE] = ACTIONS(2373),
    [sym_integer] = ACTIONS(2373),
    [sym_float] = ACTIONS(2373),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2375),
  },
  [555] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_BSLASH] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2377),
    [anon_sym_repeat] = ACTIONS(2377),
    [anon_sym_for] = ACTIONS(2377),
    [anon_sym_switch] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_RBRACE] = ACTIONS(2377),
    [anon_sym_LT_DASH] = ACTIONS(2377),
    [anon_sym_COLON_EQ] = ACTIONS(2377),
    [anon_sym_LT_LT_DASH] = ACTIONS(2377),
    [anon_sym_DASH_GT_GT] = ACTIONS(2377),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2377),
    [sym_dots] = ACTIONS(2377),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2377),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2377),
    [sym_next] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_inf] = ACTIONS(2377),
    [sym_nan] = ACTIONS(2377),
    [anon_sym_NA] = ACTIONS(2377),
    [anon_sym_NA_character_] = ACTIONS(2377),
    [anon_sym_NA_complex_] = ACTIONS(2377),
    [anon_sym_NA_integer_] = ACTIONS(2377),
    [anon_sym_NA_real_] = ACTIONS(2377),
    [aux_sym_identifier_token1] = ACTIONS(2377),
    [anon_sym_BQUOTE] = ACTIONS(2377),
    [sym_integer] = ACTIONS(2377),
    [sym_float] = ACTIONS(2377),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2377),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2379),
  },
  [556] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2381),
    [anon_sym_SEMI] = ACTIONS(2381),
    [anon_sym_function] = ACTIONS(2381),
    [anon_sym_BSLASH] = ACTIONS(2381),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_repeat] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_RBRACE] = ACTIONS(2381),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2381),
    [sym_dots] = ACTIONS(2381),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2381),
    [sym_next] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_null] = ACTIONS(2381),
    [sym_inf] = ACTIONS(2381),
    [sym_nan] = ACTIONS(2381),
    [anon_sym_NA] = ACTIONS(2381),
    [anon_sym_NA_character_] = ACTIONS(2381),
    [anon_sym_NA_complex_] = ACTIONS(2381),
    [anon_sym_NA_integer_] = ACTIONS(2381),
    [anon_sym_NA_real_] = ACTIONS(2381),
    [aux_sym_identifier_token1] = ACTIONS(2381),
    [anon_sym_BQUOTE] = ACTIONS(2381),
    [sym_integer] = ACTIONS(2381),
    [sym_float] = ACTIONS(2381),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2381),
    [anon_sym_SQUOTE] = ACTIONS(2381),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2383),
  },
  [557] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_function] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_repeat] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_switch] = ACTIONS(2183),
    [anon_sym_EQ] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2183),
    [sym_dots] = ACTIONS(2183),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2183),
    [sym_next] = ACTIONS(2183),
    [sym_true] = ACTIONS(2183),
    [sym_false] = ACTIONS(2183),
    [sym_null] = ACTIONS(2183),
    [sym_inf] = ACTIONS(2183),
    [sym_nan] = ACTIONS(2183),
    [anon_sym_NA] = ACTIONS(2183),
    [anon_sym_NA_character_] = ACTIONS(2183),
    [anon_sym_NA_complex_] = ACTIONS(2183),
    [anon_sym_NA_integer_] = ACTIONS(2183),
    [anon_sym_NA_real_] = ACTIONS(2183),
    [aux_sym_identifier_token1] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [sym_integer] = ACTIONS(2183),
    [sym_float] = ACTIONS(2183),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2181),
  },
  [558] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2385),
    [anon_sym_SEMI] = ACTIONS(2385),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_BSLASH] = ACTIONS(2385),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_repeat] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_RBRACE] = ACTIONS(2385),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2385),
    [sym_dots] = ACTIONS(2385),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2385),
    [sym_next] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_null] = ACTIONS(2385),
    [sym_inf] = ACTIONS(2385),
    [sym_nan] = ACTIONS(2385),
    [anon_sym_NA] = ACTIONS(2385),
    [anon_sym_NA_character_] = ACTIONS(2385),
    [anon_sym_NA_complex_] = ACTIONS(2385),
    [anon_sym_NA_integer_] = ACTIONS(2385),
    [anon_sym_NA_real_] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [anon_sym_BQUOTE] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2385),
    [sym_float] = ACTIONS(2385),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2387),
  },
  [559] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_BSLASH] = ACTIONS(2389),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_repeat] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2389),
    [sym_dots] = ACTIONS(2389),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2389),
    [sym_next] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_null] = ACTIONS(2389),
    [sym_inf] = ACTIONS(2389),
    [sym_nan] = ACTIONS(2389),
    [anon_sym_NA] = ACTIONS(2389),
    [anon_sym_NA_character_] = ACTIONS(2389),
    [anon_sym_NA_complex_] = ACTIONS(2389),
    [anon_sym_NA_integer_] = ACTIONS(2389),
    [anon_sym_NA_real_] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_integer] = ACTIONS(2389),
    [sym_float] = ACTIONS(2389),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2391),
  },
  [560] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [561] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(2657),
    [anon_sym_LF] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_BSLASH] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2659),
    [anon_sym_else] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_repeat] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_LT_DASH] = ACTIONS(2659),
    [anon_sym_COLON_EQ] = ACTIONS(2659),
    [anon_sym_LT_LT_DASH] = ACTIONS(2659),
    [anon_sym_DASH_GT_GT] = ACTIONS(2659),
    [anon_sym_DASH_GT] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym_DOLLAR] = ACTIONS(2659),
    [anon_sym_AT] = ACTIONS(2659),
    [anon_sym_QMARK] = ACTIONS(2659),
    [sym_dots] = ACTIONS(2659),
    [anon_sym_PIPE_GT] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_PLUS] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_SLASH] = ACTIONS(2659),
    [anon_sym_CARET] = ACTIONS(2659),
    [anon_sym_LT] = ACTIONS(2659),
    [anon_sym_GT] = ACTIONS(2659),
    [anon_sym_LT_EQ] = ACTIONS(2659),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2659),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_PIPE_PIPE] = ACTIONS(2659),
    [anon_sym_PIPE] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2659),
    [anon_sym_COLON] = ACTIONS(2659),
    [sym_break] = ACTIONS(2659),
    [sym_next] = ACTIONS(2659),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [sym_null] = ACTIONS(2659),
    [sym_inf] = ACTIONS(2659),
    [sym_nan] = ACTIONS(2659),
    [anon_sym_NA] = ACTIONS(2659),
    [anon_sym_NA_character_] = ACTIONS(2659),
    [anon_sym_NA_complex_] = ACTIONS(2659),
    [anon_sym_NA_integer_] = ACTIONS(2659),
    [anon_sym_NA_real_] = ACTIONS(2659),
    [aux_sym_identifier_token1] = ACTIONS(2659),
    [anon_sym_BQUOTE] = ACTIONS(2659),
    [sym_integer] = ACTIONS(2659),
    [sym_float] = ACTIONS(2659),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_PERCENT] = ACTIONS(2659),
    [sym__raw_string_literal] = ACTIONS(2657),
  },
  [563] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_BSLASH] = ACTIONS(2663),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_repeat] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2663),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2509),
    [sym_dots] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2661),
    [sym_next] = ACTIONS(2661),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [sym_null] = ACTIONS(2661),
    [sym_inf] = ACTIONS(2661),
    [sym_nan] = ACTIONS(2661),
    [anon_sym_NA] = ACTIONS(2661),
    [anon_sym_NA_character_] = ACTIONS(2661),
    [anon_sym_NA_complex_] = ACTIONS(2661),
    [anon_sym_NA_integer_] = ACTIONS(2661),
    [anon_sym_NA_real_] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_BQUOTE] = ACTIONS(2663),
    [sym_integer] = ACTIONS(2663),
    [sym_float] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2663),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(2421),
    [anon_sym_LF] = ACTIONS(2419),
    [anon_sym_SEMI] = ACTIONS(2419),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_BSLASH] = ACTIONS(2419),
    [anon_sym_if] = ACTIONS(2419),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_else] = ACTIONS(2419),
    [anon_sym_while] = ACTIONS(2419),
    [anon_sym_repeat] = ACTIONS(2419),
    [anon_sym_for] = ACTIONS(2419),
    [anon_sym_switch] = ACTIONS(2419),
    [anon_sym_EQ] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_LT_DASH] = ACTIONS(2419),
    [anon_sym_COLON_EQ] = ACTIONS(2419),
    [anon_sym_LT_LT_DASH] = ACTIONS(2419),
    [anon_sym_DASH_GT_GT] = ACTIONS(2419),
    [anon_sym_DASH_GT] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2419),
    [anon_sym_DOLLAR] = ACTIONS(2419),
    [anon_sym_AT] = ACTIONS(2419),
    [anon_sym_QMARK] = ACTIONS(2419),
    [sym_dots] = ACTIONS(2419),
    [anon_sym_PIPE_GT] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(2419),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_STAR] = ACTIONS(2419),
    [anon_sym_SLASH] = ACTIONS(2419),
    [anon_sym_CARET] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(2419),
    [anon_sym_GT] = ACTIONS(2419),
    [anon_sym_LT_EQ] = ACTIONS(2419),
    [anon_sym_GT_EQ] = ACTIONS(2419),
    [anon_sym_EQ_EQ] = ACTIONS(2419),
    [anon_sym_BANG_EQ] = ACTIONS(2419),
    [anon_sym_PIPE_PIPE] = ACTIONS(2419),
    [anon_sym_PIPE] = ACTIONS(2419),
    [anon_sym_AMP_AMP] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(2419),
    [anon_sym_COLON] = ACTIONS(2419),
    [sym_break] = ACTIONS(2419),
    [sym_next] = ACTIONS(2419),
    [sym_true] = ACTIONS(2419),
    [sym_false] = ACTIONS(2419),
    [sym_null] = ACTIONS(2419),
    [sym_inf] = ACTIONS(2419),
    [sym_nan] = ACTIONS(2419),
    [anon_sym_NA] = ACTIONS(2419),
    [anon_sym_NA_character_] = ACTIONS(2419),
    [anon_sym_NA_complex_] = ACTIONS(2419),
    [anon_sym_NA_integer_] = ACTIONS(2419),
    [anon_sym_NA_real_] = ACTIONS(2419),
    [aux_sym_identifier_token1] = ACTIONS(2419),
    [anon_sym_BQUOTE] = ACTIONS(2419),
    [sym_integer] = ACTIONS(2419),
    [sym_float] = ACTIONS(2419),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [anon_sym_PERCENT] = ACTIONS(2419),
    [sym__raw_string_literal] = ACTIONS(2421),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(2665),
    [anon_sym_LF] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_BSLASH] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_repeat] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_COLON_EQ] = ACTIONS(2667),
    [anon_sym_LT_LT_DASH] = ACTIONS(2667),
    [anon_sym_DASH_GT_GT] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym_DOLLAR] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_QMARK] = ACTIONS(2667),
    [sym_dots] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_COLON] = ACTIONS(2667),
    [sym_break] = ACTIONS(2667),
    [sym_next] = ACTIONS(2667),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [sym_null] = ACTIONS(2667),
    [sym_inf] = ACTIONS(2667),
    [sym_nan] = ACTIONS(2667),
    [anon_sym_NA] = ACTIONS(2667),
    [anon_sym_NA_character_] = ACTIONS(2667),
    [anon_sym_NA_complex_] = ACTIONS(2667),
    [anon_sym_NA_integer_] = ACTIONS(2667),
    [anon_sym_NA_real_] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_BQUOTE] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [sym__raw_string_literal] = ACTIONS(2665),
  },
  [566] = {
    [anon_sym_function] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_RPAREN] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_repeat] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_COMMA] = ACTIONS(2671),
    [anon_sym_EQ] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_COLON_EQ] = ACTIONS(2671),
    [anon_sym_LT_LT_DASH] = ACTIONS(2671),
    [anon_sym_DASH_GT_GT] = ACTIONS(2671),
    [anon_sym_DASH_GT] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_RBRACK] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2671),
    [anon_sym_DOLLAR] = ACTIONS(2671),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_QMARK] = ACTIONS(2671),
    [sym_dots] = ACTIONS(2669),
    [anon_sym_PIPE_GT] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2671),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_STAR] = ACTIONS(2671),
    [anon_sym_SLASH] = ACTIONS(2671),
    [anon_sym_CARET] = ACTIONS(2671),
    [anon_sym_LT] = ACTIONS(2669),
    [anon_sym_GT] = ACTIONS(2669),
    [anon_sym_LT_EQ] = ACTIONS(2671),
    [anon_sym_GT_EQ] = ACTIONS(2671),
    [anon_sym_EQ_EQ] = ACTIONS(2671),
    [anon_sym_BANG_EQ] = ACTIONS(2671),
    [anon_sym_PIPE_PIPE] = ACTIONS(2671),
    [anon_sym_PIPE] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2671),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_COLON] = ACTIONS(2669),
    [sym_break] = ACTIONS(2669),
    [sym_next] = ACTIONS(2669),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [sym_null] = ACTIONS(2669),
    [sym_inf] = ACTIONS(2669),
    [sym_nan] = ACTIONS(2669),
    [anon_sym_NA] = ACTIONS(2669),
    [anon_sym_NA_character_] = ACTIONS(2669),
    [anon_sym_NA_complex_] = ACTIONS(2669),
    [anon_sym_NA_integer_] = ACTIONS(2669),
    [anon_sym_NA_real_] = ACTIONS(2669),
    [aux_sym_identifier_token1] = ACTIONS(2669),
    [anon_sym_BQUOTE] = ACTIONS(2671),
    [sym_integer] = ACTIONS(2671),
    [sym_float] = ACTIONS(2669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_PERCENT] = ACTIONS(2671),
    [sym__raw_string_literal] = ACTIONS(2671),
  },
  [567] = {
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2675),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2675),
    [anon_sym_RPAREN] = ACTIONS(2675),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_repeat] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_LT_DASH] = ACTIONS(2675),
    [anon_sym_COLON_EQ] = ACTIONS(2675),
    [anon_sym_LT_LT_DASH] = ACTIONS(2675),
    [anon_sym_DASH_GT_GT] = ACTIONS(2675),
    [anon_sym_DASH_GT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_RBRACK] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2675),
    [anon_sym_DOLLAR] = ACTIONS(2675),
    [anon_sym_AT] = ACTIONS(2675),
    [anon_sym_QMARK] = ACTIONS(2675),
    [sym_dots] = ACTIONS(2673),
    [anon_sym_PIPE_GT] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_SLASH] = ACTIONS(2675),
    [anon_sym_CARET] = ACTIONS(2675),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2675),
    [anon_sym_GT_EQ] = ACTIONS(2675),
    [anon_sym_EQ_EQ] = ACTIONS(2675),
    [anon_sym_BANG_EQ] = ACTIONS(2675),
    [anon_sym_PIPE_PIPE] = ACTIONS(2675),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2675),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_COLON] = ACTIONS(2673),
    [sym_break] = ACTIONS(2673),
    [sym_next] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_inf] = ACTIONS(2673),
    [sym_nan] = ACTIONS(2673),
    [anon_sym_NA] = ACTIONS(2673),
    [anon_sym_NA_character_] = ACTIONS(2673),
    [anon_sym_NA_complex_] = ACTIONS(2673),
    [anon_sym_NA_integer_] = ACTIONS(2673),
    [anon_sym_NA_real_] = ACTIONS(2673),
    [aux_sym_identifier_token1] = ACTIONS(2673),
    [anon_sym_BQUOTE] = ACTIONS(2675),
    [sym_integer] = ACTIONS(2675),
    [sym_float] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_PERCENT] = ACTIONS(2675),
    [sym__raw_string_literal] = ACTIONS(2675),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(2677),
    [anon_sym_LF] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2679),
    [anon_sym_BSLASH] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_repeat] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_LT_DASH] = ACTIONS(2679),
    [anon_sym_COLON_EQ] = ACTIONS(2679),
    [anon_sym_LT_LT_DASH] = ACTIONS(2679),
    [anon_sym_DASH_GT_GT] = ACTIONS(2679),
    [anon_sym_DASH_GT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym_DOLLAR] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_QMARK] = ACTIONS(2679),
    [sym_dots] = ACTIONS(2679),
    [anon_sym_PIPE_GT] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2679),
    [anon_sym_CARET] = ACTIONS(2679),
    [anon_sym_LT] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2679),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym_COLON] = ACTIONS(2679),
    [sym_break] = ACTIONS(2679),
    [sym_next] = ACTIONS(2679),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [sym_null] = ACTIONS(2679),
    [sym_inf] = ACTIONS(2679),
    [sym_nan] = ACTIONS(2679),
    [anon_sym_NA] = ACTIONS(2679),
    [anon_sym_NA_character_] = ACTIONS(2679),
    [anon_sym_NA_complex_] = ACTIONS(2679),
    [anon_sym_NA_integer_] = ACTIONS(2679),
    [anon_sym_NA_real_] = ACTIONS(2679),
    [aux_sym_identifier_token1] = ACTIONS(2679),
    [anon_sym_BQUOTE] = ACTIONS(2679),
    [sym_integer] = ACTIONS(2679),
    [sym_float] = ACTIONS(2679),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_PERCENT] = ACTIONS(2679),
    [sym__raw_string_literal] = ACTIONS(2677),
  },
  [569] = {
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_RPAREN] = ACTIONS(2683),
    [anon_sym_else] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_repeat] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_COMMA] = ACTIONS(2683),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_LT_DASH] = ACTIONS(2683),
    [anon_sym_COLON_EQ] = ACTIONS(2683),
    [anon_sym_LT_LT_DASH] = ACTIONS(2683),
    [anon_sym_DASH_GT_GT] = ACTIONS(2683),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_RBRACK] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2683),
    [anon_sym_DOLLAR] = ACTIONS(2683),
    [anon_sym_AT] = ACTIONS(2683),
    [anon_sym_QMARK] = ACTIONS(2683),
    [sym_dots] = ACTIONS(2681),
    [anon_sym_PIPE_GT] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_SLASH] = ACTIONS(2683),
    [anon_sym_CARET] = ACTIONS(2683),
    [anon_sym_LT] = ACTIONS(2681),
    [anon_sym_GT] = ACTIONS(2681),
    [anon_sym_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_EQ] = ACTIONS(2683),
    [anon_sym_EQ_EQ] = ACTIONS(2683),
    [anon_sym_BANG_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE] = ACTIONS(2683),
    [anon_sym_PIPE] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym_COLON] = ACTIONS(2681),
    [sym_break] = ACTIONS(2681),
    [sym_next] = ACTIONS(2681),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [sym_null] = ACTIONS(2681),
    [sym_inf] = ACTIONS(2681),
    [sym_nan] = ACTIONS(2681),
    [anon_sym_NA] = ACTIONS(2681),
    [anon_sym_NA_character_] = ACTIONS(2681),
    [anon_sym_NA_complex_] = ACTIONS(2681),
    [anon_sym_NA_integer_] = ACTIONS(2681),
    [anon_sym_NA_real_] = ACTIONS(2681),
    [aux_sym_identifier_token1] = ACTIONS(2681),
    [anon_sym_BQUOTE] = ACTIONS(2683),
    [sym_integer] = ACTIONS(2683),
    [sym_float] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2683),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_PERCENT] = ACTIONS(2683),
    [sym__raw_string_literal] = ACTIONS(2683),
  },
  [570] = {
    [anon_sym_function] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_RPAREN] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_repeat] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2685),
    [anon_sym_switch] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_LT_DASH] = ACTIONS(2687),
    [anon_sym_COLON_EQ] = ACTIONS(2687),
    [anon_sym_LT_LT_DASH] = ACTIONS(2687),
    [anon_sym_DASH_GT_GT] = ACTIONS(2687),
    [anon_sym_DASH_GT] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2687),
    [anon_sym_DOLLAR] = ACTIONS(2687),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_QMARK] = ACTIONS(2687),
    [sym_dots] = ACTIONS(2685),
    [anon_sym_PIPE_GT] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2685),
    [anon_sym_COLON] = ACTIONS(2685),
    [sym_break] = ACTIONS(2685),
    [sym_next] = ACTIONS(2685),
    [sym_true] = ACTIONS(2685),
    [sym_false] = ACTIONS(2685),
    [sym_null] = ACTIONS(2685),
    [sym_inf] = ACTIONS(2685),
    [sym_nan] = ACTIONS(2685),
    [anon_sym_NA] = ACTIONS(2685),
    [anon_sym_NA_character_] = ACTIONS(2685),
    [anon_sym_NA_complex_] = ACTIONS(2685),
    [anon_sym_NA_integer_] = ACTIONS(2685),
    [anon_sym_NA_real_] = ACTIONS(2685),
    [aux_sym_identifier_token1] = ACTIONS(2685),
    [anon_sym_BQUOTE] = ACTIONS(2687),
    [sym_integer] = ACTIONS(2687),
    [sym_float] = ACTIONS(2685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2687),
    [anon_sym_SQUOTE] = ACTIONS(2687),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [sym__raw_string_literal] = ACTIONS(2687),
  },
  [571] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [572] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2399),
    [anon_sym_LF] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2397),
    [anon_sym_function] = ACTIONS(2397),
    [anon_sym_BSLASH] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_repeat] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2397),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2701),
    [sym_dots] = ACTIONS(2397),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2397),
    [sym_next] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_null] = ACTIONS(2397),
    [sym_inf] = ACTIONS(2397),
    [sym_nan] = ACTIONS(2397),
    [anon_sym_NA] = ACTIONS(2397),
    [anon_sym_NA_character_] = ACTIONS(2397),
    [anon_sym_NA_complex_] = ACTIONS(2397),
    [anon_sym_NA_integer_] = ACTIONS(2397),
    [anon_sym_NA_real_] = ACTIONS(2397),
    [aux_sym_identifier_token1] = ACTIONS(2397),
    [anon_sym_BQUOTE] = ACTIONS(2397),
    [sym_integer] = ACTIONS(2397),
    [sym_float] = ACTIONS(2397),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2399),
  },
  [573] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2395),
    [anon_sym_LF] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_function] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_repeat] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2701),
    [sym_dots] = ACTIONS(2393),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2393),
    [sym_next] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_inf] = ACTIONS(2393),
    [sym_nan] = ACTIONS(2393),
    [anon_sym_NA] = ACTIONS(2393),
    [anon_sym_NA_character_] = ACTIONS(2393),
    [anon_sym_NA_complex_] = ACTIONS(2393),
    [anon_sym_NA_integer_] = ACTIONS(2393),
    [anon_sym_NA_real_] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [anon_sym_BQUOTE] = ACTIONS(2393),
    [sym_integer] = ACTIONS(2393),
    [sym_float] = ACTIONS(2393),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_SQUOTE] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2395),
  },
  [574] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [575] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2371),
    [anon_sym_LF] = ACTIONS(2369),
    [anon_sym_SEMI] = ACTIONS(2369),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_BSLASH] = ACTIONS(2369),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_repeat] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2369),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2369),
    [sym_dots] = ACTIONS(2369),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2369),
    [sym_next] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_inf] = ACTIONS(2369),
    [sym_nan] = ACTIONS(2369),
    [anon_sym_NA] = ACTIONS(2369),
    [anon_sym_NA_character_] = ACTIONS(2369),
    [anon_sym_NA_complex_] = ACTIONS(2369),
    [anon_sym_NA_integer_] = ACTIONS(2369),
    [anon_sym_NA_real_] = ACTIONS(2369),
    [aux_sym_identifier_token1] = ACTIONS(2369),
    [anon_sym_BQUOTE] = ACTIONS(2369),
    [sym_integer] = ACTIONS(2369),
    [sym_float] = ACTIONS(2369),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2369),
    [anon_sym_SQUOTE] = ACTIONS(2369),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2371),
  },
  [576] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2409),
    [anon_sym_BSLASH] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_repeat] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(2407),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2509),
    [sym_dots] = ACTIONS(2409),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2409),
    [sym_next] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_null] = ACTIONS(2409),
    [sym_inf] = ACTIONS(2409),
    [sym_nan] = ACTIONS(2409),
    [anon_sym_NA] = ACTIONS(2409),
    [anon_sym_NA_character_] = ACTIONS(2409),
    [anon_sym_NA_complex_] = ACTIONS(2409),
    [anon_sym_NA_integer_] = ACTIONS(2409),
    [anon_sym_NA_real_] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [anon_sym_BQUOTE] = ACTIONS(2407),
    [sym_integer] = ACTIONS(2407),
    [sym_float] = ACTIONS(2409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2407),
    [anon_sym_SQUOTE] = ACTIONS(2407),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2407),
  },
  [577] = {
    [anon_sym_function] = ACTIONS(2679),
    [anon_sym_BSLASH] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_RPAREN] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_repeat] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_COMMA] = ACTIONS(2677),
    [anon_sym_EQ] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_LT_DASH] = ACTIONS(2677),
    [anon_sym_COLON_EQ] = ACTIONS(2677),
    [anon_sym_LT_LT_DASH] = ACTIONS(2677),
    [anon_sym_DASH_GT_GT] = ACTIONS(2677),
    [anon_sym_DASH_GT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_RBRACK] = ACTIONS(2677),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2677),
    [anon_sym_DOLLAR] = ACTIONS(2677),
    [anon_sym_AT] = ACTIONS(2677),
    [anon_sym_QMARK] = ACTIONS(2677),
    [sym_dots] = ACTIONS(2679),
    [anon_sym_PIPE_GT] = ACTIONS(2677),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2677),
    [anon_sym_CARET] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2677),
    [anon_sym_GT_EQ] = ACTIONS(2677),
    [anon_sym_EQ_EQ] = ACTIONS(2677),
    [anon_sym_BANG_EQ] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE] = ACTIONS(2677),
    [anon_sym_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2677),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym_COLON] = ACTIONS(2679),
    [sym_break] = ACTIONS(2679),
    [sym_next] = ACTIONS(2679),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [sym_null] = ACTIONS(2679),
    [sym_inf] = ACTIONS(2679),
    [sym_nan] = ACTIONS(2679),
    [anon_sym_NA] = ACTIONS(2679),
    [anon_sym_NA_character_] = ACTIONS(2679),
    [anon_sym_NA_complex_] = ACTIONS(2679),
    [anon_sym_NA_integer_] = ACTIONS(2679),
    [anon_sym_NA_real_] = ACTIONS(2679),
    [aux_sym_identifier_token1] = ACTIONS(2679),
    [anon_sym_BQUOTE] = ACTIONS(2677),
    [sym_integer] = ACTIONS(2677),
    [sym_float] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2677),
    [anon_sym_SQUOTE] = ACTIONS(2677),
    [anon_sym_PERCENT] = ACTIONS(2677),
    [sym__raw_string_literal] = ACTIONS(2677),
  },
  [578] = {
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_BSLASH] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2665),
    [anon_sym_RPAREN] = ACTIONS(2665),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_repeat] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_LT_DASH] = ACTIONS(2665),
    [anon_sym_COLON_EQ] = ACTIONS(2665),
    [anon_sym_LT_LT_DASH] = ACTIONS(2665),
    [anon_sym_DASH_GT_GT] = ACTIONS(2665),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_RBRACK] = ACTIONS(2665),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2665),
    [anon_sym_DOLLAR] = ACTIONS(2665),
    [anon_sym_AT] = ACTIONS(2665),
    [anon_sym_QMARK] = ACTIONS(2665),
    [sym_dots] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2665),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2665),
    [anon_sym_SLASH] = ACTIONS(2665),
    [anon_sym_CARET] = ACTIONS(2665),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2665),
    [anon_sym_GT_EQ] = ACTIONS(2665),
    [anon_sym_EQ_EQ] = ACTIONS(2665),
    [anon_sym_BANG_EQ] = ACTIONS(2665),
    [anon_sym_PIPE_PIPE] = ACTIONS(2665),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2665),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_COLON] = ACTIONS(2667),
    [sym_break] = ACTIONS(2667),
    [sym_next] = ACTIONS(2667),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [sym_null] = ACTIONS(2667),
    [sym_inf] = ACTIONS(2667),
    [sym_nan] = ACTIONS(2667),
    [anon_sym_NA] = ACTIONS(2667),
    [anon_sym_NA_character_] = ACTIONS(2667),
    [anon_sym_NA_complex_] = ACTIONS(2667),
    [anon_sym_NA_integer_] = ACTIONS(2667),
    [anon_sym_NA_real_] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_BQUOTE] = ACTIONS(2665),
    [sym_integer] = ACTIONS(2665),
    [sym_float] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2665),
    [anon_sym_SQUOTE] = ACTIONS(2665),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [sym__raw_string_literal] = ACTIONS(2665),
  },
  [579] = {
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_BSLASH] = ACTIONS(2421),
    [anon_sym_if] = ACTIONS(2419),
    [anon_sym_LPAREN] = ACTIONS(2421),
    [anon_sym_RPAREN] = ACTIONS(2421),
    [anon_sym_else] = ACTIONS(2419),
    [anon_sym_while] = ACTIONS(2419),
    [anon_sym_repeat] = ACTIONS(2419),
    [anon_sym_for] = ACTIONS(2419),
    [anon_sym_switch] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(2421),
    [anon_sym_EQ] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2421),
    [anon_sym_LT_DASH] = ACTIONS(2421),
    [anon_sym_COLON_EQ] = ACTIONS(2421),
    [anon_sym_LT_LT_DASH] = ACTIONS(2421),
    [anon_sym_DASH_GT_GT] = ACTIONS(2421),
    [anon_sym_DASH_GT] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_RBRACK] = ACTIONS(2421),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2421),
    [anon_sym_DOLLAR] = ACTIONS(2421),
    [anon_sym_AT] = ACTIONS(2421),
    [anon_sym_QMARK] = ACTIONS(2421),
    [sym_dots] = ACTIONS(2419),
    [anon_sym_PIPE_GT] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_BANG] = ACTIONS(2419),
    [anon_sym_TILDE] = ACTIONS(2421),
    [anon_sym_STAR] = ACTIONS(2421),
    [anon_sym_SLASH] = ACTIONS(2421),
    [anon_sym_CARET] = ACTIONS(2421),
    [anon_sym_LT] = ACTIONS(2419),
    [anon_sym_GT] = ACTIONS(2419),
    [anon_sym_LT_EQ] = ACTIONS(2421),
    [anon_sym_GT_EQ] = ACTIONS(2421),
    [anon_sym_EQ_EQ] = ACTIONS(2421),
    [anon_sym_BANG_EQ] = ACTIONS(2421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2421),
    [anon_sym_PIPE] = ACTIONS(2419),
    [anon_sym_AMP_AMP] = ACTIONS(2421),
    [anon_sym_AMP] = ACTIONS(2419),
    [anon_sym_COLON] = ACTIONS(2419),
    [sym_break] = ACTIONS(2419),
    [sym_next] = ACTIONS(2419),
    [sym_true] = ACTIONS(2419),
    [sym_false] = ACTIONS(2419),
    [sym_null] = ACTIONS(2419),
    [sym_inf] = ACTIONS(2419),
    [sym_nan] = ACTIONS(2419),
    [anon_sym_NA] = ACTIONS(2419),
    [anon_sym_NA_character_] = ACTIONS(2419),
    [anon_sym_NA_complex_] = ACTIONS(2419),
    [anon_sym_NA_integer_] = ACTIONS(2419),
    [anon_sym_NA_real_] = ACTIONS(2419),
    [aux_sym_identifier_token1] = ACTIONS(2419),
    [anon_sym_BQUOTE] = ACTIONS(2421),
    [sym_integer] = ACTIONS(2421),
    [sym_float] = ACTIONS(2419),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2421),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_PERCENT] = ACTIONS(2421),
    [sym__raw_string_literal] = ACTIONS(2421),
  },
  [580] = {
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_BSLASH] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_repeat] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_COMMA] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_LT_DASH] = ACTIONS(2657),
    [anon_sym_COLON_EQ] = ACTIONS(2657),
    [anon_sym_LT_LT_DASH] = ACTIONS(2657),
    [anon_sym_DASH_GT_GT] = ACTIONS(2657),
    [anon_sym_DASH_GT] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_RBRACK] = ACTIONS(2657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2657),
    [anon_sym_DOLLAR] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2657),
    [anon_sym_QMARK] = ACTIONS(2657),
    [sym_dots] = ACTIONS(2659),
    [anon_sym_PIPE_GT] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2659),
    [anon_sym_GT] = ACTIONS(2659),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2657),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2659),
    [anon_sym_COLON] = ACTIONS(2659),
    [sym_break] = ACTIONS(2659),
    [sym_next] = ACTIONS(2659),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [sym_null] = ACTIONS(2659),
    [sym_inf] = ACTIONS(2659),
    [sym_nan] = ACTIONS(2659),
    [anon_sym_NA] = ACTIONS(2659),
    [anon_sym_NA_character_] = ACTIONS(2659),
    [anon_sym_NA_complex_] = ACTIONS(2659),
    [anon_sym_NA_integer_] = ACTIONS(2659),
    [anon_sym_NA_real_] = ACTIONS(2659),
    [aux_sym_identifier_token1] = ACTIONS(2659),
    [anon_sym_BQUOTE] = ACTIONS(2657),
    [sym_integer] = ACTIONS(2657),
    [sym_float] = ACTIONS(2659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [sym__raw_string_literal] = ACTIONS(2657),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [anon_sym_LF] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2685),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_repeat] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2685),
    [anon_sym_switch] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_LT_DASH] = ACTIONS(2685),
    [anon_sym_COLON_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_DASH] = ACTIONS(2685),
    [anon_sym_DASH_GT_GT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(2685),
    [sym_dots] = ACTIONS(2685),
    [anon_sym_PIPE_GT] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_CARET] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2685),
    [anon_sym_PIPE] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2685),
    [anon_sym_COLON] = ACTIONS(2685),
    [sym_break] = ACTIONS(2685),
    [sym_next] = ACTIONS(2685),
    [sym_true] = ACTIONS(2685),
    [sym_false] = ACTIONS(2685),
    [sym_null] = ACTIONS(2685),
    [sym_inf] = ACTIONS(2685),
    [sym_nan] = ACTIONS(2685),
    [anon_sym_NA] = ACTIONS(2685),
    [anon_sym_NA_character_] = ACTIONS(2685),
    [anon_sym_NA_complex_] = ACTIONS(2685),
    [anon_sym_NA_integer_] = ACTIONS(2685),
    [anon_sym_NA_real_] = ACTIONS(2685),
    [aux_sym_identifier_token1] = ACTIONS(2685),
    [anon_sym_BQUOTE] = ACTIONS(2685),
    [sym_integer] = ACTIONS(2685),
    [sym_float] = ACTIONS(2685),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [sym__raw_string_literal] = ACTIONS(2687),
  },
  [582] = {
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_BSLASH] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [anon_sym_RPAREN] = ACTIONS(2629),
    [anon_sym_else] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_repeat] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_COMMA] = ACTIONS(2629),
    [anon_sym_EQ] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_LT_DASH] = ACTIONS(2629),
    [anon_sym_COLON_EQ] = ACTIONS(2629),
    [anon_sym_LT_LT_DASH] = ACTIONS(2629),
    [anon_sym_DASH_GT_GT] = ACTIONS(2629),
    [anon_sym_DASH_GT] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_RBRACK] = ACTIONS(2629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2629),
    [anon_sym_DOLLAR] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2629),
    [anon_sym_QMARK] = ACTIONS(2629),
    [sym_dots] = ACTIONS(2631),
    [anon_sym_PIPE_GT] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_CARET] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2631),
    [anon_sym_GT] = ACTIONS(2631),
    [anon_sym_LT_EQ] = ACTIONS(2629),
    [anon_sym_GT_EQ] = ACTIONS(2629),
    [anon_sym_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_COLON] = ACTIONS(2631),
    [sym_break] = ACTIONS(2631),
    [sym_next] = ACTIONS(2631),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [sym_null] = ACTIONS(2631),
    [sym_inf] = ACTIONS(2631),
    [sym_nan] = ACTIONS(2631),
    [anon_sym_NA] = ACTIONS(2631),
    [anon_sym_NA_character_] = ACTIONS(2631),
    [anon_sym_NA_complex_] = ACTIONS(2631),
    [anon_sym_NA_integer_] = ACTIONS(2631),
    [anon_sym_NA_real_] = ACTIONS(2631),
    [aux_sym_identifier_token1] = ACTIONS(2631),
    [anon_sym_BQUOTE] = ACTIONS(2629),
    [sym_integer] = ACTIONS(2629),
    [sym_float] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_PERCENT] = ACTIONS(2629),
    [sym__raw_string_literal] = ACTIONS(2629),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [anon_sym_LF] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_LPAREN] = ACTIONS(2681),
    [anon_sym_else] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_repeat] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_LT_DASH] = ACTIONS(2681),
    [anon_sym_COLON_EQ] = ACTIONS(2681),
    [anon_sym_LT_LT_DASH] = ACTIONS(2681),
    [anon_sym_DASH_GT_GT] = ACTIONS(2681),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2681),
    [anon_sym_DOLLAR] = ACTIONS(2681),
    [anon_sym_AT] = ACTIONS(2681),
    [anon_sym_QMARK] = ACTIONS(2681),
    [sym_dots] = ACTIONS(2681),
    [anon_sym_PIPE_GT] = ACTIONS(2681),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2681),
    [anon_sym_SLASH] = ACTIONS(2681),
    [anon_sym_CARET] = ACTIONS(2681),
    [anon_sym_LT] = ACTIONS(2681),
    [anon_sym_GT] = ACTIONS(2681),
    [anon_sym_LT_EQ] = ACTIONS(2681),
    [anon_sym_GT_EQ] = ACTIONS(2681),
    [anon_sym_EQ_EQ] = ACTIONS(2681),
    [anon_sym_BANG_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_PIPE] = ACTIONS(2681),
    [anon_sym_PIPE] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2681),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym_COLON] = ACTIONS(2681),
    [sym_break] = ACTIONS(2681),
    [sym_next] = ACTIONS(2681),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [sym_null] = ACTIONS(2681),
    [sym_inf] = ACTIONS(2681),
    [sym_nan] = ACTIONS(2681),
    [anon_sym_NA] = ACTIONS(2681),
    [anon_sym_NA_character_] = ACTIONS(2681),
    [anon_sym_NA_complex_] = ACTIONS(2681),
    [anon_sym_NA_integer_] = ACTIONS(2681),
    [anon_sym_NA_real_] = ACTIONS(2681),
    [aux_sym_identifier_token1] = ACTIONS(2681),
    [anon_sym_BQUOTE] = ACTIONS(2681),
    [sym_integer] = ACTIONS(2681),
    [sym_float] = ACTIONS(2681),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2681),
    [anon_sym_SQUOTE] = ACTIONS(2681),
    [anon_sym_PERCENT] = ACTIONS(2681),
    [sym__raw_string_literal] = ACTIONS(2683),
  },
  [584] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2359),
    [anon_sym_SEMI] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_BSLASH] = ACTIONS(2359),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2359),
    [anon_sym_repeat] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2359),
    [anon_sym_RBRACE] = ACTIONS(2359),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2705),
    [sym_dots] = ACTIONS(2359),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2359),
    [sym_next] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_inf] = ACTIONS(2359),
    [sym_nan] = ACTIONS(2359),
    [anon_sym_NA] = ACTIONS(2359),
    [anon_sym_NA_character_] = ACTIONS(2359),
    [anon_sym_NA_complex_] = ACTIONS(2359),
    [anon_sym_NA_integer_] = ACTIONS(2359),
    [anon_sym_NA_real_] = ACTIONS(2359),
    [aux_sym_identifier_token1] = ACTIONS(2359),
    [anon_sym_BQUOTE] = ACTIONS(2359),
    [sym_integer] = ACTIONS(2359),
    [sym_float] = ACTIONS(2359),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2359),
    [anon_sym_SQUOTE] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2361),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [anon_sym_LF] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_repeat] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_LT_DASH] = ACTIONS(2673),
    [anon_sym_COLON_EQ] = ACTIONS(2673),
    [anon_sym_LT_LT_DASH] = ACTIONS(2673),
    [anon_sym_DASH_GT_GT] = ACTIONS(2673),
    [anon_sym_DASH_GT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2673),
    [anon_sym_DOLLAR] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_QMARK] = ACTIONS(2673),
    [sym_dots] = ACTIONS(2673),
    [anon_sym_PIPE_GT] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_COLON] = ACTIONS(2673),
    [sym_break] = ACTIONS(2673),
    [sym_next] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_inf] = ACTIONS(2673),
    [sym_nan] = ACTIONS(2673),
    [anon_sym_NA] = ACTIONS(2673),
    [anon_sym_NA_character_] = ACTIONS(2673),
    [anon_sym_NA_complex_] = ACTIONS(2673),
    [anon_sym_NA_integer_] = ACTIONS(2673),
    [anon_sym_NA_real_] = ACTIONS(2673),
    [aux_sym_identifier_token1] = ACTIONS(2673),
    [anon_sym_BQUOTE] = ACTIONS(2673),
    [sym_integer] = ACTIONS(2673),
    [sym_float] = ACTIONS(2673),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2673),
    [anon_sym_SQUOTE] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(2673),
    [sym__raw_string_literal] = ACTIONS(2675),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [anon_sym_LF] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym_function] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_repeat] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_EQ] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_LT_DASH] = ACTIONS(2669),
    [anon_sym_COLON_EQ] = ACTIONS(2669),
    [anon_sym_LT_LT_DASH] = ACTIONS(2669),
    [anon_sym_DASH_GT_GT] = ACTIONS(2669),
    [anon_sym_DASH_GT] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym_DOLLAR] = ACTIONS(2669),
    [anon_sym_AT] = ACTIONS(2669),
    [anon_sym_QMARK] = ACTIONS(2669),
    [sym_dots] = ACTIONS(2669),
    [anon_sym_PIPE_GT] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_SLASH] = ACTIONS(2669),
    [anon_sym_CARET] = ACTIONS(2669),
    [anon_sym_LT] = ACTIONS(2669),
    [anon_sym_GT] = ACTIONS(2669),
    [anon_sym_LT_EQ] = ACTIONS(2669),
    [anon_sym_GT_EQ] = ACTIONS(2669),
    [anon_sym_EQ_EQ] = ACTIONS(2669),
    [anon_sym_BANG_EQ] = ACTIONS(2669),
    [anon_sym_PIPE_PIPE] = ACTIONS(2669),
    [anon_sym_PIPE] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_COLON] = ACTIONS(2669),
    [sym_break] = ACTIONS(2669),
    [sym_next] = ACTIONS(2669),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [sym_null] = ACTIONS(2669),
    [sym_inf] = ACTIONS(2669),
    [sym_nan] = ACTIONS(2669),
    [anon_sym_NA] = ACTIONS(2669),
    [anon_sym_NA_character_] = ACTIONS(2669),
    [anon_sym_NA_complex_] = ACTIONS(2669),
    [anon_sym_NA_integer_] = ACTIONS(2669),
    [anon_sym_NA_real_] = ACTIONS(2669),
    [aux_sym_identifier_token1] = ACTIONS(2669),
    [anon_sym_BQUOTE] = ACTIONS(2669),
    [sym_integer] = ACTIONS(2669),
    [sym_float] = ACTIONS(2669),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2669),
    [anon_sym_PERCENT] = ACTIONS(2669),
    [sym__raw_string_literal] = ACTIONS(2671),
  },
  [587] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_BSLASH] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2359),
    [anon_sym_repeat] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2509),
    [sym_dots] = ACTIONS(2359),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2359),
    [sym_next] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_inf] = ACTIONS(2359),
    [sym_nan] = ACTIONS(2359),
    [anon_sym_NA] = ACTIONS(2359),
    [anon_sym_NA_character_] = ACTIONS(2359),
    [anon_sym_NA_complex_] = ACTIONS(2359),
    [anon_sym_NA_integer_] = ACTIONS(2359),
    [anon_sym_NA_real_] = ACTIONS(2359),
    [aux_sym_identifier_token1] = ACTIONS(2359),
    [anon_sym_BQUOTE] = ACTIONS(2361),
    [sym_integer] = ACTIONS(2361),
    [sym_float] = ACTIONS(2359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2361),
  },
  [588] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_BSLASH] = ACTIONS(2357),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2357),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_repeat] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_COMMA] = ACTIONS(2357),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2509),
    [sym_dots] = ACTIONS(2355),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2355),
    [sym_next] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_inf] = ACTIONS(2355),
    [sym_nan] = ACTIONS(2355),
    [anon_sym_NA] = ACTIONS(2355),
    [anon_sym_NA_character_] = ACTIONS(2355),
    [anon_sym_NA_complex_] = ACTIONS(2355),
    [anon_sym_NA_integer_] = ACTIONS(2355),
    [anon_sym_NA_real_] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [anon_sym_BQUOTE] = ACTIONS(2357),
    [sym_integer] = ACTIONS(2357),
    [sym_float] = ACTIONS(2355),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2357),
    [anon_sym_SQUOTE] = ACTIONS(2357),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2357),
  },
  [589] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2411),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2413),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(2413),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_LT_EQ] = ACTIONS(2413),
    [anon_sym_GT_EQ] = ACTIONS(2413),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2413),
    [anon_sym_PIPE_PIPE] = ACTIONS(2413),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2413),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2413),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2413),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [590] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2411),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [591] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_BSLASH] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2353),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_repeat] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_COMMA] = ACTIONS(2353),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2509),
    [sym_dots] = ACTIONS(2351),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2351),
    [sym_next] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_inf] = ACTIONS(2351),
    [sym_nan] = ACTIONS(2351),
    [anon_sym_NA] = ACTIONS(2351),
    [anon_sym_NA_character_] = ACTIONS(2351),
    [anon_sym_NA_complex_] = ACTIONS(2351),
    [anon_sym_NA_integer_] = ACTIONS(2351),
    [anon_sym_NA_real_] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [anon_sym_BQUOTE] = ACTIONS(2353),
    [sym_integer] = ACTIONS(2353),
    [sym_float] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2353),
  },
  [592] = {
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_BSLASH] = ACTIONS(2513),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2513),
    [anon_sym_RPAREN] = ACTIONS(2513),
    [anon_sym_else] = ACTIONS(2515),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_repeat] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_COMMA] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_LT_DASH] = ACTIONS(2513),
    [anon_sym_COLON_EQ] = ACTIONS(2513),
    [anon_sym_LT_LT_DASH] = ACTIONS(2513),
    [anon_sym_DASH_GT_GT] = ACTIONS(2513),
    [anon_sym_DASH_GT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_RBRACK] = ACTIONS(2513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2513),
    [anon_sym_DOLLAR] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2513),
    [sym_dots] = ACTIONS(2515),
    [anon_sym_PIPE_GT] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_TILDE] = ACTIONS(2513),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_CARET] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2513),
    [anon_sym_GT_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2513),
    [anon_sym_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2513),
    [anon_sym_AMP] = ACTIONS(2515),
    [anon_sym_COLON] = ACTIONS(2515),
    [sym_break] = ACTIONS(2515),
    [sym_next] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_inf] = ACTIONS(2515),
    [sym_nan] = ACTIONS(2515),
    [anon_sym_NA] = ACTIONS(2515),
    [anon_sym_NA_character_] = ACTIONS(2515),
    [anon_sym_NA_complex_] = ACTIONS(2515),
    [anon_sym_NA_integer_] = ACTIONS(2515),
    [anon_sym_NA_real_] = ACTIONS(2515),
    [aux_sym_identifier_token1] = ACTIONS(2515),
    [anon_sym_BQUOTE] = ACTIONS(2513),
    [sym_integer] = ACTIONS(2513),
    [sym_float] = ACTIONS(2515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2513),
    [anon_sym_SQUOTE] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [sym__raw_string_literal] = ACTIONS(2513),
  },
  [593] = {
    [anon_sym_function] = ACTIONS(2519),
    [anon_sym_BSLASH] = ACTIONS(2517),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [anon_sym_RPAREN] = ACTIONS(2517),
    [anon_sym_else] = ACTIONS(2519),
    [anon_sym_while] = ACTIONS(2519),
    [anon_sym_repeat] = ACTIONS(2519),
    [anon_sym_for] = ACTIONS(2519),
    [anon_sym_switch] = ACTIONS(2519),
    [anon_sym_COMMA] = ACTIONS(2517),
    [anon_sym_EQ] = ACTIONS(2519),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_LT_DASH] = ACTIONS(2517),
    [anon_sym_COLON_EQ] = ACTIONS(2517),
    [anon_sym_LT_LT_DASH] = ACTIONS(2517),
    [anon_sym_DASH_GT_GT] = ACTIONS(2517),
    [anon_sym_DASH_GT] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [anon_sym_RBRACK] = ACTIONS(2517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2517),
    [anon_sym_DOLLAR] = ACTIONS(2517),
    [anon_sym_AT] = ACTIONS(2517),
    [anon_sym_QMARK] = ACTIONS(2517),
    [sym_dots] = ACTIONS(2519),
    [anon_sym_PIPE_GT] = ACTIONS(2517),
    [anon_sym_DASH] = ACTIONS(2519),
    [anon_sym_PLUS] = ACTIONS(2517),
    [anon_sym_BANG] = ACTIONS(2519),
    [anon_sym_TILDE] = ACTIONS(2517),
    [anon_sym_STAR] = ACTIONS(2517),
    [anon_sym_SLASH] = ACTIONS(2517),
    [anon_sym_CARET] = ACTIONS(2517),
    [anon_sym_LT] = ACTIONS(2519),
    [anon_sym_GT] = ACTIONS(2519),
    [anon_sym_LT_EQ] = ACTIONS(2517),
    [anon_sym_GT_EQ] = ACTIONS(2517),
    [anon_sym_EQ_EQ] = ACTIONS(2517),
    [anon_sym_BANG_EQ] = ACTIONS(2517),
    [anon_sym_PIPE_PIPE] = ACTIONS(2517),
    [anon_sym_PIPE] = ACTIONS(2519),
    [anon_sym_AMP_AMP] = ACTIONS(2517),
    [anon_sym_AMP] = ACTIONS(2519),
    [anon_sym_COLON] = ACTIONS(2519),
    [sym_break] = ACTIONS(2519),
    [sym_next] = ACTIONS(2519),
    [sym_true] = ACTIONS(2519),
    [sym_false] = ACTIONS(2519),
    [sym_null] = ACTIONS(2519),
    [sym_inf] = ACTIONS(2519),
    [sym_nan] = ACTIONS(2519),
    [anon_sym_NA] = ACTIONS(2519),
    [anon_sym_NA_character_] = ACTIONS(2519),
    [anon_sym_NA_complex_] = ACTIONS(2519),
    [anon_sym_NA_integer_] = ACTIONS(2519),
    [anon_sym_NA_real_] = ACTIONS(2519),
    [aux_sym_identifier_token1] = ACTIONS(2519),
    [anon_sym_BQUOTE] = ACTIONS(2517),
    [sym_integer] = ACTIONS(2517),
    [sym_float] = ACTIONS(2519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2517),
    [anon_sym_SQUOTE] = ACTIONS(2517),
    [anon_sym_PERCENT] = ACTIONS(2517),
    [sym__raw_string_literal] = ACTIONS(2517),
  },
  [594] = {
    [anon_sym_LF] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1841),
    [anon_sym_COLON_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_DASH] = ACTIONS(1841),
    [anon_sym_DASH_GT_GT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [anon_sym_i] = ACTIONS(2707),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [595] = {
    [anon_sym_function] = ACTIONS(2523),
    [anon_sym_BSLASH] = ACTIONS(2521),
    [anon_sym_if] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2523),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_repeat] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2523),
    [anon_sym_switch] = ACTIONS(2523),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_LT_DASH] = ACTIONS(2521),
    [anon_sym_COLON_EQ] = ACTIONS(2521),
    [anon_sym_LT_LT_DASH] = ACTIONS(2521),
    [anon_sym_DASH_GT_GT] = ACTIONS(2521),
    [anon_sym_DASH_GT] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym_DOLLAR] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [sym_dots] = ACTIONS(2523),
    [anon_sym_PIPE_GT] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2523),
    [anon_sym_TILDE] = ACTIONS(2521),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_CARET] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_LT_EQ] = ACTIONS(2521),
    [anon_sym_GT_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2521),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_COLON] = ACTIONS(2523),
    [sym_break] = ACTIONS(2523),
    [sym_next] = ACTIONS(2523),
    [sym_true] = ACTIONS(2523),
    [sym_false] = ACTIONS(2523),
    [sym_null] = ACTIONS(2523),
    [sym_inf] = ACTIONS(2523),
    [sym_nan] = ACTIONS(2523),
    [anon_sym_NA] = ACTIONS(2523),
    [anon_sym_NA_character_] = ACTIONS(2523),
    [anon_sym_NA_complex_] = ACTIONS(2523),
    [anon_sym_NA_integer_] = ACTIONS(2523),
    [anon_sym_NA_real_] = ACTIONS(2523),
    [aux_sym_identifier_token1] = ACTIONS(2523),
    [anon_sym_BQUOTE] = ACTIONS(2521),
    [sym_integer] = ACTIONS(2521),
    [sym_float] = ACTIONS(2523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [anon_sym_SQUOTE] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [sym__raw_string_literal] = ACTIONS(2521),
  },
  [596] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2409),
    [anon_sym_BSLASH] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2409),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_repeat] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(2407),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2543),
    [sym_dots] = ACTIONS(2409),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2409),
    [sym_next] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_null] = ACTIONS(2409),
    [sym_inf] = ACTIONS(2409),
    [sym_nan] = ACTIONS(2409),
    [anon_sym_NA] = ACTIONS(2409),
    [anon_sym_NA_character_] = ACTIONS(2409),
    [anon_sym_NA_complex_] = ACTIONS(2409),
    [anon_sym_NA_integer_] = ACTIONS(2409),
    [anon_sym_NA_real_] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [anon_sym_BQUOTE] = ACTIONS(2407),
    [sym_integer] = ACTIONS(2407),
    [sym_float] = ACTIONS(2409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2407),
    [anon_sym_SQUOTE] = ACTIONS(2407),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2407),
  },
  [597] = {
    [anon_sym_function] = ACTIONS(2527),
    [anon_sym_BSLASH] = ACTIONS(2525),
    [anon_sym_if] = ACTIONS(2527),
    [anon_sym_LPAREN] = ACTIONS(2525),
    [anon_sym_RPAREN] = ACTIONS(2525),
    [anon_sym_else] = ACTIONS(2527),
    [anon_sym_while] = ACTIONS(2527),
    [anon_sym_repeat] = ACTIONS(2527),
    [anon_sym_for] = ACTIONS(2527),
    [anon_sym_switch] = ACTIONS(2527),
    [anon_sym_COMMA] = ACTIONS(2525),
    [anon_sym_EQ] = ACTIONS(2527),
    [anon_sym_LBRACE] = ACTIONS(2525),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_COLON_EQ] = ACTIONS(2525),
    [anon_sym_LT_LT_DASH] = ACTIONS(2525),
    [anon_sym_DASH_GT_GT] = ACTIONS(2525),
    [anon_sym_DASH_GT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_RBRACK] = ACTIONS(2525),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2525),
    [anon_sym_DOLLAR] = ACTIONS(2525),
    [anon_sym_AT] = ACTIONS(2525),
    [anon_sym_QMARK] = ACTIONS(2525),
    [sym_dots] = ACTIONS(2527),
    [anon_sym_PIPE_GT] = ACTIONS(2525),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2525),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_TILDE] = ACTIONS(2525),
    [anon_sym_STAR] = ACTIONS(2525),
    [anon_sym_SLASH] = ACTIONS(2525),
    [anon_sym_CARET] = ACTIONS(2525),
    [anon_sym_LT] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2525),
    [anon_sym_GT_EQ] = ACTIONS(2525),
    [anon_sym_EQ_EQ] = ACTIONS(2525),
    [anon_sym_BANG_EQ] = ACTIONS(2525),
    [anon_sym_PIPE_PIPE] = ACTIONS(2525),
    [anon_sym_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2525),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_COLON] = ACTIONS(2527),
    [sym_break] = ACTIONS(2527),
    [sym_next] = ACTIONS(2527),
    [sym_true] = ACTIONS(2527),
    [sym_false] = ACTIONS(2527),
    [sym_null] = ACTIONS(2527),
    [sym_inf] = ACTIONS(2527),
    [sym_nan] = ACTIONS(2527),
    [anon_sym_NA] = ACTIONS(2527),
    [anon_sym_NA_character_] = ACTIONS(2527),
    [anon_sym_NA_complex_] = ACTIONS(2527),
    [anon_sym_NA_integer_] = ACTIONS(2527),
    [anon_sym_NA_real_] = ACTIONS(2527),
    [aux_sym_identifier_token1] = ACTIONS(2527),
    [anon_sym_BQUOTE] = ACTIONS(2525),
    [sym_integer] = ACTIONS(2525),
    [sym_float] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2525),
    [anon_sym_SQUOTE] = ACTIONS(2525),
    [anon_sym_PERCENT] = ACTIONS(2525),
    [sym__raw_string_literal] = ACTIONS(2525),
  },
  [598] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2409),
    [anon_sym_BSLASH] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_repeat] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2705),
    [sym_dots] = ACTIONS(2409),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2409),
    [sym_next] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_null] = ACTIONS(2409),
    [sym_inf] = ACTIONS(2409),
    [sym_nan] = ACTIONS(2409),
    [anon_sym_NA] = ACTIONS(2409),
    [anon_sym_NA_character_] = ACTIONS(2409),
    [anon_sym_NA_complex_] = ACTIONS(2409),
    [anon_sym_NA_integer_] = ACTIONS(2409),
    [anon_sym_NA_real_] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [anon_sym_BQUOTE] = ACTIONS(2409),
    [sym_integer] = ACTIONS(2409),
    [sym_float] = ACTIONS(2409),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2407),
  },
  [599] = {
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_BSLASH] = ACTIONS(2561),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_LPAREN] = ACTIONS(2561),
    [anon_sym_RPAREN] = ACTIONS(2561),
    [anon_sym_else] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_repeat] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_COMMA] = ACTIONS(2561),
    [anon_sym_EQ] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2561),
    [anon_sym_LT_DASH] = ACTIONS(2561),
    [anon_sym_COLON_EQ] = ACTIONS(2561),
    [anon_sym_LT_LT_DASH] = ACTIONS(2561),
    [anon_sym_DASH_GT_GT] = ACTIONS(2561),
    [anon_sym_DASH_GT] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_RBRACK] = ACTIONS(2561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2561),
    [anon_sym_DOLLAR] = ACTIONS(2561),
    [anon_sym_AT] = ACTIONS(2561),
    [anon_sym_QMARK] = ACTIONS(2561),
    [sym_dots] = ACTIONS(2563),
    [anon_sym_PIPE_GT] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_BANG] = ACTIONS(2563),
    [anon_sym_TILDE] = ACTIONS(2561),
    [anon_sym_STAR] = ACTIONS(2561),
    [anon_sym_SLASH] = ACTIONS(2561),
    [anon_sym_CARET] = ACTIONS(2561),
    [anon_sym_LT] = ACTIONS(2563),
    [anon_sym_GT] = ACTIONS(2563),
    [anon_sym_LT_EQ] = ACTIONS(2561),
    [anon_sym_GT_EQ] = ACTIONS(2561),
    [anon_sym_EQ_EQ] = ACTIONS(2561),
    [anon_sym_BANG_EQ] = ACTIONS(2561),
    [anon_sym_PIPE_PIPE] = ACTIONS(2561),
    [anon_sym_PIPE] = ACTIONS(2563),
    [anon_sym_AMP_AMP] = ACTIONS(2561),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_COLON] = ACTIONS(2563),
    [sym_break] = ACTIONS(2563),
    [sym_next] = ACTIONS(2563),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [sym_null] = ACTIONS(2563),
    [sym_inf] = ACTIONS(2563),
    [sym_nan] = ACTIONS(2563),
    [anon_sym_NA] = ACTIONS(2563),
    [anon_sym_NA_character_] = ACTIONS(2563),
    [anon_sym_NA_complex_] = ACTIONS(2563),
    [anon_sym_NA_integer_] = ACTIONS(2563),
    [anon_sym_NA_real_] = ACTIONS(2563),
    [aux_sym_identifier_token1] = ACTIONS(2563),
    [anon_sym_BQUOTE] = ACTIONS(2561),
    [sym_integer] = ACTIONS(2561),
    [sym_float] = ACTIONS(2563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2561),
    [anon_sym_SQUOTE] = ACTIONS(2561),
    [anon_sym_PERCENT] = ACTIONS(2561),
    [sym__raw_string_literal] = ACTIONS(2561),
  },
  [600] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [601] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_function] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_repeat] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_RBRACE] = ACTIONS(2393),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2705),
    [sym_dots] = ACTIONS(2393),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2393),
    [sym_next] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_inf] = ACTIONS(2393),
    [sym_nan] = ACTIONS(2393),
    [anon_sym_NA] = ACTIONS(2393),
    [anon_sym_NA_character_] = ACTIONS(2393),
    [anon_sym_NA_complex_] = ACTIONS(2393),
    [anon_sym_NA_integer_] = ACTIONS(2393),
    [anon_sym_NA_real_] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [anon_sym_BQUOTE] = ACTIONS(2393),
    [sym_integer] = ACTIONS(2393),
    [sym_float] = ACTIONS(2393),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_SQUOTE] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2395),
  },
  [602] = {
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_BSLASH] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_RPAREN] = ACTIONS(2575),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_repeat] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_COMMA] = ACTIONS(2575),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_LT_DASH] = ACTIONS(2575),
    [anon_sym_COLON_EQ] = ACTIONS(2575),
    [anon_sym_LT_LT_DASH] = ACTIONS(2575),
    [anon_sym_DASH_GT_GT] = ACTIONS(2575),
    [anon_sym_DASH_GT] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_RBRACK] = ACTIONS(2575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2575),
    [anon_sym_DOLLAR] = ACTIONS(2575),
    [anon_sym_AT] = ACTIONS(2575),
    [anon_sym_QMARK] = ACTIONS(2575),
    [sym_dots] = ACTIONS(2577),
    [anon_sym_PIPE_GT] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2575),
    [anon_sym_SLASH] = ACTIONS(2575),
    [anon_sym_CARET] = ACTIONS(2575),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_GT] = ACTIONS(2577),
    [anon_sym_LT_EQ] = ACTIONS(2575),
    [anon_sym_GT_EQ] = ACTIONS(2575),
    [anon_sym_EQ_EQ] = ACTIONS(2575),
    [anon_sym_BANG_EQ] = ACTIONS(2575),
    [anon_sym_PIPE_PIPE] = ACTIONS(2575),
    [anon_sym_PIPE] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2577),
    [sym_break] = ACTIONS(2577),
    [sym_next] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_null] = ACTIONS(2577),
    [sym_inf] = ACTIONS(2577),
    [sym_nan] = ACTIONS(2577),
    [anon_sym_NA] = ACTIONS(2577),
    [anon_sym_NA_character_] = ACTIONS(2577),
    [anon_sym_NA_complex_] = ACTIONS(2577),
    [anon_sym_NA_integer_] = ACTIONS(2577),
    [anon_sym_NA_real_] = ACTIONS(2577),
    [aux_sym_identifier_token1] = ACTIONS(2577),
    [anon_sym_BQUOTE] = ACTIONS(2575),
    [sym_integer] = ACTIONS(2575),
    [sym_float] = ACTIONS(2577),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_PERCENT] = ACTIONS(2575),
    [sym__raw_string_literal] = ACTIONS(2575),
  },
  [603] = {
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_BSLASH] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2581),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_RPAREN] = ACTIONS(2579),
    [anon_sym_else] = ACTIONS(2581),
    [anon_sym_while] = ACTIONS(2581),
    [anon_sym_repeat] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2581),
    [anon_sym_switch] = ACTIONS(2581),
    [anon_sym_COMMA] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_COLON_EQ] = ACTIONS(2579),
    [anon_sym_LT_LT_DASH] = ACTIONS(2579),
    [anon_sym_DASH_GT_GT] = ACTIONS(2579),
    [anon_sym_DASH_GT] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(2581),
    [anon_sym_RBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2579),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_AT] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [sym_dots] = ACTIONS(2581),
    [anon_sym_PIPE_GT] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2579),
    [anon_sym_SLASH] = ACTIONS(2579),
    [anon_sym_CARET] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_GT] = ACTIONS(2581),
    [anon_sym_LT_EQ] = ACTIONS(2579),
    [anon_sym_GT_EQ] = ACTIONS(2579),
    [anon_sym_EQ_EQ] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_PIPE] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2581),
    [sym_break] = ACTIONS(2581),
    [sym_next] = ACTIONS(2581),
    [sym_true] = ACTIONS(2581),
    [sym_false] = ACTIONS(2581),
    [sym_null] = ACTIONS(2581),
    [sym_inf] = ACTIONS(2581),
    [sym_nan] = ACTIONS(2581),
    [anon_sym_NA] = ACTIONS(2581),
    [anon_sym_NA_character_] = ACTIONS(2581),
    [anon_sym_NA_complex_] = ACTIONS(2581),
    [anon_sym_NA_integer_] = ACTIONS(2581),
    [anon_sym_NA_real_] = ACTIONS(2581),
    [aux_sym_identifier_token1] = ACTIONS(2581),
    [anon_sym_BQUOTE] = ACTIONS(2579),
    [sym_integer] = ACTIONS(2579),
    [sym_float] = ACTIONS(2581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_SQUOTE] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [sym__raw_string_literal] = ACTIONS(2579),
  },
  [604] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2413),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(2413),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_LT_EQ] = ACTIONS(2413),
    [anon_sym_GT_EQ] = ACTIONS(2413),
    [anon_sym_EQ_EQ] = ACTIONS(2413),
    [anon_sym_BANG_EQ] = ACTIONS(2413),
    [anon_sym_PIPE_PIPE] = ACTIONS(2413),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2413),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2413),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2413),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [605] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(2355),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_BSLASH] = ACTIONS(2355),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_repeat] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_RBRACE] = ACTIONS(2355),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2705),
    [sym_dots] = ACTIONS(2355),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2355),
    [sym_next] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_inf] = ACTIONS(2355),
    [sym_nan] = ACTIONS(2355),
    [anon_sym_NA] = ACTIONS(2355),
    [anon_sym_NA_character_] = ACTIONS(2355),
    [anon_sym_NA_complex_] = ACTIONS(2355),
    [anon_sym_NA_integer_] = ACTIONS(2355),
    [anon_sym_NA_real_] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [anon_sym_BQUOTE] = ACTIONS(2355),
    [sym_integer] = ACTIONS(2355),
    [sym_float] = ACTIONS(2355),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2355),
    [anon_sym_SQUOTE] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2357),
  },
  [606] = {
    [anon_sym_LF] = ACTIONS(2589),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2589),
    [anon_sym_BSLASH] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_LPAREN] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_repeat] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_RBRACE] = ACTIONS(2589),
    [anon_sym_LT_DASH] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_LT_LT_DASH] = ACTIONS(2589),
    [anon_sym_DASH_GT_GT] = ACTIONS(2589),
    [anon_sym_DASH_GT] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2589),
    [anon_sym_AT] = ACTIONS(2589),
    [anon_sym_QMARK] = ACTIONS(2589),
    [sym_dots] = ACTIONS(2589),
    [anon_sym_PIPE_GT] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_SLASH] = ACTIONS(2589),
    [anon_sym_CARET] = ACTIONS(2589),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_LT_EQ] = ACTIONS(2589),
    [anon_sym_GT_EQ] = ACTIONS(2589),
    [anon_sym_EQ_EQ] = ACTIONS(2589),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_PIPE_PIPE] = ACTIONS(2589),
    [anon_sym_PIPE] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2589),
    [sym_break] = ACTIONS(2589),
    [sym_next] = ACTIONS(2589),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [sym_null] = ACTIONS(2589),
    [sym_inf] = ACTIONS(2589),
    [sym_nan] = ACTIONS(2589),
    [anon_sym_NA] = ACTIONS(2589),
    [anon_sym_NA_character_] = ACTIONS(2589),
    [anon_sym_NA_complex_] = ACTIONS(2589),
    [anon_sym_NA_integer_] = ACTIONS(2589),
    [anon_sym_NA_real_] = ACTIONS(2589),
    [aux_sym_identifier_token1] = ACTIONS(2589),
    [anon_sym_BQUOTE] = ACTIONS(2589),
    [sym_integer] = ACTIONS(2589),
    [sym_float] = ACTIONS(2589),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_PERCENT] = ACTIONS(2589),
    [sym__raw_string_literal] = ACTIONS(2591),
  },
  [607] = {
    [anon_sym_LF] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_function] = ACTIONS(2607),
    [anon_sym_BSLASH] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_repeat] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_EQ] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_COLON_EQ] = ACTIONS(2607),
    [anon_sym_LT_LT_DASH] = ACTIONS(2607),
    [anon_sym_DASH_GT_GT] = ACTIONS(2607),
    [anon_sym_DASH_GT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_QMARK] = ACTIONS(2607),
    [sym_dots] = ACTIONS(2607),
    [anon_sym_PIPE_GT] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_CARET] = ACTIONS(2607),
    [anon_sym_LT] = ACTIONS(2607),
    [anon_sym_GT] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2607),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_COLON] = ACTIONS(2607),
    [sym_break] = ACTIONS(2607),
    [sym_next] = ACTIONS(2607),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [sym_null] = ACTIONS(2607),
    [sym_inf] = ACTIONS(2607),
    [sym_nan] = ACTIONS(2607),
    [anon_sym_NA] = ACTIONS(2607),
    [anon_sym_NA_character_] = ACTIONS(2607),
    [anon_sym_NA_complex_] = ACTIONS(2607),
    [anon_sym_NA_integer_] = ACTIONS(2607),
    [anon_sym_NA_real_] = ACTIONS(2607),
    [aux_sym_identifier_token1] = ACTIONS(2607),
    [anon_sym_BQUOTE] = ACTIONS(2607),
    [sym_integer] = ACTIONS(2607),
    [sym_float] = ACTIONS(2607),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2607),
    [sym__raw_string_literal] = ACTIONS(2609),
  },
  [608] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2397),
    [anon_sym_function] = ACTIONS(2397),
    [anon_sym_BSLASH] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_repeat] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2397),
    [anon_sym_RBRACE] = ACTIONS(2397),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2705),
    [sym_dots] = ACTIONS(2397),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2397),
    [sym_next] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_null] = ACTIONS(2397),
    [sym_inf] = ACTIONS(2397),
    [sym_nan] = ACTIONS(2397),
    [anon_sym_NA] = ACTIONS(2397),
    [anon_sym_NA_character_] = ACTIONS(2397),
    [anon_sym_NA_complex_] = ACTIONS(2397),
    [anon_sym_NA_integer_] = ACTIONS(2397),
    [anon_sym_NA_real_] = ACTIONS(2397),
    [aux_sym_identifier_token1] = ACTIONS(2397),
    [anon_sym_BQUOTE] = ACTIONS(2397),
    [sym_integer] = ACTIONS(2397),
    [sym_float] = ACTIONS(2397),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2399),
  },
  [609] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_BSLASH] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_repeat] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2351),
    [anon_sym_RBRACE] = ACTIONS(2351),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2705),
    [sym_dots] = ACTIONS(2351),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2351),
    [sym_next] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_inf] = ACTIONS(2351),
    [sym_nan] = ACTIONS(2351),
    [anon_sym_NA] = ACTIONS(2351),
    [anon_sym_NA_character_] = ACTIONS(2351),
    [anon_sym_NA_complex_] = ACTIONS(2351),
    [anon_sym_NA_integer_] = ACTIONS(2351),
    [anon_sym_NA_real_] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [anon_sym_BQUOTE] = ACTIONS(2351),
    [sym_integer] = ACTIONS(2351),
    [sym_float] = ACTIONS(2351),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [anon_sym_SQUOTE] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2353),
  },
  [610] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [611] = {
    [anon_sym_LF] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_repeat] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_COLON_EQ] = ACTIONS(2621),
    [anon_sym_LT_LT_DASH] = ACTIONS(2621),
    [anon_sym_DASH_GT_GT] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2621),
    [anon_sym_DOLLAR] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_QMARK] = ACTIONS(2621),
    [sym_dots] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_COLON] = ACTIONS(2621),
    [sym_break] = ACTIONS(2621),
    [sym_next] = ACTIONS(2621),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [sym_null] = ACTIONS(2621),
    [sym_inf] = ACTIONS(2621),
    [sym_nan] = ACTIONS(2621),
    [anon_sym_NA] = ACTIONS(2621),
    [anon_sym_NA_character_] = ACTIONS(2621),
    [anon_sym_NA_complex_] = ACTIONS(2621),
    [anon_sym_NA_integer_] = ACTIONS(2621),
    [anon_sym_NA_real_] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_BQUOTE] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [sym__raw_string_literal] = ACTIONS(2623),
  },
  [612] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2413),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2413),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [613] = {
    [anon_sym_LF] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_repeat] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2625),
    [anon_sym_COLON_EQ] = ACTIONS(2625),
    [anon_sym_LT_LT_DASH] = ACTIONS(2625),
    [anon_sym_DASH_GT_GT] = ACTIONS(2625),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2625),
    [anon_sym_DOLLAR] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_QMARK] = ACTIONS(2625),
    [sym_dots] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_COLON] = ACTIONS(2625),
    [sym_break] = ACTIONS(2625),
    [sym_next] = ACTIONS(2625),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_inf] = ACTIONS(2625),
    [sym_nan] = ACTIONS(2625),
    [anon_sym_NA] = ACTIONS(2625),
    [anon_sym_NA_character_] = ACTIONS(2625),
    [anon_sym_NA_complex_] = ACTIONS(2625),
    [anon_sym_NA_integer_] = ACTIONS(2625),
    [anon_sym_NA_real_] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_BQUOTE] = ACTIONS(2625),
    [sym_integer] = ACTIONS(2625),
    [sym_float] = ACTIONS(2625),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_PERCENT] = ACTIONS(2625),
    [sym__raw_string_literal] = ACTIONS(2627),
  },
  [614] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2407),
    [anon_sym_LF] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2409),
    [anon_sym_BSLASH] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_repeat] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2701),
    [sym_dots] = ACTIONS(2409),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2409),
    [sym_next] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_null] = ACTIONS(2409),
    [sym_inf] = ACTIONS(2409),
    [sym_nan] = ACTIONS(2409),
    [anon_sym_NA] = ACTIONS(2409),
    [anon_sym_NA_character_] = ACTIONS(2409),
    [anon_sym_NA_complex_] = ACTIONS(2409),
    [anon_sym_NA_integer_] = ACTIONS(2409),
    [anon_sym_NA_real_] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [anon_sym_BQUOTE] = ACTIONS(2409),
    [sym_integer] = ACTIONS(2409),
    [sym_float] = ACTIONS(2409),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2407),
  },
  [615] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LT_DASH] = ACTIONS(2413),
    [anon_sym_COLON_EQ] = ACTIONS(2413),
    [anon_sym_LT_LT_DASH] = ACTIONS(2413),
    [anon_sym_DASH_GT_GT] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2413),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [616] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2391),
    [anon_sym_LF] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_BSLASH] = ACTIONS(2389),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_repeat] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2389),
    [sym_dots] = ACTIONS(2389),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2389),
    [sym_next] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_null] = ACTIONS(2389),
    [sym_inf] = ACTIONS(2389),
    [sym_nan] = ACTIONS(2389),
    [anon_sym_NA] = ACTIONS(2389),
    [anon_sym_NA_character_] = ACTIONS(2389),
    [anon_sym_NA_complex_] = ACTIONS(2389),
    [anon_sym_NA_integer_] = ACTIONS(2389),
    [anon_sym_NA_real_] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [anon_sym_BQUOTE] = ACTIONS(2389),
    [sym_integer] = ACTIONS(2389),
    [sym_float] = ACTIONS(2389),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2391),
  },
  [617] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2381),
    [anon_sym_BSLASH] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_repeat] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2383),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2383),
    [sym_dots] = ACTIONS(2381),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2381),
    [sym_next] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_null] = ACTIONS(2381),
    [sym_inf] = ACTIONS(2381),
    [sym_nan] = ACTIONS(2381),
    [anon_sym_NA] = ACTIONS(2381),
    [anon_sym_NA_character_] = ACTIONS(2381),
    [anon_sym_NA_complex_] = ACTIONS(2381),
    [anon_sym_NA_integer_] = ACTIONS(2381),
    [anon_sym_NA_real_] = ACTIONS(2381),
    [aux_sym_identifier_token1] = ACTIONS(2381),
    [anon_sym_BQUOTE] = ACTIONS(2383),
    [sym_integer] = ACTIONS(2383),
    [sym_float] = ACTIONS(2381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2383),
  },
  [618] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [619] = {
    [anon_sym_LF] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_repeat] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_COLON_EQ] = ACTIONS(2633),
    [anon_sym_LT_LT_DASH] = ACTIONS(2633),
    [anon_sym_DASH_GT_GT] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [sym_dots] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_CARET] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2633),
    [anon_sym_GT_EQ] = ACTIONS(2633),
    [anon_sym_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_COLON] = ACTIONS(2633),
    [sym_break] = ACTIONS(2633),
    [sym_next] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_inf] = ACTIONS(2633),
    [sym_nan] = ACTIONS(2633),
    [anon_sym_NA] = ACTIONS(2633),
    [anon_sym_NA_character_] = ACTIONS(2633),
    [anon_sym_NA_complex_] = ACTIONS(2633),
    [anon_sym_NA_integer_] = ACTIONS(2633),
    [anon_sym_NA_real_] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_BQUOTE] = ACTIONS(2633),
    [sym_integer] = ACTIONS(2633),
    [sym_float] = ACTIONS(2633),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [sym__raw_string_literal] = ACTIONS(2635),
  },
  [620] = {
    [anon_sym_LF] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_repeat] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_COLON_EQ] = ACTIONS(2637),
    [anon_sym_LT_LT_DASH] = ACTIONS(2637),
    [anon_sym_DASH_GT_GT] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2637),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [sym_dots] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2637),
    [anon_sym_GT_EQ] = ACTIONS(2637),
    [anon_sym_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_COLON] = ACTIONS(2637),
    [sym_break] = ACTIONS(2637),
    [sym_next] = ACTIONS(2637),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [sym_null] = ACTIONS(2637),
    [sym_inf] = ACTIONS(2637),
    [sym_nan] = ACTIONS(2637),
    [anon_sym_NA] = ACTIONS(2637),
    [anon_sym_NA_character_] = ACTIONS(2637),
    [anon_sym_NA_complex_] = ACTIONS(2637),
    [anon_sym_NA_integer_] = ACTIONS(2637),
    [anon_sym_NA_real_] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_BQUOTE] = ACTIONS(2637),
    [sym_integer] = ACTIONS(2637),
    [sym_float] = ACTIONS(2637),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [sym__raw_string_literal] = ACTIONS(2639),
  },
  [621] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2375),
    [anon_sym_LF] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2373),
    [anon_sym_BSLASH] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2373),
    [anon_sym_repeat] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2373),
    [anon_sym_switch] = ACTIONS(2373),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_LT_DASH] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_LT_LT_DASH] = ACTIONS(2373),
    [anon_sym_DASH_GT_GT] = ACTIONS(2373),
    [anon_sym_DASH_GT] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2373),
    [sym_dots] = ACTIONS(2373),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2373),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2373),
    [sym_next] = ACTIONS(2373),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_inf] = ACTIONS(2373),
    [sym_nan] = ACTIONS(2373),
    [anon_sym_NA] = ACTIONS(2373),
    [anon_sym_NA_character_] = ACTIONS(2373),
    [anon_sym_NA_complex_] = ACTIONS(2373),
    [anon_sym_NA_integer_] = ACTIONS(2373),
    [anon_sym_NA_real_] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [anon_sym_BQUOTE] = ACTIONS(2373),
    [sym_integer] = ACTIONS(2373),
    [sym_float] = ACTIONS(2373),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2375),
  },
  [622] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [anon_sym_i] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [623] = {
    [anon_sym_LF] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym_function] = ACTIONS(2669),
    [anon_sym_BSLASH] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_repeat] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_EQ] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_RBRACE] = ACTIONS(2669),
    [anon_sym_LT_DASH] = ACTIONS(2669),
    [anon_sym_COLON_EQ] = ACTIONS(2669),
    [anon_sym_LT_LT_DASH] = ACTIONS(2669),
    [anon_sym_DASH_GT_GT] = ACTIONS(2669),
    [anon_sym_DASH_GT] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym_DOLLAR] = ACTIONS(2669),
    [anon_sym_AT] = ACTIONS(2669),
    [anon_sym_QMARK] = ACTIONS(2669),
    [sym_dots] = ACTIONS(2669),
    [anon_sym_PIPE_GT] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_SLASH] = ACTIONS(2669),
    [anon_sym_CARET] = ACTIONS(2669),
    [anon_sym_LT] = ACTIONS(2669),
    [anon_sym_GT] = ACTIONS(2669),
    [anon_sym_LT_EQ] = ACTIONS(2669),
    [anon_sym_GT_EQ] = ACTIONS(2669),
    [anon_sym_EQ_EQ] = ACTIONS(2669),
    [anon_sym_BANG_EQ] = ACTIONS(2669),
    [anon_sym_PIPE_PIPE] = ACTIONS(2669),
    [anon_sym_PIPE] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_COLON] = ACTIONS(2669),
    [sym_break] = ACTIONS(2669),
    [sym_next] = ACTIONS(2669),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [sym_null] = ACTIONS(2669),
    [sym_inf] = ACTIONS(2669),
    [sym_nan] = ACTIONS(2669),
    [anon_sym_NA] = ACTIONS(2669),
    [anon_sym_NA_character_] = ACTIONS(2669),
    [anon_sym_NA_complex_] = ACTIONS(2669),
    [anon_sym_NA_integer_] = ACTIONS(2669),
    [anon_sym_NA_real_] = ACTIONS(2669),
    [aux_sym_identifier_token1] = ACTIONS(2669),
    [anon_sym_BQUOTE] = ACTIONS(2669),
    [sym_integer] = ACTIONS(2669),
    [sym_float] = ACTIONS(2669),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2669),
    [anon_sym_PERCENT] = ACTIONS(2669),
    [sym__raw_string_literal] = ACTIONS(2671),
  },
  [624] = {
    [anon_sym_LF] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_BSLASH] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_repeat] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_LT_DASH] = ACTIONS(2673),
    [anon_sym_COLON_EQ] = ACTIONS(2673),
    [anon_sym_LT_LT_DASH] = ACTIONS(2673),
    [anon_sym_DASH_GT_GT] = ACTIONS(2673),
    [anon_sym_DASH_GT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2673),
    [anon_sym_DOLLAR] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_QMARK] = ACTIONS(2673),
    [sym_dots] = ACTIONS(2673),
    [anon_sym_PIPE_GT] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_COLON] = ACTIONS(2673),
    [sym_break] = ACTIONS(2673),
    [sym_next] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_inf] = ACTIONS(2673),
    [sym_nan] = ACTIONS(2673),
    [anon_sym_NA] = ACTIONS(2673),
    [anon_sym_NA_character_] = ACTIONS(2673),
    [anon_sym_NA_complex_] = ACTIONS(2673),
    [anon_sym_NA_integer_] = ACTIONS(2673),
    [anon_sym_NA_real_] = ACTIONS(2673),
    [aux_sym_identifier_token1] = ACTIONS(2673),
    [anon_sym_BQUOTE] = ACTIONS(2673),
    [sym_integer] = ACTIONS(2673),
    [sym_float] = ACTIONS(2673),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2673),
    [anon_sym_SQUOTE] = ACTIONS(2673),
    [anon_sym_PERCENT] = ACTIONS(2673),
    [sym__raw_string_literal] = ACTIONS(2675),
  },
  [625] = {
    [anon_sym_LF] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_function] = ACTIONS(2631),
    [anon_sym_BSLASH] = ACTIONS(2631),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_repeat] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_EQ] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_LT_DASH] = ACTIONS(2631),
    [anon_sym_COLON_EQ] = ACTIONS(2631),
    [anon_sym_LT_LT_DASH] = ACTIONS(2631),
    [anon_sym_DASH_GT_GT] = ACTIONS(2631),
    [anon_sym_DASH_GT] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2631),
    [anon_sym_DOLLAR] = ACTIONS(2631),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_QMARK] = ACTIONS(2631),
    [sym_dots] = ACTIONS(2631),
    [anon_sym_PIPE_GT] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_SLASH] = ACTIONS(2631),
    [anon_sym_CARET] = ACTIONS(2631),
    [anon_sym_LT] = ACTIONS(2631),
    [anon_sym_GT] = ACTIONS(2631),
    [anon_sym_LT_EQ] = ACTIONS(2631),
    [anon_sym_GT_EQ] = ACTIONS(2631),
    [anon_sym_EQ_EQ] = ACTIONS(2631),
    [anon_sym_BANG_EQ] = ACTIONS(2631),
    [anon_sym_PIPE_PIPE] = ACTIONS(2631),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_AMP_AMP] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_COLON] = ACTIONS(2631),
    [sym_break] = ACTIONS(2631),
    [sym_next] = ACTIONS(2631),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [sym_null] = ACTIONS(2631),
    [sym_inf] = ACTIONS(2631),
    [sym_nan] = ACTIONS(2631),
    [anon_sym_NA] = ACTIONS(2631),
    [anon_sym_NA_character_] = ACTIONS(2631),
    [anon_sym_NA_complex_] = ACTIONS(2631),
    [anon_sym_NA_integer_] = ACTIONS(2631),
    [anon_sym_NA_real_] = ACTIONS(2631),
    [aux_sym_identifier_token1] = ACTIONS(2631),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_integer] = ACTIONS(2631),
    [sym_float] = ACTIONS(2631),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_PERCENT] = ACTIONS(2631),
    [sym__raw_string_literal] = ACTIONS(2629),
  },
  [626] = {
    [anon_sym_LF] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_BSLASH] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_LPAREN] = ACTIONS(2681),
    [anon_sym_else] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_repeat] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_LT_DASH] = ACTIONS(2681),
    [anon_sym_COLON_EQ] = ACTIONS(2681),
    [anon_sym_LT_LT_DASH] = ACTIONS(2681),
    [anon_sym_DASH_GT_GT] = ACTIONS(2681),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2681),
    [anon_sym_DOLLAR] = ACTIONS(2681),
    [anon_sym_AT] = ACTIONS(2681),
    [anon_sym_QMARK] = ACTIONS(2681),
    [sym_dots] = ACTIONS(2681),
    [anon_sym_PIPE_GT] = ACTIONS(2681),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2681),
    [anon_sym_SLASH] = ACTIONS(2681),
    [anon_sym_CARET] = ACTIONS(2681),
    [anon_sym_LT] = ACTIONS(2681),
    [anon_sym_GT] = ACTIONS(2681),
    [anon_sym_LT_EQ] = ACTIONS(2681),
    [anon_sym_GT_EQ] = ACTIONS(2681),
    [anon_sym_EQ_EQ] = ACTIONS(2681),
    [anon_sym_BANG_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_PIPE] = ACTIONS(2681),
    [anon_sym_PIPE] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2681),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym_COLON] = ACTIONS(2681),
    [sym_break] = ACTIONS(2681),
    [sym_next] = ACTIONS(2681),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [sym_null] = ACTIONS(2681),
    [sym_inf] = ACTIONS(2681),
    [sym_nan] = ACTIONS(2681),
    [anon_sym_NA] = ACTIONS(2681),
    [anon_sym_NA_character_] = ACTIONS(2681),
    [anon_sym_NA_complex_] = ACTIONS(2681),
    [anon_sym_NA_integer_] = ACTIONS(2681),
    [anon_sym_NA_real_] = ACTIONS(2681),
    [aux_sym_identifier_token1] = ACTIONS(2681),
    [anon_sym_BQUOTE] = ACTIONS(2681),
    [sym_integer] = ACTIONS(2681),
    [sym_float] = ACTIONS(2681),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2681),
    [anon_sym_SQUOTE] = ACTIONS(2681),
    [anon_sym_PERCENT] = ACTIONS(2681),
    [sym__raw_string_literal] = ACTIONS(2683),
  },
  [627] = {
    [anon_sym_LF] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2685),
    [anon_sym_BSLASH] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2685),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_repeat] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2685),
    [anon_sym_switch] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_LT_DASH] = ACTIONS(2685),
    [anon_sym_COLON_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_DASH] = ACTIONS(2685),
    [anon_sym_DASH_GT_GT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2685),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(2685),
    [sym_dots] = ACTIONS(2685),
    [anon_sym_PIPE_GT] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_CARET] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2685),
    [anon_sym_PIPE] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2685),
    [anon_sym_COLON] = ACTIONS(2685),
    [sym_break] = ACTIONS(2685),
    [sym_next] = ACTIONS(2685),
    [sym_true] = ACTIONS(2685),
    [sym_false] = ACTIONS(2685),
    [sym_null] = ACTIONS(2685),
    [sym_inf] = ACTIONS(2685),
    [sym_nan] = ACTIONS(2685),
    [anon_sym_NA] = ACTIONS(2685),
    [anon_sym_NA_character_] = ACTIONS(2685),
    [anon_sym_NA_complex_] = ACTIONS(2685),
    [anon_sym_NA_integer_] = ACTIONS(2685),
    [anon_sym_NA_real_] = ACTIONS(2685),
    [aux_sym_identifier_token1] = ACTIONS(2685),
    [anon_sym_BQUOTE] = ACTIONS(2685),
    [sym_integer] = ACTIONS(2685),
    [sym_float] = ACTIONS(2685),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [sym__raw_string_literal] = ACTIONS(2687),
  },
  [628] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2353),
    [anon_sym_LF] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_BSLASH] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_repeat] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2351),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2701),
    [sym_dots] = ACTIONS(2351),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2351),
    [sym_next] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_inf] = ACTIONS(2351),
    [sym_nan] = ACTIONS(2351),
    [anon_sym_NA] = ACTIONS(2351),
    [anon_sym_NA_character_] = ACTIONS(2351),
    [anon_sym_NA_complex_] = ACTIONS(2351),
    [anon_sym_NA_integer_] = ACTIONS(2351),
    [anon_sym_NA_real_] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [anon_sym_BQUOTE] = ACTIONS(2351),
    [sym_integer] = ACTIONS(2351),
    [sym_float] = ACTIONS(2351),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [anon_sym_SQUOTE] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2353),
  },
  [629] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2357),
    [anon_sym_LF] = ACTIONS(2355),
    [anon_sym_SEMI] = ACTIONS(2355),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_BSLASH] = ACTIONS(2355),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_repeat] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2701),
    [sym_dots] = ACTIONS(2355),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2355),
    [sym_next] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_inf] = ACTIONS(2355),
    [sym_nan] = ACTIONS(2355),
    [anon_sym_NA] = ACTIONS(2355),
    [anon_sym_NA_character_] = ACTIONS(2355),
    [anon_sym_NA_complex_] = ACTIONS(2355),
    [anon_sym_NA_integer_] = ACTIONS(2355),
    [anon_sym_NA_real_] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [anon_sym_BQUOTE] = ACTIONS(2355),
    [sym_integer] = ACTIONS(2355),
    [sym_float] = ACTIONS(2355),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2355),
    [anon_sym_SQUOTE] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2357),
  },
  [630] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2387),
    [anon_sym_LF] = ACTIONS(2385),
    [anon_sym_SEMI] = ACTIONS(2385),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_BSLASH] = ACTIONS(2385),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_repeat] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2385),
    [sym_dots] = ACTIONS(2385),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2385),
    [sym_next] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_null] = ACTIONS(2385),
    [sym_inf] = ACTIONS(2385),
    [sym_nan] = ACTIONS(2385),
    [anon_sym_NA] = ACTIONS(2385),
    [anon_sym_NA_character_] = ACTIONS(2385),
    [anon_sym_NA_complex_] = ACTIONS(2385),
    [anon_sym_NA_integer_] = ACTIONS(2385),
    [anon_sym_NA_real_] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [anon_sym_BQUOTE] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2385),
    [sym_float] = ACTIONS(2385),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2387),
  },
  [631] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2181),
    [anon_sym_LF] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_function] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_repeat] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_switch] = ACTIONS(2183),
    [anon_sym_EQ] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2183),
    [sym_dots] = ACTIONS(2183),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2183),
    [sym_next] = ACTIONS(2183),
    [sym_true] = ACTIONS(2183),
    [sym_false] = ACTIONS(2183),
    [sym_null] = ACTIONS(2183),
    [sym_inf] = ACTIONS(2183),
    [sym_nan] = ACTIONS(2183),
    [anon_sym_NA] = ACTIONS(2183),
    [anon_sym_NA_character_] = ACTIONS(2183),
    [anon_sym_NA_complex_] = ACTIONS(2183),
    [anon_sym_NA_integer_] = ACTIONS(2183),
    [anon_sym_NA_real_] = ACTIONS(2183),
    [aux_sym_identifier_token1] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [sym_integer] = ACTIONS(2183),
    [sym_float] = ACTIONS(2183),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2181),
  },
  [632] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [633] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [634] = {
    [anon_sym_LF] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2679),
    [anon_sym_BSLASH] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_repeat] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_LT_DASH] = ACTIONS(2679),
    [anon_sym_COLON_EQ] = ACTIONS(2679),
    [anon_sym_LT_LT_DASH] = ACTIONS(2679),
    [anon_sym_DASH_GT_GT] = ACTIONS(2679),
    [anon_sym_DASH_GT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2679),
    [anon_sym_DOLLAR] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_QMARK] = ACTIONS(2679),
    [sym_dots] = ACTIONS(2679),
    [anon_sym_PIPE_GT] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2679),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2679),
    [anon_sym_CARET] = ACTIONS(2679),
    [anon_sym_LT] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2679),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym_COLON] = ACTIONS(2679),
    [sym_break] = ACTIONS(2679),
    [sym_next] = ACTIONS(2679),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [sym_null] = ACTIONS(2679),
    [sym_inf] = ACTIONS(2679),
    [sym_nan] = ACTIONS(2679),
    [anon_sym_NA] = ACTIONS(2679),
    [anon_sym_NA_character_] = ACTIONS(2679),
    [anon_sym_NA_complex_] = ACTIONS(2679),
    [anon_sym_NA_integer_] = ACTIONS(2679),
    [anon_sym_NA_real_] = ACTIONS(2679),
    [aux_sym_identifier_token1] = ACTIONS(2679),
    [anon_sym_BQUOTE] = ACTIONS(2679),
    [sym_integer] = ACTIONS(2679),
    [sym_float] = ACTIONS(2679),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_PERCENT] = ACTIONS(2679),
    [sym__raw_string_literal] = ACTIONS(2677),
  },
  [635] = {
    [anon_sym_LF] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_BSLASH] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_repeat] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_COLON_EQ] = ACTIONS(2667),
    [anon_sym_LT_LT_DASH] = ACTIONS(2667),
    [anon_sym_DASH_GT_GT] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2667),
    [anon_sym_DOLLAR] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_QMARK] = ACTIONS(2667),
    [sym_dots] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_COLON] = ACTIONS(2667),
    [sym_break] = ACTIONS(2667),
    [sym_next] = ACTIONS(2667),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [sym_null] = ACTIONS(2667),
    [sym_inf] = ACTIONS(2667),
    [sym_nan] = ACTIONS(2667),
    [anon_sym_NA] = ACTIONS(2667),
    [anon_sym_NA_character_] = ACTIONS(2667),
    [anon_sym_NA_complex_] = ACTIONS(2667),
    [anon_sym_NA_integer_] = ACTIONS(2667),
    [anon_sym_NA_real_] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_BQUOTE] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [sym__raw_string_literal] = ACTIONS(2665),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [anon_sym_LF] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_BSLASH] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_repeat] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_COLON_EQ] = ACTIONS(2637),
    [anon_sym_LT_LT_DASH] = ACTIONS(2637),
    [anon_sym_DASH_GT_GT] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2637),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [sym_dots] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2637),
    [anon_sym_GT_EQ] = ACTIONS(2637),
    [anon_sym_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_COLON] = ACTIONS(2637),
    [sym_break] = ACTIONS(2637),
    [sym_next] = ACTIONS(2637),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [sym_null] = ACTIONS(2637),
    [sym_inf] = ACTIONS(2637),
    [sym_nan] = ACTIONS(2637),
    [anon_sym_NA] = ACTIONS(2637),
    [anon_sym_NA_character_] = ACTIONS(2637),
    [anon_sym_NA_complex_] = ACTIONS(2637),
    [anon_sym_NA_integer_] = ACTIONS(2637),
    [anon_sym_NA_real_] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_BQUOTE] = ACTIONS(2637),
    [sym_integer] = ACTIONS(2637),
    [sym_float] = ACTIONS(2637),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [sym__raw_string_literal] = ACTIONS(2639),
  },
  [637] = {
    [anon_sym_LF] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_BSLASH] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2659),
    [anon_sym_else] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_repeat] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_LT_DASH] = ACTIONS(2659),
    [anon_sym_COLON_EQ] = ACTIONS(2659),
    [anon_sym_LT_LT_DASH] = ACTIONS(2659),
    [anon_sym_DASH_GT_GT] = ACTIONS(2659),
    [anon_sym_DASH_GT] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2659),
    [anon_sym_DOLLAR] = ACTIONS(2659),
    [anon_sym_AT] = ACTIONS(2659),
    [anon_sym_QMARK] = ACTIONS(2659),
    [sym_dots] = ACTIONS(2659),
    [anon_sym_PIPE_GT] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_PLUS] = ACTIONS(2659),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2659),
    [anon_sym_SLASH] = ACTIONS(2659),
    [anon_sym_CARET] = ACTIONS(2659),
    [anon_sym_LT] = ACTIONS(2659),
    [anon_sym_GT] = ACTIONS(2659),
    [anon_sym_LT_EQ] = ACTIONS(2659),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2659),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_PIPE_PIPE] = ACTIONS(2659),
    [anon_sym_PIPE] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2659),
    [anon_sym_AMP] = ACTIONS(2659),
    [anon_sym_COLON] = ACTIONS(2659),
    [sym_break] = ACTIONS(2659),
    [sym_next] = ACTIONS(2659),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [sym_null] = ACTIONS(2659),
    [sym_inf] = ACTIONS(2659),
    [sym_nan] = ACTIONS(2659),
    [anon_sym_NA] = ACTIONS(2659),
    [anon_sym_NA_character_] = ACTIONS(2659),
    [anon_sym_NA_complex_] = ACTIONS(2659),
    [anon_sym_NA_integer_] = ACTIONS(2659),
    [anon_sym_NA_real_] = ACTIONS(2659),
    [aux_sym_identifier_token1] = ACTIONS(2659),
    [anon_sym_BQUOTE] = ACTIONS(2659),
    [sym_integer] = ACTIONS(2659),
    [sym_float] = ACTIONS(2659),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_PERCENT] = ACTIONS(2659),
    [sym__raw_string_literal] = ACTIONS(2657),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [anon_sym_LF] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_BSLASH] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_repeat] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_COLON_EQ] = ACTIONS(2633),
    [anon_sym_LT_LT_DASH] = ACTIONS(2633),
    [anon_sym_DASH_GT_GT] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [sym_dots] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_CARET] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2633),
    [anon_sym_GT_EQ] = ACTIONS(2633),
    [anon_sym_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_COLON] = ACTIONS(2633),
    [sym_break] = ACTIONS(2633),
    [sym_next] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_inf] = ACTIONS(2633),
    [sym_nan] = ACTIONS(2633),
    [anon_sym_NA] = ACTIONS(2633),
    [anon_sym_NA_character_] = ACTIONS(2633),
    [anon_sym_NA_complex_] = ACTIONS(2633),
    [anon_sym_NA_integer_] = ACTIONS(2633),
    [anon_sym_NA_real_] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_BQUOTE] = ACTIONS(2633),
    [sym_integer] = ACTIONS(2633),
    [sym_float] = ACTIONS(2633),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [sym__raw_string_literal] = ACTIONS(2635),
  },
  [639] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2383),
    [anon_sym_LF] = ACTIONS(2381),
    [anon_sym_SEMI] = ACTIONS(2381),
    [anon_sym_function] = ACTIONS(2381),
    [anon_sym_BSLASH] = ACTIONS(2381),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_repeat] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2381),
    [sym_dots] = ACTIONS(2381),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2381),
    [sym_next] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_null] = ACTIONS(2381),
    [sym_inf] = ACTIONS(2381),
    [sym_nan] = ACTIONS(2381),
    [anon_sym_NA] = ACTIONS(2381),
    [anon_sym_NA_character_] = ACTIONS(2381),
    [anon_sym_NA_complex_] = ACTIONS(2381),
    [anon_sym_NA_integer_] = ACTIONS(2381),
    [anon_sym_NA_real_] = ACTIONS(2381),
    [aux_sym_identifier_token1] = ACTIONS(2381),
    [anon_sym_BQUOTE] = ACTIONS(2381),
    [sym_integer] = ACTIONS(2381),
    [sym_float] = ACTIONS(2381),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2381),
    [anon_sym_SQUOTE] = ACTIONS(2381),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2383),
  },
  [640] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(2275),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2277),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [641] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2411),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2411),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2411),
    [anon_sym_SLASH] = ACTIONS(2411),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_LT_EQ] = ACTIONS(2411),
    [anon_sym_GT_EQ] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2411),
    [anon_sym_BANG_EQ] = ACTIONS(2411),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2413),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2411),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [642] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_BSLASH] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_repeat] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_COMMA] = ACTIONS(2353),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2353),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2543),
    [sym_dots] = ACTIONS(2351),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2351),
    [sym_next] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_inf] = ACTIONS(2351),
    [sym_nan] = ACTIONS(2351),
    [anon_sym_NA] = ACTIONS(2351),
    [anon_sym_NA_character_] = ACTIONS(2351),
    [anon_sym_NA_complex_] = ACTIONS(2351),
    [anon_sym_NA_integer_] = ACTIONS(2351),
    [anon_sym_NA_real_] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [anon_sym_BQUOTE] = ACTIONS(2353),
    [sym_integer] = ACTIONS(2353),
    [sym_float] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2353),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [anon_sym_LF] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2625),
    [anon_sym_BSLASH] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_repeat] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2625),
    [anon_sym_COLON_EQ] = ACTIONS(2625),
    [anon_sym_LT_LT_DASH] = ACTIONS(2625),
    [anon_sym_DASH_GT_GT] = ACTIONS(2625),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2625),
    [anon_sym_DOLLAR] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_QMARK] = ACTIONS(2625),
    [sym_dots] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_COLON] = ACTIONS(2625),
    [sym_break] = ACTIONS(2625),
    [sym_next] = ACTIONS(2625),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_inf] = ACTIONS(2625),
    [sym_nan] = ACTIONS(2625),
    [anon_sym_NA] = ACTIONS(2625),
    [anon_sym_NA_character_] = ACTIONS(2625),
    [anon_sym_NA_complex_] = ACTIONS(2625),
    [anon_sym_NA_integer_] = ACTIONS(2625),
    [anon_sym_NA_real_] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_BQUOTE] = ACTIONS(2625),
    [sym_integer] = ACTIONS(2625),
    [sym_float] = ACTIONS(2625),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_PERCENT] = ACTIONS(2625),
    [sym__raw_string_literal] = ACTIONS(2627),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [anon_sym_LF] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_BSLASH] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_repeat] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_COLON_EQ] = ACTIONS(2621),
    [anon_sym_LT_LT_DASH] = ACTIONS(2621),
    [anon_sym_DASH_GT_GT] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2621),
    [anon_sym_DOLLAR] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_QMARK] = ACTIONS(2621),
    [sym_dots] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_COLON] = ACTIONS(2621),
    [sym_break] = ACTIONS(2621),
    [sym_next] = ACTIONS(2621),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [sym_null] = ACTIONS(2621),
    [sym_inf] = ACTIONS(2621),
    [sym_nan] = ACTIONS(2621),
    [anon_sym_NA] = ACTIONS(2621),
    [anon_sym_NA_character_] = ACTIONS(2621),
    [anon_sym_NA_complex_] = ACTIONS(2621),
    [anon_sym_NA_integer_] = ACTIONS(2621),
    [anon_sym_NA_real_] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_BQUOTE] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [sym__raw_string_literal] = ACTIONS(2623),
  },
  [645] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_BSLASH] = ACTIONS(2357),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_repeat] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_COMMA] = ACTIONS(2357),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2357),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2543),
    [sym_dots] = ACTIONS(2355),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2355),
    [sym_next] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_inf] = ACTIONS(2355),
    [sym_nan] = ACTIONS(2355),
    [anon_sym_NA] = ACTIONS(2355),
    [anon_sym_NA_character_] = ACTIONS(2355),
    [anon_sym_NA_complex_] = ACTIONS(2355),
    [anon_sym_NA_integer_] = ACTIONS(2355),
    [anon_sym_NA_real_] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [anon_sym_BQUOTE] = ACTIONS(2357),
    [sym_integer] = ACTIONS(2357),
    [sym_float] = ACTIONS(2355),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2357),
    [anon_sym_SQUOTE] = ACTIONS(2357),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2357),
  },
  [646] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_BSLASH] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2359),
    [anon_sym_while] = ACTIONS(2359),
    [anon_sym_repeat] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2361),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2543),
    [sym_dots] = ACTIONS(2359),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2359),
    [sym_next] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_inf] = ACTIONS(2359),
    [sym_nan] = ACTIONS(2359),
    [anon_sym_NA] = ACTIONS(2359),
    [anon_sym_NA_character_] = ACTIONS(2359),
    [anon_sym_NA_complex_] = ACTIONS(2359),
    [anon_sym_NA_integer_] = ACTIONS(2359),
    [anon_sym_NA_real_] = ACTIONS(2359),
    [aux_sym_identifier_token1] = ACTIONS(2359),
    [anon_sym_BQUOTE] = ACTIONS(2361),
    [sym_integer] = ACTIONS(2361),
    [sym_float] = ACTIONS(2359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2361),
  },
  [647] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [648] = {
    [sym_special] = STATE(213),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_BSLASH] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2715),
    [anon_sym_while] = ACTIONS(2713),
    [anon_sym_repeat] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2713),
    [anon_sym_switch] = ACTIONS(2713),
    [anon_sym_COMMA] = ACTIONS(2715),
    [anon_sym_EQ] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_LT_DASH] = ACTIONS(2499),
    [anon_sym_COLON_EQ] = ACTIONS(2501),
    [anon_sym_LT_LT_DASH] = ACTIONS(2503),
    [anon_sym_DASH_GT_GT] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2429),
    [anon_sym_RBRACK] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2431),
    [anon_sym_DOLLAR] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2509),
    [sym_dots] = ACTIONS(2713),
    [anon_sym_PIPE_GT] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_CARET] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_GT] = ACTIONS(2447),
    [anon_sym_LT_EQ] = ACTIONS(2449),
    [anon_sym_GT_EQ] = ACTIONS(2449),
    [anon_sym_EQ_EQ] = ACTIONS(2449),
    [anon_sym_BANG_EQ] = ACTIONS(2449),
    [anon_sym_PIPE_PIPE] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(2459),
    [anon_sym_COLON] = ACTIONS(2451),
    [sym_break] = ACTIONS(2713),
    [sym_next] = ACTIONS(2713),
    [sym_true] = ACTIONS(2713),
    [sym_false] = ACTIONS(2713),
    [sym_null] = ACTIONS(2713),
    [sym_inf] = ACTIONS(2713),
    [sym_nan] = ACTIONS(2713),
    [anon_sym_NA] = ACTIONS(2713),
    [anon_sym_NA_character_] = ACTIONS(2713),
    [anon_sym_NA_complex_] = ACTIONS(2713),
    [anon_sym_NA_integer_] = ACTIONS(2713),
    [anon_sym_NA_real_] = ACTIONS(2713),
    [aux_sym_identifier_token1] = ACTIONS(2713),
    [anon_sym_BQUOTE] = ACTIONS(2715),
    [sym_integer] = ACTIONS(2715),
    [sym_float] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2715),
    [anon_sym_SQUOTE] = ACTIONS(2715),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2715),
  },
  [649] = {
    [anon_sym_LF] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_function] = ACTIONS(2515),
    [anon_sym_BSLASH] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2515),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_repeat] = ACTIONS(2515),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2515),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_LT_DASH] = ACTIONS(2515),
    [anon_sym_COLON_EQ] = ACTIONS(2515),
    [anon_sym_LT_LT_DASH] = ACTIONS(2515),
    [anon_sym_DASH_GT_GT] = ACTIONS(2515),
    [anon_sym_DASH_GT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2515),
    [anon_sym_DOLLAR] = ACTIONS(2515),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_QMARK] = ACTIONS(2515),
    [sym_dots] = ACTIONS(2515),
    [anon_sym_PIPE_GT] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2515),
    [anon_sym_CARET] = ACTIONS(2515),
    [anon_sym_LT] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2515),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_AMP] = ACTIONS(2515),
    [anon_sym_COLON] = ACTIONS(2515),
    [sym_break] = ACTIONS(2515),
    [sym_next] = ACTIONS(2515),
    [sym_true] = ACTIONS(2515),
    [sym_false] = ACTIONS(2515),
    [sym_null] = ACTIONS(2515),
    [sym_inf] = ACTIONS(2515),
    [sym_nan] = ACTIONS(2515),
    [anon_sym_NA] = ACTIONS(2515),
    [anon_sym_NA_character_] = ACTIONS(2515),
    [anon_sym_NA_complex_] = ACTIONS(2515),
    [anon_sym_NA_integer_] = ACTIONS(2515),
    [anon_sym_NA_real_] = ACTIONS(2515),
    [aux_sym_identifier_token1] = ACTIONS(2515),
    [anon_sym_BQUOTE] = ACTIONS(2515),
    [sym_integer] = ACTIONS(2515),
    [sym_float] = ACTIONS(2515),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [anon_sym_PERCENT] = ACTIONS(2515),
    [sym__raw_string_literal] = ACTIONS(2513),
  },
  [650] = {
    [anon_sym_LF] = ACTIONS(2519),
    [anon_sym_SEMI] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2519),
    [anon_sym_BSLASH] = ACTIONS(2519),
    [anon_sym_if] = ACTIONS(2519),
    [anon_sym_LPAREN] = ACTIONS(2519),
    [anon_sym_else] = ACTIONS(2519),
    [anon_sym_while] = ACTIONS(2519),
    [anon_sym_repeat] = ACTIONS(2519),
    [anon_sym_for] = ACTIONS(2519),
    [anon_sym_switch] = ACTIONS(2519),
    [anon_sym_EQ] = ACTIONS(2519),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [anon_sym_RBRACE] = ACTIONS(2519),
    [anon_sym_LT_DASH] = ACTIONS(2519),
    [anon_sym_COLON_EQ] = ACTIONS(2519),
    [anon_sym_LT_LT_DASH] = ACTIONS(2519),
    [anon_sym_DASH_GT_GT] = ACTIONS(2519),
    [anon_sym_DASH_GT] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2519),
    [anon_sym_DOLLAR] = ACTIONS(2519),
    [anon_sym_AT] = ACTIONS(2519),
    [anon_sym_QMARK] = ACTIONS(2519),
    [sym_dots] = ACTIONS(2519),
    [anon_sym_PIPE_GT] = ACTIONS(2519),
    [anon_sym_DASH] = ACTIONS(2519),
    [anon_sym_PLUS] = ACTIONS(2519),
    [anon_sym_BANG] = ACTIONS(2519),
    [anon_sym_TILDE] = ACTIONS(2519),
    [anon_sym_STAR] = ACTIONS(2519),
    [anon_sym_SLASH] = ACTIONS(2519),
    [anon_sym_CARET] = ACTIONS(2519),
    [anon_sym_LT] = ACTIONS(2519),
    [anon_sym_GT] = ACTIONS(2519),
    [anon_sym_LT_EQ] = ACTIONS(2519),
    [anon_sym_GT_EQ] = ACTIONS(2519),
    [anon_sym_EQ_EQ] = ACTIONS(2519),
    [anon_sym_BANG_EQ] = ACTIONS(2519),
    [anon_sym_PIPE_PIPE] = ACTIONS(2519),
    [anon_sym_PIPE] = ACTIONS(2519),
    [anon_sym_AMP_AMP] = ACTIONS(2519),
    [anon_sym_AMP] = ACTIONS(2519),
    [anon_sym_COLON] = ACTIONS(2519),
    [sym_break] = ACTIONS(2519),
    [sym_next] = ACTIONS(2519),
    [sym_true] = ACTIONS(2519),
    [sym_false] = ACTIONS(2519),
    [sym_null] = ACTIONS(2519),
    [sym_inf] = ACTIONS(2519),
    [sym_nan] = ACTIONS(2519),
    [anon_sym_NA] = ACTIONS(2519),
    [anon_sym_NA_character_] = ACTIONS(2519),
    [anon_sym_NA_complex_] = ACTIONS(2519),
    [anon_sym_NA_integer_] = ACTIONS(2519),
    [anon_sym_NA_real_] = ACTIONS(2519),
    [aux_sym_identifier_token1] = ACTIONS(2519),
    [anon_sym_BQUOTE] = ACTIONS(2519),
    [sym_integer] = ACTIONS(2519),
    [sym_float] = ACTIONS(2519),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2519),
    [anon_sym_SQUOTE] = ACTIONS(2519),
    [anon_sym_PERCENT] = ACTIONS(2519),
    [sym__raw_string_literal] = ACTIONS(2517),
  },
  [651] = {
    [anon_sym_LF] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_function] = ACTIONS(2523),
    [anon_sym_BSLASH] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2523),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_else] = ACTIONS(2523),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_repeat] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2523),
    [anon_sym_switch] = ACTIONS(2523),
    [anon_sym_EQ] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(2523),
    [anon_sym_RBRACE] = ACTIONS(2523),
    [anon_sym_LT_DASH] = ACTIONS(2523),
    [anon_sym_COLON_EQ] = ACTIONS(2523),
    [anon_sym_LT_LT_DASH] = ACTIONS(2523),
    [anon_sym_DASH_GT_GT] = ACTIONS(2523),
    [anon_sym_DASH_GT] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2523),
    [anon_sym_DOLLAR] = ACTIONS(2523),
    [anon_sym_AT] = ACTIONS(2523),
    [anon_sym_QMARK] = ACTIONS(2523),
    [sym_dots] = ACTIONS(2523),
    [anon_sym_PIPE_GT] = ACTIONS(2523),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_BANG] = ACTIONS(2523),
    [anon_sym_TILDE] = ACTIONS(2523),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_SLASH] = ACTIONS(2523),
    [anon_sym_CARET] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_GT] = ACTIONS(2523),
    [anon_sym_LT_EQ] = ACTIONS(2523),
    [anon_sym_GT_EQ] = ACTIONS(2523),
    [anon_sym_EQ_EQ] = ACTIONS(2523),
    [anon_sym_BANG_EQ] = ACTIONS(2523),
    [anon_sym_PIPE_PIPE] = ACTIONS(2523),
    [anon_sym_PIPE] = ACTIONS(2523),
    [anon_sym_AMP_AMP] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym_COLON] = ACTIONS(2523),
    [sym_break] = ACTIONS(2523),
    [sym_next] = ACTIONS(2523),
    [sym_true] = ACTIONS(2523),
    [sym_false] = ACTIONS(2523),
    [sym_null] = ACTIONS(2523),
    [sym_inf] = ACTIONS(2523),
    [sym_nan] = ACTIONS(2523),
    [anon_sym_NA] = ACTIONS(2523),
    [anon_sym_NA_character_] = ACTIONS(2523),
    [anon_sym_NA_complex_] = ACTIONS(2523),
    [anon_sym_NA_integer_] = ACTIONS(2523),
    [anon_sym_NA_real_] = ACTIONS(2523),
    [aux_sym_identifier_token1] = ACTIONS(2523),
    [anon_sym_BQUOTE] = ACTIONS(2523),
    [sym_integer] = ACTIONS(2523),
    [sym_float] = ACTIONS(2523),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2523),
    [anon_sym_SQUOTE] = ACTIONS(2523),
    [anon_sym_PERCENT] = ACTIONS(2523),
    [sym__raw_string_literal] = ACTIONS(2521),
  },
  [652] = {
    [anon_sym_LF] = ACTIONS(2423),
    [anon_sym_SEMI] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_BSLASH] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2423),
    [anon_sym_else] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_repeat] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_switch] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2423),
    [anon_sym_RBRACE] = ACTIONS(2423),
    [anon_sym_LT_DASH] = ACTIONS(2423),
    [anon_sym_COLON_EQ] = ACTIONS(2423),
    [anon_sym_LT_LT_DASH] = ACTIONS(2423),
    [anon_sym_DASH_GT_GT] = ACTIONS(2423),
    [anon_sym_DASH_GT] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2423),
    [anon_sym_QMARK] = ACTIONS(2423),
    [sym_dots] = ACTIONS(2423),
    [anon_sym_PIPE_GT] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2423),
    [anon_sym_TILDE] = ACTIONS(2423),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_CARET] = ACTIONS(2423),
    [anon_sym_LT] = ACTIONS(2423),
    [anon_sym_GT] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2423),
    [anon_sym_GT_EQ] = ACTIONS(2423),
    [anon_sym_EQ_EQ] = ACTIONS(2423),
    [anon_sym_BANG_EQ] = ACTIONS(2423),
    [anon_sym_PIPE_PIPE] = ACTIONS(2423),
    [anon_sym_PIPE] = ACTIONS(2423),
    [anon_sym_AMP_AMP] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(2423),
    [anon_sym_COLON] = ACTIONS(2423),
    [sym_break] = ACTIONS(2423),
    [sym_next] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_null] = ACTIONS(2423),
    [sym_inf] = ACTIONS(2423),
    [sym_nan] = ACTIONS(2423),
    [anon_sym_NA] = ACTIONS(2423),
    [anon_sym_NA_character_] = ACTIONS(2423),
    [anon_sym_NA_complex_] = ACTIONS(2423),
    [anon_sym_NA_integer_] = ACTIONS(2423),
    [anon_sym_NA_real_] = ACTIONS(2423),
    [aux_sym_identifier_token1] = ACTIONS(2423),
    [anon_sym_BQUOTE] = ACTIONS(2423),
    [sym_integer] = ACTIONS(2423),
    [sym_float] = ACTIONS(2423),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [anon_sym_SQUOTE] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [sym__raw_string_literal] = ACTIONS(2425),
  },
  [653] = {
    [anon_sym_LF] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2527),
    [anon_sym_BSLASH] = ACTIONS(2527),
    [anon_sym_if] = ACTIONS(2527),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2527),
    [anon_sym_while] = ACTIONS(2527),
    [anon_sym_repeat] = ACTIONS(2527),
    [anon_sym_for] = ACTIONS(2527),
    [anon_sym_switch] = ACTIONS(2527),
    [anon_sym_EQ] = ACTIONS(2527),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_LT_DASH] = ACTIONS(2527),
    [anon_sym_COLON_EQ] = ACTIONS(2527),
    [anon_sym_LT_LT_DASH] = ACTIONS(2527),
    [anon_sym_DASH_GT_GT] = ACTIONS(2527),
    [anon_sym_DASH_GT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2527),
    [anon_sym_DOLLAR] = ACTIONS(2527),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_QMARK] = ACTIONS(2527),
    [sym_dots] = ACTIONS(2527),
    [anon_sym_PIPE_GT] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_TILDE] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_LT] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2527),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_COLON] = ACTIONS(2527),
    [sym_break] = ACTIONS(2527),
    [sym_next] = ACTIONS(2527),
    [sym_true] = ACTIONS(2527),
    [sym_false] = ACTIONS(2527),
    [sym_null] = ACTIONS(2527),
    [sym_inf] = ACTIONS(2527),
    [sym_nan] = ACTIONS(2527),
    [anon_sym_NA] = ACTIONS(2527),
    [anon_sym_NA_character_] = ACTIONS(2527),
    [anon_sym_NA_complex_] = ACTIONS(2527),
    [anon_sym_NA_integer_] = ACTIONS(2527),
    [anon_sym_NA_real_] = ACTIONS(2527),
    [aux_sym_identifier_token1] = ACTIONS(2527),
    [anon_sym_BQUOTE] = ACTIONS(2527),
    [sym_integer] = ACTIONS(2527),
    [sym_float] = ACTIONS(2527),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [anon_sym_PERCENT] = ACTIONS(2527),
    [sym__raw_string_literal] = ACTIONS(2525),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(2609),
    [anon_sym_LF] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_function] = ACTIONS(2607),
    [anon_sym_BSLASH] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_repeat] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_EQ] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_COLON_EQ] = ACTIONS(2607),
    [anon_sym_LT_LT_DASH] = ACTIONS(2607),
    [anon_sym_DASH_GT_GT] = ACTIONS(2607),
    [anon_sym_DASH_GT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2607),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_QMARK] = ACTIONS(2607),
    [sym_dots] = ACTIONS(2607),
    [anon_sym_PIPE_GT] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_CARET] = ACTIONS(2607),
    [anon_sym_LT] = ACTIONS(2607),
    [anon_sym_GT] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2607),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_COLON] = ACTIONS(2607),
    [sym_break] = ACTIONS(2607),
    [sym_next] = ACTIONS(2607),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [sym_null] = ACTIONS(2607),
    [sym_inf] = ACTIONS(2607),
    [sym_nan] = ACTIONS(2607),
    [anon_sym_NA] = ACTIONS(2607),
    [anon_sym_NA_character_] = ACTIONS(2607),
    [anon_sym_NA_complex_] = ACTIONS(2607),
    [anon_sym_NA_integer_] = ACTIONS(2607),
    [anon_sym_NA_real_] = ACTIONS(2607),
    [aux_sym_identifier_token1] = ACTIONS(2607),
    [anon_sym_BQUOTE] = ACTIONS(2607),
    [sym_integer] = ACTIONS(2607),
    [sym_float] = ACTIONS(2607),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2607),
    [sym__raw_string_literal] = ACTIONS(2609),
  },
  [655] = {
    [anon_sym_LF] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_BSLASH] = ACTIONS(2563),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_repeat] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2563),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_EQ] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(2563),
    [anon_sym_LT_DASH] = ACTIONS(2563),
    [anon_sym_COLON_EQ] = ACTIONS(2563),
    [anon_sym_LT_LT_DASH] = ACTIONS(2563),
    [anon_sym_DASH_GT_GT] = ACTIONS(2563),
    [anon_sym_DASH_GT] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2563),
    [anon_sym_DOLLAR] = ACTIONS(2563),
    [anon_sym_AT] = ACTIONS(2563),
    [anon_sym_QMARK] = ACTIONS(2563),
    [sym_dots] = ACTIONS(2563),
    [anon_sym_PIPE_GT] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_BANG] = ACTIONS(2563),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(2563),
    [anon_sym_SLASH] = ACTIONS(2563),
    [anon_sym_CARET] = ACTIONS(2563),
    [anon_sym_LT] = ACTIONS(2563),
    [anon_sym_GT] = ACTIONS(2563),
    [anon_sym_LT_EQ] = ACTIONS(2563),
    [anon_sym_GT_EQ] = ACTIONS(2563),
    [anon_sym_EQ_EQ] = ACTIONS(2563),
    [anon_sym_BANG_EQ] = ACTIONS(2563),
    [anon_sym_PIPE_PIPE] = ACTIONS(2563),
    [anon_sym_PIPE] = ACTIONS(2563),
    [anon_sym_AMP_AMP] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(2563),
    [anon_sym_COLON] = ACTIONS(2563),
    [sym_break] = ACTIONS(2563),
    [sym_next] = ACTIONS(2563),
    [sym_true] = ACTIONS(2563),
    [sym_false] = ACTIONS(2563),
    [sym_null] = ACTIONS(2563),
    [sym_inf] = ACTIONS(2563),
    [sym_nan] = ACTIONS(2563),
    [anon_sym_NA] = ACTIONS(2563),
    [anon_sym_NA_character_] = ACTIONS(2563),
    [anon_sym_NA_complex_] = ACTIONS(2563),
    [anon_sym_NA_integer_] = ACTIONS(2563),
    [anon_sym_NA_real_] = ACTIONS(2563),
    [aux_sym_identifier_token1] = ACTIONS(2563),
    [anon_sym_BQUOTE] = ACTIONS(2563),
    [sym_integer] = ACTIONS(2563),
    [sym_float] = ACTIONS(2563),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2563),
    [anon_sym_SQUOTE] = ACTIONS(2563),
    [anon_sym_PERCENT] = ACTIONS(2563),
    [sym__raw_string_literal] = ACTIONS(2561),
  },
  [656] = {
    [anon_sym_LF] = ACTIONS(2577),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_BSLASH] = ACTIONS(2577),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2577),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_repeat] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_RBRACE] = ACTIONS(2577),
    [anon_sym_LT_DASH] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_LT_LT_DASH] = ACTIONS(2577),
    [anon_sym_DASH_GT_GT] = ACTIONS(2577),
    [anon_sym_DASH_GT] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2577),
    [anon_sym_AT] = ACTIONS(2577),
    [anon_sym_QMARK] = ACTIONS(2577),
    [sym_dots] = ACTIONS(2577),
    [anon_sym_PIPE_GT] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_SLASH] = ACTIONS(2577),
    [anon_sym_CARET] = ACTIONS(2577),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_GT] = ACTIONS(2577),
    [anon_sym_LT_EQ] = ACTIONS(2577),
    [anon_sym_GT_EQ] = ACTIONS(2577),
    [anon_sym_EQ_EQ] = ACTIONS(2577),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_PIPE_PIPE] = ACTIONS(2577),
    [anon_sym_PIPE] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2577),
    [sym_break] = ACTIONS(2577),
    [sym_next] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_null] = ACTIONS(2577),
    [sym_inf] = ACTIONS(2577),
    [sym_nan] = ACTIONS(2577),
    [anon_sym_NA] = ACTIONS(2577),
    [anon_sym_NA_character_] = ACTIONS(2577),
    [anon_sym_NA_complex_] = ACTIONS(2577),
    [anon_sym_NA_integer_] = ACTIONS(2577),
    [anon_sym_NA_real_] = ACTIONS(2577),
    [aux_sym_identifier_token1] = ACTIONS(2577),
    [anon_sym_BQUOTE] = ACTIONS(2577),
    [sym_integer] = ACTIONS(2577),
    [sym_float] = ACTIONS(2577),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_PERCENT] = ACTIONS(2577),
    [sym__raw_string_literal] = ACTIONS(2575),
  },
  [657] = {
    [anon_sym_LF] = ACTIONS(2581),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_BSLASH] = ACTIONS(2581),
    [anon_sym_if] = ACTIONS(2581),
    [anon_sym_LPAREN] = ACTIONS(2581),
    [anon_sym_else] = ACTIONS(2581),
    [anon_sym_while] = ACTIONS(2581),
    [anon_sym_repeat] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2581),
    [anon_sym_switch] = ACTIONS(2581),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_RBRACE] = ACTIONS(2581),
    [anon_sym_LT_DASH] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_LT_LT_DASH] = ACTIONS(2581),
    [anon_sym_DASH_GT_GT] = ACTIONS(2581),
    [anon_sym_DASH_GT] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2581),
    [anon_sym_AT] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2581),
    [sym_dots] = ACTIONS(2581),
    [anon_sym_PIPE_GT] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_SLASH] = ACTIONS(2581),
    [anon_sym_CARET] = ACTIONS(2581),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_GT] = ACTIONS(2581),
    [anon_sym_LT_EQ] = ACTIONS(2581),
    [anon_sym_GT_EQ] = ACTIONS(2581),
    [anon_sym_EQ_EQ] = ACTIONS(2581),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_PIPE_PIPE] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2581),
    [sym_break] = ACTIONS(2581),
    [sym_next] = ACTIONS(2581),
    [sym_true] = ACTIONS(2581),
    [sym_false] = ACTIONS(2581),
    [sym_null] = ACTIONS(2581),
    [sym_inf] = ACTIONS(2581),
    [sym_nan] = ACTIONS(2581),
    [anon_sym_NA] = ACTIONS(2581),
    [anon_sym_NA_character_] = ACTIONS(2581),
    [anon_sym_NA_complex_] = ACTIONS(2581),
    [anon_sym_NA_integer_] = ACTIONS(2581),
    [anon_sym_NA_real_] = ACTIONS(2581),
    [aux_sym_identifier_token1] = ACTIONS(2581),
    [anon_sym_BQUOTE] = ACTIONS(2581),
    [sym_integer] = ACTIONS(2581),
    [sym_float] = ACTIONS(2581),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_PERCENT] = ACTIONS(2581),
    [sym__raw_string_literal] = ACTIONS(2579),
  },
  [658] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_LF] = ACTIONS(2363),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2363),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_LT_DASH] = ACTIONS(2363),
    [anon_sym_COLON_EQ] = ACTIONS(2363),
    [anon_sym_LT_LT_DASH] = ACTIONS(2363),
    [anon_sym_DASH_GT_GT] = ACTIONS(2363),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2363),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2363),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2363),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_STAR] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2363),
    [anon_sym_GT_EQ] = ACTIONS(2363),
    [anon_sym_EQ_EQ] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2363),
    [anon_sym_PIPE_PIPE] = ACTIONS(2363),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2363),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2363),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [659] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2717),
    [anon_sym_LF] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_repeat] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2701),
    [sym_dots] = ACTIONS(2721),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2721),
    [sym_next] = ACTIONS(2721),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [sym_null] = ACTIONS(2721),
    [sym_inf] = ACTIONS(2721),
    [sym_nan] = ACTIONS(2721),
    [anon_sym_NA] = ACTIONS(2721),
    [anon_sym_NA_character_] = ACTIONS(2721),
    [anon_sym_NA_complex_] = ACTIONS(2721),
    [anon_sym_NA_integer_] = ACTIONS(2721),
    [anon_sym_NA_real_] = ACTIONS(2721),
    [aux_sym_identifier_token1] = ACTIONS(2721),
    [anon_sym_BQUOTE] = ACTIONS(2721),
    [sym_integer] = ACTIONS(2721),
    [sym_float] = ACTIONS(2721),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2717),
  },
  [660] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [661] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [662] = {
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_repeat] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_LT_DASH] = ACTIONS(1851),
    [anon_sym_COLON_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_DASH] = ACTIONS(1851),
    [anon_sym_DASH_GT_GT] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1851),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [sym_dots] = ACTIONS(1849),
    [anon_sym_PIPE_GT] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_break] = ACTIONS(1849),
    [sym_next] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_inf] = ACTIONS(1849),
    [sym_nan] = ACTIONS(1849),
    [anon_sym_NA] = ACTIONS(1849),
    [anon_sym_NA_character_] = ACTIONS(1849),
    [anon_sym_NA_complex_] = ACTIONS(1849),
    [anon_sym_NA_integer_] = ACTIONS(1849),
    [anon_sym_NA_real_] = ACTIONS(1849),
    [aux_sym_identifier_token1] = ACTIONS(1849),
    [anon_sym_BQUOTE] = ACTIONS(1851),
    [sym_integer] = ACTIONS(1851),
    [sym_float] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1851),
    [anon_sym_SQUOTE] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [sym__raw_string_literal] = ACTIONS(1851),
  },
  [663] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [664] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [665] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [666] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [667] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [668] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [669] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2363),
    [anon_sym_BSLASH] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2363),
    [anon_sym_while] = ACTIONS(2363),
    [anon_sym_repeat] = ACTIONS(2363),
    [anon_sym_for] = ACTIONS(2363),
    [anon_sym_switch] = ACTIONS(2363),
    [anon_sym_COMMA] = ACTIONS(2365),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_LT_DASH] = ACTIONS(2365),
    [anon_sym_COLON_EQ] = ACTIONS(2365),
    [anon_sym_LT_LT_DASH] = ACTIONS(2365),
    [anon_sym_DASH_GT_GT] = ACTIONS(2365),
    [anon_sym_DASH_GT] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2365),
    [sym_dots] = ACTIONS(2363),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_EQ_EQ] = ACTIONS(2365),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_PIPE_PIPE] = ACTIONS(2365),
    [anon_sym_PIPE] = ACTIONS(2363),
    [anon_sym_AMP_AMP] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(2363),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2363),
    [sym_next] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_inf] = ACTIONS(2363),
    [sym_nan] = ACTIONS(2363),
    [anon_sym_NA] = ACTIONS(2363),
    [anon_sym_NA_character_] = ACTIONS(2363),
    [anon_sym_NA_complex_] = ACTIONS(2363),
    [anon_sym_NA_integer_] = ACTIONS(2363),
    [anon_sym_NA_real_] = ACTIONS(2363),
    [aux_sym_identifier_token1] = ACTIONS(2363),
    [anon_sym_BQUOTE] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2365),
    [anon_sym_SQUOTE] = ACTIONS(2365),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2365),
  },
  [670] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_BSLASH] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_repeat] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_COMMA] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2387),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2387),
    [sym_dots] = ACTIONS(2385),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2385),
    [sym_next] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_null] = ACTIONS(2385),
    [sym_inf] = ACTIONS(2385),
    [sym_nan] = ACTIONS(2385),
    [anon_sym_NA] = ACTIONS(2385),
    [anon_sym_NA_character_] = ACTIONS(2385),
    [anon_sym_NA_complex_] = ACTIONS(2385),
    [anon_sym_NA_integer_] = ACTIONS(2385),
    [anon_sym_NA_real_] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [anon_sym_BQUOTE] = ACTIONS(2387),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2387),
  },
  [671] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2361),
    [anon_sym_LF] = ACTIONS(2359),
    [anon_sym_SEMI] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_BSLASH] = ACTIONS(2359),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2359),
    [anon_sym_repeat] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2359),
    [anon_sym_LT_DASH] = ACTIONS(2691),
    [anon_sym_COLON_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_DASH] = ACTIONS(2695),
    [anon_sym_DASH_GT_GT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2699),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2701),
    [sym_dots] = ACTIONS(2359),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2359),
    [sym_next] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_inf] = ACTIONS(2359),
    [sym_nan] = ACTIONS(2359),
    [anon_sym_NA] = ACTIONS(2359),
    [anon_sym_NA_character_] = ACTIONS(2359),
    [anon_sym_NA_complex_] = ACTIONS(2359),
    [anon_sym_NA_integer_] = ACTIONS(2359),
    [anon_sym_NA_real_] = ACTIONS(2359),
    [aux_sym_identifier_token1] = ACTIONS(2359),
    [anon_sym_BQUOTE] = ACTIONS(2359),
    [sym_integer] = ACTIONS(2359),
    [sym_float] = ACTIONS(2359),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2359),
    [anon_sym_SQUOTE] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2361),
  },
  [672] = {
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_BSLASH] = ACTIONS(1815),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_repeat] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_COMMA] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1815),
    [anon_sym_COLON_EQ] = ACTIONS(1815),
    [anon_sym_LT_LT_DASH] = ACTIONS(1815),
    [anon_sym_DASH_GT_GT] = ACTIONS(1815),
    [anon_sym_DASH_GT] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1815),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1815),
    [anon_sym_DOLLAR] = ACTIONS(1815),
    [anon_sym_AT] = ACTIONS(1815),
    [anon_sym_COLON_COLON] = ACTIONS(1813),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1815),
    [anon_sym_QMARK] = ACTIONS(1815),
    [sym_dots] = ACTIONS(1813),
    [anon_sym_PIPE_GT] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_CARET] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1815),
    [anon_sym_GT_EQ] = ACTIONS(1815),
    [anon_sym_EQ_EQ] = ACTIONS(1815),
    [anon_sym_BANG_EQ] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1815),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1815),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_break] = ACTIONS(1813),
    [sym_next] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_inf] = ACTIONS(1813),
    [sym_nan] = ACTIONS(1813),
    [anon_sym_NA] = ACTIONS(1813),
    [anon_sym_NA_character_] = ACTIONS(1813),
    [anon_sym_NA_complex_] = ACTIONS(1813),
    [anon_sym_NA_integer_] = ACTIONS(1813),
    [anon_sym_NA_real_] = ACTIONS(1813),
    [aux_sym_identifier_token1] = ACTIONS(1813),
    [anon_sym_BQUOTE] = ACTIONS(1815),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_PERCENT] = ACTIONS(1815),
    [sym__raw_string_literal] = ACTIONS(1815),
  },
  [673] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2411),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [674] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2411),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2411),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2411),
    [anon_sym_SLASH] = ACTIONS(2411),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_LT_EQ] = ACTIONS(2411),
    [anon_sym_GT_EQ] = ACTIONS(2411),
    [anon_sym_EQ_EQ] = ACTIONS(2411),
    [anon_sym_BANG_EQ] = ACTIONS(2411),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2413),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2411),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [anon_sym_LF] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_LT_DASH] = ACTIONS(1841),
    [anon_sym_COLON_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_DASH] = ACTIONS(1841),
    [anon_sym_DASH_GT_GT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [anon_sym_i] = ACTIONS(2723),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [676] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2411),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2411),
    [anon_sym_PIPE] = ACTIONS(2413),
    [anon_sym_AMP_AMP] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [677] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_repeat] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2271),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2271),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2271),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2543),
    [sym_dots] = ACTIONS(2225),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2225),
    [sym_next] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_inf] = ACTIONS(2225),
    [sym_nan] = ACTIONS(2225),
    [anon_sym_NA] = ACTIONS(2225),
    [anon_sym_NA_character_] = ACTIONS(2225),
    [anon_sym_NA_complex_] = ACTIONS(2225),
    [anon_sym_NA_integer_] = ACTIONS(2225),
    [anon_sym_NA_real_] = ACTIONS(2225),
    [aux_sym_identifier_token1] = ACTIONS(2225),
    [anon_sym_BQUOTE] = ACTIONS(2271),
    [sym_integer] = ACTIONS(2271),
    [sym_float] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2271),
    [anon_sym_SQUOTE] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2271),
  },
  [678] = {
    [sym_special] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(2379),
    [anon_sym_LF] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_BSLASH] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2377),
    [anon_sym_repeat] = ACTIONS(2377),
    [anon_sym_for] = ACTIONS(2377),
    [anon_sym_switch] = ACTIONS(2377),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2377),
    [anon_sym_LT_DASH] = ACTIONS(2377),
    [anon_sym_COLON_EQ] = ACTIONS(2377),
    [anon_sym_LT_LT_DASH] = ACTIONS(2377),
    [anon_sym_DASH_GT_GT] = ACTIONS(2377),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2549),
    [anon_sym_DOLLAR] = ACTIONS(2551),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_QMARK] = ACTIONS(2377),
    [sym_dots] = ACTIONS(2377),
    [anon_sym_PIPE_GT] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2377),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2567),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_GT] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_EQ_EQ] = ACTIONS(2569),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_PIPE] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2559),
    [sym_break] = ACTIONS(2377),
    [sym_next] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_inf] = ACTIONS(2377),
    [sym_nan] = ACTIONS(2377),
    [anon_sym_NA] = ACTIONS(2377),
    [anon_sym_NA_character_] = ACTIONS(2377),
    [anon_sym_NA_complex_] = ACTIONS(2377),
    [anon_sym_NA_integer_] = ACTIONS(2377),
    [anon_sym_NA_real_] = ACTIONS(2377),
    [aux_sym_identifier_token1] = ACTIONS(2377),
    [anon_sym_BQUOTE] = ACTIONS(2377),
    [sym_integer] = ACTIONS(2377),
    [sym_float] = ACTIONS(2377),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2377),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2379),
  },
  [679] = {
    [anon_sym_function] = ACTIONS(1795),
    [anon_sym_BSLASH] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_while] = ACTIONS(1795),
    [anon_sym_repeat] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1795),
    [anon_sym_switch] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1799),
    [anon_sym_LT_DASH] = ACTIONS(1799),
    [anon_sym_COLON_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT_DASH] = ACTIONS(1799),
    [anon_sym_DASH_GT_GT] = ACTIONS(1799),
    [anon_sym_DASH_GT] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1799),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1799),
    [anon_sym_DOLLAR] = ACTIONS(1799),
    [anon_sym_AT] = ACTIONS(1799),
    [anon_sym_COLON_COLON] = ACTIONS(1795),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1799),
    [anon_sym_QMARK] = ACTIONS(1799),
    [sym_dots] = ACTIONS(1795),
    [anon_sym_PIPE_GT] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_BANG] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_EQ_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP_AMP] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_COLON] = ACTIONS(1795),
    [sym_break] = ACTIONS(1795),
    [sym_next] = ACTIONS(1795),
    [sym_true] = ACTIONS(1795),
    [sym_false] = ACTIONS(1795),
    [sym_null] = ACTIONS(1795),
    [sym_inf] = ACTIONS(1795),
    [sym_nan] = ACTIONS(1795),
    [anon_sym_NA] = ACTIONS(1795),
    [anon_sym_NA_character_] = ACTIONS(1795),
    [anon_sym_NA_complex_] = ACTIONS(1795),
    [anon_sym_NA_integer_] = ACTIONS(1795),
    [anon_sym_NA_real_] = ACTIONS(1795),
    [aux_sym_identifier_token1] = ACTIONS(1795),
    [anon_sym_BQUOTE] = ACTIONS(1799),
    [sym_integer] = ACTIONS(1799),
    [sym_float] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1799),
    [anon_sym_SQUOTE] = ACTIONS(1799),
    [anon_sym_PERCENT] = ACTIONS(1799),
    [sym__raw_string_literal] = ACTIONS(1799),
  },
  [680] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_BSLASH] = ACTIONS(2411),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_repeat] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_LT_DASH] = ACTIONS(2411),
    [anon_sym_COLON_EQ] = ACTIONS(2411),
    [anon_sym_LT_LT_DASH] = ACTIONS(2411),
    [anon_sym_DASH_GT_GT] = ACTIONS(2411),
    [anon_sym_DASH_GT] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2411),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2411),
    [sym_dots] = ACTIONS(2413),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2413),
    [sym_next] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_inf] = ACTIONS(2413),
    [sym_nan] = ACTIONS(2413),
    [anon_sym_NA] = ACTIONS(2413),
    [anon_sym_NA_character_] = ACTIONS(2413),
    [anon_sym_NA_complex_] = ACTIONS(2413),
    [anon_sym_NA_integer_] = ACTIONS(2413),
    [anon_sym_NA_real_] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2411),
  },
  [681] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_BSLASH] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2377),
    [anon_sym_repeat] = ACTIONS(2377),
    [anon_sym_for] = ACTIONS(2377),
    [anon_sym_switch] = ACTIONS(2377),
    [anon_sym_COMMA] = ACTIONS(2379),
    [anon_sym_EQ] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2379),
    [anon_sym_LT_DASH] = ACTIONS(2379),
    [anon_sym_COLON_EQ] = ACTIONS(2379),
    [anon_sym_LT_LT_DASH] = ACTIONS(2379),
    [anon_sym_DASH_GT_GT] = ACTIONS(2379),
    [anon_sym_DASH_GT] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2379),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2379),
    [sym_dots] = ACTIONS(2377),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2377),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2377),
    [sym_next] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_inf] = ACTIONS(2377),
    [sym_nan] = ACTIONS(2377),
    [anon_sym_NA] = ACTIONS(2377),
    [anon_sym_NA_character_] = ACTIONS(2377),
    [anon_sym_NA_complex_] = ACTIONS(2377),
    [anon_sym_NA_integer_] = ACTIONS(2377),
    [anon_sym_NA_real_] = ACTIONS(2377),
    [aux_sym_identifier_token1] = ACTIONS(2377),
    [anon_sym_BQUOTE] = ACTIONS(2379),
    [sym_integer] = ACTIONS(2379),
    [sym_float] = ACTIONS(2377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [anon_sym_SQUOTE] = ACTIONS(2379),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2379),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2591),
    [anon_sym_LF] = ACTIONS(2589),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2589),
    [anon_sym_BSLASH] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_LPAREN] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_repeat] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_LT_DASH] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_LT_LT_DASH] = ACTIONS(2589),
    [anon_sym_DASH_GT_GT] = ACTIONS(2589),
    [anon_sym_DASH_GT] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2589),
    [anon_sym_AT] = ACTIONS(2589),
    [anon_sym_QMARK] = ACTIONS(2589),
    [sym_dots] = ACTIONS(2589),
    [anon_sym_PIPE_GT] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_SLASH] = ACTIONS(2589),
    [anon_sym_CARET] = ACTIONS(2589),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_LT_EQ] = ACTIONS(2589),
    [anon_sym_GT_EQ] = ACTIONS(2589),
    [anon_sym_EQ_EQ] = ACTIONS(2589),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_PIPE_PIPE] = ACTIONS(2589),
    [anon_sym_PIPE] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2589),
    [sym_break] = ACTIONS(2589),
    [sym_next] = ACTIONS(2589),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [sym_null] = ACTIONS(2589),
    [sym_inf] = ACTIONS(2589),
    [sym_nan] = ACTIONS(2589),
    [anon_sym_NA] = ACTIONS(2589),
    [anon_sym_NA_character_] = ACTIONS(2589),
    [anon_sym_NA_complex_] = ACTIONS(2589),
    [anon_sym_NA_integer_] = ACTIONS(2589),
    [anon_sym_NA_real_] = ACTIONS(2589),
    [aux_sym_identifier_token1] = ACTIONS(2589),
    [anon_sym_BQUOTE] = ACTIONS(2589),
    [sym_integer] = ACTIONS(2589),
    [sym_float] = ACTIONS(2589),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_PERCENT] = ACTIONS(2589),
    [sym__raw_string_literal] = ACTIONS(2591),
  },
  [683] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_repeat] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_switch] = ACTIONS(2183),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_EQ] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2181),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2181),
    [sym_dots] = ACTIONS(2183),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2183),
    [sym_next] = ACTIONS(2183),
    [sym_true] = ACTIONS(2183),
    [sym_false] = ACTIONS(2183),
    [sym_null] = ACTIONS(2183),
    [sym_inf] = ACTIONS(2183),
    [sym_nan] = ACTIONS(2183),
    [anon_sym_NA] = ACTIONS(2183),
    [anon_sym_NA_character_] = ACTIONS(2183),
    [anon_sym_NA_complex_] = ACTIONS(2183),
    [anon_sym_NA_integer_] = ACTIONS(2183),
    [anon_sym_NA_real_] = ACTIONS(2183),
    [aux_sym_identifier_token1] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2181),
    [sym_integer] = ACTIONS(2181),
    [sym_float] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2181),
  },
  [684] = {
    [sym_special] = STATE(306),
    [anon_sym_LF] = ACTIONS(2727),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_BSLASH] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_repeat] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_LT_LT_DASH] = ACTIONS(2649),
    [anon_sym_DASH_GT_GT] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym_DOLLAR] = ACTIONS(2599),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_QMARK] = ACTIONS(2705),
    [sym_dots] = ACTIONS(2721),
    [anon_sym_PIPE_GT] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2605),
    [sym_break] = ACTIONS(2721),
    [sym_next] = ACTIONS(2721),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [sym_null] = ACTIONS(2721),
    [sym_inf] = ACTIONS(2721),
    [sym_nan] = ACTIONS(2721),
    [anon_sym_NA] = ACTIONS(2721),
    [anon_sym_NA_character_] = ACTIONS(2721),
    [anon_sym_NA_complex_] = ACTIONS(2721),
    [anon_sym_NA_integer_] = ACTIONS(2721),
    [anon_sym_NA_real_] = ACTIONS(2721),
    [aux_sym_identifier_token1] = ACTIONS(2721),
    [anon_sym_BQUOTE] = ACTIONS(2721),
    [sym_integer] = ACTIONS(2721),
    [sym_float] = ACTIONS(2721),
    [sym_comment] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2223),
    [sym__raw_string_literal] = ACTIONS(2717),
  },
  [685] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_BSLASH] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_repeat] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_COMMA] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2371),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2371),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2371),
    [sym_dots] = ACTIONS(2369),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2369),
    [sym_next] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_inf] = ACTIONS(2369),
    [sym_nan] = ACTIONS(2369),
    [anon_sym_NA] = ACTIONS(2369),
    [anon_sym_NA_character_] = ACTIONS(2369),
    [anon_sym_NA_complex_] = ACTIONS(2369),
    [anon_sym_NA_integer_] = ACTIONS(2369),
    [anon_sym_NA_real_] = ACTIONS(2369),
    [aux_sym_identifier_token1] = ACTIONS(2369),
    [anon_sym_BQUOTE] = ACTIONS(2371),
    [sym_integer] = ACTIONS(2371),
    [sym_float] = ACTIONS(2369),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2371),
    [anon_sym_SQUOTE] = ACTIONS(2371),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2371),
  },
  [686] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2397),
    [anon_sym_BSLASH] = ACTIONS(2399),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_repeat] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_COMMA] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2399),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2543),
    [sym_dots] = ACTIONS(2397),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2397),
    [sym_next] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_null] = ACTIONS(2397),
    [sym_inf] = ACTIONS(2397),
    [sym_nan] = ACTIONS(2397),
    [anon_sym_NA] = ACTIONS(2397),
    [anon_sym_NA_character_] = ACTIONS(2397),
    [anon_sym_NA_complex_] = ACTIONS(2397),
    [anon_sym_NA_integer_] = ACTIONS(2397),
    [anon_sym_NA_real_] = ACTIONS(2397),
    [aux_sym_identifier_token1] = ACTIONS(2397),
    [anon_sym_BQUOTE] = ACTIONS(2399),
    [sym_integer] = ACTIONS(2399),
    [sym_float] = ACTIONS(2397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [anon_sym_SQUOTE] = ACTIONS(2399),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2399),
  },
  [687] = {
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_repeat] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_LT_DASH] = ACTIONS(1847),
    [anon_sym_COLON_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_DASH] = ACTIONS(1847),
    [anon_sym_DASH_GT_GT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1847),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_QMARK] = ACTIONS(1847),
    [sym_dots] = ACTIONS(1841),
    [anon_sym_PIPE_GT] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_break] = ACTIONS(1841),
    [sym_next] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_inf] = ACTIONS(1841),
    [sym_nan] = ACTIONS(1841),
    [anon_sym_NA] = ACTIONS(1841),
    [anon_sym_NA_character_] = ACTIONS(1841),
    [anon_sym_NA_complex_] = ACTIONS(1841),
    [anon_sym_NA_integer_] = ACTIONS(1841),
    [anon_sym_NA_real_] = ACTIONS(1841),
    [aux_sym_identifier_token1] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1841),
    [anon_sym_i] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [sym__raw_string_literal] = ACTIONS(1847),
  },
  [688] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2395),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_repeat] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(2395),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2395),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2395),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2543),
    [sym_dots] = ACTIONS(2393),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2393),
    [sym_next] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_inf] = ACTIONS(2393),
    [sym_nan] = ACTIONS(2393),
    [anon_sym_NA] = ACTIONS(2393),
    [anon_sym_NA_character_] = ACTIONS(2393),
    [anon_sym_NA_complex_] = ACTIONS(2393),
    [anon_sym_NA_integer_] = ACTIONS(2393),
    [anon_sym_NA_real_] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [anon_sym_BQUOTE] = ACTIONS(2395),
    [sym_integer] = ACTIONS(2395),
    [sym_float] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2395),
  },
  [689] = {
    [sym_special] = STATE(172),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_BSLASH] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_repeat] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_LT_LT_DASH] = ACTIONS(2537),
    [anon_sym_DASH_GT_GT] = ACTIONS(2539),
    [anon_sym_DASH_GT] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(2391),
    [anon_sym_DOLLAR] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_QMARK] = ACTIONS(2391),
    [sym_dots] = ACTIONS(2389),
    [anon_sym_PIPE_GT] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_CARET] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_EQ_EQ] = ACTIONS(2485),
    [anon_sym_BANG_EQ] = ACTIONS(2485),
    [anon_sym_PIPE_PIPE] = ACTIONS(2487),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_AMP_AMP] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_COLON] = ACTIONS(2495),
    [sym_break] = ACTIONS(2389),
    [sym_next] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_null] = ACTIONS(2389),
    [sym_inf] = ACTIONS(2389),
    [sym_nan] = ACTIONS(2389),
    [anon_sym_NA] = ACTIONS(2389),
    [anon_sym_NA_character_] = ACTIONS(2389),
    [anon_sym_NA_complex_] = ACTIONS(2389),
    [anon_sym_NA_integer_] = ACTIONS(2389),
    [anon_sym_NA_real_] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [anon_sym_BQUOTE] = ACTIONS(2391),
    [sym_integer] = ACTIONS(2391),
    [sym_float] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [sym__raw_string_literal] = ACTIONS(2391),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2513), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2515), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [71] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2675), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2673), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [142] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2411), 15,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2413), 24,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [251] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2609), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2607), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [322] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2665), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2667), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [393] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 16,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2363), 25,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_BANG,
      anon_sym_PIPE,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [498] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 17,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2363), 26,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [599] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    STATE(344), 1,
      sym_special,
    ACTIONS(2365), 26,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2363), 30,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2635), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2639), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_EQ,
    ACTIONS(1841), 30,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(1847), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [899] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2365), 26,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2363), 29,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [986] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2361), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2359), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [1111] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2525), 1,
      sym__raw_string_literal,
    ACTIONS(2527), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [1182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2671), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [1253] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2357), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2355), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [1378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2683), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [1449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2687), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [1520] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2663), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2661), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [1645] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2353), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2351), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [1770] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2521), 1,
      sym__raw_string_literal,
    ACTIONS(2523), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [1841] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2517), 1,
      sym__raw_string_literal,
    ACTIONS(2519), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [1912] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2525), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2527), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [1983] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2425), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2423), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [2054] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2513), 1,
      sym__raw_string_literal,
    ACTIONS(2515), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [2125] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2365), 24,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2363), 29,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [2216] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 15,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2363), 24,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [2325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2677), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [2396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2675), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [2467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2421), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [2538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2657), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [2609] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2365), 22,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2363), 29,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [2702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2629), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [2773] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2371), 10,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2369), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [2896] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2629), 1,
      sym__raw_string_literal,
    ACTIONS(2631), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [2967] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2657), 1,
      sym__raw_string_literal,
    ACTIONS(2659), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [3038] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2421), 1,
      sym__raw_string_literal,
    ACTIONS(2419), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [3109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2589), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [3180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2607), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [3251] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2665), 1,
      sym__raw_string_literal,
    ACTIONS(2667), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [3322] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2677), 1,
      sym__raw_string_literal,
    ACTIONS(2679), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [3393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2621), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [3464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2627), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2625), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [3535] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2687), 1,
      sym__raw_string_literal,
    ACTIONS(2685), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [3606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2635), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2633), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [3677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2637), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [3748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2671), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2669), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [3819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2675), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2673), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [3890] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2683), 1,
      sym__raw_string_literal,
    ACTIONS(2681), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [3961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2681), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2687), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2685), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4103] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2591), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2589), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [4174] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2427), 1,
      anon_sym_LPAREN,
    ACTIONS(2429), 1,
      anon_sym_LBRACK,
    ACTIONS(2431), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2433), 1,
      anon_sym_DOLLAR,
    ACTIONS(2435), 1,
      anon_sym_AT,
    ACTIONS(2437), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2439), 1,
      anon_sym_DASH,
    ACTIONS(2441), 1,
      anon_sym_PLUS,
    ACTIONS(2445), 1,
      anon_sym_CARET,
    ACTIONS(2451), 1,
      anon_sym_COLON,
    ACTIONS(2453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2455), 1,
      anon_sym_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_AMP,
    ACTIONS(2497), 1,
      anon_sym_EQ,
    ACTIONS(2499), 1,
      anon_sym_LT_DASH,
    ACTIONS(2501), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2503), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2505), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2507), 1,
      anon_sym_DASH_GT,
    ACTIONS(2509), 1,
      anon_sym_QMARK,
    ACTIONS(2511), 1,
      anon_sym_TILDE,
    STATE(213), 1,
      sym_special,
    ACTIONS(2443), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2447), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2449), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2784), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2781), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2679), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2667), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2421), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2419), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2657), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2659), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2631), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2515), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2513), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [4725] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    STATE(344), 1,
      sym_special,
    ACTIONS(2411), 26,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2413), 30,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4810] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2411), 10,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2413), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [4933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2517), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [5004] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2407), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2409), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5129] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2375), 14,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2373), 24,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_i,
    ACTIONS(1841), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(1847), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [5313] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2379), 14,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2377), 24,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2521), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [5495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2515), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2519), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2523), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2423), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2527), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5850] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2561), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2563), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [5921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2563), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [5992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2577), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [6063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2579), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2581), 32,
      anon_sym_function,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [6134] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2623), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2621), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [6205] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2629), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2631), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [6276] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2383), 10,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2381), 23,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [6397] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2639), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2637), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [6468] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2635), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2633), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [6539] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2687), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2685), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [6610] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2181), 10,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2183), 23,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [6731] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2575), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2577), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [6802] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2579), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2581), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [6873] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2671), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2669), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [6944] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2427), 1,
      anon_sym_LPAREN,
    ACTIONS(2429), 1,
      anon_sym_LBRACK,
    ACTIONS(2431), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2433), 1,
      anon_sym_DOLLAR,
    ACTIONS(2435), 1,
      anon_sym_AT,
    ACTIONS(2437), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2439), 1,
      anon_sym_DASH,
    ACTIONS(2441), 1,
      anon_sym_PLUS,
    ACTIONS(2445), 1,
      anon_sym_CARET,
    ACTIONS(2451), 1,
      anon_sym_COLON,
    ACTIONS(2453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2455), 1,
      anon_sym_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_AMP,
    ACTIONS(2497), 1,
      anon_sym_EQ,
    ACTIONS(2499), 1,
      anon_sym_LT_DASH,
    ACTIONS(2501), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2503), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2505), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2507), 1,
      anon_sym_DASH_GT,
    ACTIONS(2509), 1,
      anon_sym_QMARK,
    ACTIONS(2511), 1,
      anon_sym_TILDE,
    STATE(213), 1,
      sym_special,
    ACTIONS(2443), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2447), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2449), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2791), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2789), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [7069] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2365), 21,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2363), 28,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [7166] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2387), 10,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2385), 23,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [7287] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2391), 10,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2389), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [7410] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2683), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2681), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [7481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2425), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [7552] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    STATE(344), 1,
      sym_special,
    ACTIONS(2365), 26,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2363), 30,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [7637] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2411), 17,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK_RBRACK,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2413), 26,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      sym_dots,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [7738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2591), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [7809] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2421), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2419), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [7880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2525), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [7951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2607), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2609), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2665), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2627), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8164] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2521), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2523), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8235] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2425), 1,
      sym__raw_string_literal,
    ACTIONS(2423), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8306] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2657), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2659), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8377] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2393), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [8502] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2677), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2679), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8573] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2399), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2397), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [8698] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2639), 1,
      sym__raw_string_literal,
    ACTIONS(2637), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8769] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2635), 1,
      sym__raw_string_literal,
    ACTIONS(2633), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8840] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2517), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2519), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [8911] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 1,
      anon_sym_DOLLAR,
    ACTIONS(2739), 1,
      anon_sym_AT,
    ACTIONS(2741), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2743), 1,
      anon_sym_DASH,
    ACTIONS(2745), 1,
      anon_sym_PLUS,
    ACTIONS(2749), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2757), 1,
      anon_sym_PIPE,
    ACTIONS(2759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2761), 1,
      anon_sym_AMP,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    ACTIONS(2765), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT_DASH,
    ACTIONS(2769), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2771), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2775), 1,
      anon_sym_DASH_GT,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    ACTIONS(2779), 1,
      anon_sym_TILDE,
    STATE(344), 1,
      sym_special,
    ACTIONS(2747), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2751), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2753), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 9,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2713), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [9036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2561), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9107] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2627), 2,
      sym__raw_string_literal,
      ts_builtin_sym_end,
    ACTIONS(2625), 61,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9178] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2579), 1,
      sym__raw_string_literal,
    ACTIONS(2581), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9249] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2627), 1,
      sym__raw_string_literal,
    ACTIONS(2625), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9320] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2671), 1,
      sym__raw_string_literal,
    ACTIONS(2669), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9391] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2623), 1,
      sym__raw_string_literal,
    ACTIONS(2621), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2575), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9533] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2575), 1,
      sym__raw_string_literal,
    ACTIONS(2577), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2579), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9675] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2561), 1,
      sym__raw_string_literal,
    ACTIONS(2563), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2623), 32,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9817] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2609), 1,
      sym__raw_string_literal,
    ACTIONS(2607), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9888] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__raw_string_literal,
    ACTIONS(2589), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [9959] = 3,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(2675), 1,
      sym__raw_string_literal,
    ACTIONS(2673), 62,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_function,
      anon_sym_BSLASH,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      sym_dots,
      anon_sym_PIPE_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      anon_sym_BQUOTE,
      sym_integer,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [10030] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2427), 1,
      anon_sym_LPAREN,
    ACTIONS(2429), 1,
      anon_sym_LBRACK,
    ACTIONS(2431), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2433), 1,
      anon_sym_DOLLAR,
    ACTIONS(2435), 1,
      anon_sym_AT,
    ACTIONS(2437), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2439), 1,
      anon_sym_DASH,
    ACTIONS(2441), 1,
      anon_sym_PLUS,
    ACTIONS(2445), 1,
      anon_sym_CARET,
    ACTIONS(2451), 1,
      anon_sym_COLON,
    ACTIONS(2453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2455), 1,
      anon_sym_PIPE,
    ACTIONS(2457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2459), 1,
      anon_sym_AMP,
    ACTIONS(2497), 1,
      anon_sym_EQ,
    ACTIONS(2499), 1,
      anon_sym_LT_DASH,
    ACTIONS(2501), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2503), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2505), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2507), 1,
      anon_sym_DASH_GT,
    ACTIONS(2509), 1,
      anon_sym_QMARK,
    ACTIONS(2511), 1,
      anon_sym_TILDE,
    STATE(213), 1,
      sym_special,
    ACTIONS(2443), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2447), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2449), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2795), 8,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2793), 22,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      anon_sym_BANG,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [10154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2635), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [10224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2639), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [10294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2563), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [10364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2519), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [10434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2577), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [10504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2675), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [10574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2579), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2581), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [10644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2683), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [10714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2667), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [10784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2523), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [10854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2687), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [10924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2671), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [10994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2679), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [11064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2425), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [11134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2421), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [11204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2527), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [11274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2591), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [11344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2607), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2609), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [11414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2623), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [11484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(2627), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [11554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2657), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2659), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [11624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2631), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [11694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_EQ,
    ACTIONS(1841), 30,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
    ACTIONS(1847), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
  [11766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 31,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACK_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
    ACTIONS(2515), 31,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_dots,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [11836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 10,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(1815), 27,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [11881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 10,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(1851), 27,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [11926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 10,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(1799), 27,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [11971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 15,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2781), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [12015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 15,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2797), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [12059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 15,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2801), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [12103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2809), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(1841), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(1847), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [12151] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2411), 11,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [12224] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2363), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 11,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [12297] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    STATE(391), 1,
      sym_special,
    ACTIONS(2377), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2379), 8,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
  [12380] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2363), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 10,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
  [12457] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2365), 15,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [12526] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    STATE(391), 1,
      sym_special,
    ACTIONS(2363), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2365), 20,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [12583] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    STATE(391), 1,
      sym_special,
    ACTIONS(2363), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2365), 20,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [12640] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    STATE(391), 1,
      sym_special,
    ACTIONS(2363), 7,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2365), 18,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [12703] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    STATE(391), 1,
      sym_special,
    ACTIONS(2363), 7,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2365), 20,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [12762] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2847), 1,
      anon_sym_else,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    STATE(391), 1,
      sym_special,
    ACTIONS(2271), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [12859] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 3,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [12954] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2385), 1,
      anon_sym_EQ,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2387), 4,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_QMARK,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13047] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2399), 3,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13142] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2357), 3,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13237] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    STATE(391), 1,
      sym_special,
    ACTIONS(2363), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2365), 9,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_TILDE,
  [13318] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 3,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13413] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 7,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2365), 16,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [13478] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2391), 4,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_QMARK,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 14,
      sym__raw_string_literal,
      ts_builtin_sym_end,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2863), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [13614] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2411), 4,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_QMARK,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13707] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2395), 3,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13802] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    STATE(391), 1,
      sym_special,
    ACTIONS(2413), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2411), 9,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_TILDE,
  [13883] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2381), 1,
      anon_sym_EQ,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2383), 4,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_QMARK,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13976] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    STATE(391), 1,
      sym_special,
    ACTIONS(2413), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2411), 20,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 14,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2863), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [14076] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2407), 3,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14171] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2371), 4,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_QMARK,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14264] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2181), 4,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_QMARK,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_i,
    ACTIONS(1841), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(1847), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14402] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    STATE(391), 1,
      sym_special,
    ACTIONS(2373), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2375), 8,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_QMARK,
  [14485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2517), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2521), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2677), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2665), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2561), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 13,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2867), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [14737] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2871), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 13,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2873), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [14873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 13,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2877), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [14915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2675), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2687), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [14999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2671), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2623), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2575), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2579), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2683), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2639), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2591), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2635), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2525), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 13,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2881), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [15419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 13,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2885), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [15461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2421), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 13,
      sym__raw_string_literal,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_BQUOTE,
      sym_integer,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2889), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_while,
      anon_sym_repeat,
      anon_sym_for,
      anon_sym_switch,
      sym_dots,
      sym_break,
      sym_next,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_character_,
      anon_sym_NA_complex_,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      aux_sym_identifier_token1,
      sym_float,
  [15545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2425), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2607), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2609), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2657), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2629), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2627), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2515), 9,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
    ACTIONS(2513), 25,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_LT_LT_DASH,
      anon_sym_DASH_GT_GT,
      anon_sym_LBRACK_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PERCENT,
  [15797] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2893), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15890] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2895), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15983] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2897), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16076] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2899), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16169] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2901), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16262] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2903), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16355] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2905), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16448] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2907), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16541] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2909), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16634] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2911), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16727] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2913), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16820] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2915), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16913] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2917), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17006] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2919), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17099] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2921), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17192] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2923), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17285] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2925), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17378] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2927), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17471] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2929), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17564] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2931), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17657] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2933), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17750] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2935), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17843] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2937), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17936] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2939), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18029] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18122] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2943), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18215] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2945), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18308] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2947), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18401] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2949), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18494] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2951), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18587] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2953), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18680] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2955), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18773] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2957), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18866] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2959), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18959] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2961), 1,
      anon_sym_RPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19052] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2963), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19145] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2965), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19235] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2967), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19325] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2969), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19415] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2971), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19505] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19595] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19685] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2977), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19775] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2979), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19865] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_PERCENT,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_DOLLAR,
    ACTIONS(2819), 1,
      anon_sym_AT,
    ACTIONS(2821), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2823), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_PLUS,
    ACTIONS(2829), 1,
      anon_sym_CARET,
    ACTIONS(2835), 1,
      anon_sym_COLON,
    ACTIONS(2837), 1,
      anon_sym_TILDE,
    ACTIONS(2839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2841), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_AMP,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    ACTIONS(2851), 1,
      anon_sym_LT_DASH,
    ACTIONS(2853), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2855), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(2857), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(2859), 1,
      anon_sym_DASH_GT,
    ACTIONS(2861), 1,
      anon_sym_QMARK,
    ACTIONS(2981), 1,
      anon_sym_LPAREN,
    STATE(391), 1,
      sym_special,
    ACTIONS(2827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2831), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2833), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19955] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      sym__raw_string_literal,
    ACTIONS(2983), 1,
      aux_sym_identifier_token1,
    STATE(785), 2,
      sym_identifier,
      sym_string,
  [19978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      aux_sym_identifier_token1,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2985), 1,
      anon_sym_RPAREN,
    ACTIONS(2987), 1,
      sym_dots,
    STATE(1029), 1,
      sym_identifier,
    STATE(1067), 2,
      sym_default_parameter,
      sym__formal_parameter,
  [20001] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_BQUOTE,
    ACTIONS(909), 1,
      anon_sym_DQUOTE,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(913), 1,
      sym__raw_string_literal,
    ACTIONS(2989), 1,
      aux_sym_identifier_token1,
    STATE(501), 2,
      sym_identifier,
      sym_string,
  [20024] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1233), 1,
      anon_sym_DQUOTE,
    ACTIONS(1235), 1,
      anon_sym_SQUOTE,
    ACTIONS(1237), 1,
      sym__raw_string_literal,
    ACTIONS(2991), 1,
      aux_sym_identifier_token1,
    STATE(579), 2,
      sym_identifier,
      sym_string,
  [20047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(833), 1,
      anon_sym_DQUOTE,
    ACTIONS(835), 1,
      anon_sym_SQUOTE,
    ACTIONS(837), 1,
      sym__raw_string_literal,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(898), 2,
      sym_identifier,
      sym_string,
  [20070] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_BQUOTE,
    ACTIONS(1053), 1,
      anon_sym_DQUOTE,
    ACTIONS(1055), 1,
      anon_sym_SQUOTE,
    ACTIONS(1057), 1,
      sym__raw_string_literal,
    ACTIONS(2995), 1,
      aux_sym_identifier_token1,
    STATE(564), 2,
      sym_identifier,
      sym_string,
  [20093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(509), 1,
      anon_sym_DQUOTE,
    ACTIONS(511), 1,
      anon_sym_SQUOTE,
    ACTIONS(513), 1,
      sym__raw_string_literal,
    ACTIONS(2997), 1,
      aux_sym_identifier_token1,
    STATE(726), 2,
      sym_identifier,
      sym_string,
  [20116] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_BQUOTE,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1139), 1,
      anon_sym_SQUOTE,
    ACTIONS(1141), 1,
      sym__raw_string_literal,
    ACTIONS(2999), 1,
      aux_sym_identifier_token1,
    STATE(745), 2,
      sym_identifier,
      sym_string,
  [20139] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      aux_sym_identifier_token1,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      sym_dots,
    ACTIONS(3001), 1,
      anon_sym_RPAREN,
    STATE(1029), 1,
      sym_identifier,
    STATE(1067), 2,
      sym_default_parameter,
      sym__formal_parameter,
  [20162] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      anon_sym_SQUOTE,
    ACTIONS(99), 1,
      sym__raw_string_literal,
    ACTIONS(3003), 1,
      aux_sym_identifier_token1,
    STATE(719), 2,
      sym_identifier,
      sym_string,
  [20185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      aux_sym_identifier_token1,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(3005), 1,
      anon_sym_RPAREN,
    ACTIONS(3007), 1,
      sym_dots,
    STATE(1029), 1,
      sym_identifier,
    STATE(1030), 2,
      sym_default_parameter,
      sym__formal_parameter,
  [20208] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(171), 1,
      anon_sym_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(175), 1,
      sym__raw_string_literal,
    ACTIONS(3009), 1,
      aux_sym_identifier_token1,
    STATE(829), 2,
      sym_identifier,
      sym_string,
  [20231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      aux_sym_identifier_token1,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      sym_dots,
    STATE(1029), 1,
      sym_identifier,
    STATE(1067), 2,
      sym_default_parameter,
      sym__formal_parameter,
  [20251] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3011), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3013), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20265] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_BQUOTE,
    STATE(970), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3018), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20279] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_DQUOTE,
    STATE(971), 1,
      aux_sym_string_repeat1,
    ACTIONS(3022), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20293] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_SQUOTE,
    STATE(972), 1,
      aux_sym_string_repeat2,
    ACTIONS(3024), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20307] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_DQUOTE,
    STATE(990), 1,
      aux_sym_string_repeat1,
    ACTIONS(3028), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20321] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20335] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20349] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3038), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20363] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3038), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20377] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3042), 1,
      anon_sym_BQUOTE,
    STATE(1011), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3044), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20391] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_SQUOTE,
    STATE(991), 1,
      aux_sym_string_repeat2,
    ACTIONS(3046), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20405] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3048), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3050), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20419] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20433] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20447] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20461] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20475] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20489] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_SQUOTE,
    STATE(977), 1,
      aux_sym_string_repeat2,
    ACTIONS(3063), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20503] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_DQUOTE,
    STATE(978), 1,
      aux_sym_string_repeat1,
    ACTIONS(3065), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20517] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_BQUOTE,
    STATE(987), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3069), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20531] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_DQUOTE,
    STATE(988), 1,
      aux_sym_string_repeat1,
    ACTIONS(3073), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20545] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_SQUOTE,
    STATE(989), 1,
      aux_sym_string_repeat2,
    ACTIONS(3075), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20559] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3077), 1,
      anon_sym_BQUOTE,
    STATE(979), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3079), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20573] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20587] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20601] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20615] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3085), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20629] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3085), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20643] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3089), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20657] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3092), 1,
      anon_sym_BQUOTE,
    STATE(980), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3094), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20671] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3096), 1,
      anon_sym_PERCENT,
    STATE(994), 1,
      aux_sym_special_repeat1,
    ACTIONS(3098), 2,
      aux_sym_special_token1,
      sym_escape_sequence,
  [20685] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3101), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20699] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3101), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20713] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20727] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3105), 1,
      anon_sym_PERCENT,
    STATE(994), 1,
      aux_sym_special_repeat1,
    ACTIONS(3107), 2,
      aux_sym_special_token1,
      sym_escape_sequence,
  [20741] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_SQUOTE,
    STATE(995), 1,
      aux_sym_string_repeat2,
    ACTIONS(3111), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20755] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20769] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3113), 1,
      anon_sym_BQUOTE,
    STATE(1006), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3115), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20783] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3117), 1,
      anon_sym_DQUOTE,
    STATE(1007), 1,
      aux_sym_string_repeat1,
    ACTIONS(3119), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20797] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3117), 1,
      anon_sym_SQUOTE,
    STATE(1008), 1,
      aux_sym_string_repeat2,
    ACTIONS(3121), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20811] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_DQUOTE,
    STATE(996), 1,
      aux_sym_string_repeat1,
    ACTIONS(3123), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20825] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3125), 1,
      anon_sym_BQUOTE,
    STATE(997), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3127), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20839] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20853] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20867] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20881] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20895] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20909] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20923] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_PERCENT,
    STATE(998), 1,
      aux_sym_special_repeat1,
    ACTIONS(3139), 2,
      aux_sym_special_token1,
      sym_escape_sequence,
  [20937] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_SQUOTE,
    STATE(1009), 1,
      aux_sym_string_repeat2,
    ACTIONS(3143), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20951] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_SQUOTE,
    STATE(969), 1,
      aux_sym_string_repeat2,
    ACTIONS(3147), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [20965] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_DQUOTE,
    STATE(1000), 1,
      aux_sym_string_repeat1,
    ACTIONS(3149), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [20979] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_BQUOTE,
    STATE(1021), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3153), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [20993] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_DQUOTE,
    STATE(1022), 1,
      aux_sym_string_repeat1,
    ACTIONS(3157), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [21007] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_SQUOTE,
    STATE(1023), 1,
      aux_sym_string_repeat2,
    ACTIONS(3159), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [21021] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_DQUOTE,
    STATE(1010), 1,
      aux_sym_string_repeat1,
    ACTIONS(3161), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [21035] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_BQUOTE,
    STATE(976), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3165), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [21049] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_BQUOTE,
    STATE(992), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(3036), 2,
      aux_sym_identifier_token2,
      sym_escape_sequence,
  [21063] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_string_repeat1,
    ACTIONS(3040), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [21077] = 4,
    ACTIONS(1797), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(3032), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [21091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      aux_sym_identifier_token1,
    STATE(725), 1,
      sym_identifier,
  [21104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      aux_sym_identifier_token1,
    STATE(748), 1,
      sym_identifier,
  [21117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(2983), 1,
      aux_sym_identifier_token1,
    STATE(798), 1,
      sym_identifier,
  [21130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(2983), 1,
      aux_sym_identifier_token1,
    STATE(690), 1,
      sym_identifier,
  [21143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      aux_sym_identifier_token1,
    STATE(714), 1,
      sym_identifier,
  [21156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_EQ,
    ACTIONS(3171), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [21167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    ACTIONS(3177), 1,
      anon_sym_COMMA,
    STATE(1041), 1,
      aux_sym_formal_parameters_repeat1,
  [21180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1148), 1,
      sym_identifier,
  [21193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      aux_sym_identifier_token1,
    STATE(711), 1,
      sym_identifier,
  [21206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      aux_sym_identifier_token1,
    STATE(508), 1,
      sym_identifier,
  [21219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1116), 1,
      sym_identifier,
  [21232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      aux_sym_identifier_token1,
    STATE(818), 1,
      sym_identifier,
  [21245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1108), 1,
      sym_identifier,
  [21258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      aux_sym_identifier_token1,
    STATE(562), 1,
      sym_identifier,
  [21271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      aux_sym_identifier_token1,
    STATE(835), 1,
      sym_identifier,
  [21284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      aux_sym_identifier_token1,
    STATE(509), 1,
      sym_identifier,
  [21297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      aux_sym_identifier_token1,
    STATE(838), 1,
      sym_identifier,
  [21310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_RPAREN,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(1051), 1,
      aux_sym_formal_parameters_repeat1,
  [21323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1120), 1,
      sym_identifier,
  [21336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      aux_sym_identifier_token1,
    STATE(650), 1,
      sym_identifier,
  [21349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(876), 1,
      sym_identifier,
  [21362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1131), 1,
      sym_identifier,
  [21375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1104), 1,
      sym_identifier,
  [21388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      aux_sym_identifier_token1,
    STATE(637), 1,
      sym_identifier,
  [21401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1112), 1,
      sym_identifier,
  [21414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      aux_sym_identifier_token1,
    STATE(751), 1,
      sym_identifier,
  [21427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(2983), 1,
      aux_sym_identifier_token1,
    STATE(792), 1,
      sym_identifier,
  [21440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(3183), 1,
      anon_sym_COMMA,
    STATE(1051), 1,
      aux_sym_formal_parameters_repeat1,
  [21453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(902), 1,
      sym_identifier,
  [21466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      aux_sym_identifier_token1,
    STATE(720), 1,
      sym_identifier,
  [21479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_BQUOTE,
    ACTIONS(2999), 1,
      aux_sym_identifier_token1,
    STATE(746), 1,
      sym_identifier,
  [21492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1128), 1,
      sym_identifier,
  [21505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_BQUOTE,
    ACTIONS(2999), 1,
      aux_sym_identifier_token1,
    STATE(758), 1,
      sym_identifier,
  [21518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_BQUOTE,
    ACTIONS(2999), 1,
      aux_sym_identifier_token1,
    STATE(757), 1,
      sym_identifier,
  [21531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(1124), 1,
      sym_identifier,
  [21544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      aux_sym_identifier_token1,
    STATE(580), 1,
      sym_identifier,
  [21557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      aux_sym_identifier_token1,
    STATE(592), 1,
      sym_identifier,
  [21570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      aux_sym_identifier_token1,
    STATE(593), 1,
      sym_identifier,
  [21583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      aux_sym_identifier_token1,
    STATE(905), 1,
      sym_identifier,
  [21596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      aux_sym_identifier_token1,
    STATE(649), 1,
      sym_identifier,
  [21609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(277), 1,
      sym_formal_parameters,
  [21619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(371), 1,
      sym_formal_parameters,
  [21629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(278), 1,
      sym_formal_parameters,
  [21639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [21647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(370), 1,
      sym_formal_parameters,
  [21657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(331), 1,
      sym_formal_parameters,
  [21667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(330), 1,
      sym_formal_parameters,
  [21677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(184), 1,
      sym_formal_parameters,
  [21687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(183), 1,
      sym_formal_parameters,
  [21697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(150), 1,
      sym_formal_parameters,
  [21707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(281), 1,
      sym_formal_parameters,
  [21717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(282), 1,
      sym_formal_parameters,
  [21727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(195), 1,
      sym_formal_parameters,
  [21737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(202), 1,
      sym_formal_parameters,
  [21747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(244), 1,
      sym_formal_parameters,
  [21757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(363), 1,
      sym_formal_parameters,
  [21767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(362), 1,
      sym_formal_parameters,
  [21777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(151), 1,
      sym_formal_parameters,
  [21787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LPAREN,
    STATE(245), 1,
      sym_formal_parameters,
  [21797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3188), 1,
      anon_sym_RBRACK,
  [21804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3190), 1,
      anon_sym_LPAREN,
  [21811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3192), 1,
      ts_builtin_sym_end,
  [21818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN,
  [21825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3196), 1,
      anon_sym_RPAREN,
  [21832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_RPAREN,
  [21839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_RPAREN,
  [21846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 1,
      anon_sym_LPAREN,
  [21853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3204), 1,
      anon_sym_LPAREN,
  [21860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_RBRACK,
  [21867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3208), 1,
      anon_sym_RBRACK_RBRACK,
  [21874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 1,
      anon_sym_RPAREN,
  [21881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3212), 1,
      anon_sym_RBRACK,
  [21888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 1,
      anon_sym_RPAREN,
  [21895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3216), 1,
      anon_sym_RPAREN,
  [21902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_RBRACK_RBRACK,
  [21909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3220), 1,
      anon_sym_RPAREN,
  [21916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3222), 1,
      anon_sym_RPAREN,
  [21923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3224), 1,
      anon_sym_LPAREN,
  [21930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_RPAREN,
  [21937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_RPAREN,
  [21944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3230), 1,
      anon_sym_in,
  [21951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3232), 1,
      anon_sym_RBRACK_RBRACK,
  [21958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN,
  [21965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3236), 1,
      anon_sym_RBRACK,
  [21972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_in,
  [21979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_RPAREN,
  [21986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3242), 1,
      anon_sym_LPAREN,
  [21993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_RPAREN,
  [22000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_in,
  [22007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3248), 1,
      anon_sym_RPAREN,
  [22014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LPAREN,
  [22021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3252), 1,
      anon_sym_RPAREN,
  [22028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_in,
  [22035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3256), 1,
      anon_sym_RBRACK_RBRACK,
  [22042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3258), 1,
      anon_sym_LPAREN,
  [22049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_RBRACK,
  [22056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_in,
  [22063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3264), 1,
      anon_sym_RPAREN,
  [22070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LPAREN,
  [22077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_RPAREN,
  [22084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_in,
  [22091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_RPAREN,
  [22098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_LPAREN,
  [22105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3276), 1,
      anon_sym_RBRACK_RBRACK,
  [22112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_in,
  [22119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3280), 1,
      anon_sym_RBRACK,
  [22126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3282), 1,
      anon_sym_LPAREN,
  [22133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3284), 1,
      anon_sym_in,
  [22140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      anon_sym_RPAREN,
  [22147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
  [22154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_RPAREN,
  [22161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_RPAREN,
  [22168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 1,
      anon_sym_RBRACK_RBRACK,
  [22175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_LPAREN,
  [22182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 1,
      anon_sym_RBRACK,
  [22189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_RPAREN,
  [22196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 1,
      anon_sym_LPAREN,
  [22203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 1,
      anon_sym_RPAREN,
  [22210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_RPAREN,
  [22217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 1,
      anon_sym_LPAREN,
  [22224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_RBRACK_RBRACK,
  [22231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_RBRACK,
  [22238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_LPAREN,
  [22245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_RPAREN,
  [22252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_in,
  [22259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_LPAREN,
  [22266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 1,
      anon_sym_RPAREN,
  [22273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 1,
      anon_sym_RPAREN,
  [22280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_LPAREN,
  [22287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_RPAREN,
  [22294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_RBRACK_RBRACK,
  [22301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3332), 1,
      anon_sym_RBRACK,
  [22308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_RBRACK_RBRACK,
  [22315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3336), 1,
      anon_sym_LPAREN,
  [22322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_LPAREN,
  [22329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LPAREN,
  [22336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_LPAREN,
  [22343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3344), 1,
      anon_sym_LPAREN,
  [22350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
  [22357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      anon_sym_LPAREN,
  [22364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3350), 1,
      anon_sym_LPAREN,
  [22371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      anon_sym_LPAREN,
  [22378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LPAREN,
  [22385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3356), 1,
      anon_sym_LPAREN,
  [22392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      anon_sym_LPAREN,
  [22399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3360), 1,
      anon_sym_LPAREN,
  [22406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3362), 1,
      anon_sym_LPAREN,
  [22413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LPAREN,
  [22420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3366), 1,
      anon_sym_LPAREN,
  [22427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(690)] = 0,
  [SMALL_STATE(691)] = 71,
  [SMALL_STATE(692)] = 142,
  [SMALL_STATE(693)] = 251,
  [SMALL_STATE(694)] = 322,
  [SMALL_STATE(695)] = 393,
  [SMALL_STATE(696)] = 498,
  [SMALL_STATE(697)] = 599,
  [SMALL_STATE(698)] = 684,
  [SMALL_STATE(699)] = 755,
  [SMALL_STATE(700)] = 826,
  [SMALL_STATE(701)] = 899,
  [SMALL_STATE(702)] = 986,
  [SMALL_STATE(703)] = 1111,
  [SMALL_STATE(704)] = 1182,
  [SMALL_STATE(705)] = 1253,
  [SMALL_STATE(706)] = 1378,
  [SMALL_STATE(707)] = 1449,
  [SMALL_STATE(708)] = 1520,
  [SMALL_STATE(709)] = 1645,
  [SMALL_STATE(710)] = 1770,
  [SMALL_STATE(711)] = 1841,
  [SMALL_STATE(712)] = 1912,
  [SMALL_STATE(713)] = 1983,
  [SMALL_STATE(714)] = 2054,
  [SMALL_STATE(715)] = 2125,
  [SMALL_STATE(716)] = 2216,
  [SMALL_STATE(717)] = 2325,
  [SMALL_STATE(718)] = 2396,
  [SMALL_STATE(719)] = 2467,
  [SMALL_STATE(720)] = 2538,
  [SMALL_STATE(721)] = 2609,
  [SMALL_STATE(722)] = 2702,
  [SMALL_STATE(723)] = 2773,
  [SMALL_STATE(724)] = 2896,
  [SMALL_STATE(725)] = 2967,
  [SMALL_STATE(726)] = 3038,
  [SMALL_STATE(727)] = 3109,
  [SMALL_STATE(728)] = 3180,
  [SMALL_STATE(729)] = 3251,
  [SMALL_STATE(730)] = 3322,
  [SMALL_STATE(731)] = 3393,
  [SMALL_STATE(732)] = 3464,
  [SMALL_STATE(733)] = 3535,
  [SMALL_STATE(734)] = 3606,
  [SMALL_STATE(735)] = 3677,
  [SMALL_STATE(736)] = 3748,
  [SMALL_STATE(737)] = 3819,
  [SMALL_STATE(738)] = 3890,
  [SMALL_STATE(739)] = 3961,
  [SMALL_STATE(740)] = 4032,
  [SMALL_STATE(741)] = 4103,
  [SMALL_STATE(742)] = 4174,
  [SMALL_STATE(743)] = 4299,
  [SMALL_STATE(744)] = 4370,
  [SMALL_STATE(745)] = 4441,
  [SMALL_STATE(746)] = 4512,
  [SMALL_STATE(747)] = 4583,
  [SMALL_STATE(748)] = 4654,
  [SMALL_STATE(749)] = 4725,
  [SMALL_STATE(750)] = 4810,
  [SMALL_STATE(751)] = 4933,
  [SMALL_STATE(752)] = 5004,
  [SMALL_STATE(753)] = 5129,
  [SMALL_STATE(754)] = 5240,
  [SMALL_STATE(755)] = 5313,
  [SMALL_STATE(756)] = 5424,
  [SMALL_STATE(757)] = 5495,
  [SMALL_STATE(758)] = 5566,
  [SMALL_STATE(759)] = 5637,
  [SMALL_STATE(760)] = 5708,
  [SMALL_STATE(761)] = 5779,
  [SMALL_STATE(762)] = 5850,
  [SMALL_STATE(763)] = 5921,
  [SMALL_STATE(764)] = 5992,
  [SMALL_STATE(765)] = 6063,
  [SMALL_STATE(766)] = 6134,
  [SMALL_STATE(767)] = 6205,
  [SMALL_STATE(768)] = 6276,
  [SMALL_STATE(769)] = 6397,
  [SMALL_STATE(770)] = 6468,
  [SMALL_STATE(771)] = 6539,
  [SMALL_STATE(772)] = 6610,
  [SMALL_STATE(773)] = 6731,
  [SMALL_STATE(774)] = 6802,
  [SMALL_STATE(775)] = 6873,
  [SMALL_STATE(776)] = 6944,
  [SMALL_STATE(777)] = 7069,
  [SMALL_STATE(778)] = 7166,
  [SMALL_STATE(779)] = 7287,
  [SMALL_STATE(780)] = 7410,
  [SMALL_STATE(781)] = 7481,
  [SMALL_STATE(782)] = 7552,
  [SMALL_STATE(783)] = 7637,
  [SMALL_STATE(784)] = 7738,
  [SMALL_STATE(785)] = 7809,
  [SMALL_STATE(786)] = 7880,
  [SMALL_STATE(787)] = 7951,
  [SMALL_STATE(788)] = 8022,
  [SMALL_STATE(789)] = 8093,
  [SMALL_STATE(790)] = 8164,
  [SMALL_STATE(791)] = 8235,
  [SMALL_STATE(792)] = 8306,
  [SMALL_STATE(793)] = 8377,
  [SMALL_STATE(794)] = 8502,
  [SMALL_STATE(795)] = 8573,
  [SMALL_STATE(796)] = 8698,
  [SMALL_STATE(797)] = 8769,
  [SMALL_STATE(798)] = 8840,
  [SMALL_STATE(799)] = 8911,
  [SMALL_STATE(800)] = 9036,
  [SMALL_STATE(801)] = 9107,
  [SMALL_STATE(802)] = 9178,
  [SMALL_STATE(803)] = 9249,
  [SMALL_STATE(804)] = 9320,
  [SMALL_STATE(805)] = 9391,
  [SMALL_STATE(806)] = 9462,
  [SMALL_STATE(807)] = 9533,
  [SMALL_STATE(808)] = 9604,
  [SMALL_STATE(809)] = 9675,
  [SMALL_STATE(810)] = 9746,
  [SMALL_STATE(811)] = 9817,
  [SMALL_STATE(812)] = 9888,
  [SMALL_STATE(813)] = 9959,
  [SMALL_STATE(814)] = 10030,
  [SMALL_STATE(815)] = 10154,
  [SMALL_STATE(816)] = 10224,
  [SMALL_STATE(817)] = 10294,
  [SMALL_STATE(818)] = 10364,
  [SMALL_STATE(819)] = 10434,
  [SMALL_STATE(820)] = 10504,
  [SMALL_STATE(821)] = 10574,
  [SMALL_STATE(822)] = 10644,
  [SMALL_STATE(823)] = 10714,
  [SMALL_STATE(824)] = 10784,
  [SMALL_STATE(825)] = 10854,
  [SMALL_STATE(826)] = 10924,
  [SMALL_STATE(827)] = 10994,
  [SMALL_STATE(828)] = 11064,
  [SMALL_STATE(829)] = 11134,
  [SMALL_STATE(830)] = 11204,
  [SMALL_STATE(831)] = 11274,
  [SMALL_STATE(832)] = 11344,
  [SMALL_STATE(833)] = 11414,
  [SMALL_STATE(834)] = 11484,
  [SMALL_STATE(835)] = 11554,
  [SMALL_STATE(836)] = 11624,
  [SMALL_STATE(837)] = 11694,
  [SMALL_STATE(838)] = 11766,
  [SMALL_STATE(839)] = 11836,
  [SMALL_STATE(840)] = 11881,
  [SMALL_STATE(841)] = 11926,
  [SMALL_STATE(842)] = 11971,
  [SMALL_STATE(843)] = 12015,
  [SMALL_STATE(844)] = 12059,
  [SMALL_STATE(845)] = 12103,
  [SMALL_STATE(846)] = 12151,
  [SMALL_STATE(847)] = 12224,
  [SMALL_STATE(848)] = 12297,
  [SMALL_STATE(849)] = 12380,
  [SMALL_STATE(850)] = 12457,
  [SMALL_STATE(851)] = 12526,
  [SMALL_STATE(852)] = 12583,
  [SMALL_STATE(853)] = 12640,
  [SMALL_STATE(854)] = 12703,
  [SMALL_STATE(855)] = 12762,
  [SMALL_STATE(856)] = 12859,
  [SMALL_STATE(857)] = 12954,
  [SMALL_STATE(858)] = 13047,
  [SMALL_STATE(859)] = 13142,
  [SMALL_STATE(860)] = 13237,
  [SMALL_STATE(861)] = 13318,
  [SMALL_STATE(862)] = 13413,
  [SMALL_STATE(863)] = 13478,
  [SMALL_STATE(864)] = 13571,
  [SMALL_STATE(865)] = 13614,
  [SMALL_STATE(866)] = 13707,
  [SMALL_STATE(867)] = 13802,
  [SMALL_STATE(868)] = 13883,
  [SMALL_STATE(869)] = 13976,
  [SMALL_STATE(870)] = 14033,
  [SMALL_STATE(871)] = 14076,
  [SMALL_STATE(872)] = 14171,
  [SMALL_STATE(873)] = 14264,
  [SMALL_STATE(874)] = 14357,
  [SMALL_STATE(875)] = 14402,
  [SMALL_STATE(876)] = 14485,
  [SMALL_STATE(877)] = 14527,
  [SMALL_STATE(878)] = 14569,
  [SMALL_STATE(879)] = 14611,
  [SMALL_STATE(880)] = 14653,
  [SMALL_STATE(881)] = 14695,
  [SMALL_STATE(882)] = 14737,
  [SMALL_STATE(883)] = 14831,
  [SMALL_STATE(884)] = 14873,
  [SMALL_STATE(885)] = 14915,
  [SMALL_STATE(886)] = 14957,
  [SMALL_STATE(887)] = 14999,
  [SMALL_STATE(888)] = 15041,
  [SMALL_STATE(889)] = 15083,
  [SMALL_STATE(890)] = 15125,
  [SMALL_STATE(891)] = 15167,
  [SMALL_STATE(892)] = 15209,
  [SMALL_STATE(893)] = 15251,
  [SMALL_STATE(894)] = 15293,
  [SMALL_STATE(895)] = 15335,
  [SMALL_STATE(896)] = 15377,
  [SMALL_STATE(897)] = 15419,
  [SMALL_STATE(898)] = 15461,
  [SMALL_STATE(899)] = 15503,
  [SMALL_STATE(900)] = 15545,
  [SMALL_STATE(901)] = 15587,
  [SMALL_STATE(902)] = 15629,
  [SMALL_STATE(903)] = 15671,
  [SMALL_STATE(904)] = 15713,
  [SMALL_STATE(905)] = 15755,
  [SMALL_STATE(906)] = 15797,
  [SMALL_STATE(907)] = 15890,
  [SMALL_STATE(908)] = 15983,
  [SMALL_STATE(909)] = 16076,
  [SMALL_STATE(910)] = 16169,
  [SMALL_STATE(911)] = 16262,
  [SMALL_STATE(912)] = 16355,
  [SMALL_STATE(913)] = 16448,
  [SMALL_STATE(914)] = 16541,
  [SMALL_STATE(915)] = 16634,
  [SMALL_STATE(916)] = 16727,
  [SMALL_STATE(917)] = 16820,
  [SMALL_STATE(918)] = 16913,
  [SMALL_STATE(919)] = 17006,
  [SMALL_STATE(920)] = 17099,
  [SMALL_STATE(921)] = 17192,
  [SMALL_STATE(922)] = 17285,
  [SMALL_STATE(923)] = 17378,
  [SMALL_STATE(924)] = 17471,
  [SMALL_STATE(925)] = 17564,
  [SMALL_STATE(926)] = 17657,
  [SMALL_STATE(927)] = 17750,
  [SMALL_STATE(928)] = 17843,
  [SMALL_STATE(929)] = 17936,
  [SMALL_STATE(930)] = 18029,
  [SMALL_STATE(931)] = 18122,
  [SMALL_STATE(932)] = 18215,
  [SMALL_STATE(933)] = 18308,
  [SMALL_STATE(934)] = 18401,
  [SMALL_STATE(935)] = 18494,
  [SMALL_STATE(936)] = 18587,
  [SMALL_STATE(937)] = 18680,
  [SMALL_STATE(938)] = 18773,
  [SMALL_STATE(939)] = 18866,
  [SMALL_STATE(940)] = 18959,
  [SMALL_STATE(941)] = 19052,
  [SMALL_STATE(942)] = 19145,
  [SMALL_STATE(943)] = 19235,
  [SMALL_STATE(944)] = 19325,
  [SMALL_STATE(945)] = 19415,
  [SMALL_STATE(946)] = 19505,
  [SMALL_STATE(947)] = 19595,
  [SMALL_STATE(948)] = 19685,
  [SMALL_STATE(949)] = 19775,
  [SMALL_STATE(950)] = 19865,
  [SMALL_STATE(951)] = 19955,
  [SMALL_STATE(952)] = 19978,
  [SMALL_STATE(953)] = 20001,
  [SMALL_STATE(954)] = 20024,
  [SMALL_STATE(955)] = 20047,
  [SMALL_STATE(956)] = 20070,
  [SMALL_STATE(957)] = 20093,
  [SMALL_STATE(958)] = 20116,
  [SMALL_STATE(959)] = 20139,
  [SMALL_STATE(960)] = 20162,
  [SMALL_STATE(961)] = 20185,
  [SMALL_STATE(962)] = 20208,
  [SMALL_STATE(963)] = 20231,
  [SMALL_STATE(964)] = 20251,
  [SMALL_STATE(965)] = 20265,
  [SMALL_STATE(966)] = 20279,
  [SMALL_STATE(967)] = 20293,
  [SMALL_STATE(968)] = 20307,
  [SMALL_STATE(969)] = 20321,
  [SMALL_STATE(970)] = 20335,
  [SMALL_STATE(971)] = 20349,
  [SMALL_STATE(972)] = 20363,
  [SMALL_STATE(973)] = 20377,
  [SMALL_STATE(974)] = 20391,
  [SMALL_STATE(975)] = 20405,
  [SMALL_STATE(976)] = 20419,
  [SMALL_STATE(977)] = 20433,
  [SMALL_STATE(978)] = 20447,
  [SMALL_STATE(979)] = 20461,
  [SMALL_STATE(980)] = 20475,
  [SMALL_STATE(981)] = 20489,
  [SMALL_STATE(982)] = 20503,
  [SMALL_STATE(983)] = 20517,
  [SMALL_STATE(984)] = 20531,
  [SMALL_STATE(985)] = 20545,
  [SMALL_STATE(986)] = 20559,
  [SMALL_STATE(987)] = 20573,
  [SMALL_STATE(988)] = 20587,
  [SMALL_STATE(989)] = 20601,
  [SMALL_STATE(990)] = 20615,
  [SMALL_STATE(991)] = 20629,
  [SMALL_STATE(992)] = 20643,
  [SMALL_STATE(993)] = 20657,
  [SMALL_STATE(994)] = 20671,
  [SMALL_STATE(995)] = 20685,
  [SMALL_STATE(996)] = 20699,
  [SMALL_STATE(997)] = 20713,
  [SMALL_STATE(998)] = 20727,
  [SMALL_STATE(999)] = 20741,
  [SMALL_STATE(1000)] = 20755,
  [SMALL_STATE(1001)] = 20769,
  [SMALL_STATE(1002)] = 20783,
  [SMALL_STATE(1003)] = 20797,
  [SMALL_STATE(1004)] = 20811,
  [SMALL_STATE(1005)] = 20825,
  [SMALL_STATE(1006)] = 20839,
  [SMALL_STATE(1007)] = 20853,
  [SMALL_STATE(1008)] = 20867,
  [SMALL_STATE(1009)] = 20881,
  [SMALL_STATE(1010)] = 20895,
  [SMALL_STATE(1011)] = 20909,
  [SMALL_STATE(1012)] = 20923,
  [SMALL_STATE(1013)] = 20937,
  [SMALL_STATE(1014)] = 20951,
  [SMALL_STATE(1015)] = 20965,
  [SMALL_STATE(1016)] = 20979,
  [SMALL_STATE(1017)] = 20993,
  [SMALL_STATE(1018)] = 21007,
  [SMALL_STATE(1019)] = 21021,
  [SMALL_STATE(1020)] = 21035,
  [SMALL_STATE(1021)] = 21049,
  [SMALL_STATE(1022)] = 21063,
  [SMALL_STATE(1023)] = 21077,
  [SMALL_STATE(1024)] = 21091,
  [SMALL_STATE(1025)] = 21104,
  [SMALL_STATE(1026)] = 21117,
  [SMALL_STATE(1027)] = 21130,
  [SMALL_STATE(1028)] = 21143,
  [SMALL_STATE(1029)] = 21156,
  [SMALL_STATE(1030)] = 21167,
  [SMALL_STATE(1031)] = 21180,
  [SMALL_STATE(1032)] = 21193,
  [SMALL_STATE(1033)] = 21206,
  [SMALL_STATE(1034)] = 21219,
  [SMALL_STATE(1035)] = 21232,
  [SMALL_STATE(1036)] = 21245,
  [SMALL_STATE(1037)] = 21258,
  [SMALL_STATE(1038)] = 21271,
  [SMALL_STATE(1039)] = 21284,
  [SMALL_STATE(1040)] = 21297,
  [SMALL_STATE(1041)] = 21310,
  [SMALL_STATE(1042)] = 21323,
  [SMALL_STATE(1043)] = 21336,
  [SMALL_STATE(1044)] = 21349,
  [SMALL_STATE(1045)] = 21362,
  [SMALL_STATE(1046)] = 21375,
  [SMALL_STATE(1047)] = 21388,
  [SMALL_STATE(1048)] = 21401,
  [SMALL_STATE(1049)] = 21414,
  [SMALL_STATE(1050)] = 21427,
  [SMALL_STATE(1051)] = 21440,
  [SMALL_STATE(1052)] = 21453,
  [SMALL_STATE(1053)] = 21466,
  [SMALL_STATE(1054)] = 21479,
  [SMALL_STATE(1055)] = 21492,
  [SMALL_STATE(1056)] = 21505,
  [SMALL_STATE(1057)] = 21518,
  [SMALL_STATE(1058)] = 21531,
  [SMALL_STATE(1059)] = 21544,
  [SMALL_STATE(1060)] = 21557,
  [SMALL_STATE(1061)] = 21570,
  [SMALL_STATE(1062)] = 21583,
  [SMALL_STATE(1063)] = 21596,
  [SMALL_STATE(1064)] = 21609,
  [SMALL_STATE(1065)] = 21619,
  [SMALL_STATE(1066)] = 21629,
  [SMALL_STATE(1067)] = 21639,
  [SMALL_STATE(1068)] = 21647,
  [SMALL_STATE(1069)] = 21657,
  [SMALL_STATE(1070)] = 21667,
  [SMALL_STATE(1071)] = 21677,
  [SMALL_STATE(1072)] = 21687,
  [SMALL_STATE(1073)] = 21697,
  [SMALL_STATE(1074)] = 21707,
  [SMALL_STATE(1075)] = 21717,
  [SMALL_STATE(1076)] = 21727,
  [SMALL_STATE(1077)] = 21737,
  [SMALL_STATE(1078)] = 21747,
  [SMALL_STATE(1079)] = 21757,
  [SMALL_STATE(1080)] = 21767,
  [SMALL_STATE(1081)] = 21777,
  [SMALL_STATE(1082)] = 21787,
  [SMALL_STATE(1083)] = 21797,
  [SMALL_STATE(1084)] = 21804,
  [SMALL_STATE(1085)] = 21811,
  [SMALL_STATE(1086)] = 21818,
  [SMALL_STATE(1087)] = 21825,
  [SMALL_STATE(1088)] = 21832,
  [SMALL_STATE(1089)] = 21839,
  [SMALL_STATE(1090)] = 21846,
  [SMALL_STATE(1091)] = 21853,
  [SMALL_STATE(1092)] = 21860,
  [SMALL_STATE(1093)] = 21867,
  [SMALL_STATE(1094)] = 21874,
  [SMALL_STATE(1095)] = 21881,
  [SMALL_STATE(1096)] = 21888,
  [SMALL_STATE(1097)] = 21895,
  [SMALL_STATE(1098)] = 21902,
  [SMALL_STATE(1099)] = 21909,
  [SMALL_STATE(1100)] = 21916,
  [SMALL_STATE(1101)] = 21923,
  [SMALL_STATE(1102)] = 21930,
  [SMALL_STATE(1103)] = 21937,
  [SMALL_STATE(1104)] = 21944,
  [SMALL_STATE(1105)] = 21951,
  [SMALL_STATE(1106)] = 21958,
  [SMALL_STATE(1107)] = 21965,
  [SMALL_STATE(1108)] = 21972,
  [SMALL_STATE(1109)] = 21979,
  [SMALL_STATE(1110)] = 21986,
  [SMALL_STATE(1111)] = 21993,
  [SMALL_STATE(1112)] = 22000,
  [SMALL_STATE(1113)] = 22007,
  [SMALL_STATE(1114)] = 22014,
  [SMALL_STATE(1115)] = 22021,
  [SMALL_STATE(1116)] = 22028,
  [SMALL_STATE(1117)] = 22035,
  [SMALL_STATE(1118)] = 22042,
  [SMALL_STATE(1119)] = 22049,
  [SMALL_STATE(1120)] = 22056,
  [SMALL_STATE(1121)] = 22063,
  [SMALL_STATE(1122)] = 22070,
  [SMALL_STATE(1123)] = 22077,
  [SMALL_STATE(1124)] = 22084,
  [SMALL_STATE(1125)] = 22091,
  [SMALL_STATE(1126)] = 22098,
  [SMALL_STATE(1127)] = 22105,
  [SMALL_STATE(1128)] = 22112,
  [SMALL_STATE(1129)] = 22119,
  [SMALL_STATE(1130)] = 22126,
  [SMALL_STATE(1131)] = 22133,
  [SMALL_STATE(1132)] = 22140,
  [SMALL_STATE(1133)] = 22147,
  [SMALL_STATE(1134)] = 22154,
  [SMALL_STATE(1135)] = 22161,
  [SMALL_STATE(1136)] = 22168,
  [SMALL_STATE(1137)] = 22175,
  [SMALL_STATE(1138)] = 22182,
  [SMALL_STATE(1139)] = 22189,
  [SMALL_STATE(1140)] = 22196,
  [SMALL_STATE(1141)] = 22203,
  [SMALL_STATE(1142)] = 22210,
  [SMALL_STATE(1143)] = 22217,
  [SMALL_STATE(1144)] = 22224,
  [SMALL_STATE(1145)] = 22231,
  [SMALL_STATE(1146)] = 22238,
  [SMALL_STATE(1147)] = 22245,
  [SMALL_STATE(1148)] = 22252,
  [SMALL_STATE(1149)] = 22259,
  [SMALL_STATE(1150)] = 22266,
  [SMALL_STATE(1151)] = 22273,
  [SMALL_STATE(1152)] = 22280,
  [SMALL_STATE(1153)] = 22287,
  [SMALL_STATE(1154)] = 22294,
  [SMALL_STATE(1155)] = 22301,
  [SMALL_STATE(1156)] = 22308,
  [SMALL_STATE(1157)] = 22315,
  [SMALL_STATE(1158)] = 22322,
  [SMALL_STATE(1159)] = 22329,
  [SMALL_STATE(1160)] = 22336,
  [SMALL_STATE(1161)] = 22343,
  [SMALL_STATE(1162)] = 22350,
  [SMALL_STATE(1163)] = 22357,
  [SMALL_STATE(1164)] = 22364,
  [SMALL_STATE(1165)] = 22371,
  [SMALL_STATE(1166)] = 22378,
  [SMALL_STATE(1167)] = 22385,
  [SMALL_STATE(1168)] = 22392,
  [SMALL_STATE(1169)] = 22399,
  [SMALL_STATE(1170)] = 22406,
  [SMALL_STATE(1171)] = 22413,
  [SMALL_STATE(1172)] = 22420,
  [SMALL_STATE(1173)] = 22427,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1072),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1071),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1133),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(93),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1101),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(173),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1158),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1159),
  [203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(14),
  [206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(56),
  [209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(174),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(700),
  [215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(175),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(176),
  [221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(177),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(563),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(787),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(410),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(993),
  [236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(563),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(622),
  [242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(968),
  [245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(974),
  [248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(784),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_rhs_arguments, 1),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(1072),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(1071),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(1133),
  [276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(93),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(1101),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(173),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(1158),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(1159),
  [293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(20),
  [296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(56),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(174),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(700),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(175),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(176),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(177),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(776),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(787),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(410),
  [323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(993),
  [326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(776),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(622),
  [332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(968),
  [335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(974),
  [338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 2), SHIFT_REPEAT(784),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1065),
  [388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1068),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1143),
  [394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(63),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1114),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(395),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1164),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(1165),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(50),
  [412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(61),
  [415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(396),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(837),
  [421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(106),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(381),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(380),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(708),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(832),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(662),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(986),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(708),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(754),
  [448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(982),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(981),
  [454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(831),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_argument, 2, .production_id = 8),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1073),
  [560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1081),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1091),
  [566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(92),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1086),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(135),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1090),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1084),
  [581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(57),
  [584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(143),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(659),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(147),
  [593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(148),
  [596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(149),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(693),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(434),
  [605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1020),
  [608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(659),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(675),
  [614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1015),
  [617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1014),
  [620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(741),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1072),
  [640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1071),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1133),
  [646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(93),
  [649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1101),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(173),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1158),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1159),
  [663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(56),
  [666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(174),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(814),
  [672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(175),
  [675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(176),
  [678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(177),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(787),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(410),
  [687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(993),
  [690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(814),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(622),
  [696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(968),
  [699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(974),
  [702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(784),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1064),
  [710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1066),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1137),
  [716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(84),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1106),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(268),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1160),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1161),
  [731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(82),
  [734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(269),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(684),
  [740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(270),
  [743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(271),
  [746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(272),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(811),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(404),
  [755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1005),
  [758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(684),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(594),
  [764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1004),
  [767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(999),
  [770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(812),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 3),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 3),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 2),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 2),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_left_assignment2, 3, .production_id = 4),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_left_assignment2, 3, .production_id = 4),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 5, .production_id = 10),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 5, .production_id = 10),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for, 7, .production_id = 14),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for, 7, .production_id = 14),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 7, .production_id = 13),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 7, .production_id = 13),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while, 5, .production_id = 11),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while, 5, .production_id = 11),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary, 3, .production_id = 6),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary, 3, .production_id = 6),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [2369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_help, 3),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_help, 3),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_right_assignment, 3, .production_id = 5),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_right_assignment, 3, .production_id = 5),
  [2377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super_right_assignment, 3, .production_id = 5),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_right_assignment, 3, .production_id = 5),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super_assignment, 3, .production_id = 4),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_assignment, 3, .production_id = 4),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_left_assignment, 3, .production_id = 4),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_left_assignment, 3, .production_id = 4),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equals_assignment, 3, .production_id = 4),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equals_assignment, 3, .production_id = 4),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_function, 3),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_function, 3),
  [2397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3),
  [2399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat, 2, .production_id = 1),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat, 2, .production_id = 1),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary, 2, .production_id = 2),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary, 2, .production_id = 2),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dollar, 3),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dollar, 3),
  [2423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset, 4),
  [2425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset, 4),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_get, 3, .production_id = 7),
  [2515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_get, 3, .production_id = 7),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_get_internal, 3, .production_id = 7),
  [2519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_get_internal, 3, .production_id = 7),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 4, .production_id = 9),
  [2523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 4, .production_id = 9),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2, 4),
  [2527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2, 4),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_rhs, 3, .production_id = 3),
  [2563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_rhs, 3, .production_id = 3),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch, 6, .production_id = 12),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch, 6, .production_id = 12),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_rhs, 4, .production_id = 9),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_rhs, 4, .production_id = 9),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [2607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_na, 1),
  [2609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_na, 1),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paren_list, 2),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paren_list, 2),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_brace_list, 2),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brace_list, 2),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe, 3, .production_id = 6),
  [2631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe, 3, .production_id = 6),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex, 2),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex, 2),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot, 3),
  [2659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slot, 3),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument, 1),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument, 1),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2, 3),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2, 3),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paren_list, 3),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paren_list, 3),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_brace_list, 3),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brace_list, 3),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset, 3),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset, 3),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 3, .production_id = 3),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 3, .production_id = 3),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_argument, 3, .production_id = 4),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_argument, 3, .production_id = 4),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__argument, 1), REDUCE(sym__pipe_rhs_argument, 1),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument, 1), REDUCE(sym__pipe_rhs_argument, 1),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pipe_rhs_argument, 1),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pipe_rhs_argument, 1),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 1),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 1),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_placeholder_argument, 3, .production_id = 4),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_placeholder_argument, 3, .production_id = 4),
  [2801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 1), REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 1),
  [2804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 1), REDUCE(aux_sym_pipe_rhs_arguments_repeat1, 1),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 2),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 4),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 3),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 5),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 4),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special, 2),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special, 2),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special, 3),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special, 3),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [3013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(964),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [3050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(975),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [3087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_identifier_repeat1, 2),
  [3089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_identifier_repeat1, 2), SHIFT_REPEAT(992),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_special_repeat1, 2),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_special_repeat1, 2), SHIFT_REPEAT(994),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [3183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(963),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3192] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_r_external_scanner_create(void);
void tree_sitter_r_external_scanner_destroy(void *);
bool tree_sitter_r_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_r_external_scanner_serialize(void *, char *);
void tree_sitter_r_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_r(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_r_external_scanner_create,
      tree_sitter_r_external_scanner_destroy,
      tree_sitter_r_external_scanner_scan,
      tree_sitter_r_external_scanner_serialize,
      tree_sitter_r_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
