#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 4456
#define LARGE_STATE_COUNT 981
#define SYMBOL_COUNT 374
#define ALIAS_COUNT 6
#define TOKEN_COUNT 162
#define EXTERNAL_TOKEN_COUNT 5
#define FIELD_COUNT 44
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 277

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_var = 16,
  anon_sym_let = 17,
  anon_sym_const = 18,
  anon_sym_BANG = 19,
  anon_sym_else = 20,
  anon_sym_if = 21,
  anon_sym_switch = 22,
  anon_sym_for = 23,
  anon_sym_LPAREN = 24,
  anon_sym_RPAREN = 25,
  anon_sym_await = 26,
  anon_sym_in = 27,
  anon_sym_of = 28,
  anon_sym_while = 29,
  anon_sym_do = 30,
  anon_sym_try = 31,
  anon_sym_with = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  anon_sym_LTtemplate_GT = 47,
  anon_sym_LT_SLASHtemplate_GT = 48,
  anon_sym_LT = 49,
  anon_sym_GT = 50,
  anon_sym_SLASH = 51,
  sym_jsx_text = 52,
  sym_jsx_identifier = 53,
  anon_sym_DOT = 54,
  anon_sym_class = 55,
  anon_sym_async = 56,
  anon_sym_function = 57,
  anon_sym_EQ_GT = 58,
  anon_sym_QMARK_DOT = 59,
  anon_sym_new = 60,
  anon_sym_PLUS_EQ = 61,
  anon_sym_DASH_EQ = 62,
  anon_sym_STAR_EQ = 63,
  anon_sym_SLASH_EQ = 64,
  anon_sym_PERCENT_EQ = 65,
  anon_sym_CARET_EQ = 66,
  anon_sym_AMP_EQ = 67,
  anon_sym_PIPE_EQ = 68,
  anon_sym_GT_GT_EQ = 69,
  anon_sym_GT_GT_GT_EQ = 70,
  anon_sym_LT_LT_EQ = 71,
  anon_sym_STAR_STAR_EQ = 72,
  anon_sym_AMP_AMP_EQ = 73,
  anon_sym_PIPE_PIPE_EQ = 74,
  anon_sym_QMARK_QMARK_EQ = 75,
  anon_sym_DOT_DOT_DOT = 76,
  anon_sym_AMP_AMP = 77,
  anon_sym_PIPE_PIPE = 78,
  anon_sym_GT_GT = 79,
  anon_sym_GT_GT_GT = 80,
  anon_sym_LT_LT = 81,
  anon_sym_AMP = 82,
  anon_sym_CARET = 83,
  anon_sym_PIPE = 84,
  anon_sym_PLUS = 85,
  anon_sym_DASH = 86,
  anon_sym_PERCENT = 87,
  anon_sym_STAR_STAR = 88,
  anon_sym_LT_EQ = 89,
  anon_sym_EQ_EQ = 90,
  anon_sym_EQ_EQ_EQ = 91,
  anon_sym_BANG_EQ = 92,
  anon_sym_BANG_EQ_EQ = 93,
  anon_sym_GT_EQ = 94,
  anon_sym_QMARK_QMARK = 95,
  anon_sym_instanceof = 96,
  anon_sym_TILDE = 97,
  anon_sym_void = 98,
  anon_sym_delete = 99,
  anon_sym_PLUS_PLUS = 100,
  anon_sym_DASH_DASH = 101,
  anon_sym_DQUOTE = 102,
  anon_sym_SQUOTE = 103,
  sym_unescaped_double_string_fragment = 104,
  sym_unescaped_single_string_fragment = 105,
  sym_escape_sequence = 106,
  sym_comment = 107,
  anon_sym_BQUOTE = 108,
  anon_sym_DOLLAR_LBRACE = 109,
  anon_sym_SLASH2 = 110,
  sym_regex_pattern = 111,
  sym_regex_flags = 112,
  sym_number = 113,
  sym_private_property_identifier = 114,
  anon_sym_target = 115,
  sym_this = 116,
  sym_super = 117,
  sym_true = 118,
  sym_false = 119,
  sym_null = 120,
  sym_undefined = 121,
  anon_sym_AT = 122,
  anon_sym_static = 123,
  anon_sym_readonly = 124,
  anon_sym_get = 125,
  anon_sym_set = 126,
  anon_sym_QMARK = 127,
  anon_sym_declare = 128,
  anon_sym_public = 129,
  anon_sym_private = 130,
  anon_sym_protected = 131,
  anon_sym_override = 132,
  anon_sym_module = 133,
  anon_sym_any = 134,
  anon_sym_number = 135,
  anon_sym_boolean = 136,
  anon_sym_string = 137,
  anon_sym_symbol = 138,
  anon_sym_abstract = 139,
  anon_sym_satisfies = 140,
  anon_sym_require = 141,
  anon_sym_extends = 142,
  anon_sym_implements = 143,
  anon_sym_global = 144,
  anon_sym_interface = 145,
  anon_sym_enum = 146,
  anon_sym_DASH_QMARK_COLON = 147,
  anon_sym_QMARK_COLON = 148,
  anon_sym_asserts = 149,
  anon_sym_infer = 150,
  anon_sym_is = 151,
  anon_sym_keyof = 152,
  anon_sym_unknown = 153,
  anon_sym_never = 154,
  anon_sym_object = 155,
  anon_sym_LBRACE_PIPE = 156,
  anon_sym_PIPE_RBRACE = 157,
  sym__automatic_semicolon = 158,
  sym__template_chars = 159,
  sym__ternary_qmark = 160,
  sym__function_signature_automatic_semicolon = 161,
  sym_program = 162,
  sym_export_statement = 163,
  sym_namespace_export = 164,
  sym_export_clause = 165,
  sym_export_specifier = 166,
  sym__module_export_name = 167,
  sym_declaration = 168,
  sym_import = 169,
  sym_import_statement = 170,
  sym_import_clause = 171,
  sym__from_clause = 172,
  sym_namespace_import = 173,
  sym_named_imports = 174,
  sym_import_specifier = 175,
  sym_expression_statement = 176,
  sym_variable_declaration = 177,
  sym_lexical_declaration = 178,
  sym_variable_declarator = 179,
  sym_statement_block = 180,
  sym_else_clause = 181,
  sym_if_statement = 182,
  sym_switch_statement = 183,
  sym_for_statement = 184,
  sym_for_in_statement = 185,
  sym__for_header = 186,
  sym_while_statement = 187,
  sym_do_statement = 188,
  sym_try_statement = 189,
  sym_with_statement = 190,
  sym_break_statement = 191,
  sym_continue_statement = 192,
  sym_debugger_statement = 193,
  sym_return_statement = 194,
  sym_throw_statement = 195,
  sym_empty_statement = 196,
  sym_labeled_statement = 197,
  sym_switch_body = 198,
  sym_switch_case = 199,
  sym_switch_default = 200,
  sym_catch_clause = 201,
  sym_finally_clause = 202,
  sym_parenthesized_expression = 203,
  sym_expression = 204,
  sym_primary_expression = 205,
  sym_yield_expression = 206,
  sym_object = 207,
  sym_object_pattern = 208,
  sym_assignment_pattern = 209,
  sym_object_assignment_pattern = 210,
  sym_array = 211,
  sym_array_pattern = 212,
  sym_glimmer_template = 213,
  sym_glimmer_opening_tag = 214,
  sym_glimmer_closing_tag = 215,
  sym_jsx_element = 216,
  sym_jsx_fragment = 217,
  sym_jsx_expression = 218,
  sym_jsx_opening_element = 219,
  sym_nested_identifier = 220,
  sym_jsx_namespace_name = 221,
  sym_jsx_closing_element = 222,
  sym_jsx_self_closing_element = 223,
  sym_jsx_attribute = 224,
  sym_class = 225,
  sym_class_declaration = 226,
  sym_class_heritage = 227,
  sym_function = 228,
  sym_function_declaration = 229,
  sym_generator_function = 230,
  sym_generator_function_declaration = 231,
  sym_arrow_function = 232,
  sym__call_signature = 233,
  sym__formal_parameter = 234,
  sym_optional_chain = 235,
  sym_call_expression = 236,
  sym_new_expression = 237,
  sym_await_expression = 238,
  sym_member_expression = 239,
  sym_subscript_expression = 240,
  sym_assignment_expression = 241,
  sym__augmented_assignment_lhs = 242,
  sym_augmented_assignment_expression = 243,
  sym__initializer = 244,
  sym__destructuring_pattern = 245,
  sym_spread_element = 246,
  sym_ternary_expression = 247,
  sym_binary_expression = 248,
  sym_unary_expression = 249,
  sym_update_expression = 250,
  sym_sequence_expression = 251,
  sym_string = 252,
  sym_template_string = 253,
  sym_template_substitution = 254,
  sym_regex = 255,
  sym_meta_property = 256,
  sym_arguments = 257,
  sym_decorator = 258,
  sym_decorator_member_expression = 259,
  sym_decorator_call_expression = 260,
  sym_class_body = 261,
  sym_formal_parameters = 262,
  sym_class_static_block = 263,
  sym_pattern = 264,
  sym_rest_pattern = 265,
  sym_method_definition = 266,
  sym_pair = 267,
  sym_pair_pattern = 268,
  sym__property_name = 269,
  sym_computed_property_name = 270,
  sym_public_field_definition = 271,
  sym__import_identifier = 272,
  sym_non_null_expression = 273,
  sym_method_signature = 274,
  sym_abstract_method_signature = 275,
  sym_function_signature = 276,
  sym_as_expression = 277,
  sym_satisfies_expression = 278,
  sym_import_require_clause = 279,
  sym_extends_clause = 280,
  sym_implements_clause = 281,
  sym_ambient_declaration = 282,
  sym_abstract_class_declaration = 283,
  sym_module = 284,
  sym_internal_module = 285,
  sym__module = 286,
  sym_import_alias = 287,
  sym_nested_type_identifier = 288,
  sym_interface_declaration = 289,
  sym_extends_type_clause = 290,
  sym_enum_declaration = 291,
  sym_enum_body = 292,
  sym_enum_assignment = 293,
  sym_type_alias_declaration = 294,
  sym_accessibility_modifier = 295,
  sym_override_modifier = 296,
  sym_required_parameter = 297,
  sym_optional_parameter = 298,
  sym__parameter_name = 299,
  sym_omitting_type_annotation = 300,
  sym_opting_type_annotation = 301,
  sym_type_annotation = 302,
  sym_asserts = 303,
  sym__type = 304,
  sym_tuple_parameter = 305,
  sym_optional_tuple_parameter = 306,
  sym_optional_type = 307,
  sym_rest_type = 308,
  sym__tuple_type_member = 309,
  sym_constructor_type = 310,
  sym__primary_type = 311,
  sym_template_type = 312,
  sym_template_literal_type = 313,
  sym_infer_type = 314,
  sym_conditional_type = 315,
  sym_generic_type = 316,
  sym_type_predicate = 317,
  sym_type_predicate_annotation = 318,
  sym__type_query_member_expression = 319,
  sym__type_query_subscript_expression = 320,
  sym__type_query_call_expression = 321,
  sym_type_query = 322,
  sym_index_type_query = 323,
  sym_lookup_type = 324,
  sym_mapped_type_clause = 325,
  sym_literal_type = 326,
  sym__number = 327,
  sym_existential_type = 328,
  sym_flow_maybe_type = 329,
  sym_parenthesized_type = 330,
  sym_predefined_type = 331,
  sym_type_arguments = 332,
  sym_object_type = 333,
  sym_call_signature = 334,
  sym_property_signature = 335,
  sym_type_parameters = 336,
  sym_type_parameter = 337,
  sym_default_type = 338,
  sym_constraint = 339,
  sym_construct_signature = 340,
  sym_index_signature = 341,
  sym_array_type = 342,
  sym_tuple_type = 343,
  sym_readonly_type = 344,
  sym_union_type = 345,
  sym_intersection_type = 346,
  sym_function_type = 347,
  aux_sym_program_repeat1 = 348,
  aux_sym_export_statement_repeat1 = 349,
  aux_sym_export_clause_repeat1 = 350,
  aux_sym_named_imports_repeat1 = 351,
  aux_sym_variable_declaration_repeat1 = 352,
  aux_sym_switch_body_repeat1 = 353,
  aux_sym_object_repeat1 = 354,
  aux_sym_object_pattern_repeat1 = 355,
  aux_sym_array_repeat1 = 356,
  aux_sym_array_pattern_repeat1 = 357,
  aux_sym_glimmer_template_repeat1 = 358,
  aux_sym_jsx_element_repeat1 = 359,
  aux_sym_string_repeat1 = 360,
  aux_sym_string_repeat2 = 361,
  aux_sym_template_string_repeat1 = 362,
  aux_sym_class_body_repeat1 = 363,
  aux_sym_formal_parameters_repeat1 = 364,
  aux_sym__jsx_start_opening_element_repeat1 = 365,
  aux_sym_extends_clause_repeat1 = 366,
  aux_sym_implements_clause_repeat1 = 367,
  aux_sym_extends_type_clause_repeat1 = 368,
  aux_sym_enum_body_repeat1 = 369,
  aux_sym_template_literal_type_repeat1 = 370,
  aux_sym_object_type_repeat1 = 371,
  aux_sym_type_parameters_repeat1 = 372,
  aux_sym_tuple_type_repeat1 = 373,
  alias_sym_property_identifier = 374,
  alias_sym_shorthand_property_identifier = 375,
  alias_sym_shorthand_property_identifier_pattern = 376,
  alias_sym_statement_identifier = 377,
  alias_sym_this_type = 378,
  alias_sym_type_identifier = 379,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_object] = "object",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__ternary_qmark] = "\?",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym_asserts] = "asserts",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym__jsx_start_opening_element_repeat1] = "_jsx_start_opening_element_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_fragment] = sym_jsx_fragment,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym_asserts] = sym_asserts,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym__jsx_start_opening_element_repeat1] = aux_sym__jsx_start_opening_element_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_start_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_content = 12,
  field_declaration = 13,
  field_decorator = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_increment = 19,
  field_index = 20,
  field_index_type = 21,
  field_initializer = 22,
  field_key = 23,
  field_kind = 24,
  field_label = 25,
  field_left = 26,
  field_module = 27,
  field_name = 28,
  field_object = 29,
  field_open_tag = 30,
  field_operator = 31,
  field_optional_chain = 32,
  field_parameter = 33,
  field_parameters = 34,
  field_pattern = 35,
  field_property = 36,
  field_return_type = 37,
  field_right = 38,
  field_sign = 39,
  field_source = 40,
  field_type = 41,
  field_type_arguments = 42,
  field_type_parameters = 43,
  field_value = 44,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 3, .length = 1},
  [13] = {.index = 12, .length = 1},
  [14] = {.index = 13, .length = 2},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 21, .length = 2},
  [19] = {.index = 23, .length = 2},
  [20] = {.index = 25, .length = 1},
  [21] = {.index = 26, .length = 2},
  [22] = {.index = 28, .length = 2},
  [23] = {.index = 30, .length = 2},
  [24] = {.index = 32, .length = 2},
  [28] = {.index = 34, .length = 1},
  [29] = {.index = 35, .length = 2},
  [30] = {.index = 37, .length = 2},
  [31] = {.index = 39, .length = 1},
  [32] = {.index = 40, .length = 2},
  [33] = {.index = 42, .length = 2},
  [34] = {.index = 44, .length = 6},
  [35] = {.index = 50, .length = 1},
  [36] = {.index = 51, .length = 3},
  [37] = {.index = 54, .length = 3},
  [38] = {.index = 57, .length = 2},
  [39] = {.index = 59, .length = 2},
  [40] = {.index = 61, .length = 2},
  [41] = {.index = 63, .length = 2},
  [42] = {.index = 65, .length = 2},
  [43] = {.index = 67, .length = 1},
  [44] = {.index = 68, .length = 1},
  [45] = {.index = 69, .length = 1},
  [46] = {.index = 70, .length = 2},
  [47] = {.index = 72, .length = 2},
  [48] = {.index = 74, .length = 2},
  [49] = {.index = 76, .length = 1},
  [52] = {.index = 77, .length = 2},
  [53] = {.index = 79, .length = 1},
  [54] = {.index = 80, .length = 2},
  [55] = {.index = 82, .length = 4},
  [56] = {.index = 86, .length = 2},
  [57] = {.index = 88, .length = 2},
  [58] = {.index = 26, .length = 2},
  [59] = {.index = 30, .length = 2},
  [60] = {.index = 74, .length = 2},
  [61] = {.index = 90, .length = 3},
  [62] = {.index = 93, .length = 2},
  [63] = {.index = 93, .length = 2},
  [64] = {.index = 95, .length = 3},
  [65] = {.index = 95, .length = 3},
  [66] = {.index = 98, .length = 3},
  [67] = {.index = 101, .length = 2},
  [68] = {.index = 103, .length = 3},
  [69] = {.index = 106, .length = 2},
  [70] = {.index = 108, .length = 4},
  [71] = {.index = 112, .length = 3},
  [72] = {.index = 115, .length = 2},
  [73] = {.index = 117, .length = 2},
  [74] = {.index = 119, .length = 1},
  [75] = {.index = 120, .length = 1},
  [76] = {.index = 26, .length = 2},
  [77] = {.index = 121, .length = 2},
  [78] = {.index = 123, .length = 5},
  [79] = {.index = 128, .length = 1},
  [80] = {.index = 129, .length = 2},
  [81] = {.index = 131, .length = 3},
  [82] = {.index = 134, .length = 2},
  [83] = {.index = 136, .length = 3},
  [84] = {.index = 139, .length = 6},
  [85] = {.index = 145, .length = 1},
  [86] = {.index = 146, .length = 1},
  [87] = {.index = 147, .length = 3},
  [88] = {.index = 150, .length = 3},
  [89] = {.index = 153, .length = 4},
  [90] = {.index = 157, .length = 2},
  [91] = {.index = 159, .length = 3},
  [92] = {.index = 162, .length = 2},
  [93] = {.index = 164, .length = 2},
  [94] = {.index = 166, .length = 2},
  [95] = {.index = 168, .length = 3},
  [96] = {.index = 171, .length = 2},
  [97] = {.index = 173, .length = 4},
  [98] = {.index = 177, .length = 2},
  [99] = {.index = 179, .length = 3},
  [100] = {.index = 182, .length = 2},
  [101] = {.index = 184, .length = 3},
  [102] = {.index = 187, .length = 3},
  [103] = {.index = 190, .length = 2},
  [104] = {.index = 192, .length = 2},
  [105] = {.index = 194, .length = 2},
  [106] = {.index = 196, .length = 2},
  [108] = {.index = 196, .length = 2},
  [109] = {.index = 198, .length = 2},
  [110] = {.index = 200, .length = 2},
  [111] = {.index = 202, .length = 4},
  [112] = {.index = 200, .length = 2},
  [113] = {.index = 206, .length = 4},
  [114] = {.index = 210, .length = 4},
  [115] = {.index = 214, .length = 5},
  [116] = {.index = 219, .length = 3},
  [117] = {.index = 134, .length = 2},
  [118] = {.index = 222, .length = 1},
  [119] = {.index = 222, .length = 1},
  [120] = {.index = 223, .length = 2},
  [121] = {.index = 225, .length = 3},
  [122] = {.index = 228, .length = 2},
  [123] = {.index = 230, .length = 3},
  [124] = {.index = 233, .length = 2},
  [125] = {.index = 235, .length = 3},
  [126] = {.index = 238, .length = 1},
  [127] = {.index = 239, .length = 2},
  [128] = {.index = 241, .length = 2},
  [129] = {.index = 243, .length = 5},
  [130] = {.index = 239, .length = 2},
  [131] = {.index = 248, .length = 1},
  [132] = {.index = 249, .length = 4},
  [133] = {.index = 253, .length = 2},
  [134] = {.index = 255, .length = 2},
  [135] = {.index = 257, .length = 3},
  [136] = {.index = 260, .length = 1},
  [137] = {.index = 261, .length = 2},
  [138] = {.index = 263, .length = 2},
  [139] = {.index = 265, .length = 2},
  [140] = {.index = 267, .length = 4},
  [141] = {.index = 271, .length = 3},
  [142] = {.index = 274, .length = 4},
  [143] = {.index = 278, .length = 4},
  [144] = {.index = 282, .length = 1},
  [145] = {.index = 283, .length = 4},
  [146] = {.index = 287, .length = 4},
  [147] = {.index = 291, .length = 2},
  [148] = {.index = 293, .length = 2},
  [149] = {.index = 295, .length = 4},
  [150] = {.index = 299, .length = 4},
  [151] = {.index = 303, .length = 5},
  [152] = {.index = 308, .length = 2},
  [153] = {.index = 310, .length = 3},
  [154] = {.index = 313, .length = 2},
  [155] = {.index = 313, .length = 2},
  [156] = {.index = 315, .length = 3},
  [157] = {.index = 318, .length = 3},
  [158] = {.index = 129, .length = 2},
  [159] = {.index = 321, .length = 2},
  [160] = {.index = 323, .length = 3},
  [161] = {.index = 326, .length = 4},
  [162] = {.index = 330, .length = 3},
  [163] = {.index = 333, .length = 3},
  [164] = {.index = 336, .length = 2},
  [165] = {.index = 338, .length = 3},
  [166] = {.index = 341, .length = 5},
  [167] = {.index = 336, .length = 2},
  [168] = {.index = 346, .length = 3},
  [169] = {.index = 346, .length = 3},
  [170] = {.index = 349, .length = 3},
  [171] = {.index = 352, .length = 2},
  [172] = {.index = 354, .length = 4},
  [173] = {.index = 129, .length = 2},
  [174] = {.index = 358, .length = 1},
  [175] = {.index = 359, .length = 2},
  [176] = {.index = 361, .length = 2},
  [177] = {.index = 363, .length = 2},
  [178] = {.index = 365, .length = 2},
  [179] = {.index = 367, .length = 3},
  [180] = {.index = 370, .length = 1},
  [181] = {.index = 371, .length = 3},
  [182] = {.index = 374, .length = 2},
  [183] = {.index = 376, .length = 2},
  [184] = {.index = 378, .length = 1},
  [185] = {.index = 379, .length = 4},
  [186] = {.index = 379, .length = 4},
  [187] = {.index = 383, .length = 4},
  [188] = {.index = 383, .length = 4},
  [189] = {.index = 387, .length = 4},
  [190] = {.index = 387, .length = 4},
  [191] = {.index = 391, .length = 2},
  [192] = {.index = 393, .length = 3},
  [193] = {.index = 396, .length = 5},
  [194] = {.index = 401, .length = 3},
  [195] = {.index = 404, .length = 2},
  [196] = {.index = 406, .length = 2},
  [197] = {.index = 408, .length = 2},
  [198] = {.index = 410, .length = 1},
  [199] = {.index = 411, .length = 4},
  [200] = {.index = 415, .length = 3},
  [201] = {.index = 418, .length = 4},
  [202] = {.index = 422, .length = 5},
  [203] = {.index = 427, .length = 1},
  [204] = {.index = 428, .length = 2},
  [205] = {.index = 430, .length = 4},
  [206] = {.index = 434, .length = 4},
  [207] = {.index = 438, .length = 2},
  [208] = {.index = 440, .length = 4},
  [209] = {.index = 444, .length = 4},
  [210] = {.index = 448, .length = 2},
  [211] = {.index = 450, .length = 2},
  [212] = {.index = 452, .length = 3},
  [213] = {.index = 455, .length = 3},
  [214] = {.index = 458, .length = 2},
  [215] = {.index = 460, .length = 2},
  [216] = {.index = 462, .length = 1},
  [217] = {.index = 463, .length = 1},
  [218] = {.index = 464, .length = 3},
  [219] = {.index = 467, .length = 2},
  [220] = {.index = 469, .length = 2},
  [221] = {.index = 471, .length = 4},
  [222] = {.index = 475, .length = 4},
  [223] = {.index = 479, .length = 4},
  [224] = {.index = 483, .length = 3},
  [225] = {.index = 486, .length = 2},
  [227] = {.index = 488, .length = 4},
  [228] = {.index = 492, .length = 5},
  [229] = {.index = 497, .length = 5},
  [230] = {.index = 502, .length = 5},
  [231] = {.index = 507, .length = 3},
  [232] = {.index = 510, .length = 3},
  [233] = {.index = 513, .length = 3},
  [234] = {.index = 510, .length = 3},
  [235] = {.index = 516, .length = 2},
  [236] = {.index = 518, .length = 4},
  [237] = {.index = 522, .length = 4},
  [238] = {.index = 526, .length = 3},
  [239] = {.index = 529, .length = 2},
  [240] = {.index = 531, .length = 2},
  [241] = {.index = 533, .length = 3},
  [242] = {.index = 536, .length = 2},
  [243] = {.index = 538, .length = 2},
  [244] = {.index = 540, .length = 1},
  [245] = {.index = 541, .length = 3},
  [246] = {.index = 544, .length = 2},
  [247] = {.index = 546, .length = 4},
  [248] = {.index = 550, .length = 4},
  [249] = {.index = 554, .length = 4},
  [250] = {.index = 558, .length = 3},
  [251] = {.index = 561, .length = 5},
  [252] = {.index = 566, .length = 5},
  [253] = {.index = 571, .length = 4},
  [254] = {.index = 575, .length = 4},
  [255] = {.index = 579, .length = 3},
  [256] = {.index = 582, .length = 3},
  [257] = {.index = 582, .length = 3},
  [258] = {.index = 585, .length = 2},
  [259] = {.index = 587, .length = 2},
  [260] = {.index = 589, .length = 3},
  [261] = {.index = 592, .length = 2},
  [262] = {.index = 594, .length = 2},
  [263] = {.index = 596, .length = 4},
  [264] = {.index = 600, .length = 5},
  [265] = {.index = 605, .length = 5},
  [266] = {.index = 610, .length = 4},
  [267] = {.index = 610, .length = 4},
  [268] = {.index = 614, .length = 4},
  [269] = {.index = 618, .length = 3},
  [270] = {.index = 621, .length = 2},
  [271] = {.index = 623, .length = 2},
  [272] = {.index = 625, .length = 3},
  [273] = {.index = 628, .length = 4},
  [274] = {.index = 632, .length = 5},
  [275] = {.index = 637, .length = 3},
  [276] = {.index = 640, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_constructor, 1},
  [13] =
    {field_argument, 0},
    {field_operator, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [19] =
    {field_parameters, 0},
    {field_return_type, 1},
  [21] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [23] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [25] =
    {field_declaration, 2},
  [26] =
    {field_left, 0},
    {field_right, 2},
  [28] =
    {field_body, 2},
    {field_label, 0},
  [30] =
    {field_body, 2},
    {field_parameter, 0},
  [32] =
    {field_body, 1},
    {field_name, 0},
  [34] =
    {field_source, 1},
  [35] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [37] =
    {field_name, 0},
    {field_type, 1},
  [39] =
    {field_kind, 0},
  [40] =
    {field_condition, 1},
    {field_consequence, 2},
  [42] =
    {field_body, 2},
    {field_value, 1},
  [44] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [50] =
    {field_pattern, 1},
  [51] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [54] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [57] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [59] =
    {field_body, 2},
    {field_condition, 1},
  [61] =
    {field_body, 1},
    {field_handler, 2},
  [63] =
    {field_body, 1},
    {field_finalizer, 2},
  [65] =
    {field_body, 2},
    {field_object, 1},
  [67] =
    {field_label, 1},
  [68] =
    {field_name, 1},
  [69] =
    {field_attribute, 0},
  [70] =
    {field_name, 0},
    {field_value, 1},
  [72] =
    {field_constraint, 1},
    {field_name, 0},
  [74] =
    {field_body, 2},
    {field_name, 1},
  [76] =
    {field_value, 1},
  [77] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [79] =
    {field_body, 2},
  [80] =
    {field_body, 2},
    {field_type_parameters, 1},
  [82] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [86] =
    {field_arguments, 2},
    {field_constructor, 1},
  [88] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [90] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [93] =
    {field_object, 0},
    {field_property, 2},
  [95] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [98] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [101] =
    {field_arguments, 2},
    {field_function, 0},
  [103] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [106] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [108] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [112] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [115] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [117] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [119] =
    {field_source, 2, .inherited = true},
  [120] =
    {field_value, 2},
  [121] =
    {field_key, 0},
    {field_value, 2},
  [123] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [128] =
    {field_source, 2},
  [129] =
    {field_name, 0},
    {field_type, 2},
  [131] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [134] =
    {field_body, 3},
    {field_name, 2},
  [136] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [139] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [145] =
    {field_type, 2},
  [146] =
    {field_pattern, 2},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [150] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [153] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [157] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [159] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [162] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [164] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [166] =
    {field_name, 1},
    {field_type_arguments, 2},
  [168] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [171] =
    {field_flags, 3},
    {field_pattern, 1},
  [173] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [177] =
    {field_body, 3},
    {field_name, 1},
  [179] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [182] =
    {field_type_arguments, 2},
    {field_value, 1},
  [184] =
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [187] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [190] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [192] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [194] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [196] =
    {field_name, 0},
    {field_type_arguments, 1},
  [198] =
    {field_body, 3},
    {field_type_parameters, 1},
  [200] =
    {field_body, 3},
    {field_parameter, 1},
  [202] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [206] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [210] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [214] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [219] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [222] =
    {field_type, 1},
  [223] =
    {field_index, 2},
    {field_object, 0},
  [225] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [228] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [230] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [233] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [235] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [238] =
    {field_source, 3, .inherited = true},
  [239] =
    {field_alias, 2},
    {field_name, 0},
  [241] =
    {field_name, 1},
    {field_value, 3},
  [243] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [248] =
    {field_pattern, 3},
  [249] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [253] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [255] =
    {field_body, 1},
    {field_condition, 3},
  [257] =
    {field_attribute, 3, .inherited = true},
    {field_name, 1},
    {field_type_arguments, 2},
  [260] =
    {field_name, 2},
  [261] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [263] =
    {field_name, 1},
    {field_type, 2},
  [265] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [267] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [271] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [274] =
    {field_type_arguments, 2},
    {field_type_arguments, 3, .inherited = true},
    {field_value, 1},
    {field_value, 3, .inherited = true},
  [278] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [282] =
    {field_parameters, 1},
  [283] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [287] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [291] =
    {field_module, 0},
    {field_name, 2},
  [293] =
    {field_parameters, 0},
    {field_return_type, 2},
  [295] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [299] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [303] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [308] =
    {field_body, 4},
    {field_name, 2},
  [310] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [313] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [315] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [318] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [321] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [323] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [326] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [330] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [333] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [336] =
    {field_alias, 3},
    {field_name, 1},
  [338] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [341] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [346] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [349] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [352] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [354] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [358] =
    {field_type, 3},
  [359] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [361] =
    {field_name, 2},
    {field_type, 3},
  [363] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [365] =
    {field_name, 1},
    {field_type, 3},
  [367] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [370] =
    {field_name, 3},
  [371] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [374] =
    {field_parameters, 1},
    {field_type, 2},
  [376] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [378] =
    {field_parameters, 2},
  [379] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [383] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [387] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [391] =
    {field_parameters, 1},
    {field_type, 3},
  [393] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [396] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [401] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [404] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [406] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [408] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [410] =
    {field_name, 2, .inherited = true},
  [411] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [415] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [418] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [422] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [427] =
    {field_source, 4},
  [428] =
    {field_body, 3},
    {field_value, 1},
  [430] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [434] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [438] =
    {field_body, 4},
    {field_parameter, 2},
  [440] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [444] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [448] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [450] =
    {field_name, 2},
    {field_type, 4},
  [452] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [455] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [458] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [460] =
    {field_name, 3},
    {field_type, 4},
  [462] =
    {field_type, 4},
  [463] =
    {field_name, 4},
  [464] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [467] =
    {field_parameters, 2},
    {field_type, 3},
  [469] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [471] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [475] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [479] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [483] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [486] =
    {field_parameters, 2},
    {field_type, 4},
  [488] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [492] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [497] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [502] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [507] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [510] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [513] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [516] =
    {field_sign, 0},
    {field_type, 5},
  [518] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [522] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [526] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [529] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [531] =
    {field_name, 3},
    {field_type, 5},
  [533] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [536] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [538] =
    {field_name, 4},
    {field_type, 5},
  [540] =
    {field_name, 5},
  [541] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [544] =
    {field_index, 3},
    {field_object, 0},
  [546] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [550] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [554] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [558] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [561] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [566] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [571] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [575] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [579] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [582] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [585] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [587] =
    {field_name, 4},
    {field_type, 6},
  [589] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [592] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [594] =
    {field_name, 5},
    {field_type, 6},
  [596] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [600] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [605] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [610] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [614] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [618] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [621] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [623] =
    {field_name, 5},
    {field_type, 7},
  [625] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [628] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [632] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [637] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [640] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [21] = {
    [0] = sym_identifier,
  },
  [22] = {
    [0] = alias_sym_statement_identifier,
  },
  [23] = {
    [0] = sym_identifier,
  },
  [25] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [26] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [27] = {
    [1] = sym_identifier,
  },
  [43] = {
    [1] = alias_sym_statement_identifier,
  },
  [46] = {
    [0] = alias_sym_type_identifier,
  },
  [47] = {
    [0] = alias_sym_type_identifier,
  },
  [48] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_this_type,
  },
  [62] = {
    [2] = alias_sym_property_identifier,
  },
  [64] = {
    [2] = alias_sym_property_identifier,
  },
  [76] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [95] = {
    [0] = alias_sym_type_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [99] = {
    [1] = alias_sym_type_identifier,
  },
  [106] = {
    [0] = alias_sym_type_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [110] = {
    [1] = sym_identifier,
  },
  [117] = {
    [2] = alias_sym_type_identifier,
  },
  [118] = {
    [1] = alias_sym_type_identifier,
  },
  [123] = {
    [2] = alias_sym_type_identifier,
  },
  [128] = {
    [1] = alias_sym_type_identifier,
  },
  [130] = {
    [0] = sym_identifier,
  },
  [141] = {
    [1] = alias_sym_type_identifier,
  },
  [147] = {
    [2] = alias_sym_type_identifier,
  },
  [152] = {
    [2] = alias_sym_type_identifier,
  },
  [153] = {
    [2] = alias_sym_type_identifier,
  },
  [154] = {
    [1] = alias_sym_type_identifier,
  },
  [158] = {
    [0] = sym_identifier,
  },
  [160] = {
    [2] = alias_sym_type_identifier,
  },
  [161] = {
    [2] = alias_sym_type_identifier,
  },
  [163] = {
    [3] = alias_sym_type_identifier,
  },
  [165] = {
    [1] = alias_sym_type_identifier,
  },
  [167] = {
    [1] = sym_identifier,
  },
  [168] = {
    [1] = sym_identifier,
  },
  [173] = {
    [0] = alias_sym_type_identifier,
  },
  [185] = {
    [2] = alias_sym_property_identifier,
  },
  [187] = {
    [2] = alias_sym_property_identifier,
  },
  [189] = {
    [2] = alias_sym_property_identifier,
  },
  [194] = {
    [2] = alias_sym_type_identifier,
  },
  [199] = {
    [2] = alias_sym_type_identifier,
  },
  [200] = {
    [3] = alias_sym_type_identifier,
  },
  [201] = {
    [3] = alias_sym_type_identifier,
  },
  [226] = {
    [3] = alias_sym_property_identifier,
  },
  [227] = {
    [3] = alias_sym_type_identifier,
  },
  [232] = {
    [1] = sym_identifier,
  },
  [233] = {
    [0] = alias_sym_type_identifier,
  },
  [256] = {
    [2] = sym_identifier,
  },
  [266] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 15,
  [19] = 15,
  [20] = 14,
  [21] = 15,
  [22] = 14,
  [23] = 14,
  [24] = 15,
  [25] = 25,
  [26] = 14,
  [27] = 15,
  [28] = 14,
  [29] = 15,
  [30] = 14,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 32,
  [36] = 36,
  [37] = 36,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 38,
  [42] = 42,
  [43] = 31,
  [44] = 44,
  [45] = 39,
  [46] = 33,
  [47] = 42,
  [48] = 44,
  [49] = 34,
  [50] = 50,
  [51] = 51,
  [52] = 51,
  [53] = 53,
  [54] = 54,
  [55] = 51,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 51,
  [61] = 51,
  [62] = 51,
  [63] = 57,
  [64] = 51,
  [65] = 51,
  [66] = 51,
  [67] = 51,
  [68] = 68,
  [69] = 68,
  [70] = 68,
  [71] = 71,
  [72] = 71,
  [73] = 71,
  [74] = 71,
  [75] = 71,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 78,
  [80] = 80,
  [81] = 78,
  [82] = 78,
  [83] = 78,
  [84] = 78,
  [85] = 78,
  [86] = 86,
  [87] = 78,
  [88] = 78,
  [89] = 89,
  [90] = 89,
  [91] = 89,
  [92] = 89,
  [93] = 89,
  [94] = 89,
  [95] = 89,
  [96] = 89,
  [97] = 97,
  [98] = 97,
  [99] = 99,
  [100] = 97,
  [101] = 99,
  [102] = 99,
  [103] = 103,
  [104] = 103,
  [105] = 103,
  [106] = 103,
  [107] = 107,
  [108] = 108,
  [109] = 108,
  [110] = 103,
  [111] = 108,
  [112] = 103,
  [113] = 103,
  [114] = 107,
  [115] = 103,
  [116] = 116,
  [117] = 116,
  [118] = 118,
  [119] = 119,
  [120] = 118,
  [121] = 121,
  [122] = 119,
  [123] = 121,
  [124] = 121,
  [125] = 118,
  [126] = 119,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 129,
  [131] = 128,
  [132] = 129,
  [133] = 129,
  [134] = 129,
  [135] = 135,
  [136] = 136,
  [137] = 129,
  [138] = 129,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 136,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 151,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 136,
  [166] = 162,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 136,
  [179] = 136,
  [180] = 176,
  [181] = 136,
  [182] = 136,
  [183] = 176,
  [184] = 136,
  [185] = 185,
  [186] = 176,
  [187] = 176,
  [188] = 136,
  [189] = 176,
  [190] = 176,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 191,
  [196] = 193,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 199,
  [202] = 202,
  [203] = 199,
  [204] = 204,
  [205] = 205,
  [206] = 199,
  [207] = 199,
  [208] = 208,
  [209] = 199,
  [210] = 199,
  [211] = 199,
  [212] = 204,
  [213] = 200,
  [214] = 199,
  [215] = 199,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 199,
  [220] = 199,
  [221] = 199,
  [222] = 222,
  [223] = 222,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 228,
  [230] = 228,
  [231] = 228,
  [232] = 232,
  [233] = 233,
  [234] = 226,
  [235] = 228,
  [236] = 228,
  [237] = 237,
  [238] = 228,
  [239] = 228,
  [240] = 225,
  [241] = 241,
  [242] = 242,
  [243] = 226,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 228,
  [255] = 255,
  [256] = 232,
  [257] = 251,
  [258] = 258,
  [259] = 225,
  [260] = 258,
  [261] = 261,
  [262] = 253,
  [263] = 226,
  [264] = 226,
  [265] = 244,
  [266] = 245,
  [267] = 246,
  [268] = 246,
  [269] = 245,
  [270] = 244,
  [271] = 226,
  [272] = 244,
  [273] = 245,
  [274] = 253,
  [275] = 246,
  [276] = 261,
  [277] = 232,
  [278] = 225,
  [279] = 253,
  [280] = 280,
  [281] = 246,
  [282] = 245,
  [283] = 244,
  [284] = 226,
  [285] = 253,
  [286] = 255,
  [287] = 225,
  [288] = 225,
  [289] = 232,
  [290] = 225,
  [291] = 253,
  [292] = 246,
  [293] = 245,
  [294] = 244,
  [295] = 232,
  [296] = 232,
  [297] = 244,
  [298] = 225,
  [299] = 245,
  [300] = 253,
  [301] = 246,
  [302] = 245,
  [303] = 244,
  [304] = 246,
  [305] = 226,
  [306] = 253,
  [307] = 232,
  [308] = 226,
  [309] = 232,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 310,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 325,
  [327] = 311,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 332,
  [335] = 329,
  [336] = 325,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 339,
  [342] = 342,
  [343] = 329,
  [344] = 332,
  [345] = 345,
  [346] = 346,
  [347] = 329,
  [348] = 330,
  [349] = 331,
  [350] = 332,
  [351] = 351,
  [352] = 330,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 331,
  [357] = 337,
  [358] = 329,
  [359] = 351,
  [360] = 332,
  [361] = 353,
  [362] = 362,
  [363] = 337,
  [364] = 364,
  [365] = 355,
  [366] = 353,
  [367] = 312,
  [368] = 313,
  [369] = 314,
  [370] = 315,
  [371] = 316,
  [372] = 317,
  [373] = 373,
  [374] = 310,
  [375] = 320,
  [376] = 321,
  [377] = 325,
  [378] = 322,
  [379] = 323,
  [380] = 324,
  [381] = 311,
  [382] = 382,
  [383] = 311,
  [384] = 353,
  [385] = 329,
  [386] = 328,
  [387] = 353,
  [388] = 353,
  [389] = 330,
  [390] = 339,
  [391] = 391,
  [392] = 331,
  [393] = 393,
  [394] = 325,
  [395] = 325,
  [396] = 353,
  [397] = 339,
  [398] = 330,
  [399] = 355,
  [400] = 324,
  [401] = 339,
  [402] = 353,
  [403] = 325,
  [404] = 353,
  [405] = 405,
  [406] = 323,
  [407] = 331,
  [408] = 331,
  [409] = 355,
  [410] = 328,
  [411] = 312,
  [412] = 313,
  [413] = 311,
  [414] = 314,
  [415] = 324,
  [416] = 315,
  [417] = 316,
  [418] = 317,
  [419] = 323,
  [420] = 310,
  [421] = 351,
  [422] = 320,
  [423] = 313,
  [424] = 321,
  [425] = 322,
  [426] = 322,
  [427] = 323,
  [428] = 324,
  [429] = 339,
  [430] = 321,
  [431] = 330,
  [432] = 311,
  [433] = 320,
  [434] = 328,
  [435] = 322,
  [436] = 317,
  [437] = 316,
  [438] = 315,
  [439] = 314,
  [440] = 313,
  [441] = 312,
  [442] = 321,
  [443] = 328,
  [444] = 353,
  [445] = 331,
  [446] = 353,
  [447] = 320,
  [448] = 314,
  [449] = 315,
  [450] = 355,
  [451] = 310,
  [452] = 317,
  [453] = 453,
  [454] = 338,
  [455] = 316,
  [456] = 315,
  [457] = 316,
  [458] = 314,
  [459] = 313,
  [460] = 312,
  [461] = 453,
  [462] = 317,
  [463] = 353,
  [464] = 310,
  [465] = 320,
  [466] = 351,
  [467] = 355,
  [468] = 312,
  [469] = 313,
  [470] = 312,
  [471] = 314,
  [472] = 315,
  [473] = 330,
  [474] = 332,
  [475] = 321,
  [476] = 328,
  [477] = 325,
  [478] = 328,
  [479] = 331,
  [480] = 316,
  [481] = 317,
  [482] = 324,
  [483] = 310,
  [484] = 328,
  [485] = 323,
  [486] = 311,
  [487] = 339,
  [488] = 324,
  [489] = 323,
  [490] = 322,
  [491] = 321,
  [492] = 320,
  [493] = 310,
  [494] = 317,
  [495] = 316,
  [496] = 315,
  [497] = 314,
  [498] = 313,
  [499] = 312,
  [500] = 311,
  [501] = 329,
  [502] = 355,
  [503] = 332,
  [504] = 324,
  [505] = 322,
  [506] = 355,
  [507] = 353,
  [508] = 323,
  [509] = 509,
  [510] = 339,
  [511] = 322,
  [512] = 321,
  [513] = 330,
  [514] = 320,
  [515] = 329,
  [516] = 332,
  [517] = 517,
  [518] = 517,
  [519] = 517,
  [520] = 520,
  [521] = 520,
  [522] = 522,
  [523] = 522,
  [524] = 522,
  [525] = 525,
  [526] = 525,
  [527] = 527,
  [528] = 527,
  [529] = 527,
  [530] = 530,
  [531] = 530,
  [532] = 532,
  [533] = 530,
  [534] = 169,
  [535] = 532,
  [536] = 163,
  [537] = 537,
  [538] = 537,
  [539] = 532,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 545,
  [547] = 547,
  [548] = 545,
  [549] = 547,
  [550] = 547,
  [551] = 551,
  [552] = 552,
  [553] = 552,
  [554] = 554,
  [555] = 554,
  [556] = 554,
  [557] = 554,
  [558] = 558,
  [559] = 559,
  [560] = 554,
  [561] = 558,
  [562] = 551,
  [563] = 554,
  [564] = 554,
  [565] = 554,
  [566] = 566,
  [567] = 554,
  [568] = 167,
  [569] = 554,
  [570] = 152,
  [571] = 571,
  [572] = 172,
  [573] = 146,
  [574] = 167,
  [575] = 160,
  [576] = 172,
  [577] = 577,
  [578] = 152,
  [579] = 579,
  [580] = 554,
  [581] = 170,
  [582] = 577,
  [583] = 583,
  [584] = 577,
  [585] = 160,
  [586] = 552,
  [587] = 554,
  [588] = 139,
  [589] = 554,
  [590] = 551,
  [591] = 559,
  [592] = 592,
  [593] = 554,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 140,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 153,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 554,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 146,
  [643] = 170,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 174,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 156,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 761,
  [763] = 761,
  [764] = 761,
  [765] = 761,
  [766] = 766,
  [767] = 767,
  [768] = 767,
  [769] = 766,
  [770] = 766,
  [771] = 767,
  [772] = 766,
  [773] = 767,
  [774] = 767,
  [775] = 766,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 793,
  [795] = 795,
  [796] = 795,
  [797] = 795,
  [798] = 793,
  [799] = 799,
  [800] = 799,
  [801] = 799,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 802,
  [809] = 806,
  [810] = 807,
  [811] = 805,
  [812] = 803,
  [813] = 805,
  [814] = 803,
  [815] = 815,
  [816] = 802,
  [817] = 802,
  [818] = 807,
  [819] = 815,
  [820] = 815,
  [821] = 815,
  [822] = 822,
  [823] = 815,
  [824] = 802,
  [825] = 822,
  [826] = 815,
  [827] = 807,
  [828] = 806,
  [829] = 815,
  [830] = 807,
  [831] = 806,
  [832] = 806,
  [833] = 815,
  [834] = 803,
  [835] = 815,
  [836] = 802,
  [837] = 805,
  [838] = 838,
  [839] = 806,
  [840] = 815,
  [841] = 807,
  [842] = 815,
  [843] = 807,
  [844] = 803,
  [845] = 805,
  [846] = 815,
  [847] = 805,
  [848] = 806,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 854,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 852,
  [861] = 861,
  [862] = 862,
  [863] = 862,
  [864] = 864,
  [865] = 865,
  [866] = 856,
  [867] = 851,
  [868] = 857,
  [869] = 849,
  [870] = 870,
  [871] = 871,
  [872] = 865,
  [873] = 857,
  [874] = 874,
  [875] = 864,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 861,
  [881] = 849,
  [882] = 862,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 878,
  [888] = 861,
  [889] = 858,
  [890] = 878,
  [891] = 849,
  [892] = 870,
  [893] = 859,
  [894] = 894,
  [895] = 864,
  [896] = 865,
  [897] = 856,
  [898] = 886,
  [899] = 870,
  [900] = 858,
  [901] = 859,
  [902] = 878,
  [903] = 886,
  [904] = 856,
  [905] = 865,
  [906] = 864,
  [907] = 852,
  [908] = 864,
  [909] = 862,
  [910] = 849,
  [911] = 857,
  [912] = 865,
  [913] = 851,
  [914] = 914,
  [915] = 915,
  [916] = 856,
  [917] = 876,
  [918] = 861,
  [919] = 851,
  [920] = 870,
  [921] = 878,
  [922] = 858,
  [923] = 859,
  [924] = 862,
  [925] = 874,
  [926] = 852,
  [927] = 927,
  [928] = 849,
  [929] = 862,
  [930] = 861,
  [931] = 870,
  [932] = 857,
  [933] = 874,
  [934] = 876,
  [935] = 851,
  [936] = 874,
  [937] = 914,
  [938] = 886,
  [939] = 851,
  [940] = 914,
  [941] = 857,
  [942] = 876,
  [943] = 914,
  [944] = 852,
  [945] = 878,
  [946] = 870,
  [947] = 856,
  [948] = 865,
  [949] = 864,
  [950] = 879,
  [951] = 886,
  [952] = 861,
  [953] = 953,
  [954] = 852,
  [955] = 955,
  [956] = 877,
  [957] = 927,
  [958] = 958,
  [959] = 955,
  [960] = 858,
  [961] = 961,
  [962] = 859,
  [963] = 963,
  [964] = 862,
  [965] = 914,
  [966] = 853,
  [967] = 967,
  [968] = 859,
  [969] = 969,
  [970] = 876,
  [971] = 874,
  [972] = 886,
  [973] = 973,
  [974] = 874,
  [975] = 975,
  [976] = 876,
  [977] = 914,
  [978] = 978,
  [979] = 969,
  [980] = 858,
  [981] = 927,
  [982] = 838,
  [983] = 983,
  [984] = 927,
  [985] = 927,
  [986] = 986,
  [987] = 986,
  [988] = 927,
  [989] = 989,
  [990] = 983,
  [991] = 991,
  [992] = 991,
  [993] = 927,
  [994] = 927,
  [995] = 991,
  [996] = 927,
  [997] = 927,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1003,
  [1010] = 1005,
  [1011] = 927,
  [1012] = 927,
  [1013] = 1013,
  [1014] = 1013,
  [1015] = 1015,
  [1016] = 1003,
  [1017] = 1000,
  [1018] = 822,
  [1019] = 1019,
  [1020] = 1005,
  [1021] = 927,
  [1022] = 927,
  [1023] = 1023,
  [1024] = 838,
  [1025] = 780,
  [1026] = 989,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 927,
  [1031] = 1031,
  [1032] = 1027,
  [1033] = 789,
  [1034] = 1027,
  [1035] = 1035,
  [1036] = 1029,
  [1037] = 927,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1027,
  [1042] = 1027,
  [1043] = 1029,
  [1044] = 1023,
  [1045] = 1027,
  [1046] = 1046,
  [1047] = 1023,
  [1048] = 1048,
  [1049] = 1038,
  [1050] = 1023,
  [1051] = 1039,
  [1052] = 1048,
  [1053] = 1053,
  [1054] = 1040,
  [1055] = 1048,
  [1056] = 1056,
  [1057] = 1040,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1058,
  [1062] = 1027,
  [1063] = 1060,
  [1064] = 1040,
  [1065] = 1027,
  [1066] = 1066,
  [1067] = 1059,
  [1068] = 1053,
  [1069] = 1027,
  [1070] = 1066,
  [1071] = 1023,
  [1072] = 1023,
  [1073] = 1040,
  [1074] = 1074,
  [1075] = 1031,
  [1076] = 1040,
  [1077] = 1058,
  [1078] = 1059,
  [1079] = 1027,
  [1080] = 1006,
  [1081] = 1081,
  [1082] = 1058,
  [1083] = 1046,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1058,
  [1087] = 1048,
  [1088] = 1059,
  [1089] = 1031,
  [1090] = 780,
  [1091] = 1015,
  [1092] = 1092,
  [1093] = 1058,
  [1094] = 1001,
  [1095] = 1023,
  [1096] = 1008,
  [1097] = 1019,
  [1098] = 1027,
  [1099] = 999,
  [1100] = 1023,
  [1101] = 1074,
  [1102] = 1081,
  [1103] = 1059,
  [1104] = 1059,
  [1105] = 789,
  [1106] = 1085,
  [1107] = 1004,
  [1108] = 1040,
  [1109] = 1056,
  [1110] = 1023,
  [1111] = 1058,
  [1112] = 1040,
  [1113] = 1113,
  [1114] = 1058,
  [1115] = 1031,
  [1116] = 1027,
  [1117] = 1059,
  [1118] = 1035,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1059,
  [1123] = 1031,
  [1124] = 1124,
  [1125] = 1027,
  [1126] = 1059,
  [1127] = 1127,
  [1128] = 1058,
  [1129] = 1059,
  [1130] = 1058,
  [1131] = 1124,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1039,
  [1135] = 1058,
  [1136] = 1040,
  [1137] = 1137,
  [1138] = 1031,
  [1139] = 1139,
  [1140] = 1031,
  [1141] = 1038,
  [1142] = 1059,
  [1143] = 1058,
  [1144] = 1144,
  [1145] = 1059,
  [1146] = 1146,
  [1147] = 1066,
  [1148] = 1059,
  [1149] = 1092,
  [1150] = 1150,
  [1151] = 1059,
  [1152] = 1031,
  [1153] = 1058,
  [1154] = 1084,
  [1155] = 1058,
  [1156] = 1046,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1056,
  [1160] = 1059,
  [1161] = 1031,
  [1162] = 1058,
  [1163] = 1119,
  [1164] = 1164,
  [1165] = 1164,
  [1166] = 1164,
  [1167] = 1164,
  [1168] = 1164,
  [1169] = 1164,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1171,
  [1176] = 1173,
  [1177] = 1172,
  [1178] = 1171,
  [1179] = 1174,
  [1180] = 1172,
  [1181] = 1174,
  [1182] = 1172,
  [1183] = 1171,
  [1184] = 1171,
  [1185] = 1174,
  [1186] = 1173,
  [1187] = 1172,
  [1188] = 1173,
  [1189] = 1174,
  [1190] = 1171,
  [1191] = 1173,
  [1192] = 1173,
  [1193] = 1172,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1197,
  [1199] = 169,
  [1200] = 1197,
  [1201] = 163,
  [1202] = 1197,
  [1203] = 1197,
  [1204] = 1197,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 139,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1209,
  [1212] = 1209,
  [1213] = 1209,
  [1214] = 1209,
  [1215] = 140,
  [1216] = 1209,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 163,
  [1221] = 1221,
  [1222] = 1209,
  [1223] = 1223,
  [1224] = 169,
  [1225] = 141,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 167,
  [1231] = 140,
  [1232] = 139,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 153,
  [1245] = 1245,
  [1246] = 544,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 543,
  [1269] = 1269,
  [1270] = 152,
  [1271] = 540,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 791,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 541,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 792,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 790,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 542,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1342,
  [1357] = 1357,
  [1358] = 160,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1248,
  [1370] = 1205,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1262,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 172,
  [1379] = 1379,
  [1380] = 156,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 153,
  [1392] = 174,
  [1393] = 1302,
  [1394] = 1256,
  [1395] = 1395,
  [1396] = 1262,
  [1397] = 1355,
  [1398] = 1272,
  [1399] = 1277,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1336,
  [1403] = 1403,
  [1404] = 1321,
  [1405] = 1390,
  [1406] = 1406,
  [1407] = 1248,
  [1408] = 170,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1320,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 160,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1325,
  [1420] = 1317,
  [1421] = 1316,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1315,
  [1430] = 1314,
  [1431] = 1390,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1253,
  [1440] = 1256,
  [1441] = 1381,
  [1442] = 1312,
  [1443] = 1310,
  [1444] = 1309,
  [1445] = 1308,
  [1446] = 1306,
  [1447] = 1206,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1305,
  [1451] = 1451,
  [1452] = 170,
  [1453] = 1288,
  [1454] = 1390,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1253,
  [1462] = 1272,
  [1463] = 1463,
  [1464] = 146,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 174,
  [1468] = 1302,
  [1469] = 167,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1277,
  [1474] = 1325,
  [1475] = 1288,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1342,
  [1479] = 1336,
  [1480] = 1295,
  [1481] = 1291,
  [1482] = 1355,
  [1483] = 1483,
  [1484] = 1294,
  [1485] = 1295,
  [1486] = 146,
  [1487] = 1321,
  [1488] = 1320,
  [1489] = 1317,
  [1490] = 1294,
  [1491] = 1316,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1291,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1374,
  [1498] = 152,
  [1499] = 1499,
  [1500] = 1305,
  [1501] = 1501,
  [1502] = 1306,
  [1503] = 1308,
  [1504] = 1309,
  [1505] = 1310,
  [1506] = 172,
  [1507] = 1379,
  [1508] = 1312,
  [1509] = 156,
  [1510] = 1315,
  [1511] = 1511,
  [1512] = 1314,
  [1513] = 1223,
  [1514] = 1219,
  [1515] = 1381,
  [1516] = 1321,
  [1517] = 1314,
  [1518] = 1352,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1321,
  [1523] = 1320,
  [1524] = 1217,
  [1525] = 1297,
  [1526] = 1210,
  [1527] = 1521,
  [1528] = 1374,
  [1529] = 1529,
  [1530] = 1262,
  [1531] = 1256,
  [1532] = 1520,
  [1533] = 1521,
  [1534] = 1320,
  [1535] = 1355,
  [1536] = 1272,
  [1537] = 1277,
  [1538] = 1288,
  [1539] = 1291,
  [1540] = 1294,
  [1541] = 1295,
  [1542] = 1302,
  [1543] = 1543,
  [1544] = 1305,
  [1545] = 1306,
  [1546] = 1308,
  [1547] = 1547,
  [1548] = 1317,
  [1549] = 1253,
  [1550] = 1550,
  [1551] = 1248,
  [1552] = 1552,
  [1553] = 1309,
  [1554] = 1310,
  [1555] = 1312,
  [1556] = 1336,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1316,
  [1560] = 1315,
  [1561] = 1316,
  [1562] = 1315,
  [1563] = 1221,
  [1564] = 1317,
  [1565] = 1294,
  [1566] = 1566,
  [1567] = 1438,
  [1568] = 1342,
  [1569] = 1314,
  [1570] = 1550,
  [1571] = 1355,
  [1572] = 1336,
  [1573] = 1342,
  [1574] = 1325,
  [1575] = 1312,
  [1576] = 1310,
  [1577] = 1521,
  [1578] = 1520,
  [1579] = 1325,
  [1580] = 1519,
  [1581] = 1248,
  [1582] = 1253,
  [1583] = 1256,
  [1584] = 1262,
  [1585] = 1519,
  [1586] = 1438,
  [1587] = 1226,
  [1588] = 1588,
  [1589] = 1519,
  [1590] = 1590,
  [1591] = 1208,
  [1592] = 1218,
  [1593] = 1521,
  [1594] = 1594,
  [1595] = 1590,
  [1596] = 1272,
  [1597] = 1308,
  [1598] = 1277,
  [1599] = 1599,
  [1600] = 1288,
  [1601] = 1352,
  [1602] = 1338,
  [1603] = 1338,
  [1604] = 1352,
  [1605] = 1520,
  [1606] = 1306,
  [1607] = 1521,
  [1608] = 1521,
  [1609] = 1291,
  [1610] = 1379,
  [1611] = 1295,
  [1612] = 1302,
  [1613] = 1613,
  [1614] = 1520,
  [1615] = 1519,
  [1616] = 1309,
  [1617] = 1305,
  [1618] = 1618,
  [1619] = 1338,
  [1620] = 1329,
  [1621] = 1350,
  [1622] = 1622,
  [1623] = 1287,
  [1624] = 1286,
  [1625] = 1284,
  [1626] = 1282,
  [1627] = 1335,
  [1628] = 1279,
  [1629] = 1278,
  [1630] = 1276,
  [1631] = 1275,
  [1632] = 1273,
  [1633] = 1352,
  [1634] = 540,
  [1635] = 1622,
  [1636] = 1301,
  [1637] = 1338,
  [1638] = 1303,
  [1639] = 1343,
  [1640] = 1243,
  [1641] = 1641,
  [1642] = 1242,
  [1643] = 792,
  [1644] = 1236,
  [1645] = 1376,
  [1646] = 1622,
  [1647] = 1622,
  [1648] = 541,
  [1649] = 1649,
  [1650] = 1311,
  [1651] = 1318,
  [1652] = 1324,
  [1653] = 1266,
  [1654] = 1326,
  [1655] = 1264,
  [1656] = 1263,
  [1657] = 1261,
  [1658] = 1260,
  [1659] = 1259,
  [1660] = 1258,
  [1661] = 1257,
  [1662] = 1255,
  [1663] = 1254,
  [1664] = 790,
  [1665] = 1252,
  [1666] = 1666,
  [1667] = 1618,
  [1668] = 1668,
  [1669] = 1249,
  [1670] = 1330,
  [1671] = 544,
  [1672] = 1331,
  [1673] = 1332,
  [1674] = 1333,
  [1675] = 1334,
  [1676] = 1248,
  [1677] = 1253,
  [1678] = 1337,
  [1679] = 1256,
  [1680] = 1339,
  [1681] = 1340,
  [1682] = 1341,
  [1683] = 1345,
  [1684] = 1346,
  [1685] = 1262,
  [1686] = 1347,
  [1687] = 1687,
  [1688] = 1319,
  [1689] = 1296,
  [1690] = 1558,
  [1691] = 1449,
  [1692] = 1451,
  [1693] = 1693,
  [1694] = 1349,
  [1695] = 1299,
  [1696] = 1338,
  [1697] = 1697,
  [1698] = 791,
  [1699] = 1233,
  [1700] = 1700,
  [1701] = 1558,
  [1702] = 1352,
  [1703] = 1289,
  [1704] = 1558,
  [1705] = 542,
  [1706] = 1353,
  [1707] = 1237,
  [1708] = 1240,
  [1709] = 1328,
  [1710] = 1304,
  [1711] = 1300,
  [1712] = 1293,
  [1713] = 1290,
  [1714] = 1285,
  [1715] = 1227,
  [1716] = 1716,
  [1717] = 1280,
  [1718] = 1274,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1269,
  [1722] = 1451,
  [1723] = 1723,
  [1724] = 1238,
  [1725] = 1381,
  [1726] = 1281,
  [1727] = 1283,
  [1728] = 543,
  [1729] = 1228,
  [1730] = 1292,
  [1731] = 1267,
  [1732] = 1376,
  [1733] = 1265,
  [1734] = 1251,
  [1735] = 1229,
  [1736] = 1449,
  [1737] = 1250,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1245,
  [1741] = 1241,
  [1742] = 1239,
  [1743] = 1743,
  [1744] = 1354,
  [1745] = 1348,
  [1746] = 1327,
  [1747] = 1747,
  [1748] = 1322,
  [1749] = 1723,
  [1750] = 1313,
  [1751] = 1325,
  [1752] = 141,
  [1753] = 1693,
  [1754] = 1649,
  [1755] = 1376,
  [1756] = 1343,
  [1757] = 1342,
  [1758] = 1336,
  [1759] = 1355,
  [1760] = 1760,
  [1761] = 1321,
  [1762] = 1247,
  [1763] = 1449,
  [1764] = 1320,
  [1765] = 1687,
  [1766] = 1317,
  [1767] = 1316,
  [1768] = 1315,
  [1769] = 1314,
  [1770] = 1312,
  [1771] = 1310,
  [1772] = 1309,
  [1773] = 1773,
  [1774] = 1308,
  [1775] = 1306,
  [1776] = 1379,
  [1777] = 1305,
  [1778] = 1338,
  [1779] = 1622,
  [1780] = 1352,
  [1781] = 1697,
  [1782] = 1302,
  [1783] = 1295,
  [1784] = 1784,
  [1785] = 1294,
  [1786] = 1786,
  [1787] = 1291,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 141,
  [1791] = 1234,
  [1792] = 1235,
  [1793] = 1451,
  [1794] = 1288,
  [1795] = 1668,
  [1796] = 1247,
  [1797] = 1374,
  [1798] = 1618,
  [1799] = 1277,
  [1800] = 1272,
  [1801] = 1773,
  [1802] = 1434,
  [1803] = 1305,
  [1804] = 1804,
  [1805] = 1295,
  [1806] = 1806,
  [1807] = 1291,
  [1808] = 1376,
  [1809] = 1738,
  [1810] = 1401,
  [1811] = 1413,
  [1812] = 1247,
  [1813] = 157,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1499,
  [1817] = 154,
  [1818] = 173,
  [1819] = 1804,
  [1820] = 173,
  [1821] = 1288,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1423,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1493,
  [1828] = 1277,
  [1829] = 168,
  [1830] = 154,
  [1831] = 149,
  [1832] = 148,
  [1833] = 1359,
  [1834] = 1823,
  [1835] = 155,
  [1836] = 161,
  [1837] = 1558,
  [1838] = 1432,
  [1839] = 147,
  [1840] = 1360,
  [1841] = 157,
  [1842] = 1361,
  [1843] = 1438,
  [1844] = 1362,
  [1845] = 1363,
  [1846] = 147,
  [1847] = 1388,
  [1848] = 1823,
  [1849] = 1849,
  [1850] = 1460,
  [1851] = 1459,
  [1852] = 1387,
  [1853] = 1386,
  [1854] = 1364,
  [1855] = 1376,
  [1856] = 1343,
  [1857] = 161,
  [1858] = 1385,
  [1859] = 155,
  [1860] = 1463,
  [1861] = 1861,
  [1862] = 1822,
  [1863] = 1414,
  [1864] = 1384,
  [1865] = 1804,
  [1866] = 1866,
  [1867] = 144,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1411,
  [1871] = 1410,
  [1872] = 1618,
  [1873] = 1873,
  [1874] = 1357,
  [1875] = 145,
  [1876] = 158,
  [1877] = 1823,
  [1878] = 1511,
  [1879] = 1383,
  [1880] = 1406,
  [1881] = 1881,
  [1882] = 1416,
  [1883] = 1382,
  [1884] = 1823,
  [1885] = 1501,
  [1886] = 148,
  [1887] = 1738,
  [1888] = 149,
  [1889] = 1823,
  [1890] = 1409,
  [1891] = 1496,
  [1892] = 1465,
  [1893] = 1495,
  [1894] = 1894,
  [1895] = 1451,
  [1896] = 1822,
  [1897] = 1804,
  [1898] = 1898,
  [1899] = 1272,
  [1900] = 1823,
  [1901] = 1901,
  [1902] = 171,
  [1903] = 1372,
  [1904] = 1403,
  [1905] = 1470,
  [1906] = 1822,
  [1907] = 1907,
  [1908] = 144,
  [1909] = 1901,
  [1910] = 1804,
  [1911] = 1417,
  [1912] = 1806,
  [1913] = 1433,
  [1914] = 1381,
  [1915] = 1822,
  [1916] = 1294,
  [1917] = 1492,
  [1918] = 1455,
  [1919] = 1302,
  [1920] = 1435,
  [1921] = 1436,
  [1922] = 1437,
  [1923] = 1428,
  [1924] = 1471,
  [1925] = 1451,
  [1926] = 1472,
  [1927] = 1247,
  [1928] = 1375,
  [1929] = 1427,
  [1930] = 1426,
  [1931] = 1262,
  [1932] = 168,
  [1933] = 1256,
  [1934] = 1253,
  [1935] = 1248,
  [1936] = 1325,
  [1937] = 1476,
  [1938] = 1371,
  [1939] = 1418,
  [1940] = 1342,
  [1941] = 1336,
  [1942] = 1306,
  [1943] = 145,
  [1944] = 158,
  [1945] = 1352,
  [1946] = 1338,
  [1947] = 171,
  [1948] = 1355,
  [1949] = 1448,
  [1950] = 1477,
  [1951] = 1823,
  [1952] = 1365,
  [1953] = 1953,
  [1954] = 1352,
  [1955] = 1366,
  [1956] = 1321,
  [1957] = 1320,
  [1958] = 1317,
  [1959] = 1338,
  [1960] = 1367,
  [1961] = 1424,
  [1962] = 1316,
  [1963] = 1308,
  [1964] = 1425,
  [1965] = 1374,
  [1966] = 1379,
  [1967] = 1309,
  [1968] = 1456,
  [1969] = 1422,
  [1970] = 1310,
  [1971] = 1368,
  [1972] = 1312,
  [1973] = 1558,
  [1974] = 1849,
  [1975] = 1315,
  [1976] = 1976,
  [1977] = 1457,
  [1978] = 1314,
  [1979] = 1312,
  [1980] = 1451,
  [1981] = 1294,
  [1982] = 1355,
  [1983] = 1983,
  [1984] = 1325,
  [1985] = 1277,
  [1986] = 1272,
  [1987] = 1379,
  [1988] = 1336,
  [1989] = 1338,
  [1990] = 1352,
  [1991] = 1983,
  [1992] = 1376,
  [1993] = 1983,
  [1994] = 1253,
  [1995] = 1256,
  [1996] = 1449,
  [1997] = 1558,
  [1998] = 1998,
  [1999] = 1983,
  [2000] = 1305,
  [2001] = 1738,
  [2002] = 1288,
  [2003] = 1291,
  [2004] = 1295,
  [2005] = 1302,
  [2006] = 1306,
  [2007] = 1308,
  [2008] = 1309,
  [2009] = 1449,
  [2010] = 1310,
  [2011] = 2011,
  [2012] = 1314,
  [2013] = 2013,
  [2014] = 1247,
  [2015] = 1315,
  [2016] = 1316,
  [2017] = 1317,
  [2018] = 1320,
  [2019] = 1321,
  [2020] = 1983,
  [2021] = 1248,
  [2022] = 1558,
  [2023] = 1998,
  [2024] = 1343,
  [2025] = 1566,
  [2026] = 1262,
  [2027] = 1247,
  [2028] = 1342,
  [2029] = 1558,
  [2030] = 2030,
  [2031] = 2030,
  [2032] = 1449,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2030,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 1381,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2030,
  [2044] = 2034,
  [2045] = 2045,
  [2046] = 2039,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 1379,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 1374,
  [2053] = 1449,
  [2054] = 1335,
  [2055] = 2055,
  [2056] = 2030,
  [2057] = 2057,
  [2058] = 1376,
  [2059] = 2059,
  [2060] = 1451,
  [2061] = 1247,
  [2062] = 2030,
  [2063] = 2063,
  [2064] = 1550,
  [2065] = 2065,
  [2066] = 2030,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2069,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2071,
  [2076] = 1738,
  [2077] = 2071,
  [2078] = 2074,
  [2079] = 1861,
  [2080] = 2080,
  [2081] = 2074,
  [2082] = 2073,
  [2083] = 2069,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2074,
  [2087] = 2071,
  [2088] = 2088,
  [2089] = 1247,
  [2090] = 2090,
  [2091] = 2069,
  [2092] = 2080,
  [2093] = 2074,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2080,
  [2097] = 1381,
  [2098] = 2069,
  [2099] = 2080,
  [2100] = 2080,
  [2101] = 1379,
  [2102] = 2095,
  [2103] = 2069,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2071,
  [2108] = 1374,
  [2109] = 2080,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2069,
  [2113] = 2080,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2111,
  [2121] = 2104,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2124,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2124,
  [2136] = 2132,
  [2137] = 2124,
  [2138] = 2138,
  [2139] = 2133,
  [2140] = 2126,
  [2141] = 2141,
  [2142] = 2124,
  [2143] = 2125,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2124,
  [2149] = 2124,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2074,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2071,
  [2165] = 2074,
  [2166] = 2071,
  [2167] = 2071,
  [2168] = 2071,
  [2169] = 2071,
  [2170] = 2074,
  [2171] = 2074,
  [2172] = 2074,
  [2173] = 2071,
  [2174] = 2074,
  [2175] = 2074,
  [2176] = 2071,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2158,
  [2183] = 2183,
  [2184] = 2157,
  [2185] = 2183,
  [2186] = 2181,
  [2187] = 2187,
  [2188] = 2183,
  [2189] = 1127,
  [2190] = 2190,
  [2191] = 160,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 152,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 1139,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 172,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 167,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2146,
  [2230] = 2230,
  [2231] = 2150,
  [2232] = 2125,
  [2233] = 2132,
  [2234] = 2125,
  [2235] = 2126,
  [2236] = 2126,
  [2237] = 2133,
  [2238] = 2141,
  [2239] = 152,
  [2240] = 2132,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2243,
  [2246] = 2133,
  [2247] = 167,
  [2248] = 2138,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 790,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 172,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 791,
  [2260] = 1157,
  [2261] = 792,
  [2262] = 2262,
  [2263] = 160,
  [2264] = 1158,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2254,
  [2269] = 2251,
  [2270] = 2258,
  [2271] = 2271,
  [2272] = 2262,
  [2273] = 2267,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2147,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2295,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2300,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2296,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2311,
  [2317] = 2306,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2299,
  [2322] = 2322,
  [2323] = 1285,
  [2324] = 1327,
  [2325] = 1240,
  [2326] = 1293,
  [2327] = 1237,
  [2328] = 1337,
  [2329] = 1324,
  [2330] = 1353,
  [2331] = 1218,
  [2332] = 1326,
  [2333] = 1300,
  [2334] = 1290,
  [2335] = 1304,
  [2336] = 1208,
  [2337] = 1226,
  [2338] = 1311,
  [2339] = 1217,
  [2340] = 1328,
  [2341] = 1236,
  [2342] = 1242,
  [2343] = 1227,
  [2344] = 1233,
  [2345] = 1329,
  [2346] = 2346,
  [2347] = 1206,
  [2348] = 1330,
  [2349] = 1354,
  [2350] = 1341,
  [2351] = 1318,
  [2352] = 1348,
  [2353] = 1239,
  [2354] = 1339,
  [2355] = 1241,
  [2356] = 1245,
  [2357] = 1331,
  [2358] = 1332,
  [2359] = 1250,
  [2360] = 1251,
  [2361] = 1265,
  [2362] = 1267,
  [2363] = 1333,
  [2364] = 1334,
  [2365] = 1340,
  [2366] = 2346,
  [2367] = 1275,
  [2368] = 1249,
  [2369] = 1284,
  [2370] = 1276,
  [2371] = 1210,
  [2372] = 1273,
  [2373] = 163,
  [2374] = 169,
  [2375] = 1219,
  [2376] = 1287,
  [2377] = 2377,
  [2378] = 1292,
  [2379] = 2377,
  [2380] = 1299,
  [2381] = 1252,
  [2382] = 1228,
  [2383] = 1282,
  [2384] = 1229,
  [2385] = 1283,
  [2386] = 1281,
  [2387] = 1254,
  [2388] = 2377,
  [2389] = 2377,
  [2390] = 2377,
  [2391] = 1238,
  [2392] = 1257,
  [2393] = 1280,
  [2394] = 1258,
  [2395] = 1345,
  [2396] = 1274,
  [2397] = 1269,
  [2398] = 1346,
  [2399] = 1259,
  [2400] = 2377,
  [2401] = 1261,
  [2402] = 1347,
  [2403] = 1206,
  [2404] = 1350,
  [2405] = 1263,
  [2406] = 1223,
  [2407] = 1264,
  [2408] = 1226,
  [2409] = 1208,
  [2410] = 1218,
  [2411] = 1266,
  [2412] = 1221,
  [2413] = 1322,
  [2414] = 1303,
  [2415] = 1278,
  [2416] = 2377,
  [2417] = 1279,
  [2418] = 2377,
  [2419] = 1311,
  [2420] = 1337,
  [2421] = 1251,
  [2422] = 1265,
  [2423] = 1267,
  [2424] = 1227,
  [2425] = 1285,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 1290,
  [2431] = 1293,
  [2432] = 2427,
  [2433] = 2433,
  [2434] = 1300,
  [2435] = 2426,
  [2436] = 2427,
  [2437] = 2437,
  [2438] = 2428,
  [2439] = 2439,
  [2440] = 2429,
  [2441] = 1301,
  [2442] = 1304,
  [2443] = 1328,
  [2444] = 1240,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 1349,
  [2448] = 1313,
  [2449] = 1237,
  [2450] = 1260,
  [2451] = 1353,
  [2452] = 2452,
  [2453] = 1245,
  [2454] = 2426,
  [2455] = 1255,
  [2456] = 1241,
  [2457] = 1286,
  [2458] = 1239,
  [2459] = 1354,
  [2460] = 1348,
  [2461] = 2429,
  [2462] = 2462,
  [2463] = 1327,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 1341,
  [2467] = 2429,
  [2468] = 2428,
  [2469] = 1340,
  [2470] = 2428,
  [2471] = 2427,
  [2472] = 2428,
  [2473] = 1217,
  [2474] = 2427,
  [2475] = 2426,
  [2476] = 2426,
  [2477] = 1339,
  [2478] = 1334,
  [2479] = 2429,
  [2480] = 1234,
  [2481] = 1235,
  [2482] = 1250,
  [2483] = 1318,
  [2484] = 1324,
  [2485] = 1326,
  [2486] = 1329,
  [2487] = 1330,
  [2488] = 1331,
  [2489] = 1332,
  [2490] = 1333,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 1218,
  [2494] = 1208,
  [2495] = 1226,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 1210,
  [2499] = 1284,
  [2500] = 2492,
  [2501] = 1273,
  [2502] = 1276,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 791,
  [2508] = 2503,
  [2509] = 2492,
  [2510] = 1249,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 790,
  [2514] = 2514,
  [2515] = 1206,
  [2516] = 1275,
  [2517] = 2517,
  [2518] = 792,
  [2519] = 2519,
  [2520] = 1334,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 163,
  [2527] = 1239,
  [2528] = 1217,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 1241,
  [2534] = 2531,
  [2535] = 1245,
  [2536] = 1250,
  [2537] = 1251,
  [2538] = 1265,
  [2539] = 169,
  [2540] = 1267,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 1227,
  [2545] = 1285,
  [2546] = 1290,
  [2547] = 1293,
  [2548] = 2532,
  [2549] = 1300,
  [2550] = 2532,
  [2551] = 2551,
  [2552] = 1304,
  [2553] = 1328,
  [2554] = 1327,
  [2555] = 2555,
  [2556] = 2532,
  [2557] = 2557,
  [2558] = 2532,
  [2559] = 2559,
  [2560] = 1240,
  [2561] = 2561,
  [2562] = 1348,
  [2563] = 1219,
  [2564] = 2531,
  [2565] = 1333,
  [2566] = 2566,
  [2567] = 1237,
  [2568] = 1332,
  [2569] = 1331,
  [2570] = 1353,
  [2571] = 1354,
  [2572] = 1330,
  [2573] = 1329,
  [2574] = 1326,
  [2575] = 2531,
  [2576] = 2576,
  [2577] = 1324,
  [2578] = 1341,
  [2579] = 1340,
  [2580] = 1339,
  [2581] = 1318,
  [2582] = 1221,
  [2583] = 1223,
  [2584] = 2584,
  [2585] = 1311,
  [2586] = 1337,
  [2587] = 1235,
  [2588] = 1257,
  [2589] = 1279,
  [2590] = 1278,
  [2591] = 540,
  [2592] = 2592,
  [2593] = 542,
  [2594] = 1280,
  [2595] = 1229,
  [2596] = 1274,
  [2597] = 1284,
  [2598] = 1269,
  [2599] = 2599,
  [2600] = 792,
  [2601] = 1301,
  [2602] = 543,
  [2603] = 1350,
  [2604] = 1233,
  [2605] = 1210,
  [2606] = 1286,
  [2607] = 544,
  [2608] = 791,
  [2609] = 1287,
  [2610] = 1276,
  [2611] = 1275,
  [2612] = 1349,
  [2613] = 1266,
  [2614] = 1347,
  [2615] = 1264,
  [2616] = 1263,
  [2617] = 1242,
  [2618] = 1238,
  [2619] = 2619,
  [2620] = 1261,
  [2621] = 1281,
  [2622] = 1273,
  [2623] = 1292,
  [2624] = 1322,
  [2625] = 1299,
  [2626] = 1260,
  [2627] = 1313,
  [2628] = 1283,
  [2629] = 1228,
  [2630] = 1249,
  [2631] = 1346,
  [2632] = 1259,
  [2633] = 1303,
  [2634] = 790,
  [2635] = 1258,
  [2636] = 1282,
  [2637] = 1252,
  [2638] = 1345,
  [2639] = 1255,
  [2640] = 1236,
  [2641] = 541,
  [2642] = 1234,
  [2643] = 1254,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 2644,
  [2651] = 2645,
  [2652] = 2645,
  [2653] = 1221,
  [2654] = 2654,
  [2655] = 1218,
  [2656] = 2656,
  [2657] = 1208,
  [2658] = 2654,
  [2659] = 2649,
  [2660] = 1226,
  [2661] = 2661,
  [2662] = 2644,
  [2663] = 2645,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 1223,
  [2667] = 2654,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2648,
  [2671] = 1219,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2649,
  [2675] = 2648,
  [2676] = 2649,
  [2677] = 2646,
  [2678] = 2678,
  [2679] = 2678,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 1206,
  [2684] = 2654,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 1313,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 1235,
  [2697] = 1234,
  [2698] = 2698,
  [2699] = 1266,
  [2700] = 1259,
  [2701] = 2701,
  [2702] = 2532,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2672,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2704,
  [2713] = 2713,
  [2714] = 2694,
  [2715] = 543,
  [2716] = 2716,
  [2717] = 1229,
  [2718] = 2718,
  [2719] = 1269,
  [2720] = 1274,
  [2721] = 1292,
  [2722] = 2722,
  [2723] = 1228,
  [2724] = 2680,
  [2725] = 2725,
  [2726] = 1280,
  [2727] = 2727,
  [2728] = 1283,
  [2729] = 1281,
  [2730] = 1238,
  [2731] = 2731,
  [2732] = 2725,
  [2733] = 2664,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2532,
  [2739] = 2532,
  [2740] = 2740,
  [2741] = 2736,
  [2742] = 2686,
  [2743] = 2698,
  [2744] = 544,
  [2745] = 2725,
  [2746] = 2688,
  [2747] = 2693,
  [2748] = 169,
  [2749] = 1252,
  [2750] = 1254,
  [2751] = 1255,
  [2752] = 1257,
  [2753] = 1258,
  [2754] = 2532,
  [2755] = 1260,
  [2756] = 1261,
  [2757] = 1263,
  [2758] = 1264,
  [2759] = 2686,
  [2760] = 163,
  [2761] = 2532,
  [2762] = 1322,
  [2763] = 2736,
  [2764] = 2740,
  [2765] = 2765,
  [2766] = 2765,
  [2767] = 2736,
  [2768] = 2686,
  [2769] = 1242,
  [2770] = 540,
  [2771] = 2771,
  [2772] = 2703,
  [2773] = 2698,
  [2774] = 1278,
  [2775] = 1279,
  [2776] = 2710,
  [2777] = 1282,
  [2778] = 2711,
  [2779] = 1286,
  [2780] = 1287,
  [2781] = 1299,
  [2782] = 1301,
  [2783] = 1303,
  [2784] = 2532,
  [2785] = 2708,
  [2786] = 1236,
  [2787] = 2787,
  [2788] = 2771,
  [2789] = 541,
  [2790] = 2740,
  [2791] = 2765,
  [2792] = 2771,
  [2793] = 2692,
  [2794] = 2711,
  [2795] = 2710,
  [2796] = 2703,
  [2797] = 2771,
  [2798] = 2798,
  [2799] = 2703,
  [2800] = 2692,
  [2801] = 2710,
  [2802] = 2701,
  [2803] = 2765,
  [2804] = 1345,
  [2805] = 1346,
  [2806] = 2740,
  [2807] = 2711,
  [2808] = 1347,
  [2809] = 1349,
  [2810] = 1350,
  [2811] = 1233,
  [2812] = 542,
  [2813] = 2532,
  [2814] = 2692,
  [2815] = 2815,
  [2816] = 2816,
  [2817] = 2816,
  [2818] = 2816,
  [2819] = 792,
  [2820] = 790,
  [2821] = 2821,
  [2822] = 791,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2816,
  [2826] = 2816,
  [2827] = 2664,
  [2828] = 2816,
  [2829] = 2816,
  [2830] = 2830,
  [2831] = 2831,
  [2832] = 2823,
  [2833] = 139,
  [2834] = 2816,
  [2835] = 2835,
  [2836] = 2836,
  [2837] = 2837,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 153,
  [2841] = 2835,
  [2842] = 2689,
  [2843] = 2690,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 1242,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2713,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2854,
  [2855] = 2855,
  [2856] = 2856,
  [2857] = 2857,
  [2858] = 153,
  [2859] = 2837,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 140,
  [2863] = 2863,
  [2864] = 1221,
  [2865] = 2865,
  [2866] = 2863,
  [2867] = 2838,
  [2868] = 2868,
  [2869] = 1223,
  [2870] = 2870,
  [2871] = 2871,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 2876,
  [2877] = 2850,
  [2878] = 2875,
  [2879] = 2844,
  [2880] = 2880,
  [2881] = 2871,
  [2882] = 2882,
  [2883] = 2872,
  [2884] = 2884,
  [2885] = 2619,
  [2886] = 2886,
  [2887] = 2887,
  [2888] = 2888,
  [2889] = 2889,
  [2890] = 2890,
  [2891] = 2861,
  [2892] = 2892,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2898,
  [2899] = 2876,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 2902,
  [2903] = 2903,
  [2904] = 2737,
  [2905] = 2905,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 2892,
  [2912] = 2887,
  [2913] = 2847,
  [2914] = 2914,
  [2915] = 2915,
  [2916] = 2884,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2919,
  [2920] = 2707,
  [2921] = 2921,
  [2922] = 2922,
  [2923] = 2888,
  [2924] = 2924,
  [2925] = 2922,
  [2926] = 2886,
  [2927] = 2884,
  [2928] = 2928,
  [2929] = 2873,
  [2930] = 2930,
  [2931] = 2931,
  [2932] = 2855,
  [2933] = 2668,
  [2934] = 2863,
  [2935] = 2935,
  [2936] = 2936,
  [2937] = 2937,
  [2938] = 2938,
  [2939] = 1233,
  [2940] = 2940,
  [2941] = 2941,
  [2942] = 2942,
  [2943] = 2875,
  [2944] = 2944,
  [2945] = 2945,
  [2946] = 2871,
  [2947] = 2947,
  [2948] = 2948,
  [2949] = 1236,
  [2950] = 2950,
  [2951] = 2951,
  [2952] = 2952,
  [2953] = 2672,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2956,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2962,
  [2963] = 2874,
  [2964] = 2868,
  [2965] = 2965,
  [2966] = 2950,
  [2967] = 2967,
  [2968] = 2968,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2860,
  [2972] = 2972,
  [2973] = 2910,
  [2974] = 2974,
  [2975] = 2975,
  [2976] = 2976,
  [2977] = 2977,
  [2978] = 2950,
  [2979] = 2890,
  [2980] = 2980,
  [2981] = 2981,
  [2982] = 2893,
  [2983] = 2976,
  [2984] = 2895,
  [2985] = 2941,
  [2986] = 2986,
  [2987] = 2954,
  [2988] = 2988,
  [2989] = 2989,
  [2990] = 2959,
  [2991] = 2991,
  [2992] = 2965,
  [2993] = 2908,
  [2994] = 2994,
  [2995] = 2957,
  [2996] = 2959,
  [2997] = 2997,
  [2998] = 2998,
  [2999] = 2999,
  [3000] = 3000,
  [3001] = 2977,
  [3002] = 3002,
  [3003] = 2592,
  [3004] = 2937,
  [3005] = 2965,
  [3006] = 3006,
  [3007] = 3007,
  [3008] = 2975,
  [3009] = 2896,
  [3010] = 2959,
  [3011] = 3011,
  [3012] = 3012,
  [3013] = 3013,
  [3014] = 3014,
  [3015] = 3015,
  [3016] = 3016,
  [3017] = 2957,
  [3018] = 3018,
  [3019] = 3019,
  [3020] = 2952,
  [3021] = 2954,
  [3022] = 2976,
  [3023] = 2907,
  [3024] = 2957,
  [3025] = 2906,
  [3026] = 2955,
  [3027] = 2870,
  [3028] = 3028,
  [3029] = 2845,
  [3030] = 3030,
  [3031] = 1313,
  [3032] = 3012,
  [3033] = 2977,
  [3034] = 3034,
  [3035] = 3035,
  [3036] = 3036,
  [3037] = 2680,
  [3038] = 2975,
  [3039] = 2974,
  [3040] = 2989,
  [3041] = 3041,
  [3042] = 1349,
  [3043] = 2914,
  [3044] = 2897,
  [3045] = 2975,
  [3046] = 3046,
  [3047] = 2902,
  [3048] = 2989,
  [3049] = 1260,
  [3050] = 3050,
  [3051] = 3051,
  [3052] = 2975,
  [3053] = 3053,
  [3054] = 3054,
  [3055] = 1255,
  [3056] = 3056,
  [3057] = 2965,
  [3058] = 3007,
  [3059] = 1235,
  [3060] = 3060,
  [3061] = 3061,
  [3062] = 2957,
  [3063] = 1234,
  [3064] = 3064,
  [3065] = 3065,
  [3066] = 3034,
  [3067] = 2980,
  [3068] = 2954,
  [3069] = 1301,
  [3070] = 1286,
  [3071] = 2851,
  [3072] = 3035,
  [3073] = 2976,
  [3074] = 2977,
  [3075] = 2905,
  [3076] = 2950,
  [3077] = 2994,
  [3078] = 3018,
  [3079] = 2950,
  [3080] = 2977,
  [3081] = 3035,
  [3082] = 3082,
  [3083] = 2989,
  [3084] = 543,
  [3085] = 3085,
  [3086] = 2976,
  [3087] = 542,
  [3088] = 2975,
  [3089] = 541,
  [3090] = 2954,
  [3091] = 540,
  [3092] = 3065,
  [3093] = 3015,
  [3094] = 3094,
  [3095] = 2950,
  [3096] = 2957,
  [3097] = 2954,
  [3098] = 544,
  [3099] = 3015,
  [3100] = 3100,
  [3101] = 3101,
  [3102] = 2915,
  [3103] = 2977,
  [3104] = 3011,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 3107,
  [3108] = 3108,
  [3109] = 3109,
  [3110] = 2917,
  [3111] = 2956,
  [3112] = 2903,
  [3113] = 3053,
  [3114] = 2856,
  [3115] = 2918,
  [3116] = 2921,
  [3117] = 2976,
  [3118] = 2969,
  [3119] = 2909,
  [3120] = 2954,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 3123,
  [3124] = 692,
  [3125] = 3107,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 3128,
  [3129] = 3129,
  [3130] = 700,
  [3131] = 3131,
  [3132] = 701,
  [3133] = 3133,
  [3134] = 616,
  [3135] = 703,
  [3136] = 602,
  [3137] = 3137,
  [3138] = 3105,
  [3139] = 3139,
  [3140] = 719,
  [3141] = 720,
  [3142] = 721,
  [3143] = 722,
  [3144] = 3144,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 2935,
  [3148] = 751,
  [3149] = 753,
  [3150] = 3150,
  [3151] = 754,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3157,
  [3158] = 3158,
  [3159] = 3159,
  [3160] = 3160,
  [3161] = 3161,
  [3162] = 3162,
  [3163] = 3163,
  [3164] = 3127,
  [3165] = 3165,
  [3166] = 3166,
  [3167] = 3167,
  [3168] = 3137,
  [3169] = 3169,
  [3170] = 156,
  [3171] = 3153,
  [3172] = 3172,
  [3173] = 3173,
  [3174] = 3174,
  [3175] = 3175,
  [3176] = 3165,
  [3177] = 3160,
  [3178] = 174,
  [3179] = 3179,
  [3180] = 3180,
  [3181] = 3181,
  [3182] = 3182,
  [3183] = 3183,
  [3184] = 3184,
  [3185] = 3185,
  [3186] = 3186,
  [3187] = 3187,
  [3188] = 604,
  [3189] = 3185,
  [3190] = 3169,
  [3191] = 3191,
  [3192] = 3131,
  [3193] = 653,
  [3194] = 3133,
  [3195] = 3163,
  [3196] = 652,
  [3197] = 3197,
  [3198] = 651,
  [3199] = 3199,
  [3200] = 3200,
  [3201] = 650,
  [3202] = 3202,
  [3203] = 649,
  [3204] = 3175,
  [3205] = 3205,
  [3206] = 169,
  [3207] = 3146,
  [3208] = 648,
  [3209] = 3162,
  [3210] = 3161,
  [3211] = 3211,
  [3212] = 3212,
  [3213] = 3213,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 3187,
  [3217] = 3191,
  [3218] = 3218,
  [3219] = 3219,
  [3220] = 3220,
  [3221] = 3221,
  [3222] = 3222,
  [3223] = 3223,
  [3224] = 163,
  [3225] = 3225,
  [3226] = 624,
  [3227] = 621,
  [3228] = 3228,
  [3229] = 3229,
  [3230] = 617,
  [3231] = 3231,
  [3232] = 611,
  [3233] = 595,
  [3234] = 3234,
  [3235] = 3235,
  [3236] = 3236,
  [3237] = 3237,
  [3238] = 3215,
  [3239] = 3167,
  [3240] = 3240,
  [3241] = 3229,
  [3242] = 3242,
  [3243] = 3243,
  [3244] = 3244,
  [3245] = 3245,
  [3246] = 3246,
  [3247] = 3247,
  [3248] = 3248,
  [3249] = 3249,
  [3250] = 3250,
  [3251] = 3251,
  [3252] = 3252,
  [3253] = 3253,
  [3254] = 1457,
  [3255] = 1456,
  [3256] = 3256,
  [3257] = 3121,
  [3258] = 3258,
  [3259] = 3220,
  [3260] = 3260,
  [3261] = 603,
  [3262] = 3262,
  [3263] = 3150,
  [3264] = 1423,
  [3265] = 3265,
  [3266] = 670,
  [3267] = 671,
  [3268] = 3268,
  [3269] = 3269,
  [3270] = 3085,
  [3271] = 3271,
  [3272] = 3272,
  [3273] = 3129,
  [3274] = 2948,
  [3275] = 2836,
  [3276] = 3220,
  [3277] = 3277,
  [3278] = 3278,
  [3279] = 3218,
  [3280] = 3250,
  [3281] = 3281,
  [3282] = 3212,
  [3283] = 3283,
  [3284] = 3284,
  [3285] = 3222,
  [3286] = 1359,
  [3287] = 639,
  [3288] = 618,
  [3289] = 757,
  [3290] = 673,
  [3291] = 665,
  [3292] = 697,
  [3293] = 662,
  [3294] = 1501,
  [3295] = 647,
  [3296] = 3296,
  [3297] = 3277,
  [3298] = 3298,
  [3299] = 708,
  [3300] = 694,
  [3301] = 3028,
  [3302] = 600,
  [3303] = 3303,
  [3304] = 707,
  [3305] = 664,
  [3306] = 663,
  [3307] = 658,
  [3308] = 656,
  [3309] = 644,
  [3310] = 659,
  [3311] = 699,
  [3312] = 1360,
  [3313] = 1361,
  [3314] = 3126,
  [3315] = 3315,
  [3316] = 3316,
  [3317] = 1362,
  [3318] = 3318,
  [3319] = 1363,
  [3320] = 679,
  [3321] = 3321,
  [3322] = 1364,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 731,
  [3326] = 597,
  [3327] = 3327,
  [3328] = 729,
  [3329] = 596,
  [3330] = 730,
  [3331] = 3150,
  [3332] = 612,
  [3333] = 3333,
  [3334] = 3146,
  [3335] = 3335,
  [3336] = 633,
  [3337] = 3337,
  [3338] = 3338,
  [3339] = 3339,
  [3340] = 3340,
  [3341] = 3220,
  [3342] = 3342,
  [3343] = 3343,
  [3344] = 3158,
  [3345] = 615,
  [3346] = 3346,
  [3347] = 626,
  [3348] = 3258,
  [3349] = 619,
  [3350] = 3350,
  [3351] = 3129,
  [3352] = 607,
  [3353] = 744,
  [3354] = 594,
  [3355] = 3231,
  [3356] = 745,
  [3357] = 723,
  [3358] = 3358,
  [3359] = 3359,
  [3360] = 3360,
  [3361] = 717,
  [3362] = 759,
  [3363] = 3363,
  [3364] = 3364,
  [3365] = 760,
  [3366] = 3225,
  [3367] = 3367,
  [3368] = 752,
  [3369] = 3369,
  [3370] = 3160,
  [3371] = 3371,
  [3372] = 3165,
  [3373] = 3373,
  [3374] = 1284,
  [3375] = 3220,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 3175,
  [3379] = 3231,
  [3380] = 1410,
  [3381] = 3144,
  [3382] = 748,
  [3383] = 676,
  [3384] = 677,
  [3385] = 669,
  [3386] = 3262,
  [3387] = 660,
  [3388] = 641,
  [3389] = 3389,
  [3390] = 3390,
  [3391] = 668,
  [3392] = 1425,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 3395,
  [3396] = 3283,
  [3397] = 3200,
  [3398] = 3398,
  [3399] = 601,
  [3400] = 3150,
  [3401] = 3401,
  [3402] = 3402,
  [3403] = 3150,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 3158,
  [3409] = 2865,
  [3410] = 3410,
  [3411] = 627,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 3416,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 3419,
  [3420] = 3420,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3426,
  [3427] = 3427,
  [3428] = 3428,
  [3429] = 3429,
  [3430] = 3430,
  [3431] = 3431,
  [3432] = 3432,
  [3433] = 3426,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3436,
  [3437] = 3437,
  [3438] = 3438,
  [3439] = 3439,
  [3440] = 3440,
  [3441] = 3421,
  [3442] = 3419,
  [3443] = 3430,
  [3444] = 3444,
  [3445] = 3432,
  [3446] = 3425,
  [3447] = 3447,
  [3448] = 3448,
  [3449] = 3424,
  [3450] = 3436,
  [3451] = 3451,
  [3452] = 3452,
  [3453] = 3453,
  [3454] = 3454,
  [3455] = 3455,
  [3456] = 3431,
  [3457] = 3457,
  [3458] = 3452,
  [3459] = 3436,
  [3460] = 3453,
  [3461] = 3425,
  [3462] = 3454,
  [3463] = 3455,
  [3464] = 3455,
  [3465] = 3454,
  [3466] = 3466,
  [3467] = 3437,
  [3468] = 3432,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 3453,
  [3472] = 3452,
  [3473] = 3466,
  [3474] = 3453,
  [3475] = 3430,
  [3476] = 3452,
  [3477] = 3454,
  [3478] = 3455,
  [3479] = 3452,
  [3480] = 3455,
  [3481] = 3454,
  [3482] = 3453,
  [3483] = 3483,
  [3484] = 3432,
  [3485] = 3453,
  [3486] = 3466,
  [3487] = 3430,
  [3488] = 3488,
  [3489] = 3425,
  [3490] = 3453,
  [3491] = 3452,
  [3492] = 3436,
  [3493] = 3452,
  [3494] = 3494,
  [3495] = 3495,
  [3496] = 3496,
  [3497] = 3436,
  [3498] = 3437,
  [3499] = 3430,
  [3500] = 3500,
  [3501] = 3436,
  [3502] = 3466,
  [3503] = 3503,
  [3504] = 3504,
  [3505] = 3505,
  [3506] = 3430,
  [3507] = 3426,
  [3508] = 3426,
  [3509] = 3432,
  [3510] = 3444,
  [3511] = 3511,
  [3512] = 3466,
  [3513] = 3504,
  [3514] = 3511,
  [3515] = 3503,
  [3516] = 3516,
  [3517] = 3452,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3426,
  [3521] = 3453,
  [3522] = 3522,
  [3523] = 3454,
  [3524] = 3454,
  [3525] = 3455,
  [3526] = 3455,
  [3527] = 3432,
  [3528] = 3466,
  [3529] = 3529,
  [3530] = 3454,
  [3531] = 3500,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 3437,
  [3535] = 3494,
  [3536] = 3536,
  [3537] = 3537,
  [3538] = 3455,
  [3539] = 3518,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3544,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3437,
  [3548] = 3548,
  [3549] = 1359,
  [3550] = 3550,
  [3551] = 3551,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3556,
  [3557] = 3557,
  [3558] = 3558,
  [3559] = 3559,
  [3560] = 3556,
  [3561] = 3561,
  [3562] = 3562,
  [3563] = 3563,
  [3564] = 2845,
  [3565] = 3565,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 3571,
  [3572] = 3572,
  [3573] = 3573,
  [3574] = 3574,
  [3575] = 3575,
  [3576] = 3576,
  [3577] = 3577,
  [3578] = 3578,
  [3579] = 3579,
  [3580] = 3580,
  [3581] = 3581,
  [3582] = 3582,
  [3583] = 3583,
  [3584] = 3584,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 2874,
  [3588] = 3562,
  [3589] = 3589,
  [3590] = 3590,
  [3591] = 3591,
  [3592] = 3592,
  [3593] = 2844,
  [3594] = 3594,
  [3595] = 3595,
  [3596] = 3568,
  [3597] = 3597,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3600,
  [3601] = 3601,
  [3602] = 3602,
  [3603] = 3603,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3562,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3602,
  [3615] = 3582,
  [3616] = 3616,
  [3617] = 3577,
  [3618] = 3576,
  [3619] = 3619,
  [3620] = 3575,
  [3621] = 3601,
  [3622] = 3622,
  [3623] = 3623,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 3627,
  [3628] = 3303,
  [3629] = 3629,
  [3630] = 1425,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3552,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3636,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 1233,
  [3640] = 3598,
  [3641] = 3556,
  [3642] = 1236,
  [3643] = 1457,
  [3644] = 1242,
  [3645] = 3589,
  [3646] = 3646,
  [3647] = 3553,
  [3648] = 3555,
  [3649] = 3649,
  [3650] = 3563,
  [3651] = 3651,
  [3652] = 3571,
  [3653] = 3573,
  [3654] = 1456,
  [3655] = 3655,
  [3656] = 3582,
  [3657] = 3657,
  [3658] = 1423,
  [3659] = 3584,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 3665,
  [3666] = 3666,
  [3667] = 2856,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3673,
  [3675] = 3675,
  [3676] = 3672,
  [3677] = 3677,
  [3678] = 3601,
  [3679] = 3602,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 1360,
  [3684] = 3684,
  [3685] = 3410,
  [3686] = 3576,
  [3687] = 3687,
  [3688] = 3575,
  [3689] = 3552,
  [3690] = 3690,
  [3691] = 3691,
  [3692] = 3595,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3695,
  [3696] = 3696,
  [3697] = 1361,
  [3698] = 1362,
  [3699] = 3699,
  [3700] = 3700,
  [3701] = 1363,
  [3702] = 3702,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 1364,
  [3706] = 3601,
  [3707] = 3601,
  [3708] = 3602,
  [3709] = 3602,
  [3710] = 3710,
  [3711] = 3711,
  [3712] = 3712,
  [3713] = 3576,
  [3714] = 3714,
  [3715] = 3575,
  [3716] = 3716,
  [3717] = 3717,
  [3718] = 3657,
  [3719] = 3601,
  [3720] = 3690,
  [3721] = 3721,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 3602,
  [3725] = 3693,
  [3726] = 3726,
  [3727] = 3727,
  [3728] = 3728,
  [3729] = 3729,
  [3730] = 3730,
  [3731] = 3731,
  [3732] = 3732,
  [3733] = 3733,
  [3734] = 3734,
  [3735] = 3735,
  [3736] = 3736,
  [3737] = 3574,
  [3738] = 3738,
  [3739] = 3739,
  [3740] = 3740,
  [3741] = 2870,
  [3742] = 3582,
  [3743] = 3743,
  [3744] = 1410,
  [3745] = 3745,
  [3746] = 3746,
  [3747] = 3552,
  [3748] = 3575,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3576,
  [3752] = 3663,
  [3753] = 3666,
  [3754] = 3702,
  [3755] = 3738,
  [3756] = 3585,
  [3757] = 3757,
  [3758] = 3552,
  [3759] = 3574,
  [3760] = 3337,
  [3761] = 1501,
  [3762] = 3762,
  [3763] = 3234,
  [3764] = 3631,
  [3765] = 3736,
  [3766] = 3562,
  [3767] = 3703,
  [3768] = 3629,
  [3769] = 3575,
  [3770] = 3582,
  [3771] = 3771,
  [3772] = 3562,
  [3773] = 3704,
  [3774] = 3548,
  [3775] = 3627,
  [3776] = 3576,
  [3777] = 1259,
  [3778] = 3710,
  [3779] = 1266,
  [3780] = 3625,
  [3781] = 3582,
  [3782] = 3782,
  [3783] = 3157,
  [3784] = 3784,
  [3785] = 3599,
  [3786] = 613,
  [3787] = 3732,
  [3788] = 3733,
  [3789] = 3789,
  [3790] = 3576,
  [3791] = 3631,
  [3792] = 3550,
  [3793] = 3584,
  [3794] = 3629,
  [3795] = 2868,
  [3796] = 3575,
  [3797] = 3600,
  [3798] = 3574,
  [3799] = 3627,
  [3800] = 3800,
  [3801] = 3625,
  [3802] = 3802,
  [3803] = 3803,
  [3804] = 3602,
  [3805] = 3601,
  [3806] = 3649,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 3809,
  [3810] = 3810,
  [3811] = 3811,
  [3812] = 3812,
  [3813] = 3813,
  [3814] = 3814,
  [3815] = 3483,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3819,
  [3820] = 3820,
  [3821] = 3821,
  [3822] = 3822,
  [3823] = 3823,
  [3824] = 3824,
  [3825] = 3825,
  [3826] = 3085,
  [3827] = 3827,
  [3828] = 3107,
  [3829] = 3829,
  [3830] = 3830,
  [3831] = 3831,
  [3832] = 3832,
  [3833] = 3833,
  [3834] = 3834,
  [3835] = 3835,
  [3836] = 3836,
  [3837] = 3105,
  [3838] = 3838,
  [3839] = 3839,
  [3840] = 3840,
  [3841] = 3841,
  [3842] = 2224,
  [3843] = 3811,
  [3844] = 3844,
  [3845] = 2198,
  [3846] = 3846,
  [3847] = 3820,
  [3848] = 3817,
  [3849] = 3849,
  [3850] = 3850,
  [3851] = 3851,
  [3852] = 3812,
  [3853] = 3853,
  [3854] = 3854,
  [3855] = 3855,
  [3856] = 3856,
  [3857] = 3857,
  [3858] = 3858,
  [3859] = 3859,
  [3860] = 3860,
  [3861] = 3861,
  [3862] = 3862,
  [3863] = 3859,
  [3864] = 3864,
  [3865] = 3865,
  [3866] = 3866,
  [3867] = 3867,
  [3868] = 3868,
  [3869] = 3824,
  [3870] = 3870,
  [3871] = 2208,
  [3872] = 3872,
  [3873] = 2207,
  [3874] = 3874,
  [3875] = 3875,
  [3876] = 3876,
  [3877] = 3853,
  [3878] = 3878,
  [3879] = 3879,
  [3880] = 3880,
  [3881] = 3881,
  [3882] = 3882,
  [3883] = 3883,
  [3884] = 3884,
  [3885] = 3885,
  [3886] = 3882,
  [3887] = 3887,
  [3888] = 3888,
  [3889] = 3889,
  [3890] = 3890,
  [3891] = 3891,
  [3892] = 2194,
  [3893] = 3893,
  [3894] = 3809,
  [3895] = 2193,
  [3896] = 3838,
  [3897] = 3897,
  [3898] = 3898,
  [3899] = 3899,
  [3900] = 3900,
  [3901] = 3901,
  [3902] = 3881,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3905,
  [3906] = 780,
  [3907] = 3907,
  [3908] = 3875,
  [3909] = 3909,
  [3910] = 3910,
  [3911] = 3829,
  [3912] = 3912,
  [3913] = 3913,
  [3914] = 3914,
  [3915] = 3915,
  [3916] = 789,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3853,
  [3923] = 3923,
  [3924] = 2221,
  [3925] = 3857,
  [3926] = 3851,
  [3927] = 3849,
  [3928] = 3810,
  [3929] = 3929,
  [3930] = 3923,
  [3931] = 3921,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3934,
  [3935] = 3840,
  [3936] = 3854,
  [3937] = 3917,
  [3938] = 3855,
  [3939] = 3861,
  [3940] = 3940,
  [3941] = 3920,
  [3942] = 3942,
  [3943] = 3821,
  [3944] = 3929,
  [3945] = 3940,
  [3946] = 3919,
  [3947] = 3947,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3853,
  [3957] = 3957,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3887,
  [3961] = 3885,
  [3962] = 3962,
  [3963] = 3878,
  [3964] = 3905,
  [3965] = 3955,
  [3966] = 3966,
  [3967] = 3881,
  [3968] = 3890,
  [3969] = 3814,
  [3970] = 3822,
  [3971] = 3824,
  [3972] = 3832,
  [3973] = 3833,
  [3974] = 3836,
  [3975] = 3897,
  [3976] = 3839,
  [3977] = 3977,
  [3978] = 3846,
  [3979] = 3979,
  [3980] = 3858,
  [3981] = 3862,
  [3982] = 3864,
  [3983] = 3923,
  [3984] = 3921,
  [3985] = 3920,
  [3986] = 3919,
  [3987] = 3909,
  [3988] = 3988,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3919,
  [3993] = 3920,
  [3994] = 3994,
  [3995] = 3921,
  [3996] = 3996,
  [3997] = 3923,
  [3998] = 3899,
  [3999] = 3999,
  [4000] = 2190,
  [4001] = 4001,
  [4002] = 3905,
  [4003] = 3948,
  [4004] = 3822,
  [4005] = 3814,
  [4006] = 4006,
  [4007] = 4007,
  [4008] = 3874,
  [4009] = 3900,
  [4010] = 4010,
  [4011] = 2201,
  [4012] = 3853,
  [4013] = 3865,
  [4014] = 3915,
  [4015] = 3901,
  [4016] = 3903,
  [4017] = 3860,
  [4018] = 4018,
  [4019] = 2209,
  [4020] = 4020,
  [4021] = 4021,
  [4022] = 3905,
  [4023] = 3881,
  [4024] = 3824,
  [4025] = 2196,
  [4026] = 2212,
  [4027] = 4027,
  [4028] = 4010,
  [4029] = 4029,
  [4030] = 4030,
  [4031] = 3028,
  [4032] = 4007,
  [4033] = 2215,
  [4034] = 3907,
  [4035] = 2223,
  [4036] = 4036,
  [4037] = 4037,
  [4038] = 4038,
  [4039] = 2216,
  [4040] = 2227,
  [4041] = 2195,
  [4042] = 3824,
  [4043] = 4043,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 3990,
  [4047] = 3979,
  [4048] = 2197,
  [4049] = 3999,
  [4050] = 3910,
  [4051] = 4051,
  [4052] = 3912,
  [4053] = 3882,
  [4054] = 4054,
  [4055] = 4055,
  [4056] = 3881,
  [4057] = 3905,
  [4058] = 4058,
  [4059] = 3881,
  [4060] = 3824,
  [4061] = 3905,
  [4062] = 3917,
  [4063] = 4063,
  [4064] = 2214,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 2218,
  [4068] = 3955,
  [4069] = 3853,
  [4070] = 4070,
  [4071] = 2213,
  [4072] = 4072,
  [4073] = 3948,
  [4074] = 3990,
  [4075] = 4075,
  [4076] = 3919,
  [4077] = 3920,
  [4078] = 3921,
  [4079] = 3923,
  [4080] = 2225,
  [4081] = 3832,
  [4082] = 3822,
  [4083] = 3814,
  [4084] = 3885,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 4089,
  [4090] = 4090,
  [4091] = 4091,
  [4092] = 4092,
  [4093] = 4093,
  [4094] = 4094,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 4097,
  [4098] = 4098,
  [4099] = 4099,
  [4100] = 4100,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 4105,
  [4106] = 4106,
  [4107] = 4107,
  [4108] = 4108,
  [4109] = 4109,
  [4110] = 4110,
  [4111] = 4111,
  [4112] = 4112,
  [4113] = 4113,
  [4114] = 4114,
  [4115] = 4115,
  [4116] = 4116,
  [4117] = 4117,
  [4118] = 4118,
  [4119] = 4119,
  [4120] = 4120,
  [4121] = 4121,
  [4122] = 4116,
  [4123] = 4120,
  [4124] = 4124,
  [4125] = 4125,
  [4126] = 4126,
  [4127] = 4127,
  [4128] = 4128,
  [4129] = 4129,
  [4130] = 4112,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 4133,
  [4134] = 4134,
  [4135] = 4088,
  [4136] = 4111,
  [4137] = 4086,
  [4138] = 4138,
  [4139] = 4139,
  [4140] = 4109,
  [4141] = 4108,
  [4142] = 4107,
  [4143] = 4143,
  [4144] = 4144,
  [4145] = 4145,
  [4146] = 4129,
  [4147] = 4147,
  [4148] = 4148,
  [4149] = 4149,
  [4150] = 4150,
  [4151] = 4151,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 4154,
  [4155] = 4155,
  [4156] = 4156,
  [4157] = 4157,
  [4158] = 4158,
  [4159] = 4131,
  [4160] = 4160,
  [4161] = 4161,
  [4162] = 4162,
  [4163] = 4163,
  [4164] = 4157,
  [4165] = 4152,
  [4166] = 4151,
  [4167] = 4134,
  [4168] = 4150,
  [4169] = 4149,
  [4170] = 4170,
  [4171] = 4143,
  [4172] = 4139,
  [4173] = 4138,
  [4174] = 4133,
  [4175] = 4086,
  [4176] = 4119,
  [4177] = 4129,
  [4178] = 4110,
  [4179] = 4128,
  [4180] = 4113,
  [4181] = 4114,
  [4182] = 4115,
  [4183] = 4118,
  [4184] = 4117,
  [4185] = 4127,
  [4186] = 4106,
  [4187] = 4105,
  [4188] = 4161,
  [4189] = 4131,
  [4190] = 4190,
  [4191] = 4091,
  [4192] = 4125,
  [4193] = 4092,
  [4194] = 4194,
  [4195] = 4096,
  [4196] = 4102,
  [4197] = 4124,
  [4198] = 4198,
  [4199] = 4087,
  [4200] = 4095,
  [4201] = 4125,
  [4202] = 4116,
  [4203] = 4112,
  [4204] = 4131,
  [4205] = 4111,
  [4206] = 4109,
  [4207] = 4108,
  [4208] = 4208,
  [4209] = 4107,
  [4210] = 4101,
  [4211] = 4211,
  [4212] = 4100,
  [4213] = 4099,
  [4214] = 4098,
  [4215] = 4094,
  [4216] = 4090,
  [4217] = 1422,
  [4218] = 4117,
  [4219] = 4219,
  [4220] = 4128,
  [4221] = 4221,
  [4222] = 4089,
  [4223] = 4110,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4095,
  [4229] = 4097,
  [4230] = 4097,
  [4231] = 4095,
  [4232] = 4088,
  [4233] = 4115,
  [4234] = 4114,
  [4235] = 4087,
  [4236] = 4113,
  [4237] = 4089,
  [4238] = 4114,
  [4239] = 4115,
  [4240] = 4090,
  [4241] = 4198,
  [4242] = 4211,
  [4243] = 4102,
  [4244] = 4170,
  [4245] = 4113,
  [4246] = 4096,
  [4247] = 4156,
  [4248] = 4092,
  [4249] = 4147,
  [4250] = 4250,
  [4251] = 4091,
  [4252] = 4161,
  [4253] = 4105,
  [4254] = 4115,
  [4255] = 4114,
  [4256] = 4113,
  [4257] = 4093,
  [4258] = 4094,
  [4259] = 4259,
  [4260] = 4106,
  [4261] = 4225,
  [4262] = 4208,
  [4263] = 4110,
  [4264] = 4264,
  [4265] = 4127,
  [4266] = 4118,
  [4267] = 4267,
  [4268] = 4119,
  [4269] = 4133,
  [4270] = 4198,
  [4271] = 4118,
  [4272] = 4138,
  [4273] = 4139,
  [4274] = 4143,
  [4275] = 4098,
  [4276] = 4149,
  [4277] = 4099,
  [4278] = 4100,
  [4279] = 4101,
  [4280] = 4150,
  [4281] = 4151,
  [4282] = 4107,
  [4283] = 4108,
  [4284] = 4152,
  [4285] = 4157,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4109,
  [4290] = 4111,
  [4291] = 4112,
  [4292] = 4134,
  [4293] = 4116,
  [4294] = 4106,
  [4295] = 4105,
  [4296] = 4161,
  [4297] = 4091,
  [4298] = 4133,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4129,
  [4302] = 4096,
  [4303] = 4097,
  [4304] = 4124,
  [4305] = 4120,
  [4306] = 4306,
  [4307] = 4101,
  [4308] = 4308,
  [4309] = 4100,
  [4310] = 4097,
  [4311] = 4311,
  [4312] = 4102,
  [4313] = 4099,
  [4314] = 4127,
  [4315] = 4315,
  [4316] = 4316,
  [4317] = 4317,
  [4318] = 4318,
  [4319] = 4125,
  [4320] = 4198,
  [4321] = 4098,
  [4322] = 4120,
  [4323] = 4124,
  [4324] = 4125,
  [4325] = 4087,
  [4326] = 4326,
  [4327] = 4088,
  [4328] = 4311,
  [4329] = 4128,
  [4330] = 4118,
  [4331] = 4129,
  [4332] = 4095,
  [4333] = 4088,
  [4334] = 4087,
  [4335] = 4101,
  [4336] = 4198,
  [4337] = 4337,
  [4338] = 4338,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 4102,
  [4342] = 4259,
  [4343] = 4110,
  [4344] = 4124,
  [4345] = 4225,
  [4346] = 4113,
  [4347] = 4114,
  [4348] = 4115,
  [4349] = 4095,
  [4350] = 4226,
  [4351] = 4100,
  [4352] = 4097,
  [4353] = 4096,
  [4354] = 4092,
  [4355] = 4219,
  [4356] = 4091,
  [4357] = 4115,
  [4358] = 4114,
  [4359] = 4113,
  [4360] = 4360,
  [4361] = 4161,
  [4362] = 4105,
  [4363] = 4106,
  [4364] = 4131,
  [4365] = 4120,
  [4366] = 4133,
  [4367] = 4134,
  [4368] = 4099,
  [4369] = 4118,
  [4370] = 4089,
  [4371] = 4119,
  [4372] = 4157,
  [4373] = 4152,
  [4374] = 4098,
  [4375] = 4090,
  [4376] = 4151,
  [4377] = 4150,
  [4378] = 4149,
  [4379] = 4143,
  [4380] = 4086,
  [4381] = 4138,
  [4382] = 4098,
  [4383] = 4225,
  [4384] = 4139,
  [4385] = 4225,
  [4386] = 4139,
  [4387] = 4143,
  [4388] = 4138,
  [4389] = 4110,
  [4390] = 4110,
  [4391] = 4086,
  [4392] = 4225,
  [4393] = 4119,
  [4394] = 4149,
  [4395] = 4225,
  [4396] = 4113,
  [4397] = 4150,
  [4398] = 4114,
  [4399] = 4115,
  [4400] = 4110,
  [4401] = 4100,
  [4402] = 4267,
  [4403] = 4151,
  [4404] = 4259,
  [4405] = 4152,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4360,
  [4410] = 4410,
  [4411] = 4411,
  [4412] = 4412,
  [4413] = 4413,
  [4414] = 4221,
  [4415] = 4157,
  [4416] = 4129,
  [4417] = 4099,
  [4418] = 4225,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 4259,
  [4423] = 4117,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4420,
  [4427] = 4259,
  [4428] = 4428,
  [4429] = 4429,
  [4430] = 4430,
  [4431] = 4413,
  [4432] = 4092,
  [4433] = 4340,
  [4434] = 4338,
  [4435] = 4117,
  [4436] = 4318,
  [4437] = 4437,
  [4438] = 4153,
  [4439] = 4259,
  [4440] = 4437,
  [4441] = 4419,
  [4442] = 4412,
  [4443] = 4093,
  [4444] = 4339,
  [4445] = 4299,
  [4446] = 4094,
  [4447] = 4120,
  [4448] = 4131,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4148,
  [4453] = 4317,
  [4454] = 4264,
  [4455] = 4162,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < '\r'
        ? (c >= '\t' && c <= '\n')
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < '\r'
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < 0
        ? c == 0
        : c <= '~')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(100);
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '#') ADVANCE(10);
      if (lookahead == '$') ADVANCE(268);
      if (lookahead == '%') ADVANCE(198);
      if (lookahead == '&') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '+') ADVANCE(192);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(248);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(130);
      if (lookahead == '=') ADVANCE(107);
      if (lookahead == '>') ADVANCE(135);
      if (lookahead == '?') ADVANCE(274);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '^') ADVANCE(183);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(186);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(97)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(269);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1)
      if (lookahead == '-') ADVANCE(125);
      if (lookahead == '/') ADVANCE(123);
      if (lookahead == '<') ADVANCE(122);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(124);
      if (lookahead != 0) ADVANCE(121);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(31)
      if (lookahead == '-') ADVANCE(251);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '<') ADVANCE(250);
      if (lookahead == '[') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(96);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(249);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '#') ADVANCE(41);
      if (lookahead == '%') ADVANCE(198);
      if (lookahead == '&') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '+') ADVANCE(192);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(194);
      if (lookahead == '.') ADVANCE(150);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(107);
      if (lookahead == '>') ADVANCE(135);
      if (lookahead == '?') ADVANCE(274);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '^') ADVANCE(183);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(186);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(3)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '~') ADVANCE(269);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '%') ADVANCE(198);
      if (lookahead == '&') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '+') ADVANCE(192);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(194);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(130);
      if (lookahead == '=') ADVANCE(107);
      if (lookahead == '>') ADVANCE(135);
      if (lookahead == '?') ADVANCE(274);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(183);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(4)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(269);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '%') ADVANCE(198);
      if (lookahead == '&') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '+') ADVANCE(192);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(194);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(130);
      if (lookahead == '=') ADVANCE(107);
      if (lookahead == '>') ADVANCE(135);
      if (lookahead == '?') ADVANCE(274);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(183);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(5)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(269);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '%') ADVANCE(198);
      if (lookahead == '&') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '+') ADVANCE(192);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(194);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(107);
      if (lookahead == '>') ADVANCE(135);
      if (lookahead == '?') ADVANCE(274);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '^') ADVANCE(183);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != '~') ADVANCE(269);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '%') ADVANCE(197);
      if (lookahead == '&') ADVANCE(181);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(104);
      if (lookahead == '+') ADVANCE(191);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '=') ADVANCE(106);
      if (lookahead == '>') ADVANCE(136);
      if (lookahead == '?') ADVANCE(275);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(188);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(269);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '%') ADVANCE(197);
      if (lookahead == '&') ADVANCE(181);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(104);
      if (lookahead == '+') ADVANCE(191);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(136);
      if (lookahead == '?') ADVANCE(33);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(187);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(269);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '%') ADVANCE(197);
      if (lookahead == '&') ADVANCE(181);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(104);
      if (lookahead == '+') ADVANCE(191);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(131);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(136);
      if (lookahead == '?') ADVANCE(33);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(187);
      if (lookahead == '}') ADVANCE(112);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(269);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(101);
      if (lookahead == '\\') ADVANCE(59);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(270);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(28);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '#') ADVANCE(41);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(102);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(134);
      if (lookahead == '?') ADVANCE(272);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '+' < lookahead) &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(269);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '#') ADVANCE(41);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(102);
      if (lookahead == '+') ADVANCE(190);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(248);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(134);
      if (lookahead == '?') ADVANCE(272);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || ')' < lookahead) &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(269);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '#') ADVANCE(41);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(102);
      if (lookahead == '+') ADVANCE(190);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(134);
      if (lookahead == '?') ADVANCE(272);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || ')' < lookahead) &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(269);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(102);
      if (lookahead == '+') ADVANCE(191);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '.') ADVANCE(32);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '?') ADVANCE(272);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(184);
      if (lookahead == '~') ADVANCE(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(269);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '+') ADVANCE(191);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(134);
      if (lookahead == '?') ADVANCE(273);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '*' < lookahead) &&
          lookahead != '^') ADVANCE(269);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '*') ADVANCE(102);
      if (lookahead == '+') ADVANCE(190);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(75);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '>') ADVANCE(134);
      if (lookahead == '?') ADVANCE(272);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(269);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '-') ADVANCE(220);
      if (lookahead == '/') ADVANCE(216);
      if (lookahead == '<') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(61);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(219);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 19:
      if (lookahead == '$') ADVANCE(62);
      if (lookahead == '-') ADVANCE(29);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '`') ADVANCE(246);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      END_STATE();
    case 20:
      if (lookahead == '$') ADVANCE(62);
      if (lookahead == '-') ADVANCE(29);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '`') ADVANCE(246);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      END_STATE();
    case 21:
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(30);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(105);
      if (lookahead == '>') ADVANCE(134);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(184);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(21)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(269);
      END_STATE();
    case 22:
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '/') ADVANCE(227);
      if (lookahead == '<') ADVANCE(226);
      if (lookahead == '\\') ADVANCE(61);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(230);
      if (lookahead != 0) ADVANCE(235);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(243);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(240);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '-') ADVANCE(243);
      END_STATE();
    case 27:
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '{') ADVANCE(109);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(146);
      END_STATE();
    case 28:
      if (lookahead == '-') ADVANCE(26);
      END_STATE();
    case 29:
      if (lookahead == '-') ADVANCE(38);
      END_STATE();
    case 30:
      if (lookahead == '-') ADVANCE(38);
      if (lookahead == '?') ADVANCE(35);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(29);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '<') ADVANCE(11);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(152);
      if (lookahead == '?') ADVANCE(207);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(168);
      END_STATE();
    case 35:
      if (lookahead == ':') ADVANCE(276);
      END_STATE();
    case 36:
      if (lookahead == ':') ADVANCE(277);
      END_STATE();
    case 37:
      if (lookahead == '=') ADVANCE(202);
      END_STATE();
    case 38:
      if (lookahead == '>') ADVANCE(243);
      END_STATE();
    case 39:
      if (lookahead == '>') ADVANCE(126);
      END_STATE();
    case 40:
      if (lookahead == '>') ADVANCE(127);
      END_STATE();
    case 41:
      if (lookahead == '\\') ADVANCE(59);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(270);
      END_STATE();
    case 42:
      if (lookahead == '\\') ADVANCE(95);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(42);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(56);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 49:
      if (lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 51:
      if (lookahead == 'm') ADVANCE(53);
      END_STATE();
    case 52:
      if (lookahead == 'm') ADVANCE(54);
      END_STATE();
    case 53:
      if (lookahead == 'p') ADVANCE(49);
      END_STATE();
    case 54:
      if (lookahead == 'p') ADVANCE(50);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(63);
      if (lookahead == 'x') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 59:
      if (lookahead == 'u') ADVANCE(64);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(66);
      if (lookahead == 'x') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 62:
      if (lookahead == '{') ADVANCE(247);
      END_STATE();
    case 63:
      if (lookahead == '{') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 64:
      if (lookahead == '{') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 65:
      if (lookahead == '{') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(94);
      END_STATE();
    case 66:
      if (lookahead == '{') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 67:
      if (lookahead == '}') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 68:
      if (lookahead == '}') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 69:
      if (lookahead == '}') ADVANCE(236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 70:
      if (lookahead == '}') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 71:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 72:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(260);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(261);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(263);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(269);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(270);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(236);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(262);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(237);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(87);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(78);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 94:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 95:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(42);
      END_STATE();
    case 96:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(255);
      END_STATE();
    case 97:
      if (eof) ADVANCE(100);
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '#') ADVANCE(10);
      if (lookahead == '$') ADVANCE(268);
      if (lookahead == '%') ADVANCE(198);
      if (lookahead == '&') ADVANCE(180);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '+') ADVANCE(192);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(130);
      if (lookahead == '=') ADVANCE(107);
      if (lookahead == '>') ADVANCE(135);
      if (lookahead == '?') ADVANCE(274);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '^') ADVANCE(183);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(186);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(97)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(269);
      END_STATE();
    case 98:
      if (eof) ADVANCE(100);
      if (lookahead == '!') ADVANCE(114);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '%') ADVANCE(197);
      if (lookahead == '&') ADVANCE(181);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(104);
      if (lookahead == '+') ADVANCE(191);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '.') ADVANCE(150);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(132);
      if (lookahead == '=') ADVANCE(106);
      if (lookahead == '>') ADVANCE(136);
      if (lookahead == '?') ADVANCE(33);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(187);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(98)
      if (lookahead != 0 &&
          lookahead > '#') ADVANCE(269);
      END_STATE();
    case 99:
      if (eof) ADVANCE(100);
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '"') ADVANCE(212);
      if (lookahead == '#') ADVANCE(10);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '\'') ADVANCE(213);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(116);
      if (lookahead == '*') ADVANCE(102);
      if (lookahead == '+') ADVANCE(191);
      if (lookahead == ',') ADVANCE(111);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == '/') ADVANCE(137);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(134);
      if (lookahead == '?') ADVANCE(272);
      if (lookahead == '@') ADVANCE(271);
      if (lookahead == '[') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(120);
      if (lookahead == '`') ADVANCE(246);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(112);
      if (lookahead == '~') ADVANCE(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(99)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '%' &&
          lookahead != '^') ADVANCE(269);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '=') ADVANCE(155);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(199);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(202);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(202);
      if (lookahead == '>') ADVANCE(151);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(151);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(278);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(204);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '!') ADVANCE(28);
      if (lookahead == '/') ADVANCE(57);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(243);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '-') ADVANCE(125);
      if (lookahead == '/') ADVANCE(123);
      if (lookahead == '<') ADVANCE(122);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(121);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '-') ADVANCE(38);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(28);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(28);
      if (lookahead == '<') ADVANCE(178);
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(28);
      if (lookahead == '<') ADVANCE(178);
      if (lookahead == '=') ADVANCE(201);
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(28);
      if (lookahead == '<') ADVANCE(177);
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(28);
      if (lookahead == '<') ADVANCE(177);
      if (lookahead == '=') ADVANCE(201);
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(28);
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(173);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(174);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(243);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(243);
      if (lookahead != 0) ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(146);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(146);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(25);
      if (lookahead != 0) ADVANCE(142);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(25);
      if (lookahead != 0) ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '/') ADVANCE(140);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(146);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(146);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '>') ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(146);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(165);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(176);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(163);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(170);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(169);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(160);
      if (lookahead == '|') ADVANCE(172);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(160);
      if (lookahead == '|') ADVANCE(172);
      if (lookahead == '}') ADVANCE(279);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(171);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(171);
      if (lookahead == '}') ADVANCE(279);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(279);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(210);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(210);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(211);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(211);
      if (lookahead == '=') ADVANCE(154);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(211);
      if (lookahead == '=') ADVANCE(154);
      if (lookahead == '?') ADVANCE(35);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(38);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '>') ADVANCE(243);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(214);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '!') ADVANCE(222);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(224);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(218);
      if (lookahead == '/') ADVANCE(214);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(224);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(217);
      if (lookahead == '/') ADVANCE(224);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(218);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(217);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(218);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '-') ADVANCE(220);
      if (lookahead == '/') ADVANCE(216);
      if (lookahead == '<') ADVANCE(215);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(219);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(224);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '-') ADVANCE(223);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(224);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '-') ADVANCE(214);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(224);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '-') ADVANCE(221);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(224);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '>') ADVANCE(214);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(224);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(235);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(225);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '!') ADVANCE(233);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(229);
      if (lookahead == '/') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(228);
      if (lookahead == '/') ADVANCE(235);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(229);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(228);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(229);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '/') ADVANCE(227);
      if (lookahead == '<') ADVANCE(226);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(230);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '-') ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '-') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '-') ADVANCE(232);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '>') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(235);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(60);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(269);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(236);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(238);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '[') ADVANCE(242);
      if (lookahead == '\\') ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(241);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(245);
      if (lookahead == ']') ADVANCE(241);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(242);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(241);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(242);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(243);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(31)
      if (lookahead == '-') ADVANCE(251);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '<') ADVANCE(250);
      if (lookahead == '[') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(96);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(249);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '!') ADVANCE(253);
      if (lookahead == '[') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(255);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '-') ADVANCE(254);
      if (lookahead == '[') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(255);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '-') ADVANCE(241);
      if (lookahead == '[') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(255);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '-') ADVANCE(252);
      if (lookahead == '[') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(255);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '>') ADVANCE(241);
      if (lookahead == '[') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(255);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(255);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(60);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(269);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(266);
      if (lookahead == '0') ADVANCE(263);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(72);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(73);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(81);
      if (lookahead == '_') ADVANCE(76);
      if (lookahead == 'n') ADVANCE(257);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(266);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (lookahead == '_') ADVANCE(74);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(72);
      if (lookahead == 'n') ADVANCE(257);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(260);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(73);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(81);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(76);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (lookahead == '_') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(269);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '{') ADVANCE(247);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(269);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(60);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(269);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(59);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(270);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(152);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(152);
      if (lookahead == '?') ADVANCE(208);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(152);
      if (lookahead == '?') ADVANCE(207);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'k') ADVANCE(9);
      if (lookahead == 'l') ADVANCE(10);
      if (lookahead == 'm') ADVANCE(11);
      if (lookahead == 'n') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'p') ADVANCE(14);
      if (lookahead == 'r') ADVANCE(15);
      if (lookahead == 's') ADVANCE(16);
      if (lookahead == 't') ADVANCE(17);
      if (lookahead == 'u') ADVANCE(18);
      if (lookahead == 'v') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'n') ADVANCE(23);
      if (lookahead == 's') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'n') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(43);
      if (lookahead == 'm') ADVANCE(44);
      if (lookahead == 'n') ADVANCE(45);
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(53);
      if (lookahead == 'f') ADVANCE(54);
      if (lookahead == 'v') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(59);
      if (lookahead == 'e') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      if (lookahead == 'u') ADVANCE(62);
      if (lookahead == 'w') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(70);
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(73);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(74);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(75);
      END_STATE();
    case 23:
      if (lookahead == 'y') ADVANCE(76);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(77);
      if (lookahead == 'y') ADVANCE(78);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(82);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(85);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(86);
      if (lookahead == 'c') ADVANCE(87);
      if (lookahead == 'f') ADVANCE(88);
      if (lookahead == 'l') ADVANCE(89);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 33:
      if (lookahead == 's') ADVANCE(90);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(91);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(92);
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(100);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 44:
      if (lookahead == 'p') ADVANCE(101);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(102);
      if (lookahead == 's') ADVANCE(103);
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 47:
      if (lookahead == 'y') ADVANCE(105);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 49:
      if (lookahead == 'd') ADVANCE(107);
      END_STATE();
    case 50:
      if (lookahead == 'm') ADVANCE(108);
      END_STATE();
    case 51:
      if (lookahead == 'v') ADVANCE(109);
      if (lookahead == 'w') ADVANCE(110);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(111);
      if (lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 53:
      if (lookahead == 'j') ADVANCE(113);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(115);
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'b') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(118);
      if (lookahead == 'q') ADVANCE(119);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(123);
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'p') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'm') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 66:
      if (lookahead == 'i') ADVANCE(129);
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(131);
      if (lookahead == 'y') ADVANCE(132);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(133);
      END_STATE();
    case 69:
      if (lookahead == 'd') ADVANCE(134);
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 70:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(137);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(139);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(142);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(144);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(146);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 83:
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 84:
      if (lookahead == 's') ADVANCE(149);
      END_STATE();
    case 85:
      if (lookahead == 's') ADVANCE(150);
      if (lookahead == 't') ADVANCE(151);
      END_STATE();
    case 86:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(154);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 91:
      if (lookahead == 'm') ADVANCE(157);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 94:
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 97:
      if (lookahead == 'm') ADVANCE(162);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(163);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 100:
      if (lookahead == 'b') ADVANCE(164);
      END_STATE();
    case 101:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 103:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(169);
      END_STATE();
    case 105:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(171);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 112:
      if (lookahead == 'b') ADVANCE(175);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 114:
      if (lookahead == 'r') ADVANCE(177);
      END_STATE();
    case 115:
      if (lookahead == 'v') ADVANCE(178);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 118:
      if (lookahead == 'd') ADVANCE(181);
      END_STATE();
    case 119:
      if (lookahead == 'u') ADVANCE(182);
      END_STATE();
    case 120:
      if (lookahead == 'u') ADVANCE(183);
      END_STATE();
    case 121:
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 124:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 127:
      if (lookahead == 'b') ADVANCE(189);
      END_STATE();
    case 128:
      if (lookahead == 'g') ADVANCE(190);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(191);
      END_STATE();
    case 130:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 135:
      if (lookahead == 'n') ADVANCE(196);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 137:
      if (lookahead == 'd') ADVANCE(197);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 139:
      if (lookahead == 'h') ADVANCE(199);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(200);
      END_STATE();
    case 141:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(202);
      END_STATE();
    case 143:
      if (lookahead == 'c') ADVANCE(203);
      END_STATE();
    case 144:
      if (lookahead == 't') ADVANCE(204);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 146:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 148:
      if (lookahead == 'h') ADVANCE(207);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(208);
      END_STATE();
    case 150:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 151:
      if (lookahead == 'i') ADVANCE(210);
      END_STATE();
    case 152:
      if (lookahead == 'g') ADVANCE(211);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 154:
      if (lookahead == 'u') ADVANCE(213);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 158:
      if (lookahead == 'r') ADVANCE(215);
      END_STATE();
    case 159:
      if (lookahead == 'n') ADVANCE(216);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(217);
      END_STATE();
    case 161:
      if (lookahead == 'l') ADVANCE(218);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 163:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(220);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(222);
      END_STATE();
    case 167:
      if (lookahead == 'r') ADVANCE(223);
      END_STATE();
    case 168:
      if (lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 169:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 170:
      if (lookahead == 'f') ADVANCE(226);
      END_STATE();
    case 171:
      if (lookahead == 'l') ADVANCE(227);
      END_STATE();
    case 172:
      if (lookahead == 's') ADVANCE(228);
      END_STATE();
    case 173:
      if (lookahead == 'r') ADVANCE(229);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 176:
      if (lookahead == 'c') ADVANCE(231);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 179:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 180:
      if (lookahead == 'i') ADVANCE(235);
      END_STATE();
    case 181:
      if (lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 182:
      if (lookahead == 'i') ADVANCE(237);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 184:
      if (lookahead == 's') ADVANCE(239);
      END_STATE();
    case 185:
      if (lookahead == 'i') ADVANCE(240);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(241);
      END_STATE();
    case 187:
      if (lookahead == 'r') ADVANCE(242);
      END_STATE();
    case 188:
      if (lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 189:
      if (lookahead == 'o') ADVANCE(244);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 192:
      if (lookahead == 'w') ADVANCE(246);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 195:
      if (lookahead == 'f') ADVANCE(248);
      END_STATE();
    case 196:
      if (lookahead == 'o') ADVANCE(249);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(251);
      END_STATE();
    case 201:
      if (lookahead == 'a') ADVANCE(252);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(253);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 205:
      if (lookahead == 'a') ADVANCE(254);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 210:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 211:
      if (lookahead == 'g') ADVANCE(256);
      END_STATE();
    case 212:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 213:
      if (lookahead == 'l') ADVANCE(258);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 215:
      if (lookahead == 't') ADVANCE(260);
      END_STATE();
    case 216:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 218:
      if (lookahead == 'l') ADVANCE(262);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(263);
      END_STATE();
    case 220:
      if (lookahead == 'l') ADVANCE(264);
      END_STATE();
    case 221:
      if (lookahead == 'm') ADVANCE(265);
      END_STATE();
    case 222:
      if (lookahead == 't') ADVANCE(266);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 225:
      if (lookahead == 'f') ADVANCE(268);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 228:
      if (lookahead == 'p') ADVANCE(270);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 230:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 231:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 233:
      if (lookahead == 't') ADVANCE(274);
      END_STATE();
    case 234:
      if (lookahead == 'c') ADVANCE(275);
      END_STATE();
    case 235:
      if (lookahead == 'c') ADVANCE(276);
      END_STATE();
    case 236:
      if (lookahead == 'n') ADVANCE(277);
      END_STATE();
    case 237:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 238:
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 239:
      if (lookahead == 'f') ADVANCE(280);
      END_STATE();
    case 240:
      if (lookahead == 'c') ADVANCE(281);
      END_STATE();
    case 241:
      if (lookahead == 'g') ADVANCE(282);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 243:
      if (lookahead == 'h') ADVANCE(283);
      END_STATE();
    case 244:
      if (lookahead == 'l') ADVANCE(284);
      END_STATE();
    case 245:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 247:
      if (lookahead == 'f') ADVANCE(286);
      END_STATE();
    case 248:
      if (lookahead == 'i') ADVANCE(287);
      END_STATE();
    case 249:
      if (lookahead == 'w') ADVANCE(288);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 252:
      if (lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 253:
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 254:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 255:
      if (lookahead == 'u') ADVANCE(292);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 257:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 258:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 261:
      if (lookahead == 's') ADVANCE(296);
      END_STATE();
    case 262:
      if (lookahead == 'y') ADVANCE(297);
      END_STATE();
    case 263:
      if (lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(301);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 270:
      if (lookahead == 'a') ADVANCE(302);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 273:
      if (lookahead == 'd') ADVANCE(303);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(305);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 277:
      if (lookahead == 'l') ADVANCE(306);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 287:
      if (lookahead == 'n') ADVANCE(309);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(310);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(311);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 293:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 298:
      if (lookahead == 'n') ADVANCE(314);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 301:
      if (lookahead == 'c') ADVANCE(317);
      END_STATE();
    case 302:
      if (lookahead == 'c') ADVANCE(318);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 306:
      if (lookahead == 'y') ADVANCE(321);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(323);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 315:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(325);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(326);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 320:
      if (lookahead == 'd') ADVANCE(328);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 322:
      if (lookahead == 's') ADVANCE(329);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(330);
      END_STATE();
    case 324:
      if (lookahead == 's') ADVANCE(331);
      END_STATE();
    case 325:
      if (lookahead == 'f') ADVANCE(332);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 99},
  [2] = {.lex_state = 4, .external_lex_state = 2},
  [3] = {.lex_state = 4, .external_lex_state = 2},
  [4] = {.lex_state = 99},
  [5] = {.lex_state = 99},
  [6] = {.lex_state = 99},
  [7] = {.lex_state = 99},
  [8] = {.lex_state = 99},
  [9] = {.lex_state = 99},
  [10] = {.lex_state = 99},
  [11] = {.lex_state = 99},
  [12] = {.lex_state = 99},
  [13] = {.lex_state = 99},
  [14] = {.lex_state = 99},
  [15] = {.lex_state = 99},
  [16] = {.lex_state = 99},
  [17] = {.lex_state = 99},
  [18] = {.lex_state = 99},
  [19] = {.lex_state = 99},
  [20] = {.lex_state = 99},
  [21] = {.lex_state = 99},
  [22] = {.lex_state = 99},
  [23] = {.lex_state = 99},
  [24] = {.lex_state = 99},
  [25] = {.lex_state = 99},
  [26] = {.lex_state = 99},
  [27] = {.lex_state = 99},
  [28] = {.lex_state = 99},
  [29] = {.lex_state = 99},
  [30] = {.lex_state = 99},
  [31] = {.lex_state = 99},
  [32] = {.lex_state = 99},
  [33] = {.lex_state = 99},
  [34] = {.lex_state = 99},
  [35] = {.lex_state = 99},
  [36] = {.lex_state = 99},
  [37] = {.lex_state = 99},
  [38] = {.lex_state = 99},
  [39] = {.lex_state = 99},
  [40] = {.lex_state = 99},
  [41] = {.lex_state = 99},
  [42] = {.lex_state = 99},
  [43] = {.lex_state = 99},
  [44] = {.lex_state = 99},
  [45] = {.lex_state = 99},
  [46] = {.lex_state = 99},
  [47] = {.lex_state = 99},
  [48] = {.lex_state = 99},
  [49] = {.lex_state = 99},
  [50] = {.lex_state = 5, .external_lex_state = 2},
  [51] = {.lex_state = 15},
  [52] = {.lex_state = 15},
  [53] = {.lex_state = 5, .external_lex_state = 2},
  [54] = {.lex_state = 5, .external_lex_state = 2},
  [55] = {.lex_state = 15},
  [56] = {.lex_state = 5, .external_lex_state = 2},
  [57] = {.lex_state = 5, .external_lex_state = 2},
  [58] = {.lex_state = 5, .external_lex_state = 2},
  [59] = {.lex_state = 5, .external_lex_state = 2},
  [60] = {.lex_state = 15},
  [61] = {.lex_state = 15},
  [62] = {.lex_state = 15},
  [63] = {.lex_state = 5, .external_lex_state = 2},
  [64] = {.lex_state = 15},
  [65] = {.lex_state = 15},
  [66] = {.lex_state = 15},
  [67] = {.lex_state = 15},
  [68] = {.lex_state = 15},
  [69] = {.lex_state = 15},
  [70] = {.lex_state = 15},
  [71] = {.lex_state = 15},
  [72] = {.lex_state = 15},
  [73] = {.lex_state = 15},
  [74] = {.lex_state = 15},
  [75] = {.lex_state = 15},
  [76] = {.lex_state = 15},
  [77] = {.lex_state = 15},
  [78] = {.lex_state = 15},
  [79] = {.lex_state = 15},
  [80] = {.lex_state = 15},
  [81] = {.lex_state = 15},
  [82] = {.lex_state = 15},
  [83] = {.lex_state = 15},
  [84] = {.lex_state = 15},
  [85] = {.lex_state = 15},
  [86] = {.lex_state = 15},
  [87] = {.lex_state = 15},
  [88] = {.lex_state = 15},
  [89] = {.lex_state = 98, .external_lex_state = 2},
  [90] = {.lex_state = 98, .external_lex_state = 3},
  [91] = {.lex_state = 98, .external_lex_state = 3},
  [92] = {.lex_state = 98, .external_lex_state = 2},
  [93] = {.lex_state = 98, .external_lex_state = 2},
  [94] = {.lex_state = 98, .external_lex_state = 3},
  [95] = {.lex_state = 98, .external_lex_state = 2},
  [96] = {.lex_state = 98, .external_lex_state = 2},
  [97] = {.lex_state = 99},
  [98] = {.lex_state = 99},
  [99] = {.lex_state = 99},
  [100] = {.lex_state = 99},
  [101] = {.lex_state = 99},
  [102] = {.lex_state = 99},
  [103] = {.lex_state = 3, .external_lex_state = 2},
  [104] = {.lex_state = 3, .external_lex_state = 3},
  [105] = {.lex_state = 3, .external_lex_state = 3},
  [106] = {.lex_state = 3, .external_lex_state = 2},
  [107] = {.lex_state = 3, .external_lex_state = 2},
  [108] = {.lex_state = 3, .external_lex_state = 2},
  [109] = {.lex_state = 3, .external_lex_state = 2},
  [110] = {.lex_state = 3, .external_lex_state = 3},
  [111] = {.lex_state = 3, .external_lex_state = 2},
  [112] = {.lex_state = 3, .external_lex_state = 2},
  [113] = {.lex_state = 3, .external_lex_state = 2},
  [114] = {.lex_state = 3, .external_lex_state = 2},
  [115] = {.lex_state = 3, .external_lex_state = 2},
  [116] = {.lex_state = 99},
  [117] = {.lex_state = 99},
  [118] = {.lex_state = 99},
  [119] = {.lex_state = 99},
  [120] = {.lex_state = 99},
  [121] = {.lex_state = 99},
  [122] = {.lex_state = 99},
  [123] = {.lex_state = 99},
  [124] = {.lex_state = 99},
  [125] = {.lex_state = 99},
  [126] = {.lex_state = 99},
  [127] = {.lex_state = 99},
  [128] = {.lex_state = 99},
  [129] = {.lex_state = 99},
  [130] = {.lex_state = 99},
  [131] = {.lex_state = 99},
  [132] = {.lex_state = 99},
  [133] = {.lex_state = 99},
  [134] = {.lex_state = 99},
  [135] = {.lex_state = 99},
  [136] = {.lex_state = 99},
  [137] = {.lex_state = 99},
  [138] = {.lex_state = 99},
  [139] = {.lex_state = 98, .external_lex_state = 3},
  [140] = {.lex_state = 98, .external_lex_state = 3},
  [141] = {.lex_state = 98, .external_lex_state = 3},
  [142] = {.lex_state = 99, .external_lex_state = 4},
  [143] = {.lex_state = 99},
  [144] = {.lex_state = 98, .external_lex_state = 3},
  [145] = {.lex_state = 98, .external_lex_state = 3},
  [146] = {.lex_state = 98, .external_lex_state = 3},
  [147] = {.lex_state = 98, .external_lex_state = 3},
  [148] = {.lex_state = 98, .external_lex_state = 3},
  [149] = {.lex_state = 98, .external_lex_state = 3},
  [150] = {.lex_state = 99},
  [151] = {.lex_state = 99},
  [152] = {.lex_state = 98, .external_lex_state = 3},
  [153] = {.lex_state = 98, .external_lex_state = 3},
  [154] = {.lex_state = 98, .external_lex_state = 3},
  [155] = {.lex_state = 98, .external_lex_state = 3},
  [156] = {.lex_state = 98, .external_lex_state = 3},
  [157] = {.lex_state = 98, .external_lex_state = 3},
  [158] = {.lex_state = 98, .external_lex_state = 3},
  [159] = {.lex_state = 99},
  [160] = {.lex_state = 98, .external_lex_state = 3},
  [161] = {.lex_state = 98, .external_lex_state = 3},
  [162] = {.lex_state = 99},
  [163] = {.lex_state = 98, .external_lex_state = 3},
  [164] = {.lex_state = 99},
  [165] = {.lex_state = 99},
  [166] = {.lex_state = 99},
  [167] = {.lex_state = 98, .external_lex_state = 3},
  [168] = {.lex_state = 98, .external_lex_state = 3},
  [169] = {.lex_state = 98, .external_lex_state = 3},
  [170] = {.lex_state = 98, .external_lex_state = 3},
  [171] = {.lex_state = 98, .external_lex_state = 3},
  [172] = {.lex_state = 98, .external_lex_state = 3},
  [173] = {.lex_state = 98, .external_lex_state = 3},
  [174] = {.lex_state = 98, .external_lex_state = 3},
  [175] = {.lex_state = 99},
  [176] = {.lex_state = 99},
  [177] = {.lex_state = 99},
  [178] = {.lex_state = 99},
  [179] = {.lex_state = 99},
  [180] = {.lex_state = 99},
  [181] = {.lex_state = 99},
  [182] = {.lex_state = 99},
  [183] = {.lex_state = 99},
  [184] = {.lex_state = 99},
  [185] = {.lex_state = 99},
  [186] = {.lex_state = 99},
  [187] = {.lex_state = 99},
  [188] = {.lex_state = 99},
  [189] = {.lex_state = 99},
  [190] = {.lex_state = 99},
  [191] = {.lex_state = 99},
  [192] = {.lex_state = 99},
  [193] = {.lex_state = 99},
  [194] = {.lex_state = 99},
  [195] = {.lex_state = 99},
  [196] = {.lex_state = 99},
  [197] = {.lex_state = 99},
  [198] = {.lex_state = 99},
  [199] = {.lex_state = 99},
  [200] = {.lex_state = 5, .external_lex_state = 2},
  [201] = {.lex_state = 99},
  [202] = {.lex_state = 99},
  [203] = {.lex_state = 99},
  [204] = {.lex_state = 5, .external_lex_state = 2},
  [205] = {.lex_state = 99},
  [206] = {.lex_state = 99},
  [207] = {.lex_state = 99},
  [208] = {.lex_state = 99},
  [209] = {.lex_state = 99},
  [210] = {.lex_state = 99},
  [211] = {.lex_state = 99},
  [212] = {.lex_state = 5, .external_lex_state = 2},
  [213] = {.lex_state = 5, .external_lex_state = 2},
  [214] = {.lex_state = 99},
  [215] = {.lex_state = 99},
  [216] = {.lex_state = 99},
  [217] = {.lex_state = 99, .external_lex_state = 4},
  [218] = {.lex_state = 99},
  [219] = {.lex_state = 99},
  [220] = {.lex_state = 99},
  [221] = {.lex_state = 99},
  [222] = {.lex_state = 99},
  [223] = {.lex_state = 99},
  [224] = {.lex_state = 99},
  [225] = {.lex_state = 99},
  [226] = {.lex_state = 99},
  [227] = {.lex_state = 99},
  [228] = {.lex_state = 99},
  [229] = {.lex_state = 99},
  [230] = {.lex_state = 99},
  [231] = {.lex_state = 99},
  [232] = {.lex_state = 99},
  [233] = {.lex_state = 99},
  [234] = {.lex_state = 99},
  [235] = {.lex_state = 99},
  [236] = {.lex_state = 99},
  [237] = {.lex_state = 99},
  [238] = {.lex_state = 99},
  [239] = {.lex_state = 99},
  [240] = {.lex_state = 99},
  [241] = {.lex_state = 99},
  [242] = {.lex_state = 99},
  [243] = {.lex_state = 99},
  [244] = {.lex_state = 99},
  [245] = {.lex_state = 99},
  [246] = {.lex_state = 99},
  [247] = {.lex_state = 99},
  [248] = {.lex_state = 99},
  [249] = {.lex_state = 99},
  [250] = {.lex_state = 99},
  [251] = {.lex_state = 99},
  [252] = {.lex_state = 99},
  [253] = {.lex_state = 99},
  [254] = {.lex_state = 99},
  [255] = {.lex_state = 99},
  [256] = {.lex_state = 99},
  [257] = {.lex_state = 99},
  [258] = {.lex_state = 99},
  [259] = {.lex_state = 99},
  [260] = {.lex_state = 99},
  [261] = {.lex_state = 99},
  [262] = {.lex_state = 99},
  [263] = {.lex_state = 99},
  [264] = {.lex_state = 99},
  [265] = {.lex_state = 99},
  [266] = {.lex_state = 99},
  [267] = {.lex_state = 99},
  [268] = {.lex_state = 99},
  [269] = {.lex_state = 99},
  [270] = {.lex_state = 99},
  [271] = {.lex_state = 99},
  [272] = {.lex_state = 99},
  [273] = {.lex_state = 99},
  [274] = {.lex_state = 99},
  [275] = {.lex_state = 99},
  [276] = {.lex_state = 99},
  [277] = {.lex_state = 99},
  [278] = {.lex_state = 99},
  [279] = {.lex_state = 99},
  [280] = {.lex_state = 99},
  [281] = {.lex_state = 99},
  [282] = {.lex_state = 99},
  [283] = {.lex_state = 99},
  [284] = {.lex_state = 99},
  [285] = {.lex_state = 99},
  [286] = {.lex_state = 99},
  [287] = {.lex_state = 99},
  [288] = {.lex_state = 99},
  [289] = {.lex_state = 99},
  [290] = {.lex_state = 99},
  [291] = {.lex_state = 99},
  [292] = {.lex_state = 99},
  [293] = {.lex_state = 99},
  [294] = {.lex_state = 99},
  [295] = {.lex_state = 99},
  [296] = {.lex_state = 99},
  [297] = {.lex_state = 99},
  [298] = {.lex_state = 99},
  [299] = {.lex_state = 99},
  [300] = {.lex_state = 99},
  [301] = {.lex_state = 99},
  [302] = {.lex_state = 99},
  [303] = {.lex_state = 99},
  [304] = {.lex_state = 99},
  [305] = {.lex_state = 99},
  [306] = {.lex_state = 99},
  [307] = {.lex_state = 99},
  [308] = {.lex_state = 99},
  [309] = {.lex_state = 99},
  [310] = {.lex_state = 99},
  [311] = {.lex_state = 99},
  [312] = {.lex_state = 99},
  [313] = {.lex_state = 99},
  [314] = {.lex_state = 99},
  [315] = {.lex_state = 99},
  [316] = {.lex_state = 99},
  [317] = {.lex_state = 99},
  [318] = {.lex_state = 99},
  [319] = {.lex_state = 99},
  [320] = {.lex_state = 99},
  [321] = {.lex_state = 99},
  [322] = {.lex_state = 99},
  [323] = {.lex_state = 99},
  [324] = {.lex_state = 99},
  [325] = {.lex_state = 99},
  [326] = {.lex_state = 99},
  [327] = {.lex_state = 99},
  [328] = {.lex_state = 99},
  [329] = {.lex_state = 99},
  [330] = {.lex_state = 99},
  [331] = {.lex_state = 99},
  [332] = {.lex_state = 99},
  [333] = {.lex_state = 99},
  [334] = {.lex_state = 99},
  [335] = {.lex_state = 99},
  [336] = {.lex_state = 99},
  [337] = {.lex_state = 6, .external_lex_state = 3},
  [338] = {.lex_state = 99},
  [339] = {.lex_state = 99},
  [340] = {.lex_state = 99},
  [341] = {.lex_state = 99},
  [342] = {.lex_state = 99},
  [343] = {.lex_state = 99},
  [344] = {.lex_state = 99},
  [345] = {.lex_state = 99},
  [346] = {.lex_state = 99},
  [347] = {.lex_state = 99},
  [348] = {.lex_state = 99},
  [349] = {.lex_state = 99},
  [350] = {.lex_state = 99},
  [351] = {.lex_state = 99},
  [352] = {.lex_state = 99},
  [353] = {.lex_state = 99},
  [354] = {.lex_state = 99},
  [355] = {.lex_state = 99},
  [356] = {.lex_state = 99},
  [357] = {.lex_state = 6, .external_lex_state = 3},
  [358] = {.lex_state = 99},
  [359] = {.lex_state = 99},
  [360] = {.lex_state = 99},
  [361] = {.lex_state = 99},
  [362] = {.lex_state = 99},
  [363] = {.lex_state = 6, .external_lex_state = 3},
  [364] = {.lex_state = 99},
  [365] = {.lex_state = 99},
  [366] = {.lex_state = 99},
  [367] = {.lex_state = 99},
  [368] = {.lex_state = 99},
  [369] = {.lex_state = 99},
  [370] = {.lex_state = 99},
  [371] = {.lex_state = 99},
  [372] = {.lex_state = 99},
  [373] = {.lex_state = 99},
  [374] = {.lex_state = 99},
  [375] = {.lex_state = 99},
  [376] = {.lex_state = 99},
  [377] = {.lex_state = 99},
  [378] = {.lex_state = 99},
  [379] = {.lex_state = 99},
  [380] = {.lex_state = 99},
  [381] = {.lex_state = 99},
  [382] = {.lex_state = 99},
  [383] = {.lex_state = 99},
  [384] = {.lex_state = 99},
  [385] = {.lex_state = 99},
  [386] = {.lex_state = 99},
  [387] = {.lex_state = 99},
  [388] = {.lex_state = 99},
  [389] = {.lex_state = 99},
  [390] = {.lex_state = 99},
  [391] = {.lex_state = 99},
  [392] = {.lex_state = 99},
  [393] = {.lex_state = 99},
  [394] = {.lex_state = 99},
  [395] = {.lex_state = 99},
  [396] = {.lex_state = 99},
  [397] = {.lex_state = 99},
  [398] = {.lex_state = 99},
  [399] = {.lex_state = 99},
  [400] = {.lex_state = 99},
  [401] = {.lex_state = 99},
  [402] = {.lex_state = 99},
  [403] = {.lex_state = 99},
  [404] = {.lex_state = 99},
  [405] = {.lex_state = 99},
  [406] = {.lex_state = 99},
  [407] = {.lex_state = 99},
  [408] = {.lex_state = 99},
  [409] = {.lex_state = 99},
  [410] = {.lex_state = 99},
  [411] = {.lex_state = 99},
  [412] = {.lex_state = 99},
  [413] = {.lex_state = 99},
  [414] = {.lex_state = 99},
  [415] = {.lex_state = 99},
  [416] = {.lex_state = 99},
  [417] = {.lex_state = 99},
  [418] = {.lex_state = 99},
  [419] = {.lex_state = 99},
  [420] = {.lex_state = 99},
  [421] = {.lex_state = 99},
  [422] = {.lex_state = 99},
  [423] = {.lex_state = 99},
  [424] = {.lex_state = 99},
  [425] = {.lex_state = 99},
  [426] = {.lex_state = 99},
  [427] = {.lex_state = 99},
  [428] = {.lex_state = 99},
  [429] = {.lex_state = 99},
  [430] = {.lex_state = 99},
  [431] = {.lex_state = 99},
  [432] = {.lex_state = 99},
  [433] = {.lex_state = 99},
  [434] = {.lex_state = 99},
  [435] = {.lex_state = 99},
  [436] = {.lex_state = 99},
  [437] = {.lex_state = 99},
  [438] = {.lex_state = 99},
  [439] = {.lex_state = 99},
  [440] = {.lex_state = 99},
  [441] = {.lex_state = 99},
  [442] = {.lex_state = 99},
  [443] = {.lex_state = 99},
  [444] = {.lex_state = 99},
  [445] = {.lex_state = 99},
  [446] = {.lex_state = 99},
  [447] = {.lex_state = 99},
  [448] = {.lex_state = 99},
  [449] = {.lex_state = 99},
  [450] = {.lex_state = 99},
  [451] = {.lex_state = 99},
  [452] = {.lex_state = 99},
  [453] = {.lex_state = 99},
  [454] = {.lex_state = 99},
  [455] = {.lex_state = 99},
  [456] = {.lex_state = 99},
  [457] = {.lex_state = 99},
  [458] = {.lex_state = 99},
  [459] = {.lex_state = 99},
  [460] = {.lex_state = 99},
  [461] = {.lex_state = 99},
  [462] = {.lex_state = 99},
  [463] = {.lex_state = 99},
  [464] = {.lex_state = 99},
  [465] = {.lex_state = 99},
  [466] = {.lex_state = 99},
  [467] = {.lex_state = 99},
  [468] = {.lex_state = 99},
  [469] = {.lex_state = 99},
  [470] = {.lex_state = 99},
  [471] = {.lex_state = 99},
  [472] = {.lex_state = 99},
  [473] = {.lex_state = 99},
  [474] = {.lex_state = 99},
  [475] = {.lex_state = 99},
  [476] = {.lex_state = 99},
  [477] = {.lex_state = 99},
  [478] = {.lex_state = 99},
  [479] = {.lex_state = 99},
  [480] = {.lex_state = 99},
  [481] = {.lex_state = 99},
  [482] = {.lex_state = 99},
  [483] = {.lex_state = 99},
  [484] = {.lex_state = 99},
  [485] = {.lex_state = 99},
  [486] = {.lex_state = 99},
  [487] = {.lex_state = 99},
  [488] = {.lex_state = 99},
  [489] = {.lex_state = 99},
  [490] = {.lex_state = 99},
  [491] = {.lex_state = 99},
  [492] = {.lex_state = 99},
  [493] = {.lex_state = 99},
  [494] = {.lex_state = 99},
  [495] = {.lex_state = 99},
  [496] = {.lex_state = 99},
  [497] = {.lex_state = 99},
  [498] = {.lex_state = 99},
  [499] = {.lex_state = 99},
  [500] = {.lex_state = 99},
  [501] = {.lex_state = 99},
  [502] = {.lex_state = 99},
  [503] = {.lex_state = 99},
  [504] = {.lex_state = 99},
  [505] = {.lex_state = 99},
  [506] = {.lex_state = 99},
  [507] = {.lex_state = 99},
  [508] = {.lex_state = 99},
  [509] = {.lex_state = 99},
  [510] = {.lex_state = 99},
  [511] = {.lex_state = 99},
  [512] = {.lex_state = 99},
  [513] = {.lex_state = 99},
  [514] = {.lex_state = 99},
  [515] = {.lex_state = 99},
  [516] = {.lex_state = 99},
  [517] = {.lex_state = 3, .external_lex_state = 3},
  [518] = {.lex_state = 3, .external_lex_state = 3},
  [519] = {.lex_state = 3, .external_lex_state = 3},
  [520] = {.lex_state = 6, .external_lex_state = 3},
  [521] = {.lex_state = 6, .external_lex_state = 3},
  [522] = {.lex_state = 3, .external_lex_state = 3},
  [523] = {.lex_state = 3, .external_lex_state = 3},
  [524] = {.lex_state = 3, .external_lex_state = 3},
  [525] = {.lex_state = 3, .external_lex_state = 3},
  [526] = {.lex_state = 3, .external_lex_state = 3},
  [527] = {.lex_state = 3, .external_lex_state = 3},
  [528] = {.lex_state = 3, .external_lex_state = 3},
  [529] = {.lex_state = 3, .external_lex_state = 3},
  [530] = {.lex_state = 3, .external_lex_state = 3},
  [531] = {.lex_state = 3, .external_lex_state = 3},
  [532] = {.lex_state = 3, .external_lex_state = 3},
  [533] = {.lex_state = 3, .external_lex_state = 3},
  [534] = {.lex_state = 99},
  [535] = {.lex_state = 3, .external_lex_state = 3},
  [536] = {.lex_state = 99},
  [537] = {.lex_state = 3, .external_lex_state = 3},
  [538] = {.lex_state = 3, .external_lex_state = 3},
  [539] = {.lex_state = 3, .external_lex_state = 3},
  [540] = {.lex_state = 99},
  [541] = {.lex_state = 99},
  [542] = {.lex_state = 99},
  [543] = {.lex_state = 99},
  [544] = {.lex_state = 99},
  [545] = {.lex_state = 3, .external_lex_state = 3},
  [546] = {.lex_state = 3, .external_lex_state = 3},
  [547] = {.lex_state = 3, .external_lex_state = 3},
  [548] = {.lex_state = 3, .external_lex_state = 3},
  [549] = {.lex_state = 3, .external_lex_state = 3},
  [550] = {.lex_state = 3, .external_lex_state = 3},
  [551] = {.lex_state = 3, .external_lex_state = 2},
  [552] = {.lex_state = 3, .external_lex_state = 2},
  [553] = {.lex_state = 3, .external_lex_state = 2},
  [554] = {.lex_state = 3, .external_lex_state = 2},
  [555] = {.lex_state = 3, .external_lex_state = 2},
  [556] = {.lex_state = 3, .external_lex_state = 3},
  [557] = {.lex_state = 3, .external_lex_state = 3},
  [558] = {.lex_state = 3, .external_lex_state = 3},
  [559] = {.lex_state = 3, .external_lex_state = 3},
  [560] = {.lex_state = 3, .external_lex_state = 3},
  [561] = {.lex_state = 3, .external_lex_state = 3},
  [562] = {.lex_state = 3, .external_lex_state = 2},
  [563] = {.lex_state = 3, .external_lex_state = 3},
  [564] = {.lex_state = 6, .external_lex_state = 2},
  [565] = {.lex_state = 3, .external_lex_state = 2},
  [566] = {.lex_state = 99},
  [567] = {.lex_state = 3, .external_lex_state = 2},
  [568] = {.lex_state = 99, .external_lex_state = 4},
  [569] = {.lex_state = 6, .external_lex_state = 2},
  [570] = {.lex_state = 99, .external_lex_state = 4},
  [571] = {.lex_state = 3, .external_lex_state = 2},
  [572] = {.lex_state = 99, .external_lex_state = 4},
  [573] = {.lex_state = 99, .external_lex_state = 4},
  [574] = {.lex_state = 99, .external_lex_state = 4},
  [575] = {.lex_state = 99},
  [576] = {.lex_state = 99},
  [577] = {.lex_state = 3, .external_lex_state = 3},
  [578] = {.lex_state = 99, .external_lex_state = 4},
  [579] = {.lex_state = 3, .external_lex_state = 2},
  [580] = {.lex_state = 3, .external_lex_state = 3},
  [581] = {.lex_state = 99, .external_lex_state = 4},
  [582] = {.lex_state = 3, .external_lex_state = 3},
  [583] = {.lex_state = 3, .external_lex_state = 2},
  [584] = {.lex_state = 3, .external_lex_state = 3},
  [585] = {.lex_state = 99, .external_lex_state = 4},
  [586] = {.lex_state = 3, .external_lex_state = 2},
  [587] = {.lex_state = 3, .external_lex_state = 3},
  [588] = {.lex_state = 99},
  [589] = {.lex_state = 3, .external_lex_state = 2},
  [590] = {.lex_state = 3, .external_lex_state = 2},
  [591] = {.lex_state = 3, .external_lex_state = 2},
  [592] = {.lex_state = 99},
  [593] = {.lex_state = 3, .external_lex_state = 2},
  [594] = {.lex_state = 99, .external_lex_state = 4},
  [595] = {.lex_state = 99, .external_lex_state = 4},
  [596] = {.lex_state = 99, .external_lex_state = 4},
  [597] = {.lex_state = 99, .external_lex_state = 4},
  [598] = {.lex_state = 99},
  [599] = {.lex_state = 99},
  [600] = {.lex_state = 99, .external_lex_state = 4},
  [601] = {.lex_state = 99, .external_lex_state = 4},
  [602] = {.lex_state = 99, .external_lex_state = 4},
  [603] = {.lex_state = 99, .external_lex_state = 4},
  [604] = {.lex_state = 99, .external_lex_state = 4},
  [605] = {.lex_state = 99},
  [606] = {.lex_state = 99},
  [607] = {.lex_state = 99, .external_lex_state = 4},
  [608] = {.lex_state = 99},
  [609] = {.lex_state = 99},
  [610] = {.lex_state = 99},
  [611] = {.lex_state = 99, .external_lex_state = 4},
  [612] = {.lex_state = 99, .external_lex_state = 4},
  [613] = {.lex_state = 99},
  [614] = {.lex_state = 3, .external_lex_state = 2},
  [615] = {.lex_state = 99},
  [616] = {.lex_state = 99},
  [617] = {.lex_state = 99},
  [618] = {.lex_state = 99},
  [619] = {.lex_state = 99},
  [620] = {.lex_state = 99},
  [621] = {.lex_state = 99},
  [622] = {.lex_state = 99},
  [623] = {.lex_state = 99},
  [624] = {.lex_state = 99},
  [625] = {.lex_state = 99},
  [626] = {.lex_state = 99},
  [627] = {.lex_state = 99},
  [628] = {.lex_state = 99},
  [629] = {.lex_state = 99},
  [630] = {.lex_state = 99},
  [631] = {.lex_state = 99},
  [632] = {.lex_state = 99},
  [633] = {.lex_state = 99},
  [634] = {.lex_state = 99},
  [635] = {.lex_state = 99},
  [636] = {.lex_state = 99},
  [637] = {.lex_state = 99},
  [638] = {.lex_state = 99},
  [639] = {.lex_state = 99},
  [640] = {.lex_state = 99},
  [641] = {.lex_state = 99},
  [642] = {.lex_state = 99},
  [643] = {.lex_state = 99},
  [644] = {.lex_state = 99},
  [645] = {.lex_state = 99},
  [646] = {.lex_state = 99},
  [647] = {.lex_state = 99},
  [648] = {.lex_state = 99},
  [649] = {.lex_state = 99},
  [650] = {.lex_state = 99},
  [651] = {.lex_state = 99},
  [652] = {.lex_state = 99},
  [653] = {.lex_state = 99},
  [654] = {.lex_state = 99},
  [655] = {.lex_state = 99},
  [656] = {.lex_state = 99},
  [657] = {.lex_state = 99},
  [658] = {.lex_state = 99},
  [659] = {.lex_state = 99},
  [660] = {.lex_state = 99},
  [661] = {.lex_state = 99},
  [662] = {.lex_state = 99},
  [663] = {.lex_state = 99},
  [664] = {.lex_state = 99},
  [665] = {.lex_state = 99},
  [666] = {.lex_state = 99},
  [667] = {.lex_state = 99},
  [668] = {.lex_state = 99},
  [669] = {.lex_state = 99},
  [670] = {.lex_state = 99},
  [671] = {.lex_state = 99},
  [672] = {.lex_state = 99},
  [673] = {.lex_state = 99},
  [674] = {.lex_state = 99},
  [675] = {.lex_state = 99},
  [676] = {.lex_state = 99},
  [677] = {.lex_state = 99},
  [678] = {.lex_state = 99},
  [679] = {.lex_state = 99},
  [680] = {.lex_state = 99},
  [681] = {.lex_state = 99},
  [682] = {.lex_state = 99},
  [683] = {.lex_state = 99},
  [684] = {.lex_state = 99},
  [685] = {.lex_state = 99},
  [686] = {.lex_state = 99},
  [687] = {.lex_state = 99},
  [688] = {.lex_state = 99},
  [689] = {.lex_state = 99},
  [690] = {.lex_state = 99},
  [691] = {.lex_state = 99},
  [692] = {.lex_state = 99},
  [693] = {.lex_state = 99},
  [694] = {.lex_state = 99},
  [695] = {.lex_state = 99},
  [696] = {.lex_state = 99},
  [697] = {.lex_state = 99},
  [698] = {.lex_state = 99},
  [699] = {.lex_state = 99},
  [700] = {.lex_state = 99},
  [701] = {.lex_state = 99},
  [702] = {.lex_state = 99},
  [703] = {.lex_state = 99},
  [704] = {.lex_state = 99},
  [705] = {.lex_state = 99},
  [706] = {.lex_state = 99},
  [707] = {.lex_state = 99},
  [708] = {.lex_state = 99},
  [709] = {.lex_state = 99},
  [710] = {.lex_state = 99},
  [711] = {.lex_state = 99},
  [712] = {.lex_state = 99},
  [713] = {.lex_state = 99},
  [714] = {.lex_state = 99},
  [715] = {.lex_state = 99},
  [716] = {.lex_state = 99},
  [717] = {.lex_state = 99},
  [718] = {.lex_state = 99},
  [719] = {.lex_state = 99},
  [720] = {.lex_state = 99},
  [721] = {.lex_state = 99},
  [722] = {.lex_state = 99},
  [723] = {.lex_state = 99},
  [724] = {.lex_state = 99},
  [725] = {.lex_state = 99},
  [726] = {.lex_state = 99},
  [727] = {.lex_state = 99},
  [728] = {.lex_state = 99},
  [729] = {.lex_state = 99},
  [730] = {.lex_state = 99},
  [731] = {.lex_state = 99},
  [732] = {.lex_state = 99},
  [733] = {.lex_state = 99},
  [734] = {.lex_state = 99},
  [735] = {.lex_state = 99},
  [736] = {.lex_state = 99},
  [737] = {.lex_state = 99},
  [738] = {.lex_state = 99},
  [739] = {.lex_state = 99},
  [740] = {.lex_state = 99},
  [741] = {.lex_state = 99},
  [742] = {.lex_state = 99},
  [743] = {.lex_state = 99},
  [744] = {.lex_state = 99},
  [745] = {.lex_state = 99},
  [746] = {.lex_state = 99},
  [747] = {.lex_state = 99},
  [748] = {.lex_state = 99},
  [749] = {.lex_state = 99},
  [750] = {.lex_state = 99},
  [751] = {.lex_state = 99},
  [752] = {.lex_state = 99},
  [753] = {.lex_state = 99},
  [754] = {.lex_state = 99},
  [755] = {.lex_state = 99},
  [756] = {.lex_state = 99},
  [757] = {.lex_state = 99},
  [758] = {.lex_state = 99},
  [759] = {.lex_state = 99},
  [760] = {.lex_state = 99},
  [761] = {.lex_state = 13},
  [762] = {.lex_state = 13},
  [763] = {.lex_state = 13},
  [764] = {.lex_state = 13},
  [765] = {.lex_state = 13},
  [766] = {.lex_state = 13},
  [767] = {.lex_state = 13},
  [768] = {.lex_state = 13},
  [769] = {.lex_state = 13},
  [770] = {.lex_state = 13},
  [771] = {.lex_state = 13},
  [772] = {.lex_state = 13},
  [773] = {.lex_state = 13},
  [774] = {.lex_state = 13},
  [775] = {.lex_state = 13},
  [776] = {.lex_state = 13},
  [777] = {.lex_state = 99},
  [778] = {.lex_state = 99},
  [779] = {.lex_state = 99},
  [780] = {.lex_state = 99},
  [781] = {.lex_state = 99},
  [782] = {.lex_state = 99},
  [783] = {.lex_state = 99},
  [784] = {.lex_state = 99},
  [785] = {.lex_state = 99},
  [786] = {.lex_state = 99},
  [787] = {.lex_state = 99},
  [788] = {.lex_state = 99},
  [789] = {.lex_state = 99},
  [790] = {.lex_state = 16},
  [791] = {.lex_state = 16},
  [792] = {.lex_state = 16},
  [793] = {.lex_state = 3, .external_lex_state = 3},
  [794] = {.lex_state = 3, .external_lex_state = 3},
  [795] = {.lex_state = 3, .external_lex_state = 3},
  [796] = {.lex_state = 3, .external_lex_state = 3},
  [797] = {.lex_state = 3, .external_lex_state = 3},
  [798] = {.lex_state = 3, .external_lex_state = 3},
  [799] = {.lex_state = 13},
  [800] = {.lex_state = 13},
  [801] = {.lex_state = 13},
  [802] = {.lex_state = 13},
  [803] = {.lex_state = 13},
  [804] = {.lex_state = 17},
  [805] = {.lex_state = 13},
  [806] = {.lex_state = 13},
  [807] = {.lex_state = 13},
  [808] = {.lex_state = 13},
  [809] = {.lex_state = 13},
  [810] = {.lex_state = 13},
  [811] = {.lex_state = 13},
  [812] = {.lex_state = 13},
  [813] = {.lex_state = 13},
  [814] = {.lex_state = 13},
  [815] = {.lex_state = 12},
  [816] = {.lex_state = 13},
  [817] = {.lex_state = 13},
  [818] = {.lex_state = 13},
  [819] = {.lex_state = 12},
  [820] = {.lex_state = 12},
  [821] = {.lex_state = 12},
  [822] = {.lex_state = 3, .external_lex_state = 2},
  [823] = {.lex_state = 12},
  [824] = {.lex_state = 13},
  [825] = {.lex_state = 3, .external_lex_state = 2},
  [826] = {.lex_state = 12},
  [827] = {.lex_state = 13},
  [828] = {.lex_state = 13},
  [829] = {.lex_state = 12},
  [830] = {.lex_state = 13},
  [831] = {.lex_state = 13},
  [832] = {.lex_state = 13},
  [833] = {.lex_state = 12},
  [834] = {.lex_state = 13},
  [835] = {.lex_state = 12},
  [836] = {.lex_state = 13},
  [837] = {.lex_state = 13},
  [838] = {.lex_state = 3, .external_lex_state = 2},
  [839] = {.lex_state = 13},
  [840] = {.lex_state = 12},
  [841] = {.lex_state = 13},
  [842] = {.lex_state = 12},
  [843] = {.lex_state = 13},
  [844] = {.lex_state = 13},
  [845] = {.lex_state = 13},
  [846] = {.lex_state = 12},
  [847] = {.lex_state = 13},
  [848] = {.lex_state = 13},
  [849] = {.lex_state = 13},
  [850] = {.lex_state = 13},
  [851] = {.lex_state = 13},
  [852] = {.lex_state = 13},
  [853] = {.lex_state = 13},
  [854] = {.lex_state = 13},
  [855] = {.lex_state = 13},
  [856] = {.lex_state = 13},
  [857] = {.lex_state = 13},
  [858] = {.lex_state = 13},
  [859] = {.lex_state = 13},
  [860] = {.lex_state = 13},
  [861] = {.lex_state = 13},
  [862] = {.lex_state = 13},
  [863] = {.lex_state = 13},
  [864] = {.lex_state = 13},
  [865] = {.lex_state = 13},
  [866] = {.lex_state = 13},
  [867] = {.lex_state = 13},
  [868] = {.lex_state = 13},
  [869] = {.lex_state = 13},
  [870] = {.lex_state = 13},
  [871] = {.lex_state = 13},
  [872] = {.lex_state = 13},
  [873] = {.lex_state = 13},
  [874] = {.lex_state = 13},
  [875] = {.lex_state = 13},
  [876] = {.lex_state = 13},
  [877] = {.lex_state = 13},
  [878] = {.lex_state = 13},
  [879] = {.lex_state = 13},
  [880] = {.lex_state = 13},
  [881] = {.lex_state = 13},
  [882] = {.lex_state = 13},
  [883] = {.lex_state = 13},
  [884] = {.lex_state = 13},
  [885] = {.lex_state = 13},
  [886] = {.lex_state = 13},
  [887] = {.lex_state = 13},
  [888] = {.lex_state = 13},
  [889] = {.lex_state = 13},
  [890] = {.lex_state = 13},
  [891] = {.lex_state = 13},
  [892] = {.lex_state = 13},
  [893] = {.lex_state = 13},
  [894] = {.lex_state = 13},
  [895] = {.lex_state = 13},
  [896] = {.lex_state = 13},
  [897] = {.lex_state = 13},
  [898] = {.lex_state = 13},
  [899] = {.lex_state = 13},
  [900] = {.lex_state = 13},
  [901] = {.lex_state = 13},
  [902] = {.lex_state = 13},
  [903] = {.lex_state = 13},
  [904] = {.lex_state = 13},
  [905] = {.lex_state = 13},
  [906] = {.lex_state = 13},
  [907] = {.lex_state = 13},
  [908] = {.lex_state = 13},
  [909] = {.lex_state = 13},
  [910] = {.lex_state = 13},
  [911] = {.lex_state = 13},
  [912] = {.lex_state = 13},
  [913] = {.lex_state = 13},
  [914] = {.lex_state = 13},
  [915] = {.lex_state = 13},
  [916] = {.lex_state = 13},
  [917] = {.lex_state = 13},
  [918] = {.lex_state = 13},
  [919] = {.lex_state = 13},
  [920] = {.lex_state = 13},
  [921] = {.lex_state = 13},
  [922] = {.lex_state = 13},
  [923] = {.lex_state = 13},
  [924] = {.lex_state = 13},
  [925] = {.lex_state = 13},
  [926] = {.lex_state = 13},
  [927] = {.lex_state = 3, .external_lex_state = 2},
  [928] = {.lex_state = 13},
  [929] = {.lex_state = 13},
  [930] = {.lex_state = 13},
  [931] = {.lex_state = 13},
  [932] = {.lex_state = 13},
  [933] = {.lex_state = 13},
  [934] = {.lex_state = 13},
  [935] = {.lex_state = 13},
  [936] = {.lex_state = 13},
  [937] = {.lex_state = 13},
  [938] = {.lex_state = 13},
  [939] = {.lex_state = 13},
  [940] = {.lex_state = 13},
  [941] = {.lex_state = 13},
  [942] = {.lex_state = 13},
  [943] = {.lex_state = 13},
  [944] = {.lex_state = 13},
  [945] = {.lex_state = 13},
  [946] = {.lex_state = 13},
  [947] = {.lex_state = 13},
  [948] = {.lex_state = 13},
  [949] = {.lex_state = 13},
  [950] = {.lex_state = 13},
  [951] = {.lex_state = 13},
  [952] = {.lex_state = 13},
  [953] = {.lex_state = 13},
  [954] = {.lex_state = 13},
  [955] = {.lex_state = 13},
  [956] = {.lex_state = 13},
  [957] = {.lex_state = 3, .external_lex_state = 2},
  [958] = {.lex_state = 13},
  [959] = {.lex_state = 13},
  [960] = {.lex_state = 13},
  [961] = {.lex_state = 13},
  [962] = {.lex_state = 13},
  [963] = {.lex_state = 13},
  [964] = {.lex_state = 13},
  [965] = {.lex_state = 13},
  [966] = {.lex_state = 13},
  [967] = {.lex_state = 13},
  [968] = {.lex_state = 13},
  [969] = {.lex_state = 13},
  [970] = {.lex_state = 13},
  [971] = {.lex_state = 13},
  [972] = {.lex_state = 13},
  [973] = {.lex_state = 13},
  [974] = {.lex_state = 13},
  [975] = {.lex_state = 13},
  [976] = {.lex_state = 13},
  [977] = {.lex_state = 13},
  [978] = {.lex_state = 13},
  [979] = {.lex_state = 13},
  [980] = {.lex_state = 13},
  [981] = {.lex_state = 3, .external_lex_state = 3},
  [982] = {.lex_state = 3, .external_lex_state = 2},
  [983] = {.lex_state = 3, .external_lex_state = 3},
  [984] = {.lex_state = 3, .external_lex_state = 3},
  [985] = {.lex_state = 3, .external_lex_state = 3},
  [986] = {.lex_state = 3, .external_lex_state = 3},
  [987] = {.lex_state = 3, .external_lex_state = 3},
  [988] = {.lex_state = 3, .external_lex_state = 3},
  [989] = {.lex_state = 3, .external_lex_state = 3},
  [990] = {.lex_state = 3, .external_lex_state = 3},
  [991] = {.lex_state = 3, .external_lex_state = 3},
  [992] = {.lex_state = 3, .external_lex_state = 3},
  [993] = {.lex_state = 6, .external_lex_state = 2},
  [994] = {.lex_state = 3, .external_lex_state = 2},
  [995] = {.lex_state = 3, .external_lex_state = 3},
  [996] = {.lex_state = 3, .external_lex_state = 2},
  [997] = {.lex_state = 6, .external_lex_state = 2},
  [998] = {.lex_state = 3, .external_lex_state = 2},
  [999] = {.lex_state = 6, .external_lex_state = 2},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 6, .external_lex_state = 2},
  [1002] = {.lex_state = 3, .external_lex_state = 2},
  [1003] = {.lex_state = 3, .external_lex_state = 3},
  [1004] = {.lex_state = 6, .external_lex_state = 2},
  [1005] = {.lex_state = 3, .external_lex_state = 3},
  [1006] = {.lex_state = 6, .external_lex_state = 2},
  [1007] = {.lex_state = 3, .external_lex_state = 2},
  [1008] = {.lex_state = 6, .external_lex_state = 2},
  [1009] = {.lex_state = 3, .external_lex_state = 3},
  [1010] = {.lex_state = 3, .external_lex_state = 3},
  [1011] = {.lex_state = 3, .external_lex_state = 3},
  [1012] = {.lex_state = 3, .external_lex_state = 3},
  [1013] = {.lex_state = 3, .external_lex_state = 3},
  [1014] = {.lex_state = 3, .external_lex_state = 3},
  [1015] = {.lex_state = 6, .external_lex_state = 2},
  [1016] = {.lex_state = 3, .external_lex_state = 3},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 3, .external_lex_state = 2},
  [1019] = {.lex_state = 6, .external_lex_state = 2},
  [1020] = {.lex_state = 3, .external_lex_state = 3},
  [1021] = {.lex_state = 3, .external_lex_state = 3},
  [1022] = {.lex_state = 3, .external_lex_state = 2},
  [1023] = {.lex_state = 3, .external_lex_state = 2},
  [1024] = {.lex_state = 3, .external_lex_state = 2},
  [1025] = {.lex_state = 6, .external_lex_state = 2},
  [1026] = {.lex_state = 3, .external_lex_state = 2},
  [1027] = {.lex_state = 3, .external_lex_state = 2},
  [1028] = {.lex_state = 3, .external_lex_state = 2},
  [1029] = {.lex_state = 3, .external_lex_state = 3},
  [1030] = {.lex_state = 3, .external_lex_state = 2},
  [1031] = {.lex_state = 6, .external_lex_state = 2},
  [1032] = {.lex_state = 3, .external_lex_state = 3},
  [1033] = {.lex_state = 6, .external_lex_state = 2},
  [1034] = {.lex_state = 3, .external_lex_state = 2},
  [1035] = {.lex_state = 3, .external_lex_state = 2},
  [1036] = {.lex_state = 3, .external_lex_state = 2},
  [1037] = {.lex_state = 3, .external_lex_state = 2},
  [1038] = {.lex_state = 3, .external_lex_state = 2},
  [1039] = {.lex_state = 3, .external_lex_state = 2},
  [1040] = {.lex_state = 3, .external_lex_state = 2},
  [1041] = {.lex_state = 3, .external_lex_state = 3},
  [1042] = {.lex_state = 3, .external_lex_state = 3},
  [1043] = {.lex_state = 3, .external_lex_state = 2},
  [1044] = {.lex_state = 3, .external_lex_state = 3},
  [1045] = {.lex_state = 3, .external_lex_state = 2},
  [1046] = {.lex_state = 3, .external_lex_state = 2},
  [1047] = {.lex_state = 3, .external_lex_state = 2},
  [1048] = {.lex_state = 3, .external_lex_state = 3},
  [1049] = {.lex_state = 3, .external_lex_state = 2},
  [1050] = {.lex_state = 3, .external_lex_state = 3},
  [1051] = {.lex_state = 3, .external_lex_state = 2},
  [1052] = {.lex_state = 3, .external_lex_state = 2},
  [1053] = {.lex_state = 3, .external_lex_state = 3},
  [1054] = {.lex_state = 3, .external_lex_state = 2},
  [1055] = {.lex_state = 3, .external_lex_state = 2},
  [1056] = {.lex_state = 3, .external_lex_state = 2},
  [1057] = {.lex_state = 3, .external_lex_state = 3},
  [1058] = {.lex_state = 3, .external_lex_state = 2},
  [1059] = {.lex_state = 3, .external_lex_state = 2},
  [1060] = {.lex_state = 3, .external_lex_state = 2},
  [1061] = {.lex_state = 3, .external_lex_state = 2},
  [1062] = {.lex_state = 6, .external_lex_state = 2},
  [1063] = {.lex_state = 3, .external_lex_state = 2},
  [1064] = {.lex_state = 3, .external_lex_state = 3},
  [1065] = {.lex_state = 3, .external_lex_state = 2},
  [1066] = {.lex_state = 3, .external_lex_state = 2},
  [1067] = {.lex_state = 3, .external_lex_state = 2},
  [1068] = {.lex_state = 3, .external_lex_state = 3},
  [1069] = {.lex_state = 3, .external_lex_state = 3},
  [1070] = {.lex_state = 3, .external_lex_state = 2},
  [1071] = {.lex_state = 3, .external_lex_state = 3},
  [1072] = {.lex_state = 6, .external_lex_state = 2},
  [1073] = {.lex_state = 3, .external_lex_state = 3},
  [1074] = {.lex_state = 3, .external_lex_state = 3},
  [1075] = {.lex_state = 3, .external_lex_state = 2},
  [1076] = {.lex_state = 6, .external_lex_state = 2},
  [1077] = {.lex_state = 3, .external_lex_state = 3},
  [1078] = {.lex_state = 3, .external_lex_state = 3},
  [1079] = {.lex_state = 3, .external_lex_state = 2},
  [1080] = {.lex_state = 3, .external_lex_state = 3},
  [1081] = {.lex_state = 3, .external_lex_state = 3},
  [1082] = {.lex_state = 3, .external_lex_state = 3},
  [1083] = {.lex_state = 3, .external_lex_state = 2},
  [1084] = {.lex_state = 3, .external_lex_state = 3},
  [1085] = {.lex_state = 3, .external_lex_state = 2},
  [1086] = {.lex_state = 3, .external_lex_state = 3},
  [1087] = {.lex_state = 3, .external_lex_state = 2},
  [1088] = {.lex_state = 3, .external_lex_state = 3},
  [1089] = {.lex_state = 3, .external_lex_state = 3},
  [1090] = {.lex_state = 3, .external_lex_state = 3},
  [1091] = {.lex_state = 3, .external_lex_state = 3},
  [1092] = {.lex_state = 3, .external_lex_state = 3},
  [1093] = {.lex_state = 3, .external_lex_state = 3},
  [1094] = {.lex_state = 3, .external_lex_state = 3},
  [1095] = {.lex_state = 3, .external_lex_state = 2},
  [1096] = {.lex_state = 3, .external_lex_state = 3},
  [1097] = {.lex_state = 3, .external_lex_state = 3},
  [1098] = {.lex_state = 3, .external_lex_state = 2},
  [1099] = {.lex_state = 3, .external_lex_state = 3},
  [1100] = {.lex_state = 3, .external_lex_state = 2},
  [1101] = {.lex_state = 3, .external_lex_state = 3},
  [1102] = {.lex_state = 3, .external_lex_state = 3},
  [1103] = {.lex_state = 3, .external_lex_state = 3},
  [1104] = {.lex_state = 3, .external_lex_state = 3},
  [1105] = {.lex_state = 3, .external_lex_state = 3},
  [1106] = {.lex_state = 3, .external_lex_state = 2},
  [1107] = {.lex_state = 3, .external_lex_state = 3},
  [1108] = {.lex_state = 3, .external_lex_state = 2},
  [1109] = {.lex_state = 3, .external_lex_state = 2},
  [1110] = {.lex_state = 3, .external_lex_state = 2},
  [1111] = {.lex_state = 3, .external_lex_state = 2},
  [1112] = {.lex_state = 3, .external_lex_state = 2},
  [1113] = {.lex_state = 99},
  [1114] = {.lex_state = 3, .external_lex_state = 2},
  [1115] = {.lex_state = 3, .external_lex_state = 3},
  [1116] = {.lex_state = 3, .external_lex_state = 2},
  [1117] = {.lex_state = 3, .external_lex_state = 2},
  [1118] = {.lex_state = 3, .external_lex_state = 2},
  [1119] = {.lex_state = 3, .external_lex_state = 3},
  [1120] = {.lex_state = 3, .external_lex_state = 2},
  [1121] = {.lex_state = 3, .external_lex_state = 2},
  [1122] = {.lex_state = 3, .external_lex_state = 2},
  [1123] = {.lex_state = 3, .external_lex_state = 3},
  [1124] = {.lex_state = 3, .external_lex_state = 3},
  [1125] = {.lex_state = 3, .external_lex_state = 2},
  [1126] = {.lex_state = 6, .external_lex_state = 2},
  [1127] = {.lex_state = 99},
  [1128] = {.lex_state = 6, .external_lex_state = 2},
  [1129] = {.lex_state = 6, .external_lex_state = 2},
  [1130] = {.lex_state = 6, .external_lex_state = 2},
  [1131] = {.lex_state = 3, .external_lex_state = 3},
  [1132] = {.lex_state = 3, .external_lex_state = 2},
  [1133] = {.lex_state = 99},
  [1134] = {.lex_state = 3, .external_lex_state = 2},
  [1135] = {.lex_state = 3, .external_lex_state = 3},
  [1136] = {.lex_state = 3, .external_lex_state = 2},
  [1137] = {.lex_state = 3, .external_lex_state = 2},
  [1138] = {.lex_state = 3, .external_lex_state = 2},
  [1139] = {.lex_state = 99},
  [1140] = {.lex_state = 6, .external_lex_state = 2},
  [1141] = {.lex_state = 3, .external_lex_state = 2},
  [1142] = {.lex_state = 3, .external_lex_state = 3},
  [1143] = {.lex_state = 3, .external_lex_state = 3},
  [1144] = {.lex_state = 3, .external_lex_state = 2},
  [1145] = {.lex_state = 3, .external_lex_state = 3},
  [1146] = {.lex_state = 3, .external_lex_state = 2},
  [1147] = {.lex_state = 3, .external_lex_state = 2},
  [1148] = {.lex_state = 3, .external_lex_state = 2},
  [1149] = {.lex_state = 3, .external_lex_state = 2},
  [1150] = {.lex_state = 99},
  [1151] = {.lex_state = 3, .external_lex_state = 2},
  [1152] = {.lex_state = 3, .external_lex_state = 3},
  [1153] = {.lex_state = 3, .external_lex_state = 2},
  [1154] = {.lex_state = 3, .external_lex_state = 2},
  [1155] = {.lex_state = 3, .external_lex_state = 2},
  [1156] = {.lex_state = 3, .external_lex_state = 2},
  [1157] = {.lex_state = 99},
  [1158] = {.lex_state = 99},
  [1159] = {.lex_state = 3, .external_lex_state = 2},
  [1160] = {.lex_state = 3, .external_lex_state = 2},
  [1161] = {.lex_state = 3, .external_lex_state = 2},
  [1162] = {.lex_state = 3, .external_lex_state = 2},
  [1163] = {.lex_state = 3, .external_lex_state = 2},
  [1164] = {.lex_state = 13},
  [1165] = {.lex_state = 13},
  [1166] = {.lex_state = 13},
  [1167] = {.lex_state = 13},
  [1168] = {.lex_state = 13},
  [1169] = {.lex_state = 13},
  [1170] = {.lex_state = 7, .external_lex_state = 3},
  [1171] = {.lex_state = 13},
  [1172] = {.lex_state = 13},
  [1173] = {.lex_state = 13},
  [1174] = {.lex_state = 12, .external_lex_state = 4},
  [1175] = {.lex_state = 13},
  [1176] = {.lex_state = 13},
  [1177] = {.lex_state = 13},
  [1178] = {.lex_state = 13},
  [1179] = {.lex_state = 12, .external_lex_state = 4},
  [1180] = {.lex_state = 13},
  [1181] = {.lex_state = 12, .external_lex_state = 4},
  [1182] = {.lex_state = 13},
  [1183] = {.lex_state = 13},
  [1184] = {.lex_state = 13},
  [1185] = {.lex_state = 12, .external_lex_state = 4},
  [1186] = {.lex_state = 13},
  [1187] = {.lex_state = 13},
  [1188] = {.lex_state = 13},
  [1189] = {.lex_state = 12, .external_lex_state = 4},
  [1190] = {.lex_state = 13},
  [1191] = {.lex_state = 13},
  [1192] = {.lex_state = 13},
  [1193] = {.lex_state = 13},
  [1194] = {.lex_state = 12, .external_lex_state = 4},
  [1195] = {.lex_state = 13},
  [1196] = {.lex_state = 12, .external_lex_state = 4},
  [1197] = {.lex_state = 13},
  [1198] = {.lex_state = 13},
  [1199] = {.lex_state = 7, .external_lex_state = 3},
  [1200] = {.lex_state = 13},
  [1201] = {.lex_state = 7, .external_lex_state = 3},
  [1202] = {.lex_state = 13},
  [1203] = {.lex_state = 13},
  [1204] = {.lex_state = 13},
  [1205] = {.lex_state = 7, .external_lex_state = 2},
  [1206] = {.lex_state = 7, .external_lex_state = 2},
  [1207] = {.lex_state = 7, .external_lex_state = 3},
  [1208] = {.lex_state = 7, .external_lex_state = 2},
  [1209] = {.lex_state = 99},
  [1210] = {.lex_state = 7, .external_lex_state = 2},
  [1211] = {.lex_state = 99},
  [1212] = {.lex_state = 99},
  [1213] = {.lex_state = 99},
  [1214] = {.lex_state = 99},
  [1215] = {.lex_state = 7, .external_lex_state = 3},
  [1216] = {.lex_state = 99},
  [1217] = {.lex_state = 7, .external_lex_state = 2},
  [1218] = {.lex_state = 7, .external_lex_state = 2},
  [1219] = {.lex_state = 7, .external_lex_state = 2},
  [1220] = {.lex_state = 7, .external_lex_state = 2},
  [1221] = {.lex_state = 7, .external_lex_state = 2},
  [1222] = {.lex_state = 99},
  [1223] = {.lex_state = 7, .external_lex_state = 2},
  [1224] = {.lex_state = 7, .external_lex_state = 2},
  [1225] = {.lex_state = 7, .external_lex_state = 3},
  [1226] = {.lex_state = 7, .external_lex_state = 2},
  [1227] = {.lex_state = 7, .external_lex_state = 2},
  [1228] = {.lex_state = 7, .external_lex_state = 2},
  [1229] = {.lex_state = 7, .external_lex_state = 2},
  [1230] = {.lex_state = 7, .external_lex_state = 3},
  [1231] = {.lex_state = 7, .external_lex_state = 2},
  [1232] = {.lex_state = 7, .external_lex_state = 2},
  [1233] = {.lex_state = 7, .external_lex_state = 2},
  [1234] = {.lex_state = 7, .external_lex_state = 2},
  [1235] = {.lex_state = 7, .external_lex_state = 2},
  [1236] = {.lex_state = 7, .external_lex_state = 2},
  [1237] = {.lex_state = 7, .external_lex_state = 2},
  [1238] = {.lex_state = 7, .external_lex_state = 2},
  [1239] = {.lex_state = 7, .external_lex_state = 2},
  [1240] = {.lex_state = 7, .external_lex_state = 2},
  [1241] = {.lex_state = 7, .external_lex_state = 2},
  [1242] = {.lex_state = 7, .external_lex_state = 2},
  [1243] = {.lex_state = 7, .external_lex_state = 2},
  [1244] = {.lex_state = 7, .external_lex_state = 3},
  [1245] = {.lex_state = 7, .external_lex_state = 2},
  [1246] = {.lex_state = 7, .external_lex_state = 2},
  [1247] = {.lex_state = 7, .external_lex_state = 2},
  [1248] = {.lex_state = 7, .external_lex_state = 2},
  [1249] = {.lex_state = 7, .external_lex_state = 2},
  [1250] = {.lex_state = 7, .external_lex_state = 2},
  [1251] = {.lex_state = 7, .external_lex_state = 2},
  [1252] = {.lex_state = 7, .external_lex_state = 2},
  [1253] = {.lex_state = 7, .external_lex_state = 2},
  [1254] = {.lex_state = 7, .external_lex_state = 2},
  [1255] = {.lex_state = 7, .external_lex_state = 2},
  [1256] = {.lex_state = 7, .external_lex_state = 2},
  [1257] = {.lex_state = 7, .external_lex_state = 2},
  [1258] = {.lex_state = 7, .external_lex_state = 2},
  [1259] = {.lex_state = 7, .external_lex_state = 2},
  [1260] = {.lex_state = 7, .external_lex_state = 2},
  [1261] = {.lex_state = 7, .external_lex_state = 2},
  [1262] = {.lex_state = 7, .external_lex_state = 2},
  [1263] = {.lex_state = 7, .external_lex_state = 2},
  [1264] = {.lex_state = 7, .external_lex_state = 2},
  [1265] = {.lex_state = 7, .external_lex_state = 2},
  [1266] = {.lex_state = 7, .external_lex_state = 2},
  [1267] = {.lex_state = 7, .external_lex_state = 2},
  [1268] = {.lex_state = 7, .external_lex_state = 2},
  [1269] = {.lex_state = 7, .external_lex_state = 2},
  [1270] = {.lex_state = 7, .external_lex_state = 3},
  [1271] = {.lex_state = 7, .external_lex_state = 2},
  [1272] = {.lex_state = 7, .external_lex_state = 2},
  [1273] = {.lex_state = 7, .external_lex_state = 2},
  [1274] = {.lex_state = 7, .external_lex_state = 2},
  [1275] = {.lex_state = 7, .external_lex_state = 2},
  [1276] = {.lex_state = 7, .external_lex_state = 2},
  [1277] = {.lex_state = 7, .external_lex_state = 2},
  [1278] = {.lex_state = 7, .external_lex_state = 2},
  [1279] = {.lex_state = 7, .external_lex_state = 2},
  [1280] = {.lex_state = 7, .external_lex_state = 2},
  [1281] = {.lex_state = 7, .external_lex_state = 2},
  [1282] = {.lex_state = 7, .external_lex_state = 2},
  [1283] = {.lex_state = 7, .external_lex_state = 2},
  [1284] = {.lex_state = 7, .external_lex_state = 2},
  [1285] = {.lex_state = 7, .external_lex_state = 2},
  [1286] = {.lex_state = 7, .external_lex_state = 2},
  [1287] = {.lex_state = 7, .external_lex_state = 2},
  [1288] = {.lex_state = 7, .external_lex_state = 2},
  [1289] = {.lex_state = 7, .external_lex_state = 2},
  [1290] = {.lex_state = 7, .external_lex_state = 2},
  [1291] = {.lex_state = 7, .external_lex_state = 2},
  [1292] = {.lex_state = 7, .external_lex_state = 2},
  [1293] = {.lex_state = 7, .external_lex_state = 2},
  [1294] = {.lex_state = 7, .external_lex_state = 2},
  [1295] = {.lex_state = 7, .external_lex_state = 2},
  [1296] = {.lex_state = 7, .external_lex_state = 2},
  [1297] = {.lex_state = 7, .external_lex_state = 2},
  [1298] = {.lex_state = 7, .external_lex_state = 2},
  [1299] = {.lex_state = 7, .external_lex_state = 2},
  [1300] = {.lex_state = 7, .external_lex_state = 2},
  [1301] = {.lex_state = 7, .external_lex_state = 2},
  [1302] = {.lex_state = 7, .external_lex_state = 2},
  [1303] = {.lex_state = 7, .external_lex_state = 2},
  [1304] = {.lex_state = 7, .external_lex_state = 2},
  [1305] = {.lex_state = 7, .external_lex_state = 2},
  [1306] = {.lex_state = 7, .external_lex_state = 2},
  [1307] = {.lex_state = 7, .external_lex_state = 2},
  [1308] = {.lex_state = 7, .external_lex_state = 2},
  [1309] = {.lex_state = 7, .external_lex_state = 2},
  [1310] = {.lex_state = 7, .external_lex_state = 2},
  [1311] = {.lex_state = 7, .external_lex_state = 2},
  [1312] = {.lex_state = 7, .external_lex_state = 2},
  [1313] = {.lex_state = 7, .external_lex_state = 2},
  [1314] = {.lex_state = 7, .external_lex_state = 2},
  [1315] = {.lex_state = 7, .external_lex_state = 2},
  [1316] = {.lex_state = 7, .external_lex_state = 2},
  [1317] = {.lex_state = 7, .external_lex_state = 2},
  [1318] = {.lex_state = 7, .external_lex_state = 2},
  [1319] = {.lex_state = 7, .external_lex_state = 2},
  [1320] = {.lex_state = 7, .external_lex_state = 2},
  [1321] = {.lex_state = 7, .external_lex_state = 2},
  [1322] = {.lex_state = 7, .external_lex_state = 2},
  [1323] = {.lex_state = 7, .external_lex_state = 2},
  [1324] = {.lex_state = 7, .external_lex_state = 2},
  [1325] = {.lex_state = 7, .external_lex_state = 2},
  [1326] = {.lex_state = 7, .external_lex_state = 2},
  [1327] = {.lex_state = 7, .external_lex_state = 2},
  [1328] = {.lex_state = 7, .external_lex_state = 2},
  [1329] = {.lex_state = 7, .external_lex_state = 2},
  [1330] = {.lex_state = 7, .external_lex_state = 2},
  [1331] = {.lex_state = 7, .external_lex_state = 2},
  [1332] = {.lex_state = 7, .external_lex_state = 2},
  [1333] = {.lex_state = 7, .external_lex_state = 2},
  [1334] = {.lex_state = 7, .external_lex_state = 2},
  [1335] = {.lex_state = 7, .external_lex_state = 2},
  [1336] = {.lex_state = 7, .external_lex_state = 2},
  [1337] = {.lex_state = 7, .external_lex_state = 2},
  [1338] = {.lex_state = 7, .external_lex_state = 2},
  [1339] = {.lex_state = 7, .external_lex_state = 2},
  [1340] = {.lex_state = 7, .external_lex_state = 2},
  [1341] = {.lex_state = 7, .external_lex_state = 2},
  [1342] = {.lex_state = 7, .external_lex_state = 2},
  [1343] = {.lex_state = 7, .external_lex_state = 2},
  [1344] = {.lex_state = 7, .external_lex_state = 2},
  [1345] = {.lex_state = 7, .external_lex_state = 2},
  [1346] = {.lex_state = 7, .external_lex_state = 2},
  [1347] = {.lex_state = 7, .external_lex_state = 2},
  [1348] = {.lex_state = 7, .external_lex_state = 2},
  [1349] = {.lex_state = 7, .external_lex_state = 2},
  [1350] = {.lex_state = 7, .external_lex_state = 2},
  [1351] = {.lex_state = 7, .external_lex_state = 2},
  [1352] = {.lex_state = 7, .external_lex_state = 2},
  [1353] = {.lex_state = 7, .external_lex_state = 2},
  [1354] = {.lex_state = 7, .external_lex_state = 2},
  [1355] = {.lex_state = 7, .external_lex_state = 2},
  [1356] = {.lex_state = 7, .external_lex_state = 3},
  [1357] = {.lex_state = 7, .external_lex_state = 2},
  [1358] = {.lex_state = 7, .external_lex_state = 2},
  [1359] = {.lex_state = 7, .external_lex_state = 2},
  [1360] = {.lex_state = 7, .external_lex_state = 2},
  [1361] = {.lex_state = 7, .external_lex_state = 2},
  [1362] = {.lex_state = 7, .external_lex_state = 2},
  [1363] = {.lex_state = 7, .external_lex_state = 2},
  [1364] = {.lex_state = 7, .external_lex_state = 2},
  [1365] = {.lex_state = 7, .external_lex_state = 2},
  [1366] = {.lex_state = 7, .external_lex_state = 2},
  [1367] = {.lex_state = 7, .external_lex_state = 2},
  [1368] = {.lex_state = 7, .external_lex_state = 2},
  [1369] = {.lex_state = 7, .external_lex_state = 3},
  [1370] = {.lex_state = 7, .external_lex_state = 3},
  [1371] = {.lex_state = 7, .external_lex_state = 2},
  [1372] = {.lex_state = 7, .external_lex_state = 2},
  [1373] = {.lex_state = 7, .external_lex_state = 3},
  [1374] = {.lex_state = 7, .external_lex_state = 2},
  [1375] = {.lex_state = 7, .external_lex_state = 2},
  [1376] = {.lex_state = 7, .external_lex_state = 2},
  [1377] = {.lex_state = 7, .external_lex_state = 3},
  [1378] = {.lex_state = 7, .external_lex_state = 2},
  [1379] = {.lex_state = 7, .external_lex_state = 2},
  [1380] = {.lex_state = 7, .external_lex_state = 2},
  [1381] = {.lex_state = 7, .external_lex_state = 2},
  [1382] = {.lex_state = 7, .external_lex_state = 2},
  [1383] = {.lex_state = 7, .external_lex_state = 2},
  [1384] = {.lex_state = 7, .external_lex_state = 2},
  [1385] = {.lex_state = 7, .external_lex_state = 2},
  [1386] = {.lex_state = 7, .external_lex_state = 2},
  [1387] = {.lex_state = 7, .external_lex_state = 2},
  [1388] = {.lex_state = 7, .external_lex_state = 2},
  [1389] = {.lex_state = 7, .external_lex_state = 3},
  [1390] = {.lex_state = 7, .external_lex_state = 2},
  [1391] = {.lex_state = 7, .external_lex_state = 2},
  [1392] = {.lex_state = 7, .external_lex_state = 2},
  [1393] = {.lex_state = 7, .external_lex_state = 3},
  [1394] = {.lex_state = 7, .external_lex_state = 3},
  [1395] = {.lex_state = 7, .external_lex_state = 3},
  [1396] = {.lex_state = 7, .external_lex_state = 3},
  [1397] = {.lex_state = 7, .external_lex_state = 3},
  [1398] = {.lex_state = 7, .external_lex_state = 3},
  [1399] = {.lex_state = 7, .external_lex_state = 3},
  [1400] = {.lex_state = 7, .external_lex_state = 3},
  [1401] = {.lex_state = 7, .external_lex_state = 2},
  [1402] = {.lex_state = 7, .external_lex_state = 3},
  [1403] = {.lex_state = 7, .external_lex_state = 2},
  [1404] = {.lex_state = 7, .external_lex_state = 3},
  [1405] = {.lex_state = 7, .external_lex_state = 2},
  [1406] = {.lex_state = 7, .external_lex_state = 2},
  [1407] = {.lex_state = 7, .external_lex_state = 3},
  [1408] = {.lex_state = 7, .external_lex_state = 2},
  [1409] = {.lex_state = 7, .external_lex_state = 2},
  [1410] = {.lex_state = 7, .external_lex_state = 2},
  [1411] = {.lex_state = 7, .external_lex_state = 2},
  [1412] = {.lex_state = 7, .external_lex_state = 3},
  [1413] = {.lex_state = 7, .external_lex_state = 2},
  [1414] = {.lex_state = 7, .external_lex_state = 2},
  [1415] = {.lex_state = 7, .external_lex_state = 3},
  [1416] = {.lex_state = 7, .external_lex_state = 2},
  [1417] = {.lex_state = 7, .external_lex_state = 2},
  [1418] = {.lex_state = 7, .external_lex_state = 2},
  [1419] = {.lex_state = 7, .external_lex_state = 3},
  [1420] = {.lex_state = 7, .external_lex_state = 3},
  [1421] = {.lex_state = 7, .external_lex_state = 3},
  [1422] = {.lex_state = 7, .external_lex_state = 2},
  [1423] = {.lex_state = 7, .external_lex_state = 2},
  [1424] = {.lex_state = 7, .external_lex_state = 2},
  [1425] = {.lex_state = 7, .external_lex_state = 2},
  [1426] = {.lex_state = 7, .external_lex_state = 2},
  [1427] = {.lex_state = 7, .external_lex_state = 2},
  [1428] = {.lex_state = 7, .external_lex_state = 2},
  [1429] = {.lex_state = 7, .external_lex_state = 3},
  [1430] = {.lex_state = 7, .external_lex_state = 3},
  [1431] = {.lex_state = 7, .external_lex_state = 2},
  [1432] = {.lex_state = 7, .external_lex_state = 2},
  [1433] = {.lex_state = 7, .external_lex_state = 2},
  [1434] = {.lex_state = 7, .external_lex_state = 2},
  [1435] = {.lex_state = 7, .external_lex_state = 2},
  [1436] = {.lex_state = 7, .external_lex_state = 2},
  [1437] = {.lex_state = 7, .external_lex_state = 2},
  [1438] = {.lex_state = 7, .external_lex_state = 3},
  [1439] = {.lex_state = 7, .external_lex_state = 3},
  [1440] = {.lex_state = 7, .external_lex_state = 3},
  [1441] = {.lex_state = 7, .external_lex_state = 2},
  [1442] = {.lex_state = 7, .external_lex_state = 3},
  [1443] = {.lex_state = 7, .external_lex_state = 3},
  [1444] = {.lex_state = 7, .external_lex_state = 3},
  [1445] = {.lex_state = 7, .external_lex_state = 3},
  [1446] = {.lex_state = 7, .external_lex_state = 3},
  [1447] = {.lex_state = 7, .external_lex_state = 3},
  [1448] = {.lex_state = 7, .external_lex_state = 2},
  [1449] = {.lex_state = 7, .external_lex_state = 2},
  [1450] = {.lex_state = 7, .external_lex_state = 3},
  [1451] = {.lex_state = 7, .external_lex_state = 2},
  [1452] = {.lex_state = 7, .external_lex_state = 3},
  [1453] = {.lex_state = 7, .external_lex_state = 3},
  [1454] = {.lex_state = 7, .external_lex_state = 2},
  [1455] = {.lex_state = 7, .external_lex_state = 2},
  [1456] = {.lex_state = 7, .external_lex_state = 2},
  [1457] = {.lex_state = 7, .external_lex_state = 2},
  [1458] = {.lex_state = 7, .external_lex_state = 3},
  [1459] = {.lex_state = 7, .external_lex_state = 2},
  [1460] = {.lex_state = 7, .external_lex_state = 2},
  [1461] = {.lex_state = 7, .external_lex_state = 3},
  [1462] = {.lex_state = 7, .external_lex_state = 3},
  [1463] = {.lex_state = 7, .external_lex_state = 2},
  [1464] = {.lex_state = 7, .external_lex_state = 3},
  [1465] = {.lex_state = 7, .external_lex_state = 2},
  [1466] = {.lex_state = 7, .external_lex_state = 2},
  [1467] = {.lex_state = 7, .external_lex_state = 3},
  [1468] = {.lex_state = 7, .external_lex_state = 3},
  [1469] = {.lex_state = 7, .external_lex_state = 3},
  [1470] = {.lex_state = 7, .external_lex_state = 2},
  [1471] = {.lex_state = 7, .external_lex_state = 2},
  [1472] = {.lex_state = 7, .external_lex_state = 2},
  [1473] = {.lex_state = 7, .external_lex_state = 3},
  [1474] = {.lex_state = 7, .external_lex_state = 3},
  [1475] = {.lex_state = 7, .external_lex_state = 3},
  [1476] = {.lex_state = 7, .external_lex_state = 2},
  [1477] = {.lex_state = 7, .external_lex_state = 2},
  [1478] = {.lex_state = 7, .external_lex_state = 3},
  [1479] = {.lex_state = 7, .external_lex_state = 3},
  [1480] = {.lex_state = 7, .external_lex_state = 3},
  [1481] = {.lex_state = 7, .external_lex_state = 3},
  [1482] = {.lex_state = 7, .external_lex_state = 3},
  [1483] = {.lex_state = 99},
  [1484] = {.lex_state = 7, .external_lex_state = 3},
  [1485] = {.lex_state = 7, .external_lex_state = 3},
  [1486] = {.lex_state = 7, .external_lex_state = 2},
  [1487] = {.lex_state = 7, .external_lex_state = 3},
  [1488] = {.lex_state = 7, .external_lex_state = 3},
  [1489] = {.lex_state = 7, .external_lex_state = 3},
  [1490] = {.lex_state = 7, .external_lex_state = 3},
  [1491] = {.lex_state = 7, .external_lex_state = 3},
  [1492] = {.lex_state = 7, .external_lex_state = 2},
  [1493] = {.lex_state = 7, .external_lex_state = 2},
  [1494] = {.lex_state = 7, .external_lex_state = 3},
  [1495] = {.lex_state = 7, .external_lex_state = 2},
  [1496] = {.lex_state = 7, .external_lex_state = 2},
  [1497] = {.lex_state = 7, .external_lex_state = 2},
  [1498] = {.lex_state = 7, .external_lex_state = 3},
  [1499] = {.lex_state = 7, .external_lex_state = 2},
  [1500] = {.lex_state = 7, .external_lex_state = 3},
  [1501] = {.lex_state = 7, .external_lex_state = 2},
  [1502] = {.lex_state = 7, .external_lex_state = 3},
  [1503] = {.lex_state = 7, .external_lex_state = 3},
  [1504] = {.lex_state = 7, .external_lex_state = 3},
  [1505] = {.lex_state = 7, .external_lex_state = 3},
  [1506] = {.lex_state = 7, .external_lex_state = 3},
  [1507] = {.lex_state = 7, .external_lex_state = 2},
  [1508] = {.lex_state = 7, .external_lex_state = 3},
  [1509] = {.lex_state = 7, .external_lex_state = 3},
  [1510] = {.lex_state = 7, .external_lex_state = 3},
  [1511] = {.lex_state = 7, .external_lex_state = 2},
  [1512] = {.lex_state = 7, .external_lex_state = 3},
  [1513] = {.lex_state = 7, .external_lex_state = 3},
  [1514] = {.lex_state = 7, .external_lex_state = 3},
  [1515] = {.lex_state = 7, .external_lex_state = 2},
  [1516] = {.lex_state = 7, .external_lex_state = 2},
  [1517] = {.lex_state = 7, .external_lex_state = 2},
  [1518] = {.lex_state = 7, .external_lex_state = 2},
  [1519] = {.lex_state = 13},
  [1520] = {.lex_state = 13},
  [1521] = {.lex_state = 7, .external_lex_state = 2},
  [1522] = {.lex_state = 7, .external_lex_state = 2},
  [1523] = {.lex_state = 7, .external_lex_state = 2},
  [1524] = {.lex_state = 7, .external_lex_state = 3},
  [1525] = {.lex_state = 7, .external_lex_state = 3},
  [1526] = {.lex_state = 7, .external_lex_state = 3},
  [1527] = {.lex_state = 7, .external_lex_state = 2},
  [1528] = {.lex_state = 7, .external_lex_state = 2},
  [1529] = {.lex_state = 7, .external_lex_state = 2},
  [1530] = {.lex_state = 7, .external_lex_state = 2},
  [1531] = {.lex_state = 7, .external_lex_state = 2},
  [1532] = {.lex_state = 13},
  [1533] = {.lex_state = 7, .external_lex_state = 2},
  [1534] = {.lex_state = 7, .external_lex_state = 2},
  [1535] = {.lex_state = 7, .external_lex_state = 2},
  [1536] = {.lex_state = 7, .external_lex_state = 2},
  [1537] = {.lex_state = 7, .external_lex_state = 2},
  [1538] = {.lex_state = 7, .external_lex_state = 2},
  [1539] = {.lex_state = 7, .external_lex_state = 2},
  [1540] = {.lex_state = 7, .external_lex_state = 2},
  [1541] = {.lex_state = 7, .external_lex_state = 2},
  [1542] = {.lex_state = 7, .external_lex_state = 2},
  [1543] = {.lex_state = 7, .external_lex_state = 3},
  [1544] = {.lex_state = 7, .external_lex_state = 2},
  [1545] = {.lex_state = 7, .external_lex_state = 2},
  [1546] = {.lex_state = 7, .external_lex_state = 2},
  [1547] = {.lex_state = 7, .external_lex_state = 2},
  [1548] = {.lex_state = 7, .external_lex_state = 2},
  [1549] = {.lex_state = 7, .external_lex_state = 2},
  [1550] = {.lex_state = 7, .external_lex_state = 2},
  [1551] = {.lex_state = 7, .external_lex_state = 2},
  [1552] = {.lex_state = 13},
  [1553] = {.lex_state = 7, .external_lex_state = 2},
  [1554] = {.lex_state = 7, .external_lex_state = 2},
  [1555] = {.lex_state = 7, .external_lex_state = 2},
  [1556] = {.lex_state = 7, .external_lex_state = 2},
  [1557] = {.lex_state = 7, .external_lex_state = 3},
  [1558] = {.lex_state = 7, .external_lex_state = 2},
  [1559] = {.lex_state = 7, .external_lex_state = 2},
  [1560] = {.lex_state = 7, .external_lex_state = 2},
  [1561] = {.lex_state = 7, .external_lex_state = 2},
  [1562] = {.lex_state = 7, .external_lex_state = 2},
  [1563] = {.lex_state = 7, .external_lex_state = 3},
  [1564] = {.lex_state = 7, .external_lex_state = 2},
  [1565] = {.lex_state = 7, .external_lex_state = 2},
  [1566] = {.lex_state = 7, .external_lex_state = 2},
  [1567] = {.lex_state = 7, .external_lex_state = 3},
  [1568] = {.lex_state = 7, .external_lex_state = 2},
  [1569] = {.lex_state = 7, .external_lex_state = 2},
  [1570] = {.lex_state = 7, .external_lex_state = 2},
  [1571] = {.lex_state = 7, .external_lex_state = 2},
  [1572] = {.lex_state = 7, .external_lex_state = 2},
  [1573] = {.lex_state = 7, .external_lex_state = 2},
  [1574] = {.lex_state = 7, .external_lex_state = 2},
  [1575] = {.lex_state = 7, .external_lex_state = 2},
  [1576] = {.lex_state = 7, .external_lex_state = 2},
  [1577] = {.lex_state = 7, .external_lex_state = 2},
  [1578] = {.lex_state = 13},
  [1579] = {.lex_state = 7, .external_lex_state = 2},
  [1580] = {.lex_state = 13},
  [1581] = {.lex_state = 7, .external_lex_state = 2},
  [1582] = {.lex_state = 7, .external_lex_state = 2},
  [1583] = {.lex_state = 7, .external_lex_state = 2},
  [1584] = {.lex_state = 7, .external_lex_state = 2},
  [1585] = {.lex_state = 13},
  [1586] = {.lex_state = 7, .external_lex_state = 2},
  [1587] = {.lex_state = 7, .external_lex_state = 3},
  [1588] = {.lex_state = 7, .external_lex_state = 2},
  [1589] = {.lex_state = 13},
  [1590] = {.lex_state = 7, .external_lex_state = 2},
  [1591] = {.lex_state = 7, .external_lex_state = 3},
  [1592] = {.lex_state = 7, .external_lex_state = 3},
  [1593] = {.lex_state = 7, .external_lex_state = 2},
  [1594] = {.lex_state = 7, .external_lex_state = 2},
  [1595] = {.lex_state = 7, .external_lex_state = 2},
  [1596] = {.lex_state = 7, .external_lex_state = 2},
  [1597] = {.lex_state = 7, .external_lex_state = 2},
  [1598] = {.lex_state = 7, .external_lex_state = 2},
  [1599] = {.lex_state = 7, .external_lex_state = 3},
  [1600] = {.lex_state = 7, .external_lex_state = 2},
  [1601] = {.lex_state = 7, .external_lex_state = 3},
  [1602] = {.lex_state = 7, .external_lex_state = 3},
  [1603] = {.lex_state = 7, .external_lex_state = 3},
  [1604] = {.lex_state = 7, .external_lex_state = 3},
  [1605] = {.lex_state = 13},
  [1606] = {.lex_state = 7, .external_lex_state = 2},
  [1607] = {.lex_state = 7, .external_lex_state = 2},
  [1608] = {.lex_state = 7, .external_lex_state = 2},
  [1609] = {.lex_state = 7, .external_lex_state = 2},
  [1610] = {.lex_state = 7, .external_lex_state = 2},
  [1611] = {.lex_state = 7, .external_lex_state = 2},
  [1612] = {.lex_state = 7, .external_lex_state = 2},
  [1613] = {.lex_state = 7, .external_lex_state = 3},
  [1614] = {.lex_state = 13},
  [1615] = {.lex_state = 13},
  [1616] = {.lex_state = 7, .external_lex_state = 2},
  [1617] = {.lex_state = 7, .external_lex_state = 2},
  [1618] = {.lex_state = 7, .external_lex_state = 3},
  [1619] = {.lex_state = 7, .external_lex_state = 2},
  [1620] = {.lex_state = 7, .external_lex_state = 3},
  [1621] = {.lex_state = 7, .external_lex_state = 3},
  [1622] = {.lex_state = 13, .external_lex_state = 4},
  [1623] = {.lex_state = 7, .external_lex_state = 3},
  [1624] = {.lex_state = 7, .external_lex_state = 3},
  [1625] = {.lex_state = 7, .external_lex_state = 3},
  [1626] = {.lex_state = 7, .external_lex_state = 3},
  [1627] = {.lex_state = 7, .external_lex_state = 3},
  [1628] = {.lex_state = 7, .external_lex_state = 3},
  [1629] = {.lex_state = 7, .external_lex_state = 3},
  [1630] = {.lex_state = 7, .external_lex_state = 3},
  [1631] = {.lex_state = 7, .external_lex_state = 3},
  [1632] = {.lex_state = 7, .external_lex_state = 3},
  [1633] = {.lex_state = 7, .external_lex_state = 2},
  [1634] = {.lex_state = 7, .external_lex_state = 3},
  [1635] = {.lex_state = 13, .external_lex_state = 4},
  [1636] = {.lex_state = 7, .external_lex_state = 3},
  [1637] = {.lex_state = 7, .external_lex_state = 2},
  [1638] = {.lex_state = 7, .external_lex_state = 3},
  [1639] = {.lex_state = 7, .external_lex_state = 3},
  [1640] = {.lex_state = 7, .external_lex_state = 3},
  [1641] = {.lex_state = 7, .external_lex_state = 2},
  [1642] = {.lex_state = 7, .external_lex_state = 3},
  [1643] = {.lex_state = 7, .external_lex_state = 3},
  [1644] = {.lex_state = 7, .external_lex_state = 3},
  [1645] = {.lex_state = 7, .external_lex_state = 3},
  [1646] = {.lex_state = 13, .external_lex_state = 4},
  [1647] = {.lex_state = 13, .external_lex_state = 4},
  [1648] = {.lex_state = 7, .external_lex_state = 3},
  [1649] = {.lex_state = 7, .external_lex_state = 2},
  [1650] = {.lex_state = 7, .external_lex_state = 3},
  [1651] = {.lex_state = 7, .external_lex_state = 3},
  [1652] = {.lex_state = 7, .external_lex_state = 3},
  [1653] = {.lex_state = 7, .external_lex_state = 3},
  [1654] = {.lex_state = 7, .external_lex_state = 3},
  [1655] = {.lex_state = 7, .external_lex_state = 3},
  [1656] = {.lex_state = 7, .external_lex_state = 3},
  [1657] = {.lex_state = 7, .external_lex_state = 3},
  [1658] = {.lex_state = 7, .external_lex_state = 3},
  [1659] = {.lex_state = 7, .external_lex_state = 3},
  [1660] = {.lex_state = 7, .external_lex_state = 3},
  [1661] = {.lex_state = 7, .external_lex_state = 3},
  [1662] = {.lex_state = 7, .external_lex_state = 3},
  [1663] = {.lex_state = 7, .external_lex_state = 3},
  [1664] = {.lex_state = 7, .external_lex_state = 3},
  [1665] = {.lex_state = 7, .external_lex_state = 3},
  [1666] = {.lex_state = 7, .external_lex_state = 2},
  [1667] = {.lex_state = 7, .external_lex_state = 2},
  [1668] = {.lex_state = 7, .external_lex_state = 2},
  [1669] = {.lex_state = 7, .external_lex_state = 3},
  [1670] = {.lex_state = 7, .external_lex_state = 3},
  [1671] = {.lex_state = 7, .external_lex_state = 3},
  [1672] = {.lex_state = 7, .external_lex_state = 3},
  [1673] = {.lex_state = 7, .external_lex_state = 3},
  [1674] = {.lex_state = 7, .external_lex_state = 3},
  [1675] = {.lex_state = 7, .external_lex_state = 3},
  [1676] = {.lex_state = 7, .external_lex_state = 3},
  [1677] = {.lex_state = 7, .external_lex_state = 3},
  [1678] = {.lex_state = 7, .external_lex_state = 3},
  [1679] = {.lex_state = 7, .external_lex_state = 3},
  [1680] = {.lex_state = 7, .external_lex_state = 3},
  [1681] = {.lex_state = 7, .external_lex_state = 3},
  [1682] = {.lex_state = 7, .external_lex_state = 3},
  [1683] = {.lex_state = 7, .external_lex_state = 3},
  [1684] = {.lex_state = 7, .external_lex_state = 3},
  [1685] = {.lex_state = 7, .external_lex_state = 3},
  [1686] = {.lex_state = 7, .external_lex_state = 3},
  [1687] = {.lex_state = 7, .external_lex_state = 2},
  [1688] = {.lex_state = 7, .external_lex_state = 3},
  [1689] = {.lex_state = 7, .external_lex_state = 3},
  [1690] = {.lex_state = 7, .external_lex_state = 3},
  [1691] = {.lex_state = 7, .external_lex_state = 3},
  [1692] = {.lex_state = 7, .external_lex_state = 3},
  [1693] = {.lex_state = 7, .external_lex_state = 3},
  [1694] = {.lex_state = 7, .external_lex_state = 3},
  [1695] = {.lex_state = 7, .external_lex_state = 3},
  [1696] = {.lex_state = 7, .external_lex_state = 2},
  [1697] = {.lex_state = 7, .external_lex_state = 2},
  [1698] = {.lex_state = 7, .external_lex_state = 3},
  [1699] = {.lex_state = 7, .external_lex_state = 3},
  [1700] = {.lex_state = 7, .external_lex_state = 2},
  [1701] = {.lex_state = 7, .external_lex_state = 3},
  [1702] = {.lex_state = 7, .external_lex_state = 2},
  [1703] = {.lex_state = 7, .external_lex_state = 3},
  [1704] = {.lex_state = 7, .external_lex_state = 2},
  [1705] = {.lex_state = 7, .external_lex_state = 3},
  [1706] = {.lex_state = 7, .external_lex_state = 3},
  [1707] = {.lex_state = 7, .external_lex_state = 3},
  [1708] = {.lex_state = 7, .external_lex_state = 3},
  [1709] = {.lex_state = 7, .external_lex_state = 3},
  [1710] = {.lex_state = 7, .external_lex_state = 3},
  [1711] = {.lex_state = 7, .external_lex_state = 3},
  [1712] = {.lex_state = 7, .external_lex_state = 3},
  [1713] = {.lex_state = 7, .external_lex_state = 3},
  [1714] = {.lex_state = 7, .external_lex_state = 3},
  [1715] = {.lex_state = 7, .external_lex_state = 3},
  [1716] = {.lex_state = 7, .external_lex_state = 2},
  [1717] = {.lex_state = 7, .external_lex_state = 3},
  [1718] = {.lex_state = 7, .external_lex_state = 3},
  [1719] = {.lex_state = 7, .external_lex_state = 2},
  [1720] = {.lex_state = 7, .external_lex_state = 3},
  [1721] = {.lex_state = 7, .external_lex_state = 3},
  [1722] = {.lex_state = 7, .external_lex_state = 3},
  [1723] = {.lex_state = 7, .external_lex_state = 2},
  [1724] = {.lex_state = 7, .external_lex_state = 3},
  [1725] = {.lex_state = 7, .external_lex_state = 3},
  [1726] = {.lex_state = 7, .external_lex_state = 3},
  [1727] = {.lex_state = 7, .external_lex_state = 3},
  [1728] = {.lex_state = 7, .external_lex_state = 3},
  [1729] = {.lex_state = 7, .external_lex_state = 3},
  [1730] = {.lex_state = 7, .external_lex_state = 3},
  [1731] = {.lex_state = 7, .external_lex_state = 3},
  [1732] = {.lex_state = 7, .external_lex_state = 3},
  [1733] = {.lex_state = 7, .external_lex_state = 3},
  [1734] = {.lex_state = 7, .external_lex_state = 3},
  [1735] = {.lex_state = 7, .external_lex_state = 3},
  [1736] = {.lex_state = 7, .external_lex_state = 3},
  [1737] = {.lex_state = 7, .external_lex_state = 3},
  [1738] = {.lex_state = 8, .external_lex_state = 2},
  [1739] = {.lex_state = 7, .external_lex_state = 2},
  [1740] = {.lex_state = 7, .external_lex_state = 3},
  [1741] = {.lex_state = 7, .external_lex_state = 3},
  [1742] = {.lex_state = 7, .external_lex_state = 3},
  [1743] = {.lex_state = 7, .external_lex_state = 2},
  [1744] = {.lex_state = 7, .external_lex_state = 3},
  [1745] = {.lex_state = 7, .external_lex_state = 3},
  [1746] = {.lex_state = 7, .external_lex_state = 3},
  [1747] = {.lex_state = 7, .external_lex_state = 2},
  [1748] = {.lex_state = 7, .external_lex_state = 3},
  [1749] = {.lex_state = 7, .external_lex_state = 2},
  [1750] = {.lex_state = 7, .external_lex_state = 3},
  [1751] = {.lex_state = 7, .external_lex_state = 3},
  [1752] = {.lex_state = 7, .external_lex_state = 3},
  [1753] = {.lex_state = 7, .external_lex_state = 3},
  [1754] = {.lex_state = 7, .external_lex_state = 2},
  [1755] = {.lex_state = 7, .external_lex_state = 2},
  [1756] = {.lex_state = 7, .external_lex_state = 3},
  [1757] = {.lex_state = 7, .external_lex_state = 3},
  [1758] = {.lex_state = 7, .external_lex_state = 3},
  [1759] = {.lex_state = 7, .external_lex_state = 3},
  [1760] = {.lex_state = 7, .external_lex_state = 2},
  [1761] = {.lex_state = 7, .external_lex_state = 3},
  [1762] = {.lex_state = 7, .external_lex_state = 3},
  [1763] = {.lex_state = 7, .external_lex_state = 2},
  [1764] = {.lex_state = 7, .external_lex_state = 3},
  [1765] = {.lex_state = 7, .external_lex_state = 2},
  [1766] = {.lex_state = 7, .external_lex_state = 3},
  [1767] = {.lex_state = 7, .external_lex_state = 3},
  [1768] = {.lex_state = 7, .external_lex_state = 3},
  [1769] = {.lex_state = 7, .external_lex_state = 3},
  [1770] = {.lex_state = 7, .external_lex_state = 3},
  [1771] = {.lex_state = 7, .external_lex_state = 3},
  [1772] = {.lex_state = 7, .external_lex_state = 3},
  [1773] = {.lex_state = 7, .external_lex_state = 3},
  [1774] = {.lex_state = 7, .external_lex_state = 3},
  [1775] = {.lex_state = 7, .external_lex_state = 3},
  [1776] = {.lex_state = 7, .external_lex_state = 3},
  [1777] = {.lex_state = 7, .external_lex_state = 3},
  [1778] = {.lex_state = 7, .external_lex_state = 2},
  [1779] = {.lex_state = 13, .external_lex_state = 4},
  [1780] = {.lex_state = 7, .external_lex_state = 2},
  [1781] = {.lex_state = 7, .external_lex_state = 2},
  [1782] = {.lex_state = 7, .external_lex_state = 3},
  [1783] = {.lex_state = 7, .external_lex_state = 3},
  [1784] = {.lex_state = 7, .external_lex_state = 2},
  [1785] = {.lex_state = 7, .external_lex_state = 3},
  [1786] = {.lex_state = 7, .external_lex_state = 2},
  [1787] = {.lex_state = 7, .external_lex_state = 3},
  [1788] = {.lex_state = 7, .external_lex_state = 2},
  [1789] = {.lex_state = 7, .external_lex_state = 2},
  [1790] = {.lex_state = 7, .external_lex_state = 3},
  [1791] = {.lex_state = 7, .external_lex_state = 3},
  [1792] = {.lex_state = 7, .external_lex_state = 3},
  [1793] = {.lex_state = 7, .external_lex_state = 2},
  [1794] = {.lex_state = 7, .external_lex_state = 3},
  [1795] = {.lex_state = 7, .external_lex_state = 2},
  [1796] = {.lex_state = 7, .external_lex_state = 2},
  [1797] = {.lex_state = 7, .external_lex_state = 3},
  [1798] = {.lex_state = 7, .external_lex_state = 2},
  [1799] = {.lex_state = 7, .external_lex_state = 3},
  [1800] = {.lex_state = 7, .external_lex_state = 3},
  [1801] = {.lex_state = 7, .external_lex_state = 3},
  [1802] = {.lex_state = 7, .external_lex_state = 3},
  [1803] = {.lex_state = 7, .external_lex_state = 2},
  [1804] = {.lex_state = 13, .external_lex_state = 4},
  [1805] = {.lex_state = 7, .external_lex_state = 2},
  [1806] = {.lex_state = 7, .external_lex_state = 2},
  [1807] = {.lex_state = 7, .external_lex_state = 2},
  [1808] = {.lex_state = 7, .external_lex_state = 2},
  [1809] = {.lex_state = 8, .external_lex_state = 3},
  [1810] = {.lex_state = 7, .external_lex_state = 3},
  [1811] = {.lex_state = 7, .external_lex_state = 2},
  [1812] = {.lex_state = 7, .external_lex_state = 3},
  [1813] = {.lex_state = 7, .external_lex_state = 3},
  [1814] = {.lex_state = 7, .external_lex_state = 2},
  [1815] = {.lex_state = 7, .external_lex_state = 2},
  [1816] = {.lex_state = 7, .external_lex_state = 3},
  [1817] = {.lex_state = 7, .external_lex_state = 3},
  [1818] = {.lex_state = 7, .external_lex_state = 3},
  [1819] = {.lex_state = 13, .external_lex_state = 4},
  [1820] = {.lex_state = 7, .external_lex_state = 3},
  [1821] = {.lex_state = 7, .external_lex_state = 2},
  [1822] = {.lex_state = 13, .external_lex_state = 4},
  [1823] = {.lex_state = 7, .external_lex_state = 2},
  [1824] = {.lex_state = 7, .external_lex_state = 3},
  [1825] = {.lex_state = 7, .external_lex_state = 2},
  [1826] = {.lex_state = 7, .external_lex_state = 2},
  [1827] = {.lex_state = 7, .external_lex_state = 3},
  [1828] = {.lex_state = 7, .external_lex_state = 2},
  [1829] = {.lex_state = 7, .external_lex_state = 3},
  [1830] = {.lex_state = 7, .external_lex_state = 3},
  [1831] = {.lex_state = 7, .external_lex_state = 3},
  [1832] = {.lex_state = 7, .external_lex_state = 3},
  [1833] = {.lex_state = 7, .external_lex_state = 3},
  [1834] = {.lex_state = 7, .external_lex_state = 2},
  [1835] = {.lex_state = 7, .external_lex_state = 3},
  [1836] = {.lex_state = 7, .external_lex_state = 3},
  [1837] = {.lex_state = 7, .external_lex_state = 3},
  [1838] = {.lex_state = 7, .external_lex_state = 3},
  [1839] = {.lex_state = 7, .external_lex_state = 3},
  [1840] = {.lex_state = 7, .external_lex_state = 3},
  [1841] = {.lex_state = 7, .external_lex_state = 3},
  [1842] = {.lex_state = 7, .external_lex_state = 3},
  [1843] = {.lex_state = 7, .external_lex_state = 2},
  [1844] = {.lex_state = 7, .external_lex_state = 3},
  [1845] = {.lex_state = 7, .external_lex_state = 3},
  [1846] = {.lex_state = 7, .external_lex_state = 3},
  [1847] = {.lex_state = 7, .external_lex_state = 3},
  [1848] = {.lex_state = 7, .external_lex_state = 2},
  [1849] = {.lex_state = 7, .external_lex_state = 2},
  [1850] = {.lex_state = 7, .external_lex_state = 3},
  [1851] = {.lex_state = 7, .external_lex_state = 3},
  [1852] = {.lex_state = 7, .external_lex_state = 3},
  [1853] = {.lex_state = 7, .external_lex_state = 3},
  [1854] = {.lex_state = 7, .external_lex_state = 3},
  [1855] = {.lex_state = 7, .external_lex_state = 2},
  [1856] = {.lex_state = 7, .external_lex_state = 2},
  [1857] = {.lex_state = 7, .external_lex_state = 3},
  [1858] = {.lex_state = 7, .external_lex_state = 3},
  [1859] = {.lex_state = 7, .external_lex_state = 3},
  [1860] = {.lex_state = 7, .external_lex_state = 3},
  [1861] = {.lex_state = 7, .external_lex_state = 3},
  [1862] = {.lex_state = 13, .external_lex_state = 4},
  [1863] = {.lex_state = 7, .external_lex_state = 3},
  [1864] = {.lex_state = 7, .external_lex_state = 3},
  [1865] = {.lex_state = 13, .external_lex_state = 4},
  [1866] = {.lex_state = 7, .external_lex_state = 2},
  [1867] = {.lex_state = 7, .external_lex_state = 3},
  [1868] = {.lex_state = 7, .external_lex_state = 2},
  [1869] = {.lex_state = 7, .external_lex_state = 2},
  [1870] = {.lex_state = 7, .external_lex_state = 3},
  [1871] = {.lex_state = 7, .external_lex_state = 3},
  [1872] = {.lex_state = 7, .external_lex_state = 2},
  [1873] = {.lex_state = 7, .external_lex_state = 2},
  [1874] = {.lex_state = 7, .external_lex_state = 3},
  [1875] = {.lex_state = 7, .external_lex_state = 3},
  [1876] = {.lex_state = 7, .external_lex_state = 3},
  [1877] = {.lex_state = 7, .external_lex_state = 2},
  [1878] = {.lex_state = 7, .external_lex_state = 3},
  [1879] = {.lex_state = 7, .external_lex_state = 3},
  [1880] = {.lex_state = 7, .external_lex_state = 3},
  [1881] = {.lex_state = 7, .external_lex_state = 2},
  [1882] = {.lex_state = 7, .external_lex_state = 3},
  [1883] = {.lex_state = 7, .external_lex_state = 3},
  [1884] = {.lex_state = 7, .external_lex_state = 2},
  [1885] = {.lex_state = 7, .external_lex_state = 3},
  [1886] = {.lex_state = 7, .external_lex_state = 3},
  [1887] = {.lex_state = 8, .external_lex_state = 3},
  [1888] = {.lex_state = 7, .external_lex_state = 3},
  [1889] = {.lex_state = 7, .external_lex_state = 2},
  [1890] = {.lex_state = 7, .external_lex_state = 3},
  [1891] = {.lex_state = 7, .external_lex_state = 3},
  [1892] = {.lex_state = 7, .external_lex_state = 3},
  [1893] = {.lex_state = 7, .external_lex_state = 3},
  [1894] = {.lex_state = 12, .external_lex_state = 4},
  [1895] = {.lex_state = 7, .external_lex_state = 2},
  [1896] = {.lex_state = 13, .external_lex_state = 4},
  [1897] = {.lex_state = 13, .external_lex_state = 4},
  [1898] = {.lex_state = 7, .external_lex_state = 2},
  [1899] = {.lex_state = 7, .external_lex_state = 2},
  [1900] = {.lex_state = 7, .external_lex_state = 2},
  [1901] = {.lex_state = 7, .external_lex_state = 2},
  [1902] = {.lex_state = 7, .external_lex_state = 3},
  [1903] = {.lex_state = 7, .external_lex_state = 3},
  [1904] = {.lex_state = 7, .external_lex_state = 3},
  [1905] = {.lex_state = 7, .external_lex_state = 3},
  [1906] = {.lex_state = 13, .external_lex_state = 4},
  [1907] = {.lex_state = 7, .external_lex_state = 3},
  [1908] = {.lex_state = 7, .external_lex_state = 3},
  [1909] = {.lex_state = 7, .external_lex_state = 2},
  [1910] = {.lex_state = 13, .external_lex_state = 4},
  [1911] = {.lex_state = 7, .external_lex_state = 3},
  [1912] = {.lex_state = 7, .external_lex_state = 2},
  [1913] = {.lex_state = 7, .external_lex_state = 3},
  [1914] = {.lex_state = 7, .external_lex_state = 3},
  [1915] = {.lex_state = 13, .external_lex_state = 4},
  [1916] = {.lex_state = 7, .external_lex_state = 2},
  [1917] = {.lex_state = 7, .external_lex_state = 3},
  [1918] = {.lex_state = 7, .external_lex_state = 3},
  [1919] = {.lex_state = 7, .external_lex_state = 2},
  [1920] = {.lex_state = 7, .external_lex_state = 3},
  [1921] = {.lex_state = 7, .external_lex_state = 3},
  [1922] = {.lex_state = 7, .external_lex_state = 3},
  [1923] = {.lex_state = 7, .external_lex_state = 3},
  [1924] = {.lex_state = 7, .external_lex_state = 3},
  [1925] = {.lex_state = 7, .external_lex_state = 2},
  [1926] = {.lex_state = 7, .external_lex_state = 3},
  [1927] = {.lex_state = 7, .external_lex_state = 3},
  [1928] = {.lex_state = 7, .external_lex_state = 3},
  [1929] = {.lex_state = 7, .external_lex_state = 3},
  [1930] = {.lex_state = 7, .external_lex_state = 3},
  [1931] = {.lex_state = 7, .external_lex_state = 2},
  [1932] = {.lex_state = 7, .external_lex_state = 3},
  [1933] = {.lex_state = 7, .external_lex_state = 2},
  [1934] = {.lex_state = 7, .external_lex_state = 2},
  [1935] = {.lex_state = 7, .external_lex_state = 2},
  [1936] = {.lex_state = 7, .external_lex_state = 2},
  [1937] = {.lex_state = 7, .external_lex_state = 3},
  [1938] = {.lex_state = 7, .external_lex_state = 3},
  [1939] = {.lex_state = 7, .external_lex_state = 3},
  [1940] = {.lex_state = 7, .external_lex_state = 2},
  [1941] = {.lex_state = 7, .external_lex_state = 2},
  [1942] = {.lex_state = 7, .external_lex_state = 2},
  [1943] = {.lex_state = 7, .external_lex_state = 3},
  [1944] = {.lex_state = 7, .external_lex_state = 3},
  [1945] = {.lex_state = 7, .external_lex_state = 2},
  [1946] = {.lex_state = 7, .external_lex_state = 2},
  [1947] = {.lex_state = 7, .external_lex_state = 3},
  [1948] = {.lex_state = 7, .external_lex_state = 2},
  [1949] = {.lex_state = 7, .external_lex_state = 3},
  [1950] = {.lex_state = 7, .external_lex_state = 3},
  [1951] = {.lex_state = 7, .external_lex_state = 2},
  [1952] = {.lex_state = 7, .external_lex_state = 3},
  [1953] = {.lex_state = 7, .external_lex_state = 2},
  [1954] = {.lex_state = 7, .external_lex_state = 3},
  [1955] = {.lex_state = 7, .external_lex_state = 3},
  [1956] = {.lex_state = 7, .external_lex_state = 2},
  [1957] = {.lex_state = 7, .external_lex_state = 2},
  [1958] = {.lex_state = 7, .external_lex_state = 2},
  [1959] = {.lex_state = 7, .external_lex_state = 3},
  [1960] = {.lex_state = 7, .external_lex_state = 3},
  [1961] = {.lex_state = 7, .external_lex_state = 3},
  [1962] = {.lex_state = 7, .external_lex_state = 2},
  [1963] = {.lex_state = 7, .external_lex_state = 2},
  [1964] = {.lex_state = 7, .external_lex_state = 3},
  [1965] = {.lex_state = 7, .external_lex_state = 3},
  [1966] = {.lex_state = 7, .external_lex_state = 3},
  [1967] = {.lex_state = 7, .external_lex_state = 2},
  [1968] = {.lex_state = 7, .external_lex_state = 3},
  [1969] = {.lex_state = 7, .external_lex_state = 3},
  [1970] = {.lex_state = 7, .external_lex_state = 2},
  [1971] = {.lex_state = 7, .external_lex_state = 3},
  [1972] = {.lex_state = 7, .external_lex_state = 2},
  [1973] = {.lex_state = 7, .external_lex_state = 2},
  [1974] = {.lex_state = 7, .external_lex_state = 2},
  [1975] = {.lex_state = 7, .external_lex_state = 2},
  [1976] = {.lex_state = 7, .external_lex_state = 3},
  [1977] = {.lex_state = 7, .external_lex_state = 3},
  [1978] = {.lex_state = 7, .external_lex_state = 2},
  [1979] = {.lex_state = 7, .external_lex_state = 2},
  [1980] = {.lex_state = 7, .external_lex_state = 3},
  [1981] = {.lex_state = 7, .external_lex_state = 2},
  [1982] = {.lex_state = 7, .external_lex_state = 2},
  [1983] = {.lex_state = 13, .external_lex_state = 4},
  [1984] = {.lex_state = 7, .external_lex_state = 2},
  [1985] = {.lex_state = 7, .external_lex_state = 2},
  [1986] = {.lex_state = 7, .external_lex_state = 2},
  [1987] = {.lex_state = 7, .external_lex_state = 2},
  [1988] = {.lex_state = 7, .external_lex_state = 2},
  [1989] = {.lex_state = 7, .external_lex_state = 2},
  [1990] = {.lex_state = 7, .external_lex_state = 2},
  [1991] = {.lex_state = 13, .external_lex_state = 4},
  [1992] = {.lex_state = 7, .external_lex_state = 3},
  [1993] = {.lex_state = 13, .external_lex_state = 4},
  [1994] = {.lex_state = 7, .external_lex_state = 2},
  [1995] = {.lex_state = 7, .external_lex_state = 2},
  [1996] = {.lex_state = 7, .external_lex_state = 3},
  [1997] = {.lex_state = 7, .external_lex_state = 2},
  [1998] = {.lex_state = 7, .external_lex_state = 2},
  [1999] = {.lex_state = 13, .external_lex_state = 4},
  [2000] = {.lex_state = 7, .external_lex_state = 2},
  [2001] = {.lex_state = 8, .external_lex_state = 2},
  [2002] = {.lex_state = 7, .external_lex_state = 2},
  [2003] = {.lex_state = 7, .external_lex_state = 2},
  [2004] = {.lex_state = 7, .external_lex_state = 2},
  [2005] = {.lex_state = 7, .external_lex_state = 2},
  [2006] = {.lex_state = 7, .external_lex_state = 2},
  [2007] = {.lex_state = 7, .external_lex_state = 2},
  [2008] = {.lex_state = 7, .external_lex_state = 2},
  [2009] = {.lex_state = 7, .external_lex_state = 2},
  [2010] = {.lex_state = 7, .external_lex_state = 2},
  [2011] = {.lex_state = 13, .external_lex_state = 4},
  [2012] = {.lex_state = 7, .external_lex_state = 2},
  [2013] = {.lex_state = 13, .external_lex_state = 4},
  [2014] = {.lex_state = 7, .external_lex_state = 2},
  [2015] = {.lex_state = 7, .external_lex_state = 2},
  [2016] = {.lex_state = 7, .external_lex_state = 2},
  [2017] = {.lex_state = 7, .external_lex_state = 2},
  [2018] = {.lex_state = 7, .external_lex_state = 2},
  [2019] = {.lex_state = 7, .external_lex_state = 2},
  [2020] = {.lex_state = 13, .external_lex_state = 4},
  [2021] = {.lex_state = 7, .external_lex_state = 2},
  [2022] = {.lex_state = 7, .external_lex_state = 2},
  [2023] = {.lex_state = 7, .external_lex_state = 2},
  [2024] = {.lex_state = 7, .external_lex_state = 2},
  [2025] = {.lex_state = 7, .external_lex_state = 2},
  [2026] = {.lex_state = 7, .external_lex_state = 2},
  [2027] = {.lex_state = 7, .external_lex_state = 2},
  [2028] = {.lex_state = 7, .external_lex_state = 2},
  [2029] = {.lex_state = 7, .external_lex_state = 2},
  [2030] = {.lex_state = 13},
  [2031] = {.lex_state = 13},
  [2032] = {.lex_state = 7, .external_lex_state = 2},
  [2033] = {.lex_state = 13, .external_lex_state = 4},
  [2034] = {.lex_state = 7, .external_lex_state = 3},
  [2035] = {.lex_state = 7, .external_lex_state = 2},
  [2036] = {.lex_state = 13, .external_lex_state = 4},
  [2037] = {.lex_state = 13},
  [2038] = {.lex_state = 13, .external_lex_state = 4},
  [2039] = {.lex_state = 99},
  [2040] = {.lex_state = 7, .external_lex_state = 2},
  [2041] = {.lex_state = 7, .external_lex_state = 2},
  [2042] = {.lex_state = 13, .external_lex_state = 4},
  [2043] = {.lex_state = 13},
  [2044] = {.lex_state = 7, .external_lex_state = 3},
  [2045] = {.lex_state = 7, .external_lex_state = 2},
  [2046] = {.lex_state = 99},
  [2047] = {.lex_state = 7, .external_lex_state = 2},
  [2048] = {.lex_state = 13, .external_lex_state = 4},
  [2049] = {.lex_state = 7, .external_lex_state = 2},
  [2050] = {.lex_state = 7, .external_lex_state = 2},
  [2051] = {.lex_state = 13, .external_lex_state = 4},
  [2052] = {.lex_state = 7, .external_lex_state = 2},
  [2053] = {.lex_state = 7, .external_lex_state = 2},
  [2054] = {.lex_state = 7, .external_lex_state = 2},
  [2055] = {.lex_state = 13, .external_lex_state = 4},
  [2056] = {.lex_state = 13},
  [2057] = {.lex_state = 13, .external_lex_state = 4},
  [2058] = {.lex_state = 7, .external_lex_state = 2},
  [2059] = {.lex_state = 7, .external_lex_state = 2},
  [2060] = {.lex_state = 7, .external_lex_state = 2},
  [2061] = {.lex_state = 7, .external_lex_state = 3},
  [2062] = {.lex_state = 13},
  [2063] = {.lex_state = 7, .external_lex_state = 2},
  [2064] = {.lex_state = 7, .external_lex_state = 2},
  [2065] = {.lex_state = 7, .external_lex_state = 2},
  [2066] = {.lex_state = 13},
  [2067] = {.lex_state = 13, .external_lex_state = 4},
  [2068] = {.lex_state = 13, .external_lex_state = 4},
  [2069] = {.lex_state = 13},
  [2070] = {.lex_state = 13},
  [2071] = {.lex_state = 13, .external_lex_state = 4},
  [2072] = {.lex_state = 13, .external_lex_state = 4},
  [2073] = {.lex_state = 13, .external_lex_state = 4},
  [2074] = {.lex_state = 13, .external_lex_state = 4},
  [2075] = {.lex_state = 13, .external_lex_state = 4},
  [2076] = {.lex_state = 8, .external_lex_state = 2},
  [2077] = {.lex_state = 13, .external_lex_state = 4},
  [2078] = {.lex_state = 13, .external_lex_state = 4},
  [2079] = {.lex_state = 7, .external_lex_state = 2},
  [2080] = {.lex_state = 13},
  [2081] = {.lex_state = 13, .external_lex_state = 4},
  [2082] = {.lex_state = 13, .external_lex_state = 4},
  [2083] = {.lex_state = 13},
  [2084] = {.lex_state = 13, .external_lex_state = 4},
  [2085] = {.lex_state = 13, .external_lex_state = 4},
  [2086] = {.lex_state = 13, .external_lex_state = 4},
  [2087] = {.lex_state = 13, .external_lex_state = 4},
  [2088] = {.lex_state = 13, .external_lex_state = 4},
  [2089] = {.lex_state = 7, .external_lex_state = 2},
  [2090] = {.lex_state = 13, .external_lex_state = 4},
  [2091] = {.lex_state = 13},
  [2092] = {.lex_state = 13},
  [2093] = {.lex_state = 13, .external_lex_state = 4},
  [2094] = {.lex_state = 99},
  [2095] = {.lex_state = 13, .external_lex_state = 4},
  [2096] = {.lex_state = 13},
  [2097] = {.lex_state = 7, .external_lex_state = 2},
  [2098] = {.lex_state = 13},
  [2099] = {.lex_state = 13},
  [2100] = {.lex_state = 13},
  [2101] = {.lex_state = 7, .external_lex_state = 2},
  [2102] = {.lex_state = 13, .external_lex_state = 4},
  [2103] = {.lex_state = 13},
  [2104] = {.lex_state = 13, .external_lex_state = 4},
  [2105] = {.lex_state = 13, .external_lex_state = 4},
  [2106] = {.lex_state = 13, .external_lex_state = 4},
  [2107] = {.lex_state = 13, .external_lex_state = 4},
  [2108] = {.lex_state = 7, .external_lex_state = 2},
  [2109] = {.lex_state = 13},
  [2110] = {.lex_state = 13, .external_lex_state = 4},
  [2111] = {.lex_state = 13, .external_lex_state = 4},
  [2112] = {.lex_state = 13},
  [2113] = {.lex_state = 13},
  [2114] = {.lex_state = 13, .external_lex_state = 4},
  [2115] = {.lex_state = 13, .external_lex_state = 4},
  [2116] = {.lex_state = 13, .external_lex_state = 4},
  [2117] = {.lex_state = 13, .external_lex_state = 4},
  [2118] = {.lex_state = 13, .external_lex_state = 4},
  [2119] = {.lex_state = 13, .external_lex_state = 4},
  [2120] = {.lex_state = 13, .external_lex_state = 4},
  [2121] = {.lex_state = 13, .external_lex_state = 4},
  [2122] = {.lex_state = 13, .external_lex_state = 4},
  [2123] = {.lex_state = 13, .external_lex_state = 4},
  [2124] = {.lex_state = 13},
  [2125] = {.lex_state = 13, .external_lex_state = 4},
  [2126] = {.lex_state = 13, .external_lex_state = 4},
  [2127] = {.lex_state = 13},
  [2128] = {.lex_state = 13, .external_lex_state = 4},
  [2129] = {.lex_state = 13, .external_lex_state = 4},
  [2130] = {.lex_state = 13, .external_lex_state = 4},
  [2131] = {.lex_state = 13, .external_lex_state = 4},
  [2132] = {.lex_state = 13, .external_lex_state = 4},
  [2133] = {.lex_state = 13, .external_lex_state = 4},
  [2134] = {.lex_state = 13, .external_lex_state = 4},
  [2135] = {.lex_state = 13},
  [2136] = {.lex_state = 13, .external_lex_state = 4},
  [2137] = {.lex_state = 13},
  [2138] = {.lex_state = 13, .external_lex_state = 4},
  [2139] = {.lex_state = 13, .external_lex_state = 4},
  [2140] = {.lex_state = 13, .external_lex_state = 4},
  [2141] = {.lex_state = 13, .external_lex_state = 4},
  [2142] = {.lex_state = 13},
  [2143] = {.lex_state = 13, .external_lex_state = 4},
  [2144] = {.lex_state = 99},
  [2145] = {.lex_state = 13},
  [2146] = {.lex_state = 13, .external_lex_state = 4},
  [2147] = {.lex_state = 13, .external_lex_state = 4},
  [2148] = {.lex_state = 13},
  [2149] = {.lex_state = 13},
  [2150] = {.lex_state = 13, .external_lex_state = 4},
  [2151] = {.lex_state = 13, .external_lex_state = 4},
  [2152] = {.lex_state = 13},
  [2153] = {.lex_state = 99, .external_lex_state = 4},
  [2154] = {.lex_state = 99, .external_lex_state = 4},
  [2155] = {.lex_state = 13},
  [2156] = {.lex_state = 99, .external_lex_state = 4},
  [2157] = {.lex_state = 13, .external_lex_state = 4},
  [2158] = {.lex_state = 13, .external_lex_state = 4},
  [2159] = {.lex_state = 99, .external_lex_state = 4},
  [2160] = {.lex_state = 13},
  [2161] = {.lex_state = 13},
  [2162] = {.lex_state = 13},
  [2163] = {.lex_state = 99, .external_lex_state = 4},
  [2164] = {.lex_state = 13},
  [2165] = {.lex_state = 13},
  [2166] = {.lex_state = 13},
  [2167] = {.lex_state = 13},
  [2168] = {.lex_state = 13},
  [2169] = {.lex_state = 13},
  [2170] = {.lex_state = 13},
  [2171] = {.lex_state = 13},
  [2172] = {.lex_state = 13},
  [2173] = {.lex_state = 13},
  [2174] = {.lex_state = 13},
  [2175] = {.lex_state = 13},
  [2176] = {.lex_state = 13},
  [2177] = {.lex_state = 13},
  [2178] = {.lex_state = 99, .external_lex_state = 4},
  [2179] = {.lex_state = 13},
  [2180] = {.lex_state = 13},
  [2181] = {.lex_state = 99},
  [2182] = {.lex_state = 13},
  [2183] = {.lex_state = 99},
  [2184] = {.lex_state = 13},
  [2185] = {.lex_state = 99},
  [2186] = {.lex_state = 99},
  [2187] = {.lex_state = 13},
  [2188] = {.lex_state = 99},
  [2189] = {.lex_state = 13},
  [2190] = {.lex_state = 13, .external_lex_state = 4},
  [2191] = {.lex_state = 13, .external_lex_state = 4},
  [2192] = {.lex_state = 13},
  [2193] = {.lex_state = 13, .external_lex_state = 4},
  [2194] = {.lex_state = 13, .external_lex_state = 4},
  [2195] = {.lex_state = 13, .external_lex_state = 4},
  [2196] = {.lex_state = 13, .external_lex_state = 4},
  [2197] = {.lex_state = 13, .external_lex_state = 4},
  [2198] = {.lex_state = 13, .external_lex_state = 4},
  [2199] = {.lex_state = 13},
  [2200] = {.lex_state = 13},
  [2201] = {.lex_state = 13, .external_lex_state = 4},
  [2202] = {.lex_state = 13},
  [2203] = {.lex_state = 13},
  [2204] = {.lex_state = 13, .external_lex_state = 4},
  [2205] = {.lex_state = 13},
  [2206] = {.lex_state = 13, .external_lex_state = 4},
  [2207] = {.lex_state = 13, .external_lex_state = 4},
  [2208] = {.lex_state = 13, .external_lex_state = 4},
  [2209] = {.lex_state = 13, .external_lex_state = 4},
  [2210] = {.lex_state = 13},
  [2211] = {.lex_state = 13},
  [2212] = {.lex_state = 13, .external_lex_state = 4},
  [2213] = {.lex_state = 13, .external_lex_state = 4},
  [2214] = {.lex_state = 13, .external_lex_state = 4},
  [2215] = {.lex_state = 13, .external_lex_state = 4},
  [2216] = {.lex_state = 13, .external_lex_state = 4},
  [2217] = {.lex_state = 13},
  [2218] = {.lex_state = 13, .external_lex_state = 4},
  [2219] = {.lex_state = 13},
  [2220] = {.lex_state = 13},
  [2221] = {.lex_state = 13, .external_lex_state = 4},
  [2222] = {.lex_state = 13, .external_lex_state = 4},
  [2223] = {.lex_state = 13, .external_lex_state = 4},
  [2224] = {.lex_state = 13, .external_lex_state = 4},
  [2225] = {.lex_state = 13, .external_lex_state = 4},
  [2226] = {.lex_state = 13, .external_lex_state = 4},
  [2227] = {.lex_state = 13, .external_lex_state = 4},
  [2228] = {.lex_state = 13},
  [2229] = {.lex_state = 13},
  [2230] = {.lex_state = 13},
  [2231] = {.lex_state = 13},
  [2232] = {.lex_state = 13},
  [2233] = {.lex_state = 13},
  [2234] = {.lex_state = 13},
  [2235] = {.lex_state = 13},
  [2236] = {.lex_state = 13},
  [2237] = {.lex_state = 13},
  [2238] = {.lex_state = 13},
  [2239] = {.lex_state = 13, .external_lex_state = 4},
  [2240] = {.lex_state = 13},
  [2241] = {.lex_state = 13},
  [2242] = {.lex_state = 13},
  [2243] = {.lex_state = 13},
  [2244] = {.lex_state = 13},
  [2245] = {.lex_state = 13},
  [2246] = {.lex_state = 13},
  [2247] = {.lex_state = 13, .external_lex_state = 4},
  [2248] = {.lex_state = 13},
  [2249] = {.lex_state = 13},
  [2250] = {.lex_state = 99},
  [2251] = {.lex_state = 99},
  [2252] = {.lex_state = 13},
  [2253] = {.lex_state = 99},
  [2254] = {.lex_state = 99},
  [2255] = {.lex_state = 13},
  [2256] = {.lex_state = 99},
  [2257] = {.lex_state = 99},
  [2258] = {.lex_state = 99},
  [2259] = {.lex_state = 13},
  [2260] = {.lex_state = 13},
  [2261] = {.lex_state = 13},
  [2262] = {.lex_state = 99},
  [2263] = {.lex_state = 13},
  [2264] = {.lex_state = 13},
  [2265] = {.lex_state = 13},
  [2266] = {.lex_state = 99},
  [2267] = {.lex_state = 99},
  [2268] = {.lex_state = 99},
  [2269] = {.lex_state = 99},
  [2270] = {.lex_state = 99},
  [2271] = {.lex_state = 13},
  [2272] = {.lex_state = 99},
  [2273] = {.lex_state = 99},
  [2274] = {.lex_state = 99},
  [2275] = {.lex_state = 99},
  [2276] = {.lex_state = 99},
  [2277] = {.lex_state = 99},
  [2278] = {.lex_state = 99},
  [2279] = {.lex_state = 99},
  [2280] = {.lex_state = 99},
  [2281] = {.lex_state = 13},
  [2282] = {.lex_state = 99},
  [2283] = {.lex_state = 99},
  [2284] = {.lex_state = 99},
  [2285] = {.lex_state = 99},
  [2286] = {.lex_state = 99},
  [2287] = {.lex_state = 99},
  [2288] = {.lex_state = 99},
  [2289] = {.lex_state = 99},
  [2290] = {.lex_state = 99},
  [2291] = {.lex_state = 99},
  [2292] = {.lex_state = 99},
  [2293] = {.lex_state = 99},
  [2294] = {.lex_state = 99},
  [2295] = {.lex_state = 99},
  [2296] = {.lex_state = 99},
  [2297] = {.lex_state = 99},
  [2298] = {.lex_state = 99},
  [2299] = {.lex_state = 99},
  [2300] = {.lex_state = 99},
  [2301] = {.lex_state = 99},
  [2302] = {.lex_state = 99},
  [2303] = {.lex_state = 99},
  [2304] = {.lex_state = 99},
  [2305] = {.lex_state = 99},
  [2306] = {.lex_state = 99},
  [2307] = {.lex_state = 99},
  [2308] = {.lex_state = 99},
  [2309] = {.lex_state = 99},
  [2310] = {.lex_state = 99},
  [2311] = {.lex_state = 99},
  [2312] = {.lex_state = 99},
  [2313] = {.lex_state = 99},
  [2314] = {.lex_state = 99},
  [2315] = {.lex_state = 99},
  [2316] = {.lex_state = 99},
  [2317] = {.lex_state = 99},
  [2318] = {.lex_state = 99},
  [2319] = {.lex_state = 99},
  [2320] = {.lex_state = 99},
  [2321] = {.lex_state = 99},
  [2322] = {.lex_state = 99},
  [2323] = {.lex_state = 16},
  [2324] = {.lex_state = 16},
  [2325] = {.lex_state = 16},
  [2326] = {.lex_state = 16},
  [2327] = {.lex_state = 16},
  [2328] = {.lex_state = 16},
  [2329] = {.lex_state = 16},
  [2330] = {.lex_state = 16},
  [2331] = {.lex_state = 16},
  [2332] = {.lex_state = 16},
  [2333] = {.lex_state = 16},
  [2334] = {.lex_state = 16},
  [2335] = {.lex_state = 16},
  [2336] = {.lex_state = 16},
  [2337] = {.lex_state = 16},
  [2338] = {.lex_state = 16},
  [2339] = {.lex_state = 12},
  [2340] = {.lex_state = 16},
  [2341] = {.lex_state = 99},
  [2342] = {.lex_state = 99},
  [2343] = {.lex_state = 16},
  [2344] = {.lex_state = 99},
  [2345] = {.lex_state = 16},
  [2346] = {.lex_state = 21},
  [2347] = {.lex_state = 12},
  [2348] = {.lex_state = 16},
  [2349] = {.lex_state = 16},
  [2350] = {.lex_state = 16},
  [2351] = {.lex_state = 16},
  [2352] = {.lex_state = 16},
  [2353] = {.lex_state = 16},
  [2354] = {.lex_state = 16},
  [2355] = {.lex_state = 16},
  [2356] = {.lex_state = 16},
  [2357] = {.lex_state = 16},
  [2358] = {.lex_state = 16},
  [2359] = {.lex_state = 16},
  [2360] = {.lex_state = 16},
  [2361] = {.lex_state = 16},
  [2362] = {.lex_state = 16},
  [2363] = {.lex_state = 16},
  [2364] = {.lex_state = 16},
  [2365] = {.lex_state = 16},
  [2366] = {.lex_state = 21},
  [2367] = {.lex_state = 16},
  [2368] = {.lex_state = 16},
  [2369] = {.lex_state = 12},
  [2370] = {.lex_state = 16},
  [2371] = {.lex_state = 12},
  [2372] = {.lex_state = 16},
  [2373] = {.lex_state = 12, .external_lex_state = 4},
  [2374] = {.lex_state = 12, .external_lex_state = 4},
  [2375] = {.lex_state = 99},
  [2376] = {.lex_state = 99},
  [2377] = {.lex_state = 4},
  [2378] = {.lex_state = 99},
  [2379] = {.lex_state = 4},
  [2380] = {.lex_state = 99},
  [2381] = {.lex_state = 99},
  [2382] = {.lex_state = 99},
  [2383] = {.lex_state = 99},
  [2384] = {.lex_state = 99},
  [2385] = {.lex_state = 99},
  [2386] = {.lex_state = 99},
  [2387] = {.lex_state = 99},
  [2388] = {.lex_state = 4},
  [2389] = {.lex_state = 4},
  [2390] = {.lex_state = 4},
  [2391] = {.lex_state = 99},
  [2392] = {.lex_state = 99},
  [2393] = {.lex_state = 99},
  [2394] = {.lex_state = 99},
  [2395] = {.lex_state = 99},
  [2396] = {.lex_state = 99},
  [2397] = {.lex_state = 99},
  [2398] = {.lex_state = 99},
  [2399] = {.lex_state = 99},
  [2400] = {.lex_state = 4},
  [2401] = {.lex_state = 99},
  [2402] = {.lex_state = 99},
  [2403] = {.lex_state = 12, .external_lex_state = 4},
  [2404] = {.lex_state = 99},
  [2405] = {.lex_state = 99},
  [2406] = {.lex_state = 99},
  [2407] = {.lex_state = 99},
  [2408] = {.lex_state = 16, .external_lex_state = 4},
  [2409] = {.lex_state = 16, .external_lex_state = 4},
  [2410] = {.lex_state = 16, .external_lex_state = 4},
  [2411] = {.lex_state = 99},
  [2412] = {.lex_state = 99},
  [2413] = {.lex_state = 99},
  [2414] = {.lex_state = 99},
  [2415] = {.lex_state = 99},
  [2416] = {.lex_state = 4},
  [2417] = {.lex_state = 99},
  [2418] = {.lex_state = 4},
  [2419] = {.lex_state = 16, .external_lex_state = 4},
  [2420] = {.lex_state = 16, .external_lex_state = 4},
  [2421] = {.lex_state = 16, .external_lex_state = 4},
  [2422] = {.lex_state = 16, .external_lex_state = 4},
  [2423] = {.lex_state = 16, .external_lex_state = 4},
  [2424] = {.lex_state = 16, .external_lex_state = 4},
  [2425] = {.lex_state = 16, .external_lex_state = 4},
  [2426] = {.lex_state = 99},
  [2427] = {.lex_state = 99},
  [2428] = {.lex_state = 99},
  [2429] = {.lex_state = 99},
  [2430] = {.lex_state = 16, .external_lex_state = 4},
  [2431] = {.lex_state = 16, .external_lex_state = 4},
  [2432] = {.lex_state = 99},
  [2433] = {.lex_state = 13, .external_lex_state = 4},
  [2434] = {.lex_state = 16, .external_lex_state = 4},
  [2435] = {.lex_state = 99},
  [2436] = {.lex_state = 99},
  [2437] = {.lex_state = 13, .external_lex_state = 4},
  [2438] = {.lex_state = 99},
  [2439] = {.lex_state = 13, .external_lex_state = 4},
  [2440] = {.lex_state = 99},
  [2441] = {.lex_state = 99},
  [2442] = {.lex_state = 16, .external_lex_state = 4},
  [2443] = {.lex_state = 16, .external_lex_state = 4},
  [2444] = {.lex_state = 16, .external_lex_state = 4},
  [2445] = {.lex_state = 13, .external_lex_state = 4},
  [2446] = {.lex_state = 99},
  [2447] = {.lex_state = 99},
  [2448] = {.lex_state = 99},
  [2449] = {.lex_state = 16, .external_lex_state = 4},
  [2450] = {.lex_state = 99},
  [2451] = {.lex_state = 16, .external_lex_state = 4},
  [2452] = {.lex_state = 21},
  [2453] = {.lex_state = 16, .external_lex_state = 4},
  [2454] = {.lex_state = 99},
  [2455] = {.lex_state = 99},
  [2456] = {.lex_state = 16, .external_lex_state = 4},
  [2457] = {.lex_state = 99},
  [2458] = {.lex_state = 16, .external_lex_state = 4},
  [2459] = {.lex_state = 16, .external_lex_state = 4},
  [2460] = {.lex_state = 16, .external_lex_state = 4},
  [2461] = {.lex_state = 99},
  [2462] = {.lex_state = 13, .external_lex_state = 4},
  [2463] = {.lex_state = 16, .external_lex_state = 4},
  [2464] = {.lex_state = 13, .external_lex_state = 4},
  [2465] = {.lex_state = 13, .external_lex_state = 4},
  [2466] = {.lex_state = 16, .external_lex_state = 4},
  [2467] = {.lex_state = 99},
  [2468] = {.lex_state = 99},
  [2469] = {.lex_state = 16, .external_lex_state = 4},
  [2470] = {.lex_state = 99},
  [2471] = {.lex_state = 99},
  [2472] = {.lex_state = 99},
  [2473] = {.lex_state = 12, .external_lex_state = 4},
  [2474] = {.lex_state = 99},
  [2475] = {.lex_state = 99},
  [2476] = {.lex_state = 99},
  [2477] = {.lex_state = 16, .external_lex_state = 4},
  [2478] = {.lex_state = 16, .external_lex_state = 4},
  [2479] = {.lex_state = 99},
  [2480] = {.lex_state = 99},
  [2481] = {.lex_state = 99},
  [2482] = {.lex_state = 16, .external_lex_state = 4},
  [2483] = {.lex_state = 16, .external_lex_state = 4},
  [2484] = {.lex_state = 16, .external_lex_state = 4},
  [2485] = {.lex_state = 16, .external_lex_state = 4},
  [2486] = {.lex_state = 16, .external_lex_state = 4},
  [2487] = {.lex_state = 16, .external_lex_state = 4},
  [2488] = {.lex_state = 16, .external_lex_state = 4},
  [2489] = {.lex_state = 16, .external_lex_state = 4},
  [2490] = {.lex_state = 16, .external_lex_state = 4},
  [2491] = {.lex_state = 13, .external_lex_state = 4},
  [2492] = {.lex_state = 99},
  [2493] = {.lex_state = 16, .external_lex_state = 5},
  [2494] = {.lex_state = 16, .external_lex_state = 5},
  [2495] = {.lex_state = 16, .external_lex_state = 5},
  [2496] = {.lex_state = 13, .external_lex_state = 4},
  [2497] = {.lex_state = 13, .external_lex_state = 4},
  [2498] = {.lex_state = 12, .external_lex_state = 4},
  [2499] = {.lex_state = 12, .external_lex_state = 4},
  [2500] = {.lex_state = 99},
  [2501] = {.lex_state = 16, .external_lex_state = 4},
  [2502] = {.lex_state = 16, .external_lex_state = 4},
  [2503] = {.lex_state = 21},
  [2504] = {.lex_state = 13, .external_lex_state = 4},
  [2505] = {.lex_state = 13, .external_lex_state = 4},
  [2506] = {.lex_state = 13, .external_lex_state = 4},
  [2507] = {.lex_state = 16, .external_lex_state = 4},
  [2508] = {.lex_state = 21},
  [2509] = {.lex_state = 99},
  [2510] = {.lex_state = 16, .external_lex_state = 4},
  [2511] = {.lex_state = 13, .external_lex_state = 4},
  [2512] = {.lex_state = 13, .external_lex_state = 4},
  [2513] = {.lex_state = 16, .external_lex_state = 4},
  [2514] = {.lex_state = 13, .external_lex_state = 4},
  [2515] = {.lex_state = 12, .external_lex_state = 5},
  [2516] = {.lex_state = 16, .external_lex_state = 4},
  [2517] = {.lex_state = 13, .external_lex_state = 4},
  [2518] = {.lex_state = 16, .external_lex_state = 4},
  [2519] = {.lex_state = 13, .external_lex_state = 4},
  [2520] = {.lex_state = 16, .external_lex_state = 5},
  [2521] = {.lex_state = 13, .external_lex_state = 4},
  [2522] = {.lex_state = 13, .external_lex_state = 4},
  [2523] = {.lex_state = 13, .external_lex_state = 4},
  [2524] = {.lex_state = 13, .external_lex_state = 4},
  [2525] = {.lex_state = 99},
  [2526] = {.lex_state = 13},
  [2527] = {.lex_state = 16, .external_lex_state = 5},
  [2528] = {.lex_state = 12, .external_lex_state = 5},
  [2529] = {.lex_state = 13, .external_lex_state = 4},
  [2530] = {.lex_state = 13, .external_lex_state = 4},
  [2531] = {.lex_state = 21},
  [2532] = {.lex_state = 13, .external_lex_state = 4},
  [2533] = {.lex_state = 16, .external_lex_state = 5},
  [2534] = {.lex_state = 21},
  [2535] = {.lex_state = 16, .external_lex_state = 5},
  [2536] = {.lex_state = 16, .external_lex_state = 5},
  [2537] = {.lex_state = 16, .external_lex_state = 5},
  [2538] = {.lex_state = 16, .external_lex_state = 5},
  [2539] = {.lex_state = 13},
  [2540] = {.lex_state = 16, .external_lex_state = 5},
  [2541] = {.lex_state = 13, .external_lex_state = 4},
  [2542] = {.lex_state = 13, .external_lex_state = 4},
  [2543] = {.lex_state = 13, .external_lex_state = 4},
  [2544] = {.lex_state = 16, .external_lex_state = 5},
  [2545] = {.lex_state = 16, .external_lex_state = 5},
  [2546] = {.lex_state = 16, .external_lex_state = 5},
  [2547] = {.lex_state = 16, .external_lex_state = 5},
  [2548] = {.lex_state = 13, .external_lex_state = 4},
  [2549] = {.lex_state = 16, .external_lex_state = 5},
  [2550] = {.lex_state = 13, .external_lex_state = 4},
  [2551] = {.lex_state = 13, .external_lex_state = 4},
  [2552] = {.lex_state = 16, .external_lex_state = 5},
  [2553] = {.lex_state = 16, .external_lex_state = 5},
  [2554] = {.lex_state = 16, .external_lex_state = 5},
  [2555] = {.lex_state = 13},
  [2556] = {.lex_state = 13, .external_lex_state = 4},
  [2557] = {.lex_state = 13, .external_lex_state = 4},
  [2558] = {.lex_state = 13, .external_lex_state = 4},
  [2559] = {.lex_state = 13, .external_lex_state = 4},
  [2560] = {.lex_state = 16, .external_lex_state = 5},
  [2561] = {.lex_state = 13, .external_lex_state = 4},
  [2562] = {.lex_state = 16, .external_lex_state = 5},
  [2563] = {.lex_state = 99, .external_lex_state = 4},
  [2564] = {.lex_state = 21},
  [2565] = {.lex_state = 16, .external_lex_state = 5},
  [2566] = {.lex_state = 13, .external_lex_state = 4},
  [2567] = {.lex_state = 16, .external_lex_state = 5},
  [2568] = {.lex_state = 16, .external_lex_state = 5},
  [2569] = {.lex_state = 16, .external_lex_state = 5},
  [2570] = {.lex_state = 16, .external_lex_state = 5},
  [2571] = {.lex_state = 16, .external_lex_state = 5},
  [2572] = {.lex_state = 16, .external_lex_state = 5},
  [2573] = {.lex_state = 16, .external_lex_state = 5},
  [2574] = {.lex_state = 16, .external_lex_state = 5},
  [2575] = {.lex_state = 21},
  [2576] = {.lex_state = 13, .external_lex_state = 4},
  [2577] = {.lex_state = 16, .external_lex_state = 5},
  [2578] = {.lex_state = 16, .external_lex_state = 5},
  [2579] = {.lex_state = 16, .external_lex_state = 5},
  [2580] = {.lex_state = 16, .external_lex_state = 5},
  [2581] = {.lex_state = 16, .external_lex_state = 5},
  [2582] = {.lex_state = 99, .external_lex_state = 4},
  [2583] = {.lex_state = 99, .external_lex_state = 4},
  [2584] = {.lex_state = 13, .external_lex_state = 4},
  [2585] = {.lex_state = 16, .external_lex_state = 5},
  [2586] = {.lex_state = 16, .external_lex_state = 5},
  [2587] = {.lex_state = 99, .external_lex_state = 4},
  [2588] = {.lex_state = 99, .external_lex_state = 4},
  [2589] = {.lex_state = 99, .external_lex_state = 4},
  [2590] = {.lex_state = 99, .external_lex_state = 4},
  [2591] = {.lex_state = 99, .external_lex_state = 4},
  [2592] = {.lex_state = 13, .external_lex_state = 4},
  [2593] = {.lex_state = 99, .external_lex_state = 4},
  [2594] = {.lex_state = 99, .external_lex_state = 4},
  [2595] = {.lex_state = 99, .external_lex_state = 4},
  [2596] = {.lex_state = 99, .external_lex_state = 4},
  [2597] = {.lex_state = 12, .external_lex_state = 5},
  [2598] = {.lex_state = 99, .external_lex_state = 4},
  [2599] = {.lex_state = 99},
  [2600] = {.lex_state = 16, .external_lex_state = 5},
  [2601] = {.lex_state = 99, .external_lex_state = 4},
  [2602] = {.lex_state = 99, .external_lex_state = 4},
  [2603] = {.lex_state = 99, .external_lex_state = 4},
  [2604] = {.lex_state = 99, .external_lex_state = 4},
  [2605] = {.lex_state = 12, .external_lex_state = 5},
  [2606] = {.lex_state = 99, .external_lex_state = 4},
  [2607] = {.lex_state = 99, .external_lex_state = 4},
  [2608] = {.lex_state = 16, .external_lex_state = 5},
  [2609] = {.lex_state = 99, .external_lex_state = 4},
  [2610] = {.lex_state = 16, .external_lex_state = 5},
  [2611] = {.lex_state = 16, .external_lex_state = 5},
  [2612] = {.lex_state = 99, .external_lex_state = 4},
  [2613] = {.lex_state = 99, .external_lex_state = 4},
  [2614] = {.lex_state = 99, .external_lex_state = 4},
  [2615] = {.lex_state = 99, .external_lex_state = 4},
  [2616] = {.lex_state = 99, .external_lex_state = 4},
  [2617] = {.lex_state = 99, .external_lex_state = 4},
  [2618] = {.lex_state = 99, .external_lex_state = 4},
  [2619] = {.lex_state = 13, .external_lex_state = 4},
  [2620] = {.lex_state = 99, .external_lex_state = 4},
  [2621] = {.lex_state = 99, .external_lex_state = 4},
  [2622] = {.lex_state = 16, .external_lex_state = 5},
  [2623] = {.lex_state = 99, .external_lex_state = 4},
  [2624] = {.lex_state = 99, .external_lex_state = 4},
  [2625] = {.lex_state = 99, .external_lex_state = 4},
  [2626] = {.lex_state = 99, .external_lex_state = 4},
  [2627] = {.lex_state = 99, .external_lex_state = 4},
  [2628] = {.lex_state = 99, .external_lex_state = 4},
  [2629] = {.lex_state = 99, .external_lex_state = 4},
  [2630] = {.lex_state = 16, .external_lex_state = 5},
  [2631] = {.lex_state = 99, .external_lex_state = 4},
  [2632] = {.lex_state = 99, .external_lex_state = 4},
  [2633] = {.lex_state = 99, .external_lex_state = 4},
  [2634] = {.lex_state = 16, .external_lex_state = 5},
  [2635] = {.lex_state = 99, .external_lex_state = 4},
  [2636] = {.lex_state = 99, .external_lex_state = 4},
  [2637] = {.lex_state = 99, .external_lex_state = 4},
  [2638] = {.lex_state = 99, .external_lex_state = 4},
  [2639] = {.lex_state = 99, .external_lex_state = 4},
  [2640] = {.lex_state = 99, .external_lex_state = 4},
  [2641] = {.lex_state = 99, .external_lex_state = 4},
  [2642] = {.lex_state = 99, .external_lex_state = 4},
  [2643] = {.lex_state = 99, .external_lex_state = 4},
  [2644] = {.lex_state = 12},
  [2645] = {.lex_state = 27},
  [2646] = {.lex_state = 12},
  [2647] = {.lex_state = 99},
  [2648] = {.lex_state = 12},
  [2649] = {.lex_state = 21},
  [2650] = {.lex_state = 12},
  [2651] = {.lex_state = 27},
  [2652] = {.lex_state = 27},
  [2653] = {.lex_state = 99, .external_lex_state = 5},
  [2654] = {.lex_state = 27},
  [2655] = {.lex_state = 16},
  [2656] = {.lex_state = 99, .external_lex_state = 4},
  [2657] = {.lex_state = 16},
  [2658] = {.lex_state = 27},
  [2659] = {.lex_state = 21},
  [2660] = {.lex_state = 16},
  [2661] = {.lex_state = 12},
  [2662] = {.lex_state = 12},
  [2663] = {.lex_state = 27},
  [2664] = {.lex_state = 99, .external_lex_state = 4},
  [2665] = {.lex_state = 99},
  [2666] = {.lex_state = 99, .external_lex_state = 5},
  [2667] = {.lex_state = 27},
  [2668] = {.lex_state = 13, .external_lex_state = 4},
  [2669] = {.lex_state = 99, .external_lex_state = 4},
  [2670] = {.lex_state = 12},
  [2671] = {.lex_state = 99, .external_lex_state = 5},
  [2672] = {.lex_state = 99, .external_lex_state = 4},
  [2673] = {.lex_state = 12},
  [2674] = {.lex_state = 21},
  [2675] = {.lex_state = 12},
  [2676] = {.lex_state = 21},
  [2677] = {.lex_state = 12},
  [2678] = {.lex_state = 12},
  [2679] = {.lex_state = 12},
  [2680] = {.lex_state = 99, .external_lex_state = 4},
  [2681] = {.lex_state = 99},
  [2682] = {.lex_state = 99},
  [2683] = {.lex_state = 13},
  [2684] = {.lex_state = 27},
  [2685] = {.lex_state = 12},
  [2686] = {.lex_state = 27},
  [2687] = {.lex_state = 99, .external_lex_state = 5},
  [2688] = {.lex_state = 12},
  [2689] = {.lex_state = 99},
  [2690] = {.lex_state = 99},
  [2691] = {.lex_state = 99},
  [2692] = {.lex_state = 21},
  [2693] = {.lex_state = 12},
  [2694] = {.lex_state = 12},
  [2695] = {.lex_state = 21},
  [2696] = {.lex_state = 99, .external_lex_state = 5},
  [2697] = {.lex_state = 99, .external_lex_state = 5},
  [2698] = {.lex_state = 12},
  [2699] = {.lex_state = 99, .external_lex_state = 5},
  [2700] = {.lex_state = 99, .external_lex_state = 5},
  [2701] = {.lex_state = 12},
  [2702] = {.lex_state = 13},
  [2703] = {.lex_state = 21},
  [2704] = {.lex_state = 12},
  [2705] = {.lex_state = 27},
  [2706] = {.lex_state = 99, .external_lex_state = 5},
  [2707] = {.lex_state = 99},
  [2708] = {.lex_state = 12},
  [2709] = {.lex_state = 99, .external_lex_state = 4},
  [2710] = {.lex_state = 21},
  [2711] = {.lex_state = 21},
  [2712] = {.lex_state = 12},
  [2713] = {.lex_state = 99},
  [2714] = {.lex_state = 12},
  [2715] = {.lex_state = 99, .external_lex_state = 5},
  [2716] = {.lex_state = 99},
  [2717] = {.lex_state = 99, .external_lex_state = 5},
  [2718] = {.lex_state = 99, .external_lex_state = 4},
  [2719] = {.lex_state = 99, .external_lex_state = 5},
  [2720] = {.lex_state = 99, .external_lex_state = 5},
  [2721] = {.lex_state = 99, .external_lex_state = 5},
  [2722] = {.lex_state = 99, .external_lex_state = 4},
  [2723] = {.lex_state = 99, .external_lex_state = 5},
  [2724] = {.lex_state = 99, .external_lex_state = 5},
  [2725] = {.lex_state = 12},
  [2726] = {.lex_state = 99, .external_lex_state = 5},
  [2727] = {.lex_state = 99},
  [2728] = {.lex_state = 99, .external_lex_state = 5},
  [2729] = {.lex_state = 99, .external_lex_state = 5},
  [2730] = {.lex_state = 99, .external_lex_state = 5},
  [2731] = {.lex_state = 99, .external_lex_state = 4},
  [2732] = {.lex_state = 12},
  [2733] = {.lex_state = 99},
  [2734] = {.lex_state = 99, .external_lex_state = 4},
  [2735] = {.lex_state = 12},
  [2736] = {.lex_state = 27},
  [2737] = {.lex_state = 99},
  [2738] = {.lex_state = 13},
  [2739] = {.lex_state = 13},
  [2740] = {.lex_state = 21},
  [2741] = {.lex_state = 27},
  [2742] = {.lex_state = 27},
  [2743] = {.lex_state = 12},
  [2744] = {.lex_state = 99, .external_lex_state = 5},
  [2745] = {.lex_state = 12},
  [2746] = {.lex_state = 12},
  [2747] = {.lex_state = 12},
  [2748] = {.lex_state = 99, .external_lex_state = 5},
  [2749] = {.lex_state = 99, .external_lex_state = 5},
  [2750] = {.lex_state = 99, .external_lex_state = 5},
  [2751] = {.lex_state = 99, .external_lex_state = 5},
  [2752] = {.lex_state = 99, .external_lex_state = 5},
  [2753] = {.lex_state = 99, .external_lex_state = 5},
  [2754] = {.lex_state = 13},
  [2755] = {.lex_state = 99, .external_lex_state = 5},
  [2756] = {.lex_state = 99, .external_lex_state = 5},
  [2757] = {.lex_state = 99, .external_lex_state = 5},
  [2758] = {.lex_state = 99, .external_lex_state = 5},
  [2759] = {.lex_state = 27},
  [2760] = {.lex_state = 99, .external_lex_state = 5},
  [2761] = {.lex_state = 13},
  [2762] = {.lex_state = 99, .external_lex_state = 5},
  [2763] = {.lex_state = 27},
  [2764] = {.lex_state = 21},
  [2765] = {.lex_state = 21},
  [2766] = {.lex_state = 21},
  [2767] = {.lex_state = 27},
  [2768] = {.lex_state = 27},
  [2769] = {.lex_state = 99, .external_lex_state = 5},
  [2770] = {.lex_state = 99, .external_lex_state = 5},
  [2771] = {.lex_state = 21},
  [2772] = {.lex_state = 21},
  [2773] = {.lex_state = 12},
  [2774] = {.lex_state = 99, .external_lex_state = 5},
  [2775] = {.lex_state = 99, .external_lex_state = 5},
  [2776] = {.lex_state = 21},
  [2777] = {.lex_state = 99, .external_lex_state = 5},
  [2778] = {.lex_state = 21},
  [2779] = {.lex_state = 99, .external_lex_state = 5},
  [2780] = {.lex_state = 99, .external_lex_state = 5},
  [2781] = {.lex_state = 99, .external_lex_state = 5},
  [2782] = {.lex_state = 99, .external_lex_state = 5},
  [2783] = {.lex_state = 99, .external_lex_state = 5},
  [2784] = {.lex_state = 13},
  [2785] = {.lex_state = 12},
  [2786] = {.lex_state = 99, .external_lex_state = 5},
  [2787] = {.lex_state = 99, .external_lex_state = 4},
  [2788] = {.lex_state = 21},
  [2789] = {.lex_state = 99, .external_lex_state = 5},
  [2790] = {.lex_state = 21},
  [2791] = {.lex_state = 21},
  [2792] = {.lex_state = 21},
  [2793] = {.lex_state = 21},
  [2794] = {.lex_state = 21},
  [2795] = {.lex_state = 21},
  [2796] = {.lex_state = 21},
  [2797] = {.lex_state = 21},
  [2798] = {.lex_state = 99, .external_lex_state = 4},
  [2799] = {.lex_state = 21},
  [2800] = {.lex_state = 21},
  [2801] = {.lex_state = 21},
  [2802] = {.lex_state = 12},
  [2803] = {.lex_state = 21},
  [2804] = {.lex_state = 99, .external_lex_state = 5},
  [2805] = {.lex_state = 99, .external_lex_state = 5},
  [2806] = {.lex_state = 21},
  [2807] = {.lex_state = 21},
  [2808] = {.lex_state = 99, .external_lex_state = 5},
  [2809] = {.lex_state = 99, .external_lex_state = 5},
  [2810] = {.lex_state = 99, .external_lex_state = 5},
  [2811] = {.lex_state = 99, .external_lex_state = 5},
  [2812] = {.lex_state = 99, .external_lex_state = 5},
  [2813] = {.lex_state = 13},
  [2814] = {.lex_state = 21},
  [2815] = {.lex_state = 99},
  [2816] = {.lex_state = 19, .external_lex_state = 6},
  [2817] = {.lex_state = 19, .external_lex_state = 6},
  [2818] = {.lex_state = 19, .external_lex_state = 6},
  [2819] = {.lex_state = 16},
  [2820] = {.lex_state = 16},
  [2821] = {.lex_state = 99, .external_lex_state = 4},
  [2822] = {.lex_state = 16},
  [2823] = {.lex_state = 99},
  [2824] = {.lex_state = 99, .external_lex_state = 4},
  [2825] = {.lex_state = 19, .external_lex_state = 6},
  [2826] = {.lex_state = 19, .external_lex_state = 6},
  [2827] = {.lex_state = 99, .external_lex_state = 5},
  [2828] = {.lex_state = 19, .external_lex_state = 6},
  [2829] = {.lex_state = 19, .external_lex_state = 6},
  [2830] = {.lex_state = 99, .external_lex_state = 4},
  [2831] = {.lex_state = 99},
  [2832] = {.lex_state = 99},
  [2833] = {.lex_state = 99, .external_lex_state = 4},
  [2834] = {.lex_state = 19, .external_lex_state = 6},
  [2835] = {.lex_state = 99},
  [2836] = {.lex_state = 99, .external_lex_state = 4},
  [2837] = {.lex_state = 99},
  [2838] = {.lex_state = 99},
  [2839] = {.lex_state = 0, .external_lex_state = 4},
  [2840] = {.lex_state = 21},
  [2841] = {.lex_state = 99},
  [2842] = {.lex_state = 99, .external_lex_state = 4},
  [2843] = {.lex_state = 99, .external_lex_state = 4},
  [2844] = {.lex_state = 99},
  [2845] = {.lex_state = 99, .external_lex_state = 4},
  [2846] = {.lex_state = 21},
  [2847] = {.lex_state = 99},
  [2848] = {.lex_state = 0, .external_lex_state = 4},
  [2849] = {.lex_state = 99, .external_lex_state = 4},
  [2850] = {.lex_state = 13},
  [2851] = {.lex_state = 99, .external_lex_state = 4},
  [2852] = {.lex_state = 0, .external_lex_state = 4},
  [2853] = {.lex_state = 99},
  [2854] = {.lex_state = 99},
  [2855] = {.lex_state = 99},
  [2856] = {.lex_state = 99, .external_lex_state = 4},
  [2857] = {.lex_state = 0, .external_lex_state = 4},
  [2858] = {.lex_state = 99, .external_lex_state = 4},
  [2859] = {.lex_state = 99},
  [2860] = {.lex_state = 99, .external_lex_state = 4},
  [2861] = {.lex_state = 99},
  [2862] = {.lex_state = 99, .external_lex_state = 4},
  [2863] = {.lex_state = 99},
  [2864] = {.lex_state = 99},
  [2865] = {.lex_state = 99},
  [2866] = {.lex_state = 99},
  [2867] = {.lex_state = 99},
  [2868] = {.lex_state = 99, .external_lex_state = 4},
  [2869] = {.lex_state = 99},
  [2870] = {.lex_state = 99, .external_lex_state = 4},
  [2871] = {.lex_state = 13},
  [2872] = {.lex_state = 99},
  [2873] = {.lex_state = 99},
  [2874] = {.lex_state = 99, .external_lex_state = 4},
  [2875] = {.lex_state = 13},
  [2876] = {.lex_state = 99},
  [2877] = {.lex_state = 13},
  [2878] = {.lex_state = 13},
  [2879] = {.lex_state = 99},
  [2880] = {.lex_state = 0, .external_lex_state = 4},
  [2881] = {.lex_state = 13},
  [2882] = {.lex_state = 13},
  [2883] = {.lex_state = 99},
  [2884] = {.lex_state = 99},
  [2885] = {.lex_state = 13},
  [2886] = {.lex_state = 99},
  [2887] = {.lex_state = 99},
  [2888] = {.lex_state = 13},
  [2889] = {.lex_state = 13},
  [2890] = {.lex_state = 99, .external_lex_state = 4},
  [2891] = {.lex_state = 99},
  [2892] = {.lex_state = 13},
  [2893] = {.lex_state = 99, .external_lex_state = 4},
  [2894] = {.lex_state = 99},
  [2895] = {.lex_state = 99, .external_lex_state = 4},
  [2896] = {.lex_state = 99, .external_lex_state = 4},
  [2897] = {.lex_state = 99, .external_lex_state = 4},
  [2898] = {.lex_state = 0, .external_lex_state = 4},
  [2899] = {.lex_state = 99},
  [2900] = {.lex_state = 0, .external_lex_state = 4},
  [2901] = {.lex_state = 0, .external_lex_state = 4},
  [2902] = {.lex_state = 99, .external_lex_state = 4},
  [2903] = {.lex_state = 99, .external_lex_state = 4},
  [2904] = {.lex_state = 99, .external_lex_state = 4},
  [2905] = {.lex_state = 99, .external_lex_state = 4},
  [2906] = {.lex_state = 99, .external_lex_state = 4},
  [2907] = {.lex_state = 99, .external_lex_state = 4},
  [2908] = {.lex_state = 99, .external_lex_state = 4},
  [2909] = {.lex_state = 99, .external_lex_state = 4},
  [2910] = {.lex_state = 99, .external_lex_state = 4},
  [2911] = {.lex_state = 13},
  [2912] = {.lex_state = 99},
  [2913] = {.lex_state = 99},
  [2914] = {.lex_state = 99, .external_lex_state = 4},
  [2915] = {.lex_state = 99, .external_lex_state = 4},
  [2916] = {.lex_state = 99},
  [2917] = {.lex_state = 99, .external_lex_state = 4},
  [2918] = {.lex_state = 99, .external_lex_state = 4},
  [2919] = {.lex_state = 99},
  [2920] = {.lex_state = 99, .external_lex_state = 4},
  [2921] = {.lex_state = 99, .external_lex_state = 4},
  [2922] = {.lex_state = 13},
  [2923] = {.lex_state = 13},
  [2924] = {.lex_state = 21},
  [2925] = {.lex_state = 13},
  [2926] = {.lex_state = 99},
  [2927] = {.lex_state = 99},
  [2928] = {.lex_state = 0, .external_lex_state = 4},
  [2929] = {.lex_state = 99},
  [2930] = {.lex_state = 0, .external_lex_state = 4},
  [2931] = {.lex_state = 13},
  [2932] = {.lex_state = 99},
  [2933] = {.lex_state = 13},
  [2934] = {.lex_state = 99},
  [2935] = {.lex_state = 99, .external_lex_state = 4},
  [2936] = {.lex_state = 99},
  [2937] = {.lex_state = 99, .external_lex_state = 4},
  [2938] = {.lex_state = 99},
  [2939] = {.lex_state = 21},
  [2940] = {.lex_state = 99},
  [2941] = {.lex_state = 99, .external_lex_state = 4},
  [2942] = {.lex_state = 99},
  [2943] = {.lex_state = 13},
  [2944] = {.lex_state = 0, .external_lex_state = 4},
  [2945] = {.lex_state = 99},
  [2946] = {.lex_state = 13},
  [2947] = {.lex_state = 99},
  [2948] = {.lex_state = 99, .external_lex_state = 4},
  [2949] = {.lex_state = 21},
  [2950] = {.lex_state = 0, .external_lex_state = 4},
  [2951] = {.lex_state = 13},
  [2952] = {.lex_state = 99},
  [2953] = {.lex_state = 99},
  [2954] = {.lex_state = 99},
  [2955] = {.lex_state = 99},
  [2956] = {.lex_state = 99},
  [2957] = {.lex_state = 99},
  [2958] = {.lex_state = 99},
  [2959] = {.lex_state = 17},
  [2960] = {.lex_state = 99},
  [2961] = {.lex_state = 99},
  [2962] = {.lex_state = 13},
  [2963] = {.lex_state = 99, .external_lex_state = 5},
  [2964] = {.lex_state = 99, .external_lex_state = 5},
  [2965] = {.lex_state = 17},
  [2966] = {.lex_state = 0, .external_lex_state = 4},
  [2967] = {.lex_state = 21},
  [2968] = {.lex_state = 99},
  [2969] = {.lex_state = 13},
  [2970] = {.lex_state = 21},
  [2971] = {.lex_state = 99, .external_lex_state = 5},
  [2972] = {.lex_state = 21},
  [2973] = {.lex_state = 99, .external_lex_state = 5},
  [2974] = {.lex_state = 13},
  [2975] = {.lex_state = 0, .external_lex_state = 4},
  [2976] = {.lex_state = 0, .external_lex_state = 4},
  [2977] = {.lex_state = 0, .external_lex_state = 4},
  [2978] = {.lex_state = 0, .external_lex_state = 4},
  [2979] = {.lex_state = 99, .external_lex_state = 5},
  [2980] = {.lex_state = 19, .external_lex_state = 6},
  [2981] = {.lex_state = 13},
  [2982] = {.lex_state = 99, .external_lex_state = 5},
  [2983] = {.lex_state = 0, .external_lex_state = 4},
  [2984] = {.lex_state = 99, .external_lex_state = 5},
  [2985] = {.lex_state = 99, .external_lex_state = 5},
  [2986] = {.lex_state = 21},
  [2987] = {.lex_state = 99},
  [2988] = {.lex_state = 99},
  [2989] = {.lex_state = 17},
  [2990] = {.lex_state = 17},
  [2991] = {.lex_state = 13},
  [2992] = {.lex_state = 17},
  [2993] = {.lex_state = 99, .external_lex_state = 5},
  [2994] = {.lex_state = 13},
  [2995] = {.lex_state = 99},
  [2996] = {.lex_state = 17},
  [2997] = {.lex_state = 13},
  [2998] = {.lex_state = 13},
  [2999] = {.lex_state = 0},
  [3000] = {.lex_state = 21},
  [3001] = {.lex_state = 0, .external_lex_state = 4},
  [3002] = {.lex_state = 13},
  [3003] = {.lex_state = 13},
  [3004] = {.lex_state = 99, .external_lex_state = 5},
  [3005] = {.lex_state = 17},
  [3006] = {.lex_state = 99},
  [3007] = {.lex_state = 19, .external_lex_state = 6},
  [3008] = {.lex_state = 0, .external_lex_state = 4},
  [3009] = {.lex_state = 99, .external_lex_state = 5},
  [3010] = {.lex_state = 17},
  [3011] = {.lex_state = 13},
  [3012] = {.lex_state = 13},
  [3013] = {.lex_state = 21},
  [3014] = {.lex_state = 13},
  [3015] = {.lex_state = 13},
  [3016] = {.lex_state = 99},
  [3017] = {.lex_state = 99},
  [3018] = {.lex_state = 13},
  [3019] = {.lex_state = 99},
  [3020] = {.lex_state = 99},
  [3021] = {.lex_state = 99},
  [3022] = {.lex_state = 0, .external_lex_state = 4},
  [3023] = {.lex_state = 99, .external_lex_state = 5},
  [3024] = {.lex_state = 99},
  [3025] = {.lex_state = 99, .external_lex_state = 5},
  [3026] = {.lex_state = 99},
  [3027] = {.lex_state = 99, .external_lex_state = 5},
  [3028] = {.lex_state = 99, .external_lex_state = 4},
  [3029] = {.lex_state = 99, .external_lex_state = 5},
  [3030] = {.lex_state = 13},
  [3031] = {.lex_state = 99},
  [3032] = {.lex_state = 13},
  [3033] = {.lex_state = 0, .external_lex_state = 4},
  [3034] = {.lex_state = 13},
  [3035] = {.lex_state = 13},
  [3036] = {.lex_state = 0, .external_lex_state = 4},
  [3037] = {.lex_state = 99},
  [3038] = {.lex_state = 0, .external_lex_state = 4},
  [3039] = {.lex_state = 13},
  [3040] = {.lex_state = 17},
  [3041] = {.lex_state = 13},
  [3042] = {.lex_state = 99},
  [3043] = {.lex_state = 99, .external_lex_state = 5},
  [3044] = {.lex_state = 99, .external_lex_state = 5},
  [3045] = {.lex_state = 0, .external_lex_state = 4},
  [3046] = {.lex_state = 99},
  [3047] = {.lex_state = 99, .external_lex_state = 5},
  [3048] = {.lex_state = 17},
  [3049] = {.lex_state = 99},
  [3050] = {.lex_state = 21},
  [3051] = {.lex_state = 21},
  [3052] = {.lex_state = 0, .external_lex_state = 4},
  [3053] = {.lex_state = 13},
  [3054] = {.lex_state = 13},
  [3055] = {.lex_state = 99},
  [3056] = {.lex_state = 13},
  [3057] = {.lex_state = 17},
  [3058] = {.lex_state = 19, .external_lex_state = 6},
  [3059] = {.lex_state = 99},
  [3060] = {.lex_state = 13},
  [3061] = {.lex_state = 13},
  [3062] = {.lex_state = 99},
  [3063] = {.lex_state = 99},
  [3064] = {.lex_state = 99},
  [3065] = {.lex_state = 17},
  [3066] = {.lex_state = 13},
  [3067] = {.lex_state = 19, .external_lex_state = 6},
  [3068] = {.lex_state = 99},
  [3069] = {.lex_state = 99},
  [3070] = {.lex_state = 99},
  [3071] = {.lex_state = 99, .external_lex_state = 5},
  [3072] = {.lex_state = 13},
  [3073] = {.lex_state = 0, .external_lex_state = 4},
  [3074] = {.lex_state = 0, .external_lex_state = 4},
  [3075] = {.lex_state = 99, .external_lex_state = 5},
  [3076] = {.lex_state = 0, .external_lex_state = 4},
  [3077] = {.lex_state = 13},
  [3078] = {.lex_state = 13},
  [3079] = {.lex_state = 0, .external_lex_state = 4},
  [3080] = {.lex_state = 0, .external_lex_state = 4},
  [3081] = {.lex_state = 13},
  [3082] = {.lex_state = 13},
  [3083] = {.lex_state = 17},
  [3084] = {.lex_state = 99},
  [3085] = {.lex_state = 99, .external_lex_state = 4},
  [3086] = {.lex_state = 0, .external_lex_state = 4},
  [3087] = {.lex_state = 99},
  [3088] = {.lex_state = 0, .external_lex_state = 4},
  [3089] = {.lex_state = 99},
  [3090] = {.lex_state = 99},
  [3091] = {.lex_state = 99},
  [3092] = {.lex_state = 17},
  [3093] = {.lex_state = 13},
  [3094] = {.lex_state = 13},
  [3095] = {.lex_state = 0, .external_lex_state = 4},
  [3096] = {.lex_state = 99},
  [3097] = {.lex_state = 99},
  [3098] = {.lex_state = 99},
  [3099] = {.lex_state = 13},
  [3100] = {.lex_state = 13},
  [3101] = {.lex_state = 21},
  [3102] = {.lex_state = 99, .external_lex_state = 5},
  [3103] = {.lex_state = 0, .external_lex_state = 4},
  [3104] = {.lex_state = 13},
  [3105] = {.lex_state = 99, .external_lex_state = 4},
  [3106] = {.lex_state = 19, .external_lex_state = 6},
  [3107] = {.lex_state = 99, .external_lex_state = 4},
  [3108] = {.lex_state = 21},
  [3109] = {.lex_state = 21},
  [3110] = {.lex_state = 99, .external_lex_state = 5},
  [3111] = {.lex_state = 99},
  [3112] = {.lex_state = 99, .external_lex_state = 5},
  [3113] = {.lex_state = 13},
  [3114] = {.lex_state = 99, .external_lex_state = 5},
  [3115] = {.lex_state = 99, .external_lex_state = 5},
  [3116] = {.lex_state = 99, .external_lex_state = 5},
  [3117] = {.lex_state = 0, .external_lex_state = 4},
  [3118] = {.lex_state = 13},
  [3119] = {.lex_state = 99, .external_lex_state = 5},
  [3120] = {.lex_state = 99},
  [3121] = {.lex_state = 99, .external_lex_state = 4},
  [3122] = {.lex_state = 21},
  [3123] = {.lex_state = 0, .external_lex_state = 4},
  [3124] = {.lex_state = 0, .external_lex_state = 4},
  [3125] = {.lex_state = 99, .external_lex_state = 5},
  [3126] = {.lex_state = 13},
  [3127] = {.lex_state = 0},
  [3128] = {.lex_state = 0, .external_lex_state = 4},
  [3129] = {.lex_state = 99},
  [3130] = {.lex_state = 0, .external_lex_state = 4},
  [3131] = {.lex_state = 99, .external_lex_state = 5},
  [3132] = {.lex_state = 0, .external_lex_state = 4},
  [3133] = {.lex_state = 99, .external_lex_state = 4},
  [3134] = {.lex_state = 0, .external_lex_state = 4},
  [3135] = {.lex_state = 0, .external_lex_state = 4},
  [3136] = {.lex_state = 0, .external_lex_state = 4},
  [3137] = {.lex_state = 0},
  [3138] = {.lex_state = 99, .external_lex_state = 5},
  [3139] = {.lex_state = 99},
  [3140] = {.lex_state = 0, .external_lex_state = 4},
  [3141] = {.lex_state = 0, .external_lex_state = 4},
  [3142] = {.lex_state = 0, .external_lex_state = 4},
  [3143] = {.lex_state = 0, .external_lex_state = 4},
  [3144] = {.lex_state = 13},
  [3145] = {.lex_state = 99},
  [3146] = {.lex_state = 13},
  [3147] = {.lex_state = 99},
  [3148] = {.lex_state = 0, .external_lex_state = 4},
  [3149] = {.lex_state = 0, .external_lex_state = 4},
  [3150] = {.lex_state = 19, .external_lex_state = 6},
  [3151] = {.lex_state = 0, .external_lex_state = 4},
  [3152] = {.lex_state = 99},
  [3153] = {.lex_state = 0},
  [3154] = {.lex_state = 0, .external_lex_state = 4},
  [3155] = {.lex_state = 13},
  [3156] = {.lex_state = 0, .external_lex_state = 4},
  [3157] = {.lex_state = 21},
  [3158] = {.lex_state = 99, .external_lex_state = 5},
  [3159] = {.lex_state = 99},
  [3160] = {.lex_state = 13},
  [3161] = {.lex_state = 13},
  [3162] = {.lex_state = 0},
  [3163] = {.lex_state = 4},
  [3164] = {.lex_state = 0},
  [3165] = {.lex_state = 13},
  [3166] = {.lex_state = 13},
  [3167] = {.lex_state = 17},
  [3168] = {.lex_state = 0},
  [3169] = {.lex_state = 13},
  [3170] = {.lex_state = 0, .external_lex_state = 4},
  [3171] = {.lex_state = 0},
  [3172] = {.lex_state = 0, .external_lex_state = 4},
  [3173] = {.lex_state = 0, .external_lex_state = 4},
  [3174] = {.lex_state = 0, .external_lex_state = 4},
  [3175] = {.lex_state = 99, .external_lex_state = 5},
  [3176] = {.lex_state = 13},
  [3177] = {.lex_state = 13},
  [3178] = {.lex_state = 0, .external_lex_state = 4},
  [3179] = {.lex_state = 0, .external_lex_state = 4},
  [3180] = {.lex_state = 99},
  [3181] = {.lex_state = 99},
  [3182] = {.lex_state = 0, .external_lex_state = 4},
  [3183] = {.lex_state = 13},
  [3184] = {.lex_state = 99},
  [3185] = {.lex_state = 13},
  [3186] = {.lex_state = 0, .external_lex_state = 4},
  [3187] = {.lex_state = 99, .external_lex_state = 5},
  [3188] = {.lex_state = 0, .external_lex_state = 4},
  [3189] = {.lex_state = 13},
  [3190] = {.lex_state = 13},
  [3191] = {.lex_state = 99, .external_lex_state = 4},
  [3192] = {.lex_state = 99, .external_lex_state = 5},
  [3193] = {.lex_state = 0, .external_lex_state = 4},
  [3194] = {.lex_state = 99, .external_lex_state = 4},
  [3195] = {.lex_state = 4},
  [3196] = {.lex_state = 0, .external_lex_state = 4},
  [3197] = {.lex_state = 0, .external_lex_state = 4},
  [3198] = {.lex_state = 0, .external_lex_state = 4},
  [3199] = {.lex_state = 0, .external_lex_state = 4},
  [3200] = {.lex_state = 13},
  [3201] = {.lex_state = 0, .external_lex_state = 4},
  [3202] = {.lex_state = 13},
  [3203] = {.lex_state = 0, .external_lex_state = 4},
  [3204] = {.lex_state = 99, .external_lex_state = 5},
  [3205] = {.lex_state = 0, .external_lex_state = 4},
  [3206] = {.lex_state = 21},
  [3207] = {.lex_state = 13},
  [3208] = {.lex_state = 0, .external_lex_state = 4},
  [3209] = {.lex_state = 0},
  [3210] = {.lex_state = 13},
  [3211] = {.lex_state = 19, .external_lex_state = 6},
  [3212] = {.lex_state = 99},
  [3213] = {.lex_state = 0, .external_lex_state = 4},
  [3214] = {.lex_state = 0, .external_lex_state = 4},
  [3215] = {.lex_state = 13},
  [3216] = {.lex_state = 99, .external_lex_state = 5},
  [3217] = {.lex_state = 99, .external_lex_state = 4},
  [3218] = {.lex_state = 13},
  [3219] = {.lex_state = 13},
  [3220] = {.lex_state = 19, .external_lex_state = 6},
  [3221] = {.lex_state = 0, .external_lex_state = 4},
  [3222] = {.lex_state = 13},
  [3223] = {.lex_state = 0},
  [3224] = {.lex_state = 21},
  [3225] = {.lex_state = 0},
  [3226] = {.lex_state = 0, .external_lex_state = 4},
  [3227] = {.lex_state = 0, .external_lex_state = 4},
  [3228] = {.lex_state = 13},
  [3229] = {.lex_state = 13},
  [3230] = {.lex_state = 0, .external_lex_state = 4},
  [3231] = {.lex_state = 13},
  [3232] = {.lex_state = 0, .external_lex_state = 4},
  [3233] = {.lex_state = 0, .external_lex_state = 4},
  [3234] = {.lex_state = 21},
  [3235] = {.lex_state = 0, .external_lex_state = 4},
  [3236] = {.lex_state = 0, .external_lex_state = 4},
  [3237] = {.lex_state = 13},
  [3238] = {.lex_state = 13},
  [3239] = {.lex_state = 17},
  [3240] = {.lex_state = 0, .external_lex_state = 4},
  [3241] = {.lex_state = 13},
  [3242] = {.lex_state = 0, .external_lex_state = 4},
  [3243] = {.lex_state = 13},
  [3244] = {.lex_state = 0, .external_lex_state = 4},
  [3245] = {.lex_state = 0, .external_lex_state = 4},
  [3246] = {.lex_state = 0, .external_lex_state = 4},
  [3247] = {.lex_state = 0, .external_lex_state = 4},
  [3248] = {.lex_state = 0, .external_lex_state = 4},
  [3249] = {.lex_state = 0, .external_lex_state = 4},
  [3250] = {.lex_state = 13},
  [3251] = {.lex_state = 0, .external_lex_state = 4},
  [3252] = {.lex_state = 0, .external_lex_state = 4},
  [3253] = {.lex_state = 0, .external_lex_state = 4},
  [3254] = {.lex_state = 21},
  [3255] = {.lex_state = 21},
  [3256] = {.lex_state = 0, .external_lex_state = 4},
  [3257] = {.lex_state = 99, .external_lex_state = 4},
  [3258] = {.lex_state = 0},
  [3259] = {.lex_state = 19, .external_lex_state = 6},
  [3260] = {.lex_state = 0, .external_lex_state = 4},
  [3261] = {.lex_state = 0, .external_lex_state = 4},
  [3262] = {.lex_state = 13},
  [3263] = {.lex_state = 19, .external_lex_state = 6},
  [3264] = {.lex_state = 21},
  [3265] = {.lex_state = 0, .external_lex_state = 4},
  [3266] = {.lex_state = 0, .external_lex_state = 4},
  [3267] = {.lex_state = 0, .external_lex_state = 4},
  [3268] = {.lex_state = 0, .external_lex_state = 4},
  [3269] = {.lex_state = 99},
  [3270] = {.lex_state = 99, .external_lex_state = 5},
  [3271] = {.lex_state = 0, .external_lex_state = 4},
  [3272] = {.lex_state = 99, .external_lex_state = 4},
  [3273] = {.lex_state = 99},
  [3274] = {.lex_state = 99},
  [3275] = {.lex_state = 99},
  [3276] = {.lex_state = 19, .external_lex_state = 6},
  [3277] = {.lex_state = 13},
  [3278] = {.lex_state = 99, .external_lex_state = 4},
  [3279] = {.lex_state = 13},
  [3280] = {.lex_state = 13},
  [3281] = {.lex_state = 99},
  [3282] = {.lex_state = 99},
  [3283] = {.lex_state = 13},
  [3284] = {.lex_state = 99},
  [3285] = {.lex_state = 13},
  [3286] = {.lex_state = 21},
  [3287] = {.lex_state = 0, .external_lex_state = 4},
  [3288] = {.lex_state = 0, .external_lex_state = 4},
  [3289] = {.lex_state = 0, .external_lex_state = 4},
  [3290] = {.lex_state = 0, .external_lex_state = 4},
  [3291] = {.lex_state = 0, .external_lex_state = 4},
  [3292] = {.lex_state = 0, .external_lex_state = 4},
  [3293] = {.lex_state = 0, .external_lex_state = 4},
  [3294] = {.lex_state = 21},
  [3295] = {.lex_state = 0, .external_lex_state = 4},
  [3296] = {.lex_state = 0, .external_lex_state = 4},
  [3297] = {.lex_state = 13},
  [3298] = {.lex_state = 0, .external_lex_state = 4},
  [3299] = {.lex_state = 0, .external_lex_state = 4},
  [3300] = {.lex_state = 0, .external_lex_state = 4},
  [3301] = {.lex_state = 99, .external_lex_state = 5},
  [3302] = {.lex_state = 0, .external_lex_state = 4},
  [3303] = {.lex_state = 99},
  [3304] = {.lex_state = 0, .external_lex_state = 4},
  [3305] = {.lex_state = 0, .external_lex_state = 4},
  [3306] = {.lex_state = 0, .external_lex_state = 4},
  [3307] = {.lex_state = 0, .external_lex_state = 4},
  [3308] = {.lex_state = 0, .external_lex_state = 4},
  [3309] = {.lex_state = 0, .external_lex_state = 4},
  [3310] = {.lex_state = 0, .external_lex_state = 4},
  [3311] = {.lex_state = 0, .external_lex_state = 4},
  [3312] = {.lex_state = 21},
  [3313] = {.lex_state = 21},
  [3314] = {.lex_state = 13},
  [3315] = {.lex_state = 0, .external_lex_state = 4},
  [3316] = {.lex_state = 21},
  [3317] = {.lex_state = 21},
  [3318] = {.lex_state = 0, .external_lex_state = 4},
  [3319] = {.lex_state = 21},
  [3320] = {.lex_state = 0, .external_lex_state = 4},
  [3321] = {.lex_state = 13},
  [3322] = {.lex_state = 21},
  [3323] = {.lex_state = 13},
  [3324] = {.lex_state = 99},
  [3325] = {.lex_state = 0, .external_lex_state = 4},
  [3326] = {.lex_state = 0, .external_lex_state = 4},
  [3327] = {.lex_state = 99},
  [3328] = {.lex_state = 0, .external_lex_state = 4},
  [3329] = {.lex_state = 0, .external_lex_state = 4},
  [3330] = {.lex_state = 0, .external_lex_state = 4},
  [3331] = {.lex_state = 19, .external_lex_state = 6},
  [3332] = {.lex_state = 0, .external_lex_state = 4},
  [3333] = {.lex_state = 0, .external_lex_state = 4},
  [3334] = {.lex_state = 13},
  [3335] = {.lex_state = 99},
  [3336] = {.lex_state = 0, .external_lex_state = 4},
  [3337] = {.lex_state = 99},
  [3338] = {.lex_state = 0, .external_lex_state = 4},
  [3339] = {.lex_state = 0, .external_lex_state = 4},
  [3340] = {.lex_state = 13},
  [3341] = {.lex_state = 19, .external_lex_state = 6},
  [3342] = {.lex_state = 99},
  [3343] = {.lex_state = 99},
  [3344] = {.lex_state = 99, .external_lex_state = 5},
  [3345] = {.lex_state = 0, .external_lex_state = 4},
  [3346] = {.lex_state = 0, .external_lex_state = 4},
  [3347] = {.lex_state = 0, .external_lex_state = 4},
  [3348] = {.lex_state = 0},
  [3349] = {.lex_state = 0, .external_lex_state = 4},
  [3350] = {.lex_state = 99},
  [3351] = {.lex_state = 99},
  [3352] = {.lex_state = 0, .external_lex_state = 4},
  [3353] = {.lex_state = 0, .external_lex_state = 4},
  [3354] = {.lex_state = 0, .external_lex_state = 4},
  [3355] = {.lex_state = 13},
  [3356] = {.lex_state = 0, .external_lex_state = 4},
  [3357] = {.lex_state = 0, .external_lex_state = 4},
  [3358] = {.lex_state = 13},
  [3359] = {.lex_state = 21},
  [3360] = {.lex_state = 99},
  [3361] = {.lex_state = 0, .external_lex_state = 4},
  [3362] = {.lex_state = 0, .external_lex_state = 4},
  [3363] = {.lex_state = 0, .external_lex_state = 4},
  [3364] = {.lex_state = 0, .external_lex_state = 4},
  [3365] = {.lex_state = 0, .external_lex_state = 4},
  [3366] = {.lex_state = 0},
  [3367] = {.lex_state = 0, .external_lex_state = 4},
  [3368] = {.lex_state = 0, .external_lex_state = 4},
  [3369] = {.lex_state = 0, .external_lex_state = 4},
  [3370] = {.lex_state = 13},
  [3371] = {.lex_state = 0, .external_lex_state = 4},
  [3372] = {.lex_state = 13},
  [3373] = {.lex_state = 13},
  [3374] = {.lex_state = 13},
  [3375] = {.lex_state = 19, .external_lex_state = 6},
  [3376] = {.lex_state = 0, .external_lex_state = 4},
  [3377] = {.lex_state = 0, .external_lex_state = 4},
  [3378] = {.lex_state = 99, .external_lex_state = 5},
  [3379] = {.lex_state = 13},
  [3380] = {.lex_state = 21},
  [3381] = {.lex_state = 13},
  [3382] = {.lex_state = 0, .external_lex_state = 4},
  [3383] = {.lex_state = 0, .external_lex_state = 4},
  [3384] = {.lex_state = 0, .external_lex_state = 4},
  [3385] = {.lex_state = 0, .external_lex_state = 4},
  [3386] = {.lex_state = 13},
  [3387] = {.lex_state = 0, .external_lex_state = 4},
  [3388] = {.lex_state = 0, .external_lex_state = 4},
  [3389] = {.lex_state = 0, .external_lex_state = 4},
  [3390] = {.lex_state = 0, .external_lex_state = 4},
  [3391] = {.lex_state = 0, .external_lex_state = 4},
  [3392] = {.lex_state = 21},
  [3393] = {.lex_state = 0, .external_lex_state = 4},
  [3394] = {.lex_state = 0, .external_lex_state = 4},
  [3395] = {.lex_state = 99},
  [3396] = {.lex_state = 13},
  [3397] = {.lex_state = 13},
  [3398] = {.lex_state = 0, .external_lex_state = 4},
  [3399] = {.lex_state = 0, .external_lex_state = 4},
  [3400] = {.lex_state = 19, .external_lex_state = 6},
  [3401] = {.lex_state = 13},
  [3402] = {.lex_state = 13},
  [3403] = {.lex_state = 19, .external_lex_state = 6},
  [3404] = {.lex_state = 0, .external_lex_state = 4},
  [3405] = {.lex_state = 0, .external_lex_state = 4},
  [3406] = {.lex_state = 99},
  [3407] = {.lex_state = 13},
  [3408] = {.lex_state = 99, .external_lex_state = 5},
  [3409] = {.lex_state = 0},
  [3410] = {.lex_state = 99},
  [3411] = {.lex_state = 0, .external_lex_state = 4},
  [3412] = {.lex_state = 99},
  [3413] = {.lex_state = 0, .external_lex_state = 4},
  [3414] = {.lex_state = 0, .external_lex_state = 4},
  [3415] = {.lex_state = 0, .external_lex_state = 4},
  [3416] = {.lex_state = 0, .external_lex_state = 4},
  [3417] = {.lex_state = 0},
  [3418] = {.lex_state = 99},
  [3419] = {.lex_state = 0, .external_lex_state = 4},
  [3420] = {.lex_state = 99},
  [3421] = {.lex_state = 0, .external_lex_state = 4},
  [3422] = {.lex_state = 99},
  [3423] = {.lex_state = 13},
  [3424] = {.lex_state = 0},
  [3425] = {.lex_state = 17},
  [3426] = {.lex_state = 99},
  [3427] = {.lex_state = 13},
  [3428] = {.lex_state = 19, .external_lex_state = 6},
  [3429] = {.lex_state = 99},
  [3430] = {.lex_state = 13},
  [3431] = {.lex_state = 99},
  [3432] = {.lex_state = 99},
  [3433] = {.lex_state = 99},
  [3434] = {.lex_state = 99},
  [3435] = {.lex_state = 13},
  [3436] = {.lex_state = 13},
  [3437] = {.lex_state = 99},
  [3438] = {.lex_state = 13},
  [3439] = {.lex_state = 22},
  [3440] = {.lex_state = 18},
  [3441] = {.lex_state = 0, .external_lex_state = 4},
  [3442] = {.lex_state = 0, .external_lex_state = 4},
  [3443] = {.lex_state = 13},
  [3444] = {.lex_state = 99, .external_lex_state = 4},
  [3445] = {.lex_state = 99},
  [3446] = {.lex_state = 17},
  [3447] = {.lex_state = 99},
  [3448] = {.lex_state = 99},
  [3449] = {.lex_state = 0},
  [3450] = {.lex_state = 13},
  [3451] = {.lex_state = 99},
  [3452] = {.lex_state = 22},
  [3453] = {.lex_state = 18},
  [3454] = {.lex_state = 22},
  [3455] = {.lex_state = 18},
  [3456] = {.lex_state = 99},
  [3457] = {.lex_state = 99},
  [3458] = {.lex_state = 22},
  [3459] = {.lex_state = 13},
  [3460] = {.lex_state = 18},
  [3461] = {.lex_state = 17},
  [3462] = {.lex_state = 22},
  [3463] = {.lex_state = 18},
  [3464] = {.lex_state = 18},
  [3465] = {.lex_state = 22},
  [3466] = {.lex_state = 99},
  [3467] = {.lex_state = 99},
  [3468] = {.lex_state = 99},
  [3469] = {.lex_state = 0},
  [3470] = {.lex_state = 0},
  [3471] = {.lex_state = 18},
  [3472] = {.lex_state = 22},
  [3473] = {.lex_state = 99},
  [3474] = {.lex_state = 18},
  [3475] = {.lex_state = 13},
  [3476] = {.lex_state = 22},
  [3477] = {.lex_state = 22},
  [3478] = {.lex_state = 18},
  [3479] = {.lex_state = 22},
  [3480] = {.lex_state = 18},
  [3481] = {.lex_state = 22},
  [3482] = {.lex_state = 18},
  [3483] = {.lex_state = 0},
  [3484] = {.lex_state = 99},
  [3485] = {.lex_state = 18},
  [3486] = {.lex_state = 99},
  [3487] = {.lex_state = 13},
  [3488] = {.lex_state = 99},
  [3489] = {.lex_state = 17},
  [3490] = {.lex_state = 18},
  [3491] = {.lex_state = 22},
  [3492] = {.lex_state = 13},
  [3493] = {.lex_state = 22},
  [3494] = {.lex_state = 0},
  [3495] = {.lex_state = 99},
  [3496] = {.lex_state = 99},
  [3497] = {.lex_state = 13},
  [3498] = {.lex_state = 99},
  [3499] = {.lex_state = 13},
  [3500] = {.lex_state = 1},
  [3501] = {.lex_state = 13},
  [3502] = {.lex_state = 99},
  [3503] = {.lex_state = 0, .external_lex_state = 4},
  [3504] = {.lex_state = 0, .external_lex_state = 4},
  [3505] = {.lex_state = 0, .external_lex_state = 4},
  [3506] = {.lex_state = 13},
  [3507] = {.lex_state = 99},
  [3508] = {.lex_state = 99},
  [3509] = {.lex_state = 99},
  [3510] = {.lex_state = 99, .external_lex_state = 4},
  [3511] = {.lex_state = 99, .external_lex_state = 4},
  [3512] = {.lex_state = 99},
  [3513] = {.lex_state = 0, .external_lex_state = 4},
  [3514] = {.lex_state = 99, .external_lex_state = 4},
  [3515] = {.lex_state = 0, .external_lex_state = 4},
  [3516] = {.lex_state = 99},
  [3517] = {.lex_state = 22},
  [3518] = {.lex_state = 1},
  [3519] = {.lex_state = 19, .external_lex_state = 6},
  [3520] = {.lex_state = 99},
  [3521] = {.lex_state = 18},
  [3522] = {.lex_state = 0, .external_lex_state = 5},
  [3523] = {.lex_state = 22},
  [3524] = {.lex_state = 22},
  [3525] = {.lex_state = 18},
  [3526] = {.lex_state = 18},
  [3527] = {.lex_state = 99},
  [3528] = {.lex_state = 99},
  [3529] = {.lex_state = 99},
  [3530] = {.lex_state = 22},
  [3531] = {.lex_state = 1},
  [3532] = {.lex_state = 99},
  [3533] = {.lex_state = 99},
  [3534] = {.lex_state = 99},
  [3535] = {.lex_state = 0},
  [3536] = {.lex_state = 99},
  [3537] = {.lex_state = 99},
  [3538] = {.lex_state = 18},
  [3539] = {.lex_state = 1},
  [3540] = {.lex_state = 0},
  [3541] = {.lex_state = 0},
  [3542] = {.lex_state = 0},
  [3543] = {.lex_state = 0},
  [3544] = {.lex_state = 0},
  [3545] = {.lex_state = 0},
  [3546] = {.lex_state = 0},
  [3547] = {.lex_state = 99},
  [3548] = {.lex_state = 0},
  [3549] = {.lex_state = 27},
  [3550] = {.lex_state = 0, .external_lex_state = 4},
  [3551] = {.lex_state = 0},
  [3552] = {.lex_state = 0},
  [3553] = {.lex_state = 0},
  [3554] = {.lex_state = 0},
  [3555] = {.lex_state = 0},
  [3556] = {.lex_state = 0},
  [3557] = {.lex_state = 0},
  [3558] = {.lex_state = 0},
  [3559] = {.lex_state = 99},
  [3560] = {.lex_state = 0},
  [3561] = {.lex_state = 27},
  [3562] = {.lex_state = 0},
  [3563] = {.lex_state = 99},
  [3564] = {.lex_state = 99},
  [3565] = {.lex_state = 99},
  [3566] = {.lex_state = 0, .external_lex_state = 4},
  [3567] = {.lex_state = 0},
  [3568] = {.lex_state = 0},
  [3569] = {.lex_state = 19, .external_lex_state = 6},
  [3570] = {.lex_state = 0},
  [3571] = {.lex_state = 99},
  [3572] = {.lex_state = 0, .external_lex_state = 4},
  [3573] = {.lex_state = 99},
  [3574] = {.lex_state = 99},
  [3575] = {.lex_state = 99},
  [3576] = {.lex_state = 0},
  [3577] = {.lex_state = 99},
  [3578] = {.lex_state = 99},
  [3579] = {.lex_state = 0},
  [3580] = {.lex_state = 99},
  [3581] = {.lex_state = 0, .external_lex_state = 4},
  [3582] = {.lex_state = 99},
  [3583] = {.lex_state = 99},
  [3584] = {.lex_state = 0},
  [3585] = {.lex_state = 0},
  [3586] = {.lex_state = 0, .external_lex_state = 4},
  [3587] = {.lex_state = 99},
  [3588] = {.lex_state = 0},
  [3589] = {.lex_state = 99},
  [3590] = {.lex_state = 0, .external_lex_state = 4},
  [3591] = {.lex_state = 99, .external_lex_state = 4},
  [3592] = {.lex_state = 99},
  [3593] = {.lex_state = 0},
  [3594] = {.lex_state = 0, .external_lex_state = 4},
  [3595] = {.lex_state = 13},
  [3596] = {.lex_state = 0},
  [3597] = {.lex_state = 0, .external_lex_state = 4},
  [3598] = {.lex_state = 0},
  [3599] = {.lex_state = 99},
  [3600] = {.lex_state = 0},
  [3601] = {.lex_state = 0},
  [3602] = {.lex_state = 0},
  [3603] = {.lex_state = 0, .external_lex_state = 4},
  [3604] = {.lex_state = 0, .external_lex_state = 4},
  [3605] = {.lex_state = 0},
  [3606] = {.lex_state = 0},
  [3607] = {.lex_state = 0},
  [3608] = {.lex_state = 0, .external_lex_state = 4},
  [3609] = {.lex_state = 0, .external_lex_state = 4},
  [3610] = {.lex_state = 0, .external_lex_state = 4},
  [3611] = {.lex_state = 0},
  [3612] = {.lex_state = 0, .external_lex_state = 4},
  [3613] = {.lex_state = 0, .external_lex_state = 4},
  [3614] = {.lex_state = 0},
  [3615] = {.lex_state = 99},
  [3616] = {.lex_state = 0, .external_lex_state = 4},
  [3617] = {.lex_state = 99},
  [3618] = {.lex_state = 0},
  [3619] = {.lex_state = 0, .external_lex_state = 4},
  [3620] = {.lex_state = 99},
  [3621] = {.lex_state = 0},
  [3622] = {.lex_state = 27},
  [3623] = {.lex_state = 0, .external_lex_state = 4},
  [3624] = {.lex_state = 0, .external_lex_state = 4},
  [3625] = {.lex_state = 99},
  [3626] = {.lex_state = 27},
  [3627] = {.lex_state = 99},
  [3628] = {.lex_state = 4},
  [3629] = {.lex_state = 99},
  [3630] = {.lex_state = 27},
  [3631] = {.lex_state = 99},
  [3632] = {.lex_state = 27},
  [3633] = {.lex_state = 0},
  [3634] = {.lex_state = 99},
  [3635] = {.lex_state = 0, .external_lex_state = 4},
  [3636] = {.lex_state = 0},
  [3637] = {.lex_state = 0},
  [3638] = {.lex_state = 99},
  [3639] = {.lex_state = 0},
  [3640] = {.lex_state = 0},
  [3641] = {.lex_state = 0},
  [3642] = {.lex_state = 0},
  [3643] = {.lex_state = 27},
  [3644] = {.lex_state = 0},
  [3645] = {.lex_state = 99},
  [3646] = {.lex_state = 27},
  [3647] = {.lex_state = 0},
  [3648] = {.lex_state = 0},
  [3649] = {.lex_state = 0},
  [3650] = {.lex_state = 99},
  [3651] = {.lex_state = 99},
  [3652] = {.lex_state = 99},
  [3653] = {.lex_state = 99},
  [3654] = {.lex_state = 27},
  [3655] = {.lex_state = 99},
  [3656] = {.lex_state = 99},
  [3657] = {.lex_state = 0},
  [3658] = {.lex_state = 27},
  [3659] = {.lex_state = 0},
  [3660] = {.lex_state = 0, .external_lex_state = 4},
  [3661] = {.lex_state = 0, .external_lex_state = 4},
  [3662] = {.lex_state = 0, .external_lex_state = 4},
  [3663] = {.lex_state = 99},
  [3664] = {.lex_state = 0},
  [3665] = {.lex_state = 99, .external_lex_state = 4},
  [3666] = {.lex_state = 99},
  [3667] = {.lex_state = 99},
  [3668] = {.lex_state = 0},
  [3669] = {.lex_state = 27},
  [3670] = {.lex_state = 0, .external_lex_state = 4},
  [3671] = {.lex_state = 0, .external_lex_state = 4},
  [3672] = {.lex_state = 0},
  [3673] = {.lex_state = 0},
  [3674] = {.lex_state = 0},
  [3675] = {.lex_state = 99},
  [3676] = {.lex_state = 0},
  [3677] = {.lex_state = 0},
  [3678] = {.lex_state = 0},
  [3679] = {.lex_state = 0},
  [3680] = {.lex_state = 0, .external_lex_state = 4},
  [3681] = {.lex_state = 0, .external_lex_state = 4},
  [3682] = {.lex_state = 0, .external_lex_state = 4},
  [3683] = {.lex_state = 27},
  [3684] = {.lex_state = 99},
  [3685] = {.lex_state = 4},
  [3686] = {.lex_state = 0},
  [3687] = {.lex_state = 0, .external_lex_state = 4},
  [3688] = {.lex_state = 99},
  [3689] = {.lex_state = 0},
  [3690] = {.lex_state = 0},
  [3691] = {.lex_state = 0, .external_lex_state = 4},
  [3692] = {.lex_state = 13},
  [3693] = {.lex_state = 0},
  [3694] = {.lex_state = 0, .external_lex_state = 4},
  [3695] = {.lex_state = 0, .external_lex_state = 4},
  [3696] = {.lex_state = 0, .external_lex_state = 4},
  [3697] = {.lex_state = 27},
  [3698] = {.lex_state = 27},
  [3699] = {.lex_state = 0, .external_lex_state = 4},
  [3700] = {.lex_state = 27},
  [3701] = {.lex_state = 27},
  [3702] = {.lex_state = 0},
  [3703] = {.lex_state = 99},
  [3704] = {.lex_state = 0},
  [3705] = {.lex_state = 27},
  [3706] = {.lex_state = 0},
  [3707] = {.lex_state = 0},
  [3708] = {.lex_state = 0},
  [3709] = {.lex_state = 0},
  [3710] = {.lex_state = 0},
  [3711] = {.lex_state = 99},
  [3712] = {.lex_state = 0},
  [3713] = {.lex_state = 0},
  [3714] = {.lex_state = 99},
  [3715] = {.lex_state = 99},
  [3716] = {.lex_state = 99, .external_lex_state = 4},
  [3717] = {.lex_state = 99},
  [3718] = {.lex_state = 0},
  [3719] = {.lex_state = 0},
  [3720] = {.lex_state = 0},
  [3721] = {.lex_state = 0, .external_lex_state = 4},
  [3722] = {.lex_state = 0, .external_lex_state = 4},
  [3723] = {.lex_state = 0, .external_lex_state = 4},
  [3724] = {.lex_state = 0},
  [3725] = {.lex_state = 0},
  [3726] = {.lex_state = 0},
  [3727] = {.lex_state = 0, .external_lex_state = 4},
  [3728] = {.lex_state = 99, .external_lex_state = 4},
  [3729] = {.lex_state = 99},
  [3730] = {.lex_state = 0, .external_lex_state = 4},
  [3731] = {.lex_state = 0, .external_lex_state = 4},
  [3732] = {.lex_state = 0},
  [3733] = {.lex_state = 0},
  [3734] = {.lex_state = 0, .external_lex_state = 4},
  [3735] = {.lex_state = 0, .external_lex_state = 4},
  [3736] = {.lex_state = 99},
  [3737] = {.lex_state = 99},
  [3738] = {.lex_state = 0},
  [3739] = {.lex_state = 0, .external_lex_state = 4},
  [3740] = {.lex_state = 0, .external_lex_state = 4},
  [3741] = {.lex_state = 99},
  [3742] = {.lex_state = 99},
  [3743] = {.lex_state = 0, .external_lex_state = 4},
  [3744] = {.lex_state = 27},
  [3745] = {.lex_state = 0, .external_lex_state = 4},
  [3746] = {.lex_state = 0, .external_lex_state = 4},
  [3747] = {.lex_state = 0},
  [3748] = {.lex_state = 99},
  [3749] = {.lex_state = 0},
  [3750] = {.lex_state = 0},
  [3751] = {.lex_state = 0},
  [3752] = {.lex_state = 99},
  [3753] = {.lex_state = 99},
  [3754] = {.lex_state = 0},
  [3755] = {.lex_state = 0},
  [3756] = {.lex_state = 0},
  [3757] = {.lex_state = 99, .external_lex_state = 4},
  [3758] = {.lex_state = 0},
  [3759] = {.lex_state = 99},
  [3760] = {.lex_state = 4},
  [3761] = {.lex_state = 27},
  [3762] = {.lex_state = 99, .external_lex_state = 4},
  [3763] = {.lex_state = 27},
  [3764] = {.lex_state = 99},
  [3765] = {.lex_state = 99},
  [3766] = {.lex_state = 0},
  [3767] = {.lex_state = 99},
  [3768] = {.lex_state = 99},
  [3769] = {.lex_state = 99},
  [3770] = {.lex_state = 99},
  [3771] = {.lex_state = 0, .external_lex_state = 4},
  [3772] = {.lex_state = 0},
  [3773] = {.lex_state = 0},
  [3774] = {.lex_state = 0},
  [3775] = {.lex_state = 99},
  [3776] = {.lex_state = 0},
  [3777] = {.lex_state = 0},
  [3778] = {.lex_state = 0},
  [3779] = {.lex_state = 0},
  [3780] = {.lex_state = 99},
  [3781] = {.lex_state = 99},
  [3782] = {.lex_state = 0, .external_lex_state = 4},
  [3783] = {.lex_state = 27},
  [3784] = {.lex_state = 1},
  [3785] = {.lex_state = 99},
  [3786] = {.lex_state = 99},
  [3787] = {.lex_state = 0},
  [3788] = {.lex_state = 0},
  [3789] = {.lex_state = 0, .external_lex_state = 4},
  [3790] = {.lex_state = 0},
  [3791] = {.lex_state = 99},
  [3792] = {.lex_state = 0, .external_lex_state = 4},
  [3793] = {.lex_state = 0},
  [3794] = {.lex_state = 99},
  [3795] = {.lex_state = 99},
  [3796] = {.lex_state = 99},
  [3797] = {.lex_state = 0},
  [3798] = {.lex_state = 99},
  [3799] = {.lex_state = 99},
  [3800] = {.lex_state = 0, .external_lex_state = 4},
  [3801] = {.lex_state = 99},
  [3802] = {.lex_state = 0, .external_lex_state = 4},
  [3803] = {.lex_state = 99},
  [3804] = {.lex_state = 0},
  [3805] = {.lex_state = 0},
  [3806] = {.lex_state = 0},
  [3807] = {.lex_state = 0, .external_lex_state = 4},
  [3808] = {.lex_state = 0},
  [3809] = {.lex_state = 0},
  [3810] = {.lex_state = 0},
  [3811] = {.lex_state = 0},
  [3812] = {.lex_state = 0},
  [3813] = {.lex_state = 0},
  [3814] = {.lex_state = 99},
  [3815] = {.lex_state = 0, .external_lex_state = 4},
  [3816] = {.lex_state = 0},
  [3817] = {.lex_state = 0},
  [3818] = {.lex_state = 99},
  [3819] = {.lex_state = 99},
  [3820] = {.lex_state = 0},
  [3821] = {.lex_state = 0},
  [3822] = {.lex_state = 99},
  [3823] = {.lex_state = 0, .external_lex_state = 4},
  [3824] = {.lex_state = 0},
  [3825] = {.lex_state = 99},
  [3826] = {.lex_state = 99},
  [3827] = {.lex_state = 99},
  [3828] = {.lex_state = 99},
  [3829] = {.lex_state = 99},
  [3830] = {.lex_state = 99},
  [3831] = {.lex_state = 1},
  [3832] = {.lex_state = 99},
  [3833] = {.lex_state = 99},
  [3834] = {.lex_state = 0},
  [3835] = {.lex_state = 0},
  [3836] = {.lex_state = 99},
  [3837] = {.lex_state = 99},
  [3838] = {.lex_state = 99},
  [3839] = {.lex_state = 99},
  [3840] = {.lex_state = 99},
  [3841] = {.lex_state = 99},
  [3842] = {.lex_state = 0},
  [3843] = {.lex_state = 0},
  [3844] = {.lex_state = 99},
  [3845] = {.lex_state = 0},
  [3846] = {.lex_state = 99},
  [3847] = {.lex_state = 0},
  [3848] = {.lex_state = 0},
  [3849] = {.lex_state = 99},
  [3850] = {.lex_state = 0, .external_lex_state = 4},
  [3851] = {.lex_state = 99},
  [3852] = {.lex_state = 0},
  [3853] = {.lex_state = 0},
  [3854] = {.lex_state = 0, .external_lex_state = 4},
  [3855] = {.lex_state = 0, .external_lex_state = 4},
  [3856] = {.lex_state = 0},
  [3857] = {.lex_state = 99},
  [3858] = {.lex_state = 99},
  [3859] = {.lex_state = 99},
  [3860] = {.lex_state = 99},
  [3861] = {.lex_state = 99},
  [3862] = {.lex_state = 99},
  [3863] = {.lex_state = 99},
  [3864] = {.lex_state = 99},
  [3865] = {.lex_state = 99},
  [3866] = {.lex_state = 99},
  [3867] = {.lex_state = 0},
  [3868] = {.lex_state = 99},
  [3869] = {.lex_state = 0},
  [3870] = {.lex_state = 0},
  [3871] = {.lex_state = 0},
  [3872] = {.lex_state = 99},
  [3873] = {.lex_state = 0},
  [3874] = {.lex_state = 99},
  [3875] = {.lex_state = 99},
  [3876] = {.lex_state = 99},
  [3877] = {.lex_state = 0},
  [3878] = {.lex_state = 99},
  [3879] = {.lex_state = 0},
  [3880] = {.lex_state = 99},
  [3881] = {.lex_state = 0},
  [3882] = {.lex_state = 0},
  [3883] = {.lex_state = 99},
  [3884] = {.lex_state = 0, .external_lex_state = 4},
  [3885] = {.lex_state = 99},
  [3886] = {.lex_state = 0},
  [3887] = {.lex_state = 99},
  [3888] = {.lex_state = 0},
  [3889] = {.lex_state = 99},
  [3890] = {.lex_state = 99},
  [3891] = {.lex_state = 0},
  [3892] = {.lex_state = 0},
  [3893] = {.lex_state = 99},
  [3894] = {.lex_state = 0},
  [3895] = {.lex_state = 0},
  [3896] = {.lex_state = 99},
  [3897] = {.lex_state = 99},
  [3898] = {.lex_state = 99},
  [3899] = {.lex_state = 99},
  [3900] = {.lex_state = 99},
  [3901] = {.lex_state = 99},
  [3902] = {.lex_state = 0},
  [3903] = {.lex_state = 99},
  [3904] = {.lex_state = 0},
  [3905] = {.lex_state = 0},
  [3906] = {.lex_state = 0, .external_lex_state = 4},
  [3907] = {.lex_state = 0, .external_lex_state = 4},
  [3908] = {.lex_state = 99},
  [3909] = {.lex_state = 99},
  [3910] = {.lex_state = 0, .external_lex_state = 4},
  [3911] = {.lex_state = 99},
  [3912] = {.lex_state = 0, .external_lex_state = 4},
  [3913] = {.lex_state = 0},
  [3914] = {.lex_state = 0},
  [3915] = {.lex_state = 99},
  [3916] = {.lex_state = 0, .external_lex_state = 4},
  [3917] = {.lex_state = 99},
  [3918] = {.lex_state = 99},
  [3919] = {.lex_state = 99},
  [3920] = {.lex_state = 99},
  [3921] = {.lex_state = 99},
  [3922] = {.lex_state = 0},
  [3923] = {.lex_state = 99},
  [3924] = {.lex_state = 0},
  [3925] = {.lex_state = 99},
  [3926] = {.lex_state = 99},
  [3927] = {.lex_state = 99},
  [3928] = {.lex_state = 0},
  [3929] = {.lex_state = 99},
  [3930] = {.lex_state = 99},
  [3931] = {.lex_state = 99},
  [3932] = {.lex_state = 0, .external_lex_state = 4},
  [3933] = {.lex_state = 99},
  [3934] = {.lex_state = 0, .external_lex_state = 4},
  [3935] = {.lex_state = 99},
  [3936] = {.lex_state = 0, .external_lex_state = 4},
  [3937] = {.lex_state = 99},
  [3938] = {.lex_state = 0, .external_lex_state = 4},
  [3939] = {.lex_state = 99},
  [3940] = {.lex_state = 99},
  [3941] = {.lex_state = 99},
  [3942] = {.lex_state = 99},
  [3943] = {.lex_state = 0},
  [3944] = {.lex_state = 99},
  [3945] = {.lex_state = 99},
  [3946] = {.lex_state = 99},
  [3947] = {.lex_state = 0, .external_lex_state = 4},
  [3948] = {.lex_state = 99},
  [3949] = {.lex_state = 0, .external_lex_state = 4},
  [3950] = {.lex_state = 0},
  [3951] = {.lex_state = 0, .external_lex_state = 4},
  [3952] = {.lex_state = 0, .external_lex_state = 4},
  [3953] = {.lex_state = 0, .external_lex_state = 4},
  [3954] = {.lex_state = 0},
  [3955] = {.lex_state = 99},
  [3956] = {.lex_state = 0},
  [3957] = {.lex_state = 0},
  [3958] = {.lex_state = 0},
  [3959] = {.lex_state = 0},
  [3960] = {.lex_state = 99},
  [3961] = {.lex_state = 99},
  [3962] = {.lex_state = 99},
  [3963] = {.lex_state = 99},
  [3964] = {.lex_state = 0},
  [3965] = {.lex_state = 99},
  [3966] = {.lex_state = 0},
  [3967] = {.lex_state = 0},
  [3968] = {.lex_state = 99},
  [3969] = {.lex_state = 99},
  [3970] = {.lex_state = 99},
  [3971] = {.lex_state = 0},
  [3972] = {.lex_state = 99},
  [3973] = {.lex_state = 99},
  [3974] = {.lex_state = 99},
  [3975] = {.lex_state = 99},
  [3976] = {.lex_state = 99},
  [3977] = {.lex_state = 17},
  [3978] = {.lex_state = 99},
  [3979] = {.lex_state = 99},
  [3980] = {.lex_state = 99},
  [3981] = {.lex_state = 99},
  [3982] = {.lex_state = 99},
  [3983] = {.lex_state = 99},
  [3984] = {.lex_state = 99},
  [3985] = {.lex_state = 99},
  [3986] = {.lex_state = 99},
  [3987] = {.lex_state = 99},
  [3988] = {.lex_state = 0},
  [3989] = {.lex_state = 99},
  [3990] = {.lex_state = 99},
  [3991] = {.lex_state = 0},
  [3992] = {.lex_state = 99},
  [3993] = {.lex_state = 99},
  [3994] = {.lex_state = 0},
  [3995] = {.lex_state = 99},
  [3996] = {.lex_state = 0},
  [3997] = {.lex_state = 99},
  [3998] = {.lex_state = 99},
  [3999] = {.lex_state = 99},
  [4000] = {.lex_state = 0},
  [4001] = {.lex_state = 0},
  [4002] = {.lex_state = 0},
  [4003] = {.lex_state = 99},
  [4004] = {.lex_state = 99},
  [4005] = {.lex_state = 99},
  [4006] = {.lex_state = 99},
  [4007] = {.lex_state = 99},
  [4008] = {.lex_state = 99},
  [4009] = {.lex_state = 99},
  [4010] = {.lex_state = 99},
  [4011] = {.lex_state = 0},
  [4012] = {.lex_state = 0},
  [4013] = {.lex_state = 99},
  [4014] = {.lex_state = 99},
  [4015] = {.lex_state = 99},
  [4016] = {.lex_state = 99},
  [4017] = {.lex_state = 99},
  [4018] = {.lex_state = 99},
  [4019] = {.lex_state = 0},
  [4020] = {.lex_state = 99},
  [4021] = {.lex_state = 0},
  [4022] = {.lex_state = 0},
  [4023] = {.lex_state = 0},
  [4024] = {.lex_state = 0},
  [4025] = {.lex_state = 0},
  [4026] = {.lex_state = 0},
  [4027] = {.lex_state = 0, .external_lex_state = 4},
  [4028] = {.lex_state = 99},
  [4029] = {.lex_state = 0},
  [4030] = {.lex_state = 99},
  [4031] = {.lex_state = 99},
  [4032] = {.lex_state = 99},
  [4033] = {.lex_state = 0},
  [4034] = {.lex_state = 0, .external_lex_state = 4},
  [4035] = {.lex_state = 0},
  [4036] = {.lex_state = 99},
  [4037] = {.lex_state = 0},
  [4038] = {.lex_state = 0, .external_lex_state = 4},
  [4039] = {.lex_state = 0},
  [4040] = {.lex_state = 0},
  [4041] = {.lex_state = 0},
  [4042] = {.lex_state = 0},
  [4043] = {.lex_state = 0},
  [4044] = {.lex_state = 0},
  [4045] = {.lex_state = 99},
  [4046] = {.lex_state = 99},
  [4047] = {.lex_state = 99},
  [4048] = {.lex_state = 0},
  [4049] = {.lex_state = 99},
  [4050] = {.lex_state = 0, .external_lex_state = 4},
  [4051] = {.lex_state = 0, .external_lex_state = 4},
  [4052] = {.lex_state = 0, .external_lex_state = 4},
  [4053] = {.lex_state = 0},
  [4054] = {.lex_state = 99},
  [4055] = {.lex_state = 99},
  [4056] = {.lex_state = 0},
  [4057] = {.lex_state = 0},
  [4058] = {.lex_state = 99},
  [4059] = {.lex_state = 0},
  [4060] = {.lex_state = 0},
  [4061] = {.lex_state = 0},
  [4062] = {.lex_state = 99},
  [4063] = {.lex_state = 0, .external_lex_state = 4},
  [4064] = {.lex_state = 0},
  [4065] = {.lex_state = 99},
  [4066] = {.lex_state = 99},
  [4067] = {.lex_state = 0},
  [4068] = {.lex_state = 99},
  [4069] = {.lex_state = 0},
  [4070] = {.lex_state = 0},
  [4071] = {.lex_state = 0},
  [4072] = {.lex_state = 0},
  [4073] = {.lex_state = 99},
  [4074] = {.lex_state = 99},
  [4075] = {.lex_state = 99},
  [4076] = {.lex_state = 99},
  [4077] = {.lex_state = 99},
  [4078] = {.lex_state = 99},
  [4079] = {.lex_state = 99},
  [4080] = {.lex_state = 0},
  [4081] = {.lex_state = 99},
  [4082] = {.lex_state = 99},
  [4083] = {.lex_state = 99},
  [4084] = {.lex_state = 99},
  [4085] = {.lex_state = 99},
  [4086] = {.lex_state = 0},
  [4087] = {.lex_state = 0},
  [4088] = {.lex_state = 0},
  [4089] = {.lex_state = 99},
  [4090] = {.lex_state = 99},
  [4091] = {.lex_state = 0},
  [4092] = {.lex_state = 0},
  [4093] = {.lex_state = 99},
  [4094] = {.lex_state = 99},
  [4095] = {.lex_state = 0},
  [4096] = {.lex_state = 0},
  [4097] = {.lex_state = 0},
  [4098] = {.lex_state = 0},
  [4099] = {.lex_state = 99},
  [4100] = {.lex_state = 0},
  [4101] = {.lex_state = 0},
  [4102] = {.lex_state = 0},
  [4103] = {.lex_state = 0},
  [4104] = {.lex_state = 99},
  [4105] = {.lex_state = 0},
  [4106] = {.lex_state = 0},
  [4107] = {.lex_state = 99},
  [4108] = {.lex_state = 99},
  [4109] = {.lex_state = 99},
  [4110] = {.lex_state = 0},
  [4111] = {.lex_state = 99},
  [4112] = {.lex_state = 99},
  [4113] = {.lex_state = 0},
  [4114] = {.lex_state = 0},
  [4115] = {.lex_state = 0},
  [4116] = {.lex_state = 99},
  [4117] = {.lex_state = 2},
  [4118] = {.lex_state = 0},
  [4119] = {.lex_state = 0},
  [4120] = {.lex_state = 0},
  [4121] = {.lex_state = 0},
  [4122] = {.lex_state = 99},
  [4123] = {.lex_state = 0},
  [4124] = {.lex_state = 99},
  [4125] = {.lex_state = 0},
  [4126] = {.lex_state = 0},
  [4127] = {.lex_state = 99},
  [4128] = {.lex_state = 0},
  [4129] = {.lex_state = 99},
  [4130] = {.lex_state = 99},
  [4131] = {.lex_state = 0},
  [4132] = {.lex_state = 0},
  [4133] = {.lex_state = 13},
  [4134] = {.lex_state = 0},
  [4135] = {.lex_state = 0},
  [4136] = {.lex_state = 99},
  [4137] = {.lex_state = 0},
  [4138] = {.lex_state = 0},
  [4139] = {.lex_state = 0},
  [4140] = {.lex_state = 99},
  [4141] = {.lex_state = 99},
  [4142] = {.lex_state = 99},
  [4143] = {.lex_state = 0},
  [4144] = {.lex_state = 0},
  [4145] = {.lex_state = 0},
  [4146] = {.lex_state = 99},
  [4147] = {.lex_state = 0},
  [4148] = {.lex_state = 99},
  [4149] = {.lex_state = 0},
  [4150] = {.lex_state = 0},
  [4151] = {.lex_state = 0},
  [4152] = {.lex_state = 0},
  [4153] = {.lex_state = 99},
  [4154] = {.lex_state = 0},
  [4155] = {.lex_state = 0},
  [4156] = {.lex_state = 0},
  [4157] = {.lex_state = 0},
  [4158] = {.lex_state = 99},
  [4159] = {.lex_state = 0},
  [4160] = {.lex_state = 0},
  [4161] = {.lex_state = 0},
  [4162] = {.lex_state = 99},
  [4163] = {.lex_state = 99},
  [4164] = {.lex_state = 0},
  [4165] = {.lex_state = 0},
  [4166] = {.lex_state = 0},
  [4167] = {.lex_state = 0},
  [4168] = {.lex_state = 0},
  [4169] = {.lex_state = 0},
  [4170] = {.lex_state = 99},
  [4171] = {.lex_state = 0},
  [4172] = {.lex_state = 0},
  [4173] = {.lex_state = 0},
  [4174] = {.lex_state = 13},
  [4175] = {.lex_state = 0},
  [4176] = {.lex_state = 0},
  [4177] = {.lex_state = 99},
  [4178] = {.lex_state = 0},
  [4179] = {.lex_state = 0},
  [4180] = {.lex_state = 0},
  [4181] = {.lex_state = 0},
  [4182] = {.lex_state = 0},
  [4183] = {.lex_state = 0},
  [4184] = {.lex_state = 2},
  [4185] = {.lex_state = 99},
  [4186] = {.lex_state = 0},
  [4187] = {.lex_state = 0},
  [4188] = {.lex_state = 0},
  [4189] = {.lex_state = 0},
  [4190] = {.lex_state = 0},
  [4191] = {.lex_state = 0},
  [4192] = {.lex_state = 0},
  [4193] = {.lex_state = 0},
  [4194] = {.lex_state = 0},
  [4195] = {.lex_state = 0},
  [4196] = {.lex_state = 0},
  [4197] = {.lex_state = 99},
  [4198] = {.lex_state = 0},
  [4199] = {.lex_state = 0},
  [4200] = {.lex_state = 0},
  [4201] = {.lex_state = 0},
  [4202] = {.lex_state = 99},
  [4203] = {.lex_state = 99},
  [4204] = {.lex_state = 0},
  [4205] = {.lex_state = 99},
  [4206] = {.lex_state = 99},
  [4207] = {.lex_state = 99},
  [4208] = {.lex_state = 99},
  [4209] = {.lex_state = 99},
  [4210] = {.lex_state = 0},
  [4211] = {.lex_state = 99},
  [4212] = {.lex_state = 0},
  [4213] = {.lex_state = 99},
  [4214] = {.lex_state = 0},
  [4215] = {.lex_state = 99},
  [4216] = {.lex_state = 99},
  [4217] = {.lex_state = 0},
  [4218] = {.lex_state = 2},
  [4219] = {.lex_state = 99},
  [4220] = {.lex_state = 0},
  [4221] = {.lex_state = 99},
  [4222] = {.lex_state = 99},
  [4223] = {.lex_state = 0},
  [4224] = {.lex_state = 99},
  [4225] = {.lex_state = 0},
  [4226] = {.lex_state = 99},
  [4227] = {.lex_state = 0},
  [4228] = {.lex_state = 0},
  [4229] = {.lex_state = 0},
  [4230] = {.lex_state = 0},
  [4231] = {.lex_state = 0},
  [4232] = {.lex_state = 0},
  [4233] = {.lex_state = 0},
  [4234] = {.lex_state = 0},
  [4235] = {.lex_state = 0},
  [4236] = {.lex_state = 0},
  [4237] = {.lex_state = 99},
  [4238] = {.lex_state = 0},
  [4239] = {.lex_state = 0},
  [4240] = {.lex_state = 99},
  [4241] = {.lex_state = 0},
  [4242] = {.lex_state = 99},
  [4243] = {.lex_state = 0},
  [4244] = {.lex_state = 99},
  [4245] = {.lex_state = 0},
  [4246] = {.lex_state = 0},
  [4247] = {.lex_state = 0},
  [4248] = {.lex_state = 0},
  [4249] = {.lex_state = 0},
  [4250] = {.lex_state = 99},
  [4251] = {.lex_state = 0},
  [4252] = {.lex_state = 0},
  [4253] = {.lex_state = 0},
  [4254] = {.lex_state = 0},
  [4255] = {.lex_state = 0},
  [4256] = {.lex_state = 0},
  [4257] = {.lex_state = 99},
  [4258] = {.lex_state = 99},
  [4259] = {.lex_state = 99},
  [4260] = {.lex_state = 0},
  [4261] = {.lex_state = 0},
  [4262] = {.lex_state = 99},
  [4263] = {.lex_state = 0},
  [4264] = {.lex_state = 0},
  [4265] = {.lex_state = 99},
  [4266] = {.lex_state = 0},
  [4267] = {.lex_state = 0},
  [4268] = {.lex_state = 0},
  [4269] = {.lex_state = 13},
  [4270] = {.lex_state = 0},
  [4271] = {.lex_state = 0},
  [4272] = {.lex_state = 0},
  [4273] = {.lex_state = 0},
  [4274] = {.lex_state = 0},
  [4275] = {.lex_state = 0},
  [4276] = {.lex_state = 0},
  [4277] = {.lex_state = 99},
  [4278] = {.lex_state = 0},
  [4279] = {.lex_state = 0},
  [4280] = {.lex_state = 0},
  [4281] = {.lex_state = 0},
  [4282] = {.lex_state = 99},
  [4283] = {.lex_state = 99},
  [4284] = {.lex_state = 0},
  [4285] = {.lex_state = 0},
  [4286] = {.lex_state = 99},
  [4287] = {.lex_state = 99},
  [4288] = {.lex_state = 99},
  [4289] = {.lex_state = 99},
  [4290] = {.lex_state = 99},
  [4291] = {.lex_state = 99},
  [4292] = {.lex_state = 0},
  [4293] = {.lex_state = 99},
  [4294] = {.lex_state = 0},
  [4295] = {.lex_state = 0},
  [4296] = {.lex_state = 0},
  [4297] = {.lex_state = 0},
  [4298] = {.lex_state = 13},
  [4299] = {.lex_state = 99},
  [4300] = {.lex_state = 99},
  [4301] = {.lex_state = 99},
  [4302] = {.lex_state = 0},
  [4303] = {.lex_state = 0},
  [4304] = {.lex_state = 99},
  [4305] = {.lex_state = 0},
  [4306] = {.lex_state = 99},
  [4307] = {.lex_state = 0},
  [4308] = {.lex_state = 99},
  [4309] = {.lex_state = 0},
  [4310] = {.lex_state = 0},
  [4311] = {.lex_state = 0},
  [4312] = {.lex_state = 0},
  [4313] = {.lex_state = 99},
  [4314] = {.lex_state = 99},
  [4315] = {.lex_state = 99},
  [4316] = {.lex_state = 99},
  [4317] = {.lex_state = 0},
  [4318] = {.lex_state = 99},
  [4319] = {.lex_state = 0},
  [4320] = {.lex_state = 0},
  [4321] = {.lex_state = 0},
  [4322] = {.lex_state = 0},
  [4323] = {.lex_state = 99},
  [4324] = {.lex_state = 0},
  [4325] = {.lex_state = 0},
  [4326] = {.lex_state = 0},
  [4327] = {.lex_state = 0},
  [4328] = {.lex_state = 0},
  [4329] = {.lex_state = 0},
  [4330] = {.lex_state = 0},
  [4331] = {.lex_state = 99},
  [4332] = {.lex_state = 0},
  [4333] = {.lex_state = 0},
  [4334] = {.lex_state = 0},
  [4335] = {.lex_state = 0},
  [4336] = {.lex_state = 0},
  [4337] = {.lex_state = 0},
  [4338] = {.lex_state = 99},
  [4339] = {.lex_state = 99},
  [4340] = {.lex_state = 99},
  [4341] = {.lex_state = 0},
  [4342] = {.lex_state = 99},
  [4343] = {.lex_state = 0},
  [4344] = {.lex_state = 99},
  [4345] = {.lex_state = 0},
  [4346] = {.lex_state = 0},
  [4347] = {.lex_state = 0},
  [4348] = {.lex_state = 0},
  [4349] = {.lex_state = 0},
  [4350] = {.lex_state = 99},
  [4351] = {.lex_state = 0},
  [4352] = {.lex_state = 0},
  [4353] = {.lex_state = 0},
  [4354] = {.lex_state = 0},
  [4355] = {.lex_state = 99},
  [4356] = {.lex_state = 0},
  [4357] = {.lex_state = 0},
  [4358] = {.lex_state = 0},
  [4359] = {.lex_state = 0},
  [4360] = {.lex_state = 0},
  [4361] = {.lex_state = 0},
  [4362] = {.lex_state = 0},
  [4363] = {.lex_state = 0},
  [4364] = {.lex_state = 0},
  [4365] = {.lex_state = 0},
  [4366] = {.lex_state = 13},
  [4367] = {.lex_state = 0},
  [4368] = {.lex_state = 99},
  [4369] = {.lex_state = 0},
  [4370] = {.lex_state = 99},
  [4371] = {.lex_state = 0},
  [4372] = {.lex_state = 0},
  [4373] = {.lex_state = 0},
  [4374] = {.lex_state = 0},
  [4375] = {.lex_state = 99},
  [4376] = {.lex_state = 0},
  [4377] = {.lex_state = 0},
  [4378] = {.lex_state = 0},
  [4379] = {.lex_state = 0},
  [4380] = {.lex_state = 0},
  [4381] = {.lex_state = 0},
  [4382] = {.lex_state = 0},
  [4383] = {.lex_state = 0},
  [4384] = {.lex_state = 0},
  [4385] = {.lex_state = 0},
  [4386] = {.lex_state = 0},
  [4387] = {.lex_state = 0},
  [4388] = {.lex_state = 0},
  [4389] = {.lex_state = 0},
  [4390] = {.lex_state = 0},
  [4391] = {.lex_state = 0},
  [4392] = {.lex_state = 0},
  [4393] = {.lex_state = 0},
  [4394] = {.lex_state = 0},
  [4395] = {.lex_state = 0},
  [4396] = {.lex_state = 0},
  [4397] = {.lex_state = 0},
  [4398] = {.lex_state = 0},
  [4399] = {.lex_state = 0},
  [4400] = {.lex_state = 0},
  [4401] = {.lex_state = 0},
  [4402] = {.lex_state = 0},
  [4403] = {.lex_state = 0},
  [4404] = {.lex_state = 99},
  [4405] = {.lex_state = 0},
  [4406] = {.lex_state = 0},
  [4407] = {.lex_state = 0},
  [4408] = {.lex_state = 0},
  [4409] = {.lex_state = 0},
  [4410] = {.lex_state = 99},
  [4411] = {.lex_state = 0},
  [4412] = {.lex_state = 99},
  [4413] = {.lex_state = 99},
  [4414] = {.lex_state = 99},
  [4415] = {.lex_state = 0},
  [4416] = {.lex_state = 99},
  [4417] = {.lex_state = 99},
  [4418] = {.lex_state = 0},
  [4419] = {.lex_state = 99},
  [4420] = {.lex_state = 99},
  [4421] = {.lex_state = 99},
  [4422] = {.lex_state = 99},
  [4423] = {.lex_state = 2},
  [4424] = {.lex_state = 99},
  [4425] = {.lex_state = 99},
  [4426] = {.lex_state = 99},
  [4427] = {.lex_state = 99},
  [4428] = {.lex_state = 0},
  [4429] = {.lex_state = 0},
  [4430] = {.lex_state = 0},
  [4431] = {.lex_state = 99},
  [4432] = {.lex_state = 0},
  [4433] = {.lex_state = 99},
  [4434] = {.lex_state = 99},
  [4435] = {.lex_state = 2},
  [4436] = {.lex_state = 99},
  [4437] = {.lex_state = 99},
  [4438] = {.lex_state = 99},
  [4439] = {.lex_state = 99},
  [4440] = {.lex_state = 99},
  [4441] = {.lex_state = 99},
  [4442] = {.lex_state = 99},
  [4443] = {.lex_state = 99},
  [4444] = {.lex_state = 99},
  [4445] = {.lex_state = 99},
  [4446] = {.lex_state = 99},
  [4447] = {.lex_state = 0},
  [4448] = {.lex_state = 0},
  [4449] = {.lex_state = 0},
  [4450] = {.lex_state = 0},
  [4451] = {.lex_state = 0},
  [4452] = {.lex_state = 99},
  [4453] = {.lex_state = 0},
  [4454] = {.lex_state = 0},
  [4455] = {.lex_state = 99},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_PIPE_PIPE = 3,
  ts_external_token__function_signature_automatic_semicolon = 4,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[7][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(4411),
    [sym_export_statement] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [2] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3327),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(140),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(197),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(201),
    [anon_sym_number] = ACTIONS(201),
    [anon_sym_boolean] = ACTIONS(201),
    [anon_sym_string] = ACTIONS(201),
    [anon_sym_symbol] = ACTIONS(201),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [3] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3327),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(140),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(197),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(201),
    [anon_sym_number] = ACTIONS(201),
    [anon_sym_boolean] = ACTIONS(201),
    [anon_sym_string] = ACTIONS(201),
    [anon_sym_symbol] = ACTIONS(201),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [4] = {
    [sym_export_statement] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_for_in_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_debugger_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_throw_statement] = STATE(29),
    [sym_empty_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4326),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4326),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4326),
    [sym_spread_element] = STATE(3657),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1976),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3657),
    [sym_pair] = STATE(3657),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2882),
    [sym_computed_property_name] = STATE(2882),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_accessibility_modifier] = STATE(2266),
    [sym_override_modifier] = STATE(2274),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3690),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(220),
    [anon_sym_export] = ACTIONS(222),
    [anon_sym_STAR] = ACTIONS(224),
    [anon_sym_type] = ACTIONS(226),
    [anon_sym_namespace] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(232),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(234),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(236),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(240),
    [sym_private_property_identifier] = ACTIONS(242),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(244),
    [anon_sym_readonly] = ACTIONS(246),
    [anon_sym_get] = ACTIONS(248),
    [anon_sym_set] = ACTIONS(248),
    [anon_sym_declare] = ACTIONS(250),
    [anon_sym_public] = ACTIONS(252),
    [anon_sym_private] = ACTIONS(252),
    [anon_sym_protected] = ACTIONS(252),
    [anon_sym_override] = ACTIONS(254),
    [anon_sym_module] = ACTIONS(256),
    [anon_sym_any] = ACTIONS(258),
    [anon_sym_number] = ACTIONS(258),
    [anon_sym_boolean] = ACTIONS(258),
    [anon_sym_string] = ACTIONS(258),
    [anon_sym_symbol] = ACTIONS(258),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [5] = {
    [sym_export_statement] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_for_in_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_debugger_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_throw_statement] = STATE(29),
    [sym_empty_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4326),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4326),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4326),
    [sym_spread_element] = STATE(3657),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1976),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3657),
    [sym_pair] = STATE(3657),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2882),
    [sym_computed_property_name] = STATE(2882),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_accessibility_modifier] = STATE(2266),
    [sym_override_modifier] = STATE(2274),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3690),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(220),
    [anon_sym_export] = ACTIONS(222),
    [anon_sym_STAR] = ACTIONS(224),
    [anon_sym_type] = ACTIONS(226),
    [anon_sym_namespace] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(260),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(234),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(236),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(240),
    [sym_private_property_identifier] = ACTIONS(242),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(244),
    [anon_sym_readonly] = ACTIONS(246),
    [anon_sym_get] = ACTIONS(248),
    [anon_sym_set] = ACTIONS(248),
    [anon_sym_declare] = ACTIONS(250),
    [anon_sym_public] = ACTIONS(252),
    [anon_sym_private] = ACTIONS(252),
    [anon_sym_protected] = ACTIONS(252),
    [anon_sym_override] = ACTIONS(254),
    [anon_sym_module] = ACTIONS(256),
    [anon_sym_any] = ACTIONS(258),
    [anon_sym_number] = ACTIONS(258),
    [anon_sym_boolean] = ACTIONS(258),
    [anon_sym_string] = ACTIONS(258),
    [anon_sym_symbol] = ACTIONS(258),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [6] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4326),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4326),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4326),
    [sym_spread_element] = STATE(3657),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1976),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3657),
    [sym_pair] = STATE(3657),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2882),
    [sym_computed_property_name] = STATE(2882),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_accessibility_modifier] = STATE(2266),
    [sym_override_modifier] = STATE(2274),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3690),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(220),
    [anon_sym_export] = ACTIONS(222),
    [anon_sym_STAR] = ACTIONS(224),
    [anon_sym_type] = ACTIONS(226),
    [anon_sym_namespace] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(262),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(234),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(236),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(240),
    [sym_private_property_identifier] = ACTIONS(242),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(244),
    [anon_sym_readonly] = ACTIONS(246),
    [anon_sym_get] = ACTIONS(248),
    [anon_sym_set] = ACTIONS(248),
    [anon_sym_declare] = ACTIONS(250),
    [anon_sym_public] = ACTIONS(252),
    [anon_sym_private] = ACTIONS(252),
    [anon_sym_protected] = ACTIONS(252),
    [anon_sym_override] = ACTIONS(254),
    [anon_sym_module] = ACTIONS(256),
    [anon_sym_any] = ACTIONS(258),
    [anon_sym_number] = ACTIONS(258),
    [anon_sym_boolean] = ACTIONS(258),
    [anon_sym_string] = ACTIONS(258),
    [anon_sym_symbol] = ACTIONS(258),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [7] = {
    [sym_export_statement] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_for_in_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_with_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_debugger_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_empty_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4326),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4326),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4326),
    [sym_spread_element] = STATE(3718),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1976),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2882),
    [sym_computed_property_name] = STATE(2882),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_accessibility_modifier] = STATE(2266),
    [sym_override_modifier] = STATE(2274),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(264),
    [anon_sym_export] = ACTIONS(266),
    [anon_sym_STAR] = ACTIONS(224),
    [anon_sym_type] = ACTIONS(268),
    [anon_sym_namespace] = ACTIONS(270),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(272),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(234),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(274),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(240),
    [sym_private_property_identifier] = ACTIONS(242),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(276),
    [anon_sym_readonly] = ACTIONS(278),
    [anon_sym_get] = ACTIONS(280),
    [anon_sym_set] = ACTIONS(280),
    [anon_sym_declare] = ACTIONS(282),
    [anon_sym_public] = ACTIONS(284),
    [anon_sym_private] = ACTIONS(284),
    [anon_sym_protected] = ACTIONS(284),
    [anon_sym_override] = ACTIONS(286),
    [anon_sym_module] = ACTIONS(288),
    [anon_sym_any] = ACTIONS(290),
    [anon_sym_number] = ACTIONS(290),
    [anon_sym_boolean] = ACTIONS(290),
    [anon_sym_string] = ACTIONS(290),
    [anon_sym_symbol] = ACTIONS(290),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [8] = {
    [sym_export_statement] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_for_in_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_with_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_debugger_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_empty_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4326),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4326),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4326),
    [sym_spread_element] = STATE(3718),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1976),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2882),
    [sym_computed_property_name] = STATE(2882),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_accessibility_modifier] = STATE(2266),
    [sym_override_modifier] = STATE(2274),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(292),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_STAR] = ACTIONS(224),
    [anon_sym_type] = ACTIONS(296),
    [anon_sym_namespace] = ACTIONS(298),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(272),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(234),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(300),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(240),
    [sym_private_property_identifier] = ACTIONS(242),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(302),
    [anon_sym_readonly] = ACTIONS(304),
    [anon_sym_get] = ACTIONS(306),
    [anon_sym_set] = ACTIONS(306),
    [anon_sym_declare] = ACTIONS(308),
    [anon_sym_public] = ACTIONS(310),
    [anon_sym_private] = ACTIONS(310),
    [anon_sym_protected] = ACTIONS(310),
    [anon_sym_override] = ACTIONS(312),
    [anon_sym_module] = ACTIONS(314),
    [anon_sym_any] = ACTIONS(316),
    [anon_sym_number] = ACTIONS(316),
    [anon_sym_boolean] = ACTIONS(316),
    [anon_sym_string] = ACTIONS(316),
    [anon_sym_symbol] = ACTIONS(316),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [9] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [ts_builtin_sym_end] = ACTIONS(318),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_default] = ACTIONS(326),
    [anon_sym_type] = ACTIONS(328),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(334),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_typeof] = ACTIONS(337),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(343),
    [anon_sym_let] = ACTIONS(346),
    [anon_sym_const] = ACTIONS(349),
    [anon_sym_BANG] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(355),
    [anon_sym_switch] = ACTIONS(358),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(370),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_try] = ACTIONS(376),
    [anon_sym_with] = ACTIONS(379),
    [anon_sym_break] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(385),
    [anon_sym_debugger] = ACTIONS(388),
    [anon_sym_return] = ACTIONS(391),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(326),
    [anon_sym_yield] = ACTIONS(400),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LTtemplate_GT] = ACTIONS(406),
    [anon_sym_LT] = ACTIONS(409),
    [anon_sym_SLASH] = ACTIONS(412),
    [anon_sym_class] = ACTIONS(415),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_function] = ACTIONS(421),
    [anon_sym_new] = ACTIONS(424),
    [anon_sym_PLUS] = ACTIONS(337),
    [anon_sym_DASH] = ACTIONS(337),
    [anon_sym_TILDE] = ACTIONS(352),
    [anon_sym_void] = ACTIONS(337),
    [anon_sym_delete] = ACTIONS(337),
    [anon_sym_PLUS_PLUS] = ACTIONS(427),
    [anon_sym_DASH_DASH] = ACTIONS(430),
    [anon_sym_DQUOTE] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(439),
    [sym_number] = ACTIONS(442),
    [sym_this] = ACTIONS(445),
    [sym_super] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(451),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_readonly] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [anon_sym_declare] = ACTIONS(457),
    [anon_sym_public] = ACTIONS(454),
    [anon_sym_private] = ACTIONS(454),
    [anon_sym_protected] = ACTIONS(454),
    [anon_sym_override] = ACTIONS(454),
    [anon_sym_module] = ACTIONS(460),
    [anon_sym_any] = ACTIONS(454),
    [anon_sym_number] = ACTIONS(454),
    [anon_sym_boolean] = ACTIONS(454),
    [anon_sym_string] = ACTIONS(454),
    [anon_sym_symbol] = ACTIONS(454),
    [anon_sym_abstract] = ACTIONS(463),
    [anon_sym_interface] = ACTIONS(466),
    [anon_sym_enum] = ACTIONS(469),
  },
  [10] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(472),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(472),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [11] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(476),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(476),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [12] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(480),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(480),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [13] = {
    [sym_export_statement] = STATE(10),
    [sym_declaration] = STATE(10),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(10),
    [sym_if_statement] = STATE(10),
    [sym_switch_statement] = STATE(10),
    [sym_for_statement] = STATE(10),
    [sym_for_in_statement] = STATE(10),
    [sym_while_statement] = STATE(10),
    [sym_do_statement] = STATE(10),
    [sym_try_statement] = STATE(10),
    [sym_with_statement] = STATE(10),
    [sym_break_statement] = STATE(10),
    [sym_continue_statement] = STATE(10),
    [sym_debugger_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_throw_statement] = STATE(10),
    [sym_empty_statement] = STATE(10),
    [sym_labeled_statement] = STATE(10),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(484),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(484),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [14] = {
    [sym_export_statement] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [15] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [16] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [ts_builtin_sym_end] = ACTIONS(492),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [17] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [18] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [19] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [20] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [21] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [22] = {
    [sym_export_statement] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_for_in_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_with_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_debugger_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_empty_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [23] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [24] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [25] = {
    [sym_export_statement] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_in_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_with_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_debugger_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [26] = {
    [sym_export_statement] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_for_in_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_with_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_debugger_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_throw_statement] = STATE(29),
    [sym_empty_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [27] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [28] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [29] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [30] = {
    [sym_export_statement] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [31] = {
    [sym_export_statement] = STATE(747),
    [sym_declaration] = STATE(739),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(738),
    [sym_expression_statement] = STATE(737),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(736),
    [sym_if_statement] = STATE(734),
    [sym_switch_statement] = STATE(728),
    [sym_for_statement] = STATE(727),
    [sym_for_in_statement] = STATE(725),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(718),
    [sym_try_statement] = STATE(712),
    [sym_with_statement] = STATE(710),
    [sym_break_statement] = STATE(709),
    [sym_continue_statement] = STATE(702),
    [sym_debugger_statement] = STATE(690),
    [sym_return_statement] = STATE(689),
    [sym_throw_statement] = STATE(687),
    [sym_empty_statement] = STATE(685),
    [sym_labeled_statement] = STATE(684),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [32] = {
    [sym_export_statement] = STATE(746),
    [sym_declaration] = STATE(746),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(746),
    [sym_if_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_for_in_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_with_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_debugger_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_empty_statement] = STATE(746),
    [sym_labeled_statement] = STATE(746),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [33] = {
    [sym_export_statement] = STATE(640),
    [sym_declaration] = STATE(638),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(636),
    [sym_expression_statement] = STATE(635),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(632),
    [sym_if_statement] = STATE(631),
    [sym_switch_statement] = STATE(630),
    [sym_for_statement] = STATE(629),
    [sym_for_in_statement] = STATE(628),
    [sym_while_statement] = STATE(625),
    [sym_do_statement] = STATE(623),
    [sym_try_statement] = STATE(622),
    [sym_with_statement] = STATE(620),
    [sym_break_statement] = STATE(680),
    [sym_continue_statement] = STATE(688),
    [sym_debugger_statement] = STATE(691),
    [sym_return_statement] = STATE(693),
    [sym_throw_statement] = STATE(695),
    [sym_empty_statement] = STATE(713),
    [sym_labeled_statement] = STATE(733),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [34] = {
    [sym_export_statement] = STATE(683),
    [sym_declaration] = STATE(683),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(683),
    [sym_expression_statement] = STATE(683),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(683),
    [sym_if_statement] = STATE(683),
    [sym_switch_statement] = STATE(683),
    [sym_for_statement] = STATE(683),
    [sym_for_in_statement] = STATE(683),
    [sym_while_statement] = STATE(683),
    [sym_do_statement] = STATE(683),
    [sym_try_statement] = STATE(683),
    [sym_with_statement] = STATE(683),
    [sym_break_statement] = STATE(683),
    [sym_continue_statement] = STATE(683),
    [sym_debugger_statement] = STATE(683),
    [sym_return_statement] = STATE(683),
    [sym_throw_statement] = STATE(683),
    [sym_empty_statement] = STATE(683),
    [sym_labeled_statement] = STATE(683),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [35] = {
    [sym_export_statement] = STATE(746),
    [sym_declaration] = STATE(746),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(746),
    [sym_if_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_for_in_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_with_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_debugger_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_empty_statement] = STATE(746),
    [sym_labeled_statement] = STATE(746),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [36] = {
    [sym_export_statement] = STATE(3786),
    [sym_declaration] = STATE(3786),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(3786),
    [sym_expression_statement] = STATE(3786),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(3786),
    [sym_if_statement] = STATE(3786),
    [sym_switch_statement] = STATE(3786),
    [sym_for_statement] = STATE(3786),
    [sym_for_in_statement] = STATE(3786),
    [sym_while_statement] = STATE(3786),
    [sym_do_statement] = STATE(3786),
    [sym_try_statement] = STATE(3786),
    [sym_with_statement] = STATE(3786),
    [sym_break_statement] = STATE(3786),
    [sym_continue_statement] = STATE(3786),
    [sym_debugger_statement] = STATE(3786),
    [sym_return_statement] = STATE(3786),
    [sym_throw_statement] = STATE(3786),
    [sym_empty_statement] = STATE(3786),
    [sym_labeled_statement] = STATE(3786),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [37] = {
    [sym_export_statement] = STATE(613),
    [sym_declaration] = STATE(613),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(613),
    [sym_expression_statement] = STATE(613),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(613),
    [sym_if_statement] = STATE(613),
    [sym_switch_statement] = STATE(613),
    [sym_for_statement] = STATE(613),
    [sym_for_in_statement] = STATE(613),
    [sym_while_statement] = STATE(613),
    [sym_do_statement] = STATE(613),
    [sym_try_statement] = STATE(613),
    [sym_with_statement] = STATE(613),
    [sym_break_statement] = STATE(613),
    [sym_continue_statement] = STATE(613),
    [sym_debugger_statement] = STATE(613),
    [sym_return_statement] = STATE(613),
    [sym_throw_statement] = STATE(613),
    [sym_empty_statement] = STATE(613),
    [sym_labeled_statement] = STATE(613),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [38] = {
    [sym_export_statement] = STATE(716),
    [sym_declaration] = STATE(716),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(716),
    [sym_expression_statement] = STATE(716),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(716),
    [sym_if_statement] = STATE(716),
    [sym_switch_statement] = STATE(716),
    [sym_for_statement] = STATE(716),
    [sym_for_in_statement] = STATE(716),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(716),
    [sym_try_statement] = STATE(716),
    [sym_with_statement] = STATE(716),
    [sym_break_statement] = STATE(716),
    [sym_continue_statement] = STATE(716),
    [sym_debugger_statement] = STATE(716),
    [sym_return_statement] = STATE(716),
    [sym_throw_statement] = STATE(716),
    [sym_empty_statement] = STATE(716),
    [sym_labeled_statement] = STATE(716),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [39] = {
    [sym_export_statement] = STATE(740),
    [sym_declaration] = STATE(740),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(740),
    [sym_expression_statement] = STATE(740),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(740),
    [sym_if_statement] = STATE(740),
    [sym_switch_statement] = STATE(740),
    [sym_for_statement] = STATE(740),
    [sym_for_in_statement] = STATE(740),
    [sym_while_statement] = STATE(740),
    [sym_do_statement] = STATE(740),
    [sym_try_statement] = STATE(740),
    [sym_with_statement] = STATE(740),
    [sym_break_statement] = STATE(740),
    [sym_continue_statement] = STATE(740),
    [sym_debugger_statement] = STATE(740),
    [sym_return_statement] = STATE(740),
    [sym_throw_statement] = STATE(740),
    [sym_empty_statement] = STATE(740),
    [sym_labeled_statement] = STATE(740),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [40] = {
    [sym_export_statement] = STATE(4288),
    [sym_declaration] = STATE(4288),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(4288),
    [sym_expression_statement] = STATE(4288),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(4288),
    [sym_if_statement] = STATE(4288),
    [sym_switch_statement] = STATE(4288),
    [sym_for_statement] = STATE(4288),
    [sym_for_in_statement] = STATE(4288),
    [sym_while_statement] = STATE(4288),
    [sym_do_statement] = STATE(4288),
    [sym_try_statement] = STATE(4288),
    [sym_with_statement] = STATE(4288),
    [sym_break_statement] = STATE(4288),
    [sym_continue_statement] = STATE(4288),
    [sym_debugger_statement] = STATE(4288),
    [sym_return_statement] = STATE(4288),
    [sym_throw_statement] = STATE(4288),
    [sym_empty_statement] = STATE(4288),
    [sym_labeled_statement] = STATE(4288),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [41] = {
    [sym_export_statement] = STATE(716),
    [sym_declaration] = STATE(716),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(716),
    [sym_expression_statement] = STATE(716),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(716),
    [sym_if_statement] = STATE(716),
    [sym_switch_statement] = STATE(716),
    [sym_for_statement] = STATE(716),
    [sym_for_in_statement] = STATE(716),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(716),
    [sym_try_statement] = STATE(716),
    [sym_with_statement] = STATE(716),
    [sym_break_statement] = STATE(716),
    [sym_continue_statement] = STATE(716),
    [sym_debugger_statement] = STATE(716),
    [sym_return_statement] = STATE(716),
    [sym_throw_statement] = STATE(716),
    [sym_empty_statement] = STATE(716),
    [sym_labeled_statement] = STATE(716),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [42] = {
    [sym_export_statement] = STATE(681),
    [sym_declaration] = STATE(681),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(681),
    [sym_expression_statement] = STATE(681),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(681),
    [sym_if_statement] = STATE(681),
    [sym_switch_statement] = STATE(681),
    [sym_for_statement] = STATE(681),
    [sym_for_in_statement] = STATE(681),
    [sym_while_statement] = STATE(681),
    [sym_do_statement] = STATE(681),
    [sym_try_statement] = STATE(681),
    [sym_with_statement] = STATE(681),
    [sym_break_statement] = STATE(681),
    [sym_continue_statement] = STATE(681),
    [sym_debugger_statement] = STATE(681),
    [sym_return_statement] = STATE(681),
    [sym_throw_statement] = STATE(681),
    [sym_empty_statement] = STATE(681),
    [sym_labeled_statement] = STATE(681),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [43] = {
    [sym_export_statement] = STATE(747),
    [sym_declaration] = STATE(739),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(738),
    [sym_expression_statement] = STATE(737),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(736),
    [sym_if_statement] = STATE(734),
    [sym_switch_statement] = STATE(728),
    [sym_for_statement] = STATE(727),
    [sym_for_in_statement] = STATE(725),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(718),
    [sym_try_statement] = STATE(712),
    [sym_with_statement] = STATE(710),
    [sym_break_statement] = STATE(709),
    [sym_continue_statement] = STATE(702),
    [sym_debugger_statement] = STATE(690),
    [sym_return_statement] = STATE(689),
    [sym_throw_statement] = STATE(687),
    [sym_empty_statement] = STATE(685),
    [sym_labeled_statement] = STATE(684),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [44] = {
    [sym_export_statement] = STATE(704),
    [sym_declaration] = STATE(704),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(704),
    [sym_expression_statement] = STATE(704),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(704),
    [sym_if_statement] = STATE(704),
    [sym_switch_statement] = STATE(704),
    [sym_for_statement] = STATE(704),
    [sym_for_in_statement] = STATE(704),
    [sym_while_statement] = STATE(704),
    [sym_do_statement] = STATE(704),
    [sym_try_statement] = STATE(704),
    [sym_with_statement] = STATE(704),
    [sym_break_statement] = STATE(704),
    [sym_continue_statement] = STATE(704),
    [sym_debugger_statement] = STATE(704),
    [sym_return_statement] = STATE(704),
    [sym_throw_statement] = STATE(704),
    [sym_empty_statement] = STATE(704),
    [sym_labeled_statement] = STATE(704),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [45] = {
    [sym_export_statement] = STATE(740),
    [sym_declaration] = STATE(740),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(740),
    [sym_expression_statement] = STATE(740),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(740),
    [sym_if_statement] = STATE(740),
    [sym_switch_statement] = STATE(740),
    [sym_for_statement] = STATE(740),
    [sym_for_in_statement] = STATE(740),
    [sym_while_statement] = STATE(740),
    [sym_do_statement] = STATE(740),
    [sym_try_statement] = STATE(740),
    [sym_with_statement] = STATE(740),
    [sym_break_statement] = STATE(740),
    [sym_continue_statement] = STATE(740),
    [sym_debugger_statement] = STATE(740),
    [sym_return_statement] = STATE(740),
    [sym_throw_statement] = STATE(740),
    [sym_empty_statement] = STATE(740),
    [sym_labeled_statement] = STATE(740),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [46] = {
    [sym_export_statement] = STATE(640),
    [sym_declaration] = STATE(638),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(636),
    [sym_expression_statement] = STATE(635),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(632),
    [sym_if_statement] = STATE(631),
    [sym_switch_statement] = STATE(630),
    [sym_for_statement] = STATE(629),
    [sym_for_in_statement] = STATE(628),
    [sym_while_statement] = STATE(625),
    [sym_do_statement] = STATE(623),
    [sym_try_statement] = STATE(622),
    [sym_with_statement] = STATE(620),
    [sym_break_statement] = STATE(680),
    [sym_continue_statement] = STATE(688),
    [sym_debugger_statement] = STATE(691),
    [sym_return_statement] = STATE(693),
    [sym_throw_statement] = STATE(695),
    [sym_empty_statement] = STATE(713),
    [sym_labeled_statement] = STATE(733),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [47] = {
    [sym_export_statement] = STATE(681),
    [sym_declaration] = STATE(681),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(681),
    [sym_expression_statement] = STATE(681),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(681),
    [sym_if_statement] = STATE(681),
    [sym_switch_statement] = STATE(681),
    [sym_for_statement] = STATE(681),
    [sym_for_in_statement] = STATE(681),
    [sym_while_statement] = STATE(681),
    [sym_do_statement] = STATE(681),
    [sym_try_statement] = STATE(681),
    [sym_with_statement] = STATE(681),
    [sym_break_statement] = STATE(681),
    [sym_continue_statement] = STATE(681),
    [sym_debugger_statement] = STATE(681),
    [sym_return_statement] = STATE(681),
    [sym_throw_statement] = STATE(681),
    [sym_empty_statement] = STATE(681),
    [sym_labeled_statement] = STATE(681),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [48] = {
    [sym_export_statement] = STATE(704),
    [sym_declaration] = STATE(704),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(704),
    [sym_expression_statement] = STATE(704),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(704),
    [sym_if_statement] = STATE(704),
    [sym_switch_statement] = STATE(704),
    [sym_for_statement] = STATE(704),
    [sym_for_in_statement] = STATE(704),
    [sym_while_statement] = STATE(704),
    [sym_do_statement] = STATE(704),
    [sym_try_statement] = STATE(704),
    [sym_with_statement] = STATE(704),
    [sym_break_statement] = STATE(704),
    [sym_continue_statement] = STATE(704),
    [sym_debugger_statement] = STATE(704),
    [sym_return_statement] = STATE(704),
    [sym_throw_statement] = STATE(704),
    [sym_empty_statement] = STATE(704),
    [sym_labeled_statement] = STATE(704),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3111),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_namespace] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_readonly] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(544),
    [anon_sym_private] = ACTIONS(544),
    [anon_sym_protected] = ACTIONS(544),
    [anon_sym_override] = ACTIONS(544),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(544),
    [anon_sym_number] = ACTIONS(544),
    [anon_sym_boolean] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_symbol] = ACTIONS(544),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [49] = {
    [sym_export_statement] = STATE(683),
    [sym_declaration] = STATE(683),
    [sym_import] = STATE(1810),
    [sym_import_statement] = STATE(683),
    [sym_expression_statement] = STATE(683),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_statement_block] = STATE(683),
    [sym_if_statement] = STATE(683),
    [sym_switch_statement] = STATE(683),
    [sym_for_statement] = STATE(683),
    [sym_for_in_statement] = STATE(683),
    [sym_while_statement] = STATE(683),
    [sym_do_statement] = STATE(683),
    [sym_try_statement] = STATE(683),
    [sym_with_statement] = STATE(683),
    [sym_break_statement] = STATE(683),
    [sym_continue_statement] = STATE(683),
    [sym_debugger_statement] = STATE(683),
    [sym_return_statement] = STATE(683),
    [sym_throw_statement] = STATE(683),
    [sym_empty_statement] = STATE(683),
    [sym_labeled_statement] = STATE(683),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [50] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3395),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [51] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(598),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [52] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(632),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [53] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3360),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(634),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [54] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3159),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(636),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [55] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(638),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [56] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3343),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [57] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3327),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(642),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [58] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3335),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(644),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [59] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3281),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(646),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [60] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(648),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [61] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(650),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [62] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3766),
    [sym_optional_tuple_parameter] = STATE(3766),
    [sym_optional_type] = STATE(3766),
    [sym_rest_type] = STATE(3766),
    [sym__tuple_type_member] = STATE(3766),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(652),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(654),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [63] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3327),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(144),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(178),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(642),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [64] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(656),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [65] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1595),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3787),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3778),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(658),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [66] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(660),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [67] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1595),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3787),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(3223),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3778),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(576),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(662),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(626),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(630),
    [anon_sym_number] = ACTIONS(630),
    [anon_sym_boolean] = ACTIONS(630),
    [anon_sym_string] = ACTIONS(630),
    [anon_sym_symbol] = ACTIONS(630),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [68] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1390),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4134),
    [sym_string] = STATE(1925),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym__type] = STATE(3433),
    [sym_constructor_type] = STATE(3433),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3433),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3433),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3433),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(664),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(672),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(674),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(676),
    [sym_number] = ACTIONS(678),
    [sym_this] = ACTIONS(680),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_null] = ACTIONS(682),
    [sym_undefined] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(688),
    [anon_sym_private] = ACTIONS(688),
    [anon_sym_protected] = ACTIONS(688),
    [anon_sym_override] = ACTIONS(690),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [69] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1454),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4292),
    [sym_string] = STATE(1925),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym__type] = STATE(3507),
    [sym_constructor_type] = STATE(3507),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3507),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3507),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3507),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(664),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(672),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(674),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(676),
    [sym_number] = ACTIONS(678),
    [sym_this] = ACTIONS(680),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_null] = ACTIONS(682),
    [sym_undefined] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(688),
    [anon_sym_private] = ACTIONS(688),
    [anon_sym_protected] = ACTIONS(688),
    [anon_sym_override] = ACTIONS(690),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [70] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1390),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4134),
    [sym_string] = STATE(1925),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym__type] = STATE(3507),
    [sym_constructor_type] = STATE(3507),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3507),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3507),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3507),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(664),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(672),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(674),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(676),
    [sym_number] = ACTIONS(678),
    [sym_this] = ACTIONS(680),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_null] = ACTIONS(682),
    [sym_undefined] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(686),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(688),
    [anon_sym_private] = ACTIONS(688),
    [anon_sym_protected] = ACTIONS(688),
    [anon_sym_override] = ACTIONS(690),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(692),
    [anon_sym_number] = ACTIONS(692),
    [anon_sym_boolean] = ACTIONS(692),
    [anon_sym_string] = ACTIONS(692),
    [anon_sym_symbol] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [71] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym__type] = STATE(3426),
    [sym_constructor_type] = STATE(3426),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3426),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3426),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3426),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(140),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(698),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(700),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(201),
    [anon_sym_number] = ACTIONS(201),
    [anon_sym_boolean] = ACTIONS(201),
    [anon_sym_string] = ACTIONS(201),
    [anon_sym_symbol] = ACTIONS(201),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [72] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym__type] = STATE(3520),
    [sym_constructor_type] = STATE(3520),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3520),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3520),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3520),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(140),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(698),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(700),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(201),
    [anon_sym_number] = ACTIONS(201),
    [anon_sym_boolean] = ACTIONS(201),
    [anon_sym_string] = ACTIONS(201),
    [anon_sym_symbol] = ACTIONS(201),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [73] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym__type] = STATE(3507),
    [sym_constructor_type] = STATE(3507),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3507),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3507),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3507),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(140),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(698),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(700),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(201),
    [anon_sym_number] = ACTIONS(201),
    [anon_sym_boolean] = ACTIONS(201),
    [anon_sym_string] = ACTIONS(201),
    [anon_sym_symbol] = ACTIONS(201),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [74] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym__type] = STATE(3433),
    [sym_constructor_type] = STATE(3433),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3433),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3433),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3433),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(140),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(698),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(700),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(201),
    [anon_sym_number] = ACTIONS(201),
    [anon_sym_boolean] = ACTIONS(201),
    [anon_sym_string] = ACTIONS(201),
    [anon_sym_symbol] = ACTIONS(201),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [75] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym__type] = STATE(3508),
    [sym_constructor_type] = STATE(3508),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3508),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3508),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3508),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(140),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(698),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(195),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(700),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(201),
    [anon_sym_number] = ACTIONS(201),
    [anon_sym_boolean] = ACTIONS(201),
    [anon_sym_string] = ACTIONS(201),
    [anon_sym_symbol] = ACTIONS(201),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [76] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1641),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3914),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4159),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1722),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3162),
    [sym_pattern] = STATE(3637),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2664),
    [sym_constructor_type] = STATE(2664),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2664),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(3843),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2664),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2664),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(706),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(710),
    [anon_sym_typeof] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(714),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(726),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(728),
    [sym_number] = ACTIONS(730),
    [sym_this] = ACTIONS(732),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(734),
    [sym_false] = ACTIONS(734),
    [sym_null] = ACTIONS(734),
    [sym_undefined] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(738),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(742),
    [anon_sym_number] = ACTIONS(742),
    [anon_sym_boolean] = ACTIONS(742),
    [anon_sym_string] = ACTIONS(742),
    [anon_sym_symbol] = ACTIONS(742),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [77] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1700),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4430),
    [sym_string] = STATE(1925),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3742),
    [sym_constructor_type] = STATE(3742),
    [sym__primary_type] = STATE(3180),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3448),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3742),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3742),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(754),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(760),
    [anon_sym_typeof] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(674),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(676),
    [sym_number] = ACTIONS(678),
    [sym_this] = ACTIONS(766),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_null] = ACTIONS(682),
    [sym_undefined] = ACTIONS(768),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(770),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(772),
    [anon_sym_number] = ACTIONS(772),
    [anon_sym_boolean] = ACTIONS(772),
    [anon_sym_string] = ACTIONS(772),
    [anon_sym_symbol] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [78] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1393),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1692),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(774),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(780),
    [anon_sym_typeof] = ACTIONS(782),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(788),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(794),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(804),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(806),
    [anon_sym_DASH] = ACTIONS(806),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(808),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(816),
    [sym_number] = ACTIONS(818),
    [sym_this] = ACTIONS(820),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(822),
    [sym_false] = ACTIONS(822),
    [sym_null] = ACTIONS(822),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(828),
    [anon_sym_number] = ACTIONS(828),
    [anon_sym_boolean] = ACTIONS(828),
    [anon_sym_string] = ACTIONS(828),
    [anon_sym_symbol] = ACTIONS(828),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [79] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1302),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1451),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(830),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_typeof] = ACTIONS(834),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(840),
    [sym_number] = ACTIONS(842),
    [sym_this] = ACTIONS(844),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(846),
    [sym_false] = ACTIONS(846),
    [sym_null] = ACTIONS(846),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(770),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [80] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1413),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(3409),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(3409),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1109),
    [sym_subscript_expression] = STATE(1109),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(3409),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1895),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1109),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3152),
    [sym_constructor_type] = STATE(3152),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3152),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3152),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3152),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(852),
    [anon_sym_export] = ACTIONS(854),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(854),
    [anon_sym_namespace] = ACTIONS(856),
    [anon_sym_LBRACE] = ACTIONS(858),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(860),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(185),
    [sym_number] = ACTIONS(187),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_undefined] = ACTIONS(862),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(854),
    [anon_sym_readonly] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(854),
    [anon_sym_set] = ACTIONS(854),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(854),
    [anon_sym_public] = ACTIONS(854),
    [anon_sym_private] = ACTIONS(854),
    [anon_sym_protected] = ACTIONS(854),
    [anon_sym_override] = ACTIONS(854),
    [anon_sym_module] = ACTIONS(854),
    [anon_sym_any] = ACTIONS(866),
    [anon_sym_number] = ACTIONS(866),
    [anon_sym_boolean] = ACTIONS(866),
    [anon_sym_string] = ACTIONS(866),
    [anon_sym_symbol] = ACTIONS(866),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [81] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1612),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1451),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2954),
    [sym_constructor_type] = STATE(2954),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2954),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2954),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2954),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(868),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(888),
    [anon_sym_DASH] = ACTIONS(888),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(890),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(840),
    [sym_number] = ACTIONS(842),
    [sym_this] = ACTIONS(844),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(846),
    [sym_false] = ACTIONS(846),
    [sym_null] = ACTIONS(846),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(900),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(902),
    [anon_sym_number] = ACTIONS(902),
    [anon_sym_boolean] = ACTIONS(902),
    [anon_sym_string] = ACTIONS(902),
    [anon_sym_symbol] = ACTIONS(902),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [82] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1468),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1692),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(904),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(780),
    [anon_sym_typeof] = ACTIONS(910),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(788),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(794),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(914),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(918),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(816),
    [sym_number] = ACTIONS(818),
    [sym_this] = ACTIONS(820),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(822),
    [sym_false] = ACTIONS(822),
    [sym_null] = ACTIONS(822),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(922),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(924),
    [anon_sym_number] = ACTIONS(924),
    [anon_sym_boolean] = ACTIONS(924),
    [anon_sym_string] = ACTIONS(924),
    [anon_sym_symbol] = ACTIONS(924),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [83] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2005),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1793),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(926),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(932),
    [anon_sym_typeof] = ACTIONS(934),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(942),
    [sym_number] = ACTIONS(944),
    [sym_this] = ACTIONS(946),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(950),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(952),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(954),
    [anon_sym_number] = ACTIONS(954),
    [anon_sym_boolean] = ACTIONS(954),
    [anon_sym_string] = ACTIONS(954),
    [anon_sym_symbol] = ACTIONS(954),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [84] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1612),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1451),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(868),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(888),
    [anon_sym_DASH] = ACTIONS(888),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(890),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(840),
    [sym_number] = ACTIONS(842),
    [sym_this] = ACTIONS(844),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(846),
    [sym_false] = ACTIONS(846),
    [sym_null] = ACTIONS(846),
    [sym_undefined] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(900),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(902),
    [anon_sym_number] = ACTIONS(902),
    [anon_sym_boolean] = ACTIONS(902),
    [anon_sym_string] = ACTIONS(902),
    [anon_sym_symbol] = ACTIONS(902),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [85] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1542),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1793),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(974),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(978),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(942),
    [sym_number] = ACTIONS(944),
    [sym_this] = ACTIONS(946),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(986),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(988),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(990),
    [anon_sym_number] = ACTIONS(990),
    [anon_sym_boolean] = ACTIONS(990),
    [anon_sym_string] = ACTIONS(990),
    [anon_sym_symbol] = ACTIONS(990),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [86] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2865),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2865),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1159),
    [sym_subscript_expression] = STATE(1159),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2865),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(2060),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1159),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3152),
    [sym_constructor_type] = STATE(3152),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3152),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3152),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3152),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(992),
    [anon_sym_export] = ACTIONS(994),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(994),
    [anon_sym_namespace] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(998),
    [anon_sym_typeof] = ACTIONS(1000),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1004),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(1006),
    [anon_sym_DASH] = ACTIONS(1006),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1008),
    [sym_number] = ACTIONS(1010),
    [sym_this] = ACTIONS(1012),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(1014),
    [sym_false] = ACTIONS(1014),
    [sym_null] = ACTIONS(1014),
    [sym_undefined] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(994),
    [anon_sym_readonly] = ACTIONS(1018),
    [anon_sym_get] = ACTIONS(994),
    [anon_sym_set] = ACTIONS(994),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(994),
    [anon_sym_public] = ACTIONS(994),
    [anon_sym_private] = ACTIONS(994),
    [anon_sym_protected] = ACTIONS(994),
    [anon_sym_override] = ACTIONS(994),
    [anon_sym_module] = ACTIONS(994),
    [anon_sym_any] = ACTIONS(1020),
    [anon_sym_number] = ACTIONS(1020),
    [anon_sym_boolean] = ACTIONS(1020),
    [anon_sym_string] = ACTIONS(1020),
    [anon_sym_symbol] = ACTIONS(1020),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [87] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1980),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1022),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1028),
    [anon_sym_typeof] = ACTIONS(1030),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(788),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1046),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1054),
    [sym_number] = ACTIONS(1056),
    [sym_this] = ACTIONS(1058),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(1060),
    [sym_false] = ACTIONS(1060),
    [sym_null] = ACTIONS(1060),
    [sym_undefined] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1064),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [88] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1919),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_nested_identifier] = STATE(4364),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1793),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3209),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3811),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1068),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(932),
    [anon_sym_typeof] = ACTIONS(1074),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1090),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(942),
    [sym_number] = ACTIONS(944),
    [sym_this] = ACTIONS(946),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1100),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1102),
    [anon_sym_number] = ACTIONS(1102),
    [anon_sym_boolean] = ACTIONS(1102),
    [anon_sym_string] = ACTIONS(1102),
    [anon_sym_symbol] = ACTIONS(1102),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [89] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_STAR] = ACTIONS(1106),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(616),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_RBRACK] = ACTIONS(1112),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
    [anon_sym_satisfies] = ACTIONS(1108),
    [sym__ternary_qmark] = ACTIONS(1112),
  },
  [90] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1440),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_QMARK_DOT] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
    [anon_sym_satisfies] = ACTIONS(1108),
    [sym__automatic_semicolon] = ACTIONS(1112),
    [sym__ternary_qmark] = ACTIONS(1112),
  },
  [91] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1394),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(810),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_of] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_QMARK_DOT] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
    [anon_sym_satisfies] = ACTIONS(1108),
    [sym__automatic_semicolon] = ACTIONS(1112),
    [sym__ternary_qmark] = ACTIONS(1112),
  },
  [92] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1583),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(980),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_RBRACK] = ACTIONS(1112),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_satisfies] = ACTIONS(1108),
    [sym__ternary_qmark] = ACTIONS(1112),
  },
  [93] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1531),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
    [anon_sym_satisfies] = ACTIONS(1108),
    [anon_sym_implements] = ACTIONS(1108),
    [sym__ternary_qmark] = ACTIONS(1112),
  },
  [94] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1679),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_STAR] = ACTIONS(1156),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_QMARK_DOT] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
    [anon_sym_satisfies] = ACTIONS(1108),
    [sym__automatic_semicolon] = ACTIONS(1112),
    [sym__ternary_qmark] = ACTIONS(1112),
  },
  [95] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1933),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_of] = ACTIONS(1108),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
    [anon_sym_satisfies] = ACTIONS(1108),
    [sym__ternary_qmark] = ACTIONS(1112),
  },
  [96] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1995),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_STAR] = ACTIONS(1176),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_in] = ACTIONS(1108),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_QMARK_DOT] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1108),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
    [anon_sym_satisfies] = ACTIONS(1108),
    [sym__ternary_qmark] = ACTIONS(1112),
  },
  [97] = {
    [sym_declaration] = STATE(639),
    [sym_import] = STATE(1810),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1693),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1180),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1182),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(1184),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1188),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [98] = {
    [sym_declaration] = STATE(3287),
    [sym_import] = STATE(1810),
    [sym_variable_declaration] = STATE(3391),
    [sym_lexical_declaration] = STATE(3391),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1753),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(3391),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(3391),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(3391),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_function_signature] = STATE(3391),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(3391),
    [sym_abstract_class_declaration] = STATE(3391),
    [sym_module] = STATE(3391),
    [sym_internal_module] = STATE(1932),
    [sym_import_alias] = STATE(3391),
    [sym_interface_declaration] = STATE(3391),
    [sym_enum_declaration] = STATE(3391),
    [sym_type_alias_declaration] = STATE(3391),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3351),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1190),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1192),
    [anon_sym_var] = ACTIONS(1194),
    [anon_sym_let] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1200),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(1204),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1206),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1208),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
    [anon_sym_abstract] = ACTIONS(1210),
    [anon_sym_interface] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1214),
  },
  [99] = {
    [sym_declaration] = STATE(694),
    [sym_import] = STATE(1810),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1773),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3273),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1180),
    [anon_sym_namespace] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1182),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1218),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1188),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [100] = {
    [sym_declaration] = STATE(639),
    [sym_import] = STATE(1810),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1693),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(168),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3273),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1180),
    [anon_sym_namespace] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1182),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1218),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1188),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [101] = {
    [sym_declaration] = STATE(3300),
    [sym_import] = STATE(1810),
    [sym_variable_declaration] = STATE(3391),
    [sym_lexical_declaration] = STATE(3391),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1801),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(3391),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(3391),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(3391),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_function_signature] = STATE(3391),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(3391),
    [sym_abstract_class_declaration] = STATE(3391),
    [sym_module] = STATE(3391),
    [sym_internal_module] = STATE(1932),
    [sym_import_alias] = STATE(3391),
    [sym_interface_declaration] = STATE(3391),
    [sym_enum_declaration] = STATE(3391),
    [sym_type_alias_declaration] = STATE(3391),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3351),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1190),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1192),
    [anon_sym_var] = ACTIONS(1194),
    [anon_sym_let] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(1200),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(1204),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1206),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1208),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
    [anon_sym_abstract] = ACTIONS(1210),
    [anon_sym_interface] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1214),
  },
  [102] = {
    [sym_declaration] = STATE(694),
    [sym_import] = STATE(1810),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1773),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_class_declaration] = STATE(668),
    [sym_function] = STATE(1810),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function] = STATE(1810),
    [sym_generator_function_declaration] = STATE(668),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_function_signature] = STATE(668),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(1829),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1180),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1182),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(538),
    [anon_sym_async] = ACTIONS(1184),
    [anon_sym_function] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1188),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
  },
  [103] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [104] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [105] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1256),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [106] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1262),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [107] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1264),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [108] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [109] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [110] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [111] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2626),
    [sym_constructor_type] = STATE(2626),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2626),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2626),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2626),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(1275),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1307),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [112] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1309),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1311),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [113] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1315),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [114] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [115] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [116] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1454),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4292),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1321),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(688),
    [anon_sym_private] = ACTIONS(688),
    [anon_sym_protected] = ACTIONS(688),
    [anon_sym_override] = ACTIONS(690),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [117] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1390),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4134),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1321),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(688),
    [anon_sym_private] = ACTIONS(688),
    [anon_sym_protected] = ACTIONS(688),
    [anon_sym_override] = ACTIONS(690),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [118] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(4037),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(4037),
    [sym_optional_parameter] = STATE(4037),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1327),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [119] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(3659),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3659),
    [sym_optional_parameter] = STATE(3659),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1335),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [120] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(4037),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(4037),
    [sym_optional_parameter] = STATE(4037),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1337),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [121] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(4037),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(4037),
    [sym_optional_parameter] = STATE(4037),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1339),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [122] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(3793),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3793),
    [sym_optional_parameter] = STATE(3793),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [123] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(4037),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(4037),
    [sym_optional_parameter] = STATE(4037),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1341),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [124] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(4037),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(4037),
    [sym_optional_parameter] = STATE(4037),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [125] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(4037),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(4037),
    [sym_optional_parameter] = STATE(4037),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [126] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(3584),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(3584),
    [sym_optional_parameter] = STATE(3584),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1347),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [127] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1588),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3787),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3778),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1351),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [128] = {
    [sym_import] = STATE(1810),
    [sym_expression_statement] = STATE(195),
    [sym_variable_declaration] = STATE(195),
    [sym_lexical_declaration] = STATE(195),
    [sym_empty_statement] = STATE(195),
    [sym_parenthesized_expression] = STATE(1119),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(3577),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(3577),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1119),
    [sym_subscript_expression] = STATE(1119),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(3577),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1119),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1353),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_var] = ACTIONS(1361),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
  },
  [129] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1595),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3787),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3778),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1371),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [130] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1373),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [131] = {
    [sym_import] = STATE(1810),
    [sym_expression_statement] = STATE(191),
    [sym_variable_declaration] = STATE(191),
    [sym_lexical_declaration] = STATE(191),
    [sym_empty_statement] = STATE(191),
    [sym_parenthesized_expression] = STATE(1119),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(3577),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(3577),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1119),
    [sym_subscript_expression] = STATE(1119),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(3577),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1119),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1353),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_var] = ACTIONS(1361),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
  },
  [132] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [133] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1377),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [134] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1379),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [135] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym__formal_parameter] = STATE(4037),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3139),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(192),
    [sym_override_modifier] = STATE(218),
    [sym_required_parameter] = STATE(4037),
    [sym_optional_parameter] = STATE(4037),
    [sym__parameter_name] = STATE(2853),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [136] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1381),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_RBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
    [anon_sym_extends] = ACTIONS(1383),
  },
  [137] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1595),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3787),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3778),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1351),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [138] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3732),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3710),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1385),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [139] = {
    [sym_statement_block] = STATE(156),
    [ts_builtin_sym_end] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1389),
    [anon_sym_export] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_default] = ACTIONS(1389),
    [anon_sym_type] = ACTIONS(1389),
    [anon_sym_as] = ACTIONS(1389),
    [anon_sym_namespace] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1387),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1389),
    [anon_sym_import] = ACTIONS(1389),
    [anon_sym_var] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_const] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_else] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(1389),
    [anon_sym_switch] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1389),
    [anon_sym_in] = ACTIONS(1389),
    [anon_sym_while] = ACTIONS(1389),
    [anon_sym_do] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1389),
    [anon_sym_with] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1389),
    [anon_sym_continue] = ACTIONS(1389),
    [anon_sym_debugger] = ACTIONS(1389),
    [anon_sym_return] = ACTIONS(1389),
    [anon_sym_throw] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1387),
    [anon_sym_case] = ACTIONS(1389),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1387),
    [anon_sym_LTtemplate_GT] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_DOT] = ACTIONS(1393),
    [anon_sym_class] = ACTIONS(1389),
    [anon_sym_async] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1389),
    [anon_sym_QMARK_DOT] = ACTIONS(1387),
    [anon_sym_new] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1387),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_GT_GT_GT] = ACTIONS(1387),
    [anon_sym_LT_LT] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1387),
    [anon_sym_PIPE] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(1387),
    [anon_sym_STAR_STAR] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1387),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1387),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1387),
    [anon_sym_QMARK_QMARK] = ACTIONS(1387),
    [anon_sym_instanceof] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1389),
    [anon_sym_delete] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_DASH_DASH] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1387),
    [sym_number] = ACTIONS(1387),
    [sym_this] = ACTIONS(1389),
    [sym_super] = ACTIONS(1389),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [sym_null] = ACTIONS(1389),
    [sym_undefined] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1387),
    [anon_sym_static] = ACTIONS(1389),
    [anon_sym_readonly] = ACTIONS(1389),
    [anon_sym_get] = ACTIONS(1389),
    [anon_sym_set] = ACTIONS(1389),
    [anon_sym_declare] = ACTIONS(1389),
    [anon_sym_public] = ACTIONS(1389),
    [anon_sym_private] = ACTIONS(1389),
    [anon_sym_protected] = ACTIONS(1389),
    [anon_sym_override] = ACTIONS(1389),
    [anon_sym_module] = ACTIONS(1389),
    [anon_sym_any] = ACTIONS(1389),
    [anon_sym_number] = ACTIONS(1389),
    [anon_sym_boolean] = ACTIONS(1389),
    [anon_sym_string] = ACTIONS(1389),
    [anon_sym_symbol] = ACTIONS(1389),
    [anon_sym_abstract] = ACTIONS(1389),
    [anon_sym_satisfies] = ACTIONS(1389),
    [anon_sym_interface] = ACTIONS(1389),
    [anon_sym_enum] = ACTIONS(1389),
    [sym__automatic_semicolon] = ACTIONS(1387),
    [sym__ternary_qmark] = ACTIONS(1387),
  },
  [140] = {
    [sym_statement_block] = STATE(156),
    [ts_builtin_sym_end] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1389),
    [anon_sym_export] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_default] = ACTIONS(1389),
    [anon_sym_type] = ACTIONS(1389),
    [anon_sym_as] = ACTIONS(1389),
    [anon_sym_namespace] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1387),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1389),
    [anon_sym_import] = ACTIONS(1389),
    [anon_sym_var] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_const] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_else] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(1389),
    [anon_sym_switch] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1389),
    [anon_sym_in] = ACTIONS(1389),
    [anon_sym_while] = ACTIONS(1389),
    [anon_sym_do] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1389),
    [anon_sym_with] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1389),
    [anon_sym_continue] = ACTIONS(1389),
    [anon_sym_debugger] = ACTIONS(1389),
    [anon_sym_return] = ACTIONS(1389),
    [anon_sym_throw] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1387),
    [anon_sym_case] = ACTIONS(1389),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1387),
    [anon_sym_LTtemplate_GT] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_DOT] = ACTIONS(1389),
    [anon_sym_class] = ACTIONS(1389),
    [anon_sym_async] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1389),
    [anon_sym_QMARK_DOT] = ACTIONS(1387),
    [anon_sym_new] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1387),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_GT_GT_GT] = ACTIONS(1387),
    [anon_sym_LT_LT] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1387),
    [anon_sym_PIPE] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(1387),
    [anon_sym_STAR_STAR] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1387),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1387),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1387),
    [anon_sym_QMARK_QMARK] = ACTIONS(1387),
    [anon_sym_instanceof] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1389),
    [anon_sym_delete] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_DASH_DASH] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1387),
    [sym_number] = ACTIONS(1387),
    [sym_this] = ACTIONS(1389),
    [sym_super] = ACTIONS(1389),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [sym_null] = ACTIONS(1389),
    [sym_undefined] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1387),
    [anon_sym_static] = ACTIONS(1389),
    [anon_sym_readonly] = ACTIONS(1389),
    [anon_sym_get] = ACTIONS(1389),
    [anon_sym_set] = ACTIONS(1389),
    [anon_sym_declare] = ACTIONS(1389),
    [anon_sym_public] = ACTIONS(1389),
    [anon_sym_private] = ACTIONS(1389),
    [anon_sym_protected] = ACTIONS(1389),
    [anon_sym_override] = ACTIONS(1389),
    [anon_sym_module] = ACTIONS(1389),
    [anon_sym_any] = ACTIONS(1389),
    [anon_sym_number] = ACTIONS(1389),
    [anon_sym_boolean] = ACTIONS(1389),
    [anon_sym_string] = ACTIONS(1389),
    [anon_sym_symbol] = ACTIONS(1389),
    [anon_sym_abstract] = ACTIONS(1389),
    [anon_sym_satisfies] = ACTIONS(1389),
    [anon_sym_interface] = ACTIONS(1389),
    [anon_sym_enum] = ACTIONS(1389),
    [sym__automatic_semicolon] = ACTIONS(1387),
    [sym__ternary_qmark] = ACTIONS(1387),
  },
  [141] = {
    [ts_builtin_sym_end] = ACTIONS(1395),
    [sym_identifier] = ACTIONS(1397),
    [anon_sym_export] = ACTIONS(1397),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1397),
    [anon_sym_type] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1399),
    [anon_sym_namespace] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1403),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_typeof] = ACTIONS(1397),
    [anon_sym_import] = ACTIONS(1397),
    [anon_sym_var] = ACTIONS(1397),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_const] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_else] = ACTIONS(1397),
    [anon_sym_if] = ACTIONS(1397),
    [anon_sym_switch] = ACTIONS(1397),
    [anon_sym_for] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1395),
    [anon_sym_await] = ACTIONS(1397),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1397),
    [anon_sym_do] = ACTIONS(1397),
    [anon_sym_try] = ACTIONS(1397),
    [anon_sym_with] = ACTIONS(1397),
    [anon_sym_break] = ACTIONS(1397),
    [anon_sym_continue] = ACTIONS(1397),
    [anon_sym_debugger] = ACTIONS(1397),
    [anon_sym_return] = ACTIONS(1397),
    [anon_sym_throw] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1395),
    [anon_sym_case] = ACTIONS(1397),
    [anon_sym_yield] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_LTtemplate_GT] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1397),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1397),
    [anon_sym_DOT] = ACTIONS(1399),
    [anon_sym_class] = ACTIONS(1397),
    [anon_sym_async] = ACTIONS(1397),
    [anon_sym_function] = ACTIONS(1397),
    [anon_sym_QMARK_DOT] = ACTIONS(1403),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_AMP_AMP] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1403),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1403),
    [anon_sym_LT_LT] = ACTIONS(1403),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1403),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1397),
    [anon_sym_PERCENT] = ACTIONS(1403),
    [anon_sym_STAR_STAR] = ACTIONS(1403),
    [anon_sym_LT_EQ] = ACTIONS(1403),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1403),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1403),
    [anon_sym_GT_EQ] = ACTIONS(1403),
    [anon_sym_QMARK_QMARK] = ACTIONS(1403),
    [anon_sym_instanceof] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1395),
    [anon_sym_void] = ACTIONS(1397),
    [anon_sym_delete] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1395),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [anon_sym_DQUOTE] = ACTIONS(1395),
    [anon_sym_SQUOTE] = ACTIONS(1395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1395),
    [sym_this] = ACTIONS(1397),
    [sym_super] = ACTIONS(1397),
    [sym_true] = ACTIONS(1397),
    [sym_false] = ACTIONS(1397),
    [sym_null] = ACTIONS(1397),
    [sym_undefined] = ACTIONS(1397),
    [anon_sym_AT] = ACTIONS(1395),
    [anon_sym_static] = ACTIONS(1397),
    [anon_sym_readonly] = ACTIONS(1397),
    [anon_sym_get] = ACTIONS(1397),
    [anon_sym_set] = ACTIONS(1397),
    [anon_sym_declare] = ACTIONS(1397),
    [anon_sym_public] = ACTIONS(1397),
    [anon_sym_private] = ACTIONS(1397),
    [anon_sym_protected] = ACTIONS(1397),
    [anon_sym_override] = ACTIONS(1397),
    [anon_sym_module] = ACTIONS(1397),
    [anon_sym_any] = ACTIONS(1397),
    [anon_sym_number] = ACTIONS(1397),
    [anon_sym_boolean] = ACTIONS(1397),
    [anon_sym_string] = ACTIONS(1397),
    [anon_sym_symbol] = ACTIONS(1397),
    [anon_sym_abstract] = ACTIONS(1397),
    [anon_sym_satisfies] = ACTIONS(1399),
    [anon_sym_interface] = ACTIONS(1397),
    [anon_sym_enum] = ACTIONS(1397),
    [sym__automatic_semicolon] = ACTIONS(1405),
    [sym__ternary_qmark] = ACTIONS(1403),
  },
  [142] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_SEMI] = ACTIONS(1381),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
    [anon_sym_extends] = ACTIONS(1383),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1381),
    [sym__automatic_semicolon] = ACTIONS(1381),
  },
  [143] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1901),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(3593),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(3593),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1147),
    [sym_subscript_expression] = STATE(1147),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(3593),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1147),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_mapped_type_clause] = STATE(4145),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_export] = ACTIONS(1409),
    [anon_sym_type] = ACTIONS(1409),
    [anon_sym_namespace] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1415),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1409),
    [anon_sym_readonly] = ACTIONS(1409),
    [anon_sym_get] = ACTIONS(1409),
    [anon_sym_set] = ACTIONS(1409),
    [anon_sym_declare] = ACTIONS(1409),
    [anon_sym_public] = ACTIONS(1409),
    [anon_sym_private] = ACTIONS(1409),
    [anon_sym_protected] = ACTIONS(1409),
    [anon_sym_override] = ACTIONS(1409),
    [anon_sym_module] = ACTIONS(1409),
    [anon_sym_any] = ACTIONS(1409),
    [anon_sym_number] = ACTIONS(1409),
    [anon_sym_boolean] = ACTIONS(1409),
    [anon_sym_string] = ACTIONS(1409),
    [anon_sym_symbol] = ACTIONS(1409),
  },
  [144] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym_identifier] = ACTIONS(1427),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_as] = ACTIONS(1429),
    [anon_sym_namespace] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1431),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_typeof] = ACTIONS(1427),
    [anon_sym_import] = ACTIONS(1427),
    [anon_sym_var] = ACTIONS(1427),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_const] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1427),
    [anon_sym_else] = ACTIONS(1427),
    [anon_sym_if] = ACTIONS(1427),
    [anon_sym_switch] = ACTIONS(1427),
    [anon_sym_for] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [anon_sym_await] = ACTIONS(1427),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(1427),
    [anon_sym_do] = ACTIONS(1427),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_with] = ACTIONS(1427),
    [anon_sym_break] = ACTIONS(1427),
    [anon_sym_continue] = ACTIONS(1427),
    [anon_sym_debugger] = ACTIONS(1427),
    [anon_sym_return] = ACTIONS(1427),
    [anon_sym_throw] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_case] = ACTIONS(1427),
    [anon_sym_yield] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [anon_sym_LTtemplate_GT] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_DOT] = ACTIONS(1429),
    [anon_sym_class] = ACTIONS(1427),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1427),
    [anon_sym_QMARK_DOT] = ACTIONS(1431),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1431),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1431),
    [anon_sym_PIPE] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_PERCENT] = ACTIONS(1431),
    [anon_sym_STAR_STAR] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1429),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1431),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1431),
    [anon_sym_QMARK_QMARK] = ACTIONS(1431),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_void] = ACTIONS(1427),
    [anon_sym_delete] = ACTIONS(1427),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1425),
    [sym_number] = ACTIONS(1425),
    [sym_this] = ACTIONS(1427),
    [sym_super] = ACTIONS(1427),
    [sym_true] = ACTIONS(1427),
    [sym_false] = ACTIONS(1427),
    [sym_null] = ACTIONS(1427),
    [sym_undefined] = ACTIONS(1427),
    [anon_sym_AT] = ACTIONS(1425),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_abstract] = ACTIONS(1427),
    [anon_sym_satisfies] = ACTIONS(1429),
    [anon_sym_interface] = ACTIONS(1427),
    [anon_sym_enum] = ACTIONS(1427),
    [sym__automatic_semicolon] = ACTIONS(1433),
    [sym__ternary_qmark] = ACTIONS(1431),
  },
  [145] = {
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym_identifier] = ACTIONS(1437),
    [anon_sym_export] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_default] = ACTIONS(1437),
    [anon_sym_type] = ACTIONS(1437),
    [anon_sym_as] = ACTIONS(1439),
    [anon_sym_namespace] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1441),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_typeof] = ACTIONS(1437),
    [anon_sym_import] = ACTIONS(1437),
    [anon_sym_var] = ACTIONS(1437),
    [anon_sym_let] = ACTIONS(1437),
    [anon_sym_const] = ACTIONS(1437),
    [anon_sym_BANG] = ACTIONS(1437),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1435),
    [anon_sym_await] = ACTIONS(1437),
    [anon_sym_in] = ACTIONS(1439),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1437),
    [anon_sym_with] = ACTIONS(1437),
    [anon_sym_break] = ACTIONS(1437),
    [anon_sym_continue] = ACTIONS(1437),
    [anon_sym_debugger] = ACTIONS(1437),
    [anon_sym_return] = ACTIONS(1437),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_LTtemplate_GT] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1437),
    [anon_sym_GT] = ACTIONS(1439),
    [anon_sym_SLASH] = ACTIONS(1437),
    [anon_sym_DOT] = ACTIONS(1439),
    [anon_sym_class] = ACTIONS(1437),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(1437),
    [anon_sym_QMARK_DOT] = ACTIONS(1441),
    [anon_sym_new] = ACTIONS(1437),
    [anon_sym_AMP_AMP] = ACTIONS(1441),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1439),
    [anon_sym_GT_GT_GT] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1439),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1439),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_PERCENT] = ACTIONS(1441),
    [anon_sym_STAR_STAR] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_EQ_EQ] = ACTIONS(1439),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1439),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_QMARK_QMARK] = ACTIONS(1441),
    [anon_sym_instanceof] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_void] = ACTIONS(1437),
    [anon_sym_delete] = ACTIONS(1437),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_DASH_DASH] = ACTIONS(1437),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1435),
    [sym_number] = ACTIONS(1435),
    [sym_this] = ACTIONS(1437),
    [sym_super] = ACTIONS(1437),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [sym_null] = ACTIONS(1437),
    [sym_undefined] = ACTIONS(1437),
    [anon_sym_AT] = ACTIONS(1435),
    [anon_sym_static] = ACTIONS(1437),
    [anon_sym_readonly] = ACTIONS(1437),
    [anon_sym_get] = ACTIONS(1437),
    [anon_sym_set] = ACTIONS(1437),
    [anon_sym_declare] = ACTIONS(1437),
    [anon_sym_public] = ACTIONS(1437),
    [anon_sym_private] = ACTIONS(1437),
    [anon_sym_protected] = ACTIONS(1437),
    [anon_sym_override] = ACTIONS(1437),
    [anon_sym_module] = ACTIONS(1437),
    [anon_sym_any] = ACTIONS(1437),
    [anon_sym_number] = ACTIONS(1437),
    [anon_sym_boolean] = ACTIONS(1437),
    [anon_sym_string] = ACTIONS(1437),
    [anon_sym_symbol] = ACTIONS(1437),
    [anon_sym_abstract] = ACTIONS(1437),
    [anon_sym_satisfies] = ACTIONS(1439),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1437),
    [sym__automatic_semicolon] = ACTIONS(1443),
    [sym__ternary_qmark] = ACTIONS(1441),
  },
  [146] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_default] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_as] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_typeof] = ACTIONS(1447),
    [anon_sym_import] = ACTIONS(1447),
    [anon_sym_var] = ACTIONS(1447),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_const] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1447),
    [anon_sym_else] = ACTIONS(1447),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_switch] = ACTIONS(1447),
    [anon_sym_for] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_await] = ACTIONS(1447),
    [anon_sym_in] = ACTIONS(1447),
    [anon_sym_while] = ACTIONS(1447),
    [anon_sym_do] = ACTIONS(1447),
    [anon_sym_try] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1447),
    [anon_sym_break] = ACTIONS(1447),
    [anon_sym_continue] = ACTIONS(1447),
    [anon_sym_debugger] = ACTIONS(1447),
    [anon_sym_return] = ACTIONS(1447),
    [anon_sym_throw] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1447),
    [anon_sym_yield] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [anon_sym_LTtemplate_GT] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_DOT] = ACTIONS(1447),
    [anon_sym_class] = ACTIONS(1447),
    [anon_sym_async] = ACTIONS(1447),
    [anon_sym_function] = ACTIONS(1447),
    [anon_sym_QMARK_DOT] = ACTIONS(1445),
    [anon_sym_new] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1445),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1447),
    [anon_sym_GT_GT_GT] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
    [anon_sym_PLUS] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_PERCENT] = ACTIONS(1445),
    [anon_sym_STAR_STAR] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_EQ_EQ] = ACTIONS(1447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1447),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_QMARK_QMARK] = ACTIONS(1445),
    [anon_sym_instanceof] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1445),
    [anon_sym_void] = ACTIONS(1447),
    [anon_sym_delete] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_SQUOTE] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1445),
    [sym_number] = ACTIONS(1445),
    [sym_this] = ACTIONS(1447),
    [sym_super] = ACTIONS(1447),
    [sym_true] = ACTIONS(1447),
    [sym_false] = ACTIONS(1447),
    [sym_null] = ACTIONS(1447),
    [sym_undefined] = ACTIONS(1447),
    [anon_sym_AT] = ACTIONS(1445),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_abstract] = ACTIONS(1447),
    [anon_sym_satisfies] = ACTIONS(1447),
    [anon_sym_interface] = ACTIONS(1447),
    [anon_sym_enum] = ACTIONS(1447),
    [sym__automatic_semicolon] = ACTIONS(1445),
    [sym__ternary_qmark] = ACTIONS(1445),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym_identifier] = ACTIONS(1451),
    [anon_sym_export] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1451),
    [anon_sym_type] = ACTIONS(1451),
    [anon_sym_as] = ACTIONS(1453),
    [anon_sym_namespace] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1455),
    [anon_sym_RBRACE] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym_import] = ACTIONS(1451),
    [anon_sym_var] = ACTIONS(1451),
    [anon_sym_let] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1451),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1451),
    [anon_sym_for] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [anon_sym_await] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1451),
    [anon_sym_do] = ACTIONS(1451),
    [anon_sym_try] = ACTIONS(1451),
    [anon_sym_with] = ACTIONS(1451),
    [anon_sym_break] = ACTIONS(1451),
    [anon_sym_continue] = ACTIONS(1451),
    [anon_sym_debugger] = ACTIONS(1451),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1451),
    [anon_sym_yield] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_LTtemplate_GT] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_DOT] = ACTIONS(1453),
    [anon_sym_class] = ACTIONS(1451),
    [anon_sym_async] = ACTIONS(1451),
    [anon_sym_function] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(1455),
    [anon_sym_new] = ACTIONS(1451),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1455),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_GT_GT_GT] = ACTIONS(1455),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1455),
    [anon_sym_PIPE] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_PERCENT] = ACTIONS(1455),
    [anon_sym_STAR_STAR] = ACTIONS(1455),
    [anon_sym_LT_EQ] = ACTIONS(1455),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1455),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1455),
    [anon_sym_GT_EQ] = ACTIONS(1455),
    [anon_sym_QMARK_QMARK] = ACTIONS(1455),
    [anon_sym_instanceof] = ACTIONS(1453),
    [anon_sym_TILDE] = ACTIONS(1449),
    [anon_sym_void] = ACTIONS(1451),
    [anon_sym_delete] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1449),
    [anon_sym_SQUOTE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1449),
    [sym_number] = ACTIONS(1449),
    [sym_this] = ACTIONS(1451),
    [sym_super] = ACTIONS(1451),
    [sym_true] = ACTIONS(1451),
    [sym_false] = ACTIONS(1451),
    [sym_null] = ACTIONS(1451),
    [sym_undefined] = ACTIONS(1451),
    [anon_sym_AT] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1451),
    [anon_sym_readonly] = ACTIONS(1451),
    [anon_sym_get] = ACTIONS(1451),
    [anon_sym_set] = ACTIONS(1451),
    [anon_sym_declare] = ACTIONS(1451),
    [anon_sym_public] = ACTIONS(1451),
    [anon_sym_private] = ACTIONS(1451),
    [anon_sym_protected] = ACTIONS(1451),
    [anon_sym_override] = ACTIONS(1451),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_any] = ACTIONS(1451),
    [anon_sym_number] = ACTIONS(1451),
    [anon_sym_boolean] = ACTIONS(1451),
    [anon_sym_string] = ACTIONS(1451),
    [anon_sym_symbol] = ACTIONS(1451),
    [anon_sym_abstract] = ACTIONS(1451),
    [anon_sym_satisfies] = ACTIONS(1453),
    [anon_sym_interface] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1451),
    [sym__automatic_semicolon] = ACTIONS(1457),
    [sym__ternary_qmark] = ACTIONS(1455),
  },
  [148] = {
    [ts_builtin_sym_end] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1463),
    [anon_sym_default] = ACTIONS(1461),
    [anon_sym_type] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(1463),
    [anon_sym_namespace] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1465),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_typeof] = ACTIONS(1461),
    [anon_sym_import] = ACTIONS(1461),
    [anon_sym_var] = ACTIONS(1461),
    [anon_sym_let] = ACTIONS(1461),
    [anon_sym_const] = ACTIONS(1461),
    [anon_sym_BANG] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1459),
    [anon_sym_await] = ACTIONS(1461),
    [anon_sym_in] = ACTIONS(1463),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1461),
    [anon_sym_with] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_debugger] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_throw] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_case] = ACTIONS(1461),
    [anon_sym_yield] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_LTtemplate_GT] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1461),
    [anon_sym_GT] = ACTIONS(1463),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(1463),
    [anon_sym_class] = ACTIONS(1461),
    [anon_sym_async] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1461),
    [anon_sym_QMARK_DOT] = ACTIONS(1465),
    [anon_sym_new] = ACTIONS(1461),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1463),
    [anon_sym_GT_GT_GT] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1463),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_PERCENT] = ACTIONS(1465),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ] = ACTIONS(1463),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1463),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_QMARK_QMARK] = ACTIONS(1465),
    [anon_sym_instanceof] = ACTIONS(1463),
    [anon_sym_TILDE] = ACTIONS(1459),
    [anon_sym_void] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1461),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_DASH_DASH] = ACTIONS(1461),
    [anon_sym_DQUOTE] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1459),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1459),
    [sym_number] = ACTIONS(1459),
    [sym_this] = ACTIONS(1461),
    [sym_super] = ACTIONS(1461),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [sym_null] = ACTIONS(1461),
    [sym_undefined] = ACTIONS(1461),
    [anon_sym_AT] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_readonly] = ACTIONS(1461),
    [anon_sym_get] = ACTIONS(1461),
    [anon_sym_set] = ACTIONS(1461),
    [anon_sym_declare] = ACTIONS(1461),
    [anon_sym_public] = ACTIONS(1461),
    [anon_sym_private] = ACTIONS(1461),
    [anon_sym_protected] = ACTIONS(1461),
    [anon_sym_override] = ACTIONS(1461),
    [anon_sym_module] = ACTIONS(1461),
    [anon_sym_any] = ACTIONS(1461),
    [anon_sym_number] = ACTIONS(1461),
    [anon_sym_boolean] = ACTIONS(1461),
    [anon_sym_string] = ACTIONS(1461),
    [anon_sym_symbol] = ACTIONS(1461),
    [anon_sym_abstract] = ACTIONS(1461),
    [anon_sym_satisfies] = ACTIONS(1463),
    [anon_sym_interface] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [sym__automatic_semicolon] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1465),
  },
  [149] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_default] = ACTIONS(1471),
    [anon_sym_type] = ACTIONS(1471),
    [anon_sym_as] = ACTIONS(1473),
    [anon_sym_namespace] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1475),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_typeof] = ACTIONS(1471),
    [anon_sym_import] = ACTIONS(1471),
    [anon_sym_var] = ACTIONS(1471),
    [anon_sym_let] = ACTIONS(1471),
    [anon_sym_const] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_if] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(1471),
    [anon_sym_for] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1473),
    [anon_sym_while] = ACTIONS(1471),
    [anon_sym_do] = ACTIONS(1471),
    [anon_sym_try] = ACTIONS(1471),
    [anon_sym_with] = ACTIONS(1471),
    [anon_sym_break] = ACTIONS(1471),
    [anon_sym_continue] = ACTIONS(1471),
    [anon_sym_debugger] = ACTIONS(1471),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1471),
    [anon_sym_yield] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LTtemplate_GT] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1473),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_DOT] = ACTIONS(1473),
    [anon_sym_class] = ACTIONS(1471),
    [anon_sym_async] = ACTIONS(1471),
    [anon_sym_function] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(1475),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1475),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1473),
    [anon_sym_GT_GT_GT] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1473),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1473),
    [anon_sym_PLUS] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_PERCENT] = ACTIONS(1475),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1473),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1473),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_QMARK_QMARK] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1473),
    [anon_sym_TILDE] = ACTIONS(1469),
    [anon_sym_void] = ACTIONS(1471),
    [anon_sym_delete] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1469),
    [anon_sym_SQUOTE] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1469),
    [sym_this] = ACTIONS(1471),
    [sym_super] = ACTIONS(1471),
    [sym_true] = ACTIONS(1471),
    [sym_false] = ACTIONS(1471),
    [sym_null] = ACTIONS(1471),
    [sym_undefined] = ACTIONS(1471),
    [anon_sym_AT] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1471),
    [anon_sym_readonly] = ACTIONS(1471),
    [anon_sym_get] = ACTIONS(1471),
    [anon_sym_set] = ACTIONS(1471),
    [anon_sym_declare] = ACTIONS(1471),
    [anon_sym_public] = ACTIONS(1471),
    [anon_sym_private] = ACTIONS(1471),
    [anon_sym_protected] = ACTIONS(1471),
    [anon_sym_override] = ACTIONS(1471),
    [anon_sym_module] = ACTIONS(1471),
    [anon_sym_any] = ACTIONS(1471),
    [anon_sym_number] = ACTIONS(1471),
    [anon_sym_boolean] = ACTIONS(1471),
    [anon_sym_string] = ACTIONS(1471),
    [anon_sym_symbol] = ACTIONS(1471),
    [anon_sym_abstract] = ACTIONS(1471),
    [anon_sym_satisfies] = ACTIONS(1473),
    [anon_sym_interface] = ACTIONS(1471),
    [anon_sym_enum] = ACTIONS(1471),
    [sym__automatic_semicolon] = ACTIONS(1477),
    [sym__ternary_qmark] = ACTIONS(1475),
  },
  [150] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1547),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3988),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3558),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3677),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1479),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1479),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [151] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_assignment_pattern] = STATE(3733),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3449),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_pattern_repeat1] = STATE(3704),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(1415),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_type] = ACTIONS(1486),
    [anon_sym_as] = ACTIONS(1486),
    [anon_sym_namespace] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_typeof] = ACTIONS(1486),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1486),
    [anon_sym_let] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_else] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_await] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1486),
    [anon_sym_with] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_debugger] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_throw] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_yield] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LTtemplate_GT] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_DOT] = ACTIONS(1486),
    [anon_sym_class] = ACTIONS(1486),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_QMARK_DOT] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1486),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_QMARK_QMARK] = ACTIONS(1484),
    [anon_sym_instanceof] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_void] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_number] = ACTIONS(1484),
    [sym_this] = ACTIONS(1486),
    [sym_super] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_readonly] = ACTIONS(1486),
    [anon_sym_get] = ACTIONS(1486),
    [anon_sym_set] = ACTIONS(1486),
    [anon_sym_declare] = ACTIONS(1486),
    [anon_sym_public] = ACTIONS(1486),
    [anon_sym_private] = ACTIONS(1486),
    [anon_sym_protected] = ACTIONS(1486),
    [anon_sym_override] = ACTIONS(1486),
    [anon_sym_module] = ACTIONS(1486),
    [anon_sym_any] = ACTIONS(1486),
    [anon_sym_number] = ACTIONS(1486),
    [anon_sym_boolean] = ACTIONS(1486),
    [anon_sym_string] = ACTIONS(1486),
    [anon_sym_symbol] = ACTIONS(1486),
    [anon_sym_abstract] = ACTIONS(1486),
    [anon_sym_satisfies] = ACTIONS(1486),
    [anon_sym_interface] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [sym__automatic_semicolon] = ACTIONS(1488),
    [sym__ternary_qmark] = ACTIONS(1484),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_export] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_type] = ACTIONS(1492),
    [anon_sym_as] = ACTIONS(1492),
    [anon_sym_namespace] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_typeof] = ACTIONS(1492),
    [anon_sym_import] = ACTIONS(1492),
    [anon_sym_var] = ACTIONS(1492),
    [anon_sym_let] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_else] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(1492),
    [anon_sym_with] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_debugger] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_LTtemplate_GT] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1492),
    [anon_sym_class] = ACTIONS(1492),
    [anon_sym_async] = ACTIONS(1492),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_QMARK_DOT] = ACTIONS(1490),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_STAR_STAR] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_QMARK_QMARK] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1492),
    [anon_sym_delete] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [sym_number] = ACTIONS(1490),
    [sym_this] = ACTIONS(1492),
    [sym_super] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_get] = ACTIONS(1492),
    [anon_sym_set] = ACTIONS(1492),
    [anon_sym_declare] = ACTIONS(1492),
    [anon_sym_public] = ACTIONS(1492),
    [anon_sym_private] = ACTIONS(1492),
    [anon_sym_protected] = ACTIONS(1492),
    [anon_sym_override] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [anon_sym_any] = ACTIONS(1492),
    [anon_sym_number] = ACTIONS(1492),
    [anon_sym_boolean] = ACTIONS(1492),
    [anon_sym_string] = ACTIONS(1492),
    [anon_sym_symbol] = ACTIONS(1492),
    [anon_sym_abstract] = ACTIONS(1492),
    [anon_sym_satisfies] = ACTIONS(1492),
    [anon_sym_interface] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [sym__automatic_semicolon] = ACTIONS(1490),
    [sym__ternary_qmark] = ACTIONS(1490),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_export] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_type] = ACTIONS(1496),
    [anon_sym_as] = ACTIONS(1498),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(1496),
    [anon_sym_var] = ACTIONS(1496),
    [anon_sym_let] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_await] = ACTIONS(1496),
    [anon_sym_in] = ACTIONS(1498),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1496),
    [anon_sym_with] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_debugger] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_throw] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_yield] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_LTtemplate_GT] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1498),
    [anon_sym_SLASH] = ACTIONS(1496),
    [anon_sym_DOT] = ACTIONS(1498),
    [anon_sym_class] = ACTIONS(1496),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_QMARK_DOT] = ACTIONS(1500),
    [anon_sym_new] = ACTIONS(1496),
    [anon_sym_AMP_AMP] = ACTIONS(1500),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1498),
    [anon_sym_GT_GT_GT] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PERCENT] = ACTIONS(1500),
    [anon_sym_STAR_STAR] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_EQ_EQ] = ACTIONS(1498),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1498),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_QMARK_QMARK] = ACTIONS(1500),
    [anon_sym_instanceof] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [sym_number] = ACTIONS(1494),
    [sym_this] = ACTIONS(1496),
    [sym_super] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_undefined] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_get] = ACTIONS(1496),
    [anon_sym_set] = ACTIONS(1496),
    [anon_sym_declare] = ACTIONS(1496),
    [anon_sym_public] = ACTIONS(1496),
    [anon_sym_private] = ACTIONS(1496),
    [anon_sym_protected] = ACTIONS(1496),
    [anon_sym_override] = ACTIONS(1496),
    [anon_sym_module] = ACTIONS(1496),
    [anon_sym_any] = ACTIONS(1496),
    [anon_sym_number] = ACTIONS(1496),
    [anon_sym_boolean] = ACTIONS(1496),
    [anon_sym_string] = ACTIONS(1496),
    [anon_sym_symbol] = ACTIONS(1496),
    [anon_sym_abstract] = ACTIONS(1496),
    [anon_sym_satisfies] = ACTIONS(1498),
    [anon_sym_interface] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [sym__automatic_semicolon] = ACTIONS(1502),
    [sym__ternary_qmark] = ACTIONS(1500),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_export] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1506),
    [anon_sym_type] = ACTIONS(1506),
    [anon_sym_as] = ACTIONS(1508),
    [anon_sym_namespace] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_typeof] = ACTIONS(1506),
    [anon_sym_import] = ACTIONS(1506),
    [anon_sym_var] = ACTIONS(1506),
    [anon_sym_let] = ACTIONS(1506),
    [anon_sym_const] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_else] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_switch] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_await] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1506),
    [anon_sym_try] = ACTIONS(1506),
    [anon_sym_with] = ACTIONS(1506),
    [anon_sym_break] = ACTIONS(1506),
    [anon_sym_continue] = ACTIONS(1506),
    [anon_sym_debugger] = ACTIONS(1506),
    [anon_sym_return] = ACTIONS(1506),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1506),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_LTtemplate_GT] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_DOT] = ACTIONS(1508),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_async] = ACTIONS(1506),
    [anon_sym_function] = ACTIONS(1506),
    [anon_sym_QMARK_DOT] = ACTIONS(1510),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_AMP_AMP] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1510),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_GT_GT_GT] = ACTIONS(1510),
    [anon_sym_LT_LT] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_STAR_STAR] = ACTIONS(1510),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_EQ_EQ] = ACTIONS(1508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1510),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_QMARK_QMARK] = ACTIONS(1510),
    [anon_sym_instanceof] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_void] = ACTIONS(1506),
    [anon_sym_delete] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [sym_number] = ACTIONS(1504),
    [sym_this] = ACTIONS(1506),
    [sym_super] = ACTIONS(1506),
    [sym_true] = ACTIONS(1506),
    [sym_false] = ACTIONS(1506),
    [sym_null] = ACTIONS(1506),
    [sym_undefined] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1506),
    [anon_sym_readonly] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_declare] = ACTIONS(1506),
    [anon_sym_public] = ACTIONS(1506),
    [anon_sym_private] = ACTIONS(1506),
    [anon_sym_protected] = ACTIONS(1506),
    [anon_sym_override] = ACTIONS(1506),
    [anon_sym_module] = ACTIONS(1506),
    [anon_sym_any] = ACTIONS(1506),
    [anon_sym_number] = ACTIONS(1506),
    [anon_sym_boolean] = ACTIONS(1506),
    [anon_sym_string] = ACTIONS(1506),
    [anon_sym_symbol] = ACTIONS(1506),
    [anon_sym_abstract] = ACTIONS(1506),
    [anon_sym_satisfies] = ACTIONS(1508),
    [anon_sym_interface] = ACTIONS(1506),
    [anon_sym_enum] = ACTIONS(1506),
    [sym__automatic_semicolon] = ACTIONS(1512),
    [sym__ternary_qmark] = ACTIONS(1510),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_export] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_as] = ACTIONS(1516),
    [anon_sym_namespace] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_typeof] = ACTIONS(1516),
    [anon_sym_import] = ACTIONS(1516),
    [anon_sym_var] = ACTIONS(1516),
    [anon_sym_let] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_else] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_await] = ACTIONS(1516),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_try] = ACTIONS(1516),
    [anon_sym_with] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_debugger] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_throw] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_yield] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_LTtemplate_GT] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_class] = ACTIONS(1516),
    [anon_sym_async] = ACTIONS(1516),
    [anon_sym_function] = ACTIONS(1516),
    [anon_sym_QMARK_DOT] = ACTIONS(1514),
    [anon_sym_new] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_GT_GT_GT] = ACTIONS(1514),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [anon_sym_STAR_STAR] = ACTIONS(1514),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1514),
    [anon_sym_QMARK_QMARK] = ACTIONS(1514),
    [anon_sym_instanceof] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_void] = ACTIONS(1516),
    [anon_sym_delete] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [sym_number] = ACTIONS(1514),
    [sym_this] = ACTIONS(1516),
    [sym_super] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [sym_null] = ACTIONS(1516),
    [sym_undefined] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1514),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_get] = ACTIONS(1516),
    [anon_sym_set] = ACTIONS(1516),
    [anon_sym_declare] = ACTIONS(1516),
    [anon_sym_public] = ACTIONS(1516),
    [anon_sym_private] = ACTIONS(1516),
    [anon_sym_protected] = ACTIONS(1516),
    [anon_sym_override] = ACTIONS(1516),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_any] = ACTIONS(1516),
    [anon_sym_number] = ACTIONS(1516),
    [anon_sym_boolean] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_symbol] = ACTIONS(1516),
    [anon_sym_abstract] = ACTIONS(1516),
    [anon_sym_satisfies] = ACTIONS(1516),
    [anon_sym_interface] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [sym__automatic_semicolon] = ACTIONS(1514),
    [sym__ternary_qmark] = ACTIONS(1514),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_export] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_type] = ACTIONS(1520),
    [anon_sym_as] = ACTIONS(1522),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_typeof] = ACTIONS(1520),
    [anon_sym_import] = ACTIONS(1520),
    [anon_sym_var] = ACTIONS(1520),
    [anon_sym_let] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_else] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_await] = ACTIONS(1520),
    [anon_sym_in] = ACTIONS(1522),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_try] = ACTIONS(1520),
    [anon_sym_with] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_debugger] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_throw] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_yield] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_LTtemplate_GT] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_class] = ACTIONS(1520),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_function] = ACTIONS(1520),
    [anon_sym_QMARK_DOT] = ACTIONS(1524),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_AMP_AMP] = ACTIONS(1524),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_GT_GT_GT] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1524),
    [anon_sym_STAR_STAR] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1524),
    [anon_sym_instanceof] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_void] = ACTIONS(1520),
    [anon_sym_delete] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [sym_number] = ACTIONS(1518),
    [sym_this] = ACTIONS(1520),
    [sym_super] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [sym_null] = ACTIONS(1520),
    [sym_undefined] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1518),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_declare] = ACTIONS(1520),
    [anon_sym_public] = ACTIONS(1520),
    [anon_sym_private] = ACTIONS(1520),
    [anon_sym_protected] = ACTIONS(1520),
    [anon_sym_override] = ACTIONS(1520),
    [anon_sym_module] = ACTIONS(1520),
    [anon_sym_any] = ACTIONS(1520),
    [anon_sym_number] = ACTIONS(1520),
    [anon_sym_boolean] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_symbol] = ACTIONS(1520),
    [anon_sym_abstract] = ACTIONS(1520),
    [anon_sym_satisfies] = ACTIONS(1522),
    [anon_sym_interface] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [sym__automatic_semicolon] = ACTIONS(1526),
    [sym__ternary_qmark] = ACTIONS(1524),
  },
  [158] = {
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(1530),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(1532),
    [anon_sym_default] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_as] = ACTIONS(1532),
    [anon_sym_namespace] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [anon_sym_typeof] = ACTIONS(1530),
    [anon_sym_import] = ACTIONS(1530),
    [anon_sym_var] = ACTIONS(1530),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_const] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_else] = ACTIONS(1530),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_switch] = ACTIONS(1530),
    [anon_sym_for] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_await] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1530),
    [anon_sym_do] = ACTIONS(1530),
    [anon_sym_try] = ACTIONS(1530),
    [anon_sym_with] = ACTIONS(1530),
    [anon_sym_break] = ACTIONS(1530),
    [anon_sym_continue] = ACTIONS(1530),
    [anon_sym_debugger] = ACTIONS(1530),
    [anon_sym_return] = ACTIONS(1530),
    [anon_sym_throw] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1530),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_LTtemplate_GT] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_GT] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1532),
    [anon_sym_class] = ACTIONS(1530),
    [anon_sym_async] = ACTIONS(1530),
    [anon_sym_function] = ACTIONS(1530),
    [anon_sym_QMARK_DOT] = ACTIONS(1534),
    [anon_sym_new] = ACTIONS(1530),
    [anon_sym_AMP_AMP] = ACTIONS(1534),
    [anon_sym_PIPE_PIPE] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1532),
    [anon_sym_GT_GT_GT] = ACTIONS(1534),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [anon_sym_STAR_STAR] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1534),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1534),
    [anon_sym_QMARK_QMARK] = ACTIONS(1534),
    [anon_sym_instanceof] = ACTIONS(1532),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1530),
    [anon_sym_delete] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [sym_number] = ACTIONS(1528),
    [sym_this] = ACTIONS(1530),
    [sym_super] = ACTIONS(1530),
    [sym_true] = ACTIONS(1530),
    [sym_false] = ACTIONS(1530),
    [sym_null] = ACTIONS(1530),
    [sym_undefined] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_abstract] = ACTIONS(1530),
    [anon_sym_satisfies] = ACTIONS(1532),
    [anon_sym_interface] = ACTIONS(1530),
    [anon_sym_enum] = ACTIONS(1530),
    [sym__automatic_semicolon] = ACTIONS(1536),
    [sym__ternary_qmark] = ACTIONS(1534),
  },
  [159] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(1415),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_export] = ACTIONS(1540),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_default] = ACTIONS(1540),
    [anon_sym_type] = ACTIONS(1540),
    [anon_sym_as] = ACTIONS(1540),
    [anon_sym_namespace] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_typeof] = ACTIONS(1540),
    [anon_sym_import] = ACTIONS(1540),
    [anon_sym_var] = ACTIONS(1540),
    [anon_sym_let] = ACTIONS(1540),
    [anon_sym_const] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_else] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1540),
    [anon_sym_switch] = ACTIONS(1540),
    [anon_sym_for] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_await] = ACTIONS(1540),
    [anon_sym_in] = ACTIONS(1540),
    [anon_sym_while] = ACTIONS(1540),
    [anon_sym_do] = ACTIONS(1540),
    [anon_sym_try] = ACTIONS(1540),
    [anon_sym_with] = ACTIONS(1540),
    [anon_sym_break] = ACTIONS(1540),
    [anon_sym_continue] = ACTIONS(1540),
    [anon_sym_debugger] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1540),
    [anon_sym_throw] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1540),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_LTtemplate_GT] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(1540),
    [anon_sym_class] = ACTIONS(1540),
    [anon_sym_async] = ACTIONS(1540),
    [anon_sym_function] = ACTIONS(1540),
    [anon_sym_QMARK_DOT] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1538),
    [anon_sym_PIPE_PIPE] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_GT_GT_GT] = ACTIONS(1538),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_STAR_STAR] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1538),
    [anon_sym_QMARK_QMARK] = ACTIONS(1538),
    [anon_sym_instanceof] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_void] = ACTIONS(1540),
    [anon_sym_delete] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [sym_number] = ACTIONS(1538),
    [sym_this] = ACTIONS(1540),
    [sym_super] = ACTIONS(1540),
    [sym_true] = ACTIONS(1540),
    [sym_false] = ACTIONS(1540),
    [sym_null] = ACTIONS(1540),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1538),
    [anon_sym_static] = ACTIONS(1540),
    [anon_sym_readonly] = ACTIONS(1540),
    [anon_sym_get] = ACTIONS(1540),
    [anon_sym_set] = ACTIONS(1540),
    [anon_sym_declare] = ACTIONS(1540),
    [anon_sym_public] = ACTIONS(1540),
    [anon_sym_private] = ACTIONS(1540),
    [anon_sym_protected] = ACTIONS(1540),
    [anon_sym_override] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1540),
    [anon_sym_number] = ACTIONS(1540),
    [anon_sym_boolean] = ACTIONS(1540),
    [anon_sym_string] = ACTIONS(1540),
    [anon_sym_symbol] = ACTIONS(1540),
    [anon_sym_abstract] = ACTIONS(1540),
    [anon_sym_satisfies] = ACTIONS(1540),
    [anon_sym_interface] = ACTIONS(1540),
    [anon_sym_enum] = ACTIONS(1540),
    [sym__automatic_semicolon] = ACTIONS(1538),
    [sym__ternary_qmark] = ACTIONS(1538),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [sym_identifier] = ACTIONS(1544),
    [anon_sym_export] = ACTIONS(1544),
    [anon_sym_STAR] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1544),
    [anon_sym_type] = ACTIONS(1544),
    [anon_sym_as] = ACTIONS(1546),
    [anon_sym_namespace] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [anon_sym_typeof] = ACTIONS(1544),
    [anon_sym_import] = ACTIONS(1544),
    [anon_sym_var] = ACTIONS(1544),
    [anon_sym_let] = ACTIONS(1544),
    [anon_sym_const] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_else] = ACTIONS(1544),
    [anon_sym_if] = ACTIONS(1544),
    [anon_sym_switch] = ACTIONS(1544),
    [anon_sym_for] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_await] = ACTIONS(1544),
    [anon_sym_in] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1544),
    [anon_sym_do] = ACTIONS(1544),
    [anon_sym_try] = ACTIONS(1544),
    [anon_sym_with] = ACTIONS(1544),
    [anon_sym_break] = ACTIONS(1544),
    [anon_sym_continue] = ACTIONS(1544),
    [anon_sym_debugger] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1544),
    [anon_sym_SEMI] = ACTIONS(1542),
    [anon_sym_case] = ACTIONS(1544),
    [anon_sym_yield] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_LTtemplate_GT] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1544),
    [anon_sym_GT] = ACTIONS(1546),
    [anon_sym_SLASH] = ACTIONS(1544),
    [anon_sym_DOT] = ACTIONS(1546),
    [anon_sym_class] = ACTIONS(1544),
    [anon_sym_async] = ACTIONS(1544),
    [anon_sym_function] = ACTIONS(1544),
    [anon_sym_QMARK_DOT] = ACTIONS(1548),
    [anon_sym_new] = ACTIONS(1544),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1546),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1546),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_QMARK_QMARK] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_void] = ACTIONS(1544),
    [anon_sym_delete] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [sym_number] = ACTIONS(1542),
    [sym_this] = ACTIONS(1544),
    [sym_super] = ACTIONS(1544),
    [sym_true] = ACTIONS(1544),
    [sym_false] = ACTIONS(1544),
    [sym_null] = ACTIONS(1544),
    [sym_undefined] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1542),
    [anon_sym_static] = ACTIONS(1544),
    [anon_sym_readonly] = ACTIONS(1544),
    [anon_sym_get] = ACTIONS(1544),
    [anon_sym_set] = ACTIONS(1544),
    [anon_sym_declare] = ACTIONS(1544),
    [anon_sym_public] = ACTIONS(1544),
    [anon_sym_private] = ACTIONS(1544),
    [anon_sym_protected] = ACTIONS(1544),
    [anon_sym_override] = ACTIONS(1544),
    [anon_sym_module] = ACTIONS(1544),
    [anon_sym_any] = ACTIONS(1544),
    [anon_sym_number] = ACTIONS(1544),
    [anon_sym_boolean] = ACTIONS(1544),
    [anon_sym_string] = ACTIONS(1544),
    [anon_sym_symbol] = ACTIONS(1544),
    [anon_sym_abstract] = ACTIONS(1544),
    [anon_sym_satisfies] = ACTIONS(1546),
    [anon_sym_interface] = ACTIONS(1544),
    [anon_sym_enum] = ACTIONS(1544),
    [sym__automatic_semicolon] = ACTIONS(1550),
    [sym__ternary_qmark] = ACTIONS(1548),
  },
  [162] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1547),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3988),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3558),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3677),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1479),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1552),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(1556),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1558),
    [anon_sym_STAR] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1558),
    [anon_sym_type] = ACTIONS(1558),
    [anon_sym_as] = ACTIONS(1558),
    [anon_sym_namespace] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1556),
    [anon_sym_RBRACE] = ACTIONS(1556),
    [anon_sym_typeof] = ACTIONS(1558),
    [anon_sym_import] = ACTIONS(1558),
    [anon_sym_var] = ACTIONS(1558),
    [anon_sym_let] = ACTIONS(1558),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_else] = ACTIONS(1558),
    [anon_sym_if] = ACTIONS(1558),
    [anon_sym_switch] = ACTIONS(1558),
    [anon_sym_for] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_in] = ACTIONS(1558),
    [anon_sym_while] = ACTIONS(1558),
    [anon_sym_do] = ACTIONS(1558),
    [anon_sym_try] = ACTIONS(1558),
    [anon_sym_with] = ACTIONS(1558),
    [anon_sym_break] = ACTIONS(1558),
    [anon_sym_continue] = ACTIONS(1558),
    [anon_sym_debugger] = ACTIONS(1558),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1556),
    [anon_sym_case] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_LTtemplate_GT] = ACTIONS(1556),
    [anon_sym_LT] = ACTIONS(1558),
    [anon_sym_GT] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_DOT] = ACTIONS(1558),
    [anon_sym_class] = ACTIONS(1558),
    [anon_sym_async] = ACTIONS(1558),
    [anon_sym_function] = ACTIONS(1558),
    [anon_sym_QMARK_DOT] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1558),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1556),
    [anon_sym_GT_GT] = ACTIONS(1558),
    [anon_sym_GT_GT_GT] = ACTIONS(1556),
    [anon_sym_LT_LT] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(1558),
    [anon_sym_CARET] = ACTIONS(1556),
    [anon_sym_PIPE] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_PERCENT] = ACTIONS(1556),
    [anon_sym_STAR_STAR] = ACTIONS(1556),
    [anon_sym_LT_EQ] = ACTIONS(1556),
    [anon_sym_EQ_EQ] = ACTIONS(1558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1556),
    [anon_sym_BANG_EQ] = ACTIONS(1558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1556),
    [anon_sym_GT_EQ] = ACTIONS(1556),
    [anon_sym_QMARK_QMARK] = ACTIONS(1556),
    [anon_sym_instanceof] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1558),
    [anon_sym_delete] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1558),
    [anon_sym_DQUOTE] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1556),
    [sym_number] = ACTIONS(1556),
    [sym_this] = ACTIONS(1558),
    [sym_super] = ACTIONS(1558),
    [sym_true] = ACTIONS(1558),
    [sym_false] = ACTIONS(1558),
    [sym_null] = ACTIONS(1558),
    [sym_undefined] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1556),
    [anon_sym_static] = ACTIONS(1558),
    [anon_sym_readonly] = ACTIONS(1558),
    [anon_sym_get] = ACTIONS(1558),
    [anon_sym_set] = ACTIONS(1558),
    [anon_sym_declare] = ACTIONS(1558),
    [anon_sym_public] = ACTIONS(1558),
    [anon_sym_private] = ACTIONS(1558),
    [anon_sym_protected] = ACTIONS(1558),
    [anon_sym_override] = ACTIONS(1558),
    [anon_sym_module] = ACTIONS(1558),
    [anon_sym_any] = ACTIONS(1558),
    [anon_sym_number] = ACTIONS(1558),
    [anon_sym_boolean] = ACTIONS(1558),
    [anon_sym_string] = ACTIONS(1558),
    [anon_sym_symbol] = ACTIONS(1558),
    [anon_sym_abstract] = ACTIONS(1558),
    [anon_sym_satisfies] = ACTIONS(1558),
    [anon_sym_interface] = ACTIONS(1558),
    [anon_sym_enum] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1556),
    [sym__ternary_qmark] = ACTIONS(1556),
  },
  [164] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1909),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(3593),
    [sym_assignment_pattern] = STATE(3788),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(3593),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1147),
    [sym_subscript_expression] = STATE(1147),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(3593),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3424),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1147),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_pattern_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(1560),
    [anon_sym_export] = ACTIONS(1562),
    [anon_sym_type] = ACTIONS(1562),
    [anon_sym_namespace] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1415),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1566),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_declare] = ACTIONS(1562),
    [anon_sym_public] = ACTIONS(1562),
    [anon_sym_private] = ACTIONS(1562),
    [anon_sym_protected] = ACTIONS(1562),
    [anon_sym_override] = ACTIONS(1562),
    [anon_sym_module] = ACTIONS(1562),
    [anon_sym_any] = ACTIONS(1562),
    [anon_sym_number] = ACTIONS(1562),
    [anon_sym_boolean] = ACTIONS(1562),
    [anon_sym_string] = ACTIONS(1562),
    [anon_sym_symbol] = ACTIONS(1562),
  },
  [165] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1381),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_RBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
    [anon_sym_extends] = ACTIONS(1383),
  },
  [166] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1547),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3988),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_spread_element] = STATE(3558),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3677),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1479),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(1395),
    [sym_identifier] = ACTIONS(1397),
    [anon_sym_export] = ACTIONS(1397),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_default] = ACTIONS(1397),
    [anon_sym_type] = ACTIONS(1397),
    [anon_sym_as] = ACTIONS(1397),
    [anon_sym_namespace] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1395),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_typeof] = ACTIONS(1397),
    [anon_sym_import] = ACTIONS(1397),
    [anon_sym_var] = ACTIONS(1397),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_const] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_else] = ACTIONS(1397),
    [anon_sym_if] = ACTIONS(1397),
    [anon_sym_switch] = ACTIONS(1397),
    [anon_sym_for] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1395),
    [anon_sym_await] = ACTIONS(1397),
    [anon_sym_in] = ACTIONS(1397),
    [anon_sym_while] = ACTIONS(1397),
    [anon_sym_do] = ACTIONS(1397),
    [anon_sym_try] = ACTIONS(1397),
    [anon_sym_with] = ACTIONS(1397),
    [anon_sym_break] = ACTIONS(1397),
    [anon_sym_continue] = ACTIONS(1397),
    [anon_sym_debugger] = ACTIONS(1397),
    [anon_sym_return] = ACTIONS(1397),
    [anon_sym_throw] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1395),
    [anon_sym_case] = ACTIONS(1397),
    [anon_sym_yield] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_LTtemplate_GT] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1397),
    [anon_sym_GT] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1397),
    [anon_sym_DOT] = ACTIONS(1397),
    [anon_sym_class] = ACTIONS(1397),
    [anon_sym_async] = ACTIONS(1397),
    [anon_sym_function] = ACTIONS(1397),
    [anon_sym_QMARK_DOT] = ACTIONS(1395),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_AMP_AMP] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1395),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_GT_GT_GT] = ACTIONS(1395),
    [anon_sym_LT_LT] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1395),
    [anon_sym_PIPE] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1397),
    [anon_sym_PERCENT] = ACTIONS(1395),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_LT_EQ] = ACTIONS(1395),
    [anon_sym_EQ_EQ] = ACTIONS(1397),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1395),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1395),
    [anon_sym_GT_EQ] = ACTIONS(1395),
    [anon_sym_QMARK_QMARK] = ACTIONS(1395),
    [anon_sym_instanceof] = ACTIONS(1397),
    [anon_sym_TILDE] = ACTIONS(1395),
    [anon_sym_void] = ACTIONS(1397),
    [anon_sym_delete] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1395),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [anon_sym_DQUOTE] = ACTIONS(1395),
    [anon_sym_SQUOTE] = ACTIONS(1395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1395),
    [sym_this] = ACTIONS(1397),
    [sym_super] = ACTIONS(1397),
    [sym_true] = ACTIONS(1397),
    [sym_false] = ACTIONS(1397),
    [sym_null] = ACTIONS(1397),
    [sym_undefined] = ACTIONS(1397),
    [anon_sym_AT] = ACTIONS(1395),
    [anon_sym_static] = ACTIONS(1397),
    [anon_sym_readonly] = ACTIONS(1397),
    [anon_sym_get] = ACTIONS(1397),
    [anon_sym_set] = ACTIONS(1397),
    [anon_sym_declare] = ACTIONS(1397),
    [anon_sym_public] = ACTIONS(1397),
    [anon_sym_private] = ACTIONS(1397),
    [anon_sym_protected] = ACTIONS(1397),
    [anon_sym_override] = ACTIONS(1397),
    [anon_sym_module] = ACTIONS(1397),
    [anon_sym_any] = ACTIONS(1397),
    [anon_sym_number] = ACTIONS(1397),
    [anon_sym_boolean] = ACTIONS(1397),
    [anon_sym_string] = ACTIONS(1397),
    [anon_sym_symbol] = ACTIONS(1397),
    [anon_sym_abstract] = ACTIONS(1397),
    [anon_sym_satisfies] = ACTIONS(1397),
    [anon_sym_interface] = ACTIONS(1397),
    [anon_sym_enum] = ACTIONS(1397),
    [sym__automatic_semicolon] = ACTIONS(1572),
    [sym__ternary_qmark] = ACTIONS(1395),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_type] = ACTIONS(1576),
    [anon_sym_as] = ACTIONS(1578),
    [anon_sym_namespace] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [anon_sym_typeof] = ACTIONS(1576),
    [anon_sym_import] = ACTIONS(1576),
    [anon_sym_var] = ACTIONS(1576),
    [anon_sym_let] = ACTIONS(1576),
    [anon_sym_const] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_else] = ACTIONS(1576),
    [anon_sym_if] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1576),
    [anon_sym_for] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_await] = ACTIONS(1576),
    [anon_sym_in] = ACTIONS(1578),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1576),
    [anon_sym_try] = ACTIONS(1576),
    [anon_sym_with] = ACTIONS(1576),
    [anon_sym_break] = ACTIONS(1576),
    [anon_sym_continue] = ACTIONS(1576),
    [anon_sym_debugger] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1574),
    [anon_sym_case] = ACTIONS(1576),
    [anon_sym_yield] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_LTtemplate_GT] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1578),
    [anon_sym_class] = ACTIONS(1576),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(1576),
    [anon_sym_QMARK_DOT] = ACTIONS(1580),
    [anon_sym_new] = ACTIONS(1576),
    [anon_sym_AMP_AMP] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_GT_GT_GT] = ACTIONS(1580),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [anon_sym_STAR_STAR] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1580),
    [anon_sym_QMARK_QMARK] = ACTIONS(1580),
    [anon_sym_instanceof] = ACTIONS(1578),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_void] = ACTIONS(1576),
    [anon_sym_delete] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [sym_number] = ACTIONS(1574),
    [sym_this] = ACTIONS(1576),
    [sym_super] = ACTIONS(1576),
    [sym_true] = ACTIONS(1576),
    [sym_false] = ACTIONS(1576),
    [sym_null] = ACTIONS(1576),
    [sym_undefined] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1574),
    [anon_sym_static] = ACTIONS(1576),
    [anon_sym_readonly] = ACTIONS(1576),
    [anon_sym_get] = ACTIONS(1576),
    [anon_sym_set] = ACTIONS(1576),
    [anon_sym_declare] = ACTIONS(1576),
    [anon_sym_public] = ACTIONS(1576),
    [anon_sym_private] = ACTIONS(1576),
    [anon_sym_protected] = ACTIONS(1576),
    [anon_sym_override] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1576),
    [anon_sym_any] = ACTIONS(1576),
    [anon_sym_number] = ACTIONS(1576),
    [anon_sym_boolean] = ACTIONS(1576),
    [anon_sym_string] = ACTIONS(1576),
    [anon_sym_symbol] = ACTIONS(1576),
    [anon_sym_abstract] = ACTIONS(1576),
    [anon_sym_satisfies] = ACTIONS(1578),
    [anon_sym_interface] = ACTIONS(1576),
    [anon_sym_enum] = ACTIONS(1576),
    [sym__automatic_semicolon] = ACTIONS(1580),
    [sym__ternary_qmark] = ACTIONS(1580),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_default] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_as] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_typeof] = ACTIONS(1584),
    [anon_sym_import] = ACTIONS(1584),
    [anon_sym_var] = ACTIONS(1584),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_const] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_else] = ACTIONS(1584),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_switch] = ACTIONS(1584),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_await] = ACTIONS(1584),
    [anon_sym_in] = ACTIONS(1584),
    [anon_sym_while] = ACTIONS(1584),
    [anon_sym_do] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1584),
    [anon_sym_with] = ACTIONS(1584),
    [anon_sym_break] = ACTIONS(1584),
    [anon_sym_continue] = ACTIONS(1584),
    [anon_sym_debugger] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1584),
    [anon_sym_throw] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_case] = ACTIONS(1584),
    [anon_sym_yield] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_LTtemplate_GT] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_class] = ACTIONS(1584),
    [anon_sym_async] = ACTIONS(1584),
    [anon_sym_function] = ACTIONS(1584),
    [anon_sym_QMARK_DOT] = ACTIONS(1582),
    [anon_sym_new] = ACTIONS(1584),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1582),
    [anon_sym_STAR_STAR] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_EQ_EQ] = ACTIONS(1584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK] = ACTIONS(1582),
    [anon_sym_instanceof] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_void] = ACTIONS(1584),
    [anon_sym_delete] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [sym_number] = ACTIONS(1582),
    [sym_this] = ACTIONS(1584),
    [sym_super] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [sym_null] = ACTIONS(1584),
    [sym_undefined] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1582),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_abstract] = ACTIONS(1584),
    [anon_sym_satisfies] = ACTIONS(1584),
    [anon_sym_interface] = ACTIONS(1584),
    [anon_sym_enum] = ACTIONS(1584),
    [sym__automatic_semicolon] = ACTIONS(1582),
    [sym__ternary_qmark] = ACTIONS(1582),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_export] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1588),
    [anon_sym_default] = ACTIONS(1588),
    [anon_sym_type] = ACTIONS(1588),
    [anon_sym_as] = ACTIONS(1588),
    [anon_sym_namespace] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_typeof] = ACTIONS(1588),
    [anon_sym_import] = ACTIONS(1588),
    [anon_sym_var] = ACTIONS(1588),
    [anon_sym_let] = ACTIONS(1588),
    [anon_sym_const] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_else] = ACTIONS(1588),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_switch] = ACTIONS(1588),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_await] = ACTIONS(1588),
    [anon_sym_in] = ACTIONS(1588),
    [anon_sym_while] = ACTIONS(1588),
    [anon_sym_do] = ACTIONS(1588),
    [anon_sym_try] = ACTIONS(1588),
    [anon_sym_with] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1588),
    [anon_sym_debugger] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_throw] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [anon_sym_case] = ACTIONS(1588),
    [anon_sym_yield] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_LTtemplate_GT] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_class] = ACTIONS(1588),
    [anon_sym_async] = ACTIONS(1588),
    [anon_sym_function] = ACTIONS(1588),
    [anon_sym_QMARK_DOT] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP_AMP] = ACTIONS(1586),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_PERCENT] = ACTIONS(1586),
    [anon_sym_STAR_STAR] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_EQ_EQ] = ACTIONS(1588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1588),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_QMARK_QMARK] = ACTIONS(1586),
    [anon_sym_instanceof] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_void] = ACTIONS(1588),
    [anon_sym_delete] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1586),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1586),
    [sym_number] = ACTIONS(1586),
    [sym_this] = ACTIONS(1588),
    [sym_super] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [sym_null] = ACTIONS(1588),
    [sym_undefined] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1586),
    [anon_sym_static] = ACTIONS(1588),
    [anon_sym_readonly] = ACTIONS(1588),
    [anon_sym_get] = ACTIONS(1588),
    [anon_sym_set] = ACTIONS(1588),
    [anon_sym_declare] = ACTIONS(1588),
    [anon_sym_public] = ACTIONS(1588),
    [anon_sym_private] = ACTIONS(1588),
    [anon_sym_protected] = ACTIONS(1588),
    [anon_sym_override] = ACTIONS(1588),
    [anon_sym_module] = ACTIONS(1588),
    [anon_sym_any] = ACTIONS(1588),
    [anon_sym_number] = ACTIONS(1588),
    [anon_sym_boolean] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_symbol] = ACTIONS(1588),
    [anon_sym_abstract] = ACTIONS(1588),
    [anon_sym_satisfies] = ACTIONS(1588),
    [anon_sym_interface] = ACTIONS(1588),
    [anon_sym_enum] = ACTIONS(1588),
    [sym__automatic_semicolon] = ACTIONS(1586),
    [sym__ternary_qmark] = ACTIONS(1586),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_as] = ACTIONS(1594),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1590),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_in] = ACTIONS(1594),
    [anon_sym_while] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_LTtemplate_GT] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_DOT] = ACTIONS(1594),
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_QMARK_DOT] = ACTIONS(1596),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP_AMP] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1596),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_GT_GT_GT] = ACTIONS(1596),
    [anon_sym_LT_LT] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_STAR_STAR] = ACTIONS(1596),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_EQ_EQ] = ACTIONS(1594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1596),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_QMARK_QMARK] = ACTIONS(1596),
    [anon_sym_instanceof] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1590),
    [anon_sym_DASH_DASH] = ACTIONS(1592),
    [anon_sym_DQUOTE] = ACTIONS(1590),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1590),
    [sym_number] = ACTIONS(1590),
    [sym_this] = ACTIONS(1592),
    [sym_super] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1590),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_satisfies] = ACTIONS(1594),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(1598),
    [sym__ternary_qmark] = ACTIONS(1596),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_type] = ACTIONS(1486),
    [anon_sym_as] = ACTIONS(1486),
    [anon_sym_namespace] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_typeof] = ACTIONS(1486),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1486),
    [anon_sym_let] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_else] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_await] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1486),
    [anon_sym_with] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_debugger] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_throw] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_yield] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LTtemplate_GT] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_DOT] = ACTIONS(1486),
    [anon_sym_class] = ACTIONS(1486),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_QMARK_DOT] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1486),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_QMARK_QMARK] = ACTIONS(1484),
    [anon_sym_instanceof] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_void] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_number] = ACTIONS(1484),
    [sym_this] = ACTIONS(1486),
    [sym_super] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_readonly] = ACTIONS(1486),
    [anon_sym_get] = ACTIONS(1486),
    [anon_sym_set] = ACTIONS(1486),
    [anon_sym_declare] = ACTIONS(1486),
    [anon_sym_public] = ACTIONS(1486),
    [anon_sym_private] = ACTIONS(1486),
    [anon_sym_protected] = ACTIONS(1486),
    [anon_sym_override] = ACTIONS(1486),
    [anon_sym_module] = ACTIONS(1486),
    [anon_sym_any] = ACTIONS(1486),
    [anon_sym_number] = ACTIONS(1486),
    [anon_sym_boolean] = ACTIONS(1486),
    [anon_sym_string] = ACTIONS(1486),
    [anon_sym_symbol] = ACTIONS(1486),
    [anon_sym_abstract] = ACTIONS(1486),
    [anon_sym_satisfies] = ACTIONS(1486),
    [anon_sym_interface] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [sym__automatic_semicolon] = ACTIONS(1484),
    [sym__ternary_qmark] = ACTIONS(1484),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [sym_identifier] = ACTIONS(1602),
    [anon_sym_export] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_default] = ACTIONS(1602),
    [anon_sym_type] = ACTIONS(1602),
    [anon_sym_as] = ACTIONS(1604),
    [anon_sym_namespace] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_typeof] = ACTIONS(1602),
    [anon_sym_import] = ACTIONS(1602),
    [anon_sym_var] = ACTIONS(1602),
    [anon_sym_let] = ACTIONS(1602),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1602),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_await] = ACTIONS(1602),
    [anon_sym_in] = ACTIONS(1604),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_do] = ACTIONS(1602),
    [anon_sym_try] = ACTIONS(1602),
    [anon_sym_with] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_continue] = ACTIONS(1602),
    [anon_sym_debugger] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_case] = ACTIONS(1602),
    [anon_sym_yield] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_LTtemplate_GT] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_class] = ACTIONS(1602),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_QMARK_DOT] = ACTIONS(1606),
    [anon_sym_new] = ACTIONS(1602),
    [anon_sym_AMP_AMP] = ACTIONS(1606),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_GT_GT_GT] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1604),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1606),
    [anon_sym_STAR_STAR] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_EQ_EQ] = ACTIONS(1604),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1604),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_QMARK_QMARK] = ACTIONS(1606),
    [anon_sym_instanceof] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_void] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1602),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1600),
    [sym_this] = ACTIONS(1602),
    [sym_super] = ACTIONS(1602),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_AT] = ACTIONS(1600),
    [anon_sym_static] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1602),
    [anon_sym_get] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_declare] = ACTIONS(1602),
    [anon_sym_public] = ACTIONS(1602),
    [anon_sym_private] = ACTIONS(1602),
    [anon_sym_protected] = ACTIONS(1602),
    [anon_sym_override] = ACTIONS(1602),
    [anon_sym_module] = ACTIONS(1602),
    [anon_sym_any] = ACTIONS(1602),
    [anon_sym_number] = ACTIONS(1602),
    [anon_sym_boolean] = ACTIONS(1602),
    [anon_sym_string] = ACTIONS(1602),
    [anon_sym_symbol] = ACTIONS(1602),
    [anon_sym_abstract] = ACTIONS(1602),
    [anon_sym_satisfies] = ACTIONS(1604),
    [anon_sym_interface] = ACTIONS(1602),
    [anon_sym_enum] = ACTIONS(1602),
    [sym__automatic_semicolon] = ACTIONS(1608),
    [sym__ternary_qmark] = ACTIONS(1606),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_export] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_default] = ACTIONS(1612),
    [anon_sym_type] = ACTIONS(1612),
    [anon_sym_as] = ACTIONS(1612),
    [anon_sym_namespace] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_typeof] = ACTIONS(1612),
    [anon_sym_import] = ACTIONS(1612),
    [anon_sym_var] = ACTIONS(1612),
    [anon_sym_let] = ACTIONS(1612),
    [anon_sym_const] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_else] = ACTIONS(1612),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_switch] = ACTIONS(1612),
    [anon_sym_for] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_await] = ACTIONS(1612),
    [anon_sym_in] = ACTIONS(1612),
    [anon_sym_while] = ACTIONS(1612),
    [anon_sym_do] = ACTIONS(1612),
    [anon_sym_try] = ACTIONS(1612),
    [anon_sym_with] = ACTIONS(1612),
    [anon_sym_break] = ACTIONS(1612),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_debugger] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1612),
    [anon_sym_throw] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_case] = ACTIONS(1612),
    [anon_sym_yield] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_LTtemplate_GT] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_class] = ACTIONS(1612),
    [anon_sym_async] = ACTIONS(1612),
    [anon_sym_function] = ACTIONS(1612),
    [anon_sym_QMARK_DOT] = ACTIONS(1610),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP_AMP] = ACTIONS(1610),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1612),
    [anon_sym_GT_GT_GT] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1610),
    [anon_sym_STAR_STAR] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_EQ_EQ] = ACTIONS(1612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1612),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_QMARK_QMARK] = ACTIONS(1610),
    [anon_sym_instanceof] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_void] = ACTIONS(1612),
    [anon_sym_delete] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [sym_number] = ACTIONS(1610),
    [sym_this] = ACTIONS(1612),
    [sym_super] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [sym_null] = ACTIONS(1612),
    [sym_undefined] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1610),
    [anon_sym_static] = ACTIONS(1612),
    [anon_sym_readonly] = ACTIONS(1612),
    [anon_sym_get] = ACTIONS(1612),
    [anon_sym_set] = ACTIONS(1612),
    [anon_sym_declare] = ACTIONS(1612),
    [anon_sym_public] = ACTIONS(1612),
    [anon_sym_private] = ACTIONS(1612),
    [anon_sym_protected] = ACTIONS(1612),
    [anon_sym_override] = ACTIONS(1612),
    [anon_sym_module] = ACTIONS(1612),
    [anon_sym_any] = ACTIONS(1612),
    [anon_sym_number] = ACTIONS(1612),
    [anon_sym_boolean] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_symbol] = ACTIONS(1612),
    [anon_sym_abstract] = ACTIONS(1612),
    [anon_sym_satisfies] = ACTIONS(1612),
    [anon_sym_interface] = ACTIONS(1612),
    [anon_sym_enum] = ACTIONS(1612),
    [sym__automatic_semicolon] = ACTIONS(1610),
    [sym__ternary_qmark] = ACTIONS(1610),
  },
  [175] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_assignment_pattern] = STATE(3988),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3677),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(1614),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_RBRACK] = ACTIONS(1614),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [176] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1521),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(3601),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3602),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1618),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [177] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3324),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_accessibility_modifier] = STATE(198),
    [sym_override_modifier] = STATE(202),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(1133),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(1622),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1624),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1626),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(702),
    [anon_sym_private] = ACTIONS(702),
    [anon_sym_protected] = ACTIONS(702),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [178] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_extends] = ACTIONS(1383),
  },
  [179] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1676),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
    [anon_sym_extends] = ACTIONS(1383),
  },
  [180] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1527),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(3805),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3804),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1628),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [181] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1551),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
    [anon_sym_extends] = ACTIONS(1383),
  },
  [182] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1369),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
    [anon_sym_extends] = ACTIONS(1383),
  },
  [183] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1533),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(3719),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3724),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1630),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [184] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1935),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
    [anon_sym_extends] = ACTIONS(1383),
  },
  [185] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1547),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(3558),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1632),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1632),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_RBRACK] = ACTIONS(1632),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [186] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1577),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(3706),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3709),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1634),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [187] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1593),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(3707),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3708),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1636),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [188] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
    [anon_sym_extends] = ACTIONS(1383),
  },
  [189] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1607),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(3621),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3614),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1638),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [190] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1608),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(3678),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [aux_sym_array_repeat1] = STATE(3679),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1640),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [191] = {
    [sym_import] = STATE(1810),
    [sym_expression_statement] = STATE(222),
    [sym_empty_statement] = STATE(222),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [192] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3327),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_override_modifier] = STATE(208),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(642),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1642),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [193] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1687),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(4328),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4328),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1644),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [194] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_assignment_pattern] = STATE(3914),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3637),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [195] = {
    [sym_import] = STATE(1810),
    [sym_expression_statement] = STATE(223),
    [sym_empty_statement] = STATE(223),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3884),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [196] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1765),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_spread_element] = STATE(4311),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4311),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [197] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1641),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2844),
    [sym_assignment_pattern] = STATE(3914),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2844),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2844),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3637),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1070),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_readonly] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [anon_sym_declare] = ACTIONS(578),
    [anon_sym_public] = ACTIONS(578),
    [anon_sym_private] = ACTIONS(578),
    [anon_sym_protected] = ACTIONS(578),
    [anon_sym_override] = ACTIONS(578),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(578),
    [anon_sym_number] = ACTIONS(578),
    [anon_sym_boolean] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_symbol] = ACTIONS(578),
  },
  [198] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3412),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_override_modifier] = STATE(216),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1650),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1652),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [199] = {
    [sym_import] = STATE(1627),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1676),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_export] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(1656),
    [anon_sym_import] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(1656),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LTtemplate_GT] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1656),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(1656),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(1656),
    [anon_sym_async] = ACTIONS(1656),
    [anon_sym_function] = ACTIONS(1656),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1656),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1658),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_void] = ACTIONS(1656),
    [anon_sym_delete] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1658),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1658),
    [sym_number] = ACTIONS(1658),
    [sym_this] = ACTIONS(1656),
    [sym_super] = ACTIONS(1656),
    [sym_true] = ACTIONS(1656),
    [sym_false] = ACTIONS(1656),
    [sym_null] = ACTIONS(1656),
    [sym_undefined] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_static] = ACTIONS(1656),
    [anon_sym_readonly] = ACTIONS(1656),
    [anon_sym_get] = ACTIONS(1656),
    [anon_sym_set] = ACTIONS(1656),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(1656),
    [anon_sym_public] = ACTIONS(1656),
    [anon_sym_private] = ACTIONS(1656),
    [anon_sym_protected] = ACTIONS(1656),
    [anon_sym_override] = ACTIONS(1656),
    [anon_sym_module] = ACTIONS(1656),
    [anon_sym_any] = ACTIONS(1656),
    [anon_sym_number] = ACTIONS(1656),
    [anon_sym_boolean] = ACTIONS(1656),
    [anon_sym_string] = ACTIONS(1656),
    [anon_sym_symbol] = ACTIONS(1656),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [201] = {
    [sym_import] = STATE(1627),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1660),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [202] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3406),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1662),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1664),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [203] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1666),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1668),
    [anon_sym_export] = ACTIONS(1668),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(1668),
    [anon_sym_import] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(1668),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(1668),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LTtemplate_GT] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(1668),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(1668),
    [anon_sym_async] = ACTIONS(1668),
    [anon_sym_function] = ACTIONS(1668),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1668),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1670),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(1670),
    [anon_sym_void] = ACTIONS(1668),
    [anon_sym_delete] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1670),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1670),
    [sym_number] = ACTIONS(1670),
    [sym_this] = ACTIONS(1668),
    [sym_super] = ACTIONS(1668),
    [sym_true] = ACTIONS(1668),
    [sym_false] = ACTIONS(1668),
    [sym_null] = ACTIONS(1668),
    [sym_undefined] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [anon_sym_static] = ACTIONS(1668),
    [anon_sym_readonly] = ACTIONS(1668),
    [anon_sym_get] = ACTIONS(1668),
    [anon_sym_set] = ACTIONS(1668),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(1668),
    [anon_sym_public] = ACTIONS(1668),
    [anon_sym_private] = ACTIONS(1668),
    [anon_sym_protected] = ACTIONS(1668),
    [anon_sym_override] = ACTIONS(1668),
    [anon_sym_module] = ACTIONS(1668),
    [anon_sym_any] = ACTIONS(1668),
    [anon_sym_number] = ACTIONS(1668),
    [anon_sym_boolean] = ACTIONS(1668),
    [anon_sym_string] = ACTIONS(1668),
    [anon_sym_symbol] = ACTIONS(1668),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [205] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(3617),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(3617),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(1163),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(3617),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1163),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1672),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(1680),
    [anon_sym_let] = ACTIONS(1682),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1686),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1688),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
  },
  [206] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1690),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [207] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [208] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3360),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(634),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [209] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1551),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [210] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1698),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [211] = {
    [sym_import] = STATE(1627),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1369),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1700),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1668),
    [anon_sym_export] = ACTIONS(1668),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1668),
    [anon_sym_import] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(1668),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(1668),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LTtemplate_GT] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(1668),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(1668),
    [anon_sym_async] = ACTIONS(1668),
    [anon_sym_function] = ACTIONS(1668),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1668),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1670),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(1670),
    [anon_sym_void] = ACTIONS(1668),
    [anon_sym_delete] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1670),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1670),
    [sym_number] = ACTIONS(1670),
    [sym_this] = ACTIONS(1668),
    [sym_super] = ACTIONS(1668),
    [sym_true] = ACTIONS(1668),
    [sym_false] = ACTIONS(1668),
    [sym_null] = ACTIONS(1668),
    [sym_undefined] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1670),
    [anon_sym_static] = ACTIONS(1668),
    [anon_sym_readonly] = ACTIONS(1668),
    [anon_sym_get] = ACTIONS(1668),
    [anon_sym_set] = ACTIONS(1668),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(1668),
    [anon_sym_public] = ACTIONS(1668),
    [anon_sym_private] = ACTIONS(1668),
    [anon_sym_protected] = ACTIONS(1668),
    [anon_sym_override] = ACTIONS(1668),
    [anon_sym_module] = ACTIONS(1668),
    [anon_sym_any] = ACTIONS(1668),
    [anon_sym_number] = ACTIONS(1668),
    [anon_sym_boolean] = ACTIONS(1668),
    [anon_sym_string] = ACTIONS(1668),
    [anon_sym_symbol] = ACTIONS(1668),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_export] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1656),
    [anon_sym_import] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(1656),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LTtemplate_GT] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1656),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(1656),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(1656),
    [anon_sym_async] = ACTIONS(1656),
    [anon_sym_function] = ACTIONS(1656),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(1656),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1658),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_void] = ACTIONS(1656),
    [anon_sym_delete] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1658),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1658),
    [sym_number] = ACTIONS(1658),
    [sym_this] = ACTIONS(1656),
    [sym_super] = ACTIONS(1656),
    [sym_true] = ACTIONS(1656),
    [sym_false] = ACTIONS(1656),
    [sym_null] = ACTIONS(1656),
    [sym_undefined] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_static] = ACTIONS(1656),
    [anon_sym_readonly] = ACTIONS(1656),
    [anon_sym_get] = ACTIONS(1656),
    [anon_sym_set] = ACTIONS(1656),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(1656),
    [anon_sym_public] = ACTIONS(1656),
    [anon_sym_private] = ACTIONS(1656),
    [anon_sym_protected] = ACTIONS(1656),
    [anon_sym_override] = ACTIONS(1656),
    [anon_sym_module] = ACTIONS(1656),
    [anon_sym_any] = ACTIONS(1656),
    [anon_sym_number] = ACTIONS(1656),
    [anon_sym_boolean] = ACTIONS(1656),
    [anon_sym_string] = ACTIONS(1656),
    [anon_sym_symbol] = ACTIONS(1656),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [214] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [215] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1935),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [216] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3342),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(1706),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1708),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [217] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3952),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
    [sym__automatic_semicolon] = ACTIONS(1710),
  },
  [218] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2879),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2879),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2879),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_pattern] = STATE(3327),
    [sym_rest_pattern] = STATE(2854),
    [sym_non_null_expression] = STATE(1066),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(642),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1642),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
  },
  [219] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1712),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [220] = {
    [sym_import] = STATE(2054),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2409),
    [sym__type_query_subscript_expression] = STATE(2410),
    [sym__type_query_call_expression] = STATE(2510),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1714),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [221] = {
    [sym_import] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym__type_query_member_expression] = STATE(2336),
    [sym__type_query_subscript_expression] = STATE(2331),
    [sym__type_query_call_expression] = STATE(2368),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [222] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1749),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4409),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1718),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [223] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1723),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4360),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1720),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [224] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1747),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [225] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1916),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [226] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3137),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3809),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1726),
    [anon_sym_type] = ACTIONS(1726),
    [anon_sym_namespace] = ACTIONS(1728),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1726),
    [anon_sym_get] = ACTIONS(1726),
    [anon_sym_set] = ACTIONS(1726),
    [anon_sym_declare] = ACTIONS(1726),
    [anon_sym_public] = ACTIONS(1726),
    [anon_sym_private] = ACTIONS(1726),
    [anon_sym_protected] = ACTIONS(1726),
    [anon_sym_override] = ACTIONS(1726),
    [anon_sym_module] = ACTIONS(1726),
    [anon_sym_any] = ACTIONS(1726),
    [anon_sym_number] = ACTIONS(1726),
    [anon_sym_boolean] = ACTIONS(1726),
    [anon_sym_string] = ACTIONS(1726),
    [anon_sym_symbol] = ACTIONS(1726),
  },
  [227] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1666),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4429),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [228] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1734),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
  },
  [229] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1744),
    [anon_sym_type] = ACTIONS(1744),
    [anon_sym_namespace] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1748),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1744),
    [anon_sym_readonly] = ACTIONS(1744),
    [anon_sym_get] = ACTIONS(1744),
    [anon_sym_set] = ACTIONS(1744),
    [anon_sym_declare] = ACTIONS(1744),
    [anon_sym_public] = ACTIONS(1744),
    [anon_sym_private] = ACTIONS(1744),
    [anon_sym_protected] = ACTIONS(1744),
    [anon_sym_override] = ACTIONS(1744),
    [anon_sym_module] = ACTIONS(1744),
    [anon_sym_any] = ACTIONS(1744),
    [anon_sym_number] = ACTIONS(1744),
    [anon_sym_boolean] = ACTIONS(1744),
    [anon_sym_string] = ACTIONS(1744),
    [anon_sym_symbol] = ACTIONS(1744),
  },
  [230] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_expression] = STATE(1998),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1089),
    [sym_subscript_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1089),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(1752),
    [anon_sym_namespace] = ACTIONS(1754),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(1756),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1758),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1762),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1752),
    [anon_sym_readonly] = ACTIONS(1752),
    [anon_sym_get] = ACTIONS(1752),
    [anon_sym_set] = ACTIONS(1752),
    [anon_sym_declare] = ACTIONS(1752),
    [anon_sym_public] = ACTIONS(1752),
    [anon_sym_private] = ACTIONS(1752),
    [anon_sym_protected] = ACTIONS(1752),
    [anon_sym_override] = ACTIONS(1752),
    [anon_sym_module] = ACTIONS(1752),
    [anon_sym_any] = ACTIONS(1752),
    [anon_sym_number] = ACTIONS(1752),
    [anon_sym_boolean] = ACTIONS(1752),
    [anon_sym_string] = ACTIONS(1752),
    [anon_sym_symbol] = ACTIONS(1752),
  },
  [231] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1764),
    [anon_sym_export] = ACTIONS(1766),
    [anon_sym_type] = ACTIONS(1766),
    [anon_sym_namespace] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1770),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1766),
    [anon_sym_readonly] = ACTIONS(1766),
    [anon_sym_get] = ACTIONS(1766),
    [anon_sym_set] = ACTIONS(1766),
    [anon_sym_declare] = ACTIONS(1766),
    [anon_sym_public] = ACTIONS(1766),
    [anon_sym_private] = ACTIONS(1766),
    [anon_sym_protected] = ACTIONS(1766),
    [anon_sym_override] = ACTIONS(1766),
    [anon_sym_module] = ACTIONS(1766),
    [anon_sym_any] = ACTIONS(1766),
    [anon_sym_number] = ACTIONS(1766),
    [anon_sym_boolean] = ACTIONS(1766),
    [anon_sym_string] = ACTIONS(1766),
    [anon_sym_symbol] = ACTIONS(1766),
  },
  [232] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1878),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1398),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [233] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1901),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_mapped_type_clause] = STATE(4337),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1776),
    [anon_sym_type] = ACTIONS(1776),
    [anon_sym_namespace] = ACTIONS(1778),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1780),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1776),
    [anon_sym_readonly] = ACTIONS(1776),
    [anon_sym_get] = ACTIONS(1776),
    [anon_sym_set] = ACTIONS(1776),
    [anon_sym_declare] = ACTIONS(1776),
    [anon_sym_public] = ACTIONS(1776),
    [anon_sym_private] = ACTIONS(1776),
    [anon_sym_protected] = ACTIONS(1776),
    [anon_sym_override] = ACTIONS(1776),
    [anon_sym_module] = ACTIONS(1776),
    [anon_sym_any] = ACTIONS(1776),
    [anon_sym_number] = ACTIONS(1776),
    [anon_sym_boolean] = ACTIONS(1776),
    [anon_sym_string] = ACTIONS(1776),
    [anon_sym_symbol] = ACTIONS(1776),
  },
  [234] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3168),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3894),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1734),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
  },
  [235] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1726),
    [anon_sym_type] = ACTIONS(1726),
    [anon_sym_namespace] = ACTIONS(1728),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1732),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1726),
    [anon_sym_get] = ACTIONS(1726),
    [anon_sym_set] = ACTIONS(1726),
    [anon_sym_declare] = ACTIONS(1726),
    [anon_sym_public] = ACTIONS(1726),
    [anon_sym_private] = ACTIONS(1726),
    [anon_sym_protected] = ACTIONS(1726),
    [anon_sym_override] = ACTIONS(1726),
    [anon_sym_module] = ACTIONS(1726),
    [anon_sym_any] = ACTIONS(1726),
    [anon_sym_number] = ACTIONS(1726),
    [anon_sym_boolean] = ACTIONS(1726),
    [anon_sym_string] = ACTIONS(1726),
    [anon_sym_symbol] = ACTIONS(1726),
  },
  [236] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1756),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [237] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1700),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4430),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [238] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_expression] = STATE(1998),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1089),
    [sym_subscript_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1089),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1784),
    [anon_sym_type] = ACTIONS(1784),
    [anon_sym_namespace] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(1756),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1788),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1762),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1784),
    [anon_sym_readonly] = ACTIONS(1784),
    [anon_sym_get] = ACTIONS(1784),
    [anon_sym_set] = ACTIONS(1784),
    [anon_sym_declare] = ACTIONS(1784),
    [anon_sym_public] = ACTIONS(1784),
    [anon_sym_private] = ACTIONS(1784),
    [anon_sym_protected] = ACTIONS(1784),
    [anon_sym_override] = ACTIONS(1784),
    [anon_sym_module] = ACTIONS(1784),
    [anon_sym_any] = ACTIONS(1784),
    [anon_sym_number] = ACTIONS(1784),
    [anon_sym_boolean] = ACTIONS(1784),
    [anon_sym_string] = ACTIONS(1784),
    [anon_sym_symbol] = ACTIONS(1784),
  },
  [239] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [240] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1860),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1490),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [241] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1743),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4407),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [242] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1739),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4408),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [243] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3137),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3809),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1764),
    [anon_sym_export] = ACTIONS(1766),
    [anon_sym_type] = ACTIONS(1766),
    [anon_sym_namespace] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1770),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1766),
    [anon_sym_readonly] = ACTIONS(1766),
    [anon_sym_get] = ACTIONS(1766),
    [anon_sym_set] = ACTIONS(1766),
    [anon_sym_declare] = ACTIONS(1766),
    [anon_sym_public] = ACTIONS(1766),
    [anon_sym_private] = ACTIONS(1766),
    [anon_sym_protected] = ACTIONS(1766),
    [anon_sym_override] = ACTIONS(1766),
    [anon_sym_module] = ACTIONS(1766),
    [anon_sym_any] = ACTIONS(1766),
    [anon_sym_number] = ACTIONS(1766),
    [anon_sym_boolean] = ACTIONS(1766),
    [anon_sym_string] = ACTIONS(1766),
    [anon_sym_symbol] = ACTIONS(1766),
  },
  [244] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1384),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1568),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [245] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1385),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [246] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1387),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1535),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [247] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1557),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3953),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [248] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1784),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4144),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [249] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1786),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4132),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [250] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1788),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4126),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [251] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1405),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4367),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [252] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1789),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4121),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [253] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1424),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1534),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [254] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_expression] = STATE(1998),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1089),
    [sym_subscript_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1089),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1792),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1796),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_DOT] = ACTIONS(1756),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1798),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1762),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
  },
  [255] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_sequence_expression] = STATE(3815),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [256] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1878),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1800),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [257] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1431),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4167),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [258] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1697),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4453),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [259] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1860),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1785),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [260] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1781),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4317),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [261] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1649),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4454),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [262] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1961),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1764),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [263] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_expression] = STATE(1998),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1089),
    [sym_subscript_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3137),
    [sym_non_null_expression] = STATE(1089),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3809),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1784),
    [anon_sym_type] = ACTIONS(1784),
    [anon_sym_namespace] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(1756),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1788),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1762),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1784),
    [anon_sym_readonly] = ACTIONS(1784),
    [anon_sym_get] = ACTIONS(1784),
    [anon_sym_set] = ACTIONS(1784),
    [anon_sym_declare] = ACTIONS(1784),
    [anon_sym_public] = ACTIONS(1784),
    [anon_sym_private] = ACTIONS(1784),
    [anon_sym_protected] = ACTIONS(1784),
    [anon_sym_override] = ACTIONS(1784),
    [anon_sym_module] = ACTIONS(1784),
    [anon_sym_any] = ACTIONS(1784),
    [anon_sym_number] = ACTIONS(1784),
    [anon_sym_boolean] = ACTIONS(1784),
    [anon_sym_string] = ACTIONS(1784),
    [anon_sym_symbol] = ACTIONS(1784),
  },
  [264] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3137),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3809),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1734),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
  },
  [265] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1384),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1342),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [266] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1385),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1336),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [267] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1387),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1355),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [268] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1852),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1759),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [269] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1858),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1758),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [270] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1864),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1757),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [271] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_expression] = STATE(1998),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1089),
    [sym_subscript_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3137),
    [sym_non_null_expression] = STATE(1089),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3809),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1792),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1796),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_DOT] = ACTIONS(1756),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1798),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1762),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
  },
  [272] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1864),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1356),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [273] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1858),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1402),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [274] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1424),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1320),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [275] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1852),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1397),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [276] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1754),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(4264),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [277] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1511),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1986),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [278] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1981),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [279] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1424),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2018),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [280] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1901),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_mapped_type_clause] = STATE(4145),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1800),
    [anon_sym_export] = ACTIONS(1802),
    [anon_sym_type] = ACTIONS(1802),
    [anon_sym_namespace] = ACTIONS(1804),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1806),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1802),
    [anon_sym_readonly] = ACTIONS(1802),
    [anon_sym_get] = ACTIONS(1802),
    [anon_sym_set] = ACTIONS(1802),
    [anon_sym_declare] = ACTIONS(1802),
    [anon_sym_public] = ACTIONS(1802),
    [anon_sym_private] = ACTIONS(1802),
    [anon_sym_protected] = ACTIONS(1802),
    [anon_sym_override] = ACTIONS(1802),
    [anon_sym_module] = ACTIONS(1802),
    [anon_sym_any] = ACTIONS(1802),
    [anon_sym_number] = ACTIONS(1802),
    [anon_sym_boolean] = ACTIONS(1802),
    [anon_sym_string] = ACTIONS(1802),
    [anon_sym_symbol] = ACTIONS(1802),
  },
  [281] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1387),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1982),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [282] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1385),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1988),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [283] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1384),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2028),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [284] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3137),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3809),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [285] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1961),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1412),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [286] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1297),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_sequence_expression] = STATE(3483),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [287] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1294),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [288] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1565),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [289] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1878),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [290] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1860),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1484),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [291] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1961),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1488),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [292] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1852),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1482),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [293] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1858),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [294] = {
    [sym_import] = STATE(1810),
    [sym_statement_block] = STATE(1864),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1478),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [295] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1511),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [296] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1511),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1536),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [297] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1384),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [298] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1540),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [299] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1385),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1941),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [300] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1424),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1523),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [301] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1387),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1571),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [302] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1385),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1572),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [303] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1384),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1573),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [304] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1387),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1948),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [305] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1089),
    [sym_expression] = STATE(1998),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1089),
    [sym_subscript_expression] = STATE(1089),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3137),
    [sym_non_null_expression] = STATE(1089),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3809),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(1752),
    [anon_sym_namespace] = ACTIONS(1754),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_DOT] = ACTIONS(1756),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1758),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1762),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1752),
    [anon_sym_readonly] = ACTIONS(1752),
    [anon_sym_get] = ACTIONS(1752),
    [anon_sym_set] = ACTIONS(1752),
    [anon_sym_declare] = ACTIONS(1752),
    [anon_sym_public] = ACTIONS(1752),
    [anon_sym_private] = ACTIONS(1752),
    [anon_sym_protected] = ACTIONS(1752),
    [anon_sym_override] = ACTIONS(1752),
    [anon_sym_module] = ACTIONS(1752),
    [anon_sym_any] = ACTIONS(1752),
    [anon_sym_number] = ACTIONS(1752),
    [anon_sym_boolean] = ACTIONS(1752),
    [anon_sym_string] = ACTIONS(1752),
    [anon_sym_symbol] = ACTIONS(1752),
  },
  [306] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1424),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1957),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [307] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1511),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1899),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [308] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1205),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(3137),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3809),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1744),
    [anon_sym_type] = ACTIONS(1744),
    [anon_sym_namespace] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1748),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1744),
    [anon_sym_readonly] = ACTIONS(1744),
    [anon_sym_get] = ACTIONS(1744),
    [anon_sym_set] = ACTIONS(1744),
    [anon_sym_declare] = ACTIONS(1744),
    [anon_sym_public] = ACTIONS(1744),
    [anon_sym_private] = ACTIONS(1744),
    [anon_sym_protected] = ACTIONS(1744),
    [anon_sym_override] = ACTIONS(1744),
    [anon_sym_module] = ACTIONS(1744),
    [anon_sym_any] = ACTIONS(1744),
    [anon_sym_number] = ACTIONS(1744),
    [anon_sym_boolean] = ACTIONS(1744),
    [anon_sym_string] = ACTIONS(1744),
    [anon_sym_symbol] = ACTIONS(1744),
  },
  [309] = {
    [sym_import] = STATE(1401),
    [sym_statement_block] = STATE(1511),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1272),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [310] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1772),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [311] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1609),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [312] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1958),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [313] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1962),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [314] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [315] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1978),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [316] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1972),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [317] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1970),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [318] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1967),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [319] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1641),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [320] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1963),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [321] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1942),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [322] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1803),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [323] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1919),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [324] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1805),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [325] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1262),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [326] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1584),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [327] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1807),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [328] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1821),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [329] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [330] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [331] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1828),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [332] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [333] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [334] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [335] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1253),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [336] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [337] = {
    [sym_namespace_export] = STATE(3911),
    [sym_export_clause] = STATE(3514),
    [sym_declaration] = STATE(677),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1810),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_EQ] = ACTIONS(1814),
    [anon_sym_as] = ACTIONS(1816),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(1820),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1851),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [338] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1909),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [339] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1823),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [340] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1395),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [341] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1900),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [342] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1466),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [343] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1582),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [344] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [345] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1720),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [346] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1599),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [347] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1549),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [348] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1574),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [349] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1277),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [350] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1551),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [351] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1438),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [352] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1579),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [353] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1859),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [354] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1594),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [355] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1956),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [356] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1399),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [357] = {
    [sym_namespace_export] = STATE(3911),
    [sym_export_clause] = STATE(3514),
    [sym_declaration] = STATE(677),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1810),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_EQ] = ACTIONS(1814),
    [anon_sym_as] = ACTIONS(1816),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(1820),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1851),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [358] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1677),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [359] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [360] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1676),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [361] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1863),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [362] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1413),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(3409),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(3409),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1109),
    [sym_subscript_expression] = STATE(1109),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(3409),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1109),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1865),
    [anon_sym_export] = ACTIONS(854),
    [anon_sym_type] = ACTIONS(854),
    [anon_sym_namespace] = ACTIONS(856),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(860),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1867),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(854),
    [anon_sym_readonly] = ACTIONS(854),
    [anon_sym_get] = ACTIONS(854),
    [anon_sym_set] = ACTIONS(854),
    [anon_sym_declare] = ACTIONS(854),
    [anon_sym_public] = ACTIONS(854),
    [anon_sym_private] = ACTIONS(854),
    [anon_sym_protected] = ACTIONS(854),
    [anon_sym_override] = ACTIONS(854),
    [anon_sym_module] = ACTIONS(854),
    [anon_sym_any] = ACTIONS(854),
    [anon_sym_number] = ACTIONS(854),
    [anon_sym_boolean] = ACTIONS(854),
    [anon_sym_string] = ACTIONS(854),
    [anon_sym_symbol] = ACTIONS(854),
  },
  [363] = {
    [sym_namespace_export] = STATE(3911),
    [sym_export_clause] = STATE(3514),
    [sym_declaration] = STATE(677),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1810),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_EQ] = ACTIONS(1814),
    [anon_sym_as] = ACTIONS(1816),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(1820),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1851),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [364] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1377),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [365] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1522),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [366] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1863),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [367] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1564),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [368] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1561),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [369] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1560),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [370] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1517),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [371] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1555),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [372] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1554),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [373] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1389),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [374] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1553),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [375] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1546),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [376] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1545),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [377] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1373),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [378] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1544),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [379] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1542),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [380] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1541),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [381] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1494),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [382] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1458),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [383] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1539),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [384] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1871),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [385] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1439),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [386] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1538),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [387] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1551),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1859),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [388] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1871),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [389] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1325),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [390] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [391] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [392] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1537),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [393] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [394] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1931),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [395] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1530),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [396] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1873),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [397] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1834),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [398] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [399] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1516),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [400] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1480),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [401] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1848),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [402] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(1875),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [403] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1396),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [404] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1935),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1859),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [405] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(2865),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(2865),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(2865),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1056),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1877),
    [anon_sym_export] = ACTIONS(1879),
    [anon_sym_type] = ACTIONS(1879),
    [anon_sym_namespace] = ACTIONS(1881),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1883),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1885),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1879),
    [anon_sym_readonly] = ACTIONS(1879),
    [anon_sym_get] = ACTIONS(1879),
    [anon_sym_set] = ACTIONS(1879),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1879),
    [anon_sym_private] = ACTIONS(1879),
    [anon_sym_protected] = ACTIONS(1879),
    [anon_sym_override] = ACTIONS(1879),
    [anon_sym_module] = ACTIONS(1879),
    [anon_sym_any] = ACTIONS(1879),
    [anon_sym_number] = ACTIONS(1879),
    [anon_sym_boolean] = ACTIONS(1879),
    [anon_sym_string] = ACTIONS(1879),
    [anon_sym_symbol] = ACTIONS(1879),
  },
  [406] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1468),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [407] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1598),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [408] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [409] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1487),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [410] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1794),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [411] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [412] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1491),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [413] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1787),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [414] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1510),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [415] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1783),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [416] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1512),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [417] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1508),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [418] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1505),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [419] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [420] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1504),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [421] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1567),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [422] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1503),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [423] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1559),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [424] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1502),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [425] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1500),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [426] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1777),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [427] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1393),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [428] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1485),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [429] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1877),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [430] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1775),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [431] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1936),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [432] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1481),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [433] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1774),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [434] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1475),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [435] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1450),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [436] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [437] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1770),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [438] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1769),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [439] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1768),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [440] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [441] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1766),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [442] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1446),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [443] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1600),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [444] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1859),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [445] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_expression] = STATE(1473),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4392),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4392),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4390),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2389),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4392),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1115),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_export] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_namespace] = ACTIONS(778),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(790),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_void] = ACTIONS(810),
    [anon_sym_delete] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_readonly] = ACTIONS(776),
    [anon_sym_get] = ACTIONS(776),
    [anon_sym_set] = ACTIONS(776),
    [anon_sym_declare] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_override] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_any] = ACTIONS(776),
    [anon_sym_number] = ACTIONS(776),
    [anon_sym_boolean] = ACTIONS(776),
    [anon_sym_string] = ACTIONS(776),
    [anon_sym_symbol] = ACTIONS(776),
  },
  [446] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1369),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(1875),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [447] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1445),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [448] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1562),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [449] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1569),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [450] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [451] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1444),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [452] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1443),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [453] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1413),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [454] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1901),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [455] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1442),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [456] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1430),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [457] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [458] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1429),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [459] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1421),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [460] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1420),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [461] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1811),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [462] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1576),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [463] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1676),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(1875),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [464] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1616),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [465] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1597),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [466] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1586),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [467] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1321),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [468] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1317),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [469] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1316),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [470] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1548),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [471] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1315),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [472] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1314),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [473] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_expression] = STATE(1751),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4225),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4225),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4223),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1152),
    [sym_subscript_expression] = STATE(1152),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2416),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4225),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1152),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_export] = ACTIONS(1024),
    [anon_sym_type] = ACTIONS(1024),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(1040),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_void] = ACTIONS(1048),
    [anon_sym_delete] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_readonly] = ACTIONS(1024),
    [anon_sym_get] = ACTIONS(1024),
    [anon_sym_set] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_override] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1024),
    [anon_sym_number] = ACTIONS(1024),
    [anon_sym_boolean] = ACTIONS(1024),
    [anon_sym_string] = ACTIONS(1024),
    [anon_sym_symbol] = ACTIONS(1024),
  },
  [474] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1369),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [475] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1606),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [476] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1453),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [477] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2026),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [478] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1288),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [479] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1985),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [480] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1312),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [481] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1310),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [482] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1611),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [483] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1309),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [484] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2002),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [485] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1612),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [486] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2003),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [487] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1889),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [488] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [489] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2005),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [490] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2000),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [491] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2006),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [492] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2007),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [493] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2008),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [494] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2010),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [495] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1979),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [496] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2012),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [497] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2015),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [498] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2016),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [499] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2017),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [500] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1291),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [501] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1934),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [502] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2019),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [503] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1161),
    [sym_expression] = STATE(1935),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4418),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4418),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4178),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1161),
    [sym_subscript_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2418),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4418),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1161),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_namespace] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_readonly] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [anon_sym_declare] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_override] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_any] = ACTIONS(1070),
    [anon_sym_number] = ACTIONS(1070),
    [anon_sym_boolean] = ACTIONS(1070),
    [anon_sym_string] = ACTIONS(1070),
    [anon_sym_symbol] = ACTIONS(1070),
  },
  [504] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1295),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [505] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_expression] = STATE(1617),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4383),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4383),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4343),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1140),
    [sym_subscript_expression] = STATE(1140),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2400),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4383),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1140),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_namespace] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(878),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(884),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_void] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_get] = ACTIONS(870),
    [anon_sym_set] = ACTIONS(870),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_public] = ACTIONS(870),
    [anon_sym_private] = ACTIONS(870),
    [anon_sym_protected] = ACTIONS(870),
    [anon_sym_override] = ACTIONS(870),
    [anon_sym_module] = ACTIONS(870),
    [anon_sym_any] = ACTIONS(870),
    [anon_sym_number] = ACTIONS(870),
    [anon_sym_boolean] = ACTIONS(870),
    [anon_sym_string] = ACTIONS(870),
    [anon_sym_symbol] = ACTIONS(870),
  },
  [506] = {
    [sym_import] = STATE(1810),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_expression] = STATE(1404),
    [sym_primary_expression] = STATE(1640),
    [sym_yield_expression] = STATE(1880),
    [sym_object] = STATE(1810),
    [sym_object_pattern] = STATE(4385),
    [sym_array] = STATE(1810),
    [sym_array_pattern] = STATE(4385),
    [sym_glimmer_template] = STATE(1880),
    [sym_glimmer_opening_tag] = STATE(3539),
    [sym_jsx_element] = STATE(1880),
    [sym_jsx_fragment] = STATE(1880),
    [sym_jsx_opening_element] = STATE(2645),
    [sym_jsx_self_closing_element] = STATE(1880),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_arrow_function] = STATE(1810),
    [sym__call_signature] = STATE(4389),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1880),
    [sym_await_expression] = STATE(1880),
    [sym_member_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1880),
    [sym__augmented_assignment_lhs] = STATE(2390),
    [sym_augmented_assignment_expression] = STATE(1880),
    [sym__destructuring_pattern] = STATE(4385),
    [sym_ternary_expression] = STATE(1880),
    [sym_binary_expression] = STATE(1880),
    [sym_unary_expression] = STATE(1880),
    [sym_update_expression] = STATE(1880),
    [sym_string] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_regex] = STATE(1810),
    [sym_meta_property] = STATE(1810),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1123),
    [sym_as_expression] = STATE(1880),
    [sym_satisfies_expression] = STATE(1880),
    [sym_internal_module] = STATE(1880),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(906),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_this] = ACTIONS(91),
    [sym_super] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [sym_false] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_readonly] = ACTIONS(906),
    [anon_sym_get] = ACTIONS(906),
    [anon_sym_set] = ACTIONS(906),
    [anon_sym_declare] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_override] = ACTIONS(906),
    [anon_sym_module] = ACTIONS(906),
    [anon_sym_any] = ACTIONS(906),
    [anon_sym_number] = ACTIONS(906),
    [anon_sym_boolean] = ACTIONS(906),
    [anon_sym_string] = ACTIONS(906),
    [anon_sym_symbol] = ACTIONS(906),
  },
  [507] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(1859),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [508] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1302),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [509] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1529),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [510] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_expression] = STATE(1884),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4345),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4345),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4110),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1138),
    [sym_subscript_expression] = STATE(1138),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2388),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4345),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1138),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
  },
  [511] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1305),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [512] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [513] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1984),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [514] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_expression] = STATE(1308),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4261),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4261),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4400),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2377),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4261),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1075),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_namespace] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_typeof] = ACTIONS(616),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(616),
    [anon_sym_delete] = ACTIONS(616),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_readonly] = ACTIONS(756),
    [anon_sym_get] = ACTIONS(756),
    [anon_sym_set] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_override] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_any] = ACTIONS(756),
    [anon_sym_number] = ACTIONS(756),
    [anon_sym_boolean] = ACTIONS(756),
    [anon_sym_string] = ACTIONS(756),
    [anon_sym_symbol] = ACTIONS(756),
  },
  [515] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1994),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [516] = {
    [sym_import] = STATE(1401),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(1243),
    [sym_yield_expression] = STATE(1406),
    [sym_object] = STATE(1401),
    [sym_object_pattern] = STATE(4395),
    [sym_array] = STATE(1401),
    [sym_array_pattern] = STATE(4395),
    [sym_glimmer_template] = STATE(1406),
    [sym_glimmer_opening_tag] = STATE(3518),
    [sym_jsx_element] = STATE(1406),
    [sym_jsx_fragment] = STATE(1406),
    [sym_jsx_opening_element] = STATE(2663),
    [sym_jsx_self_closing_element] = STATE(1406),
    [sym_class] = STATE(1401),
    [sym_function] = STATE(1401),
    [sym_generator_function] = STATE(1401),
    [sym_arrow_function] = STATE(1401),
    [sym__call_signature] = STATE(4263),
    [sym_call_expression] = STATE(1401),
    [sym_new_expression] = STATE(1406),
    [sym_await_expression] = STATE(1406),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1406),
    [sym__augmented_assignment_lhs] = STATE(2379),
    [sym_augmented_assignment_expression] = STATE(1406),
    [sym__destructuring_pattern] = STATE(4395),
    [sym_ternary_expression] = STATE(1406),
    [sym_binary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1406),
    [sym_update_expression] = STATE(1406),
    [sym_string] = STATE(1401),
    [sym_template_string] = STATE(1401),
    [sym_regex] = STATE(1401),
    [sym_meta_property] = STATE(1401),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2953),
    [sym_non_null_expression] = STATE(1031),
    [sym_as_expression] = STATE(1406),
    [sym_satisfies_expression] = STATE(1406),
    [sym_internal_module] = STATE(1406),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_export_statement_repeat1] = STATE(3431),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_type] = ACTIONS(928),
    [anon_sym_namespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_await] = ACTIONS(136),
    [anon_sym_yield] = ACTIONS(138),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(142),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_class] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(173),
    [anon_sym_delete] = ACTIONS(173),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(191),
    [sym_super] = ACTIONS(191),
    [sym_true] = ACTIONS(191),
    [sym_false] = ACTIONS(191),
    [sym_null] = ACTIONS(191),
    [sym_undefined] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_readonly] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [anon_sym_declare] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_any] = ACTIONS(928),
    [anon_sym_number] = ACTIONS(928),
    [anon_sym_boolean] = ACTIONS(928),
    [anon_sym_string] = ACTIONS(928),
    [anon_sym_symbol] = ACTIONS(928),
  },
  [517] = {
    [sym_declaration] = STATE(730),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_global] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [518] = {
    [sym_declaration] = STATE(730),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_global] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [519] = {
    [sym_declaration] = STATE(730),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_global] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [520] = {
    [sym_namespace_export] = STATE(3911),
    [sym_export_clause] = STATE(3514),
    [sym_declaration] = STATE(677),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1895),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_EQ] = ACTIONS(1897),
    [anon_sym_as] = ACTIONS(1816),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(1820),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1851),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [521] = {
    [sym_namespace_export] = STATE(3911),
    [sym_export_clause] = STATE(3514),
    [sym_declaration] = STATE(677),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1810),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_EQ] = ACTIONS(1897),
    [anon_sym_as] = ACTIONS(1816),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(1820),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1851),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [522] = {
    [sym__call_signature] = STATE(4233),
    [sym_string] = STATE(2991),
    [sym_formal_parameters] = STATE(2953),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1910),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1905),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1929),
    [anon_sym_set] = ACTIONS(1929),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [523] = {
    [sym__call_signature] = STATE(4233),
    [sym_string] = STATE(2991),
    [sym_formal_parameters] = STATE(2953),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1910),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1905),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1929),
    [anon_sym_set] = ACTIONS(1929),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [524] = {
    [sym__call_signature] = STATE(4233),
    [sym_string] = STATE(2991),
    [sym_formal_parameters] = STATE(2953),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [sym_type_parameters] = STATE(3886),
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1910),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1905),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1929),
    [anon_sym_set] = ACTIONS(1929),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [525] = {
    [sym_declaration] = STATE(730),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_global] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [526] = {
    [sym_declaration] = STATE(730),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_global] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [527] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [sym_override_modifier] = STATE(2280),
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1935),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [528] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [sym_override_modifier] = STATE(2280),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1935),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [529] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [sym_override_modifier] = STATE(2280),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1935),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1939),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [530] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1931),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1931),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [531] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1931),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1931),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [532] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1931),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1931),
    [anon_sym_get] = ACTIONS(1931),
    [anon_sym_set] = ACTIONS(1931),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1931),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [533] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1931),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1931),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_export] = ACTIONS(1584),
    [anon_sym_default] = ACTIONS(1584),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [anon_sym_typeof] = ACTIONS(1584),
    [anon_sym_import] = ACTIONS(1584),
    [anon_sym_from] = ACTIONS(1584),
    [anon_sym_var] = ACTIONS(1584),
    [anon_sym_let] = ACTIONS(1584),
    [anon_sym_const] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_else] = ACTIONS(1584),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_switch] = ACTIONS(1584),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_RPAREN] = ACTIONS(1582),
    [anon_sym_await] = ACTIONS(1584),
    [anon_sym_while] = ACTIONS(1584),
    [anon_sym_do] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1584),
    [anon_sym_with] = ACTIONS(1584),
    [anon_sym_break] = ACTIONS(1584),
    [anon_sym_continue] = ACTIONS(1584),
    [anon_sym_debugger] = ACTIONS(1584),
    [anon_sym_return] = ACTIONS(1584),
    [anon_sym_throw] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1582),
    [anon_sym_case] = ACTIONS(1584),
    [anon_sym_yield] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [anon_sym_LTtemplate_GT] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_class] = ACTIONS(1584),
    [anon_sym_async] = ACTIONS(1584),
    [anon_sym_function] = ACTIONS(1584),
    [anon_sym_EQ_GT] = ACTIONS(1582),
    [anon_sym_new] = ACTIONS(1584),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_void] = ACTIONS(1584),
    [anon_sym_delete] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [sym_number] = ACTIONS(1582),
    [sym_this] = ACTIONS(1584),
    [sym_super] = ACTIONS(1584),
    [sym_true] = ACTIONS(1584),
    [sym_false] = ACTIONS(1584),
    [sym_null] = ACTIONS(1584),
    [sym_undefined] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1582),
    [anon_sym_static] = ACTIONS(1584),
    [anon_sym_readonly] = ACTIONS(1584),
    [anon_sym_get] = ACTIONS(1584),
    [anon_sym_set] = ACTIONS(1584),
    [anon_sym_QMARK] = ACTIONS(1582),
    [anon_sym_declare] = ACTIONS(1584),
    [anon_sym_public] = ACTIONS(1584),
    [anon_sym_private] = ACTIONS(1584),
    [anon_sym_protected] = ACTIONS(1584),
    [anon_sym_override] = ACTIONS(1584),
    [anon_sym_module] = ACTIONS(1584),
    [anon_sym_any] = ACTIONS(1584),
    [anon_sym_number] = ACTIONS(1584),
    [anon_sym_boolean] = ACTIONS(1584),
    [anon_sym_string] = ACTIONS(1584),
    [anon_sym_symbol] = ACTIONS(1584),
    [anon_sym_abstract] = ACTIONS(1584),
    [anon_sym_extends] = ACTIONS(1584),
    [anon_sym_interface] = ACTIONS(1584),
    [anon_sym_enum] = ACTIONS(1584),
  },
  [535] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1931),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1931),
    [anon_sym_get] = ACTIONS(1931),
    [anon_sym_set] = ACTIONS(1931),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1931),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1556),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1558),
    [anon_sym_type] = ACTIONS(1558),
    [anon_sym_EQ] = ACTIONS(1558),
    [anon_sym_namespace] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1556),
    [anon_sym_RBRACE] = ACTIONS(1556),
    [anon_sym_typeof] = ACTIONS(1558),
    [anon_sym_import] = ACTIONS(1558),
    [anon_sym_from] = ACTIONS(1558),
    [anon_sym_var] = ACTIONS(1558),
    [anon_sym_let] = ACTIONS(1558),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_else] = ACTIONS(1558),
    [anon_sym_if] = ACTIONS(1558),
    [anon_sym_switch] = ACTIONS(1558),
    [anon_sym_for] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [anon_sym_RPAREN] = ACTIONS(1556),
    [anon_sym_await] = ACTIONS(1558),
    [anon_sym_while] = ACTIONS(1558),
    [anon_sym_do] = ACTIONS(1558),
    [anon_sym_try] = ACTIONS(1558),
    [anon_sym_with] = ACTIONS(1558),
    [anon_sym_break] = ACTIONS(1558),
    [anon_sym_continue] = ACTIONS(1558),
    [anon_sym_debugger] = ACTIONS(1558),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1556),
    [anon_sym_COLON] = ACTIONS(1556),
    [anon_sym_case] = ACTIONS(1558),
    [anon_sym_yield] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_RBRACK] = ACTIONS(1556),
    [anon_sym_LTtemplate_GT] = ACTIONS(1556),
    [anon_sym_LT] = ACTIONS(1558),
    [anon_sym_GT] = ACTIONS(1556),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_class] = ACTIONS(1558),
    [anon_sym_async] = ACTIONS(1558),
    [anon_sym_function] = ACTIONS(1558),
    [anon_sym_EQ_GT] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1558),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_void] = ACTIONS(1558),
    [anon_sym_delete] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1558),
    [anon_sym_DQUOTE] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1556),
    [sym_number] = ACTIONS(1556),
    [sym_this] = ACTIONS(1558),
    [sym_super] = ACTIONS(1558),
    [sym_true] = ACTIONS(1558),
    [sym_false] = ACTIONS(1558),
    [sym_null] = ACTIONS(1558),
    [sym_undefined] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1556),
    [anon_sym_static] = ACTIONS(1558),
    [anon_sym_readonly] = ACTIONS(1558),
    [anon_sym_get] = ACTIONS(1558),
    [anon_sym_set] = ACTIONS(1558),
    [anon_sym_QMARK] = ACTIONS(1556),
    [anon_sym_declare] = ACTIONS(1558),
    [anon_sym_public] = ACTIONS(1558),
    [anon_sym_private] = ACTIONS(1558),
    [anon_sym_protected] = ACTIONS(1558),
    [anon_sym_override] = ACTIONS(1558),
    [anon_sym_module] = ACTIONS(1558),
    [anon_sym_any] = ACTIONS(1558),
    [anon_sym_number] = ACTIONS(1558),
    [anon_sym_boolean] = ACTIONS(1558),
    [anon_sym_string] = ACTIONS(1558),
    [anon_sym_symbol] = ACTIONS(1558),
    [anon_sym_abstract] = ACTIONS(1558),
    [anon_sym_extends] = ACTIONS(1558),
    [anon_sym_interface] = ACTIONS(1558),
    [anon_sym_enum] = ACTIONS(1558),
  },
  [537] = {
    [sym_declaration] = STATE(730),
    [sym_variable_declaration] = STATE(668),
    [sym_lexical_declaration] = STATE(668),
    [sym_class_declaration] = STATE(668),
    [sym_function_declaration] = STATE(668),
    [sym_generator_function_declaration] = STATE(668),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(668),
    [sym_ambient_declaration] = STATE(668),
    [sym_abstract_class_declaration] = STATE(668),
    [sym_module] = STATE(668),
    [sym_internal_module] = STATE(679),
    [sym_import_alias] = STATE(668),
    [sym_interface_declaration] = STATE(668),
    [sym_enum_declaration] = STATE(668),
    [sym_type_alias_declaration] = STATE(668),
    [aux_sym_export_statement_repeat1] = STATE(3282),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1818),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_global] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [538] = {
    [sym_declaration] = STATE(3330),
    [sym_variable_declaration] = STATE(3391),
    [sym_lexical_declaration] = STATE(3391),
    [sym_class_declaration] = STATE(3391),
    [sym_function_declaration] = STATE(3391),
    [sym_generator_function_declaration] = STATE(3391),
    [sym_decorator] = STATE(1150),
    [sym_function_signature] = STATE(3391),
    [sym_ambient_declaration] = STATE(3391),
    [sym_abstract_class_declaration] = STATE(3391),
    [sym_module] = STATE(3391),
    [sym_internal_module] = STATE(3320),
    [sym_import_alias] = STATE(3391),
    [sym_interface_declaration] = STATE(3391),
    [sym_enum_declaration] = STATE(3391),
    [sym_type_alias_declaration] = STATE(3391),
    [aux_sym_export_statement_repeat1] = STATE(3212),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1941),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1943),
    [anon_sym_import] = ACTIONS(1945),
    [anon_sym_var] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(1951),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(1953),
    [anon_sym_async] = ACTIONS(1955),
    [anon_sym_function] = ACTIONS(1957),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_declare] = ACTIONS(1959),
    [anon_sym_module] = ACTIONS(1961),
    [anon_sym_abstract] = ACTIONS(1963),
    [anon_sym_satisfies] = ACTIONS(155),
    [anon_sym_global] = ACTIONS(1965),
    [anon_sym_interface] = ACTIONS(1967),
    [anon_sym_enum] = ACTIONS(1969),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [539] = {
    [sym_string] = STATE(2991),
    [sym__property_name] = STATE(2991),
    [sym_computed_property_name] = STATE(2991),
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1931),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1931),
    [anon_sym_get] = ACTIONS(1931),
    [anon_sym_set] = ACTIONS(1931),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1931),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1971),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_type] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_COMMA] = ACTIONS(1971),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_typeof] = ACTIONS(1973),
    [anon_sym_import] = ACTIONS(1973),
    [anon_sym_var] = ACTIONS(1973),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1971),
    [anon_sym_RPAREN] = ACTIONS(1971),
    [anon_sym_await] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_with] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_debugger] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym_COLON] = ACTIONS(1971),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_yield] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_RBRACK] = ACTIONS(1971),
    [anon_sym_LTtemplate_GT] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_function] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1971),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_void] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1971),
    [sym_number] = ACTIONS(1971),
    [sym_this] = ACTIONS(1973),
    [sym_super] = ACTIONS(1973),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [sym_null] = ACTIONS(1973),
    [sym_undefined] = ACTIONS(1973),
    [anon_sym_AT] = ACTIONS(1971),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_readonly] = ACTIONS(1973),
    [anon_sym_get] = ACTIONS(1973),
    [anon_sym_set] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1971),
    [anon_sym_declare] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_module] = ACTIONS(1973),
    [anon_sym_any] = ACTIONS(1973),
    [anon_sym_number] = ACTIONS(1973),
    [anon_sym_boolean] = ACTIONS(1973),
    [anon_sym_string] = ACTIONS(1973),
    [anon_sym_symbol] = ACTIONS(1973),
    [anon_sym_abstract] = ACTIONS(1973),
    [anon_sym_extends] = ACTIONS(1973),
    [anon_sym_interface] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1977),
    [anon_sym_default] = ACTIONS(1977),
    [anon_sym_type] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1977),
    [anon_sym_namespace] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(1975),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(1977),
    [anon_sym_import] = ACTIONS(1977),
    [anon_sym_var] = ACTIONS(1977),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_const] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_switch] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_RPAREN] = ACTIONS(1975),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_with] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_debugger] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_COLON] = ACTIONS(1975),
    [anon_sym_case] = ACTIONS(1977),
    [anon_sym_yield] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_RBRACK] = ACTIONS(1975),
    [anon_sym_LTtemplate_GT] = ACTIONS(1975),
    [anon_sym_LT] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1975),
    [anon_sym_SLASH] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_function] = ACTIONS(1977),
    [anon_sym_EQ_GT] = ACTIONS(1975),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1975),
    [anon_sym_PIPE] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1975),
    [anon_sym_void] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1975),
    [sym_this] = ACTIONS(1977),
    [sym_super] = ACTIONS(1977),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(1977),
    [anon_sym_set] = ACTIONS(1977),
    [anon_sym_QMARK] = ACTIONS(1975),
    [anon_sym_declare] = ACTIONS(1977),
    [anon_sym_public] = ACTIONS(1977),
    [anon_sym_private] = ACTIONS(1977),
    [anon_sym_protected] = ACTIONS(1977),
    [anon_sym_override] = ACTIONS(1977),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_any] = ACTIONS(1977),
    [anon_sym_number] = ACTIONS(1977),
    [anon_sym_boolean] = ACTIONS(1977),
    [anon_sym_string] = ACTIONS(1977),
    [anon_sym_symbol] = ACTIONS(1977),
    [anon_sym_abstract] = ACTIONS(1977),
    [anon_sym_extends] = ACTIONS(1977),
    [anon_sym_interface] = ACTIONS(1977),
    [anon_sym_enum] = ACTIONS(1977),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1979),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1981),
    [anon_sym_default] = ACTIONS(1981),
    [anon_sym_type] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1981),
    [anon_sym_namespace] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(1979),
    [anon_sym_RBRACE] = ACTIONS(1979),
    [anon_sym_typeof] = ACTIONS(1981),
    [anon_sym_import] = ACTIONS(1981),
    [anon_sym_var] = ACTIONS(1981),
    [anon_sym_let] = ACTIONS(1981),
    [anon_sym_const] = ACTIONS(1981),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_else] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_switch] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_RPAREN] = ACTIONS(1979),
    [anon_sym_await] = ACTIONS(1981),
    [anon_sym_while] = ACTIONS(1981),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_try] = ACTIONS(1981),
    [anon_sym_with] = ACTIONS(1981),
    [anon_sym_break] = ACTIONS(1981),
    [anon_sym_continue] = ACTIONS(1981),
    [anon_sym_debugger] = ACTIONS(1981),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_throw] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1979),
    [anon_sym_COLON] = ACTIONS(1979),
    [anon_sym_case] = ACTIONS(1981),
    [anon_sym_yield] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1979),
    [anon_sym_RBRACK] = ACTIONS(1979),
    [anon_sym_LTtemplate_GT] = ACTIONS(1979),
    [anon_sym_LT] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1981),
    [anon_sym_class] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_function] = ACTIONS(1981),
    [anon_sym_EQ_GT] = ACTIONS(1979),
    [anon_sym_new] = ACTIONS(1981),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_PLUS] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1981),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_void] = ACTIONS(1981),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_PLUS_PLUS] = ACTIONS(1979),
    [anon_sym_DASH_DASH] = ACTIONS(1981),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [anon_sym_SQUOTE] = ACTIONS(1979),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1979),
    [sym_number] = ACTIONS(1979),
    [sym_this] = ACTIONS(1981),
    [sym_super] = ACTIONS(1981),
    [sym_true] = ACTIONS(1981),
    [sym_false] = ACTIONS(1981),
    [sym_null] = ACTIONS(1981),
    [sym_undefined] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1979),
    [anon_sym_static] = ACTIONS(1981),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_get] = ACTIONS(1981),
    [anon_sym_set] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1979),
    [anon_sym_declare] = ACTIONS(1981),
    [anon_sym_public] = ACTIONS(1981),
    [anon_sym_private] = ACTIONS(1981),
    [anon_sym_protected] = ACTIONS(1981),
    [anon_sym_override] = ACTIONS(1981),
    [anon_sym_module] = ACTIONS(1981),
    [anon_sym_any] = ACTIONS(1981),
    [anon_sym_number] = ACTIONS(1981),
    [anon_sym_boolean] = ACTIONS(1981),
    [anon_sym_string] = ACTIONS(1981),
    [anon_sym_symbol] = ACTIONS(1981),
    [anon_sym_abstract] = ACTIONS(1981),
    [anon_sym_extends] = ACTIONS(1981),
    [anon_sym_interface] = ACTIONS(1981),
    [anon_sym_enum] = ACTIONS(1981),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1985),
    [anon_sym_export] = ACTIONS(1985),
    [anon_sym_default] = ACTIONS(1985),
    [anon_sym_type] = ACTIONS(1985),
    [anon_sym_EQ] = ACTIONS(1985),
    [anon_sym_namespace] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1983),
    [anon_sym_COMMA] = ACTIONS(1983),
    [anon_sym_RBRACE] = ACTIONS(1983),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(1985),
    [anon_sym_var] = ACTIONS(1985),
    [anon_sym_let] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1983),
    [anon_sym_else] = ACTIONS(1985),
    [anon_sym_if] = ACTIONS(1985),
    [anon_sym_switch] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1983),
    [anon_sym_RPAREN] = ACTIONS(1983),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_try] = ACTIONS(1985),
    [anon_sym_with] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_debugger] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1983),
    [anon_sym_COLON] = ACTIONS(1983),
    [anon_sym_case] = ACTIONS(1985),
    [anon_sym_yield] = ACTIONS(1985),
    [anon_sym_LBRACK] = ACTIONS(1983),
    [anon_sym_RBRACK] = ACTIONS(1983),
    [anon_sym_LTtemplate_GT] = ACTIONS(1983),
    [anon_sym_LT] = ACTIONS(1985),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_SLASH] = ACTIONS(1985),
    [anon_sym_class] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_function] = ACTIONS(1985),
    [anon_sym_EQ_GT] = ACTIONS(1983),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_AMP] = ACTIONS(1983),
    [anon_sym_PIPE] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1983),
    [anon_sym_void] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(1985),
    [anon_sym_DQUOTE] = ACTIONS(1983),
    [anon_sym_SQUOTE] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1983),
    [sym_number] = ACTIONS(1983),
    [sym_this] = ACTIONS(1985),
    [sym_super] = ACTIONS(1985),
    [sym_true] = ACTIONS(1985),
    [sym_false] = ACTIONS(1985),
    [sym_null] = ACTIONS(1985),
    [sym_undefined] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1985),
    [anon_sym_readonly] = ACTIONS(1985),
    [anon_sym_get] = ACTIONS(1985),
    [anon_sym_set] = ACTIONS(1985),
    [anon_sym_QMARK] = ACTIONS(1983),
    [anon_sym_declare] = ACTIONS(1985),
    [anon_sym_public] = ACTIONS(1985),
    [anon_sym_private] = ACTIONS(1985),
    [anon_sym_protected] = ACTIONS(1985),
    [anon_sym_override] = ACTIONS(1985),
    [anon_sym_module] = ACTIONS(1985),
    [anon_sym_any] = ACTIONS(1985),
    [anon_sym_number] = ACTIONS(1985),
    [anon_sym_boolean] = ACTIONS(1985),
    [anon_sym_string] = ACTIONS(1985),
    [anon_sym_symbol] = ACTIONS(1985),
    [anon_sym_abstract] = ACTIONS(1985),
    [anon_sym_extends] = ACTIONS(1985),
    [anon_sym_interface] = ACTIONS(1985),
    [anon_sym_enum] = ACTIONS(1985),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1987),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1989),
    [anon_sym_default] = ACTIONS(1989),
    [anon_sym_type] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_namespace] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1987),
    [anon_sym_COMMA] = ACTIONS(1987),
    [anon_sym_RBRACE] = ACTIONS(1987),
    [anon_sym_typeof] = ACTIONS(1989),
    [anon_sym_import] = ACTIONS(1989),
    [anon_sym_var] = ACTIONS(1989),
    [anon_sym_let] = ACTIONS(1989),
    [anon_sym_const] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_switch] = ACTIONS(1989),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_RPAREN] = ACTIONS(1987),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_with] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_debugger] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_throw] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1989),
    [anon_sym_yield] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_RBRACK] = ACTIONS(1987),
    [anon_sym_LTtemplate_GT] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(1987),
    [anon_sym_SLASH] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_function] = ACTIONS(1989),
    [anon_sym_EQ_GT] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_PIPE] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1987),
    [anon_sym_void] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1987),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1987),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(1989),
    [sym_super] = ACTIONS(1989),
    [sym_true] = ACTIONS(1989),
    [sym_false] = ACTIONS(1989),
    [sym_null] = ACTIONS(1989),
    [sym_undefined] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1989),
    [anon_sym_readonly] = ACTIONS(1989),
    [anon_sym_get] = ACTIONS(1989),
    [anon_sym_set] = ACTIONS(1989),
    [anon_sym_QMARK] = ACTIONS(1987),
    [anon_sym_declare] = ACTIONS(1989),
    [anon_sym_public] = ACTIONS(1989),
    [anon_sym_private] = ACTIONS(1989),
    [anon_sym_protected] = ACTIONS(1989),
    [anon_sym_override] = ACTIONS(1989),
    [anon_sym_module] = ACTIONS(1989),
    [anon_sym_any] = ACTIONS(1989),
    [anon_sym_number] = ACTIONS(1989),
    [anon_sym_boolean] = ACTIONS(1989),
    [anon_sym_string] = ACTIONS(1989),
    [anon_sym_symbol] = ACTIONS(1989),
    [anon_sym_abstract] = ACTIONS(1989),
    [anon_sym_extends] = ACTIONS(1989),
    [anon_sym_interface] = ACTIONS(1989),
    [anon_sym_enum] = ACTIONS(1989),
  },
  [545] = {
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1668),
    [anon_sym_export] = ACTIONS(1668),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_type] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1668),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1670),
    [sym_private_property_identifier] = ACTIONS(1670),
    [anon_sym_static] = ACTIONS(1668),
    [anon_sym_readonly] = ACTIONS(1668),
    [anon_sym_get] = ACTIONS(1668),
    [anon_sym_set] = ACTIONS(1668),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1668),
    [anon_sym_public] = ACTIONS(1668),
    [anon_sym_private] = ACTIONS(1668),
    [anon_sym_protected] = ACTIONS(1668),
    [anon_sym_override] = ACTIONS(1668),
    [anon_sym_module] = ACTIONS(1668),
    [anon_sym_any] = ACTIONS(1668),
    [anon_sym_number] = ACTIONS(1668),
    [anon_sym_boolean] = ACTIONS(1668),
    [anon_sym_string] = ACTIONS(1668),
    [anon_sym_symbol] = ACTIONS(1668),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [546] = {
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1668),
    [anon_sym_export] = ACTIONS(1668),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_type] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1668),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1670),
    [sym_private_property_identifier] = ACTIONS(1670),
    [anon_sym_static] = ACTIONS(1668),
    [anon_sym_readonly] = ACTIONS(1668),
    [anon_sym_get] = ACTIONS(1668),
    [anon_sym_set] = ACTIONS(1668),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1668),
    [anon_sym_public] = ACTIONS(1668),
    [anon_sym_private] = ACTIONS(1668),
    [anon_sym_protected] = ACTIONS(1668),
    [anon_sym_override] = ACTIONS(1668),
    [anon_sym_module] = ACTIONS(1668),
    [anon_sym_any] = ACTIONS(1668),
    [anon_sym_number] = ACTIONS(1668),
    [anon_sym_boolean] = ACTIONS(1668),
    [anon_sym_string] = ACTIONS(1668),
    [anon_sym_symbol] = ACTIONS(1668),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [547] = {
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_export] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_type] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1656),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1658),
    [sym_private_property_identifier] = ACTIONS(1658),
    [anon_sym_static] = ACTIONS(1656),
    [anon_sym_readonly] = ACTIONS(1656),
    [anon_sym_get] = ACTIONS(1656),
    [anon_sym_set] = ACTIONS(1656),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1656),
    [anon_sym_public] = ACTIONS(1656),
    [anon_sym_private] = ACTIONS(1656),
    [anon_sym_protected] = ACTIONS(1656),
    [anon_sym_override] = ACTIONS(1656),
    [anon_sym_module] = ACTIONS(1656),
    [anon_sym_any] = ACTIONS(1656),
    [anon_sym_number] = ACTIONS(1656),
    [anon_sym_boolean] = ACTIONS(1656),
    [anon_sym_string] = ACTIONS(1656),
    [anon_sym_symbol] = ACTIONS(1656),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [548] = {
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1668),
    [anon_sym_export] = ACTIONS(1668),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_type] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1668),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1670),
    [sym_private_property_identifier] = ACTIONS(1670),
    [anon_sym_static] = ACTIONS(1668),
    [anon_sym_readonly] = ACTIONS(1668),
    [anon_sym_get] = ACTIONS(1668),
    [anon_sym_set] = ACTIONS(1668),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1668),
    [anon_sym_public] = ACTIONS(1668),
    [anon_sym_private] = ACTIONS(1668),
    [anon_sym_protected] = ACTIONS(1668),
    [anon_sym_override] = ACTIONS(1668),
    [anon_sym_module] = ACTIONS(1668),
    [anon_sym_any] = ACTIONS(1668),
    [anon_sym_number] = ACTIONS(1668),
    [anon_sym_boolean] = ACTIONS(1668),
    [anon_sym_string] = ACTIONS(1668),
    [anon_sym_symbol] = ACTIONS(1668),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [549] = {
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_export] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_type] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1656),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1658),
    [sym_private_property_identifier] = ACTIONS(1658),
    [anon_sym_static] = ACTIONS(1656),
    [anon_sym_readonly] = ACTIONS(1656),
    [anon_sym_get] = ACTIONS(1656),
    [anon_sym_set] = ACTIONS(1656),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1656),
    [anon_sym_public] = ACTIONS(1656),
    [anon_sym_private] = ACTIONS(1656),
    [anon_sym_protected] = ACTIONS(1656),
    [anon_sym_override] = ACTIONS(1656),
    [anon_sym_module] = ACTIONS(1656),
    [anon_sym_any] = ACTIONS(1656),
    [anon_sym_number] = ACTIONS(1656),
    [anon_sym_boolean] = ACTIONS(1656),
    [anon_sym_string] = ACTIONS(1656),
    [anon_sym_symbol] = ACTIONS(1656),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [550] = {
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_export] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_type] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(1656),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [sym_number] = ACTIONS(1658),
    [sym_private_property_identifier] = ACTIONS(1658),
    [anon_sym_static] = ACTIONS(1656),
    [anon_sym_readonly] = ACTIONS(1656),
    [anon_sym_get] = ACTIONS(1656),
    [anon_sym_set] = ACTIONS(1656),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1656),
    [anon_sym_public] = ACTIONS(1656),
    [anon_sym_private] = ACTIONS(1656),
    [anon_sym_protected] = ACTIONS(1656),
    [anon_sym_override] = ACTIONS(1656),
    [anon_sym_module] = ACTIONS(1656),
    [anon_sym_any] = ACTIONS(1656),
    [anon_sym_number] = ACTIONS(1656),
    [anon_sym_boolean] = ACTIONS(1656),
    [anon_sym_string] = ACTIONS(1656),
    [anon_sym_symbol] = ACTIONS(1656),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [551] = {
    [sym__call_signature] = STATE(4254),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_export] = ACTIONS(1993),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1993),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(1267),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(1993),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(1993),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(1993),
    [anon_sym_set] = ACTIONS(1993),
    [anon_sym_QMARK] = ACTIONS(2003),
    [anon_sym_declare] = ACTIONS(1993),
    [anon_sym_public] = ACTIONS(1993),
    [anon_sym_private] = ACTIONS(1993),
    [anon_sym_protected] = ACTIONS(1993),
    [anon_sym_override] = ACTIONS(1993),
    [anon_sym_module] = ACTIONS(1993),
    [anon_sym_any] = ACTIONS(1993),
    [anon_sym_number] = ACTIONS(1993),
    [anon_sym_boolean] = ACTIONS(1993),
    [anon_sym_string] = ACTIONS(1993),
    [anon_sym_symbol] = ACTIONS(1993),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [552] = {
    [sym__call_signature] = STATE(4357),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2007),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_readonly] = ACTIONS(2007),
    [anon_sym_get] = ACTIONS(2007),
    [anon_sym_set] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(2007),
    [anon_sym_public] = ACTIONS(2007),
    [anon_sym_private] = ACTIONS(2007),
    [anon_sym_protected] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_module] = ACTIONS(2007),
    [anon_sym_any] = ACTIONS(2007),
    [anon_sym_number] = ACTIONS(2007),
    [anon_sym_boolean] = ACTIONS(2007),
    [anon_sym_string] = ACTIONS(2007),
    [anon_sym_symbol] = ACTIONS(2007),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [553] = {
    [sym__call_signature] = STATE(4254),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_export] = ACTIONS(1993),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1993),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(1993),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(1993),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(1993),
    [anon_sym_set] = ACTIONS(1993),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(1993),
    [anon_sym_public] = ACTIONS(1993),
    [anon_sym_private] = ACTIONS(1993),
    [anon_sym_protected] = ACTIONS(1993),
    [anon_sym_override] = ACTIONS(1993),
    [anon_sym_module] = ACTIONS(1993),
    [anon_sym_any] = ACTIONS(1993),
    [anon_sym_number] = ACTIONS(1993),
    [anon_sym_boolean] = ACTIONS(1993),
    [anon_sym_string] = ACTIONS(1993),
    [anon_sym_symbol] = ACTIONS(1993),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [554] = {
    [sym__call_signature] = STATE(4357),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2007),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_readonly] = ACTIONS(2007),
    [anon_sym_get] = ACTIONS(2007),
    [anon_sym_set] = ACTIONS(2007),
    [anon_sym_declare] = ACTIONS(2007),
    [anon_sym_public] = ACTIONS(2007),
    [anon_sym_private] = ACTIONS(2007),
    [anon_sym_protected] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_module] = ACTIONS(2007),
    [anon_sym_any] = ACTIONS(2007),
    [anon_sym_number] = ACTIONS(2007),
    [anon_sym_boolean] = ACTIONS(2007),
    [anon_sym_string] = ACTIONS(2007),
    [anon_sym_symbol] = ACTIONS(2007),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [555] = {
    [sym__call_signature] = STATE(4357),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2007),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_readonly] = ACTIONS(2007),
    [anon_sym_get] = ACTIONS(2007),
    [anon_sym_set] = ACTIONS(2007),
    [anon_sym_declare] = ACTIONS(2007),
    [anon_sym_public] = ACTIONS(2007),
    [anon_sym_private] = ACTIONS(2007),
    [anon_sym_protected] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_module] = ACTIONS(2007),
    [anon_sym_any] = ACTIONS(2007),
    [anon_sym_number] = ACTIONS(2007),
    [anon_sym_boolean] = ACTIONS(2007),
    [anon_sym_string] = ACTIONS(2007),
    [anon_sym_symbol] = ACTIONS(2007),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [556] = {
    [sym__call_signature] = STATE(4399),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_export] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2011),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2011),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2011),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2011),
    [anon_sym_readonly] = ACTIONS(2011),
    [anon_sym_get] = ACTIONS(2011),
    [anon_sym_set] = ACTIONS(2011),
    [anon_sym_declare] = ACTIONS(2011),
    [anon_sym_public] = ACTIONS(2011),
    [anon_sym_private] = ACTIONS(2011),
    [anon_sym_protected] = ACTIONS(2011),
    [anon_sym_override] = ACTIONS(2011),
    [anon_sym_module] = ACTIONS(2011),
    [anon_sym_any] = ACTIONS(2011),
    [anon_sym_number] = ACTIONS(2011),
    [anon_sym_boolean] = ACTIONS(2011),
    [anon_sym_string] = ACTIONS(2011),
    [anon_sym_symbol] = ACTIONS(2011),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [557] = {
    [sym__call_signature] = STATE(4233),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2017),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_readonly] = ACTIONS(2017),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
    [anon_sym_declare] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_override] = ACTIONS(2017),
    [anon_sym_module] = ACTIONS(2017),
    [anon_sym_any] = ACTIONS(2017),
    [anon_sym_number] = ACTIONS(2017),
    [anon_sym_boolean] = ACTIONS(2017),
    [anon_sym_string] = ACTIONS(2017),
    [anon_sym_symbol] = ACTIONS(2017),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [558] = {
    [sym__call_signature] = STATE(4233),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2017),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_readonly] = ACTIONS(2017),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
    [anon_sym_declare] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_override] = ACTIONS(2017),
    [anon_sym_module] = ACTIONS(2017),
    [anon_sym_any] = ACTIONS(2017),
    [anon_sym_number] = ACTIONS(2017),
    [anon_sym_boolean] = ACTIONS(2017),
    [anon_sym_string] = ACTIONS(2017),
    [anon_sym_symbol] = ACTIONS(2017),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [559] = {
    [sym__call_signature] = STATE(4233),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2017),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(2019),
    [anon_sym_of] = ACTIONS(2022),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_readonly] = ACTIONS(2017),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
    [anon_sym_declare] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_override] = ACTIONS(2017),
    [anon_sym_module] = ACTIONS(2017),
    [anon_sym_any] = ACTIONS(2017),
    [anon_sym_number] = ACTIONS(2017),
    [anon_sym_boolean] = ACTIONS(2017),
    [anon_sym_string] = ACTIONS(2017),
    [anon_sym_symbol] = ACTIONS(2017),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [560] = {
    [sym__call_signature] = STATE(4399),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_export] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2011),
    [anon_sym_EQ] = ACTIONS(1256),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2011),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2011),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_EQ_GT] = ACTIONS(1258),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2011),
    [anon_sym_readonly] = ACTIONS(2011),
    [anon_sym_get] = ACTIONS(2011),
    [anon_sym_set] = ACTIONS(2011),
    [anon_sym_declare] = ACTIONS(2011),
    [anon_sym_public] = ACTIONS(2011),
    [anon_sym_private] = ACTIONS(2011),
    [anon_sym_protected] = ACTIONS(2011),
    [anon_sym_override] = ACTIONS(2011),
    [anon_sym_module] = ACTIONS(2011),
    [anon_sym_any] = ACTIONS(2011),
    [anon_sym_number] = ACTIONS(2011),
    [anon_sym_boolean] = ACTIONS(2011),
    [anon_sym_string] = ACTIONS(2011),
    [anon_sym_symbol] = ACTIONS(2011),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [561] = {
    [sym__call_signature] = STATE(4233),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2017),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(2024),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_readonly] = ACTIONS(2017),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
    [anon_sym_declare] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_override] = ACTIONS(2017),
    [anon_sym_module] = ACTIONS(2017),
    [anon_sym_any] = ACTIONS(2017),
    [anon_sym_number] = ACTIONS(2017),
    [anon_sym_boolean] = ACTIONS(2017),
    [anon_sym_string] = ACTIONS(2017),
    [anon_sym_symbol] = ACTIONS(2017),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [562] = {
    [sym__call_signature] = STATE(4357),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2007),
    [anon_sym_COMMA] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_readonly] = ACTIONS(2007),
    [anon_sym_get] = ACTIONS(2007),
    [anon_sym_set] = ACTIONS(2007),
    [anon_sym_declare] = ACTIONS(2007),
    [anon_sym_public] = ACTIONS(2007),
    [anon_sym_private] = ACTIONS(2007),
    [anon_sym_protected] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_module] = ACTIONS(2007),
    [anon_sym_any] = ACTIONS(2007),
    [anon_sym_number] = ACTIONS(2007),
    [anon_sym_boolean] = ACTIONS(2007),
    [anon_sym_string] = ACTIONS(2007),
    [anon_sym_symbol] = ACTIONS(2007),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [563] = {
    [sym__call_signature] = STATE(4233),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2017),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_readonly] = ACTIONS(2017),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
    [anon_sym_declare] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_override] = ACTIONS(2017),
    [anon_sym_module] = ACTIONS(2017),
    [anon_sym_any] = ACTIONS(2017),
    [anon_sym_number] = ACTIONS(2017),
    [anon_sym_boolean] = ACTIONS(2017),
    [anon_sym_string] = ACTIONS(2017),
    [anon_sym_symbol] = ACTIONS(2017),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [564] = {
    [sym__call_signature] = STATE(4348),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_export] = ACTIONS(2028),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2028),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1311),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2028),
    [anon_sym_readonly] = ACTIONS(2028),
    [anon_sym_get] = ACTIONS(2028),
    [anon_sym_set] = ACTIONS(2028),
    [anon_sym_declare] = ACTIONS(2028),
    [anon_sym_public] = ACTIONS(2028),
    [anon_sym_private] = ACTIONS(2028),
    [anon_sym_protected] = ACTIONS(2028),
    [anon_sym_override] = ACTIONS(2028),
    [anon_sym_module] = ACTIONS(2028),
    [anon_sym_any] = ACTIONS(2028),
    [anon_sym_number] = ACTIONS(2028),
    [anon_sym_boolean] = ACTIONS(2028),
    [anon_sym_string] = ACTIONS(2028),
    [anon_sym_symbol] = ACTIONS(2028),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [565] = {
    [sym__call_signature] = STATE(4115),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(2032),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2032),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2032),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1262),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_readonly] = ACTIONS(2032),
    [anon_sym_get] = ACTIONS(2032),
    [anon_sym_set] = ACTIONS(2032),
    [anon_sym_declare] = ACTIONS(2032),
    [anon_sym_public] = ACTIONS(2032),
    [anon_sym_private] = ACTIONS(2032),
    [anon_sym_protected] = ACTIONS(2032),
    [anon_sym_override] = ACTIONS(2032),
    [anon_sym_module] = ACTIONS(2032),
    [anon_sym_any] = ACTIONS(2032),
    [anon_sym_number] = ACTIONS(2032),
    [anon_sym_boolean] = ACTIONS(2032),
    [anon_sym_string] = ACTIONS(2032),
    [anon_sym_symbol] = ACTIONS(2032),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [566] = {
    [sym_catch_clause] = STATE(592),
    [sym_finally_clause] = STATE(682),
    [ts_builtin_sym_end] = ACTIONS(2034),
    [sym_identifier] = ACTIONS(2036),
    [anon_sym_export] = ACTIONS(2036),
    [anon_sym_default] = ACTIONS(2036),
    [anon_sym_type] = ACTIONS(2036),
    [anon_sym_namespace] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_typeof] = ACTIONS(2036),
    [anon_sym_import] = ACTIONS(2036),
    [anon_sym_var] = ACTIONS(2036),
    [anon_sym_let] = ACTIONS(2036),
    [anon_sym_const] = ACTIONS(2036),
    [anon_sym_BANG] = ACTIONS(2034),
    [anon_sym_else] = ACTIONS(2036),
    [anon_sym_if] = ACTIONS(2036),
    [anon_sym_switch] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2036),
    [anon_sym_LPAREN] = ACTIONS(2034),
    [anon_sym_await] = ACTIONS(2036),
    [anon_sym_while] = ACTIONS(2036),
    [anon_sym_do] = ACTIONS(2036),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2036),
    [anon_sym_break] = ACTIONS(2036),
    [anon_sym_continue] = ACTIONS(2036),
    [anon_sym_debugger] = ACTIONS(2036),
    [anon_sym_return] = ACTIONS(2036),
    [anon_sym_throw] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2034),
    [anon_sym_case] = ACTIONS(2036),
    [anon_sym_catch] = ACTIONS(2038),
    [anon_sym_finally] = ACTIONS(2040),
    [anon_sym_yield] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(2034),
    [anon_sym_LTtemplate_GT] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_class] = ACTIONS(2036),
    [anon_sym_async] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_TILDE] = ACTIONS(2034),
    [anon_sym_void] = ACTIONS(2036),
    [anon_sym_delete] = ACTIONS(2036),
    [anon_sym_PLUS_PLUS] = ACTIONS(2034),
    [anon_sym_DASH_DASH] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2034),
    [sym_number] = ACTIONS(2034),
    [sym_this] = ACTIONS(2036),
    [sym_super] = ACTIONS(2036),
    [sym_true] = ACTIONS(2036),
    [sym_false] = ACTIONS(2036),
    [sym_null] = ACTIONS(2036),
    [sym_undefined] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2034),
    [anon_sym_static] = ACTIONS(2036),
    [anon_sym_readonly] = ACTIONS(2036),
    [anon_sym_get] = ACTIONS(2036),
    [anon_sym_set] = ACTIONS(2036),
    [anon_sym_declare] = ACTIONS(2036),
    [anon_sym_public] = ACTIONS(2036),
    [anon_sym_private] = ACTIONS(2036),
    [anon_sym_protected] = ACTIONS(2036),
    [anon_sym_override] = ACTIONS(2036),
    [anon_sym_module] = ACTIONS(2036),
    [anon_sym_any] = ACTIONS(2036),
    [anon_sym_number] = ACTIONS(2036),
    [anon_sym_boolean] = ACTIONS(2036),
    [anon_sym_string] = ACTIONS(2036),
    [anon_sym_symbol] = ACTIONS(2036),
    [anon_sym_abstract] = ACTIONS(2036),
    [anon_sym_interface] = ACTIONS(2036),
    [anon_sym_enum] = ACTIONS(2036),
  },
  [567] = {
    [sym__call_signature] = STATE(4115),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(2032),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2032),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2032),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1262),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_readonly] = ACTIONS(2032),
    [anon_sym_get] = ACTIONS(2032),
    [anon_sym_set] = ACTIONS(2032),
    [anon_sym_declare] = ACTIONS(2032),
    [anon_sym_public] = ACTIONS(2032),
    [anon_sym_private] = ACTIONS(2032),
    [anon_sym_protected] = ACTIONS(2032),
    [anon_sym_override] = ACTIONS(2032),
    [anon_sym_module] = ACTIONS(2032),
    [anon_sym_any] = ACTIONS(2032),
    [anon_sym_number] = ACTIONS(2032),
    [anon_sym_boolean] = ACTIONS(2032),
    [anon_sym_string] = ACTIONS(2032),
    [anon_sym_symbol] = ACTIONS(2032),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1395),
    [sym_identifier] = ACTIONS(1397),
    [anon_sym_export] = ACTIONS(1397),
    [anon_sym_default] = ACTIONS(1397),
    [anon_sym_type] = ACTIONS(1397),
    [anon_sym_namespace] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1395),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_typeof] = ACTIONS(1397),
    [anon_sym_import] = ACTIONS(1397),
    [anon_sym_var] = ACTIONS(1397),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_const] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1395),
    [anon_sym_else] = ACTIONS(1397),
    [anon_sym_if] = ACTIONS(1397),
    [anon_sym_switch] = ACTIONS(1397),
    [anon_sym_for] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1395),
    [anon_sym_await] = ACTIONS(1397),
    [anon_sym_while] = ACTIONS(1397),
    [anon_sym_do] = ACTIONS(1397),
    [anon_sym_try] = ACTIONS(1397),
    [anon_sym_with] = ACTIONS(1397),
    [anon_sym_break] = ACTIONS(1397),
    [anon_sym_continue] = ACTIONS(1397),
    [anon_sym_debugger] = ACTIONS(1397),
    [anon_sym_return] = ACTIONS(1397),
    [anon_sym_throw] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1395),
    [anon_sym_case] = ACTIONS(1397),
    [anon_sym_catch] = ACTIONS(1397),
    [anon_sym_finally] = ACTIONS(1397),
    [anon_sym_yield] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_LTtemplate_GT] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1397),
    [anon_sym_class] = ACTIONS(1397),
    [anon_sym_async] = ACTIONS(1397),
    [anon_sym_function] = ACTIONS(1397),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1397),
    [anon_sym_TILDE] = ACTIONS(1395),
    [anon_sym_void] = ACTIONS(1397),
    [anon_sym_delete] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1395),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [anon_sym_DQUOTE] = ACTIONS(1395),
    [anon_sym_SQUOTE] = ACTIONS(1395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1395),
    [sym_this] = ACTIONS(1397),
    [sym_super] = ACTIONS(1397),
    [sym_true] = ACTIONS(1397),
    [sym_false] = ACTIONS(1397),
    [sym_null] = ACTIONS(1397),
    [sym_undefined] = ACTIONS(1397),
    [anon_sym_AT] = ACTIONS(1395),
    [anon_sym_static] = ACTIONS(1397),
    [anon_sym_readonly] = ACTIONS(1397),
    [anon_sym_get] = ACTIONS(1397),
    [anon_sym_set] = ACTIONS(1397),
    [anon_sym_declare] = ACTIONS(1397),
    [anon_sym_public] = ACTIONS(1397),
    [anon_sym_private] = ACTIONS(1397),
    [anon_sym_protected] = ACTIONS(1397),
    [anon_sym_override] = ACTIONS(1397),
    [anon_sym_module] = ACTIONS(1397),
    [anon_sym_any] = ACTIONS(1397),
    [anon_sym_number] = ACTIONS(1397),
    [anon_sym_boolean] = ACTIONS(1397),
    [anon_sym_string] = ACTIONS(1397),
    [anon_sym_symbol] = ACTIONS(1397),
    [anon_sym_abstract] = ACTIONS(1397),
    [anon_sym_interface] = ACTIONS(1397),
    [anon_sym_enum] = ACTIONS(1397),
    [sym__automatic_semicolon] = ACTIONS(1405),
  },
  [569] = {
    [sym__call_signature] = STATE(4348),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_export] = ACTIONS(2028),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(1309),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2028),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1311),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2028),
    [anon_sym_readonly] = ACTIONS(2028),
    [anon_sym_get] = ACTIONS(2028),
    [anon_sym_set] = ACTIONS(2028),
    [anon_sym_declare] = ACTIONS(2028),
    [anon_sym_public] = ACTIONS(2028),
    [anon_sym_private] = ACTIONS(2028),
    [anon_sym_protected] = ACTIONS(2028),
    [anon_sym_override] = ACTIONS(2028),
    [anon_sym_module] = ACTIONS(2028),
    [anon_sym_any] = ACTIONS(2028),
    [anon_sym_number] = ACTIONS(2028),
    [anon_sym_boolean] = ACTIONS(2028),
    [anon_sym_string] = ACTIONS(2028),
    [anon_sym_symbol] = ACTIONS(2028),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_type] = ACTIONS(1486),
    [anon_sym_namespace] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_typeof] = ACTIONS(1486),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1486),
    [anon_sym_let] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_else] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_await] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1486),
    [anon_sym_with] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_debugger] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_throw] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_catch] = ACTIONS(1486),
    [anon_sym_finally] = ACTIONS(1486),
    [anon_sym_yield] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LTtemplate_GT] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_class] = ACTIONS(1486),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_new] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_void] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_number] = ACTIONS(1484),
    [sym_this] = ACTIONS(1486),
    [sym_super] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_readonly] = ACTIONS(1486),
    [anon_sym_get] = ACTIONS(1486),
    [anon_sym_set] = ACTIONS(1486),
    [anon_sym_declare] = ACTIONS(1486),
    [anon_sym_public] = ACTIONS(1486),
    [anon_sym_private] = ACTIONS(1486),
    [anon_sym_protected] = ACTIONS(1486),
    [anon_sym_override] = ACTIONS(1486),
    [anon_sym_module] = ACTIONS(1486),
    [anon_sym_any] = ACTIONS(1486),
    [anon_sym_number] = ACTIONS(1486),
    [anon_sym_boolean] = ACTIONS(1486),
    [anon_sym_string] = ACTIONS(1486),
    [anon_sym_symbol] = ACTIONS(1486),
    [anon_sym_abstract] = ACTIONS(1486),
    [anon_sym_interface] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [sym__automatic_semicolon] = ACTIONS(2042),
  },
  [571] = {
    [sym__call_signature] = STATE(4115),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(2032),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2032),
    [anon_sym_EQ] = ACTIONS(2044),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2032),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(2047),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1262),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_readonly] = ACTIONS(2032),
    [anon_sym_get] = ACTIONS(2032),
    [anon_sym_set] = ACTIONS(2032),
    [anon_sym_declare] = ACTIONS(2032),
    [anon_sym_public] = ACTIONS(2032),
    [anon_sym_private] = ACTIONS(2032),
    [anon_sym_protected] = ACTIONS(2032),
    [anon_sym_override] = ACTIONS(2032),
    [anon_sym_module] = ACTIONS(2032),
    [anon_sym_any] = ACTIONS(2032),
    [anon_sym_number] = ACTIONS(2032),
    [anon_sym_boolean] = ACTIONS(2032),
    [anon_sym_string] = ACTIONS(2032),
    [anon_sym_symbol] = ACTIONS(2032),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_type] = ACTIONS(1486),
    [anon_sym_namespace] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_typeof] = ACTIONS(1486),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1486),
    [anon_sym_let] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_else] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_await] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1486),
    [anon_sym_with] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_debugger] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_throw] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_yield] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LTtemplate_GT] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_class] = ACTIONS(1486),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_new] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_void] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_number] = ACTIONS(1484),
    [sym_this] = ACTIONS(1486),
    [sym_super] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_readonly] = ACTIONS(1486),
    [anon_sym_get] = ACTIONS(1486),
    [anon_sym_set] = ACTIONS(1486),
    [anon_sym_declare] = ACTIONS(1486),
    [anon_sym_public] = ACTIONS(1486),
    [anon_sym_private] = ACTIONS(1486),
    [anon_sym_protected] = ACTIONS(1486),
    [anon_sym_override] = ACTIONS(1486),
    [anon_sym_module] = ACTIONS(1486),
    [anon_sym_any] = ACTIONS(1486),
    [anon_sym_number] = ACTIONS(1486),
    [anon_sym_boolean] = ACTIONS(1486),
    [anon_sym_string] = ACTIONS(1486),
    [anon_sym_symbol] = ACTIONS(1486),
    [anon_sym_abstract] = ACTIONS(1486),
    [anon_sym_interface] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1484),
    [sym__automatic_semicolon] = ACTIONS(1484),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_default] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_typeof] = ACTIONS(1447),
    [anon_sym_import] = ACTIONS(1447),
    [anon_sym_var] = ACTIONS(1447),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_const] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1447),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_switch] = ACTIONS(1447),
    [anon_sym_for] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_await] = ACTIONS(1447),
    [anon_sym_while] = ACTIONS(1447),
    [anon_sym_do] = ACTIONS(1447),
    [anon_sym_try] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1447),
    [anon_sym_break] = ACTIONS(1447),
    [anon_sym_continue] = ACTIONS(1447),
    [anon_sym_debugger] = ACTIONS(1447),
    [anon_sym_return] = ACTIONS(1447),
    [anon_sym_throw] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1447),
    [anon_sym_yield] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [anon_sym_LTtemplate_GT] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_class] = ACTIONS(1447),
    [anon_sym_async] = ACTIONS(1447),
    [anon_sym_function] = ACTIONS(1447),
    [anon_sym_new] = ACTIONS(1447),
    [anon_sym_PLUS] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1445),
    [anon_sym_void] = ACTIONS(1447),
    [anon_sym_delete] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_SQUOTE] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1445),
    [sym_number] = ACTIONS(1445),
    [sym_this] = ACTIONS(1447),
    [sym_super] = ACTIONS(1447),
    [sym_true] = ACTIONS(1447),
    [sym_false] = ACTIONS(1447),
    [sym_null] = ACTIONS(1447),
    [sym_undefined] = ACTIONS(1447),
    [anon_sym_AT] = ACTIONS(1445),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_abstract] = ACTIONS(1447),
    [anon_sym_interface] = ACTIONS(1447),
    [anon_sym_enum] = ACTIONS(1447),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1445),
    [sym__automatic_semicolon] = ACTIONS(1445),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1395),
    [sym_identifier] = ACTIONS(1397),
    [anon_sym_export] = ACTIONS(1397),
    [anon_sym_default] = ACTIONS(1397),
    [anon_sym_type] = ACTIONS(1397),
    [anon_sym_namespace] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1395),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_typeof] = ACTIONS(1397),
    [anon_sym_import] = ACTIONS(1397),
    [anon_sym_var] = ACTIONS(1397),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_const] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1395),
    [anon_sym_else] = ACTIONS(1397),
    [anon_sym_if] = ACTIONS(1397),
    [anon_sym_switch] = ACTIONS(1397),
    [anon_sym_for] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1395),
    [anon_sym_await] = ACTIONS(1397),
    [anon_sym_while] = ACTIONS(1397),
    [anon_sym_do] = ACTIONS(1397),
    [anon_sym_try] = ACTIONS(1397),
    [anon_sym_with] = ACTIONS(1397),
    [anon_sym_break] = ACTIONS(1397),
    [anon_sym_continue] = ACTIONS(1397),
    [anon_sym_debugger] = ACTIONS(1397),
    [anon_sym_return] = ACTIONS(1397),
    [anon_sym_throw] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1395),
    [anon_sym_case] = ACTIONS(1397),
    [anon_sym_yield] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_LTtemplate_GT] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1397),
    [anon_sym_class] = ACTIONS(1397),
    [anon_sym_async] = ACTIONS(1397),
    [anon_sym_function] = ACTIONS(1397),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1397),
    [anon_sym_TILDE] = ACTIONS(1395),
    [anon_sym_void] = ACTIONS(1397),
    [anon_sym_delete] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1395),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [anon_sym_DQUOTE] = ACTIONS(1395),
    [anon_sym_SQUOTE] = ACTIONS(1395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1395),
    [sym_number] = ACTIONS(1395),
    [sym_this] = ACTIONS(1397),
    [sym_super] = ACTIONS(1397),
    [sym_true] = ACTIONS(1397),
    [sym_false] = ACTIONS(1397),
    [sym_null] = ACTIONS(1397),
    [sym_undefined] = ACTIONS(1397),
    [anon_sym_AT] = ACTIONS(1395),
    [anon_sym_static] = ACTIONS(1397),
    [anon_sym_readonly] = ACTIONS(1397),
    [anon_sym_get] = ACTIONS(1397),
    [anon_sym_set] = ACTIONS(1397),
    [anon_sym_declare] = ACTIONS(1397),
    [anon_sym_public] = ACTIONS(1397),
    [anon_sym_private] = ACTIONS(1397),
    [anon_sym_protected] = ACTIONS(1397),
    [anon_sym_override] = ACTIONS(1397),
    [anon_sym_module] = ACTIONS(1397),
    [anon_sym_any] = ACTIONS(1397),
    [anon_sym_number] = ACTIONS(1397),
    [anon_sym_boolean] = ACTIONS(1397),
    [anon_sym_string] = ACTIONS(1397),
    [anon_sym_symbol] = ACTIONS(1397),
    [anon_sym_abstract] = ACTIONS(1397),
    [anon_sym_interface] = ACTIONS(1397),
    [anon_sym_enum] = ACTIONS(1397),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1395),
    [sym__automatic_semicolon] = ACTIONS(2049),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_export] = ACTIONS(1540),
    [anon_sym_default] = ACTIONS(1540),
    [anon_sym_type] = ACTIONS(1540),
    [anon_sym_namespace] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_typeof] = ACTIONS(1540),
    [anon_sym_import] = ACTIONS(1540),
    [anon_sym_var] = ACTIONS(1540),
    [anon_sym_let] = ACTIONS(1540),
    [anon_sym_const] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_else] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1540),
    [anon_sym_switch] = ACTIONS(1540),
    [anon_sym_for] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_await] = ACTIONS(1540),
    [anon_sym_while] = ACTIONS(1540),
    [anon_sym_do] = ACTIONS(1540),
    [anon_sym_try] = ACTIONS(1540),
    [anon_sym_with] = ACTIONS(1540),
    [anon_sym_break] = ACTIONS(1540),
    [anon_sym_continue] = ACTIONS(1540),
    [anon_sym_debugger] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1540),
    [anon_sym_throw] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1540),
    [anon_sym_catch] = ACTIONS(1540),
    [anon_sym_finally] = ACTIONS(1540),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_LTtemplate_GT] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_class] = ACTIONS(1540),
    [anon_sym_async] = ACTIONS(1540),
    [anon_sym_function] = ACTIONS(1540),
    [anon_sym_new] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_void] = ACTIONS(1540),
    [anon_sym_delete] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [sym_number] = ACTIONS(1538),
    [sym_this] = ACTIONS(1540),
    [sym_super] = ACTIONS(1540),
    [sym_true] = ACTIONS(1540),
    [sym_false] = ACTIONS(1540),
    [sym_null] = ACTIONS(1540),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1538),
    [anon_sym_static] = ACTIONS(1540),
    [anon_sym_readonly] = ACTIONS(1540),
    [anon_sym_get] = ACTIONS(1540),
    [anon_sym_set] = ACTIONS(1540),
    [anon_sym_declare] = ACTIONS(1540),
    [anon_sym_public] = ACTIONS(1540),
    [anon_sym_private] = ACTIONS(1540),
    [anon_sym_protected] = ACTIONS(1540),
    [anon_sym_override] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1540),
    [anon_sym_number] = ACTIONS(1540),
    [anon_sym_boolean] = ACTIONS(1540),
    [anon_sym_string] = ACTIONS(1540),
    [anon_sym_symbol] = ACTIONS(1540),
    [anon_sym_abstract] = ACTIONS(1540),
    [anon_sym_interface] = ACTIONS(1540),
    [anon_sym_enum] = ACTIONS(1540),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_type] = ACTIONS(1486),
    [anon_sym_namespace] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_typeof] = ACTIONS(1486),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1486),
    [anon_sym_let] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_else] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_await] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1486),
    [anon_sym_with] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_debugger] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_throw] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_catch] = ACTIONS(1486),
    [anon_sym_finally] = ACTIONS(1486),
    [anon_sym_yield] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LTtemplate_GT] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_class] = ACTIONS(1486),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_new] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_void] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_number] = ACTIONS(1484),
    [sym_this] = ACTIONS(1486),
    [sym_super] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_readonly] = ACTIONS(1486),
    [anon_sym_get] = ACTIONS(1486),
    [anon_sym_set] = ACTIONS(1486),
    [anon_sym_declare] = ACTIONS(1486),
    [anon_sym_public] = ACTIONS(1486),
    [anon_sym_private] = ACTIONS(1486),
    [anon_sym_protected] = ACTIONS(1486),
    [anon_sym_override] = ACTIONS(1486),
    [anon_sym_module] = ACTIONS(1486),
    [anon_sym_any] = ACTIONS(1486),
    [anon_sym_number] = ACTIONS(1486),
    [anon_sym_boolean] = ACTIONS(1486),
    [anon_sym_string] = ACTIONS(1486),
    [anon_sym_symbol] = ACTIONS(1486),
    [anon_sym_abstract] = ACTIONS(1486),
    [anon_sym_interface] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
  },
  [577] = {
    [sym__call_signature] = STATE(4239),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2051),
    [anon_sym_export] = ACTIONS(2053),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2053),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2053),
    [anon_sym_readonly] = ACTIONS(2053),
    [anon_sym_get] = ACTIONS(2053),
    [anon_sym_set] = ACTIONS(2053),
    [anon_sym_declare] = ACTIONS(2053),
    [anon_sym_public] = ACTIONS(2053),
    [anon_sym_private] = ACTIONS(2053),
    [anon_sym_protected] = ACTIONS(2053),
    [anon_sym_override] = ACTIONS(2053),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(2053),
    [anon_sym_number] = ACTIONS(2053),
    [anon_sym_boolean] = ACTIONS(2053),
    [anon_sym_string] = ACTIONS(2053),
    [anon_sym_symbol] = ACTIONS(2053),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_type] = ACTIONS(1486),
    [anon_sym_namespace] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_typeof] = ACTIONS(1486),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1486),
    [anon_sym_let] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_else] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_await] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_try] = ACTIONS(1486),
    [anon_sym_with] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_debugger] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_throw] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_yield] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LTtemplate_GT] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_class] = ACTIONS(1486),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(1486),
    [anon_sym_new] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_void] = ACTIONS(1486),
    [anon_sym_delete] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_number] = ACTIONS(1484),
    [sym_this] = ACTIONS(1486),
    [sym_super] = ACTIONS(1486),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_readonly] = ACTIONS(1486),
    [anon_sym_get] = ACTIONS(1486),
    [anon_sym_set] = ACTIONS(1486),
    [anon_sym_declare] = ACTIONS(1486),
    [anon_sym_public] = ACTIONS(1486),
    [anon_sym_private] = ACTIONS(1486),
    [anon_sym_protected] = ACTIONS(1486),
    [anon_sym_override] = ACTIONS(1486),
    [anon_sym_module] = ACTIONS(1486),
    [anon_sym_any] = ACTIONS(1486),
    [anon_sym_number] = ACTIONS(1486),
    [anon_sym_boolean] = ACTIONS(1486),
    [anon_sym_string] = ACTIONS(1486),
    [anon_sym_symbol] = ACTIONS(1486),
    [anon_sym_abstract] = ACTIONS(1486),
    [anon_sym_interface] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1484),
    [sym__automatic_semicolon] = ACTIONS(2055),
  },
  [579] = {
    [sym__call_signature] = STATE(4115),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(2032),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2032),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2032),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(2047),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1262),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_readonly] = ACTIONS(2032),
    [anon_sym_get] = ACTIONS(2032),
    [anon_sym_set] = ACTIONS(2032),
    [anon_sym_declare] = ACTIONS(2032),
    [anon_sym_public] = ACTIONS(2032),
    [anon_sym_private] = ACTIONS(2032),
    [anon_sym_protected] = ACTIONS(2032),
    [anon_sym_override] = ACTIONS(2032),
    [anon_sym_module] = ACTIONS(2032),
    [anon_sym_any] = ACTIONS(2032),
    [anon_sym_number] = ACTIONS(2032),
    [anon_sym_boolean] = ACTIONS(2032),
    [anon_sym_string] = ACTIONS(2032),
    [anon_sym_symbol] = ACTIONS(2032),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [580] = {
    [sym__call_signature] = STATE(4239),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2051),
    [anon_sym_export] = ACTIONS(2053),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2053),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2053),
    [anon_sym_readonly] = ACTIONS(2053),
    [anon_sym_get] = ACTIONS(2053),
    [anon_sym_set] = ACTIONS(2053),
    [anon_sym_declare] = ACTIONS(2053),
    [anon_sym_public] = ACTIONS(2053),
    [anon_sym_private] = ACTIONS(2053),
    [anon_sym_protected] = ACTIONS(2053),
    [anon_sym_override] = ACTIONS(2053),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(2053),
    [anon_sym_number] = ACTIONS(2053),
    [anon_sym_boolean] = ACTIONS(2053),
    [anon_sym_string] = ACTIONS(2053),
    [anon_sym_symbol] = ACTIONS(2053),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_export] = ACTIONS(1588),
    [anon_sym_default] = ACTIONS(1588),
    [anon_sym_type] = ACTIONS(1588),
    [anon_sym_namespace] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_COMMA] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_typeof] = ACTIONS(1588),
    [anon_sym_import] = ACTIONS(1588),
    [anon_sym_var] = ACTIONS(1588),
    [anon_sym_let] = ACTIONS(1588),
    [anon_sym_const] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1586),
    [anon_sym_else] = ACTIONS(1588),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_switch] = ACTIONS(1588),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_await] = ACTIONS(1588),
    [anon_sym_while] = ACTIONS(1588),
    [anon_sym_do] = ACTIONS(1588),
    [anon_sym_try] = ACTIONS(1588),
    [anon_sym_with] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1588),
    [anon_sym_debugger] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_throw] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [anon_sym_case] = ACTIONS(1588),
    [anon_sym_yield] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_LTtemplate_GT] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_class] = ACTIONS(1588),
    [anon_sym_async] = ACTIONS(1588),
    [anon_sym_function] = ACTIONS(1588),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_void] = ACTIONS(1588),
    [anon_sym_delete] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1586),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1586),
    [sym_number] = ACTIONS(1586),
    [sym_this] = ACTIONS(1588),
    [sym_super] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [sym_null] = ACTIONS(1588),
    [sym_undefined] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1586),
    [anon_sym_static] = ACTIONS(1588),
    [anon_sym_readonly] = ACTIONS(1588),
    [anon_sym_get] = ACTIONS(1588),
    [anon_sym_set] = ACTIONS(1588),
    [anon_sym_declare] = ACTIONS(1588),
    [anon_sym_public] = ACTIONS(1588),
    [anon_sym_private] = ACTIONS(1588),
    [anon_sym_protected] = ACTIONS(1588),
    [anon_sym_override] = ACTIONS(1588),
    [anon_sym_module] = ACTIONS(1588),
    [anon_sym_any] = ACTIONS(1588),
    [anon_sym_number] = ACTIONS(1588),
    [anon_sym_boolean] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_symbol] = ACTIONS(1588),
    [anon_sym_abstract] = ACTIONS(1588),
    [anon_sym_interface] = ACTIONS(1588),
    [anon_sym_enum] = ACTIONS(1588),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1586),
    [sym__automatic_semicolon] = ACTIONS(1586),
  },
  [582] = {
    [sym__call_signature] = STATE(4239),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2051),
    [anon_sym_export] = ACTIONS(2053),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2053),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_function] = ACTIONS(2024),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2053),
    [anon_sym_readonly] = ACTIONS(2053),
    [anon_sym_get] = ACTIONS(2053),
    [anon_sym_set] = ACTIONS(2053),
    [anon_sym_declare] = ACTIONS(2053),
    [anon_sym_public] = ACTIONS(2053),
    [anon_sym_private] = ACTIONS(2053),
    [anon_sym_protected] = ACTIONS(2053),
    [anon_sym_override] = ACTIONS(2053),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(2053),
    [anon_sym_number] = ACTIONS(2053),
    [anon_sym_boolean] = ACTIONS(2053),
    [anon_sym_string] = ACTIONS(2053),
    [anon_sym_symbol] = ACTIONS(2053),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [583] = {
    [sym__call_signature] = STATE(4115),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(2032),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2032),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2032),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1262),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_readonly] = ACTIONS(2032),
    [anon_sym_get] = ACTIONS(2032),
    [anon_sym_set] = ACTIONS(2032),
    [anon_sym_declare] = ACTIONS(2032),
    [anon_sym_public] = ACTIONS(2032),
    [anon_sym_private] = ACTIONS(2032),
    [anon_sym_protected] = ACTIONS(2032),
    [anon_sym_override] = ACTIONS(2032),
    [anon_sym_module] = ACTIONS(2032),
    [anon_sym_any] = ACTIONS(2032),
    [anon_sym_number] = ACTIONS(2032),
    [anon_sym_boolean] = ACTIONS(2032),
    [anon_sym_string] = ACTIONS(2032),
    [anon_sym_symbol] = ACTIONS(2032),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [584] = {
    [sym__call_signature] = STATE(4239),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2051),
    [anon_sym_export] = ACTIONS(2053),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2053),
    [anon_sym_EQ] = ACTIONS(1269),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_function] = ACTIONS(2059),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2053),
    [anon_sym_readonly] = ACTIONS(2053),
    [anon_sym_get] = ACTIONS(2053),
    [anon_sym_set] = ACTIONS(2053),
    [anon_sym_declare] = ACTIONS(2053),
    [anon_sym_public] = ACTIONS(2053),
    [anon_sym_private] = ACTIONS(2053),
    [anon_sym_protected] = ACTIONS(2053),
    [anon_sym_override] = ACTIONS(2053),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(2053),
    [anon_sym_number] = ACTIONS(2053),
    [anon_sym_boolean] = ACTIONS(2053),
    [anon_sym_string] = ACTIONS(2053),
    [anon_sym_symbol] = ACTIONS(2053),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_export] = ACTIONS(1540),
    [anon_sym_default] = ACTIONS(1540),
    [anon_sym_type] = ACTIONS(1540),
    [anon_sym_namespace] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_typeof] = ACTIONS(1540),
    [anon_sym_import] = ACTIONS(1540),
    [anon_sym_var] = ACTIONS(1540),
    [anon_sym_let] = ACTIONS(1540),
    [anon_sym_const] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_else] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1540),
    [anon_sym_switch] = ACTIONS(1540),
    [anon_sym_for] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_await] = ACTIONS(1540),
    [anon_sym_while] = ACTIONS(1540),
    [anon_sym_do] = ACTIONS(1540),
    [anon_sym_try] = ACTIONS(1540),
    [anon_sym_with] = ACTIONS(1540),
    [anon_sym_break] = ACTIONS(1540),
    [anon_sym_continue] = ACTIONS(1540),
    [anon_sym_debugger] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1540),
    [anon_sym_throw] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1540),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_LTtemplate_GT] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_class] = ACTIONS(1540),
    [anon_sym_async] = ACTIONS(1540),
    [anon_sym_function] = ACTIONS(1540),
    [anon_sym_new] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_void] = ACTIONS(1540),
    [anon_sym_delete] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [sym_number] = ACTIONS(1538),
    [sym_this] = ACTIONS(1540),
    [sym_super] = ACTIONS(1540),
    [sym_true] = ACTIONS(1540),
    [sym_false] = ACTIONS(1540),
    [sym_null] = ACTIONS(1540),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1538),
    [anon_sym_static] = ACTIONS(1540),
    [anon_sym_readonly] = ACTIONS(1540),
    [anon_sym_get] = ACTIONS(1540),
    [anon_sym_set] = ACTIONS(1540),
    [anon_sym_declare] = ACTIONS(1540),
    [anon_sym_public] = ACTIONS(1540),
    [anon_sym_private] = ACTIONS(1540),
    [anon_sym_protected] = ACTIONS(1540),
    [anon_sym_override] = ACTIONS(1540),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1540),
    [anon_sym_number] = ACTIONS(1540),
    [anon_sym_boolean] = ACTIONS(1540),
    [anon_sym_string] = ACTIONS(1540),
    [anon_sym_symbol] = ACTIONS(1540),
    [anon_sym_abstract] = ACTIONS(1540),
    [anon_sym_interface] = ACTIONS(1540),
    [anon_sym_enum] = ACTIONS(1540),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1538),
    [sym__automatic_semicolon] = ACTIONS(1538),
  },
  [586] = {
    [sym__call_signature] = STATE(4115),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(2032),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2032),
    [anon_sym_EQ] = ACTIONS(2044),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2032),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1262),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_readonly] = ACTIONS(2032),
    [anon_sym_get] = ACTIONS(2032),
    [anon_sym_set] = ACTIONS(2032),
    [anon_sym_declare] = ACTIONS(2032),
    [anon_sym_public] = ACTIONS(2032),
    [anon_sym_private] = ACTIONS(2032),
    [anon_sym_protected] = ACTIONS(2032),
    [anon_sym_override] = ACTIONS(2032),
    [anon_sym_module] = ACTIONS(2032),
    [anon_sym_any] = ACTIONS(2032),
    [anon_sym_number] = ACTIONS(2032),
    [anon_sym_boolean] = ACTIONS(2032),
    [anon_sym_string] = ACTIONS(2032),
    [anon_sym_symbol] = ACTIONS(2032),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [587] = {
    [sym__call_signature] = STATE(4239),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2051),
    [anon_sym_export] = ACTIONS(2053),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2053),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_EQ_GT] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2053),
    [anon_sym_readonly] = ACTIONS(2053),
    [anon_sym_get] = ACTIONS(2053),
    [anon_sym_set] = ACTIONS(2053),
    [anon_sym_declare] = ACTIONS(2053),
    [anon_sym_public] = ACTIONS(2053),
    [anon_sym_private] = ACTIONS(2053),
    [anon_sym_protected] = ACTIONS(2053),
    [anon_sym_override] = ACTIONS(2053),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(2053),
    [anon_sym_number] = ACTIONS(2053),
    [anon_sym_boolean] = ACTIONS(2053),
    [anon_sym_string] = ACTIONS(2053),
    [anon_sym_symbol] = ACTIONS(2053),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [588] = {
    [sym_statement_block] = STATE(732),
    [ts_builtin_sym_end] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1389),
    [anon_sym_export] = ACTIONS(1389),
    [anon_sym_default] = ACTIONS(1389),
    [anon_sym_type] = ACTIONS(1389),
    [anon_sym_namespace] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1389),
    [anon_sym_import] = ACTIONS(1389),
    [anon_sym_var] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_const] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_else] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(1389),
    [anon_sym_switch] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1389),
    [anon_sym_while] = ACTIONS(1389),
    [anon_sym_do] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1389),
    [anon_sym_with] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1389),
    [anon_sym_continue] = ACTIONS(1389),
    [anon_sym_debugger] = ACTIONS(1389),
    [anon_sym_return] = ACTIONS(1389),
    [anon_sym_throw] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1387),
    [anon_sym_case] = ACTIONS(1389),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1387),
    [anon_sym_LTtemplate_GT] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_DOT] = ACTIONS(2063),
    [anon_sym_class] = ACTIONS(1389),
    [anon_sym_async] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1389),
    [anon_sym_new] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1389),
    [anon_sym_delete] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_DASH_DASH] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1387),
    [sym_number] = ACTIONS(1387),
    [sym_this] = ACTIONS(1389),
    [sym_super] = ACTIONS(1389),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [sym_null] = ACTIONS(1389),
    [sym_undefined] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1387),
    [anon_sym_static] = ACTIONS(1389),
    [anon_sym_readonly] = ACTIONS(1389),
    [anon_sym_get] = ACTIONS(1389),
    [anon_sym_set] = ACTIONS(1389),
    [anon_sym_declare] = ACTIONS(1389),
    [anon_sym_public] = ACTIONS(1389),
    [anon_sym_private] = ACTIONS(1389),
    [anon_sym_protected] = ACTIONS(1389),
    [anon_sym_override] = ACTIONS(1389),
    [anon_sym_module] = ACTIONS(1389),
    [anon_sym_any] = ACTIONS(1389),
    [anon_sym_number] = ACTIONS(1389),
    [anon_sym_boolean] = ACTIONS(1389),
    [anon_sym_string] = ACTIONS(1389),
    [anon_sym_symbol] = ACTIONS(1389),
    [anon_sym_abstract] = ACTIONS(1389),
    [anon_sym_interface] = ACTIONS(1389),
    [anon_sym_enum] = ACTIONS(1389),
  },
  [589] = {
    [sym__call_signature] = STATE(4182),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1315),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [590] = {
    [sym__call_signature] = STATE(4254),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_export] = ACTIONS(1993),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(1993),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(1993),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(1993),
    [anon_sym_set] = ACTIONS(1993),
    [anon_sym_declare] = ACTIONS(1993),
    [anon_sym_public] = ACTIONS(1993),
    [anon_sym_private] = ACTIONS(1993),
    [anon_sym_protected] = ACTIONS(1993),
    [anon_sym_override] = ACTIONS(1993),
    [anon_sym_module] = ACTIONS(1993),
    [anon_sym_any] = ACTIONS(1993),
    [anon_sym_number] = ACTIONS(1993),
    [anon_sym_boolean] = ACTIONS(1993),
    [anon_sym_string] = ACTIONS(1993),
    [anon_sym_symbol] = ACTIONS(1993),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [591] = {
    [sym__call_signature] = STATE(4254),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_export] = ACTIONS(1993),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(2019),
    [anon_sym_of] = ACTIONS(2022),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(1993),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(1993),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(1993),
    [anon_sym_set] = ACTIONS(1993),
    [anon_sym_declare] = ACTIONS(1993),
    [anon_sym_public] = ACTIONS(1993),
    [anon_sym_private] = ACTIONS(1993),
    [anon_sym_protected] = ACTIONS(1993),
    [anon_sym_override] = ACTIONS(1993),
    [anon_sym_module] = ACTIONS(1993),
    [anon_sym_any] = ACTIONS(1993),
    [anon_sym_number] = ACTIONS(1993),
    [anon_sym_boolean] = ACTIONS(1993),
    [anon_sym_string] = ACTIONS(1993),
    [anon_sym_symbol] = ACTIONS(1993),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [592] = {
    [sym_finally_clause] = STATE(714),
    [ts_builtin_sym_end] = ACTIONS(2069),
    [sym_identifier] = ACTIONS(2071),
    [anon_sym_export] = ACTIONS(2071),
    [anon_sym_default] = ACTIONS(2071),
    [anon_sym_type] = ACTIONS(2071),
    [anon_sym_namespace] = ACTIONS(2071),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2069),
    [anon_sym_typeof] = ACTIONS(2071),
    [anon_sym_import] = ACTIONS(2071),
    [anon_sym_var] = ACTIONS(2071),
    [anon_sym_let] = ACTIONS(2071),
    [anon_sym_const] = ACTIONS(2071),
    [anon_sym_BANG] = ACTIONS(2069),
    [anon_sym_else] = ACTIONS(2071),
    [anon_sym_if] = ACTIONS(2071),
    [anon_sym_switch] = ACTIONS(2071),
    [anon_sym_for] = ACTIONS(2071),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(2071),
    [anon_sym_while] = ACTIONS(2071),
    [anon_sym_do] = ACTIONS(2071),
    [anon_sym_try] = ACTIONS(2071),
    [anon_sym_with] = ACTIONS(2071),
    [anon_sym_break] = ACTIONS(2071),
    [anon_sym_continue] = ACTIONS(2071),
    [anon_sym_debugger] = ACTIONS(2071),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_throw] = ACTIONS(2071),
    [anon_sym_SEMI] = ACTIONS(2069),
    [anon_sym_case] = ACTIONS(2071),
    [anon_sym_finally] = ACTIONS(2040),
    [anon_sym_yield] = ACTIONS(2071),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_LTtemplate_GT] = ACTIONS(2069),
    [anon_sym_LT] = ACTIONS(2071),
    [anon_sym_SLASH] = ACTIONS(2071),
    [anon_sym_class] = ACTIONS(2071),
    [anon_sym_async] = ACTIONS(2071),
    [anon_sym_function] = ACTIONS(2071),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(2071),
    [anon_sym_DASH] = ACTIONS(2071),
    [anon_sym_TILDE] = ACTIONS(2069),
    [anon_sym_void] = ACTIONS(2071),
    [anon_sym_delete] = ACTIONS(2071),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2069),
    [sym_number] = ACTIONS(2069),
    [sym_this] = ACTIONS(2071),
    [sym_super] = ACTIONS(2071),
    [sym_true] = ACTIONS(2071),
    [sym_false] = ACTIONS(2071),
    [sym_null] = ACTIONS(2071),
    [sym_undefined] = ACTIONS(2071),
    [anon_sym_AT] = ACTIONS(2069),
    [anon_sym_static] = ACTIONS(2071),
    [anon_sym_readonly] = ACTIONS(2071),
    [anon_sym_get] = ACTIONS(2071),
    [anon_sym_set] = ACTIONS(2071),
    [anon_sym_declare] = ACTIONS(2071),
    [anon_sym_public] = ACTIONS(2071),
    [anon_sym_private] = ACTIONS(2071),
    [anon_sym_protected] = ACTIONS(2071),
    [anon_sym_override] = ACTIONS(2071),
    [anon_sym_module] = ACTIONS(2071),
    [anon_sym_any] = ACTIONS(2071),
    [anon_sym_number] = ACTIONS(2071),
    [anon_sym_boolean] = ACTIONS(2071),
    [anon_sym_string] = ACTIONS(2071),
    [anon_sym_symbol] = ACTIONS(2071),
    [anon_sym_abstract] = ACTIONS(2071),
    [anon_sym_interface] = ACTIONS(2071),
    [anon_sym_enum] = ACTIONS(2071),
  },
  [593] = {
    [sym__call_signature] = STATE(4182),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_EQ] = ACTIONS(1313),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(1315),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym_identifier] = ACTIONS(1451),
    [anon_sym_export] = ACTIONS(1451),
    [anon_sym_default] = ACTIONS(1451),
    [anon_sym_type] = ACTIONS(1451),
    [anon_sym_namespace] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1449),
    [anon_sym_RBRACE] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym_import] = ACTIONS(1451),
    [anon_sym_var] = ACTIONS(1451),
    [anon_sym_let] = ACTIONS(1451),
    [anon_sym_const] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1451),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_switch] = ACTIONS(1451),
    [anon_sym_for] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [anon_sym_await] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1451),
    [anon_sym_do] = ACTIONS(1451),
    [anon_sym_try] = ACTIONS(1451),
    [anon_sym_with] = ACTIONS(1451),
    [anon_sym_break] = ACTIONS(1451),
    [anon_sym_continue] = ACTIONS(1451),
    [anon_sym_debugger] = ACTIONS(1451),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1451),
    [anon_sym_yield] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_LTtemplate_GT] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_class] = ACTIONS(1451),
    [anon_sym_async] = ACTIONS(1451),
    [anon_sym_function] = ACTIONS(1451),
    [anon_sym_new] = ACTIONS(1451),
    [anon_sym_PLUS] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1449),
    [anon_sym_void] = ACTIONS(1451),
    [anon_sym_delete] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1449),
    [anon_sym_SQUOTE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1449),
    [sym_number] = ACTIONS(1449),
    [sym_this] = ACTIONS(1451),
    [sym_super] = ACTIONS(1451),
    [sym_true] = ACTIONS(1451),
    [sym_false] = ACTIONS(1451),
    [sym_null] = ACTIONS(1451),
    [sym_undefined] = ACTIONS(1451),
    [anon_sym_AT] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1451),
    [anon_sym_readonly] = ACTIONS(1451),
    [anon_sym_get] = ACTIONS(1451),
    [anon_sym_set] = ACTIONS(1451),
    [anon_sym_declare] = ACTIONS(1451),
    [anon_sym_public] = ACTIONS(1451),
    [anon_sym_private] = ACTIONS(1451),
    [anon_sym_protected] = ACTIONS(1451),
    [anon_sym_override] = ACTIONS(1451),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_any] = ACTIONS(1451),
    [anon_sym_number] = ACTIONS(1451),
    [anon_sym_boolean] = ACTIONS(1451),
    [anon_sym_string] = ACTIONS(1451),
    [anon_sym_symbol] = ACTIONS(1451),
    [anon_sym_abstract] = ACTIONS(1451),
    [anon_sym_interface] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1451),
    [sym__automatic_semicolon] = ACTIONS(1457),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_export] = ACTIONS(1506),
    [anon_sym_default] = ACTIONS(1506),
    [anon_sym_type] = ACTIONS(1506),
    [anon_sym_namespace] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_typeof] = ACTIONS(1506),
    [anon_sym_import] = ACTIONS(1506),
    [anon_sym_var] = ACTIONS(1506),
    [anon_sym_let] = ACTIONS(1506),
    [anon_sym_const] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_else] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_switch] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_await] = ACTIONS(1506),
    [anon_sym_while] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1506),
    [anon_sym_try] = ACTIONS(1506),
    [anon_sym_with] = ACTIONS(1506),
    [anon_sym_break] = ACTIONS(1506),
    [anon_sym_continue] = ACTIONS(1506),
    [anon_sym_debugger] = ACTIONS(1506),
    [anon_sym_return] = ACTIONS(1506),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1506),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_LTtemplate_GT] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_async] = ACTIONS(1506),
    [anon_sym_function] = ACTIONS(1506),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_void] = ACTIONS(1506),
    [anon_sym_delete] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [sym_number] = ACTIONS(1504),
    [sym_this] = ACTIONS(1506),
    [sym_super] = ACTIONS(1506),
    [sym_true] = ACTIONS(1506),
    [sym_false] = ACTIONS(1506),
    [sym_null] = ACTIONS(1506),
    [sym_undefined] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1506),
    [anon_sym_readonly] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_declare] = ACTIONS(1506),
    [anon_sym_public] = ACTIONS(1506),
    [anon_sym_private] = ACTIONS(1506),
    [anon_sym_protected] = ACTIONS(1506),
    [anon_sym_override] = ACTIONS(1506),
    [anon_sym_module] = ACTIONS(1506),
    [anon_sym_any] = ACTIONS(1506),
    [anon_sym_number] = ACTIONS(1506),
    [anon_sym_boolean] = ACTIONS(1506),
    [anon_sym_string] = ACTIONS(1506),
    [anon_sym_symbol] = ACTIONS(1506),
    [anon_sym_abstract] = ACTIONS(1506),
    [anon_sym_interface] = ACTIONS(1506),
    [anon_sym_enum] = ACTIONS(1506),
    [sym__automatic_semicolon] = ACTIONS(1512),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1461),
    [anon_sym_default] = ACTIONS(1461),
    [anon_sym_type] = ACTIONS(1461),
    [anon_sym_namespace] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_typeof] = ACTIONS(1461),
    [anon_sym_import] = ACTIONS(1461),
    [anon_sym_var] = ACTIONS(1461),
    [anon_sym_let] = ACTIONS(1461),
    [anon_sym_const] = ACTIONS(1461),
    [anon_sym_BANG] = ACTIONS(1459),
    [anon_sym_else] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1459),
    [anon_sym_await] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1461),
    [anon_sym_with] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_debugger] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_throw] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_case] = ACTIONS(1461),
    [anon_sym_yield] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_LTtemplate_GT] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_class] = ACTIONS(1461),
    [anon_sym_async] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1461),
    [anon_sym_new] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_TILDE] = ACTIONS(1459),
    [anon_sym_void] = ACTIONS(1461),
    [anon_sym_delete] = ACTIONS(1461),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_DASH_DASH] = ACTIONS(1461),
    [anon_sym_DQUOTE] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1459),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1459),
    [sym_number] = ACTIONS(1459),
    [sym_this] = ACTIONS(1461),
    [sym_super] = ACTIONS(1461),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [sym_null] = ACTIONS(1461),
    [sym_undefined] = ACTIONS(1461),
    [anon_sym_AT] = ACTIONS(1459),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_readonly] = ACTIONS(1461),
    [anon_sym_get] = ACTIONS(1461),
    [anon_sym_set] = ACTIONS(1461),
    [anon_sym_declare] = ACTIONS(1461),
    [anon_sym_public] = ACTIONS(1461),
    [anon_sym_private] = ACTIONS(1461),
    [anon_sym_protected] = ACTIONS(1461),
    [anon_sym_override] = ACTIONS(1461),
    [anon_sym_module] = ACTIONS(1461),
    [anon_sym_any] = ACTIONS(1461),
    [anon_sym_number] = ACTIONS(1461),
    [anon_sym_boolean] = ACTIONS(1461),
    [anon_sym_string] = ACTIONS(1461),
    [anon_sym_symbol] = ACTIONS(1461),
    [anon_sym_abstract] = ACTIONS(1461),
    [anon_sym_interface] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [sym__automatic_semicolon] = ACTIONS(1467),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1471),
    [anon_sym_default] = ACTIONS(1471),
    [anon_sym_type] = ACTIONS(1471),
    [anon_sym_namespace] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_typeof] = ACTIONS(1471),
    [anon_sym_import] = ACTIONS(1471),
    [anon_sym_var] = ACTIONS(1471),
    [anon_sym_let] = ACTIONS(1471),
    [anon_sym_const] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_if] = ACTIONS(1471),
    [anon_sym_switch] = ACTIONS(1471),
    [anon_sym_for] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(1471),
    [anon_sym_while] = ACTIONS(1471),
    [anon_sym_do] = ACTIONS(1471),
    [anon_sym_try] = ACTIONS(1471),
    [anon_sym_with] = ACTIONS(1471),
    [anon_sym_break] = ACTIONS(1471),
    [anon_sym_continue] = ACTIONS(1471),
    [anon_sym_debugger] = ACTIONS(1471),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1471),
    [anon_sym_yield] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LTtemplate_GT] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_class] = ACTIONS(1471),
    [anon_sym_async] = ACTIONS(1471),
    [anon_sym_function] = ACTIONS(1471),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1469),
    [anon_sym_void] = ACTIONS(1471),
    [anon_sym_delete] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1469),
    [anon_sym_SQUOTE] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1469),
    [sym_this] = ACTIONS(1471),
    [sym_super] = ACTIONS(1471),
    [sym_true] = ACTIONS(1471),
    [sym_false] = ACTIONS(1471),
    [sym_null] = ACTIONS(1471),
    [sym_undefined] = ACTIONS(1471),
    [anon_sym_AT] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1471),
    [anon_sym_readonly] = ACTIONS(1471),
    [anon_sym_get] = ACTIONS(1471),
    [anon_sym_set] = ACTIONS(1471),
    [anon_sym_declare] = ACTIONS(1471),
    [anon_sym_public] = ACTIONS(1471),
    [anon_sym_private] = ACTIONS(1471),
    [anon_sym_protected] = ACTIONS(1471),
    [anon_sym_override] = ACTIONS(1471),
    [anon_sym_module] = ACTIONS(1471),
    [anon_sym_any] = ACTIONS(1471),
    [anon_sym_number] = ACTIONS(1471),
    [anon_sym_boolean] = ACTIONS(1471),
    [anon_sym_string] = ACTIONS(1471),
    [anon_sym_symbol] = ACTIONS(1471),
    [anon_sym_abstract] = ACTIONS(1471),
    [anon_sym_interface] = ACTIONS(1471),
    [anon_sym_enum] = ACTIONS(1471),
    [sym__automatic_semicolon] = ACTIONS(1477),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2075),
    [anon_sym_export] = ACTIONS(2075),
    [anon_sym_default] = ACTIONS(2075),
    [anon_sym_type] = ACTIONS(2075),
    [anon_sym_namespace] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_RBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(2075),
    [anon_sym_import] = ACTIONS(2075),
    [anon_sym_var] = ACTIONS(2075),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2075),
    [anon_sym_BANG] = ACTIONS(2073),
    [anon_sym_else] = ACTIONS(2075),
    [anon_sym_if] = ACTIONS(2075),
    [anon_sym_switch] = ACTIONS(2075),
    [anon_sym_for] = ACTIONS(2075),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_await] = ACTIONS(2075),
    [anon_sym_while] = ACTIONS(2075),
    [anon_sym_do] = ACTIONS(2075),
    [anon_sym_try] = ACTIONS(2075),
    [anon_sym_with] = ACTIONS(2075),
    [anon_sym_break] = ACTIONS(2075),
    [anon_sym_continue] = ACTIONS(2075),
    [anon_sym_debugger] = ACTIONS(2075),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_SEMI] = ACTIONS(2073),
    [anon_sym_case] = ACTIONS(2075),
    [anon_sym_yield] = ACTIONS(2075),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_LTtemplate_GT] = ACTIONS(2073),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_SLASH] = ACTIONS(2075),
    [anon_sym_class] = ACTIONS(2075),
    [anon_sym_async] = ACTIONS(2075),
    [anon_sym_function] = ACTIONS(2075),
    [anon_sym_new] = ACTIONS(2075),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_void] = ACTIONS(2075),
    [anon_sym_delete] = ACTIONS(2075),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2073),
    [anon_sym_SQUOTE] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2073),
    [sym_number] = ACTIONS(2073),
    [sym_this] = ACTIONS(2075),
    [sym_super] = ACTIONS(2075),
    [sym_true] = ACTIONS(2075),
    [sym_false] = ACTIONS(2075),
    [sym_null] = ACTIONS(2075),
    [sym_undefined] = ACTIONS(2075),
    [anon_sym_AT] = ACTIONS(2073),
    [anon_sym_static] = ACTIONS(2075),
    [anon_sym_readonly] = ACTIONS(2075),
    [anon_sym_get] = ACTIONS(2075),
    [anon_sym_set] = ACTIONS(2075),
    [anon_sym_declare] = ACTIONS(2075),
    [anon_sym_public] = ACTIONS(2075),
    [anon_sym_private] = ACTIONS(2075),
    [anon_sym_protected] = ACTIONS(2075),
    [anon_sym_override] = ACTIONS(2075),
    [anon_sym_module] = ACTIONS(2075),
    [anon_sym_any] = ACTIONS(2075),
    [anon_sym_number] = ACTIONS(2075),
    [anon_sym_boolean] = ACTIONS(2075),
    [anon_sym_string] = ACTIONS(2075),
    [anon_sym_symbol] = ACTIONS(2075),
    [anon_sym_abstract] = ACTIONS(2075),
    [anon_sym_interface] = ACTIONS(2075),
    [anon_sym_enum] = ACTIONS(2075),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(2077),
    [sym_identifier] = ACTIONS(2079),
    [anon_sym_export] = ACTIONS(2079),
    [anon_sym_default] = ACTIONS(2079),
    [anon_sym_type] = ACTIONS(2079),
    [anon_sym_namespace] = ACTIONS(2079),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2079),
    [anon_sym_import] = ACTIONS(2079),
    [anon_sym_var] = ACTIONS(2079),
    [anon_sym_let] = ACTIONS(2079),
    [anon_sym_const] = ACTIONS(2079),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2079),
    [anon_sym_if] = ACTIONS(2079),
    [anon_sym_switch] = ACTIONS(2079),
    [anon_sym_for] = ACTIONS(2079),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_RPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2079),
    [anon_sym_while] = ACTIONS(2079),
    [anon_sym_do] = ACTIONS(2079),
    [anon_sym_try] = ACTIONS(2079),
    [anon_sym_with] = ACTIONS(2079),
    [anon_sym_break] = ACTIONS(2079),
    [anon_sym_continue] = ACTIONS(2079),
    [anon_sym_debugger] = ACTIONS(2079),
    [anon_sym_return] = ACTIONS(2079),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(2079),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2079),
    [anon_sym_SLASH] = ACTIONS(2079),
    [anon_sym_class] = ACTIONS(2079),
    [anon_sym_async] = ACTIONS(2079),
    [anon_sym_function] = ACTIONS(2079),
    [anon_sym_new] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2079),
    [anon_sym_delete] = ACTIONS(2079),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2079),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_this] = ACTIONS(2079),
    [sym_super] = ACTIONS(2079),
    [sym_true] = ACTIONS(2079),
    [sym_false] = ACTIONS(2079),
    [sym_null] = ACTIONS(2079),
    [sym_undefined] = ACTIONS(2079),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2079),
    [anon_sym_readonly] = ACTIONS(2079),
    [anon_sym_get] = ACTIONS(2079),
    [anon_sym_set] = ACTIONS(2079),
    [anon_sym_declare] = ACTIONS(2079),
    [anon_sym_public] = ACTIONS(2079),
    [anon_sym_private] = ACTIONS(2079),
    [anon_sym_protected] = ACTIONS(2079),
    [anon_sym_override] = ACTIONS(2079),
    [anon_sym_module] = ACTIONS(2079),
    [anon_sym_any] = ACTIONS(2079),
    [anon_sym_number] = ACTIONS(2079),
    [anon_sym_boolean] = ACTIONS(2079),
    [anon_sym_string] = ACTIONS(2079),
    [anon_sym_symbol] = ACTIONS(2079),
    [anon_sym_abstract] = ACTIONS(2079),
    [anon_sym_interface] = ACTIONS(2079),
    [anon_sym_enum] = ACTIONS(2079),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_export] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_type] = ACTIONS(1496),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(1496),
    [anon_sym_var] = ACTIONS(1496),
    [anon_sym_let] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_await] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_try] = ACTIONS(1496),
    [anon_sym_with] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_debugger] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_throw] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_yield] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_LTtemplate_GT] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1496),
    [anon_sym_class] = ACTIONS(1496),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_new] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [sym_number] = ACTIONS(1494),
    [sym_this] = ACTIONS(1496),
    [sym_super] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [sym_undefined] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_get] = ACTIONS(1496),
    [anon_sym_set] = ACTIONS(1496),
    [anon_sym_declare] = ACTIONS(1496),
    [anon_sym_public] = ACTIONS(1496),
    [anon_sym_private] = ACTIONS(1496),
    [anon_sym_protected] = ACTIONS(1496),
    [anon_sym_override] = ACTIONS(1496),
    [anon_sym_module] = ACTIONS(1496),
    [anon_sym_any] = ACTIONS(1496),
    [anon_sym_number] = ACTIONS(1496),
    [anon_sym_boolean] = ACTIONS(1496),
    [anon_sym_string] = ACTIONS(1496),
    [anon_sym_symbol] = ACTIONS(1496),
    [anon_sym_abstract] = ACTIONS(1496),
    [anon_sym_interface] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [sym__automatic_semicolon] = ACTIONS(1502),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(1530),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_default] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [anon_sym_typeof] = ACTIONS(1530),
    [anon_sym_import] = ACTIONS(1530),
    [anon_sym_var] = ACTIONS(1530),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_const] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_else] = ACTIONS(1530),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_switch] = ACTIONS(1530),
    [anon_sym_for] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_await] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1530),
    [anon_sym_do] = ACTIONS(1530),
    [anon_sym_try] = ACTIONS(1530),
    [anon_sym_with] = ACTIONS(1530),
    [anon_sym_break] = ACTIONS(1530),
    [anon_sym_continue] = ACTIONS(1530),
    [anon_sym_debugger] = ACTIONS(1530),
    [anon_sym_return] = ACTIONS(1530),
    [anon_sym_throw] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1530),
    [anon_sym_yield] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_LTtemplate_GT] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1530),
    [anon_sym_class] = ACTIONS(1530),
    [anon_sym_async] = ACTIONS(1530),
    [anon_sym_function] = ACTIONS(1530),
    [anon_sym_new] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1530),
    [anon_sym_delete] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [sym_number] = ACTIONS(1528),
    [sym_this] = ACTIONS(1530),
    [sym_super] = ACTIONS(1530),
    [sym_true] = ACTIONS(1530),
    [sym_false] = ACTIONS(1530),
    [sym_null] = ACTIONS(1530),
    [sym_undefined] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_abstract] = ACTIONS(1530),
    [anon_sym_interface] = ACTIONS(1530),
    [anon_sym_enum] = ACTIONS(1530),
    [sym__automatic_semicolon] = ACTIONS(1536),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym_identifier] = ACTIONS(1592),
    [anon_sym_export] = ACTIONS(1592),
    [anon_sym_default] = ACTIONS(1592),
    [anon_sym_type] = ACTIONS(1592),
    [anon_sym_namespace] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_RBRACE] = ACTIONS(1590),
    [anon_sym_typeof] = ACTIONS(1592),
    [anon_sym_import] = ACTIONS(1592),
    [anon_sym_var] = ACTIONS(1592),
    [anon_sym_let] = ACTIONS(1592),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_else] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1592),
    [anon_sym_switch] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_await] = ACTIONS(1592),
    [anon_sym_while] = ACTIONS(1592),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1592),
    [anon_sym_with] = ACTIONS(1592),
    [anon_sym_break] = ACTIONS(1592),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_debugger] = ACTIONS(1592),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [anon_sym_case] = ACTIONS(1592),
    [anon_sym_yield] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_LTtemplate_GT] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_class] = ACTIONS(1592),
    [anon_sym_async] = ACTIONS(1592),
    [anon_sym_function] = ACTIONS(1592),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_void] = ACTIONS(1592),
    [anon_sym_delete] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1590),
    [anon_sym_DASH_DASH] = ACTIONS(1592),
    [anon_sym_DQUOTE] = ACTIONS(1590),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1590),
    [sym_number] = ACTIONS(1590),
    [sym_this] = ACTIONS(1592),
    [sym_super] = ACTIONS(1592),
    [sym_true] = ACTIONS(1592),
    [sym_false] = ACTIONS(1592),
    [sym_null] = ACTIONS(1592),
    [sym_undefined] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1590),
    [anon_sym_static] = ACTIONS(1592),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1592),
    [anon_sym_set] = ACTIONS(1592),
    [anon_sym_declare] = ACTIONS(1592),
    [anon_sym_public] = ACTIONS(1592),
    [anon_sym_private] = ACTIONS(1592),
    [anon_sym_protected] = ACTIONS(1592),
    [anon_sym_override] = ACTIONS(1592),
    [anon_sym_module] = ACTIONS(1592),
    [anon_sym_any] = ACTIONS(1592),
    [anon_sym_number] = ACTIONS(1592),
    [anon_sym_boolean] = ACTIONS(1592),
    [anon_sym_string] = ACTIONS(1592),
    [anon_sym_symbol] = ACTIONS(1592),
    [anon_sym_abstract] = ACTIONS(1592),
    [anon_sym_interface] = ACTIONS(1592),
    [anon_sym_enum] = ACTIONS(1592),
    [sym__automatic_semicolon] = ACTIONS(1598),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [sym_identifier] = ACTIONS(1602),
    [anon_sym_export] = ACTIONS(1602),
    [anon_sym_default] = ACTIONS(1602),
    [anon_sym_type] = ACTIONS(1602),
    [anon_sym_namespace] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_typeof] = ACTIONS(1602),
    [anon_sym_import] = ACTIONS(1602),
    [anon_sym_var] = ACTIONS(1602),
    [anon_sym_let] = ACTIONS(1602),
    [anon_sym_const] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1602),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_await] = ACTIONS(1602),
    [anon_sym_while] = ACTIONS(1602),
    [anon_sym_do] = ACTIONS(1602),
    [anon_sym_try] = ACTIONS(1602),
    [anon_sym_with] = ACTIONS(1602),
    [anon_sym_break] = ACTIONS(1602),
    [anon_sym_continue] = ACTIONS(1602),
    [anon_sym_debugger] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_case] = ACTIONS(1602),
    [anon_sym_yield] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_LTtemplate_GT] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_class] = ACTIONS(1602),
    [anon_sym_async] = ACTIONS(1602),
    [anon_sym_function] = ACTIONS(1602),
    [anon_sym_new] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_void] = ACTIONS(1602),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1602),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1600),
    [sym_this] = ACTIONS(1602),
    [sym_super] = ACTIONS(1602),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_AT] = ACTIONS(1600),
    [anon_sym_static] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1602),
    [anon_sym_get] = ACTIONS(1602),
    [anon_sym_set] = ACTIONS(1602),
    [anon_sym_declare] = ACTIONS(1602),
    [anon_sym_public] = ACTIONS(1602),
    [anon_sym_private] = ACTIONS(1602),
    [anon_sym_protected] = ACTIONS(1602),
    [anon_sym_override] = ACTIONS(1602),
    [anon_sym_module] = ACTIONS(1602),
    [anon_sym_any] = ACTIONS(1602),
    [anon_sym_number] = ACTIONS(1602),
    [anon_sym_boolean] = ACTIONS(1602),
    [anon_sym_string] = ACTIONS(1602),
    [anon_sym_symbol] = ACTIONS(1602),
    [anon_sym_abstract] = ACTIONS(1602),
    [anon_sym_interface] = ACTIONS(1602),
    [anon_sym_enum] = ACTIONS(1602),
    [sym__automatic_semicolon] = ACTIONS(1608),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym_identifier] = ACTIONS(1427),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_default] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_typeof] = ACTIONS(1427),
    [anon_sym_import] = ACTIONS(1427),
    [anon_sym_var] = ACTIONS(1427),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_const] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_else] = ACTIONS(1427),
    [anon_sym_if] = ACTIONS(1427),
    [anon_sym_switch] = ACTIONS(1427),
    [anon_sym_for] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [anon_sym_await] = ACTIONS(1427),
    [anon_sym_while] = ACTIONS(1427),
    [anon_sym_do] = ACTIONS(1427),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_with] = ACTIONS(1427),
    [anon_sym_break] = ACTIONS(1427),
    [anon_sym_continue] = ACTIONS(1427),
    [anon_sym_debugger] = ACTIONS(1427),
    [anon_sym_return] = ACTIONS(1427),
    [anon_sym_throw] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_case] = ACTIONS(1427),
    [anon_sym_yield] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [anon_sym_LTtemplate_GT] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_class] = ACTIONS(1427),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1427),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_void] = ACTIONS(1427),
    [anon_sym_delete] = ACTIONS(1427),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1425),
    [sym_number] = ACTIONS(1425),
    [sym_this] = ACTIONS(1427),
    [sym_super] = ACTIONS(1427),
    [sym_true] = ACTIONS(1427),
    [sym_false] = ACTIONS(1427),
    [sym_null] = ACTIONS(1427),
    [sym_undefined] = ACTIONS(1427),
    [anon_sym_AT] = ACTIONS(1425),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_abstract] = ACTIONS(1427),
    [anon_sym_interface] = ACTIONS(1427),
    [anon_sym_enum] = ACTIONS(1427),
    [sym__automatic_semicolon] = ACTIONS(1433),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(2081),
    [sym_identifier] = ACTIONS(2083),
    [anon_sym_export] = ACTIONS(2083),
    [anon_sym_default] = ACTIONS(2083),
    [anon_sym_type] = ACTIONS(2083),
    [anon_sym_namespace] = ACTIONS(2083),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_typeof] = ACTIONS(2083),
    [anon_sym_import] = ACTIONS(2083),
    [anon_sym_var] = ACTIONS(2083),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_const] = ACTIONS(2083),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_else] = ACTIONS(2083),
    [anon_sym_if] = ACTIONS(2083),
    [anon_sym_switch] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2083),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2083),
    [anon_sym_try] = ACTIONS(2083),
    [anon_sym_with] = ACTIONS(2083),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_continue] = ACTIONS(2083),
    [anon_sym_debugger] = ACTIONS(2083),
    [anon_sym_return] = ACTIONS(2083),
    [anon_sym_throw] = ACTIONS(2083),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_case] = ACTIONS(2083),
    [anon_sym_finally] = ACTIONS(2083),
    [anon_sym_yield] = ACTIONS(2083),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2083),
    [anon_sym_SLASH] = ACTIONS(2083),
    [anon_sym_class] = ACTIONS(2083),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(2083),
    [anon_sym_new] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_void] = ACTIONS(2083),
    [anon_sym_delete] = ACTIONS(2083),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [anon_sym_SQUOTE] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [sym_this] = ACTIONS(2083),
    [sym_super] = ACTIONS(2083),
    [sym_true] = ACTIONS(2083),
    [sym_false] = ACTIONS(2083),
    [sym_null] = ACTIONS(2083),
    [sym_undefined] = ACTIONS(2083),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_static] = ACTIONS(2083),
    [anon_sym_readonly] = ACTIONS(2083),
    [anon_sym_get] = ACTIONS(2083),
    [anon_sym_set] = ACTIONS(2083),
    [anon_sym_declare] = ACTIONS(2083),
    [anon_sym_public] = ACTIONS(2083),
    [anon_sym_private] = ACTIONS(2083),
    [anon_sym_protected] = ACTIONS(2083),
    [anon_sym_override] = ACTIONS(2083),
    [anon_sym_module] = ACTIONS(2083),
    [anon_sym_any] = ACTIONS(2083),
    [anon_sym_number] = ACTIONS(2083),
    [anon_sym_boolean] = ACTIONS(2083),
    [anon_sym_string] = ACTIONS(2083),
    [anon_sym_symbol] = ACTIONS(2083),
    [anon_sym_abstract] = ACTIONS(2083),
    [anon_sym_interface] = ACTIONS(2083),
    [anon_sym_enum] = ACTIONS(2083),
  },
  [606] = {
    [sym_statement_block] = STATE(732),
    [ts_builtin_sym_end] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1389),
    [anon_sym_export] = ACTIONS(1389),
    [anon_sym_default] = ACTIONS(1389),
    [anon_sym_type] = ACTIONS(1389),
    [anon_sym_namespace] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(1389),
    [anon_sym_import] = ACTIONS(1389),
    [anon_sym_var] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_const] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_else] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(1389),
    [anon_sym_switch] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1389),
    [anon_sym_while] = ACTIONS(1389),
    [anon_sym_do] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1389),
    [anon_sym_with] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1389),
    [anon_sym_continue] = ACTIONS(1389),
    [anon_sym_debugger] = ACTIONS(1389),
    [anon_sym_return] = ACTIONS(1389),
    [anon_sym_throw] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1387),
    [anon_sym_case] = ACTIONS(1389),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1387),
    [anon_sym_LTtemplate_GT] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_class] = ACTIONS(1389),
    [anon_sym_async] = ACTIONS(1389),
    [anon_sym_function] = ACTIONS(1389),
    [anon_sym_new] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1387),
    [anon_sym_void] = ACTIONS(1389),
    [anon_sym_delete] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_DASH_DASH] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1387),
    [sym_number] = ACTIONS(1387),
    [sym_this] = ACTIONS(1389),
    [sym_super] = ACTIONS(1389),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [sym_null] = ACTIONS(1389),
    [sym_undefined] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1387),
    [anon_sym_static] = ACTIONS(1389),
    [anon_sym_readonly] = ACTIONS(1389),
    [anon_sym_get] = ACTIONS(1389),
    [anon_sym_set] = ACTIONS(1389),
    [anon_sym_declare] = ACTIONS(1389),
    [anon_sym_public] = ACTIONS(1389),
    [anon_sym_private] = ACTIONS(1389),
    [anon_sym_protected] = ACTIONS(1389),
    [anon_sym_override] = ACTIONS(1389),
    [anon_sym_module] = ACTIONS(1389),
    [anon_sym_any] = ACTIONS(1389),
    [anon_sym_number] = ACTIONS(1389),
    [anon_sym_boolean] = ACTIONS(1389),
    [anon_sym_string] = ACTIONS(1389),
    [anon_sym_symbol] = ACTIONS(1389),
    [anon_sym_abstract] = ACTIONS(1389),
    [anon_sym_interface] = ACTIONS(1389),
    [anon_sym_enum] = ACTIONS(1389),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym_identifier] = ACTIONS(1437),
    [anon_sym_export] = ACTIONS(1437),
    [anon_sym_default] = ACTIONS(1437),
    [anon_sym_type] = ACTIONS(1437),
    [anon_sym_namespace] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_typeof] = ACTIONS(1437),
    [anon_sym_import] = ACTIONS(1437),
    [anon_sym_var] = ACTIONS(1437),
    [anon_sym_let] = ACTIONS(1437),
    [anon_sym_const] = ACTIONS(1437),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1435),
    [anon_sym_await] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1437),
    [anon_sym_with] = ACTIONS(1437),
    [anon_sym_break] = ACTIONS(1437),
    [anon_sym_continue] = ACTIONS(1437),
    [anon_sym_debugger] = ACTIONS(1437),
    [anon_sym_return] = ACTIONS(1437),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_LTtemplate_GT] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1437),
    [anon_sym_class] = ACTIONS(1437),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(1437),
    [anon_sym_new] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_void] = ACTIONS(1437),
    [anon_sym_delete] = ACTIONS(1437),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_DASH_DASH] = ACTIONS(1437),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1435),
    [sym_number] = ACTIONS(1435),
    [sym_this] = ACTIONS(1437),
    [sym_super] = ACTIONS(1437),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [sym_null] = ACTIONS(1437),
    [sym_undefined] = ACTIONS(1437),
    [anon_sym_AT] = ACTIONS(1435),
    [anon_sym_static] = ACTIONS(1437),
    [anon_sym_readonly] = ACTIONS(1437),
    [anon_sym_get] = ACTIONS(1437),
    [anon_sym_set] = ACTIONS(1437),
    [anon_sym_declare] = ACTIONS(1437),
    [anon_sym_public] = ACTIONS(1437),
    [anon_sym_private] = ACTIONS(1437),
    [anon_sym_protected] = ACTIONS(1437),
    [anon_sym_override] = ACTIONS(1437),
    [anon_sym_module] = ACTIONS(1437),
    [anon_sym_any] = ACTIONS(1437),
    [anon_sym_number] = ACTIONS(1437),
    [anon_sym_boolean] = ACTIONS(1437),
    [anon_sym_string] = ACTIONS(1437),
    [anon_sym_symbol] = ACTIONS(1437),
    [anon_sym_abstract] = ACTIONS(1437),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1437),
    [sym__automatic_semicolon] = ACTIONS(1443),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(2085),
    [sym_identifier] = ACTIONS(2087),
    [anon_sym_export] = ACTIONS(2087),
    [anon_sym_default] = ACTIONS(2087),
    [anon_sym_type] = ACTIONS(2087),
    [anon_sym_namespace] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2087),
    [anon_sym_import] = ACTIONS(2087),
    [anon_sym_var] = ACTIONS(2087),
    [anon_sym_let] = ACTIONS(2087),
    [anon_sym_const] = ACTIONS(2087),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2087),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_switch] = ACTIONS(2087),
    [anon_sym_for] = ACTIONS(2087),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2087),
    [anon_sym_while] = ACTIONS(2087),
    [anon_sym_do] = ACTIONS(2087),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_with] = ACTIONS(2087),
    [anon_sym_break] = ACTIONS(2087),
    [anon_sym_continue] = ACTIONS(2087),
    [anon_sym_debugger] = ACTIONS(2087),
    [anon_sym_return] = ACTIONS(2087),
    [anon_sym_throw] = ACTIONS(2087),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2087),
    [anon_sym_finally] = ACTIONS(2087),
    [anon_sym_yield] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2087),
    [anon_sym_class] = ACTIONS(2087),
    [anon_sym_async] = ACTIONS(2087),
    [anon_sym_function] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2087),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2087),
    [anon_sym_delete] = ACTIONS(2087),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_this] = ACTIONS(2087),
    [sym_super] = ACTIONS(2087),
    [sym_true] = ACTIONS(2087),
    [sym_false] = ACTIONS(2087),
    [sym_null] = ACTIONS(2087),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2087),
    [anon_sym_readonly] = ACTIONS(2087),
    [anon_sym_get] = ACTIONS(2087),
    [anon_sym_set] = ACTIONS(2087),
    [anon_sym_declare] = ACTIONS(2087),
    [anon_sym_public] = ACTIONS(2087),
    [anon_sym_private] = ACTIONS(2087),
    [anon_sym_protected] = ACTIONS(2087),
    [anon_sym_override] = ACTIONS(2087),
    [anon_sym_module] = ACTIONS(2087),
    [anon_sym_any] = ACTIONS(2087),
    [anon_sym_number] = ACTIONS(2087),
    [anon_sym_boolean] = ACTIONS(2087),
    [anon_sym_string] = ACTIONS(2087),
    [anon_sym_symbol] = ACTIONS(2087),
    [anon_sym_abstract] = ACTIONS(2087),
    [anon_sym_interface] = ACTIONS(2087),
    [anon_sym_enum] = ACTIONS(2087),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(2089),
    [sym_identifier] = ACTIONS(2091),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2091),
    [anon_sym_import] = ACTIONS(2091),
    [anon_sym_var] = ACTIONS(2091),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_const] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_else] = ACTIONS(2091),
    [anon_sym_if] = ACTIONS(2091),
    [anon_sym_switch] = ACTIONS(2091),
    [anon_sym_for] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2091),
    [anon_sym_try] = ACTIONS(2091),
    [anon_sym_with] = ACTIONS(2091),
    [anon_sym_break] = ACTIONS(2091),
    [anon_sym_continue] = ACTIONS(2091),
    [anon_sym_debugger] = ACTIONS(2091),
    [anon_sym_return] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_case] = ACTIONS(2091),
    [anon_sym_finally] = ACTIONS(2091),
    [anon_sym_yield] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2091),
    [anon_sym_class] = ACTIONS(2091),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2091),
    [anon_sym_delete] = ACTIONS(2091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_this] = ACTIONS(2091),
    [sym_super] = ACTIONS(2091),
    [sym_true] = ACTIONS(2091),
    [sym_false] = ACTIONS(2091),
    [sym_null] = ACTIONS(2091),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_abstract] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2091),
    [anon_sym_enum] = ACTIONS(2091),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_export] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_type] = ACTIONS(1492),
    [anon_sym_namespace] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_typeof] = ACTIONS(1492),
    [anon_sym_import] = ACTIONS(1492),
    [anon_sym_var] = ACTIONS(1492),
    [anon_sym_let] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_else] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(1492),
    [anon_sym_with] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_debugger] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_LTtemplate_GT] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1492),
    [anon_sym_class] = ACTIONS(1492),
    [anon_sym_async] = ACTIONS(1492),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_void] = ACTIONS(1492),
    [anon_sym_delete] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [sym_number] = ACTIONS(1490),
    [sym_this] = ACTIONS(1492),
    [sym_super] = ACTIONS(1492),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_get] = ACTIONS(1492),
    [anon_sym_set] = ACTIONS(1492),
    [anon_sym_declare] = ACTIONS(1492),
    [anon_sym_public] = ACTIONS(1492),
    [anon_sym_private] = ACTIONS(1492),
    [anon_sym_protected] = ACTIONS(1492),
    [anon_sym_override] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [anon_sym_any] = ACTIONS(1492),
    [anon_sym_number] = ACTIONS(1492),
    [anon_sym_boolean] = ACTIONS(1492),
    [anon_sym_string] = ACTIONS(1492),
    [anon_sym_symbol] = ACTIONS(1492),
    [anon_sym_abstract] = ACTIONS(1492),
    [anon_sym_interface] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [sym_identifier] = ACTIONS(1544),
    [anon_sym_export] = ACTIONS(1544),
    [anon_sym_default] = ACTIONS(1544),
    [anon_sym_type] = ACTIONS(1544),
    [anon_sym_namespace] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [anon_sym_typeof] = ACTIONS(1544),
    [anon_sym_import] = ACTIONS(1544),
    [anon_sym_var] = ACTIONS(1544),
    [anon_sym_let] = ACTIONS(1544),
    [anon_sym_const] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_else] = ACTIONS(1544),
    [anon_sym_if] = ACTIONS(1544),
    [anon_sym_switch] = ACTIONS(1544),
    [anon_sym_for] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_await] = ACTIONS(1544),
    [anon_sym_while] = ACTIONS(1544),
    [anon_sym_do] = ACTIONS(1544),
    [anon_sym_try] = ACTIONS(1544),
    [anon_sym_with] = ACTIONS(1544),
    [anon_sym_break] = ACTIONS(1544),
    [anon_sym_continue] = ACTIONS(1544),
    [anon_sym_debugger] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1544),
    [anon_sym_SEMI] = ACTIONS(1542),
    [anon_sym_case] = ACTIONS(1544),
    [anon_sym_yield] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_LTtemplate_GT] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1544),
    [anon_sym_SLASH] = ACTIONS(1544),
    [anon_sym_class] = ACTIONS(1544),
    [anon_sym_async] = ACTIONS(1544),
    [anon_sym_function] = ACTIONS(1544),
    [anon_sym_new] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_void] = ACTIONS(1544),
    [anon_sym_delete] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [sym_number] = ACTIONS(1542),
    [sym_this] = ACTIONS(1544),
    [sym_super] = ACTIONS(1544),
    [sym_true] = ACTIONS(1544),
    [sym_false] = ACTIONS(1544),
    [sym_null] = ACTIONS(1544),
    [sym_undefined] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1542),
    [anon_sym_static] = ACTIONS(1544),
    [anon_sym_readonly] = ACTIONS(1544),
    [anon_sym_get] = ACTIONS(1544),
    [anon_sym_set] = ACTIONS(1544),
    [anon_sym_declare] = ACTIONS(1544),
    [anon_sym_public] = ACTIONS(1544),
    [anon_sym_private] = ACTIONS(1544),
    [anon_sym_protected] = ACTIONS(1544),
    [anon_sym_override] = ACTIONS(1544),
    [anon_sym_module] = ACTIONS(1544),
    [anon_sym_any] = ACTIONS(1544),
    [anon_sym_number] = ACTIONS(1544),
    [anon_sym_boolean] = ACTIONS(1544),
    [anon_sym_string] = ACTIONS(1544),
    [anon_sym_symbol] = ACTIONS(1544),
    [anon_sym_abstract] = ACTIONS(1544),
    [anon_sym_interface] = ACTIONS(1544),
    [anon_sym_enum] = ACTIONS(1544),
    [sym__automatic_semicolon] = ACTIONS(1550),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_export] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_type] = ACTIONS(1520),
    [anon_sym_namespace] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_typeof] = ACTIONS(1520),
    [anon_sym_import] = ACTIONS(1520),
    [anon_sym_var] = ACTIONS(1520),
    [anon_sym_let] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_else] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_await] = ACTIONS(1520),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_try] = ACTIONS(1520),
    [anon_sym_with] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_debugger] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_throw] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_yield] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_LTtemplate_GT] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_class] = ACTIONS(1520),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_function] = ACTIONS(1520),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_void] = ACTIONS(1520),
    [anon_sym_delete] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [sym_number] = ACTIONS(1518),
    [sym_this] = ACTIONS(1520),
    [sym_super] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [sym_null] = ACTIONS(1520),
    [sym_undefined] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1518),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_declare] = ACTIONS(1520),
    [anon_sym_public] = ACTIONS(1520),
    [anon_sym_private] = ACTIONS(1520),
    [anon_sym_protected] = ACTIONS(1520),
    [anon_sym_override] = ACTIONS(1520),
    [anon_sym_module] = ACTIONS(1520),
    [anon_sym_any] = ACTIONS(1520),
    [anon_sym_number] = ACTIONS(1520),
    [anon_sym_boolean] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_symbol] = ACTIONS(1520),
    [anon_sym_abstract] = ACTIONS(1520),
    [anon_sym_interface] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [sym__automatic_semicolon] = ACTIONS(1526),
  },
  [613] = {
    [sym_else_clause] = STATE(755),
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2095),
    [anon_sym_export] = ACTIONS(2095),
    [anon_sym_default] = ACTIONS(2095),
    [anon_sym_type] = ACTIONS(2095),
    [anon_sym_namespace] = ACTIONS(2095),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2095),
    [anon_sym_import] = ACTIONS(2095),
    [anon_sym_var] = ACTIONS(2095),
    [anon_sym_let] = ACTIONS(2095),
    [anon_sym_const] = ACTIONS(2095),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2095),
    [anon_sym_switch] = ACTIONS(2095),
    [anon_sym_for] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2095),
    [anon_sym_while] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2095),
    [anon_sym_try] = ACTIONS(2095),
    [anon_sym_with] = ACTIONS(2095),
    [anon_sym_break] = ACTIONS(2095),
    [anon_sym_continue] = ACTIONS(2095),
    [anon_sym_debugger] = ACTIONS(2095),
    [anon_sym_return] = ACTIONS(2095),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2095),
    [anon_sym_yield] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2095),
    [anon_sym_class] = ACTIONS(2095),
    [anon_sym_async] = ACTIONS(2095),
    [anon_sym_function] = ACTIONS(2095),
    [anon_sym_new] = ACTIONS(2095),
    [anon_sym_PLUS] = ACTIONS(2095),
    [anon_sym_DASH] = ACTIONS(2095),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2095),
    [anon_sym_delete] = ACTIONS(2095),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_this] = ACTIONS(2095),
    [sym_super] = ACTIONS(2095),
    [sym_true] = ACTIONS(2095),
    [sym_false] = ACTIONS(2095),
    [sym_null] = ACTIONS(2095),
    [sym_undefined] = ACTIONS(2095),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2095),
    [anon_sym_readonly] = ACTIONS(2095),
    [anon_sym_get] = ACTIONS(2095),
    [anon_sym_set] = ACTIONS(2095),
    [anon_sym_declare] = ACTIONS(2095),
    [anon_sym_public] = ACTIONS(2095),
    [anon_sym_private] = ACTIONS(2095),
    [anon_sym_protected] = ACTIONS(2095),
    [anon_sym_override] = ACTIONS(2095),
    [anon_sym_module] = ACTIONS(2095),
    [anon_sym_any] = ACTIONS(2095),
    [anon_sym_number] = ACTIONS(2095),
    [anon_sym_boolean] = ACTIONS(2095),
    [anon_sym_string] = ACTIONS(2095),
    [anon_sym_symbol] = ACTIONS(2095),
    [anon_sym_abstract] = ACTIONS(2095),
    [anon_sym_interface] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2095),
  },
  [614] = {
    [sym__call_signature] = STATE(4254),
    [sym_formal_parameters] = STATE(2953),
    [sym_type_parameters] = STATE(3886),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_export] = ACTIONS(1993),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(1993),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(1993),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(1993),
    [anon_sym_set] = ACTIONS(1993),
    [anon_sym_declare] = ACTIONS(1993),
    [anon_sym_public] = ACTIONS(1993),
    [anon_sym_private] = ACTIONS(1993),
    [anon_sym_protected] = ACTIONS(1993),
    [anon_sym_override] = ACTIONS(1993),
    [anon_sym_module] = ACTIONS(1993),
    [anon_sym_any] = ACTIONS(1993),
    [anon_sym_number] = ACTIONS(1993),
    [anon_sym_boolean] = ACTIONS(1993),
    [anon_sym_string] = ACTIONS(1993),
    [anon_sym_symbol] = ACTIONS(1993),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2099),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2099),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_LTtemplate_GT] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2099),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2099),
    [anon_sym_SQUOTE] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2099),
    [sym_number] = ACTIONS(2099),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2103),
    [anon_sym_RBRACE] = ACTIONS(2103),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2103),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2103),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2103),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2103),
    [anon_sym_LTtemplate_GT] = ACTIONS(2103),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2103),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2103),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(2103),
    [anon_sym_SQUOTE] = ACTIONS(2103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2103),
    [sym_number] = ACTIONS(2103),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2103),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(2113),
    [anon_sym_export] = ACTIONS(2113),
    [anon_sym_default] = ACTIONS(2113),
    [anon_sym_type] = ACTIONS(2113),
    [anon_sym_namespace] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2111),
    [anon_sym_RBRACE] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(2113),
    [anon_sym_import] = ACTIONS(2113),
    [anon_sym_var] = ACTIONS(2113),
    [anon_sym_let] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_else] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_switch] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2111),
    [anon_sym_await] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_with] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_debugger] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2111),
    [anon_sym_case] = ACTIONS(2113),
    [anon_sym_yield] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2111),
    [anon_sym_LTtemplate_GT] = ACTIONS(2111),
    [anon_sym_LT] = ACTIONS(2113),
    [anon_sym_SLASH] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_async] = ACTIONS(2113),
    [anon_sym_function] = ACTIONS(2113),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_void] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_PLUS_PLUS] = ACTIONS(2111),
    [anon_sym_DASH_DASH] = ACTIONS(2113),
    [anon_sym_DQUOTE] = ACTIONS(2111),
    [anon_sym_SQUOTE] = ACTIONS(2111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2111),
    [sym_number] = ACTIONS(2111),
    [sym_this] = ACTIONS(2113),
    [sym_super] = ACTIONS(2113),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [sym_null] = ACTIONS(2113),
    [sym_undefined] = ACTIONS(2113),
    [anon_sym_AT] = ACTIONS(2111),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_readonly] = ACTIONS(2113),
    [anon_sym_get] = ACTIONS(2113),
    [anon_sym_set] = ACTIONS(2113),
    [anon_sym_declare] = ACTIONS(2113),
    [anon_sym_public] = ACTIONS(2113),
    [anon_sym_private] = ACTIONS(2113),
    [anon_sym_protected] = ACTIONS(2113),
    [anon_sym_override] = ACTIONS(2113),
    [anon_sym_module] = ACTIONS(2113),
    [anon_sym_any] = ACTIONS(2113),
    [anon_sym_number] = ACTIONS(2113),
    [anon_sym_boolean] = ACTIONS(2113),
    [anon_sym_string] = ACTIONS(2113),
    [anon_sym_symbol] = ACTIONS(2113),
    [anon_sym_abstract] = ACTIONS(2113),
    [anon_sym_interface] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(2115),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2115),
    [anon_sym_RBRACE] = ACTIONS(2115),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2115),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2115),
    [anon_sym_LTtemplate_GT] = ACTIONS(2115),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2115),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2115),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2115),
    [anon_sym_SQUOTE] = ACTIONS(2115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2115),
    [sym_number] = ACTIONS(2115),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2123),
    [sym_identifier] = ACTIONS(2125),
    [anon_sym_export] = ACTIONS(2125),
    [anon_sym_default] = ACTIONS(2125),
    [anon_sym_type] = ACTIONS(2125),
    [anon_sym_namespace] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2123),
    [anon_sym_RBRACE] = ACTIONS(2123),
    [anon_sym_typeof] = ACTIONS(2125),
    [anon_sym_import] = ACTIONS(2125),
    [anon_sym_var] = ACTIONS(2125),
    [anon_sym_let] = ACTIONS(2125),
    [anon_sym_const] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2125),
    [anon_sym_if] = ACTIONS(2125),
    [anon_sym_switch] = ACTIONS(2125),
    [anon_sym_for] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2123),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_with] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_debugger] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_throw] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2123),
    [anon_sym_case] = ACTIONS(2125),
    [anon_sym_yield] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_LTtemplate_GT] = ACTIONS(2123),
    [anon_sym_LT] = ACTIONS(2125),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_class] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_function] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2123),
    [anon_sym_void] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [anon_sym_SQUOTE] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2123),
    [sym_number] = ACTIONS(2123),
    [sym_this] = ACTIONS(2125),
    [sym_super] = ACTIONS(2125),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [sym_null] = ACTIONS(2125),
    [sym_undefined] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2125),
    [anon_sym_readonly] = ACTIONS(2125),
    [anon_sym_get] = ACTIONS(2125),
    [anon_sym_set] = ACTIONS(2125),
    [anon_sym_declare] = ACTIONS(2125),
    [anon_sym_public] = ACTIONS(2125),
    [anon_sym_private] = ACTIONS(2125),
    [anon_sym_protected] = ACTIONS(2125),
    [anon_sym_override] = ACTIONS(2125),
    [anon_sym_module] = ACTIONS(2125),
    [anon_sym_any] = ACTIONS(2125),
    [anon_sym_number] = ACTIONS(2125),
    [anon_sym_boolean] = ACTIONS(2125),
    [anon_sym_string] = ACTIONS(2125),
    [anon_sym_symbol] = ACTIONS(2125),
    [anon_sym_abstract] = ACTIONS(2125),
    [anon_sym_interface] = ACTIONS(2125),
    [anon_sym_enum] = ACTIONS(2125),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(2129),
    [anon_sym_export] = ACTIONS(2129),
    [anon_sym_default] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2129),
    [anon_sym_import] = ACTIONS(2129),
    [anon_sym_var] = ACTIONS(2129),
    [anon_sym_let] = ACTIONS(2129),
    [anon_sym_const] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2129),
    [anon_sym_if] = ACTIONS(2129),
    [anon_sym_switch] = ACTIONS(2129),
    [anon_sym_for] = ACTIONS(2129),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2129),
    [anon_sym_do] = ACTIONS(2129),
    [anon_sym_try] = ACTIONS(2129),
    [anon_sym_with] = ACTIONS(2129),
    [anon_sym_break] = ACTIONS(2129),
    [anon_sym_continue] = ACTIONS(2129),
    [anon_sym_debugger] = ACTIONS(2129),
    [anon_sym_return] = ACTIONS(2129),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2129),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2129),
    [anon_sym_class] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(2129),
    [anon_sym_function] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2129),
    [anon_sym_delete] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_this] = ACTIONS(2129),
    [sym_super] = ACTIONS(2129),
    [sym_true] = ACTIONS(2129),
    [sym_false] = ACTIONS(2129),
    [sym_null] = ACTIONS(2129),
    [sym_undefined] = ACTIONS(2129),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2129),
    [anon_sym_readonly] = ACTIONS(2129),
    [anon_sym_get] = ACTIONS(2129),
    [anon_sym_set] = ACTIONS(2129),
    [anon_sym_declare] = ACTIONS(2129),
    [anon_sym_public] = ACTIONS(2129),
    [anon_sym_private] = ACTIONS(2129),
    [anon_sym_protected] = ACTIONS(2129),
    [anon_sym_override] = ACTIONS(2129),
    [anon_sym_module] = ACTIONS(2129),
    [anon_sym_any] = ACTIONS(2129),
    [anon_sym_number] = ACTIONS(2129),
    [anon_sym_boolean] = ACTIONS(2129),
    [anon_sym_string] = ACTIONS(2129),
    [anon_sym_symbol] = ACTIONS(2129),
    [anon_sym_abstract] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2129),
    [anon_sym_enum] = ACTIONS(2129),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(2131),
    [sym_identifier] = ACTIONS(2133),
    [anon_sym_export] = ACTIONS(2133),
    [anon_sym_default] = ACTIONS(2133),
    [anon_sym_type] = ACTIONS(2133),
    [anon_sym_namespace] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2133),
    [anon_sym_import] = ACTIONS(2133),
    [anon_sym_var] = ACTIONS(2133),
    [anon_sym_let] = ACTIONS(2133),
    [anon_sym_const] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_switch] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_while] = ACTIONS(2133),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_try] = ACTIONS(2133),
    [anon_sym_with] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_debugger] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2133),
    [anon_sym_yield] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2133),
    [anon_sym_SLASH] = ACTIONS(2133),
    [anon_sym_class] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_function] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_this] = ACTIONS(2133),
    [sym_super] = ACTIONS(2133),
    [sym_true] = ACTIONS(2133),
    [sym_false] = ACTIONS(2133),
    [sym_null] = ACTIONS(2133),
    [sym_undefined] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2133),
    [anon_sym_readonly] = ACTIONS(2133),
    [anon_sym_get] = ACTIONS(2133),
    [anon_sym_set] = ACTIONS(2133),
    [anon_sym_declare] = ACTIONS(2133),
    [anon_sym_public] = ACTIONS(2133),
    [anon_sym_private] = ACTIONS(2133),
    [anon_sym_protected] = ACTIONS(2133),
    [anon_sym_override] = ACTIONS(2133),
    [anon_sym_module] = ACTIONS(2133),
    [anon_sym_any] = ACTIONS(2133),
    [anon_sym_number] = ACTIONS(2133),
    [anon_sym_boolean] = ACTIONS(2133),
    [anon_sym_string] = ACTIONS(2133),
    [anon_sym_symbol] = ACTIONS(2133),
    [anon_sym_abstract] = ACTIONS(2133),
    [anon_sym_interface] = ACTIONS(2133),
    [anon_sym_enum] = ACTIONS(2133),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(2135),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2137),
    [anon_sym_import] = ACTIONS(2137),
    [anon_sym_var] = ACTIONS(2137),
    [anon_sym_let] = ACTIONS(2137),
    [anon_sym_const] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_switch] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_with] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_debugger] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2137),
    [anon_sym_SLASH] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_function] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_this] = ACTIONS(2137),
    [sym_super] = ACTIONS(2137),
    [sym_true] = ACTIONS(2137),
    [sym_false] = ACTIONS(2137),
    [sym_null] = ACTIONS(2137),
    [sym_undefined] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2137),
    [anon_sym_readonly] = ACTIONS(2137),
    [anon_sym_get] = ACTIONS(2137),
    [anon_sym_set] = ACTIONS(2137),
    [anon_sym_declare] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2137),
    [anon_sym_private] = ACTIONS(2137),
    [anon_sym_protected] = ACTIONS(2137),
    [anon_sym_override] = ACTIONS(2137),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_any] = ACTIONS(2137),
    [anon_sym_number] = ACTIONS(2137),
    [anon_sym_boolean] = ACTIONS(2137),
    [anon_sym_string] = ACTIONS(2137),
    [anon_sym_symbol] = ACTIONS(2137),
    [anon_sym_abstract] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2137),
    [anon_sym_enum] = ACTIONS(2137),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(2131),
    [sym_identifier] = ACTIONS(2133),
    [anon_sym_export] = ACTIONS(2133),
    [anon_sym_default] = ACTIONS(2133),
    [anon_sym_type] = ACTIONS(2133),
    [anon_sym_namespace] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2133),
    [anon_sym_import] = ACTIONS(2133),
    [anon_sym_var] = ACTIONS(2133),
    [anon_sym_let] = ACTIONS(2133),
    [anon_sym_const] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_switch] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_while] = ACTIONS(2133),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_try] = ACTIONS(2133),
    [anon_sym_with] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_debugger] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2133),
    [anon_sym_yield] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2133),
    [anon_sym_SLASH] = ACTIONS(2133),
    [anon_sym_class] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_function] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_this] = ACTIONS(2133),
    [sym_super] = ACTIONS(2133),
    [sym_true] = ACTIONS(2133),
    [sym_false] = ACTIONS(2133),
    [sym_null] = ACTIONS(2133),
    [sym_undefined] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2133),
    [anon_sym_readonly] = ACTIONS(2133),
    [anon_sym_get] = ACTIONS(2133),
    [anon_sym_set] = ACTIONS(2133),
    [anon_sym_declare] = ACTIONS(2133),
    [anon_sym_public] = ACTIONS(2133),
    [anon_sym_private] = ACTIONS(2133),
    [anon_sym_protected] = ACTIONS(2133),
    [anon_sym_override] = ACTIONS(2133),
    [anon_sym_module] = ACTIONS(2133),
    [anon_sym_any] = ACTIONS(2133),
    [anon_sym_number] = ACTIONS(2133),
    [anon_sym_boolean] = ACTIONS(2133),
    [anon_sym_string] = ACTIONS(2133),
    [anon_sym_symbol] = ACTIONS(2133),
    [anon_sym_abstract] = ACTIONS(2133),
    [anon_sym_interface] = ACTIONS(2133),
    [anon_sym_enum] = ACTIONS(2133),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_LTtemplate_GT] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2139),
    [sym_number] = ACTIONS(2139),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(2135),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2137),
    [anon_sym_import] = ACTIONS(2137),
    [anon_sym_var] = ACTIONS(2137),
    [anon_sym_let] = ACTIONS(2137),
    [anon_sym_const] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_switch] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_with] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_debugger] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2137),
    [anon_sym_SLASH] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_function] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_this] = ACTIONS(2137),
    [sym_super] = ACTIONS(2137),
    [sym_true] = ACTIONS(2137),
    [sym_false] = ACTIONS(2137),
    [sym_null] = ACTIONS(2137),
    [sym_undefined] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2137),
    [anon_sym_readonly] = ACTIONS(2137),
    [anon_sym_get] = ACTIONS(2137),
    [anon_sym_set] = ACTIONS(2137),
    [anon_sym_declare] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2137),
    [anon_sym_private] = ACTIONS(2137),
    [anon_sym_protected] = ACTIONS(2137),
    [anon_sym_override] = ACTIONS(2137),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_any] = ACTIONS(2137),
    [anon_sym_number] = ACTIONS(2137),
    [anon_sym_boolean] = ACTIONS(2137),
    [anon_sym_string] = ACTIONS(2137),
    [anon_sym_symbol] = ACTIONS(2137),
    [anon_sym_abstract] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2137),
    [anon_sym_enum] = ACTIONS(2137),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_export] = ACTIONS(1447),
    [anon_sym_default] = ACTIONS(1447),
    [anon_sym_type] = ACTIONS(1447),
    [anon_sym_namespace] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1445),
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_typeof] = ACTIONS(1447),
    [anon_sym_import] = ACTIONS(1447),
    [anon_sym_var] = ACTIONS(1447),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_const] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1447),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_switch] = ACTIONS(1447),
    [anon_sym_for] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_await] = ACTIONS(1447),
    [anon_sym_while] = ACTIONS(1447),
    [anon_sym_do] = ACTIONS(1447),
    [anon_sym_try] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1447),
    [anon_sym_break] = ACTIONS(1447),
    [anon_sym_continue] = ACTIONS(1447),
    [anon_sym_debugger] = ACTIONS(1447),
    [anon_sym_return] = ACTIONS(1447),
    [anon_sym_throw] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1447),
    [anon_sym_yield] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [anon_sym_LTtemplate_GT] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_class] = ACTIONS(1447),
    [anon_sym_async] = ACTIONS(1447),
    [anon_sym_function] = ACTIONS(1447),
    [anon_sym_new] = ACTIONS(1447),
    [anon_sym_PLUS] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1445),
    [anon_sym_void] = ACTIONS(1447),
    [anon_sym_delete] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_SQUOTE] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1445),
    [sym_number] = ACTIONS(1445),
    [sym_this] = ACTIONS(1447),
    [sym_super] = ACTIONS(1447),
    [sym_true] = ACTIONS(1447),
    [sym_false] = ACTIONS(1447),
    [sym_null] = ACTIONS(1447),
    [sym_undefined] = ACTIONS(1447),
    [anon_sym_AT] = ACTIONS(1445),
    [anon_sym_static] = ACTIONS(1447),
    [anon_sym_readonly] = ACTIONS(1447),
    [anon_sym_get] = ACTIONS(1447),
    [anon_sym_set] = ACTIONS(1447),
    [anon_sym_declare] = ACTIONS(1447),
    [anon_sym_public] = ACTIONS(1447),
    [anon_sym_private] = ACTIONS(1447),
    [anon_sym_protected] = ACTIONS(1447),
    [anon_sym_override] = ACTIONS(1447),
    [anon_sym_module] = ACTIONS(1447),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_abstract] = ACTIONS(1447),
    [anon_sym_interface] = ACTIONS(1447),
    [anon_sym_enum] = ACTIONS(1447),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym_identifier] = ACTIONS(1588),
    [anon_sym_export] = ACTIONS(1588),
    [anon_sym_default] = ACTIONS(1588),
    [anon_sym_type] = ACTIONS(1588),
    [anon_sym_namespace] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_typeof] = ACTIONS(1588),
    [anon_sym_import] = ACTIONS(1588),
    [anon_sym_var] = ACTIONS(1588),
    [anon_sym_let] = ACTIONS(1588),
    [anon_sym_const] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1586),
    [anon_sym_else] = ACTIONS(1588),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_switch] = ACTIONS(1588),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_await] = ACTIONS(1588),
    [anon_sym_while] = ACTIONS(1588),
    [anon_sym_do] = ACTIONS(1588),
    [anon_sym_try] = ACTIONS(1588),
    [anon_sym_with] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1588),
    [anon_sym_debugger] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_throw] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [anon_sym_case] = ACTIONS(1588),
    [anon_sym_yield] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_LTtemplate_GT] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_class] = ACTIONS(1588),
    [anon_sym_async] = ACTIONS(1588),
    [anon_sym_function] = ACTIONS(1588),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_void] = ACTIONS(1588),
    [anon_sym_delete] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1586),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1586),
    [sym_number] = ACTIONS(1586),
    [sym_this] = ACTIONS(1588),
    [sym_super] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [sym_null] = ACTIONS(1588),
    [sym_undefined] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1586),
    [anon_sym_static] = ACTIONS(1588),
    [anon_sym_readonly] = ACTIONS(1588),
    [anon_sym_get] = ACTIONS(1588),
    [anon_sym_set] = ACTIONS(1588),
    [anon_sym_declare] = ACTIONS(1588),
    [anon_sym_public] = ACTIONS(1588),
    [anon_sym_private] = ACTIONS(1588),
    [anon_sym_protected] = ACTIONS(1588),
    [anon_sym_override] = ACTIONS(1588),
    [anon_sym_module] = ACTIONS(1588),
    [anon_sym_any] = ACTIONS(1588),
    [anon_sym_number] = ACTIONS(1588),
    [anon_sym_boolean] = ACTIONS(1588),
    [anon_sym_string] = ACTIONS(1588),
    [anon_sym_symbol] = ACTIONS(1588),
    [anon_sym_abstract] = ACTIONS(1588),
    [anon_sym_interface] = ACTIONS(1588),
    [anon_sym_enum] = ACTIONS(1588),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2151),
    [sym_identifier] = ACTIONS(2153),
    [anon_sym_export] = ACTIONS(2153),
    [anon_sym_default] = ACTIONS(2153),
    [anon_sym_type] = ACTIONS(2153),
    [anon_sym_namespace] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_RBRACE] = ACTIONS(2151),
    [anon_sym_typeof] = ACTIONS(2153),
    [anon_sym_import] = ACTIONS(2153),
    [anon_sym_var] = ACTIONS(2153),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_const] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_else] = ACTIONS(2153),
    [anon_sym_if] = ACTIONS(2153),
    [anon_sym_switch] = ACTIONS(2153),
    [anon_sym_for] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2151),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_while] = ACTIONS(2153),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_try] = ACTIONS(2153),
    [anon_sym_with] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_debugger] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2153),
    [anon_sym_SEMI] = ACTIONS(2151),
    [anon_sym_case] = ACTIONS(2153),
    [anon_sym_yield] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_LTtemplate_GT] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(2153),
    [anon_sym_SLASH] = ACTIONS(2153),
    [anon_sym_class] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_function] = ACTIONS(2153),
    [anon_sym_new] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_void] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_DQUOTE] = ACTIONS(2151),
    [anon_sym_SQUOTE] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2151),
    [sym_number] = ACTIONS(2151),
    [sym_this] = ACTIONS(2153),
    [sym_super] = ACTIONS(2153),
    [sym_true] = ACTIONS(2153),
    [sym_false] = ACTIONS(2153),
    [sym_null] = ACTIONS(2153),
    [sym_undefined] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2153),
    [anon_sym_readonly] = ACTIONS(2153),
    [anon_sym_get] = ACTIONS(2153),
    [anon_sym_set] = ACTIONS(2153),
    [anon_sym_declare] = ACTIONS(2153),
    [anon_sym_public] = ACTIONS(2153),
    [anon_sym_private] = ACTIONS(2153),
    [anon_sym_protected] = ACTIONS(2153),
    [anon_sym_override] = ACTIONS(2153),
    [anon_sym_module] = ACTIONS(2153),
    [anon_sym_any] = ACTIONS(2153),
    [anon_sym_number] = ACTIONS(2153),
    [anon_sym_boolean] = ACTIONS(2153),
    [anon_sym_string] = ACTIONS(2153),
    [anon_sym_symbol] = ACTIONS(2153),
    [anon_sym_abstract] = ACTIONS(2153),
    [anon_sym_interface] = ACTIONS(2153),
    [anon_sym_enum] = ACTIONS(2153),
  },
  [645] = {
    [ts_builtin_sym_end] = ACTIONS(2155),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(2157),
    [anon_sym_default] = ACTIONS(2157),
    [anon_sym_type] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2157),
    [anon_sym_import] = ACTIONS(2157),
    [anon_sym_var] = ACTIONS(2157),
    [anon_sym_let] = ACTIONS(2157),
    [anon_sym_const] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2157),
    [anon_sym_switch] = ACTIONS(2157),
    [anon_sym_for] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2157),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_try] = ACTIONS(2157),
    [anon_sym_with] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_debugger] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_throw] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2157),
    [anon_sym_yield] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2157),
    [anon_sym_SLASH] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_function] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_this] = ACTIONS(2157),
    [sym_super] = ACTIONS(2157),
    [sym_true] = ACTIONS(2157),
    [sym_false] = ACTIONS(2157),
    [sym_null] = ACTIONS(2157),
    [sym_undefined] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2157),
    [anon_sym_readonly] = ACTIONS(2157),
    [anon_sym_get] = ACTIONS(2157),
    [anon_sym_set] = ACTIONS(2157),
    [anon_sym_declare] = ACTIONS(2157),
    [anon_sym_public] = ACTIONS(2157),
    [anon_sym_private] = ACTIONS(2157),
    [anon_sym_protected] = ACTIONS(2157),
    [anon_sym_override] = ACTIONS(2157),
    [anon_sym_module] = ACTIONS(2157),
    [anon_sym_any] = ACTIONS(2157),
    [anon_sym_number] = ACTIONS(2157),
    [anon_sym_boolean] = ACTIONS(2157),
    [anon_sym_string] = ACTIONS(2157),
    [anon_sym_symbol] = ACTIONS(2157),
    [anon_sym_abstract] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2157),
    [anon_sym_enum] = ACTIONS(2157),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2161),
    [anon_sym_export] = ACTIONS(2161),
    [anon_sym_default] = ACTIONS(2161),
    [anon_sym_type] = ACTIONS(2161),
    [anon_sym_namespace] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2161),
    [anon_sym_import] = ACTIONS(2161),
    [anon_sym_var] = ACTIONS(2161),
    [anon_sym_let] = ACTIONS(2161),
    [anon_sym_const] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2161),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_switch] = ACTIONS(2161),
    [anon_sym_for] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2161),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_try] = ACTIONS(2161),
    [anon_sym_with] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_debugger] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_throw] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2161),
    [anon_sym_yield] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LTtemplate_GT] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(2161),
    [anon_sym_SLASH] = ACTIONS(2161),
    [anon_sym_class] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2161),
    [anon_sym_new] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_this] = ACTIONS(2161),
    [sym_super] = ACTIONS(2161),
    [sym_true] = ACTIONS(2161),
    [sym_false] = ACTIONS(2161),
    [sym_null] = ACTIONS(2161),
    [sym_undefined] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2161),
    [anon_sym_readonly] = ACTIONS(2161),
    [anon_sym_get] = ACTIONS(2161),
    [anon_sym_set] = ACTIONS(2161),
    [anon_sym_declare] = ACTIONS(2161),
    [anon_sym_public] = ACTIONS(2161),
    [anon_sym_private] = ACTIONS(2161),
    [anon_sym_protected] = ACTIONS(2161),
    [anon_sym_override] = ACTIONS(2161),
    [anon_sym_module] = ACTIONS(2161),
    [anon_sym_any] = ACTIONS(2161),
    [anon_sym_number] = ACTIONS(2161),
    [anon_sym_boolean] = ACTIONS(2161),
    [anon_sym_string] = ACTIONS(2161),
    [anon_sym_symbol] = ACTIONS(2161),
    [anon_sym_abstract] = ACTIONS(2161),
    [anon_sym_interface] = ACTIONS(2161),
    [anon_sym_enum] = ACTIONS(2161),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(2163),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LTtemplate_GT] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LTtemplate_GT] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2171),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LTtemplate_GT] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(2175),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2175),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2175),
    [anon_sym_LTtemplate_GT] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2175),
    [sym_number] = ACTIONS(2175),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2175),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
  },
  [651] = {
    [ts_builtin_sym_end] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2181),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(2183),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_LTtemplate_GT] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [sym_number] = ACTIONS(2183),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2183),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(2187),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2187),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2187),
    [anon_sym_LTtemplate_GT] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [anon_sym_DQUOTE] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2187),
    [sym_number] = ACTIONS(2187),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2187),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(2191),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2191),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2191),
    [anon_sym_LTtemplate_GT] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2191),
    [sym_number] = ACTIONS(2191),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2191),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
  },
  [657] = {
    [ts_builtin_sym_end] = ACTIONS(2195),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LTtemplate_GT] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2199),
    [sym_identifier] = ACTIONS(2201),
    [anon_sym_export] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_type] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2201),
    [anon_sym_import] = ACTIONS(2201),
    [anon_sym_var] = ACTIONS(2201),
    [anon_sym_let] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_with] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_debugger] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_yield] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LTtemplate_GT] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2201),
    [anon_sym_SLASH] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2201),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_this] = ACTIONS(2201),
    [sym_super] = ACTIONS(2201),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [sym_null] = ACTIONS(2201),
    [sym_undefined] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_readonly] = ACTIONS(2201),
    [anon_sym_get] = ACTIONS(2201),
    [anon_sym_set] = ACTIONS(2201),
    [anon_sym_declare] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_override] = ACTIONS(2201),
    [anon_sym_module] = ACTIONS(2201),
    [anon_sym_any] = ACTIONS(2201),
    [anon_sym_number] = ACTIONS(2201),
    [anon_sym_boolean] = ACTIONS(2201),
    [anon_sym_string] = ACTIONS(2201),
    [anon_sym_symbol] = ACTIONS(2201),
    [anon_sym_abstract] = ACTIONS(2201),
    [anon_sym_interface] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
  },
  [659] = {
    [ts_builtin_sym_end] = ACTIONS(2203),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
  },
  [660] = {
    [ts_builtin_sym_end] = ACTIONS(2135),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2137),
    [anon_sym_import] = ACTIONS(2137),
    [anon_sym_var] = ACTIONS(2137),
    [anon_sym_let] = ACTIONS(2137),
    [anon_sym_const] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_switch] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_with] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_debugger] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2137),
    [anon_sym_SLASH] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_function] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_this] = ACTIONS(2137),
    [sym_super] = ACTIONS(2137),
    [sym_true] = ACTIONS(2137),
    [sym_false] = ACTIONS(2137),
    [sym_null] = ACTIONS(2137),
    [sym_undefined] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2137),
    [anon_sym_readonly] = ACTIONS(2137),
    [anon_sym_get] = ACTIONS(2137),
    [anon_sym_set] = ACTIONS(2137),
    [anon_sym_declare] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2137),
    [anon_sym_private] = ACTIONS(2137),
    [anon_sym_protected] = ACTIONS(2137),
    [anon_sym_override] = ACTIONS(2137),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_any] = ACTIONS(2137),
    [anon_sym_number] = ACTIONS(2137),
    [anon_sym_boolean] = ACTIONS(2137),
    [anon_sym_string] = ACTIONS(2137),
    [anon_sym_symbol] = ACTIONS(2137),
    [anon_sym_abstract] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2137),
    [anon_sym_enum] = ACTIONS(2137),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2207),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2207),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2207),
    [anon_sym_LTtemplate_GT] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2209),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2207),
    [sym_number] = ACTIONS(2207),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2207),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2211),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2211),
    [anon_sym_LTtemplate_GT] = ACTIONS(2211),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2211),
    [sym_number] = ACTIONS(2211),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2211),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(2215),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2217),
    [anon_sym_type] = ACTIONS(2217),
    [anon_sym_namespace] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2217),
    [anon_sym_import] = ACTIONS(2217),
    [anon_sym_var] = ACTIONS(2217),
    [anon_sym_let] = ACTIONS(2217),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_else] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_switch] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_with] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_debugger] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_case] = ACTIONS(2217),
    [anon_sym_yield] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2217),
    [anon_sym_SLASH] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_async] = ACTIONS(2217),
    [anon_sym_function] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_this] = ACTIONS(2217),
    [sym_super] = ACTIONS(2217),
    [sym_true] = ACTIONS(2217),
    [sym_false] = ACTIONS(2217),
    [sym_null] = ACTIONS(2217),
    [sym_undefined] = ACTIONS(2217),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2217),
    [anon_sym_readonly] = ACTIONS(2217),
    [anon_sym_get] = ACTIONS(2217),
    [anon_sym_set] = ACTIONS(2217),
    [anon_sym_declare] = ACTIONS(2217),
    [anon_sym_public] = ACTIONS(2217),
    [anon_sym_private] = ACTIONS(2217),
    [anon_sym_protected] = ACTIONS(2217),
    [anon_sym_override] = ACTIONS(2217),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_any] = ACTIONS(2217),
    [anon_sym_number] = ACTIONS(2217),
    [anon_sym_boolean] = ACTIONS(2217),
    [anon_sym_string] = ACTIONS(2217),
    [anon_sym_symbol] = ACTIONS(2217),
    [anon_sym_abstract] = ACTIONS(2217),
    [anon_sym_interface] = ACTIONS(2217),
    [anon_sym_enum] = ACTIONS(2217),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LTtemplate_GT] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2221),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(2225),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
  },
  [666] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LTtemplate_GT] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2229),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(2231),
    [sym_identifier] = ACTIONS(2233),
    [anon_sym_export] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2233),
    [anon_sym_type] = ACTIONS(2233),
    [anon_sym_namespace] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [anon_sym_typeof] = ACTIONS(2233),
    [anon_sym_import] = ACTIONS(2233),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2233),
    [anon_sym_const] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2231),
    [anon_sym_else] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2233),
    [anon_sym_switch] = ACTIONS(2233),
    [anon_sym_for] = ACTIONS(2233),
    [anon_sym_LPAREN] = ACTIONS(2231),
    [anon_sym_await] = ACTIONS(2233),
    [anon_sym_while] = ACTIONS(2233),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_try] = ACTIONS(2233),
    [anon_sym_with] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_debugger] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_case] = ACTIONS(2233),
    [anon_sym_yield] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2231),
    [anon_sym_LTtemplate_GT] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2233),
    [anon_sym_SLASH] = ACTIONS(2233),
    [anon_sym_class] = ACTIONS(2233),
    [anon_sym_async] = ACTIONS(2233),
    [anon_sym_function] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2231),
    [anon_sym_void] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2233),
    [anon_sym_PLUS_PLUS] = ACTIONS(2231),
    [anon_sym_DASH_DASH] = ACTIONS(2233),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [anon_sym_SQUOTE] = ACTIONS(2231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2231),
    [sym_number] = ACTIONS(2231),
    [sym_this] = ACTIONS(2233),
    [sym_super] = ACTIONS(2233),
    [sym_true] = ACTIONS(2233),
    [sym_false] = ACTIONS(2233),
    [sym_null] = ACTIONS(2233),
    [sym_undefined] = ACTIONS(2233),
    [anon_sym_AT] = ACTIONS(2231),
    [anon_sym_static] = ACTIONS(2233),
    [anon_sym_readonly] = ACTIONS(2233),
    [anon_sym_get] = ACTIONS(2233),
    [anon_sym_set] = ACTIONS(2233),
    [anon_sym_declare] = ACTIONS(2233),
    [anon_sym_public] = ACTIONS(2233),
    [anon_sym_private] = ACTIONS(2233),
    [anon_sym_protected] = ACTIONS(2233),
    [anon_sym_override] = ACTIONS(2233),
    [anon_sym_module] = ACTIONS(2233),
    [anon_sym_any] = ACTIONS(2233),
    [anon_sym_number] = ACTIONS(2233),
    [anon_sym_boolean] = ACTIONS(2233),
    [anon_sym_string] = ACTIONS(2233),
    [anon_sym_symbol] = ACTIONS(2233),
    [anon_sym_abstract] = ACTIONS(2233),
    [anon_sym_interface] = ACTIONS(2233),
    [anon_sym_enum] = ACTIONS(2233),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1576),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_type] = ACTIONS(1576),
    [anon_sym_namespace] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [anon_sym_typeof] = ACTIONS(1576),
    [anon_sym_import] = ACTIONS(1576),
    [anon_sym_var] = ACTIONS(1576),
    [anon_sym_let] = ACTIONS(1576),
    [anon_sym_const] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_else] = ACTIONS(1576),
    [anon_sym_if] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1576),
    [anon_sym_for] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_await] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1576),
    [anon_sym_try] = ACTIONS(1576),
    [anon_sym_with] = ACTIONS(1576),
    [anon_sym_break] = ACTIONS(1576),
    [anon_sym_continue] = ACTIONS(1576),
    [anon_sym_debugger] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1574),
    [anon_sym_case] = ACTIONS(1576),
    [anon_sym_yield] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_LTtemplate_GT] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_class] = ACTIONS(1576),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(1576),
    [anon_sym_new] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_void] = ACTIONS(1576),
    [anon_sym_delete] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [sym_number] = ACTIONS(1574),
    [sym_this] = ACTIONS(1576),
    [sym_super] = ACTIONS(1576),
    [sym_true] = ACTIONS(1576),
    [sym_false] = ACTIONS(1576),
    [sym_null] = ACTIONS(1576),
    [sym_undefined] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1574),
    [anon_sym_static] = ACTIONS(1576),
    [anon_sym_readonly] = ACTIONS(1576),
    [anon_sym_get] = ACTIONS(1576),
    [anon_sym_set] = ACTIONS(1576),
    [anon_sym_declare] = ACTIONS(1576),
    [anon_sym_public] = ACTIONS(1576),
    [anon_sym_private] = ACTIONS(1576),
    [anon_sym_protected] = ACTIONS(1576),
    [anon_sym_override] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1576),
    [anon_sym_any] = ACTIONS(1576),
    [anon_sym_number] = ACTIONS(1576),
    [anon_sym_boolean] = ACTIONS(1576),
    [anon_sym_string] = ACTIONS(1576),
    [anon_sym_symbol] = ACTIONS(1576),
    [anon_sym_abstract] = ACTIONS(1576),
    [anon_sym_interface] = ACTIONS(1576),
    [anon_sym_enum] = ACTIONS(1576),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_default] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LTtemplate_GT] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(2239),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_export] = ACTIONS(2241),
    [anon_sym_default] = ACTIONS(2241),
    [anon_sym_type] = ACTIONS(2241),
    [anon_sym_namespace] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_typeof] = ACTIONS(2241),
    [anon_sym_import] = ACTIONS(2241),
    [anon_sym_var] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_else] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_switch] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_with] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_debugger] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_throw] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_case] = ACTIONS(2241),
    [anon_sym_yield] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LTtemplate_GT] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2241),
    [anon_sym_SLASH] = ACTIONS(2241),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2241),
    [anon_sym_new] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_void] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_DQUOTE] = ACTIONS(2239),
    [anon_sym_SQUOTE] = ACTIONS(2239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2239),
    [sym_number] = ACTIONS(2239),
    [sym_this] = ACTIONS(2241),
    [sym_super] = ACTIONS(2241),
    [sym_true] = ACTIONS(2241),
    [sym_false] = ACTIONS(2241),
    [sym_null] = ACTIONS(2241),
    [sym_undefined] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_static] = ACTIONS(2241),
    [anon_sym_readonly] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2241),
    [anon_sym_set] = ACTIONS(2241),
    [anon_sym_declare] = ACTIONS(2241),
    [anon_sym_public] = ACTIONS(2241),
    [anon_sym_private] = ACTIONS(2241),
    [anon_sym_protected] = ACTIONS(2241),
    [anon_sym_override] = ACTIONS(2241),
    [anon_sym_module] = ACTIONS(2241),
    [anon_sym_any] = ACTIONS(2241),
    [anon_sym_number] = ACTIONS(2241),
    [anon_sym_boolean] = ACTIONS(2241),
    [anon_sym_string] = ACTIONS(2241),
    [anon_sym_symbol] = ACTIONS(2241),
    [anon_sym_abstract] = ACTIONS(2241),
    [anon_sym_interface] = ACTIONS(2241),
    [anon_sym_enum] = ACTIONS(2241),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(2243),
    [sym_identifier] = ACTIONS(2245),
    [anon_sym_export] = ACTIONS(2245),
    [anon_sym_default] = ACTIONS(2245),
    [anon_sym_type] = ACTIONS(2245),
    [anon_sym_namespace] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_RBRACE] = ACTIONS(2243),
    [anon_sym_typeof] = ACTIONS(2245),
    [anon_sym_import] = ACTIONS(2245),
    [anon_sym_var] = ACTIONS(2245),
    [anon_sym_let] = ACTIONS(2245),
    [anon_sym_const] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(2243),
    [anon_sym_else] = ACTIONS(2245),
    [anon_sym_if] = ACTIONS(2245),
    [anon_sym_switch] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2245),
    [anon_sym_LPAREN] = ACTIONS(2243),
    [anon_sym_await] = ACTIONS(2245),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_with] = ACTIONS(2245),
    [anon_sym_break] = ACTIONS(2245),
    [anon_sym_continue] = ACTIONS(2245),
    [anon_sym_debugger] = ACTIONS(2245),
    [anon_sym_return] = ACTIONS(2245),
    [anon_sym_throw] = ACTIONS(2245),
    [anon_sym_SEMI] = ACTIONS(2243),
    [anon_sym_case] = ACTIONS(2245),
    [anon_sym_yield] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LTtemplate_GT] = ACTIONS(2243),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_SLASH] = ACTIONS(2245),
    [anon_sym_class] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2245),
    [anon_sym_new] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2245),
    [anon_sym_TILDE] = ACTIONS(2243),
    [anon_sym_void] = ACTIONS(2245),
    [anon_sym_delete] = ACTIONS(2245),
    [anon_sym_PLUS_PLUS] = ACTIONS(2243),
    [anon_sym_DASH_DASH] = ACTIONS(2245),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [anon_sym_SQUOTE] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2243),
    [sym_number] = ACTIONS(2243),
    [sym_this] = ACTIONS(2245),
    [sym_super] = ACTIONS(2245),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [sym_null] = ACTIONS(2245),
    [sym_undefined] = ACTIONS(2245),
    [anon_sym_AT] = ACTIONS(2243),
    [anon_sym_static] = ACTIONS(2245),
    [anon_sym_readonly] = ACTIONS(2245),
    [anon_sym_get] = ACTIONS(2245),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_declare] = ACTIONS(2245),
    [anon_sym_public] = ACTIONS(2245),
    [anon_sym_private] = ACTIONS(2245),
    [anon_sym_protected] = ACTIONS(2245),
    [anon_sym_override] = ACTIONS(2245),
    [anon_sym_module] = ACTIONS(2245),
    [anon_sym_any] = ACTIONS(2245),
    [anon_sym_number] = ACTIONS(2245),
    [anon_sym_boolean] = ACTIONS(2245),
    [anon_sym_string] = ACTIONS(2245),
    [anon_sym_symbol] = ACTIONS(2245),
    [anon_sym_abstract] = ACTIONS(2245),
    [anon_sym_interface] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2245),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(2247),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_default] = ACTIONS(2249),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2247),
    [anon_sym_else] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2247),
    [anon_sym_case] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_LTtemplate_GT] = ACTIONS(2247),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2247),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2247),
    [sym_number] = ACTIONS(2247),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2247),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(2251),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_default] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LTtemplate_GT] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2255),
    [anon_sym_RBRACE] = ACTIONS(2255),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_else] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2255),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2255),
    [anon_sym_LTtemplate_GT] = ACTIONS(2255),
    [anon_sym_LT] = ACTIONS(2257),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2255),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2255),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(2255),
    [anon_sym_SQUOTE] = ACTIONS(2255),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2255),
    [sym_number] = ACTIONS(2255),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2255),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(2259),
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_export] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_type] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(2261),
    [anon_sym_var] = ACTIONS(2261),
    [anon_sym_let] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_with] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_debugger] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_yield] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_SLASH] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_this] = ACTIONS(2261),
    [sym_super] = ACTIONS(2261),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [sym_null] = ACTIONS(2261),
    [sym_undefined] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_readonly] = ACTIONS(2261),
    [anon_sym_get] = ACTIONS(2261),
    [anon_sym_set] = ACTIONS(2261),
    [anon_sym_declare] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_module] = ACTIONS(2261),
    [anon_sym_any] = ACTIONS(2261),
    [anon_sym_number] = ACTIONS(2261),
    [anon_sym_boolean] = ACTIONS(2261),
    [anon_sym_string] = ACTIONS(2261),
    [anon_sym_symbol] = ACTIONS(2261),
    [anon_sym_abstract] = ACTIONS(2261),
    [anon_sym_interface] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
  },
  [676] = {
    [ts_builtin_sym_end] = ACTIONS(2263),
    [sym_identifier] = ACTIONS(2265),
    [anon_sym_export] = ACTIONS(2265),
    [anon_sym_default] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2265),
    [anon_sym_namespace] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [anon_sym_typeof] = ACTIONS(2265),
    [anon_sym_import] = ACTIONS(2265),
    [anon_sym_var] = ACTIONS(2265),
    [anon_sym_let] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_else] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_switch] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_await] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_with] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_debugger] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_throw] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym_case] = ACTIONS(2265),
    [anon_sym_yield] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2263),
    [anon_sym_LTtemplate_GT] = ACTIONS(2263),
    [anon_sym_LT] = ACTIONS(2265),
    [anon_sym_SLASH] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_async] = ACTIONS(2265),
    [anon_sym_function] = ACTIONS(2265),
    [anon_sym_new] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_void] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_DASH_DASH] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2263),
    [sym_number] = ACTIONS(2263),
    [sym_this] = ACTIONS(2265),
    [sym_super] = ACTIONS(2265),
    [sym_true] = ACTIONS(2265),
    [sym_false] = ACTIONS(2265),
    [sym_null] = ACTIONS(2265),
    [sym_undefined] = ACTIONS(2265),
    [anon_sym_AT] = ACTIONS(2263),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_readonly] = ACTIONS(2265),
    [anon_sym_get] = ACTIONS(2265),
    [anon_sym_set] = ACTIONS(2265),
    [anon_sym_declare] = ACTIONS(2265),
    [anon_sym_public] = ACTIONS(2265),
    [anon_sym_private] = ACTIONS(2265),
    [anon_sym_protected] = ACTIONS(2265),
    [anon_sym_override] = ACTIONS(2265),
    [anon_sym_module] = ACTIONS(2265),
    [anon_sym_any] = ACTIONS(2265),
    [anon_sym_number] = ACTIONS(2265),
    [anon_sym_boolean] = ACTIONS(2265),
    [anon_sym_string] = ACTIONS(2265),
    [anon_sym_symbol] = ACTIONS(2265),
    [anon_sym_abstract] = ACTIONS(2265),
    [anon_sym_interface] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(2267),
    [sym_identifier] = ACTIONS(2269),
    [anon_sym_export] = ACTIONS(2269),
    [anon_sym_default] = ACTIONS(2269),
    [anon_sym_type] = ACTIONS(2269),
    [anon_sym_namespace] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2267),
    [anon_sym_RBRACE] = ACTIONS(2267),
    [anon_sym_typeof] = ACTIONS(2269),
    [anon_sym_import] = ACTIONS(2269),
    [anon_sym_var] = ACTIONS(2269),
    [anon_sym_let] = ACTIONS(2269),
    [anon_sym_const] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2267),
    [anon_sym_else] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2269),
    [anon_sym_switch] = ACTIONS(2269),
    [anon_sym_for] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2267),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_while] = ACTIONS(2269),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_try] = ACTIONS(2269),
    [anon_sym_with] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_debugger] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_throw] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2267),
    [anon_sym_case] = ACTIONS(2269),
    [anon_sym_yield] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2267),
    [anon_sym_LTtemplate_GT] = ACTIONS(2267),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_SLASH] = ACTIONS(2269),
    [anon_sym_class] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_function] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2267),
    [anon_sym_void] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2267),
    [sym_number] = ACTIONS(2267),
    [sym_this] = ACTIONS(2269),
    [sym_super] = ACTIONS(2269),
    [sym_true] = ACTIONS(2269),
    [sym_false] = ACTIONS(2269),
    [sym_null] = ACTIONS(2269),
    [sym_undefined] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2267),
    [anon_sym_static] = ACTIONS(2269),
    [anon_sym_readonly] = ACTIONS(2269),
    [anon_sym_get] = ACTIONS(2269),
    [anon_sym_set] = ACTIONS(2269),
    [anon_sym_declare] = ACTIONS(2269),
    [anon_sym_public] = ACTIONS(2269),
    [anon_sym_private] = ACTIONS(2269),
    [anon_sym_protected] = ACTIONS(2269),
    [anon_sym_override] = ACTIONS(2269),
    [anon_sym_module] = ACTIONS(2269),
    [anon_sym_any] = ACTIONS(2269),
    [anon_sym_number] = ACTIONS(2269),
    [anon_sym_boolean] = ACTIONS(2269),
    [anon_sym_string] = ACTIONS(2269),
    [anon_sym_symbol] = ACTIONS(2269),
    [anon_sym_abstract] = ACTIONS(2269),
    [anon_sym_interface] = ACTIONS(2269),
    [anon_sym_enum] = ACTIONS(2269),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_export] = ACTIONS(2273),
    [anon_sym_default] = ACTIONS(2273),
    [anon_sym_type] = ACTIONS(2273),
    [anon_sym_namespace] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(2271),
    [anon_sym_RBRACE] = ACTIONS(2271),
    [anon_sym_typeof] = ACTIONS(2273),
    [anon_sym_import] = ACTIONS(2273),
    [anon_sym_var] = ACTIONS(2273),
    [anon_sym_let] = ACTIONS(2273),
    [anon_sym_const] = ACTIONS(2273),
    [anon_sym_BANG] = ACTIONS(2271),
    [anon_sym_else] = ACTIONS(2273),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_switch] = ACTIONS(2273),
    [anon_sym_for] = ACTIONS(2273),
    [anon_sym_LPAREN] = ACTIONS(2271),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(2273),
    [anon_sym_do] = ACTIONS(2273),
    [anon_sym_try] = ACTIONS(2273),
    [anon_sym_with] = ACTIONS(2273),
    [anon_sym_break] = ACTIONS(2273),
    [anon_sym_continue] = ACTIONS(2273),
    [anon_sym_debugger] = ACTIONS(2273),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2273),
    [anon_sym_SEMI] = ACTIONS(2271),
    [anon_sym_case] = ACTIONS(2273),
    [anon_sym_yield] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(2271),
    [anon_sym_LTtemplate_GT] = ACTIONS(2271),
    [anon_sym_LT] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(2273),
    [anon_sym_class] = ACTIONS(2273),
    [anon_sym_async] = ACTIONS(2273),
    [anon_sym_function] = ACTIONS(2273),
    [anon_sym_new] = ACTIONS(2273),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_TILDE] = ACTIONS(2271),
    [anon_sym_void] = ACTIONS(2273),
    [anon_sym_delete] = ACTIONS(2273),
    [anon_sym_PLUS_PLUS] = ACTIONS(2271),
    [anon_sym_DASH_DASH] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2271),
    [anon_sym_SQUOTE] = ACTIONS(2271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2271),
    [sym_number] = ACTIONS(2271),
    [sym_this] = ACTIONS(2273),
    [sym_super] = ACTIONS(2273),
    [sym_true] = ACTIONS(2273),
    [sym_false] = ACTIONS(2273),
    [sym_null] = ACTIONS(2273),
    [sym_undefined] = ACTIONS(2273),
    [anon_sym_AT] = ACTIONS(2271),
    [anon_sym_static] = ACTIONS(2273),
    [anon_sym_readonly] = ACTIONS(2273),
    [anon_sym_get] = ACTIONS(2273),
    [anon_sym_set] = ACTIONS(2273),
    [anon_sym_declare] = ACTIONS(2273),
    [anon_sym_public] = ACTIONS(2273),
    [anon_sym_private] = ACTIONS(2273),
    [anon_sym_protected] = ACTIONS(2273),
    [anon_sym_override] = ACTIONS(2273),
    [anon_sym_module] = ACTIONS(2273),
    [anon_sym_any] = ACTIONS(2273),
    [anon_sym_number] = ACTIONS(2273),
    [anon_sym_boolean] = ACTIONS(2273),
    [anon_sym_string] = ACTIONS(2273),
    [anon_sym_symbol] = ACTIONS(2273),
    [anon_sym_abstract] = ACTIONS(2273),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2273),
  },
  [679] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1576),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_type] = ACTIONS(1576),
    [anon_sym_namespace] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [anon_sym_typeof] = ACTIONS(1576),
    [anon_sym_import] = ACTIONS(1576),
    [anon_sym_var] = ACTIONS(1576),
    [anon_sym_let] = ACTIONS(1576),
    [anon_sym_const] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_else] = ACTIONS(1576),
    [anon_sym_if] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1576),
    [anon_sym_for] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_await] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1576),
    [anon_sym_try] = ACTIONS(1576),
    [anon_sym_with] = ACTIONS(1576),
    [anon_sym_break] = ACTIONS(1576),
    [anon_sym_continue] = ACTIONS(1576),
    [anon_sym_debugger] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1574),
    [anon_sym_case] = ACTIONS(1576),
    [anon_sym_yield] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_LTtemplate_GT] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_class] = ACTIONS(1576),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(1576),
    [anon_sym_new] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_void] = ACTIONS(1576),
    [anon_sym_delete] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [sym_number] = ACTIONS(1574),
    [sym_this] = ACTIONS(1576),
    [sym_super] = ACTIONS(1576),
    [sym_true] = ACTIONS(1576),
    [sym_false] = ACTIONS(1576),
    [sym_null] = ACTIONS(1576),
    [sym_undefined] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1574),
    [anon_sym_static] = ACTIONS(1576),
    [anon_sym_readonly] = ACTIONS(1576),
    [anon_sym_get] = ACTIONS(1576),
    [anon_sym_set] = ACTIONS(1576),
    [anon_sym_declare] = ACTIONS(1576),
    [anon_sym_public] = ACTIONS(1576),
    [anon_sym_private] = ACTIONS(1576),
    [anon_sym_protected] = ACTIONS(1576),
    [anon_sym_override] = ACTIONS(1576),
    [anon_sym_module] = ACTIONS(1576),
    [anon_sym_any] = ACTIONS(1576),
    [anon_sym_number] = ACTIONS(1576),
    [anon_sym_boolean] = ACTIONS(1576),
    [anon_sym_string] = ACTIONS(1576),
    [anon_sym_symbol] = ACTIONS(1576),
    [anon_sym_abstract] = ACTIONS(1576),
    [anon_sym_interface] = ACTIONS(1576),
    [anon_sym_enum] = ACTIONS(1576),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2277),
    [anon_sym_export] = ACTIONS(2277),
    [anon_sym_default] = ACTIONS(2277),
    [anon_sym_type] = ACTIONS(2277),
    [anon_sym_namespace] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(2275),
    [anon_sym_RBRACE] = ACTIONS(2275),
    [anon_sym_typeof] = ACTIONS(2277),
    [anon_sym_import] = ACTIONS(2277),
    [anon_sym_var] = ACTIONS(2277),
    [anon_sym_let] = ACTIONS(2277),
    [anon_sym_const] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2275),
    [anon_sym_else] = ACTIONS(2277),
    [anon_sym_if] = ACTIONS(2277),
    [anon_sym_switch] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(2275),
    [anon_sym_await] = ACTIONS(2277),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_do] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2277),
    [anon_sym_with] = ACTIONS(2277),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2277),
    [anon_sym_debugger] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(2277),
    [anon_sym_throw] = ACTIONS(2277),
    [anon_sym_SEMI] = ACTIONS(2275),
    [anon_sym_case] = ACTIONS(2277),
    [anon_sym_yield] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_LTtemplate_GT] = ACTIONS(2275),
    [anon_sym_LT] = ACTIONS(2277),
    [anon_sym_SLASH] = ACTIONS(2277),
    [anon_sym_class] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2277),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(2277),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(2277),
    [anon_sym_delete] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2275),
    [sym_number] = ACTIONS(2275),
    [sym_this] = ACTIONS(2277),
    [sym_super] = ACTIONS(2277),
    [sym_true] = ACTIONS(2277),
    [sym_false] = ACTIONS(2277),
    [sym_null] = ACTIONS(2277),
    [sym_undefined] = ACTIONS(2277),
    [anon_sym_AT] = ACTIONS(2275),
    [anon_sym_static] = ACTIONS(2277),
    [anon_sym_readonly] = ACTIONS(2277),
    [anon_sym_get] = ACTIONS(2277),
    [anon_sym_set] = ACTIONS(2277),
    [anon_sym_declare] = ACTIONS(2277),
    [anon_sym_public] = ACTIONS(2277),
    [anon_sym_private] = ACTIONS(2277),
    [anon_sym_protected] = ACTIONS(2277),
    [anon_sym_override] = ACTIONS(2277),
    [anon_sym_module] = ACTIONS(2277),
    [anon_sym_any] = ACTIONS(2277),
    [anon_sym_number] = ACTIONS(2277),
    [anon_sym_boolean] = ACTIONS(2277),
    [anon_sym_string] = ACTIONS(2277),
    [anon_sym_symbol] = ACTIONS(2277),
    [anon_sym_abstract] = ACTIONS(2277),
    [anon_sym_interface] = ACTIONS(2277),
    [anon_sym_enum] = ACTIONS(2277),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2279),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_export] = ACTIONS(2281),
    [anon_sym_default] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2281),
    [anon_sym_namespace] = ACTIONS(2281),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_typeof] = ACTIONS(2281),
    [anon_sym_import] = ACTIONS(2281),
    [anon_sym_var] = ACTIONS(2281),
    [anon_sym_let] = ACTIONS(2281),
    [anon_sym_const] = ACTIONS(2281),
    [anon_sym_BANG] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2281),
    [anon_sym_switch] = ACTIONS(2281),
    [anon_sym_for] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_await] = ACTIONS(2281),
    [anon_sym_while] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2281),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_with] = ACTIONS(2281),
    [anon_sym_break] = ACTIONS(2281),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_debugger] = ACTIONS(2281),
    [anon_sym_return] = ACTIONS(2281),
    [anon_sym_throw] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_case] = ACTIONS(2281),
    [anon_sym_yield] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(2279),
    [anon_sym_LTtemplate_GT] = ACTIONS(2279),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_SLASH] = ACTIONS(2281),
    [anon_sym_class] = ACTIONS(2281),
    [anon_sym_async] = ACTIONS(2281),
    [anon_sym_function] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2281),
    [anon_sym_TILDE] = ACTIONS(2279),
    [anon_sym_void] = ACTIONS(2281),
    [anon_sym_delete] = ACTIONS(2281),
    [anon_sym_PLUS_PLUS] = ACTIONS(2279),
    [anon_sym_DASH_DASH] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(2279),
    [anon_sym_SQUOTE] = ACTIONS(2279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2279),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_super] = ACTIONS(2281),
    [sym_true] = ACTIONS(2281),
    [sym_false] = ACTIONS(2281),
    [sym_null] = ACTIONS(2281),
    [sym_undefined] = ACTIONS(2281),
    [anon_sym_AT] = ACTIONS(2279),
    [anon_sym_static] = ACTIONS(2281),
    [anon_sym_readonly] = ACTIONS(2281),
    [anon_sym_get] = ACTIONS(2281),
    [anon_sym_set] = ACTIONS(2281),
    [anon_sym_declare] = ACTIONS(2281),
    [anon_sym_public] = ACTIONS(2281),
    [anon_sym_private] = ACTIONS(2281),
    [anon_sym_protected] = ACTIONS(2281),
    [anon_sym_override] = ACTIONS(2281),
    [anon_sym_module] = ACTIONS(2281),
    [anon_sym_any] = ACTIONS(2281),
    [anon_sym_number] = ACTIONS(2281),
    [anon_sym_boolean] = ACTIONS(2281),
    [anon_sym_string] = ACTIONS(2281),
    [anon_sym_symbol] = ACTIONS(2281),
    [anon_sym_abstract] = ACTIONS(2281),
    [anon_sym_interface] = ACTIONS(2281),
    [anon_sym_enum] = ACTIONS(2281),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(2283),
    [sym_identifier] = ACTIONS(2285),
    [anon_sym_export] = ACTIONS(2285),
    [anon_sym_default] = ACTIONS(2285),
    [anon_sym_type] = ACTIONS(2285),
    [anon_sym_namespace] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2283),
    [anon_sym_RBRACE] = ACTIONS(2283),
    [anon_sym_typeof] = ACTIONS(2285),
    [anon_sym_import] = ACTIONS(2285),
    [anon_sym_var] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_BANG] = ACTIONS(2283),
    [anon_sym_else] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_LPAREN] = ACTIONS(2283),
    [anon_sym_await] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_with] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_debugger] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_throw] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_case] = ACTIONS(2285),
    [anon_sym_yield] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2283),
    [anon_sym_LTtemplate_GT] = ACTIONS(2283),
    [anon_sym_LT] = ACTIONS(2285),
    [anon_sym_SLASH] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_async] = ACTIONS(2285),
    [anon_sym_function] = ACTIONS(2285),
    [anon_sym_new] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2283),
    [anon_sym_void] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_PLUS_PLUS] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(2285),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [anon_sym_SQUOTE] = ACTIONS(2283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2283),
    [sym_number] = ACTIONS(2283),
    [sym_this] = ACTIONS(2285),
    [sym_super] = ACTIONS(2285),
    [sym_true] = ACTIONS(2285),
    [sym_false] = ACTIONS(2285),
    [sym_null] = ACTIONS(2285),
    [sym_undefined] = ACTIONS(2285),
    [anon_sym_AT] = ACTIONS(2283),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_readonly] = ACTIONS(2285),
    [anon_sym_get] = ACTIONS(2285),
    [anon_sym_set] = ACTIONS(2285),
    [anon_sym_declare] = ACTIONS(2285),
    [anon_sym_public] = ACTIONS(2285),
    [anon_sym_private] = ACTIONS(2285),
    [anon_sym_protected] = ACTIONS(2285),
    [anon_sym_override] = ACTIONS(2285),
    [anon_sym_module] = ACTIONS(2285),
    [anon_sym_any] = ACTIONS(2285),
    [anon_sym_number] = ACTIONS(2285),
    [anon_sym_boolean] = ACTIONS(2285),
    [anon_sym_string] = ACTIONS(2285),
    [anon_sym_symbol] = ACTIONS(2285),
    [anon_sym_abstract] = ACTIONS(2285),
    [anon_sym_interface] = ACTIONS(2285),
    [anon_sym_enum] = ACTIONS(2285),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym_identifier] = ACTIONS(2293),
    [anon_sym_export] = ACTIONS(2293),
    [anon_sym_default] = ACTIONS(2293),
    [anon_sym_type] = ACTIONS(2293),
    [anon_sym_namespace] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_typeof] = ACTIONS(2293),
    [anon_sym_import] = ACTIONS(2293),
    [anon_sym_var] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2293),
    [anon_sym_const] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2293),
    [anon_sym_switch] = ACTIONS(2293),
    [anon_sym_for] = ACTIONS(2293),
    [anon_sym_LPAREN] = ACTIONS(2291),
    [anon_sym_await] = ACTIONS(2293),
    [anon_sym_while] = ACTIONS(2293),
    [anon_sym_do] = ACTIONS(2293),
    [anon_sym_try] = ACTIONS(2293),
    [anon_sym_with] = ACTIONS(2293),
    [anon_sym_break] = ACTIONS(2293),
    [anon_sym_continue] = ACTIONS(2293),
    [anon_sym_debugger] = ACTIONS(2293),
    [anon_sym_return] = ACTIONS(2293),
    [anon_sym_throw] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_case] = ACTIONS(2293),
    [anon_sym_yield] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_LTtemplate_GT] = ACTIONS(2291),
    [anon_sym_LT] = ACTIONS(2293),
    [anon_sym_SLASH] = ACTIONS(2293),
    [anon_sym_class] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2293),
    [anon_sym_function] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2291),
    [anon_sym_void] = ACTIONS(2293),
    [anon_sym_delete] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2291),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2291),
    [sym_number] = ACTIONS(2291),
    [sym_this] = ACTIONS(2293),
    [sym_super] = ACTIONS(2293),
    [sym_true] = ACTIONS(2293),
    [sym_false] = ACTIONS(2293),
    [sym_null] = ACTIONS(2293),
    [sym_undefined] = ACTIONS(2293),
    [anon_sym_AT] = ACTIONS(2291),
    [anon_sym_static] = ACTIONS(2293),
    [anon_sym_readonly] = ACTIONS(2293),
    [anon_sym_get] = ACTIONS(2293),
    [anon_sym_set] = ACTIONS(2293),
    [anon_sym_declare] = ACTIONS(2293),
    [anon_sym_public] = ACTIONS(2293),
    [anon_sym_private] = ACTIONS(2293),
    [anon_sym_protected] = ACTIONS(2293),
    [anon_sym_override] = ACTIONS(2293),
    [anon_sym_module] = ACTIONS(2293),
    [anon_sym_any] = ACTIONS(2293),
    [anon_sym_number] = ACTIONS(2293),
    [anon_sym_boolean] = ACTIONS(2293),
    [anon_sym_string] = ACTIONS(2293),
    [anon_sym_symbol] = ACTIONS(2293),
    [anon_sym_abstract] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2293),
    [anon_sym_enum] = ACTIONS(2293),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2295),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_RBRACE] = ACTIONS(2295),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2295),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2295),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2295),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_LTtemplate_GT] = ACTIONS(2295),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2295),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2295),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2295),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2295),
    [sym_number] = ACTIONS(2295),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2295),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2299),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_export] = ACTIONS(2301),
    [anon_sym_default] = ACTIONS(2301),
    [anon_sym_type] = ACTIONS(2301),
    [anon_sym_namespace] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2299),
    [anon_sym_RBRACE] = ACTIONS(2299),
    [anon_sym_typeof] = ACTIONS(2301),
    [anon_sym_import] = ACTIONS(2301),
    [anon_sym_var] = ACTIONS(2301),
    [anon_sym_let] = ACTIONS(2301),
    [anon_sym_const] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2299),
    [anon_sym_else] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2301),
    [anon_sym_switch] = ACTIONS(2301),
    [anon_sym_for] = ACTIONS(2301),
    [anon_sym_LPAREN] = ACTIONS(2299),
    [anon_sym_await] = ACTIONS(2301),
    [anon_sym_while] = ACTIONS(2301),
    [anon_sym_do] = ACTIONS(2301),
    [anon_sym_try] = ACTIONS(2301),
    [anon_sym_with] = ACTIONS(2301),
    [anon_sym_break] = ACTIONS(2301),
    [anon_sym_continue] = ACTIONS(2301),
    [anon_sym_debugger] = ACTIONS(2301),
    [anon_sym_return] = ACTIONS(2301),
    [anon_sym_throw] = ACTIONS(2301),
    [anon_sym_SEMI] = ACTIONS(2299),
    [anon_sym_case] = ACTIONS(2301),
    [anon_sym_yield] = ACTIONS(2301),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_LTtemplate_GT] = ACTIONS(2299),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_SLASH] = ACTIONS(2301),
    [anon_sym_class] = ACTIONS(2301),
    [anon_sym_async] = ACTIONS(2301),
    [anon_sym_function] = ACTIONS(2301),
    [anon_sym_new] = ACTIONS(2301),
    [anon_sym_PLUS] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2299),
    [anon_sym_void] = ACTIONS(2301),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2299),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [anon_sym_SQUOTE] = ACTIONS(2299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2299),
    [sym_number] = ACTIONS(2299),
    [sym_this] = ACTIONS(2301),
    [sym_super] = ACTIONS(2301),
    [sym_true] = ACTIONS(2301),
    [sym_false] = ACTIONS(2301),
    [sym_null] = ACTIONS(2301),
    [sym_undefined] = ACTIONS(2301),
    [anon_sym_AT] = ACTIONS(2299),
    [anon_sym_static] = ACTIONS(2301),
    [anon_sym_readonly] = ACTIONS(2301),
    [anon_sym_get] = ACTIONS(2301),
    [anon_sym_set] = ACTIONS(2301),
    [anon_sym_declare] = ACTIONS(2301),
    [anon_sym_public] = ACTIONS(2301),
    [anon_sym_private] = ACTIONS(2301),
    [anon_sym_protected] = ACTIONS(2301),
    [anon_sym_override] = ACTIONS(2301),
    [anon_sym_module] = ACTIONS(2301),
    [anon_sym_any] = ACTIONS(2301),
    [anon_sym_number] = ACTIONS(2301),
    [anon_sym_boolean] = ACTIONS(2301),
    [anon_sym_string] = ACTIONS(2301),
    [anon_sym_symbol] = ACTIONS(2301),
    [anon_sym_abstract] = ACTIONS(2301),
    [anon_sym_interface] = ACTIONS(2301),
    [anon_sym_enum] = ACTIONS(2301),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym_identifier] = ACTIONS(1612),
    [anon_sym_export] = ACTIONS(1612),
    [anon_sym_default] = ACTIONS(1612),
    [anon_sym_type] = ACTIONS(1612),
    [anon_sym_namespace] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_typeof] = ACTIONS(1612),
    [anon_sym_import] = ACTIONS(1612),
    [anon_sym_var] = ACTIONS(1612),
    [anon_sym_let] = ACTIONS(1612),
    [anon_sym_const] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1610),
    [anon_sym_else] = ACTIONS(1612),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_switch] = ACTIONS(1612),
    [anon_sym_for] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_await] = ACTIONS(1612),
    [anon_sym_while] = ACTIONS(1612),
    [anon_sym_do] = ACTIONS(1612),
    [anon_sym_try] = ACTIONS(1612),
    [anon_sym_with] = ACTIONS(1612),
    [anon_sym_break] = ACTIONS(1612),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_debugger] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1612),
    [anon_sym_throw] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_case] = ACTIONS(1612),
    [anon_sym_yield] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_LTtemplate_GT] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_class] = ACTIONS(1612),
    [anon_sym_async] = ACTIONS(1612),
    [anon_sym_function] = ACTIONS(1612),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_void] = ACTIONS(1612),
    [anon_sym_delete] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [sym_number] = ACTIONS(1610),
    [sym_this] = ACTIONS(1612),
    [sym_super] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [sym_null] = ACTIONS(1612),
    [sym_undefined] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1610),
    [anon_sym_static] = ACTIONS(1612),
    [anon_sym_readonly] = ACTIONS(1612),
    [anon_sym_get] = ACTIONS(1612),
    [anon_sym_set] = ACTIONS(1612),
    [anon_sym_declare] = ACTIONS(1612),
    [anon_sym_public] = ACTIONS(1612),
    [anon_sym_private] = ACTIONS(1612),
    [anon_sym_protected] = ACTIONS(1612),
    [anon_sym_override] = ACTIONS(1612),
    [anon_sym_module] = ACTIONS(1612),
    [anon_sym_any] = ACTIONS(1612),
    [anon_sym_number] = ACTIONS(1612),
    [anon_sym_boolean] = ACTIONS(1612),
    [anon_sym_string] = ACTIONS(1612),
    [anon_sym_symbol] = ACTIONS(1612),
    [anon_sym_abstract] = ACTIONS(1612),
    [anon_sym_interface] = ACTIONS(1612),
    [anon_sym_enum] = ACTIONS(1612),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2305),
    [anon_sym_export] = ACTIONS(2305),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_namespace] = ACTIONS(2305),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_RBRACE] = ACTIONS(2303),
    [anon_sym_typeof] = ACTIONS(2305),
    [anon_sym_import] = ACTIONS(2305),
    [anon_sym_var] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2305),
    [anon_sym_const] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2303),
    [anon_sym_else] = ACTIONS(2305),
    [anon_sym_if] = ACTIONS(2305),
    [anon_sym_switch] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2305),
    [anon_sym_LPAREN] = ACTIONS(2303),
    [anon_sym_await] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_do] = ACTIONS(2305),
    [anon_sym_try] = ACTIONS(2305),
    [anon_sym_with] = ACTIONS(2305),
    [anon_sym_break] = ACTIONS(2305),
    [anon_sym_continue] = ACTIONS(2305),
    [anon_sym_debugger] = ACTIONS(2305),
    [anon_sym_return] = ACTIONS(2305),
    [anon_sym_throw] = ACTIONS(2305),
    [anon_sym_SEMI] = ACTIONS(2303),
    [anon_sym_case] = ACTIONS(2305),
    [anon_sym_yield] = ACTIONS(2305),
    [anon_sym_LBRACK] = ACTIONS(2303),
    [anon_sym_LTtemplate_GT] = ACTIONS(2303),
    [anon_sym_LT] = ACTIONS(2305),
    [anon_sym_SLASH] = ACTIONS(2305),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2305),
    [anon_sym_TILDE] = ACTIONS(2303),
    [anon_sym_void] = ACTIONS(2305),
    [anon_sym_delete] = ACTIONS(2305),
    [anon_sym_PLUS_PLUS] = ACTIONS(2303),
    [anon_sym_DASH_DASH] = ACTIONS(2305),
    [anon_sym_DQUOTE] = ACTIONS(2303),
    [anon_sym_SQUOTE] = ACTIONS(2303),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2303),
    [sym_number] = ACTIONS(2303),
    [sym_this] = ACTIONS(2305),
    [sym_super] = ACTIONS(2305),
    [sym_true] = ACTIONS(2305),
    [sym_false] = ACTIONS(2305),
    [sym_null] = ACTIONS(2305),
    [sym_undefined] = ACTIONS(2305),
    [anon_sym_AT] = ACTIONS(2303),
    [anon_sym_static] = ACTIONS(2305),
    [anon_sym_readonly] = ACTIONS(2305),
    [anon_sym_get] = ACTIONS(2305),
    [anon_sym_set] = ACTIONS(2305),
    [anon_sym_declare] = ACTIONS(2305),
    [anon_sym_public] = ACTIONS(2305),
    [anon_sym_private] = ACTIONS(2305),
    [anon_sym_protected] = ACTIONS(2305),
    [anon_sym_override] = ACTIONS(2305),
    [anon_sym_module] = ACTIONS(2305),
    [anon_sym_any] = ACTIONS(2305),
    [anon_sym_number] = ACTIONS(2305),
    [anon_sym_boolean] = ACTIONS(2305),
    [anon_sym_string] = ACTIONS(2305),
    [anon_sym_symbol] = ACTIONS(2305),
    [anon_sym_abstract] = ACTIONS(2305),
    [anon_sym_interface] = ACTIONS(2305),
    [anon_sym_enum] = ACTIONS(2305),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(2307),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_export] = ACTIONS(2309),
    [anon_sym_default] = ACTIONS(2309),
    [anon_sym_type] = ACTIONS(2309),
    [anon_sym_namespace] = ACTIONS(2309),
    [anon_sym_LBRACE] = ACTIONS(2307),
    [anon_sym_RBRACE] = ACTIONS(2307),
    [anon_sym_typeof] = ACTIONS(2309),
    [anon_sym_import] = ACTIONS(2309),
    [anon_sym_var] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2309),
    [anon_sym_const] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2307),
    [anon_sym_else] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_switch] = ACTIONS(2309),
    [anon_sym_for] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2307),
    [anon_sym_await] = ACTIONS(2309),
    [anon_sym_while] = ACTIONS(2309),
    [anon_sym_do] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_with] = ACTIONS(2309),
    [anon_sym_break] = ACTIONS(2309),
    [anon_sym_continue] = ACTIONS(2309),
    [anon_sym_debugger] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_SEMI] = ACTIONS(2307),
    [anon_sym_case] = ACTIONS(2309),
    [anon_sym_yield] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2307),
    [anon_sym_LTtemplate_GT] = ACTIONS(2307),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_SLASH] = ACTIONS(2309),
    [anon_sym_class] = ACTIONS(2309),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_TILDE] = ACTIONS(2307),
    [anon_sym_void] = ACTIONS(2309),
    [anon_sym_delete] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2307),
    [anon_sym_DASH_DASH] = ACTIONS(2309),
    [anon_sym_DQUOTE] = ACTIONS(2307),
    [anon_sym_SQUOTE] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2307),
    [sym_number] = ACTIONS(2307),
    [sym_this] = ACTIONS(2309),
    [sym_super] = ACTIONS(2309),
    [sym_true] = ACTIONS(2309),
    [sym_false] = ACTIONS(2309),
    [sym_null] = ACTIONS(2309),
    [sym_undefined] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(2307),
    [anon_sym_static] = ACTIONS(2309),
    [anon_sym_readonly] = ACTIONS(2309),
    [anon_sym_get] = ACTIONS(2309),
    [anon_sym_set] = ACTIONS(2309),
    [anon_sym_declare] = ACTIONS(2309),
    [anon_sym_public] = ACTIONS(2309),
    [anon_sym_private] = ACTIONS(2309),
    [anon_sym_protected] = ACTIONS(2309),
    [anon_sym_override] = ACTIONS(2309),
    [anon_sym_module] = ACTIONS(2309),
    [anon_sym_any] = ACTIONS(2309),
    [anon_sym_number] = ACTIONS(2309),
    [anon_sym_boolean] = ACTIONS(2309),
    [anon_sym_string] = ACTIONS(2309),
    [anon_sym_symbol] = ACTIONS(2309),
    [anon_sym_abstract] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2309),
    [anon_sym_enum] = ACTIONS(2309),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_identifier] = ACTIONS(2313),
    [anon_sym_export] = ACTIONS(2313),
    [anon_sym_default] = ACTIONS(2313),
    [anon_sym_type] = ACTIONS(2313),
    [anon_sym_namespace] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_typeof] = ACTIONS(2313),
    [anon_sym_import] = ACTIONS(2313),
    [anon_sym_var] = ACTIONS(2313),
    [anon_sym_let] = ACTIONS(2313),
    [anon_sym_const] = ACTIONS(2313),
    [anon_sym_BANG] = ACTIONS(2311),
    [anon_sym_else] = ACTIONS(2313),
    [anon_sym_if] = ACTIONS(2313),
    [anon_sym_switch] = ACTIONS(2313),
    [anon_sym_for] = ACTIONS(2313),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_await] = ACTIONS(2313),
    [anon_sym_while] = ACTIONS(2313),
    [anon_sym_do] = ACTIONS(2313),
    [anon_sym_try] = ACTIONS(2313),
    [anon_sym_with] = ACTIONS(2313),
    [anon_sym_break] = ACTIONS(2313),
    [anon_sym_continue] = ACTIONS(2313),
    [anon_sym_debugger] = ACTIONS(2313),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_throw] = ACTIONS(2313),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_case] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_LTtemplate_GT] = ACTIONS(2311),
    [anon_sym_LT] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2313),
    [anon_sym_class] = ACTIONS(2313),
    [anon_sym_async] = ACTIONS(2313),
    [anon_sym_function] = ACTIONS(2313),
    [anon_sym_new] = ACTIONS(2313),
    [anon_sym_PLUS] = ACTIONS(2313),
    [anon_sym_DASH] = ACTIONS(2313),
    [anon_sym_TILDE] = ACTIONS(2311),
    [anon_sym_void] = ACTIONS(2313),
    [anon_sym_delete] = ACTIONS(2313),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2313),
    [anon_sym_DQUOTE] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2311),
    [sym_number] = ACTIONS(2311),
    [sym_this] = ACTIONS(2313),
    [sym_super] = ACTIONS(2313),
    [sym_true] = ACTIONS(2313),
    [sym_false] = ACTIONS(2313),
    [sym_null] = ACTIONS(2313),
    [sym_undefined] = ACTIONS(2313),
    [anon_sym_AT] = ACTIONS(2311),
    [anon_sym_static] = ACTIONS(2313),
    [anon_sym_readonly] = ACTIONS(2313),
    [anon_sym_get] = ACTIONS(2313),
    [anon_sym_set] = ACTIONS(2313),
    [anon_sym_declare] = ACTIONS(2313),
    [anon_sym_public] = ACTIONS(2313),
    [anon_sym_private] = ACTIONS(2313),
    [anon_sym_protected] = ACTIONS(2313),
    [anon_sym_override] = ACTIONS(2313),
    [anon_sym_module] = ACTIONS(2313),
    [anon_sym_any] = ACTIONS(2313),
    [anon_sym_number] = ACTIONS(2313),
    [anon_sym_boolean] = ACTIONS(2313),
    [anon_sym_string] = ACTIONS(2313),
    [anon_sym_symbol] = ACTIONS(2313),
    [anon_sym_abstract] = ACTIONS(2313),
    [anon_sym_interface] = ACTIONS(2313),
    [anon_sym_enum] = ACTIONS(2313),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2317),
    [anon_sym_export] = ACTIONS(2317),
    [anon_sym_default] = ACTIONS(2317),
    [anon_sym_type] = ACTIONS(2317),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_RBRACE] = ACTIONS(2315),
    [anon_sym_typeof] = ACTIONS(2317),
    [anon_sym_import] = ACTIONS(2317),
    [anon_sym_var] = ACTIONS(2317),
    [anon_sym_let] = ACTIONS(2317),
    [anon_sym_const] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_switch] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_with] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_debugger] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2315),
    [anon_sym_case] = ACTIONS(2317),
    [anon_sym_yield] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_LTtemplate_GT] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_SLASH] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_function] = ACTIONS(2317),
    [anon_sym_new] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_void] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2315),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_SQUOTE] = ACTIONS(2315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2315),
    [sym_number] = ACTIONS(2315),
    [sym_this] = ACTIONS(2317),
    [sym_super] = ACTIONS(2317),
    [sym_true] = ACTIONS(2317),
    [sym_false] = ACTIONS(2317),
    [sym_null] = ACTIONS(2317),
    [sym_undefined] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2315),
    [anon_sym_static] = ACTIONS(2317),
    [anon_sym_readonly] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2317),
    [anon_sym_set] = ACTIONS(2317),
    [anon_sym_declare] = ACTIONS(2317),
    [anon_sym_public] = ACTIONS(2317),
    [anon_sym_private] = ACTIONS(2317),
    [anon_sym_protected] = ACTIONS(2317),
    [anon_sym_override] = ACTIONS(2317),
    [anon_sym_module] = ACTIONS(2317),
    [anon_sym_any] = ACTIONS(2317),
    [anon_sym_number] = ACTIONS(2317),
    [anon_sym_boolean] = ACTIONS(2317),
    [anon_sym_string] = ACTIONS(2317),
    [anon_sym_symbol] = ACTIONS(2317),
    [anon_sym_abstract] = ACTIONS(2317),
    [anon_sym_interface] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2317),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2317),
    [anon_sym_export] = ACTIONS(2317),
    [anon_sym_default] = ACTIONS(2317),
    [anon_sym_type] = ACTIONS(2317),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_RBRACE] = ACTIONS(2315),
    [anon_sym_typeof] = ACTIONS(2317),
    [anon_sym_import] = ACTIONS(2317),
    [anon_sym_var] = ACTIONS(2317),
    [anon_sym_let] = ACTIONS(2317),
    [anon_sym_const] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_switch] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_with] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_debugger] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2315),
    [anon_sym_case] = ACTIONS(2317),
    [anon_sym_yield] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_LTtemplate_GT] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_SLASH] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_function] = ACTIONS(2317),
    [anon_sym_new] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_void] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2315),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_SQUOTE] = ACTIONS(2315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2315),
    [sym_number] = ACTIONS(2315),
    [sym_this] = ACTIONS(2317),
    [sym_super] = ACTIONS(2317),
    [sym_true] = ACTIONS(2317),
    [sym_false] = ACTIONS(2317),
    [sym_null] = ACTIONS(2317),
    [sym_undefined] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2315),
    [anon_sym_static] = ACTIONS(2317),
    [anon_sym_readonly] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2317),
    [anon_sym_set] = ACTIONS(2317),
    [anon_sym_declare] = ACTIONS(2317),
    [anon_sym_public] = ACTIONS(2317),
    [anon_sym_private] = ACTIONS(2317),
    [anon_sym_protected] = ACTIONS(2317),
    [anon_sym_override] = ACTIONS(2317),
    [anon_sym_module] = ACTIONS(2317),
    [anon_sym_any] = ACTIONS(2317),
    [anon_sym_number] = ACTIONS(2317),
    [anon_sym_boolean] = ACTIONS(2317),
    [anon_sym_string] = ACTIONS(2317),
    [anon_sym_symbol] = ACTIONS(2317),
    [anon_sym_abstract] = ACTIONS(2317),
    [anon_sym_interface] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2317),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(2319),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_export] = ACTIONS(2321),
    [anon_sym_default] = ACTIONS(2321),
    [anon_sym_type] = ACTIONS(2321),
    [anon_sym_namespace] = ACTIONS(2321),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_RBRACE] = ACTIONS(2319),
    [anon_sym_typeof] = ACTIONS(2321),
    [anon_sym_import] = ACTIONS(2321),
    [anon_sym_var] = ACTIONS(2321),
    [anon_sym_let] = ACTIONS(2321),
    [anon_sym_const] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2319),
    [anon_sym_else] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_switch] = ACTIONS(2321),
    [anon_sym_for] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2319),
    [anon_sym_await] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2321),
    [anon_sym_do] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_with] = ACTIONS(2321),
    [anon_sym_break] = ACTIONS(2321),
    [anon_sym_continue] = ACTIONS(2321),
    [anon_sym_debugger] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_throw] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_case] = ACTIONS(2321),
    [anon_sym_yield] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2319),
    [anon_sym_LTtemplate_GT] = ACTIONS(2319),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_class] = ACTIONS(2321),
    [anon_sym_async] = ACTIONS(2321),
    [anon_sym_function] = ACTIONS(2321),
    [anon_sym_new] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_TILDE] = ACTIONS(2319),
    [anon_sym_void] = ACTIONS(2321),
    [anon_sym_delete] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2321),
    [anon_sym_DQUOTE] = ACTIONS(2319),
    [anon_sym_SQUOTE] = ACTIONS(2319),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2319),
    [sym_number] = ACTIONS(2319),
    [sym_this] = ACTIONS(2321),
    [sym_super] = ACTIONS(2321),
    [sym_true] = ACTIONS(2321),
    [sym_false] = ACTIONS(2321),
    [sym_null] = ACTIONS(2321),
    [sym_undefined] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(2319),
    [anon_sym_static] = ACTIONS(2321),
    [anon_sym_readonly] = ACTIONS(2321),
    [anon_sym_get] = ACTIONS(2321),
    [anon_sym_set] = ACTIONS(2321),
    [anon_sym_declare] = ACTIONS(2321),
    [anon_sym_public] = ACTIONS(2321),
    [anon_sym_private] = ACTIONS(2321),
    [anon_sym_protected] = ACTIONS(2321),
    [anon_sym_override] = ACTIONS(2321),
    [anon_sym_module] = ACTIONS(2321),
    [anon_sym_any] = ACTIONS(2321),
    [anon_sym_number] = ACTIONS(2321),
    [anon_sym_boolean] = ACTIONS(2321),
    [anon_sym_string] = ACTIONS(2321),
    [anon_sym_symbol] = ACTIONS(2321),
    [anon_sym_abstract] = ACTIONS(2321),
    [anon_sym_interface] = ACTIONS(2321),
    [anon_sym_enum] = ACTIONS(2321),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(2323),
    [sym_identifier] = ACTIONS(2325),
    [anon_sym_export] = ACTIONS(2325),
    [anon_sym_default] = ACTIONS(2325),
    [anon_sym_type] = ACTIONS(2325),
    [anon_sym_namespace] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_typeof] = ACTIONS(2325),
    [anon_sym_import] = ACTIONS(2325),
    [anon_sym_var] = ACTIONS(2325),
    [anon_sym_let] = ACTIONS(2325),
    [anon_sym_const] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_else] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2325),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_await] = ACTIONS(2325),
    [anon_sym_while] = ACTIONS(2325),
    [anon_sym_do] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2325),
    [anon_sym_with] = ACTIONS(2325),
    [anon_sym_break] = ACTIONS(2325),
    [anon_sym_continue] = ACTIONS(2325),
    [anon_sym_debugger] = ACTIONS(2325),
    [anon_sym_return] = ACTIONS(2325),
    [anon_sym_throw] = ACTIONS(2325),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_case] = ACTIONS(2325),
    [anon_sym_yield] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LTtemplate_GT] = ACTIONS(2323),
    [anon_sym_LT] = ACTIONS(2325),
    [anon_sym_SLASH] = ACTIONS(2325),
    [anon_sym_class] = ACTIONS(2325),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2325),
    [anon_sym_new] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2325),
    [anon_sym_DASH] = ACTIONS(2325),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_void] = ACTIONS(2325),
    [anon_sym_delete] = ACTIONS(2325),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2323),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2323),
    [sym_number] = ACTIONS(2323),
    [sym_this] = ACTIONS(2325),
    [sym_super] = ACTIONS(2325),
    [sym_true] = ACTIONS(2325),
    [sym_false] = ACTIONS(2325),
    [sym_null] = ACTIONS(2325),
    [sym_undefined] = ACTIONS(2325),
    [anon_sym_AT] = ACTIONS(2323),
    [anon_sym_static] = ACTIONS(2325),
    [anon_sym_readonly] = ACTIONS(2325),
    [anon_sym_get] = ACTIONS(2325),
    [anon_sym_set] = ACTIONS(2325),
    [anon_sym_declare] = ACTIONS(2325),
    [anon_sym_public] = ACTIONS(2325),
    [anon_sym_private] = ACTIONS(2325),
    [anon_sym_protected] = ACTIONS(2325),
    [anon_sym_override] = ACTIONS(2325),
    [anon_sym_module] = ACTIONS(2325),
    [anon_sym_any] = ACTIONS(2325),
    [anon_sym_number] = ACTIONS(2325),
    [anon_sym_boolean] = ACTIONS(2325),
    [anon_sym_string] = ACTIONS(2325),
    [anon_sym_symbol] = ACTIONS(2325),
    [anon_sym_abstract] = ACTIONS(2325),
    [anon_sym_interface] = ACTIONS(2325),
    [anon_sym_enum] = ACTIONS(2325),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(2327),
    [sym_identifier] = ACTIONS(2329),
    [anon_sym_export] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2329),
    [anon_sym_type] = ACTIONS(2329),
    [anon_sym_namespace] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2327),
    [anon_sym_RBRACE] = ACTIONS(2327),
    [anon_sym_typeof] = ACTIONS(2329),
    [anon_sym_import] = ACTIONS(2329),
    [anon_sym_var] = ACTIONS(2329),
    [anon_sym_let] = ACTIONS(2329),
    [anon_sym_const] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_else] = ACTIONS(2329),
    [anon_sym_if] = ACTIONS(2329),
    [anon_sym_switch] = ACTIONS(2329),
    [anon_sym_for] = ACTIONS(2329),
    [anon_sym_LPAREN] = ACTIONS(2327),
    [anon_sym_await] = ACTIONS(2329),
    [anon_sym_while] = ACTIONS(2329),
    [anon_sym_do] = ACTIONS(2329),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_with] = ACTIONS(2329),
    [anon_sym_break] = ACTIONS(2329),
    [anon_sym_continue] = ACTIONS(2329),
    [anon_sym_debugger] = ACTIONS(2329),
    [anon_sym_return] = ACTIONS(2329),
    [anon_sym_throw] = ACTIONS(2329),
    [anon_sym_SEMI] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_yield] = ACTIONS(2329),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [anon_sym_LTtemplate_GT] = ACTIONS(2327),
    [anon_sym_LT] = ACTIONS(2329),
    [anon_sym_SLASH] = ACTIONS(2329),
    [anon_sym_class] = ACTIONS(2329),
    [anon_sym_async] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2329),
    [anon_sym_new] = ACTIONS(2329),
    [anon_sym_PLUS] = ACTIONS(2329),
    [anon_sym_DASH] = ACTIONS(2329),
    [anon_sym_TILDE] = ACTIONS(2327),
    [anon_sym_void] = ACTIONS(2329),
    [anon_sym_delete] = ACTIONS(2329),
    [anon_sym_PLUS_PLUS] = ACTIONS(2327),
    [anon_sym_DASH_DASH] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [anon_sym_SQUOTE] = ACTIONS(2327),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2327),
    [sym_number] = ACTIONS(2327),
    [sym_this] = ACTIONS(2329),
    [sym_super] = ACTIONS(2329),
    [sym_true] = ACTIONS(2329),
    [sym_false] = ACTIONS(2329),
    [sym_null] = ACTIONS(2329),
    [sym_undefined] = ACTIONS(2329),
    [anon_sym_AT] = ACTIONS(2327),
    [anon_sym_static] = ACTIONS(2329),
    [anon_sym_readonly] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_declare] = ACTIONS(2329),
    [anon_sym_public] = ACTIONS(2329),
    [anon_sym_private] = ACTIONS(2329),
    [anon_sym_protected] = ACTIONS(2329),
    [anon_sym_override] = ACTIONS(2329),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_abstract] = ACTIONS(2329),
    [anon_sym_interface] = ACTIONS(2329),
    [anon_sym_enum] = ACTIONS(2329),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2331),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_export] = ACTIONS(2333),
    [anon_sym_default] = ACTIONS(2333),
    [anon_sym_type] = ACTIONS(2333),
    [anon_sym_namespace] = ACTIONS(2333),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [anon_sym_RBRACE] = ACTIONS(2331),
    [anon_sym_typeof] = ACTIONS(2333),
    [anon_sym_import] = ACTIONS(2333),
    [anon_sym_var] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_const] = ACTIONS(2333),
    [anon_sym_BANG] = ACTIONS(2331),
    [anon_sym_else] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_switch] = ACTIONS(2333),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2331),
    [anon_sym_await] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_break] = ACTIONS(2333),
    [anon_sym_continue] = ACTIONS(2333),
    [anon_sym_debugger] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2333),
    [anon_sym_SEMI] = ACTIONS(2331),
    [anon_sym_case] = ACTIONS(2333),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2331),
    [anon_sym_LTtemplate_GT] = ACTIONS(2331),
    [anon_sym_LT] = ACTIONS(2333),
    [anon_sym_SLASH] = ACTIONS(2333),
    [anon_sym_class] = ACTIONS(2333),
    [anon_sym_async] = ACTIONS(2333),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2331),
    [anon_sym_void] = ACTIONS(2333),
    [anon_sym_delete] = ACTIONS(2333),
    [anon_sym_PLUS_PLUS] = ACTIONS(2331),
    [anon_sym_DASH_DASH] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2331),
    [sym_number] = ACTIONS(2331),
    [sym_this] = ACTIONS(2333),
    [sym_super] = ACTIONS(2333),
    [sym_true] = ACTIONS(2333),
    [sym_false] = ACTIONS(2333),
    [sym_null] = ACTIONS(2333),
    [sym_undefined] = ACTIONS(2333),
    [anon_sym_AT] = ACTIONS(2331),
    [anon_sym_static] = ACTIONS(2333),
    [anon_sym_readonly] = ACTIONS(2333),
    [anon_sym_get] = ACTIONS(2333),
    [anon_sym_set] = ACTIONS(2333),
    [anon_sym_declare] = ACTIONS(2333),
    [anon_sym_public] = ACTIONS(2333),
    [anon_sym_private] = ACTIONS(2333),
    [anon_sym_protected] = ACTIONS(2333),
    [anon_sym_override] = ACTIONS(2333),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_any] = ACTIONS(2333),
    [anon_sym_number] = ACTIONS(2333),
    [anon_sym_boolean] = ACTIONS(2333),
    [anon_sym_string] = ACTIONS(2333),
    [anon_sym_symbol] = ACTIONS(2333),
    [anon_sym_abstract] = ACTIONS(2333),
    [anon_sym_interface] = ACTIONS(2333),
    [anon_sym_enum] = ACTIONS(2333),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(2335),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_default] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_LBRACE] = ACTIONS(2335),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_typeof] = ACTIONS(2337),
    [anon_sym_import] = ACTIONS(2337),
    [anon_sym_var] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_switch] = ACTIONS(2337),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [anon_sym_await] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_break] = ACTIONS(2337),
    [anon_sym_continue] = ACTIONS(2337),
    [anon_sym_debugger] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_throw] = ACTIONS(2337),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_case] = ACTIONS(2337),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_LTtemplate_GT] = ACTIONS(2335),
    [anon_sym_LT] = ACTIONS(2337),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_class] = ACTIONS(2337),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2335),
    [anon_sym_void] = ACTIONS(2337),
    [anon_sym_delete] = ACTIONS(2337),
    [anon_sym_PLUS_PLUS] = ACTIONS(2335),
    [anon_sym_DASH_DASH] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2335),
    [sym_number] = ACTIONS(2335),
    [sym_this] = ACTIONS(2337),
    [sym_super] = ACTIONS(2337),
    [sym_true] = ACTIONS(2337),
    [sym_false] = ACTIONS(2337),
    [sym_null] = ACTIONS(2337),
    [sym_undefined] = ACTIONS(2337),
    [anon_sym_AT] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_abstract] = ACTIONS(2337),
    [anon_sym_interface] = ACTIONS(2337),
    [anon_sym_enum] = ACTIONS(2337),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(2339),
    [sym_identifier] = ACTIONS(2341),
    [anon_sym_export] = ACTIONS(2341),
    [anon_sym_default] = ACTIONS(2341),
    [anon_sym_type] = ACTIONS(2341),
    [anon_sym_namespace] = ACTIONS(2341),
    [anon_sym_LBRACE] = ACTIONS(2339),
    [anon_sym_RBRACE] = ACTIONS(2339),
    [anon_sym_typeof] = ACTIONS(2341),
    [anon_sym_import] = ACTIONS(2341),
    [anon_sym_var] = ACTIONS(2341),
    [anon_sym_let] = ACTIONS(2341),
    [anon_sym_const] = ACTIONS(2341),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2341),
    [anon_sym_if] = ACTIONS(2341),
    [anon_sym_switch] = ACTIONS(2341),
    [anon_sym_for] = ACTIONS(2341),
    [anon_sym_LPAREN] = ACTIONS(2339),
    [anon_sym_await] = ACTIONS(2341),
    [anon_sym_while] = ACTIONS(2341),
    [anon_sym_do] = ACTIONS(2341),
    [anon_sym_try] = ACTIONS(2341),
    [anon_sym_with] = ACTIONS(2341),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2341),
    [anon_sym_debugger] = ACTIONS(2341),
    [anon_sym_return] = ACTIONS(2341),
    [anon_sym_throw] = ACTIONS(2341),
    [anon_sym_SEMI] = ACTIONS(2339),
    [anon_sym_case] = ACTIONS(2341),
    [anon_sym_yield] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2339),
    [anon_sym_LTtemplate_GT] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_SLASH] = ACTIONS(2341),
    [anon_sym_class] = ACTIONS(2341),
    [anon_sym_async] = ACTIONS(2341),
    [anon_sym_function] = ACTIONS(2341),
    [anon_sym_new] = ACTIONS(2341),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_TILDE] = ACTIONS(2339),
    [anon_sym_void] = ACTIONS(2341),
    [anon_sym_delete] = ACTIONS(2341),
    [anon_sym_PLUS_PLUS] = ACTIONS(2339),
    [anon_sym_DASH_DASH] = ACTIONS(2341),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2339),
    [sym_number] = ACTIONS(2339),
    [sym_this] = ACTIONS(2341),
    [sym_super] = ACTIONS(2341),
    [sym_true] = ACTIONS(2341),
    [sym_false] = ACTIONS(2341),
    [sym_null] = ACTIONS(2341),
    [sym_undefined] = ACTIONS(2341),
    [anon_sym_AT] = ACTIONS(2339),
    [anon_sym_static] = ACTIONS(2341),
    [anon_sym_readonly] = ACTIONS(2341),
    [anon_sym_get] = ACTIONS(2341),
    [anon_sym_set] = ACTIONS(2341),
    [anon_sym_declare] = ACTIONS(2341),
    [anon_sym_public] = ACTIONS(2341),
    [anon_sym_private] = ACTIONS(2341),
    [anon_sym_protected] = ACTIONS(2341),
    [anon_sym_override] = ACTIONS(2341),
    [anon_sym_module] = ACTIONS(2341),
    [anon_sym_any] = ACTIONS(2341),
    [anon_sym_number] = ACTIONS(2341),
    [anon_sym_boolean] = ACTIONS(2341),
    [anon_sym_string] = ACTIONS(2341),
    [anon_sym_symbol] = ACTIONS(2341),
    [anon_sym_abstract] = ACTIONS(2341),
    [anon_sym_interface] = ACTIONS(2341),
    [anon_sym_enum] = ACTIONS(2341),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2343),
    [sym_identifier] = ACTIONS(2345),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_default] = ACTIONS(2345),
    [anon_sym_type] = ACTIONS(2345),
    [anon_sym_namespace] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2343),
    [anon_sym_RBRACE] = ACTIONS(2343),
    [anon_sym_typeof] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2345),
    [anon_sym_var] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2345),
    [anon_sym_const] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2343),
    [anon_sym_else] = ACTIONS(2345),
    [anon_sym_if] = ACTIONS(2345),
    [anon_sym_switch] = ACTIONS(2345),
    [anon_sym_for] = ACTIONS(2345),
    [anon_sym_LPAREN] = ACTIONS(2343),
    [anon_sym_await] = ACTIONS(2345),
    [anon_sym_while] = ACTIONS(2345),
    [anon_sym_do] = ACTIONS(2345),
    [anon_sym_try] = ACTIONS(2345),
    [anon_sym_with] = ACTIONS(2345),
    [anon_sym_break] = ACTIONS(2345),
    [anon_sym_continue] = ACTIONS(2345),
    [anon_sym_debugger] = ACTIONS(2345),
    [anon_sym_return] = ACTIONS(2345),
    [anon_sym_throw] = ACTIONS(2345),
    [anon_sym_SEMI] = ACTIONS(2343),
    [anon_sym_case] = ACTIONS(2345),
    [anon_sym_yield] = ACTIONS(2345),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_LTtemplate_GT] = ACTIONS(2343),
    [anon_sym_LT] = ACTIONS(2345),
    [anon_sym_SLASH] = ACTIONS(2345),
    [anon_sym_class] = ACTIONS(2345),
    [anon_sym_async] = ACTIONS(2345),
    [anon_sym_function] = ACTIONS(2345),
    [anon_sym_new] = ACTIONS(2345),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_TILDE] = ACTIONS(2343),
    [anon_sym_void] = ACTIONS(2345),
    [anon_sym_delete] = ACTIONS(2345),
    [anon_sym_PLUS_PLUS] = ACTIONS(2343),
    [anon_sym_DASH_DASH] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2343),
    [anon_sym_SQUOTE] = ACTIONS(2343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2343),
    [sym_number] = ACTIONS(2343),
    [sym_this] = ACTIONS(2345),
    [sym_super] = ACTIONS(2345),
    [sym_true] = ACTIONS(2345),
    [sym_false] = ACTIONS(2345),
    [sym_null] = ACTIONS(2345),
    [sym_undefined] = ACTIONS(2345),
    [anon_sym_AT] = ACTIONS(2343),
    [anon_sym_static] = ACTIONS(2345),
    [anon_sym_readonly] = ACTIONS(2345),
    [anon_sym_get] = ACTIONS(2345),
    [anon_sym_set] = ACTIONS(2345),
    [anon_sym_declare] = ACTIONS(2345),
    [anon_sym_public] = ACTIONS(2345),
    [anon_sym_private] = ACTIONS(2345),
    [anon_sym_protected] = ACTIONS(2345),
    [anon_sym_override] = ACTIONS(2345),
    [anon_sym_module] = ACTIONS(2345),
    [anon_sym_any] = ACTIONS(2345),
    [anon_sym_number] = ACTIONS(2345),
    [anon_sym_boolean] = ACTIONS(2345),
    [anon_sym_string] = ACTIONS(2345),
    [anon_sym_symbol] = ACTIONS(2345),
    [anon_sym_abstract] = ACTIONS(2345),
    [anon_sym_interface] = ACTIONS(2345),
    [anon_sym_enum] = ACTIONS(2345),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2349),
    [anon_sym_export] = ACTIONS(2349),
    [anon_sym_default] = ACTIONS(2349),
    [anon_sym_type] = ACTIONS(2349),
    [anon_sym_namespace] = ACTIONS(2349),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_RBRACE] = ACTIONS(2347),
    [anon_sym_typeof] = ACTIONS(2349),
    [anon_sym_import] = ACTIONS(2349),
    [anon_sym_var] = ACTIONS(2349),
    [anon_sym_let] = ACTIONS(2349),
    [anon_sym_const] = ACTIONS(2349),
    [anon_sym_BANG] = ACTIONS(2347),
    [anon_sym_else] = ACTIONS(2349),
    [anon_sym_if] = ACTIONS(2349),
    [anon_sym_switch] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2349),
    [anon_sym_LPAREN] = ACTIONS(2347),
    [anon_sym_await] = ACTIONS(2349),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_do] = ACTIONS(2349),
    [anon_sym_try] = ACTIONS(2349),
    [anon_sym_with] = ACTIONS(2349),
    [anon_sym_break] = ACTIONS(2349),
    [anon_sym_continue] = ACTIONS(2349),
    [anon_sym_debugger] = ACTIONS(2349),
    [anon_sym_return] = ACTIONS(2349),
    [anon_sym_throw] = ACTIONS(2349),
    [anon_sym_SEMI] = ACTIONS(2347),
    [anon_sym_case] = ACTIONS(2349),
    [anon_sym_yield] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_LTtemplate_GT] = ACTIONS(2347),
    [anon_sym_LT] = ACTIONS(2349),
    [anon_sym_SLASH] = ACTIONS(2349),
    [anon_sym_class] = ACTIONS(2349),
    [anon_sym_async] = ACTIONS(2349),
    [anon_sym_function] = ACTIONS(2349),
    [anon_sym_new] = ACTIONS(2349),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2347),
    [anon_sym_void] = ACTIONS(2349),
    [anon_sym_delete] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2347),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [anon_sym_SQUOTE] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2347),
    [sym_number] = ACTIONS(2347),
    [sym_this] = ACTIONS(2349),
    [sym_super] = ACTIONS(2349),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_undefined] = ACTIONS(2349),
    [anon_sym_AT] = ACTIONS(2347),
    [anon_sym_static] = ACTIONS(2349),
    [anon_sym_readonly] = ACTIONS(2349),
    [anon_sym_get] = ACTIONS(2349),
    [anon_sym_set] = ACTIONS(2349),
    [anon_sym_declare] = ACTIONS(2349),
    [anon_sym_public] = ACTIONS(2349),
    [anon_sym_private] = ACTIONS(2349),
    [anon_sym_protected] = ACTIONS(2349),
    [anon_sym_override] = ACTIONS(2349),
    [anon_sym_module] = ACTIONS(2349),
    [anon_sym_any] = ACTIONS(2349),
    [anon_sym_number] = ACTIONS(2349),
    [anon_sym_boolean] = ACTIONS(2349),
    [anon_sym_string] = ACTIONS(2349),
    [anon_sym_symbol] = ACTIONS(2349),
    [anon_sym_abstract] = ACTIONS(2349),
    [anon_sym_interface] = ACTIONS(2349),
    [anon_sym_enum] = ACTIONS(2349),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(2351),
    [sym_identifier] = ACTIONS(2353),
    [anon_sym_export] = ACTIONS(2353),
    [anon_sym_default] = ACTIONS(2353),
    [anon_sym_type] = ACTIONS(2353),
    [anon_sym_namespace] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2351),
    [anon_sym_RBRACE] = ACTIONS(2351),
    [anon_sym_typeof] = ACTIONS(2353),
    [anon_sym_import] = ACTIONS(2353),
    [anon_sym_var] = ACTIONS(2353),
    [anon_sym_let] = ACTIONS(2353),
    [anon_sym_const] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_else] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2353),
    [anon_sym_switch] = ACTIONS(2353),
    [anon_sym_for] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2351),
    [anon_sym_await] = ACTIONS(2353),
    [anon_sym_while] = ACTIONS(2353),
    [anon_sym_do] = ACTIONS(2353),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_with] = ACTIONS(2353),
    [anon_sym_break] = ACTIONS(2353),
    [anon_sym_continue] = ACTIONS(2353),
    [anon_sym_debugger] = ACTIONS(2353),
    [anon_sym_return] = ACTIONS(2353),
    [anon_sym_throw] = ACTIONS(2353),
    [anon_sym_SEMI] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2353),
    [anon_sym_yield] = ACTIONS(2353),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_LTtemplate_GT] = ACTIONS(2351),
    [anon_sym_LT] = ACTIONS(2353),
    [anon_sym_SLASH] = ACTIONS(2353),
    [anon_sym_class] = ACTIONS(2353),
    [anon_sym_async] = ACTIONS(2353),
    [anon_sym_function] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(2353),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_TILDE] = ACTIONS(2351),
    [anon_sym_void] = ACTIONS(2353),
    [anon_sym_delete] = ACTIONS(2353),
    [anon_sym_PLUS_PLUS] = ACTIONS(2351),
    [anon_sym_DASH_DASH] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [anon_sym_SQUOTE] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2351),
    [sym_number] = ACTIONS(2351),
    [sym_this] = ACTIONS(2353),
    [sym_super] = ACTIONS(2353),
    [sym_true] = ACTIONS(2353),
    [sym_false] = ACTIONS(2353),
    [sym_null] = ACTIONS(2353),
    [sym_undefined] = ACTIONS(2353),
    [anon_sym_AT] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2353),
    [anon_sym_readonly] = ACTIONS(2353),
    [anon_sym_get] = ACTIONS(2353),
    [anon_sym_set] = ACTIONS(2353),
    [anon_sym_declare] = ACTIONS(2353),
    [anon_sym_public] = ACTIONS(2353),
    [anon_sym_private] = ACTIONS(2353),
    [anon_sym_protected] = ACTIONS(2353),
    [anon_sym_override] = ACTIONS(2353),
    [anon_sym_module] = ACTIONS(2353),
    [anon_sym_any] = ACTIONS(2353),
    [anon_sym_number] = ACTIONS(2353),
    [anon_sym_boolean] = ACTIONS(2353),
    [anon_sym_string] = ACTIONS(2353),
    [anon_sym_symbol] = ACTIONS(2353),
    [anon_sym_abstract] = ACTIONS(2353),
    [anon_sym_interface] = ACTIONS(2353),
    [anon_sym_enum] = ACTIONS(2353),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(2355),
    [sym_identifier] = ACTIONS(2357),
    [anon_sym_export] = ACTIONS(2357),
    [anon_sym_default] = ACTIONS(2357),
    [anon_sym_type] = ACTIONS(2357),
    [anon_sym_namespace] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(2355),
    [anon_sym_RBRACE] = ACTIONS(2355),
    [anon_sym_typeof] = ACTIONS(2357),
    [anon_sym_import] = ACTIONS(2357),
    [anon_sym_var] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_const] = ACTIONS(2357),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_else] = ACTIONS(2357),
    [anon_sym_if] = ACTIONS(2357),
    [anon_sym_switch] = ACTIONS(2357),
    [anon_sym_for] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2355),
    [anon_sym_await] = ACTIONS(2357),
    [anon_sym_while] = ACTIONS(2357),
    [anon_sym_do] = ACTIONS(2357),
    [anon_sym_try] = ACTIONS(2357),
    [anon_sym_with] = ACTIONS(2357),
    [anon_sym_break] = ACTIONS(2357),
    [anon_sym_continue] = ACTIONS(2357),
    [anon_sym_debugger] = ACTIONS(2357),
    [anon_sym_return] = ACTIONS(2357),
    [anon_sym_throw] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2355),
    [anon_sym_case] = ACTIONS(2357),
    [anon_sym_yield] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2355),
    [anon_sym_LTtemplate_GT] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2357),
    [anon_sym_class] = ACTIONS(2357),
    [anon_sym_async] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2357),
    [anon_sym_new] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_TILDE] = ACTIONS(2355),
    [anon_sym_void] = ACTIONS(2357),
    [anon_sym_delete] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2355),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_DQUOTE] = ACTIONS(2355),
    [anon_sym_SQUOTE] = ACTIONS(2355),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2355),
    [sym_number] = ACTIONS(2355),
    [sym_this] = ACTIONS(2357),
    [sym_super] = ACTIONS(2357),
    [sym_true] = ACTIONS(2357),
    [sym_false] = ACTIONS(2357),
    [sym_null] = ACTIONS(2357),
    [sym_undefined] = ACTIONS(2357),
    [anon_sym_AT] = ACTIONS(2355),
    [anon_sym_static] = ACTIONS(2357),
    [anon_sym_readonly] = ACTIONS(2357),
    [anon_sym_get] = ACTIONS(2357),
    [anon_sym_set] = ACTIONS(2357),
    [anon_sym_declare] = ACTIONS(2357),
    [anon_sym_public] = ACTIONS(2357),
    [anon_sym_private] = ACTIONS(2357),
    [anon_sym_protected] = ACTIONS(2357),
    [anon_sym_override] = ACTIONS(2357),
    [anon_sym_module] = ACTIONS(2357),
    [anon_sym_any] = ACTIONS(2357),
    [anon_sym_number] = ACTIONS(2357),
    [anon_sym_boolean] = ACTIONS(2357),
    [anon_sym_string] = ACTIONS(2357),
    [anon_sym_symbol] = ACTIONS(2357),
    [anon_sym_abstract] = ACTIONS(2357),
    [anon_sym_interface] = ACTIONS(2357),
    [anon_sym_enum] = ACTIONS(2357),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(2359),
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_export] = ACTIONS(2361),
    [anon_sym_default] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2361),
    [anon_sym_namespace] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2359),
    [anon_sym_RBRACE] = ACTIONS(2359),
    [anon_sym_typeof] = ACTIONS(2361),
    [anon_sym_import] = ACTIONS(2361),
    [anon_sym_var] = ACTIONS(2361),
    [anon_sym_let] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2359),
    [anon_sym_else] = ACTIONS(2361),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_switch] = ACTIONS(2361),
    [anon_sym_for] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_await] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_with] = ACTIONS(2361),
    [anon_sym_break] = ACTIONS(2361),
    [anon_sym_continue] = ACTIONS(2361),
    [anon_sym_debugger] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_SEMI] = ACTIONS(2359),
    [anon_sym_case] = ACTIONS(2361),
    [anon_sym_yield] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2359),
    [anon_sym_LTtemplate_GT] = ACTIONS(2359),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_class] = ACTIONS(2361),
    [anon_sym_async] = ACTIONS(2361),
    [anon_sym_function] = ACTIONS(2361),
    [anon_sym_new] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_TILDE] = ACTIONS(2359),
    [anon_sym_void] = ACTIONS(2361),
    [anon_sym_delete] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2359),
    [anon_sym_DASH_DASH] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2359),
    [anon_sym_SQUOTE] = ACTIONS(2359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2359),
    [sym_number] = ACTIONS(2359),
    [sym_this] = ACTIONS(2361),
    [sym_super] = ACTIONS(2361),
    [sym_true] = ACTIONS(2361),
    [sym_false] = ACTIONS(2361),
    [sym_null] = ACTIONS(2361),
    [sym_undefined] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2359),
    [anon_sym_static] = ACTIONS(2361),
    [anon_sym_readonly] = ACTIONS(2361),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_declare] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_module] = ACTIONS(2361),
    [anon_sym_any] = ACTIONS(2361),
    [anon_sym_number] = ACTIONS(2361),
    [anon_sym_boolean] = ACTIONS(2361),
    [anon_sym_string] = ACTIONS(2361),
    [anon_sym_symbol] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_interface] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2317),
    [anon_sym_export] = ACTIONS(2317),
    [anon_sym_default] = ACTIONS(2317),
    [anon_sym_type] = ACTIONS(2317),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_RBRACE] = ACTIONS(2315),
    [anon_sym_typeof] = ACTIONS(2317),
    [anon_sym_import] = ACTIONS(2317),
    [anon_sym_var] = ACTIONS(2317),
    [anon_sym_let] = ACTIONS(2317),
    [anon_sym_const] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_switch] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_with] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_debugger] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2315),
    [anon_sym_case] = ACTIONS(2317),
    [anon_sym_yield] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_LTtemplate_GT] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_SLASH] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_function] = ACTIONS(2317),
    [anon_sym_new] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_void] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2315),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_SQUOTE] = ACTIONS(2315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2315),
    [sym_number] = ACTIONS(2315),
    [sym_this] = ACTIONS(2317),
    [sym_super] = ACTIONS(2317),
    [sym_true] = ACTIONS(2317),
    [sym_false] = ACTIONS(2317),
    [sym_null] = ACTIONS(2317),
    [sym_undefined] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2315),
    [anon_sym_static] = ACTIONS(2317),
    [anon_sym_readonly] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2317),
    [anon_sym_set] = ACTIONS(2317),
    [anon_sym_declare] = ACTIONS(2317),
    [anon_sym_public] = ACTIONS(2317),
    [anon_sym_private] = ACTIONS(2317),
    [anon_sym_protected] = ACTIONS(2317),
    [anon_sym_override] = ACTIONS(2317),
    [anon_sym_module] = ACTIONS(2317),
    [anon_sym_any] = ACTIONS(2317),
    [anon_sym_number] = ACTIONS(2317),
    [anon_sym_boolean] = ACTIONS(2317),
    [anon_sym_string] = ACTIONS(2317),
    [anon_sym_symbol] = ACTIONS(2317),
    [anon_sym_abstract] = ACTIONS(2317),
    [anon_sym_interface] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2317),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2317),
    [anon_sym_export] = ACTIONS(2317),
    [anon_sym_default] = ACTIONS(2317),
    [anon_sym_type] = ACTIONS(2317),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_RBRACE] = ACTIONS(2315),
    [anon_sym_typeof] = ACTIONS(2317),
    [anon_sym_import] = ACTIONS(2317),
    [anon_sym_var] = ACTIONS(2317),
    [anon_sym_let] = ACTIONS(2317),
    [anon_sym_const] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_switch] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_with] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_debugger] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2315),
    [anon_sym_case] = ACTIONS(2317),
    [anon_sym_yield] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_LTtemplate_GT] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_SLASH] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_function] = ACTIONS(2317),
    [anon_sym_new] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_void] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2315),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_SQUOTE] = ACTIONS(2315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2315),
    [sym_number] = ACTIONS(2315),
    [sym_this] = ACTIONS(2317),
    [sym_super] = ACTIONS(2317),
    [sym_true] = ACTIONS(2317),
    [sym_false] = ACTIONS(2317),
    [sym_null] = ACTIONS(2317),
    [sym_undefined] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2315),
    [anon_sym_static] = ACTIONS(2317),
    [anon_sym_readonly] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2317),
    [anon_sym_set] = ACTIONS(2317),
    [anon_sym_declare] = ACTIONS(2317),
    [anon_sym_public] = ACTIONS(2317),
    [anon_sym_private] = ACTIONS(2317),
    [anon_sym_protected] = ACTIONS(2317),
    [anon_sym_override] = ACTIONS(2317),
    [anon_sym_module] = ACTIONS(2317),
    [anon_sym_any] = ACTIONS(2317),
    [anon_sym_number] = ACTIONS(2317),
    [anon_sym_boolean] = ACTIONS(2317),
    [anon_sym_string] = ACTIONS(2317),
    [anon_sym_symbol] = ACTIONS(2317),
    [anon_sym_abstract] = ACTIONS(2317),
    [anon_sym_interface] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2317),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2317),
    [anon_sym_export] = ACTIONS(2317),
    [anon_sym_default] = ACTIONS(2317),
    [anon_sym_type] = ACTIONS(2317),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_RBRACE] = ACTIONS(2315),
    [anon_sym_typeof] = ACTIONS(2317),
    [anon_sym_import] = ACTIONS(2317),
    [anon_sym_var] = ACTIONS(2317),
    [anon_sym_let] = ACTIONS(2317),
    [anon_sym_const] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_switch] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_with] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_debugger] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2315),
    [anon_sym_case] = ACTIONS(2317),
    [anon_sym_yield] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_LTtemplate_GT] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_SLASH] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_function] = ACTIONS(2317),
    [anon_sym_new] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_void] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2315),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_SQUOTE] = ACTIONS(2315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2315),
    [sym_number] = ACTIONS(2315),
    [sym_this] = ACTIONS(2317),
    [sym_super] = ACTIONS(2317),
    [sym_true] = ACTIONS(2317),
    [sym_false] = ACTIONS(2317),
    [sym_null] = ACTIONS(2317),
    [sym_undefined] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2315),
    [anon_sym_static] = ACTIONS(2317),
    [anon_sym_readonly] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2317),
    [anon_sym_set] = ACTIONS(2317),
    [anon_sym_declare] = ACTIONS(2317),
    [anon_sym_public] = ACTIONS(2317),
    [anon_sym_private] = ACTIONS(2317),
    [anon_sym_protected] = ACTIONS(2317),
    [anon_sym_override] = ACTIONS(2317),
    [anon_sym_module] = ACTIONS(2317),
    [anon_sym_any] = ACTIONS(2317),
    [anon_sym_number] = ACTIONS(2317),
    [anon_sym_boolean] = ACTIONS(2317),
    [anon_sym_string] = ACTIONS(2317),
    [anon_sym_symbol] = ACTIONS(2317),
    [anon_sym_abstract] = ACTIONS(2317),
    [anon_sym_interface] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2317),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym_identifier] = ACTIONS(2317),
    [anon_sym_export] = ACTIONS(2317),
    [anon_sym_default] = ACTIONS(2317),
    [anon_sym_type] = ACTIONS(2317),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_RBRACE] = ACTIONS(2315),
    [anon_sym_typeof] = ACTIONS(2317),
    [anon_sym_import] = ACTIONS(2317),
    [anon_sym_var] = ACTIONS(2317),
    [anon_sym_let] = ACTIONS(2317),
    [anon_sym_const] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_switch] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_with] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_debugger] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2315),
    [anon_sym_case] = ACTIONS(2317),
    [anon_sym_yield] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_LTtemplate_GT] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_SLASH] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_function] = ACTIONS(2317),
    [anon_sym_new] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_void] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2315),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_SQUOTE] = ACTIONS(2315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2315),
    [sym_number] = ACTIONS(2315),
    [sym_this] = ACTIONS(2317),
    [sym_super] = ACTIONS(2317),
    [sym_true] = ACTIONS(2317),
    [sym_false] = ACTIONS(2317),
    [sym_null] = ACTIONS(2317),
    [sym_undefined] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2315),
    [anon_sym_static] = ACTIONS(2317),
    [anon_sym_readonly] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2317),
    [anon_sym_set] = ACTIONS(2317),
    [anon_sym_declare] = ACTIONS(2317),
    [anon_sym_public] = ACTIONS(2317),
    [anon_sym_private] = ACTIONS(2317),
    [anon_sym_protected] = ACTIONS(2317),
    [anon_sym_override] = ACTIONS(2317),
    [anon_sym_module] = ACTIONS(2317),
    [anon_sym_any] = ACTIONS(2317),
    [anon_sym_number] = ACTIONS(2317),
    [anon_sym_boolean] = ACTIONS(2317),
    [anon_sym_string] = ACTIONS(2317),
    [anon_sym_symbol] = ACTIONS(2317),
    [anon_sym_abstract] = ACTIONS(2317),
    [anon_sym_interface] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2317),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2363),
    [sym_identifier] = ACTIONS(2365),
    [anon_sym_export] = ACTIONS(2365),
    [anon_sym_default] = ACTIONS(2365),
    [anon_sym_type] = ACTIONS(2365),
    [anon_sym_namespace] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_typeof] = ACTIONS(2365),
    [anon_sym_import] = ACTIONS(2365),
    [anon_sym_var] = ACTIONS(2365),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_const] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2363),
    [anon_sym_else] = ACTIONS(2365),
    [anon_sym_if] = ACTIONS(2365),
    [anon_sym_switch] = ACTIONS(2365),
    [anon_sym_for] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2363),
    [anon_sym_await] = ACTIONS(2365),
    [anon_sym_while] = ACTIONS(2365),
    [anon_sym_do] = ACTIONS(2365),
    [anon_sym_try] = ACTIONS(2365),
    [anon_sym_with] = ACTIONS(2365),
    [anon_sym_break] = ACTIONS(2365),
    [anon_sym_continue] = ACTIONS(2365),
    [anon_sym_debugger] = ACTIONS(2365),
    [anon_sym_return] = ACTIONS(2365),
    [anon_sym_throw] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2363),
    [anon_sym_case] = ACTIONS(2365),
    [anon_sym_yield] = ACTIONS(2365),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_LTtemplate_GT] = ACTIONS(2363),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_SLASH] = ACTIONS(2365),
    [anon_sym_class] = ACTIONS(2365),
    [anon_sym_async] = ACTIONS(2365),
    [anon_sym_function] = ACTIONS(2365),
    [anon_sym_new] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2365),
    [anon_sym_TILDE] = ACTIONS(2363),
    [anon_sym_void] = ACTIONS(2365),
    [anon_sym_delete] = ACTIONS(2365),
    [anon_sym_PLUS_PLUS] = ACTIONS(2363),
    [anon_sym_DASH_DASH] = ACTIONS(2365),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [anon_sym_SQUOTE] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2363),
    [sym_number] = ACTIONS(2363),
    [sym_this] = ACTIONS(2365),
    [sym_super] = ACTIONS(2365),
    [sym_true] = ACTIONS(2365),
    [sym_false] = ACTIONS(2365),
    [sym_null] = ACTIONS(2365),
    [sym_undefined] = ACTIONS(2365),
    [anon_sym_AT] = ACTIONS(2363),
    [anon_sym_static] = ACTIONS(2365),
    [anon_sym_readonly] = ACTIONS(2365),
    [anon_sym_get] = ACTIONS(2365),
    [anon_sym_set] = ACTIONS(2365),
    [anon_sym_declare] = ACTIONS(2365),
    [anon_sym_public] = ACTIONS(2365),
    [anon_sym_private] = ACTIONS(2365),
    [anon_sym_protected] = ACTIONS(2365),
    [anon_sym_override] = ACTIONS(2365),
    [anon_sym_module] = ACTIONS(2365),
    [anon_sym_any] = ACTIONS(2365),
    [anon_sym_number] = ACTIONS(2365),
    [anon_sym_boolean] = ACTIONS(2365),
    [anon_sym_string] = ACTIONS(2365),
    [anon_sym_symbol] = ACTIONS(2365),
    [anon_sym_abstract] = ACTIONS(2365),
    [anon_sym_interface] = ACTIONS(2365),
    [anon_sym_enum] = ACTIONS(2365),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2369),
    [anon_sym_default] = ACTIONS(2369),
    [anon_sym_type] = ACTIONS(2369),
    [anon_sym_namespace] = ACTIONS(2369),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_typeof] = ACTIONS(2369),
    [anon_sym_import] = ACTIONS(2369),
    [anon_sym_var] = ACTIONS(2369),
    [anon_sym_let] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2369),
    [anon_sym_BANG] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(2369),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_await] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_do] = ACTIONS(2369),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_with] = ACTIONS(2369),
    [anon_sym_break] = ACTIONS(2369),
    [anon_sym_continue] = ACTIONS(2369),
    [anon_sym_debugger] = ACTIONS(2369),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_throw] = ACTIONS(2369),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_case] = ACTIONS(2369),
    [anon_sym_yield] = ACTIONS(2369),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_LTtemplate_GT] = ACTIONS(2367),
    [anon_sym_LT] = ACTIONS(2369),
    [anon_sym_SLASH] = ACTIONS(2369),
    [anon_sym_class] = ACTIONS(2369),
    [anon_sym_async] = ACTIONS(2369),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_new] = ACTIONS(2369),
    [anon_sym_PLUS] = ACTIONS(2369),
    [anon_sym_DASH] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2367),
    [anon_sym_void] = ACTIONS(2369),
    [anon_sym_delete] = ACTIONS(2369),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2369),
    [anon_sym_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2367),
    [sym_number] = ACTIONS(2367),
    [sym_this] = ACTIONS(2369),
    [sym_super] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_undefined] = ACTIONS(2369),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_static] = ACTIONS(2369),
    [anon_sym_readonly] = ACTIONS(2369),
    [anon_sym_get] = ACTIONS(2369),
    [anon_sym_set] = ACTIONS(2369),
    [anon_sym_declare] = ACTIONS(2369),
    [anon_sym_public] = ACTIONS(2369),
    [anon_sym_private] = ACTIONS(2369),
    [anon_sym_protected] = ACTIONS(2369),
    [anon_sym_override] = ACTIONS(2369),
    [anon_sym_module] = ACTIONS(2369),
    [anon_sym_any] = ACTIONS(2369),
    [anon_sym_number] = ACTIONS(2369),
    [anon_sym_boolean] = ACTIONS(2369),
    [anon_sym_string] = ACTIONS(2369),
    [anon_sym_symbol] = ACTIONS(2369),
    [anon_sym_abstract] = ACTIONS(2369),
    [anon_sym_interface] = ACTIONS(2369),
    [anon_sym_enum] = ACTIONS(2369),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(2371),
    [sym_identifier] = ACTIONS(2373),
    [anon_sym_export] = ACTIONS(2373),
    [anon_sym_default] = ACTIONS(2373),
    [anon_sym_type] = ACTIONS(2373),
    [anon_sym_namespace] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2371),
    [anon_sym_RBRACE] = ACTIONS(2371),
    [anon_sym_typeof] = ACTIONS(2373),
    [anon_sym_import] = ACTIONS(2373),
    [anon_sym_var] = ACTIONS(2373),
    [anon_sym_let] = ACTIONS(2373),
    [anon_sym_const] = ACTIONS(2373),
    [anon_sym_BANG] = ACTIONS(2371),
    [anon_sym_else] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_switch] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2373),
    [anon_sym_LPAREN] = ACTIONS(2371),
    [anon_sym_await] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(2373),
    [anon_sym_do] = ACTIONS(2373),
    [anon_sym_try] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2373),
    [anon_sym_break] = ACTIONS(2373),
    [anon_sym_continue] = ACTIONS(2373),
    [anon_sym_debugger] = ACTIONS(2373),
    [anon_sym_return] = ACTIONS(2373),
    [anon_sym_throw] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(2371),
    [anon_sym_case] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2371),
    [anon_sym_LTtemplate_GT] = ACTIONS(2371),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_SLASH] = ACTIONS(2373),
    [anon_sym_class] = ACTIONS(2373),
    [anon_sym_async] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2373),
    [anon_sym_DASH] = ACTIONS(2373),
    [anon_sym_TILDE] = ACTIONS(2371),
    [anon_sym_void] = ACTIONS(2373),
    [anon_sym_delete] = ACTIONS(2373),
    [anon_sym_PLUS_PLUS] = ACTIONS(2371),
    [anon_sym_DASH_DASH] = ACTIONS(2373),
    [anon_sym_DQUOTE] = ACTIONS(2371),
    [anon_sym_SQUOTE] = ACTIONS(2371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2371),
    [sym_number] = ACTIONS(2371),
    [sym_this] = ACTIONS(2373),
    [sym_super] = ACTIONS(2373),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_undefined] = ACTIONS(2373),
    [anon_sym_AT] = ACTIONS(2371),
    [anon_sym_static] = ACTIONS(2373),
    [anon_sym_readonly] = ACTIONS(2373),
    [anon_sym_get] = ACTIONS(2373),
    [anon_sym_set] = ACTIONS(2373),
    [anon_sym_declare] = ACTIONS(2373),
    [anon_sym_public] = ACTIONS(2373),
    [anon_sym_private] = ACTIONS(2373),
    [anon_sym_protected] = ACTIONS(2373),
    [anon_sym_override] = ACTIONS(2373),
    [anon_sym_module] = ACTIONS(2373),
    [anon_sym_any] = ACTIONS(2373),
    [anon_sym_number] = ACTIONS(2373),
    [anon_sym_boolean] = ACTIONS(2373),
    [anon_sym_string] = ACTIONS(2373),
    [anon_sym_symbol] = ACTIONS(2373),
    [anon_sym_abstract] = ACTIONS(2373),
    [anon_sym_interface] = ACTIONS(2373),
    [anon_sym_enum] = ACTIONS(2373),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(2375),
    [sym_identifier] = ACTIONS(2377),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_default] = ACTIONS(2377),
    [anon_sym_type] = ACTIONS(2377),
    [anon_sym_namespace] = ACTIONS(2377),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_RBRACE] = ACTIONS(2375),
    [anon_sym_typeof] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2377),
    [anon_sym_var] = ACTIONS(2377),
    [anon_sym_let] = ACTIONS(2377),
    [anon_sym_const] = ACTIONS(2377),
    [anon_sym_BANG] = ACTIONS(2375),
    [anon_sym_else] = ACTIONS(2377),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_switch] = ACTIONS(2377),
    [anon_sym_for] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(2375),
    [anon_sym_await] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2377),
    [anon_sym_do] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2377),
    [anon_sym_with] = ACTIONS(2377),
    [anon_sym_break] = ACTIONS(2377),
    [anon_sym_continue] = ACTIONS(2377),
    [anon_sym_debugger] = ACTIONS(2377),
    [anon_sym_return] = ACTIONS(2377),
    [anon_sym_throw] = ACTIONS(2377),
    [anon_sym_SEMI] = ACTIONS(2375),
    [anon_sym_case] = ACTIONS(2377),
    [anon_sym_yield] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2375),
    [anon_sym_LTtemplate_GT] = ACTIONS(2375),
    [anon_sym_LT] = ACTIONS(2377),
    [anon_sym_SLASH] = ACTIONS(2377),
    [anon_sym_class] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_new] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_TILDE] = ACTIONS(2375),
    [anon_sym_void] = ACTIONS(2377),
    [anon_sym_delete] = ACTIONS(2377),
    [anon_sym_PLUS_PLUS] = ACTIONS(2375),
    [anon_sym_DASH_DASH] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2375),
    [anon_sym_SQUOTE] = ACTIONS(2375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2375),
    [sym_number] = ACTIONS(2375),
    [sym_this] = ACTIONS(2377),
    [sym_super] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_undefined] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(2375),
    [anon_sym_static] = ACTIONS(2377),
    [anon_sym_readonly] = ACTIONS(2377),
    [anon_sym_get] = ACTIONS(2377),
    [anon_sym_set] = ACTIONS(2377),
    [anon_sym_declare] = ACTIONS(2377),
    [anon_sym_public] = ACTIONS(2377),
    [anon_sym_private] = ACTIONS(2377),
    [anon_sym_protected] = ACTIONS(2377),
    [anon_sym_override] = ACTIONS(2377),
    [anon_sym_module] = ACTIONS(2377),
    [anon_sym_any] = ACTIONS(2377),
    [anon_sym_number] = ACTIONS(2377),
    [anon_sym_boolean] = ACTIONS(2377),
    [anon_sym_string] = ACTIONS(2377),
    [anon_sym_symbol] = ACTIONS(2377),
    [anon_sym_abstract] = ACTIONS(2377),
    [anon_sym_interface] = ACTIONS(2377),
    [anon_sym_enum] = ACTIONS(2377),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2379),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_default] = ACTIONS(2381),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2379),
    [anon_sym_RBRACE] = ACTIONS(2379),
    [anon_sym_typeof] = ACTIONS(2381),
    [anon_sym_import] = ACTIONS(2381),
    [anon_sym_var] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_const] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(2379),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2379),
    [anon_sym_await] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_do] = ACTIONS(2381),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_with] = ACTIONS(2381),
    [anon_sym_break] = ACTIONS(2381),
    [anon_sym_continue] = ACTIONS(2381),
    [anon_sym_debugger] = ACTIONS(2381),
    [anon_sym_return] = ACTIONS(2381),
    [anon_sym_throw] = ACTIONS(2381),
    [anon_sym_SEMI] = ACTIONS(2379),
    [anon_sym_case] = ACTIONS(2381),
    [anon_sym_yield] = ACTIONS(2381),
    [anon_sym_LBRACK] = ACTIONS(2379),
    [anon_sym_LTtemplate_GT] = ACTIONS(2379),
    [anon_sym_LT] = ACTIONS(2381),
    [anon_sym_SLASH] = ACTIONS(2381),
    [anon_sym_class] = ACTIONS(2381),
    [anon_sym_async] = ACTIONS(2381),
    [anon_sym_function] = ACTIONS(2381),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS] = ACTIONS(2381),
    [anon_sym_DASH] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2379),
    [anon_sym_void] = ACTIONS(2381),
    [anon_sym_delete] = ACTIONS(2381),
    [anon_sym_PLUS_PLUS] = ACTIONS(2379),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [anon_sym_SQUOTE] = ACTIONS(2379),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2379),
    [sym_number] = ACTIONS(2379),
    [sym_this] = ACTIONS(2381),
    [sym_super] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_null] = ACTIONS(2381),
    [sym_undefined] = ACTIONS(2381),
    [anon_sym_AT] = ACTIONS(2379),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2381),
    [anon_sym_set] = ACTIONS(2381),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_abstract] = ACTIONS(2381),
    [anon_sym_interface] = ACTIONS(2381),
    [anon_sym_enum] = ACTIONS(2381),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_export] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_type] = ACTIONS(1516),
    [anon_sym_namespace] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_typeof] = ACTIONS(1516),
    [anon_sym_import] = ACTIONS(1516),
    [anon_sym_var] = ACTIONS(1516),
    [anon_sym_let] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_else] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [anon_sym_await] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_try] = ACTIONS(1516),
    [anon_sym_with] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_debugger] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_throw] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_yield] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_LTtemplate_GT] = ACTIONS(1514),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_class] = ACTIONS(1516),
    [anon_sym_async] = ACTIONS(1516),
    [anon_sym_function] = ACTIONS(1516),
    [anon_sym_new] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_void] = ACTIONS(1516),
    [anon_sym_delete] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [sym_number] = ACTIONS(1514),
    [sym_this] = ACTIONS(1516),
    [sym_super] = ACTIONS(1516),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [sym_null] = ACTIONS(1516),
    [sym_undefined] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1514),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_get] = ACTIONS(1516),
    [anon_sym_set] = ACTIONS(1516),
    [anon_sym_declare] = ACTIONS(1516),
    [anon_sym_public] = ACTIONS(1516),
    [anon_sym_private] = ACTIONS(1516),
    [anon_sym_protected] = ACTIONS(1516),
    [anon_sym_override] = ACTIONS(1516),
    [anon_sym_module] = ACTIONS(1516),
    [anon_sym_any] = ACTIONS(1516),
    [anon_sym_number] = ACTIONS(1516),
    [anon_sym_boolean] = ACTIONS(1516),
    [anon_sym_string] = ACTIONS(1516),
    [anon_sym_symbol] = ACTIONS(1516),
    [anon_sym_abstract] = ACTIONS(1516),
    [anon_sym_interface] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2369),
    [anon_sym_default] = ACTIONS(2369),
    [anon_sym_type] = ACTIONS(2369),
    [anon_sym_namespace] = ACTIONS(2369),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_typeof] = ACTIONS(2369),
    [anon_sym_import] = ACTIONS(2369),
    [anon_sym_var] = ACTIONS(2369),
    [anon_sym_let] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2369),
    [anon_sym_BANG] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(2369),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_switch] = ACTIONS(2369),
    [anon_sym_for] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_await] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2369),
    [anon_sym_do] = ACTIONS(2369),
    [anon_sym_try] = ACTIONS(2369),
    [anon_sym_with] = ACTIONS(2369),
    [anon_sym_break] = ACTIONS(2369),
    [anon_sym_continue] = ACTIONS(2369),
    [anon_sym_debugger] = ACTIONS(2369),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_throw] = ACTIONS(2369),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_case] = ACTIONS(2369),
    [anon_sym_yield] = ACTIONS(2369),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_LTtemplate_GT] = ACTIONS(2367),
    [anon_sym_LT] = ACTIONS(2369),
    [anon_sym_SLASH] = ACTIONS(2369),
    [anon_sym_class] = ACTIONS(2369),
    [anon_sym_async] = ACTIONS(2369),
    [anon_sym_function] = ACTIONS(2369),
    [anon_sym_new] = ACTIONS(2369),
    [anon_sym_PLUS] = ACTIONS(2369),
    [anon_sym_DASH] = ACTIONS(2369),
    [anon_sym_TILDE] = ACTIONS(2367),
    [anon_sym_void] = ACTIONS(2369),
    [anon_sym_delete] = ACTIONS(2369),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2369),
    [anon_sym_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2367),
    [sym_number] = ACTIONS(2367),
    [sym_this] = ACTIONS(2369),
    [sym_super] = ACTIONS(2369),
    [sym_true] = ACTIONS(2369),
    [sym_false] = ACTIONS(2369),
    [sym_null] = ACTIONS(2369),
    [sym_undefined] = ACTIONS(2369),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_static] = ACTIONS(2369),
    [anon_sym_readonly] = ACTIONS(2369),
    [anon_sym_get] = ACTIONS(2369),
    [anon_sym_set] = ACTIONS(2369),
    [anon_sym_declare] = ACTIONS(2369),
    [anon_sym_public] = ACTIONS(2369),
    [anon_sym_private] = ACTIONS(2369),
    [anon_sym_protected] = ACTIONS(2369),
    [anon_sym_override] = ACTIONS(2369),
    [anon_sym_module] = ACTIONS(2369),
    [anon_sym_any] = ACTIONS(2369),
    [anon_sym_number] = ACTIONS(2369),
    [anon_sym_boolean] = ACTIONS(2369),
    [anon_sym_string] = ACTIONS(2369),
    [anon_sym_symbol] = ACTIONS(2369),
    [anon_sym_abstract] = ACTIONS(2369),
    [anon_sym_interface] = ACTIONS(2369),
    [anon_sym_enum] = ACTIONS(2369),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2383),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2385),
    [anon_sym_default] = ACTIONS(2385),
    [anon_sym_type] = ACTIONS(2385),
    [anon_sym_namespace] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_typeof] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2385),
    [anon_sym_var] = ACTIONS(2385),
    [anon_sym_let] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_BANG] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_await] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_do] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_with] = ACTIONS(2385),
    [anon_sym_break] = ACTIONS(2385),
    [anon_sym_continue] = ACTIONS(2385),
    [anon_sym_debugger] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_case] = ACTIONS(2385),
    [anon_sym_yield] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_LTtemplate_GT] = ACTIONS(2383),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_class] = ACTIONS(2385),
    [anon_sym_async] = ACTIONS(2385),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_new] = ACTIONS(2385),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2383),
    [anon_sym_void] = ACTIONS(2385),
    [anon_sym_delete] = ACTIONS(2385),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2383),
    [sym_number] = ACTIONS(2383),
    [sym_this] = ACTIONS(2385),
    [sym_super] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_null] = ACTIONS(2385),
    [sym_undefined] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_static] = ACTIONS(2385),
    [anon_sym_readonly] = ACTIONS(2385),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_declare] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_module] = ACTIONS(2385),
    [anon_sym_any] = ACTIONS(2385),
    [anon_sym_number] = ACTIONS(2385),
    [anon_sym_boolean] = ACTIONS(2385),
    [anon_sym_string] = ACTIONS(2385),
    [anon_sym_symbol] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_interface] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_export] = ACTIONS(2389),
    [anon_sym_default] = ACTIONS(2389),
    [anon_sym_type] = ACTIONS(2389),
    [anon_sym_namespace] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_typeof] = ACTIONS(2389),
    [anon_sym_import] = ACTIONS(2389),
    [anon_sym_var] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_BANG] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_do] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_with] = ACTIONS(2389),
    [anon_sym_break] = ACTIONS(2389),
    [anon_sym_continue] = ACTIONS(2389),
    [anon_sym_debugger] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_case] = ACTIONS(2389),
    [anon_sym_yield] = ACTIONS(2389),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_LTtemplate_GT] = ACTIONS(2387),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_class] = ACTIONS(2389),
    [anon_sym_async] = ACTIONS(2389),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_TILDE] = ACTIONS(2387),
    [anon_sym_void] = ACTIONS(2389),
    [anon_sym_delete] = ACTIONS(2389),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2387),
    [sym_number] = ACTIONS(2387),
    [sym_this] = ACTIONS(2389),
    [sym_super] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_null] = ACTIONS(2389),
    [sym_undefined] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_static] = ACTIONS(2389),
    [anon_sym_readonly] = ACTIONS(2389),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_declare] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_module] = ACTIONS(2389),
    [anon_sym_any] = ACTIONS(2389),
    [anon_sym_number] = ACTIONS(2389),
    [anon_sym_boolean] = ACTIONS(2389),
    [anon_sym_string] = ACTIONS(2389),
    [anon_sym_symbol] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_interface] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_export] = ACTIONS(2393),
    [anon_sym_default] = ACTIONS(2393),
    [anon_sym_type] = ACTIONS(2393),
    [anon_sym_namespace] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_typeof] = ACTIONS(2393),
    [anon_sym_import] = ACTIONS(2393),
    [anon_sym_var] = ACTIONS(2393),
    [anon_sym_let] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_BANG] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_await] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_do] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_with] = ACTIONS(2393),
    [anon_sym_break] = ACTIONS(2393),
    [anon_sym_continue] = ACTIONS(2393),
    [anon_sym_debugger] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_case] = ACTIONS(2393),
    [anon_sym_yield] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_LTtemplate_GT] = ACTIONS(2391),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_class] = ACTIONS(2393),
    [anon_sym_async] = ACTIONS(2393),
    [anon_sym_function] = ACTIONS(2393),
    [anon_sym_new] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2391),
    [anon_sym_void] = ACTIONS(2393),
    [anon_sym_delete] = ACTIONS(2393),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2391),
    [sym_number] = ACTIONS(2391),
    [sym_this] = ACTIONS(2393),
    [sym_super] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_undefined] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_static] = ACTIONS(2393),
    [anon_sym_readonly] = ACTIONS(2393),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_declare] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_module] = ACTIONS(2393),
    [anon_sym_any] = ACTIONS(2393),
    [anon_sym_number] = ACTIONS(2393),
    [anon_sym_boolean] = ACTIONS(2393),
    [anon_sym_string] = ACTIONS(2393),
    [anon_sym_symbol] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_interface] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(2395),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2397),
    [anon_sym_type] = ACTIONS(2397),
    [anon_sym_namespace] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2395),
    [anon_sym_RBRACE] = ACTIONS(2395),
    [anon_sym_typeof] = ACTIONS(2397),
    [anon_sym_import] = ACTIONS(2397),
    [anon_sym_var] = ACTIONS(2397),
    [anon_sym_let] = ACTIONS(2397),
    [anon_sym_const] = ACTIONS(2397),
    [anon_sym_BANG] = ACTIONS(2395),
    [anon_sym_else] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2395),
    [anon_sym_await] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_do] = ACTIONS(2397),
    [anon_sym_try] = ACTIONS(2397),
    [anon_sym_with] = ACTIONS(2397),
    [anon_sym_break] = ACTIONS(2397),
    [anon_sym_continue] = ACTIONS(2397),
    [anon_sym_debugger] = ACTIONS(2397),
    [anon_sym_return] = ACTIONS(2397),
    [anon_sym_throw] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2395),
    [anon_sym_case] = ACTIONS(2397),
    [anon_sym_yield] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_LTtemplate_GT] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_SLASH] = ACTIONS(2397),
    [anon_sym_class] = ACTIONS(2397),
    [anon_sym_async] = ACTIONS(2397),
    [anon_sym_function] = ACTIONS(2397),
    [anon_sym_new] = ACTIONS(2397),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_TILDE] = ACTIONS(2395),
    [anon_sym_void] = ACTIONS(2397),
    [anon_sym_delete] = ACTIONS(2397),
    [anon_sym_PLUS_PLUS] = ACTIONS(2395),
    [anon_sym_DASH_DASH] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2395),
    [sym_number] = ACTIONS(2395),
    [sym_this] = ACTIONS(2397),
    [sym_super] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_null] = ACTIONS(2397),
    [sym_undefined] = ACTIONS(2397),
    [anon_sym_AT] = ACTIONS(2395),
    [anon_sym_static] = ACTIONS(2397),
    [anon_sym_readonly] = ACTIONS(2397),
    [anon_sym_get] = ACTIONS(2397),
    [anon_sym_set] = ACTIONS(2397),
    [anon_sym_declare] = ACTIONS(2397),
    [anon_sym_public] = ACTIONS(2397),
    [anon_sym_private] = ACTIONS(2397),
    [anon_sym_protected] = ACTIONS(2397),
    [anon_sym_override] = ACTIONS(2397),
    [anon_sym_module] = ACTIONS(2397),
    [anon_sym_any] = ACTIONS(2397),
    [anon_sym_number] = ACTIONS(2397),
    [anon_sym_boolean] = ACTIONS(2397),
    [anon_sym_string] = ACTIONS(2397),
    [anon_sym_symbol] = ACTIONS(2397),
    [anon_sym_abstract] = ACTIONS(2397),
    [anon_sym_interface] = ACTIONS(2397),
    [anon_sym_enum] = ACTIONS(2397),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(2399),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_export] = ACTIONS(2401),
    [anon_sym_default] = ACTIONS(2401),
    [anon_sym_type] = ACTIONS(2401),
    [anon_sym_namespace] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_RBRACE] = ACTIONS(2399),
    [anon_sym_typeof] = ACTIONS(2401),
    [anon_sym_import] = ACTIONS(2401),
    [anon_sym_var] = ACTIONS(2401),
    [anon_sym_let] = ACTIONS(2401),
    [anon_sym_const] = ACTIONS(2401),
    [anon_sym_BANG] = ACTIONS(2399),
    [anon_sym_else] = ACTIONS(2401),
    [anon_sym_if] = ACTIONS(2401),
    [anon_sym_switch] = ACTIONS(2401),
    [anon_sym_for] = ACTIONS(2401),
    [anon_sym_LPAREN] = ACTIONS(2399),
    [anon_sym_await] = ACTIONS(2401),
    [anon_sym_while] = ACTIONS(2401),
    [anon_sym_do] = ACTIONS(2401),
    [anon_sym_try] = ACTIONS(2401),
    [anon_sym_with] = ACTIONS(2401),
    [anon_sym_break] = ACTIONS(2401),
    [anon_sym_continue] = ACTIONS(2401),
    [anon_sym_debugger] = ACTIONS(2401),
    [anon_sym_return] = ACTIONS(2401),
    [anon_sym_throw] = ACTIONS(2401),
    [anon_sym_SEMI] = ACTIONS(2399),
    [anon_sym_case] = ACTIONS(2401),
    [anon_sym_yield] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [anon_sym_LTtemplate_GT] = ACTIONS(2399),
    [anon_sym_LT] = ACTIONS(2401),
    [anon_sym_SLASH] = ACTIONS(2401),
    [anon_sym_class] = ACTIONS(2401),
    [anon_sym_async] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2401),
    [anon_sym_new] = ACTIONS(2401),
    [anon_sym_PLUS] = ACTIONS(2401),
    [anon_sym_DASH] = ACTIONS(2401),
    [anon_sym_TILDE] = ACTIONS(2399),
    [anon_sym_void] = ACTIONS(2401),
    [anon_sym_delete] = ACTIONS(2401),
    [anon_sym_PLUS_PLUS] = ACTIONS(2399),
    [anon_sym_DASH_DASH] = ACTIONS(2401),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [anon_sym_SQUOTE] = ACTIONS(2399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2399),
    [sym_number] = ACTIONS(2399),
    [sym_this] = ACTIONS(2401),
    [sym_super] = ACTIONS(2401),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [sym_null] = ACTIONS(2401),
    [sym_undefined] = ACTIONS(2401),
    [anon_sym_AT] = ACTIONS(2399),
    [anon_sym_static] = ACTIONS(2401),
    [anon_sym_readonly] = ACTIONS(2401),
    [anon_sym_get] = ACTIONS(2401),
    [anon_sym_set] = ACTIONS(2401),
    [anon_sym_declare] = ACTIONS(2401),
    [anon_sym_public] = ACTIONS(2401),
    [anon_sym_private] = ACTIONS(2401),
    [anon_sym_protected] = ACTIONS(2401),
    [anon_sym_override] = ACTIONS(2401),
    [anon_sym_module] = ACTIONS(2401),
    [anon_sym_any] = ACTIONS(2401),
    [anon_sym_number] = ACTIONS(2401),
    [anon_sym_boolean] = ACTIONS(2401),
    [anon_sym_string] = ACTIONS(2401),
    [anon_sym_symbol] = ACTIONS(2401),
    [anon_sym_abstract] = ACTIONS(2401),
    [anon_sym_interface] = ACTIONS(2401),
    [anon_sym_enum] = ACTIONS(2401),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2399),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_export] = ACTIONS(2401),
    [anon_sym_default] = ACTIONS(2401),
    [anon_sym_type] = ACTIONS(2401),
    [anon_sym_namespace] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_RBRACE] = ACTIONS(2399),
    [anon_sym_typeof] = ACTIONS(2401),
    [anon_sym_import] = ACTIONS(2401),
    [anon_sym_var] = ACTIONS(2401),
    [anon_sym_let] = ACTIONS(2401),
    [anon_sym_const] = ACTIONS(2401),
    [anon_sym_BANG] = ACTIONS(2399),
    [anon_sym_else] = ACTIONS(2401),
    [anon_sym_if] = ACTIONS(2401),
    [anon_sym_switch] = ACTIONS(2401),
    [anon_sym_for] = ACTIONS(2401),
    [anon_sym_LPAREN] = ACTIONS(2399),
    [anon_sym_await] = ACTIONS(2401),
    [anon_sym_while] = ACTIONS(2401),
    [anon_sym_do] = ACTIONS(2401),
    [anon_sym_try] = ACTIONS(2401),
    [anon_sym_with] = ACTIONS(2401),
    [anon_sym_break] = ACTIONS(2401),
    [anon_sym_continue] = ACTIONS(2401),
    [anon_sym_debugger] = ACTIONS(2401),
    [anon_sym_return] = ACTIONS(2401),
    [anon_sym_throw] = ACTIONS(2401),
    [anon_sym_SEMI] = ACTIONS(2399),
    [anon_sym_case] = ACTIONS(2401),
    [anon_sym_yield] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [anon_sym_LTtemplate_GT] = ACTIONS(2399),
    [anon_sym_LT] = ACTIONS(2401),
    [anon_sym_SLASH] = ACTIONS(2401),
    [anon_sym_class] = ACTIONS(2401),
    [anon_sym_async] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2401),
    [anon_sym_new] = ACTIONS(2401),
    [anon_sym_PLUS] = ACTIONS(2401),
    [anon_sym_DASH] = ACTIONS(2401),
    [anon_sym_TILDE] = ACTIONS(2399),
    [anon_sym_void] = ACTIONS(2401),
    [anon_sym_delete] = ACTIONS(2401),
    [anon_sym_PLUS_PLUS] = ACTIONS(2399),
    [anon_sym_DASH_DASH] = ACTIONS(2401),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [anon_sym_SQUOTE] = ACTIONS(2399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2399),
    [sym_number] = ACTIONS(2399),
    [sym_this] = ACTIONS(2401),
    [sym_super] = ACTIONS(2401),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [sym_null] = ACTIONS(2401),
    [sym_undefined] = ACTIONS(2401),
    [anon_sym_AT] = ACTIONS(2399),
    [anon_sym_static] = ACTIONS(2401),
    [anon_sym_readonly] = ACTIONS(2401),
    [anon_sym_get] = ACTIONS(2401),
    [anon_sym_set] = ACTIONS(2401),
    [anon_sym_declare] = ACTIONS(2401),
    [anon_sym_public] = ACTIONS(2401),
    [anon_sym_private] = ACTIONS(2401),
    [anon_sym_protected] = ACTIONS(2401),
    [anon_sym_override] = ACTIONS(2401),
    [anon_sym_module] = ACTIONS(2401),
    [anon_sym_any] = ACTIONS(2401),
    [anon_sym_number] = ACTIONS(2401),
    [anon_sym_boolean] = ACTIONS(2401),
    [anon_sym_string] = ACTIONS(2401),
    [anon_sym_symbol] = ACTIONS(2401),
    [anon_sym_abstract] = ACTIONS(2401),
    [anon_sym_interface] = ACTIONS(2401),
    [anon_sym_enum] = ACTIONS(2401),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2403),
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_export] = ACTIONS(2405),
    [anon_sym_default] = ACTIONS(2405),
    [anon_sym_type] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_RBRACE] = ACTIONS(2403),
    [anon_sym_typeof] = ACTIONS(2405),
    [anon_sym_import] = ACTIONS(2405),
    [anon_sym_var] = ACTIONS(2405),
    [anon_sym_let] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(2405),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_else] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2405),
    [anon_sym_switch] = ACTIONS(2405),
    [anon_sym_for] = ACTIONS(2405),
    [anon_sym_LPAREN] = ACTIONS(2403),
    [anon_sym_await] = ACTIONS(2405),
    [anon_sym_while] = ACTIONS(2405),
    [anon_sym_do] = ACTIONS(2405),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_with] = ACTIONS(2405),
    [anon_sym_break] = ACTIONS(2405),
    [anon_sym_continue] = ACTIONS(2405),
    [anon_sym_debugger] = ACTIONS(2405),
    [anon_sym_return] = ACTIONS(2405),
    [anon_sym_throw] = ACTIONS(2405),
    [anon_sym_SEMI] = ACTIONS(2403),
    [anon_sym_case] = ACTIONS(2405),
    [anon_sym_yield] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_LTtemplate_GT] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2405),
    [anon_sym_SLASH] = ACTIONS(2405),
    [anon_sym_class] = ACTIONS(2405),
    [anon_sym_async] = ACTIONS(2405),
    [anon_sym_function] = ACTIONS(2405),
    [anon_sym_new] = ACTIONS(2405),
    [anon_sym_PLUS] = ACTIONS(2405),
    [anon_sym_DASH] = ACTIONS(2405),
    [anon_sym_TILDE] = ACTIONS(2403),
    [anon_sym_void] = ACTIONS(2405),
    [anon_sym_delete] = ACTIONS(2405),
    [anon_sym_PLUS_PLUS] = ACTIONS(2403),
    [anon_sym_DASH_DASH] = ACTIONS(2405),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2403),
    [sym_number] = ACTIONS(2403),
    [sym_this] = ACTIONS(2405),
    [sym_super] = ACTIONS(2405),
    [sym_true] = ACTIONS(2405),
    [sym_false] = ACTIONS(2405),
    [sym_null] = ACTIONS(2405),
    [sym_undefined] = ACTIONS(2405),
    [anon_sym_AT] = ACTIONS(2403),
    [anon_sym_static] = ACTIONS(2405),
    [anon_sym_readonly] = ACTIONS(2405),
    [anon_sym_get] = ACTIONS(2405),
    [anon_sym_set] = ACTIONS(2405),
    [anon_sym_declare] = ACTIONS(2405),
    [anon_sym_public] = ACTIONS(2405),
    [anon_sym_private] = ACTIONS(2405),
    [anon_sym_protected] = ACTIONS(2405),
    [anon_sym_override] = ACTIONS(2405),
    [anon_sym_module] = ACTIONS(2405),
    [anon_sym_any] = ACTIONS(2405),
    [anon_sym_number] = ACTIONS(2405),
    [anon_sym_boolean] = ACTIONS(2405),
    [anon_sym_string] = ACTIONS(2405),
    [anon_sym_symbol] = ACTIONS(2405),
    [anon_sym_abstract] = ACTIONS(2405),
    [anon_sym_interface] = ACTIONS(2405),
    [anon_sym_enum] = ACTIONS(2405),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_this] = ACTIONS(2289),
    [sym_super] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [sym_false] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_declare] = ACTIONS(2289),
    [anon_sym_public] = ACTIONS(2289),
    [anon_sym_private] = ACTIONS(2289),
    [anon_sym_protected] = ACTIONS(2289),
    [anon_sym_override] = ACTIONS(2289),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_any] = ACTIONS(2289),
    [anon_sym_number] = ACTIONS(2289),
    [anon_sym_boolean] = ACTIONS(2289),
    [anon_sym_string] = ACTIONS(2289),
    [anon_sym_symbol] = ACTIONS(2289),
    [anon_sym_abstract] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2289),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2407),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2409),
    [anon_sym_default] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2409),
    [anon_sym_namespace] = ACTIONS(2409),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_RBRACE] = ACTIONS(2407),
    [anon_sym_typeof] = ACTIONS(2409),
    [anon_sym_import] = ACTIONS(2409),
    [anon_sym_var] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_const] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2407),
    [anon_sym_await] = ACTIONS(2409),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_do] = ACTIONS(2409),
    [anon_sym_try] = ACTIONS(2409),
    [anon_sym_with] = ACTIONS(2409),
    [anon_sym_break] = ACTIONS(2409),
    [anon_sym_continue] = ACTIONS(2409),
    [anon_sym_debugger] = ACTIONS(2409),
    [anon_sym_return] = ACTIONS(2409),
    [anon_sym_throw] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2409),
    [anon_sym_yield] = ACTIONS(2409),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_LTtemplate_GT] = ACTIONS(2407),
    [anon_sym_LT] = ACTIONS(2409),
    [anon_sym_SLASH] = ACTIONS(2409),
    [anon_sym_class] = ACTIONS(2409),
    [anon_sym_async] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2409),
    [anon_sym_new] = ACTIONS(2409),
    [anon_sym_PLUS] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_void] = ACTIONS(2409),
    [anon_sym_delete] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2407),
    [anon_sym_SQUOTE] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2407),
    [sym_number] = ACTIONS(2407),
    [sym_this] = ACTIONS(2409),
    [sym_super] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_null] = ACTIONS(2409),
    [sym_undefined] = ACTIONS(2409),
    [anon_sym_AT] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2409),
    [anon_sym_readonly] = ACTIONS(2409),
    [anon_sym_get] = ACTIONS(2409),
    [anon_sym_set] = ACTIONS(2409),
    [anon_sym_declare] = ACTIONS(2409),
    [anon_sym_public] = ACTIONS(2409),
    [anon_sym_private] = ACTIONS(2409),
    [anon_sym_protected] = ACTIONS(2409),
    [anon_sym_override] = ACTIONS(2409),
    [anon_sym_module] = ACTIONS(2409),
    [anon_sym_any] = ACTIONS(2409),
    [anon_sym_number] = ACTIONS(2409),
    [anon_sym_boolean] = ACTIONS(2409),
    [anon_sym_string] = ACTIONS(2409),
    [anon_sym_symbol] = ACTIONS(2409),
    [anon_sym_abstract] = ACTIONS(2409),
    [anon_sym_interface] = ACTIONS(2409),
    [anon_sym_enum] = ACTIONS(2409),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(2411),
    [sym_identifier] = ACTIONS(2413),
    [anon_sym_export] = ACTIONS(2413),
    [anon_sym_default] = ACTIONS(2413),
    [anon_sym_type] = ACTIONS(2413),
    [anon_sym_namespace] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2411),
    [anon_sym_typeof] = ACTIONS(2413),
    [anon_sym_import] = ACTIONS(2413),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_BANG] = ACTIONS(2411),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2411),
    [anon_sym_await] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_do] = ACTIONS(2413),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_with] = ACTIONS(2413),
    [anon_sym_break] = ACTIONS(2413),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_debugger] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2413),
    [anon_sym_throw] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2411),
    [anon_sym_case] = ACTIONS(2413),
    [anon_sym_yield] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [anon_sym_LTtemplate_GT] = ACTIONS(2411),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_async] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_new] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_void] = ACTIONS(2413),
    [anon_sym_delete] = ACTIONS(2413),
    [anon_sym_PLUS_PLUS] = ACTIONS(2411),
    [anon_sym_DASH_DASH] = ACTIONS(2413),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_number] = ACTIONS(2411),
    [sym_this] = ACTIONS(2413),
    [sym_super] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_undefined] = ACTIONS(2413),
    [anon_sym_AT] = ACTIONS(2411),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_readonly] = ACTIONS(2413),
    [anon_sym_get] = ACTIONS(2413),
    [anon_sym_set] = ACTIONS(2413),
    [anon_sym_declare] = ACTIONS(2413),
    [anon_sym_public] = ACTIONS(2413),
    [anon_sym_private] = ACTIONS(2413),
    [anon_sym_protected] = ACTIONS(2413),
    [anon_sym_override] = ACTIONS(2413),
    [anon_sym_module] = ACTIONS(2413),
    [anon_sym_any] = ACTIONS(2413),
    [anon_sym_number] = ACTIONS(2413),
    [anon_sym_boolean] = ACTIONS(2413),
    [anon_sym_string] = ACTIONS(2413),
    [anon_sym_symbol] = ACTIONS(2413),
    [anon_sym_abstract] = ACTIONS(2413),
    [anon_sym_interface] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2411),
    [sym_identifier] = ACTIONS(2413),
    [anon_sym_export] = ACTIONS(2413),
    [anon_sym_default] = ACTIONS(2413),
    [anon_sym_type] = ACTIONS(2413),
    [anon_sym_namespace] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2411),
    [anon_sym_typeof] = ACTIONS(2413),
    [anon_sym_import] = ACTIONS(2413),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_BANG] = ACTIONS(2411),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2411),
    [anon_sym_await] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_do] = ACTIONS(2413),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_with] = ACTIONS(2413),
    [anon_sym_break] = ACTIONS(2413),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_debugger] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2413),
    [anon_sym_throw] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2411),
    [anon_sym_case] = ACTIONS(2413),
    [anon_sym_yield] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [anon_sym_LTtemplate_GT] = ACTIONS(2411),
    [anon_sym_LT] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_async] = ACTIONS(2413),
    [anon_sym_function] = ACTIONS(2413),
    [anon_sym_new] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_void] = ACTIONS(2413),
    [anon_sym_delete] = ACTIONS(2413),
    [anon_sym_PLUS_PLUS] = ACTIONS(2411),
    [anon_sym_DASH_DASH] = ACTIONS(2413),
    [anon_sym_DQUOTE] = ACTIONS(2411),
    [anon_sym_SQUOTE] = ACTIONS(2411),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2411),
    [sym_number] = ACTIONS(2411),
    [sym_this] = ACTIONS(2413),
    [sym_super] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_null] = ACTIONS(2413),
    [sym_undefined] = ACTIONS(2413),
    [anon_sym_AT] = ACTIONS(2411),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_readonly] = ACTIONS(2413),
    [anon_sym_get] = ACTIONS(2413),
    [anon_sym_set] = ACTIONS(2413),
    [anon_sym_declare] = ACTIONS(2413),
    [anon_sym_public] = ACTIONS(2413),
    [anon_sym_private] = ACTIONS(2413),
    [anon_sym_protected] = ACTIONS(2413),
    [anon_sym_override] = ACTIONS(2413),
    [anon_sym_module] = ACTIONS(2413),
    [anon_sym_any] = ACTIONS(2413),
    [anon_sym_number] = ACTIONS(2413),
    [anon_sym_boolean] = ACTIONS(2413),
    [anon_sym_string] = ACTIONS(2413),
    [anon_sym_symbol] = ACTIONS(2413),
    [anon_sym_abstract] = ACTIONS(2413),
    [anon_sym_interface] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(2415),
    [sym_identifier] = ACTIONS(2417),
    [anon_sym_export] = ACTIONS(2417),
    [anon_sym_default] = ACTIONS(2417),
    [anon_sym_type] = ACTIONS(2417),
    [anon_sym_namespace] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2415),
    [anon_sym_RBRACE] = ACTIONS(2415),
    [anon_sym_typeof] = ACTIONS(2417),
    [anon_sym_import] = ACTIONS(2417),
    [anon_sym_var] = ACTIONS(2417),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_else] = ACTIONS(2417),
    [anon_sym_if] = ACTIONS(2417),
    [anon_sym_switch] = ACTIONS(2417),
    [anon_sym_for] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_await] = ACTIONS(2417),
    [anon_sym_while] = ACTIONS(2417),
    [anon_sym_do] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2417),
    [anon_sym_with] = ACTIONS(2417),
    [anon_sym_break] = ACTIONS(2417),
    [anon_sym_continue] = ACTIONS(2417),
    [anon_sym_debugger] = ACTIONS(2417),
    [anon_sym_return] = ACTIONS(2417),
    [anon_sym_throw] = ACTIONS(2417),
    [anon_sym_SEMI] = ACTIONS(2415),
    [anon_sym_case] = ACTIONS(2417),
    [anon_sym_yield] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_LTtemplate_GT] = ACTIONS(2415),
    [anon_sym_LT] = ACTIONS(2417),
    [anon_sym_SLASH] = ACTIONS(2417),
    [anon_sym_class] = ACTIONS(2417),
    [anon_sym_async] = ACTIONS(2417),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_new] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2417),
    [anon_sym_DASH] = ACTIONS(2417),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_void] = ACTIONS(2417),
    [anon_sym_delete] = ACTIONS(2417),
    [anon_sym_PLUS_PLUS] = ACTIONS(2415),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_DQUOTE] = ACTIONS(2415),
    [anon_sym_SQUOTE] = ACTIONS(2415),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2415),
    [sym_number] = ACTIONS(2415),
    [sym_this] = ACTIONS(2417),
    [sym_super] = ACTIONS(2417),
    [sym_true] = ACTIONS(2417),
    [sym_false] = ACTIONS(2417),
    [sym_null] = ACTIONS(2417),
    [sym_undefined] = ACTIONS(2417),
    [anon_sym_AT] = ACTIONS(2415),
    [anon_sym_static] = ACTIONS(2417),
    [anon_sym_readonly] = ACTIONS(2417),
    [anon_sym_get] = ACTIONS(2417),
    [anon_sym_set] = ACTIONS(2417),
    [anon_sym_declare] = ACTIONS(2417),
    [anon_sym_public] = ACTIONS(2417),
    [anon_sym_private] = ACTIONS(2417),
    [anon_sym_protected] = ACTIONS(2417),
    [anon_sym_override] = ACTIONS(2417),
    [anon_sym_module] = ACTIONS(2417),
    [anon_sym_any] = ACTIONS(2417),
    [anon_sym_number] = ACTIONS(2417),
    [anon_sym_boolean] = ACTIONS(2417),
    [anon_sym_string] = ACTIONS(2417),
    [anon_sym_symbol] = ACTIONS(2417),
    [anon_sym_abstract] = ACTIONS(2417),
    [anon_sym_interface] = ACTIONS(2417),
    [anon_sym_enum] = ACTIONS(2417),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(2419),
    [sym_identifier] = ACTIONS(2421),
    [anon_sym_export] = ACTIONS(2421),
    [anon_sym_default] = ACTIONS(2421),
    [anon_sym_type] = ACTIONS(2421),
    [anon_sym_namespace] = ACTIONS(2421),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_RBRACE] = ACTIONS(2419),
    [anon_sym_typeof] = ACTIONS(2421),
    [anon_sym_import] = ACTIONS(2421),
    [anon_sym_var] = ACTIONS(2421),
    [anon_sym_let] = ACTIONS(2421),
    [anon_sym_const] = ACTIONS(2421),
    [anon_sym_BANG] = ACTIONS(2419),
    [anon_sym_else] = ACTIONS(2421),
    [anon_sym_if] = ACTIONS(2421),
    [anon_sym_switch] = ACTIONS(2421),
    [anon_sym_for] = ACTIONS(2421),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_await] = ACTIONS(2421),
    [anon_sym_while] = ACTIONS(2421),
    [anon_sym_do] = ACTIONS(2421),
    [anon_sym_try] = ACTIONS(2421),
    [anon_sym_with] = ACTIONS(2421),
    [anon_sym_break] = ACTIONS(2421),
    [anon_sym_continue] = ACTIONS(2421),
    [anon_sym_debugger] = ACTIONS(2421),
    [anon_sym_return] = ACTIONS(2421),
    [anon_sym_throw] = ACTIONS(2421),
    [anon_sym_SEMI] = ACTIONS(2419),
    [anon_sym_case] = ACTIONS(2421),
    [anon_sym_yield] = ACTIONS(2421),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LTtemplate_GT] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_SLASH] = ACTIONS(2421),
    [anon_sym_class] = ACTIONS(2421),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2421),
    [anon_sym_new] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_void] = ACTIONS(2421),
    [anon_sym_delete] = ACTIONS(2421),
    [anon_sym_PLUS_PLUS] = ACTIONS(2419),
    [anon_sym_DASH_DASH] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2419),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2419),
    [sym_number] = ACTIONS(2419),
    [sym_this] = ACTIONS(2421),
    [sym_super] = ACTIONS(2421),
    [sym_true] = ACTIONS(2421),
    [sym_false] = ACTIONS(2421),
    [sym_null] = ACTIONS(2421),
    [sym_undefined] = ACTIONS(2421),
    [anon_sym_AT] = ACTIONS(2419),
    [anon_sym_static] = ACTIONS(2421),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(2421),
    [anon_sym_set] = ACTIONS(2421),
    [anon_sym_declare] = ACTIONS(2421),
    [anon_sym_public] = ACTIONS(2421),
    [anon_sym_private] = ACTIONS(2421),
    [anon_sym_protected] = ACTIONS(2421),
    [anon_sym_override] = ACTIONS(2421),
    [anon_sym_module] = ACTIONS(2421),
    [anon_sym_any] = ACTIONS(2421),
    [anon_sym_number] = ACTIONS(2421),
    [anon_sym_boolean] = ACTIONS(2421),
    [anon_sym_string] = ACTIONS(2421),
    [anon_sym_symbol] = ACTIONS(2421),
    [anon_sym_abstract] = ACTIONS(2421),
    [anon_sym_interface] = ACTIONS(2421),
    [anon_sym_enum] = ACTIONS(2421),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2423),
    [sym_identifier] = ACTIONS(2425),
    [anon_sym_export] = ACTIONS(2425),
    [anon_sym_default] = ACTIONS(2425),
    [anon_sym_type] = ACTIONS(2425),
    [anon_sym_namespace] = ACTIONS(2425),
    [anon_sym_LBRACE] = ACTIONS(2423),
    [anon_sym_RBRACE] = ACTIONS(2423),
    [anon_sym_typeof] = ACTIONS(2425),
    [anon_sym_import] = ACTIONS(2425),
    [anon_sym_var] = ACTIONS(2425),
    [anon_sym_let] = ACTIONS(2425),
    [anon_sym_const] = ACTIONS(2425),
    [anon_sym_BANG] = ACTIONS(2423),
    [anon_sym_else] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_for] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2423),
    [anon_sym_await] = ACTIONS(2425),
    [anon_sym_while] = ACTIONS(2425),
    [anon_sym_do] = ACTIONS(2425),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_with] = ACTIONS(2425),
    [anon_sym_break] = ACTIONS(2425),
    [anon_sym_continue] = ACTIONS(2425),
    [anon_sym_debugger] = ACTIONS(2425),
    [anon_sym_return] = ACTIONS(2425),
    [anon_sym_throw] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(2423),
    [anon_sym_case] = ACTIONS(2425),
    [anon_sym_yield] = ACTIONS(2425),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [anon_sym_LTtemplate_GT] = ACTIONS(2423),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2425),
    [anon_sym_class] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2425),
    [anon_sym_function] = ACTIONS(2425),
    [anon_sym_new] = ACTIONS(2425),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_TILDE] = ACTIONS(2423),
    [anon_sym_void] = ACTIONS(2425),
    [anon_sym_delete] = ACTIONS(2425),
    [anon_sym_PLUS_PLUS] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [anon_sym_SQUOTE] = ACTIONS(2423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2423),
    [sym_number] = ACTIONS(2423),
    [sym_this] = ACTIONS(2425),
    [sym_super] = ACTIONS(2425),
    [sym_true] = ACTIONS(2425),
    [sym_false] = ACTIONS(2425),
    [sym_null] = ACTIONS(2425),
    [sym_undefined] = ACTIONS(2425),
    [anon_sym_AT] = ACTIONS(2423),
    [anon_sym_static] = ACTIONS(2425),
    [anon_sym_readonly] = ACTIONS(2425),
    [anon_sym_get] = ACTIONS(2425),
    [anon_sym_set] = ACTIONS(2425),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_public] = ACTIONS(2425),
    [anon_sym_private] = ACTIONS(2425),
    [anon_sym_protected] = ACTIONS(2425),
    [anon_sym_override] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2425),
    [anon_sym_any] = ACTIONS(2425),
    [anon_sym_number] = ACTIONS(2425),
    [anon_sym_boolean] = ACTIONS(2425),
    [anon_sym_string] = ACTIONS(2425),
    [anon_sym_symbol] = ACTIONS(2425),
    [anon_sym_abstract] = ACTIONS(2425),
    [anon_sym_interface] = ACTIONS(2425),
    [anon_sym_enum] = ACTIONS(2425),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2427),
    [sym_identifier] = ACTIONS(2429),
    [anon_sym_export] = ACTIONS(2429),
    [anon_sym_default] = ACTIONS(2429),
    [anon_sym_type] = ACTIONS(2429),
    [anon_sym_namespace] = ACTIONS(2429),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [anon_sym_typeof] = ACTIONS(2429),
    [anon_sym_import] = ACTIONS(2429),
    [anon_sym_var] = ACTIONS(2429),
    [anon_sym_let] = ACTIONS(2429),
    [anon_sym_const] = ACTIONS(2429),
    [anon_sym_BANG] = ACTIONS(2427),
    [anon_sym_else] = ACTIONS(2429),
    [anon_sym_if] = ACTIONS(2429),
    [anon_sym_switch] = ACTIONS(2429),
    [anon_sym_for] = ACTIONS(2429),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_await] = ACTIONS(2429),
    [anon_sym_while] = ACTIONS(2429),
    [anon_sym_do] = ACTIONS(2429),
    [anon_sym_try] = ACTIONS(2429),
    [anon_sym_with] = ACTIONS(2429),
    [anon_sym_break] = ACTIONS(2429),
    [anon_sym_continue] = ACTIONS(2429),
    [anon_sym_debugger] = ACTIONS(2429),
    [anon_sym_return] = ACTIONS(2429),
    [anon_sym_throw] = ACTIONS(2429),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_case] = ACTIONS(2429),
    [anon_sym_yield] = ACTIONS(2429),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_LTtemplate_GT] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2429),
    [anon_sym_SLASH] = ACTIONS(2429),
    [anon_sym_class] = ACTIONS(2429),
    [anon_sym_async] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_new] = ACTIONS(2429),
    [anon_sym_PLUS] = ACTIONS(2429),
    [anon_sym_DASH] = ACTIONS(2429),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_void] = ACTIONS(2429),
    [anon_sym_delete] = ACTIONS(2429),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2427),
    [anon_sym_SQUOTE] = ACTIONS(2427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2427),
    [sym_number] = ACTIONS(2427),
    [sym_this] = ACTIONS(2429),
    [sym_super] = ACTIONS(2429),
    [sym_true] = ACTIONS(2429),
    [sym_false] = ACTIONS(2429),
    [sym_null] = ACTIONS(2429),
    [sym_undefined] = ACTIONS(2429),
    [anon_sym_AT] = ACTIONS(2427),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2429),
    [anon_sym_get] = ACTIONS(2429),
    [anon_sym_set] = ACTIONS(2429),
    [anon_sym_declare] = ACTIONS(2429),
    [anon_sym_public] = ACTIONS(2429),
    [anon_sym_private] = ACTIONS(2429),
    [anon_sym_protected] = ACTIONS(2429),
    [anon_sym_override] = ACTIONS(2429),
    [anon_sym_module] = ACTIONS(2429),
    [anon_sym_any] = ACTIONS(2429),
    [anon_sym_number] = ACTIONS(2429),
    [anon_sym_boolean] = ACTIONS(2429),
    [anon_sym_string] = ACTIONS(2429),
    [anon_sym_symbol] = ACTIONS(2429),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_interface] = ACTIONS(2429),
    [anon_sym_enum] = ACTIONS(2429),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(2431),
    [sym_identifier] = ACTIONS(2433),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_default] = ACTIONS(2433),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(2431),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_typeof] = ACTIONS(2433),
    [anon_sym_import] = ACTIONS(2433),
    [anon_sym_var] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_const] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(2431),
    [anon_sym_else] = ACTIONS(2433),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_for] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2431),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(2433),
    [anon_sym_do] = ACTIONS(2433),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_with] = ACTIONS(2433),
    [anon_sym_break] = ACTIONS(2433),
    [anon_sym_continue] = ACTIONS(2433),
    [anon_sym_debugger] = ACTIONS(2433),
    [anon_sym_return] = ACTIONS(2433),
    [anon_sym_throw] = ACTIONS(2433),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_case] = ACTIONS(2433),
    [anon_sym_yield] = ACTIONS(2433),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [anon_sym_LTtemplate_GT] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_class] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_function] = ACTIONS(2433),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_TILDE] = ACTIONS(2431),
    [anon_sym_void] = ACTIONS(2433),
    [anon_sym_delete] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [anon_sym_SQUOTE] = ACTIONS(2431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2431),
    [sym_number] = ACTIONS(2431),
    [sym_this] = ACTIONS(2433),
    [sym_super] = ACTIONS(2433),
    [sym_true] = ACTIONS(2433),
    [sym_false] = ACTIONS(2433),
    [sym_null] = ACTIONS(2433),
    [sym_undefined] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_abstract] = ACTIONS(2433),
    [anon_sym_interface] = ACTIONS(2433),
    [anon_sym_enum] = ACTIONS(2433),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(2435),
    [sym_identifier] = ACTIONS(2437),
    [anon_sym_export] = ACTIONS(2437),
    [anon_sym_default] = ACTIONS(2437),
    [anon_sym_type] = ACTIONS(2437),
    [anon_sym_namespace] = ACTIONS(2437),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_typeof] = ACTIONS(2437),
    [anon_sym_import] = ACTIONS(2437),
    [anon_sym_var] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2437),
    [anon_sym_const] = ACTIONS(2437),
    [anon_sym_BANG] = ACTIONS(2435),
    [anon_sym_else] = ACTIONS(2437),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_for] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2437),
    [anon_sym_do] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_with] = ACTIONS(2437),
    [anon_sym_break] = ACTIONS(2437),
    [anon_sym_continue] = ACTIONS(2437),
    [anon_sym_debugger] = ACTIONS(2437),
    [anon_sym_return] = ACTIONS(2437),
    [anon_sym_throw] = ACTIONS(2437),
    [anon_sym_SEMI] = ACTIONS(2435),
    [anon_sym_case] = ACTIONS(2437),
    [anon_sym_yield] = ACTIONS(2437),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_LTtemplate_GT] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2437),
    [anon_sym_SLASH] = ACTIONS(2437),
    [anon_sym_class] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2437),
    [anon_sym_PLUS] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2437),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_void] = ACTIONS(2437),
    [anon_sym_delete] = ACTIONS(2437),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2435),
    [sym_number] = ACTIONS(2435),
    [sym_this] = ACTIONS(2437),
    [sym_super] = ACTIONS(2437),
    [sym_true] = ACTIONS(2437),
    [sym_false] = ACTIONS(2437),
    [sym_null] = ACTIONS(2437),
    [sym_undefined] = ACTIONS(2437),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_static] = ACTIONS(2437),
    [anon_sym_readonly] = ACTIONS(2437),
    [anon_sym_get] = ACTIONS(2437),
    [anon_sym_set] = ACTIONS(2437),
    [anon_sym_declare] = ACTIONS(2437),
    [anon_sym_public] = ACTIONS(2437),
    [anon_sym_private] = ACTIONS(2437),
    [anon_sym_protected] = ACTIONS(2437),
    [anon_sym_override] = ACTIONS(2437),
    [anon_sym_module] = ACTIONS(2437),
    [anon_sym_any] = ACTIONS(2437),
    [anon_sym_number] = ACTIONS(2437),
    [anon_sym_boolean] = ACTIONS(2437),
    [anon_sym_string] = ACTIONS(2437),
    [anon_sym_symbol] = ACTIONS(2437),
    [anon_sym_abstract] = ACTIONS(2437),
    [anon_sym_interface] = ACTIONS(2437),
    [anon_sym_enum] = ACTIONS(2437),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(2439),
    [sym_identifier] = ACTIONS(2441),
    [anon_sym_export] = ACTIONS(2441),
    [anon_sym_default] = ACTIONS(2441),
    [anon_sym_type] = ACTIONS(2441),
    [anon_sym_namespace] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(2439),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_typeof] = ACTIONS(2441),
    [anon_sym_import] = ACTIONS(2441),
    [anon_sym_var] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2439),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_if] = ACTIONS(2441),
    [anon_sym_switch] = ACTIONS(2441),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_await] = ACTIONS(2441),
    [anon_sym_while] = ACTIONS(2441),
    [anon_sym_do] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_with] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2441),
    [anon_sym_continue] = ACTIONS(2441),
    [anon_sym_debugger] = ACTIONS(2441),
    [anon_sym_return] = ACTIONS(2441),
    [anon_sym_throw] = ACTIONS(2441),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_case] = ACTIONS(2441),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_LTtemplate_GT] = ACTIONS(2439),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_class] = ACTIONS(2441),
    [anon_sym_async] = ACTIONS(2441),
    [anon_sym_function] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_void] = ACTIONS(2441),
    [anon_sym_delete] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(2441),
    [anon_sym_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2439),
    [sym_number] = ACTIONS(2439),
    [sym_this] = ACTIONS(2441),
    [sym_super] = ACTIONS(2441),
    [sym_true] = ACTIONS(2441),
    [sym_false] = ACTIONS(2441),
    [sym_null] = ACTIONS(2441),
    [sym_undefined] = ACTIONS(2441),
    [anon_sym_AT] = ACTIONS(2439),
    [anon_sym_static] = ACTIONS(2441),
    [anon_sym_readonly] = ACTIONS(2441),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_declare] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_module] = ACTIONS(2441),
    [anon_sym_any] = ACTIONS(2441),
    [anon_sym_number] = ACTIONS(2441),
    [anon_sym_boolean] = ACTIONS(2441),
    [anon_sym_string] = ACTIONS(2441),
    [anon_sym_symbol] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_interface] = ACTIONS(2441),
    [anon_sym_enum] = ACTIONS(2441),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(2443),
    [sym_identifier] = ACTIONS(2445),
    [anon_sym_export] = ACTIONS(2445),
    [anon_sym_default] = ACTIONS(2445),
    [anon_sym_type] = ACTIONS(2445),
    [anon_sym_namespace] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2443),
    [anon_sym_RBRACE] = ACTIONS(2443),
    [anon_sym_typeof] = ACTIONS(2445),
    [anon_sym_import] = ACTIONS(2445),
    [anon_sym_var] = ACTIONS(2445),
    [anon_sym_let] = ACTIONS(2445),
    [anon_sym_const] = ACTIONS(2445),
    [anon_sym_BANG] = ACTIONS(2443),
    [anon_sym_else] = ACTIONS(2445),
    [anon_sym_if] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2445),
    [anon_sym_for] = ACTIONS(2445),
    [anon_sym_LPAREN] = ACTIONS(2443),
    [anon_sym_await] = ACTIONS(2445),
    [anon_sym_while] = ACTIONS(2445),
    [anon_sym_do] = ACTIONS(2445),
    [anon_sym_try] = ACTIONS(2445),
    [anon_sym_with] = ACTIONS(2445),
    [anon_sym_break] = ACTIONS(2445),
    [anon_sym_continue] = ACTIONS(2445),
    [anon_sym_debugger] = ACTIONS(2445),
    [anon_sym_return] = ACTIONS(2445),
    [anon_sym_throw] = ACTIONS(2445),
    [anon_sym_SEMI] = ACTIONS(2443),
    [anon_sym_case] = ACTIONS(2445),
    [anon_sym_yield] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_LTtemplate_GT] = ACTIONS(2443),
    [anon_sym_LT] = ACTIONS(2445),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_class] = ACTIONS(2445),
    [anon_sym_async] = ACTIONS(2445),
    [anon_sym_function] = ACTIONS(2445),
    [anon_sym_new] = ACTIONS(2445),
    [anon_sym_PLUS] = ACTIONS(2445),
    [anon_sym_DASH] = ACTIONS(2445),
    [anon_sym_TILDE] = ACTIONS(2443),
    [anon_sym_void] = ACTIONS(2445),
    [anon_sym_delete] = ACTIONS(2445),
    [anon_sym_PLUS_PLUS] = ACTIONS(2443),
    [anon_sym_DASH_DASH] = ACTIONS(2445),
    [anon_sym_DQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2443),
    [sym_number] = ACTIONS(2443),
    [sym_this] = ACTIONS(2445),
    [sym_super] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [sym_null] = ACTIONS(2445),
    [sym_undefined] = ACTIONS(2445),
    [anon_sym_AT] = ACTIONS(2443),
    [anon_sym_static] = ACTIONS(2445),
    [anon_sym_readonly] = ACTIONS(2445),
    [anon_sym_get] = ACTIONS(2445),
    [anon_sym_set] = ACTIONS(2445),
    [anon_sym_declare] = ACTIONS(2445),
    [anon_sym_public] = ACTIONS(2445),
    [anon_sym_private] = ACTIONS(2445),
    [anon_sym_protected] = ACTIONS(2445),
    [anon_sym_override] = ACTIONS(2445),
    [anon_sym_module] = ACTIONS(2445),
    [anon_sym_any] = ACTIONS(2445),
    [anon_sym_number] = ACTIONS(2445),
    [anon_sym_boolean] = ACTIONS(2445),
    [anon_sym_string] = ACTIONS(2445),
    [anon_sym_symbol] = ACTIONS(2445),
    [anon_sym_abstract] = ACTIONS(2445),
    [anon_sym_interface] = ACTIONS(2445),
    [anon_sym_enum] = ACTIONS(2445),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2447),
    [sym_identifier] = ACTIONS(2449),
    [anon_sym_export] = ACTIONS(2449),
    [anon_sym_default] = ACTIONS(2449),
    [anon_sym_type] = ACTIONS(2449),
    [anon_sym_namespace] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_RBRACE] = ACTIONS(2447),
    [anon_sym_typeof] = ACTIONS(2449),
    [anon_sym_import] = ACTIONS(2449),
    [anon_sym_var] = ACTIONS(2449),
    [anon_sym_let] = ACTIONS(2449),
    [anon_sym_const] = ACTIONS(2449),
    [anon_sym_BANG] = ACTIONS(2447),
    [anon_sym_else] = ACTIONS(2449),
    [anon_sym_if] = ACTIONS(2449),
    [anon_sym_switch] = ACTIONS(2449),
    [anon_sym_for] = ACTIONS(2449),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_await] = ACTIONS(2449),
    [anon_sym_while] = ACTIONS(2449),
    [anon_sym_do] = ACTIONS(2449),
    [anon_sym_try] = ACTIONS(2449),
    [anon_sym_with] = ACTIONS(2449),
    [anon_sym_break] = ACTIONS(2449),
    [anon_sym_continue] = ACTIONS(2449),
    [anon_sym_debugger] = ACTIONS(2449),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2449),
    [anon_sym_SEMI] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(2449),
    [anon_sym_yield] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_LTtemplate_GT] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2449),
    [anon_sym_class] = ACTIONS(2449),
    [anon_sym_async] = ACTIONS(2449),
    [anon_sym_function] = ACTIONS(2449),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_TILDE] = ACTIONS(2447),
    [anon_sym_void] = ACTIONS(2449),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_PLUS_PLUS] = ACTIONS(2447),
    [anon_sym_DASH_DASH] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2447),
    [anon_sym_SQUOTE] = ACTIONS(2447),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2447),
    [sym_number] = ACTIONS(2447),
    [sym_this] = ACTIONS(2449),
    [sym_super] = ACTIONS(2449),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [sym_null] = ACTIONS(2449),
    [sym_undefined] = ACTIONS(2449),
    [anon_sym_AT] = ACTIONS(2447),
    [anon_sym_static] = ACTIONS(2449),
    [anon_sym_readonly] = ACTIONS(2449),
    [anon_sym_get] = ACTIONS(2449),
    [anon_sym_set] = ACTIONS(2449),
    [anon_sym_declare] = ACTIONS(2449),
    [anon_sym_public] = ACTIONS(2449),
    [anon_sym_private] = ACTIONS(2449),
    [anon_sym_protected] = ACTIONS(2449),
    [anon_sym_override] = ACTIONS(2449),
    [anon_sym_module] = ACTIONS(2449),
    [anon_sym_any] = ACTIONS(2449),
    [anon_sym_number] = ACTIONS(2449),
    [anon_sym_boolean] = ACTIONS(2449),
    [anon_sym_string] = ACTIONS(2449),
    [anon_sym_symbol] = ACTIONS(2449),
    [anon_sym_abstract] = ACTIONS(2449),
    [anon_sym_interface] = ACTIONS(2449),
    [anon_sym_enum] = ACTIONS(2449),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(2451),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_export] = ACTIONS(2453),
    [anon_sym_default] = ACTIONS(2453),
    [anon_sym_type] = ACTIONS(2453),
    [anon_sym_namespace] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_RBRACE] = ACTIONS(2451),
    [anon_sym_typeof] = ACTIONS(2453),
    [anon_sym_import] = ACTIONS(2453),
    [anon_sym_var] = ACTIONS(2453),
    [anon_sym_let] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_BANG] = ACTIONS(2451),
    [anon_sym_else] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_switch] = ACTIONS(2453),
    [anon_sym_for] = ACTIONS(2453),
    [anon_sym_LPAREN] = ACTIONS(2451),
    [anon_sym_await] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2453),
    [anon_sym_do] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2453),
    [anon_sym_with] = ACTIONS(2453),
    [anon_sym_break] = ACTIONS(2453),
    [anon_sym_continue] = ACTIONS(2453),
    [anon_sym_debugger] = ACTIONS(2453),
    [anon_sym_return] = ACTIONS(2453),
    [anon_sym_throw] = ACTIONS(2453),
    [anon_sym_SEMI] = ACTIONS(2451),
    [anon_sym_case] = ACTIONS(2453),
    [anon_sym_yield] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2451),
    [anon_sym_LTtemplate_GT] = ACTIONS(2451),
    [anon_sym_LT] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_async] = ACTIONS(2453),
    [anon_sym_function] = ACTIONS(2453),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2451),
    [anon_sym_void] = ACTIONS(2453),
    [anon_sym_delete] = ACTIONS(2453),
    [anon_sym_PLUS_PLUS] = ACTIONS(2451),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_SQUOTE] = ACTIONS(2451),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2451),
    [sym_number] = ACTIONS(2451),
    [sym_this] = ACTIONS(2453),
    [sym_super] = ACTIONS(2453),
    [sym_true] = ACTIONS(2453),
    [sym_false] = ACTIONS(2453),
    [sym_null] = ACTIONS(2453),
    [sym_undefined] = ACTIONS(2453),
    [anon_sym_AT] = ACTIONS(2451),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_readonly] = ACTIONS(2453),
    [anon_sym_get] = ACTIONS(2453),
    [anon_sym_set] = ACTIONS(2453),
    [anon_sym_declare] = ACTIONS(2453),
    [anon_sym_public] = ACTIONS(2453),
    [anon_sym_private] = ACTIONS(2453),
    [anon_sym_protected] = ACTIONS(2453),
    [anon_sym_override] = ACTIONS(2453),
    [anon_sym_module] = ACTIONS(2453),
    [anon_sym_any] = ACTIONS(2453),
    [anon_sym_number] = ACTIONS(2453),
    [anon_sym_boolean] = ACTIONS(2453),
    [anon_sym_string] = ACTIONS(2453),
    [anon_sym_symbol] = ACTIONS(2453),
    [anon_sym_abstract] = ACTIONS(2453),
    [anon_sym_interface] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
  },
  [761] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3588),
    [sym_optional_tuple_parameter] = STATE(3588),
    [sym_optional_type] = STATE(3588),
    [sym_rest_type] = STATE(3588),
    [sym__tuple_type_member] = STATE(3588),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(2457),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2459),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [762] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3772),
    [sym_optional_tuple_parameter] = STATE(3772),
    [sym_optional_type] = STATE(3772),
    [sym_rest_type] = STATE(3772),
    [sym__tuple_type_member] = STATE(3772),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2467),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [763] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3562),
    [sym_optional_tuple_parameter] = STATE(3562),
    [sym_optional_type] = STATE(3562),
    [sym_rest_type] = STATE(3562),
    [sym__tuple_type_member] = STATE(3562),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(2469),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [764] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3611),
    [sym_optional_tuple_parameter] = STATE(3611),
    [sym_optional_type] = STATE(3611),
    [sym_rest_type] = STATE(3611),
    [sym__tuple_type_member] = STATE(3611),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(2473),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [765] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3766),
    [sym_optional_tuple_parameter] = STATE(3766),
    [sym_optional_type] = STATE(3766),
    [sym_rest_type] = STATE(3766),
    [sym__tuple_type_member] = STATE(3766),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(2477),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2479),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [766] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [767] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2483),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [768] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [769] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2487),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [770] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [771] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2491),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [772] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [773] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [774] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [775] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2499),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [776] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_rest_pattern] = STATE(3904),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3016),
    [sym_tuple_parameter] = STATE(3958),
    [sym_optional_tuple_parameter] = STATE(3958),
    [sym_optional_type] = STATE(3958),
    [sym_rest_type] = STATE(3958),
    [sym__tuple_type_member] = STATE(3958),
    [sym_constructor_type] = STATE(3016),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3016),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3016),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3016),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [777] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
  },
  [779] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
  },
  [780] = {
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_export] = ACTIONS(2505),
    [anon_sym_type] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_typeof] = ACTIONS(2505),
    [anon_sym_import] = ACTIONS(2505),
    [anon_sym_var] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_await] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_debugger] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_LTtemplate_GT] = ACTIONS(2507),
    [anon_sym_LT] = ACTIONS(2505),
    [anon_sym_SLASH] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_async] = ACTIONS(2505),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_void] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2507),
    [sym_number] = ACTIONS(2507),
    [sym_this] = ACTIONS(2505),
    [sym_super] = ACTIONS(2505),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [sym_null] = ACTIONS(2505),
    [sym_undefined] = ACTIONS(2505),
    [anon_sym_AT] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_readonly] = ACTIONS(2505),
    [anon_sym_get] = ACTIONS(2505),
    [anon_sym_set] = ACTIONS(2505),
    [anon_sym_declare] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_override] = ACTIONS(2505),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_any] = ACTIONS(2505),
    [anon_sym_number] = ACTIONS(2505),
    [anon_sym_boolean] = ACTIONS(2505),
    [anon_sym_string] = ACTIONS(2505),
    [anon_sym_symbol] = ACTIONS(2505),
    [anon_sym_abstract] = ACTIONS(2505),
    [anon_sym_interface] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_type] = ACTIONS(2509),
    [anon_sym_namespace] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_typeof] = ACTIONS(2509),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_var] = ACTIONS(2509),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_await] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_debugger] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_LTtemplate_GT] = ACTIONS(2511),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_async] = ACTIONS(2509),
    [anon_sym_function] = ACTIONS(2509),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_void] = ACTIONS(2509),
    [anon_sym_delete] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2511),
    [sym_number] = ACTIONS(2511),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_static] = ACTIONS(2509),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_declare] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2509),
    [anon_sym_number] = ACTIONS(2509),
    [anon_sym_boolean] = ACTIONS(2509),
    [anon_sym_string] = ACTIONS(2509),
    [anon_sym_symbol] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_interface] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
  },
  [786] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_LTtemplate_GT] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_export] = ACTIONS(2513),
    [anon_sym_type] = ACTIONS(2513),
    [anon_sym_namespace] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_typeof] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2513),
    [anon_sym_var] = ACTIONS(2513),
    [anon_sym_let] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_switch] = ACTIONS(2513),
    [anon_sym_for] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_await] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_do] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_with] = ACTIONS(2513),
    [anon_sym_break] = ACTIONS(2513),
    [anon_sym_continue] = ACTIONS(2513),
    [anon_sym_debugger] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_yield] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_LTtemplate_GT] = ACTIONS(2515),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_class] = ACTIONS(2513),
    [anon_sym_async] = ACTIONS(2513),
    [anon_sym_function] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2513),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_void] = ACTIONS(2513),
    [anon_sym_delete] = ACTIONS(2513),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2513),
    [anon_sym_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2515),
    [sym_number] = ACTIONS(2515),
    [sym_this] = ACTIONS(2513),
    [sym_super] = ACTIONS(2513),
    [sym_true] = ACTIONS(2513),
    [sym_false] = ACTIONS(2513),
    [sym_null] = ACTIONS(2513),
    [sym_undefined] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_static] = ACTIONS(2513),
    [anon_sym_readonly] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_declare] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_module] = ACTIONS(2513),
    [anon_sym_any] = ACTIONS(2513),
    [anon_sym_number] = ACTIONS(2513),
    [anon_sym_boolean] = ACTIONS(2513),
    [anon_sym_string] = ACTIONS(2513),
    [anon_sym_symbol] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_interface] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
  },
  [788] = {
    [sym_identifier] = ACTIONS(2517),
    [anon_sym_export] = ACTIONS(2517),
    [anon_sym_type] = ACTIONS(2517),
    [anon_sym_namespace] = ACTIONS(2517),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [anon_sym_typeof] = ACTIONS(2517),
    [anon_sym_import] = ACTIONS(2517),
    [anon_sym_var] = ACTIONS(2517),
    [anon_sym_let] = ACTIONS(2517),
    [anon_sym_const] = ACTIONS(2517),
    [anon_sym_BANG] = ACTIONS(2519),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_switch] = ACTIONS(2517),
    [anon_sym_for] = ACTIONS(2517),
    [anon_sym_LPAREN] = ACTIONS(2519),
    [anon_sym_await] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(2517),
    [anon_sym_do] = ACTIONS(2517),
    [anon_sym_try] = ACTIONS(2517),
    [anon_sym_with] = ACTIONS(2517),
    [anon_sym_break] = ACTIONS(2517),
    [anon_sym_continue] = ACTIONS(2517),
    [anon_sym_debugger] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2517),
    [anon_sym_throw] = ACTIONS(2517),
    [anon_sym_SEMI] = ACTIONS(2519),
    [anon_sym_yield] = ACTIONS(2517),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [anon_sym_LTtemplate_GT] = ACTIONS(2519),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_SLASH] = ACTIONS(2517),
    [anon_sym_class] = ACTIONS(2517),
    [anon_sym_async] = ACTIONS(2517),
    [anon_sym_function] = ACTIONS(2517),
    [anon_sym_new] = ACTIONS(2517),
    [anon_sym_PLUS] = ACTIONS(2517),
    [anon_sym_DASH] = ACTIONS(2517),
    [anon_sym_TILDE] = ACTIONS(2519),
    [anon_sym_void] = ACTIONS(2517),
    [anon_sym_delete] = ACTIONS(2517),
    [anon_sym_PLUS_PLUS] = ACTIONS(2519),
    [anon_sym_DASH_DASH] = ACTIONS(2517),
    [anon_sym_DQUOTE] = ACTIONS(2519),
    [anon_sym_SQUOTE] = ACTIONS(2519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2519),
    [sym_number] = ACTIONS(2519),
    [sym_this] = ACTIONS(2517),
    [sym_super] = ACTIONS(2517),
    [sym_true] = ACTIONS(2517),
    [sym_false] = ACTIONS(2517),
    [sym_null] = ACTIONS(2517),
    [sym_undefined] = ACTIONS(2517),
    [anon_sym_AT] = ACTIONS(2519),
    [anon_sym_static] = ACTIONS(2517),
    [anon_sym_readonly] = ACTIONS(2517),
    [anon_sym_get] = ACTIONS(2517),
    [anon_sym_set] = ACTIONS(2517),
    [anon_sym_declare] = ACTIONS(2517),
    [anon_sym_public] = ACTIONS(2517),
    [anon_sym_private] = ACTIONS(2517),
    [anon_sym_protected] = ACTIONS(2517),
    [anon_sym_override] = ACTIONS(2517),
    [anon_sym_module] = ACTIONS(2517),
    [anon_sym_any] = ACTIONS(2517),
    [anon_sym_number] = ACTIONS(2517),
    [anon_sym_boolean] = ACTIONS(2517),
    [anon_sym_string] = ACTIONS(2517),
    [anon_sym_symbol] = ACTIONS(2517),
    [anon_sym_abstract] = ACTIONS(2517),
    [anon_sym_interface] = ACTIONS(2517),
    [anon_sym_enum] = ACTIONS(2517),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_export] = ACTIONS(2521),
    [anon_sym_type] = ACTIONS(2521),
    [anon_sym_namespace] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2523),
    [anon_sym_typeof] = ACTIONS(2521),
    [anon_sym_import] = ACTIONS(2521),
    [anon_sym_var] = ACTIONS(2521),
    [anon_sym_let] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_switch] = ACTIONS(2521),
    [anon_sym_for] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_await] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_with] = ACTIONS(2521),
    [anon_sym_break] = ACTIONS(2521),
    [anon_sym_continue] = ACTIONS(2521),
    [anon_sym_debugger] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_yield] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [anon_sym_LTtemplate_GT] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_class] = ACTIONS(2521),
    [anon_sym_async] = ACTIONS(2521),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_new] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_TILDE] = ACTIONS(2523),
    [anon_sym_void] = ACTIONS(2521),
    [anon_sym_delete] = ACTIONS(2521),
    [anon_sym_PLUS_PLUS] = ACTIONS(2523),
    [anon_sym_DASH_DASH] = ACTIONS(2521),
    [anon_sym_DQUOTE] = ACTIONS(2523),
    [anon_sym_SQUOTE] = ACTIONS(2523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2523),
    [sym_number] = ACTIONS(2523),
    [sym_this] = ACTIONS(2521),
    [sym_super] = ACTIONS(2521),
    [sym_true] = ACTIONS(2521),
    [sym_false] = ACTIONS(2521),
    [sym_null] = ACTIONS(2521),
    [sym_undefined] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2523),
    [anon_sym_static] = ACTIONS(2521),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_declare] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_any] = ACTIONS(2521),
    [anon_sym_number] = ACTIONS(2521),
    [anon_sym_boolean] = ACTIONS(2521),
    [anon_sym_string] = ACTIONS(2521),
    [anon_sym_symbol] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_interface] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2525),
    [anon_sym_export] = ACTIONS(2525),
    [anon_sym_type] = ACTIONS(2525),
    [anon_sym_EQ] = ACTIONS(2525),
    [anon_sym_namespace] = ACTIONS(2525),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_typeof] = ACTIONS(2525),
    [anon_sym_import] = ACTIONS(2525),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_RPAREN] = ACTIONS(2527),
    [anon_sym_await] = ACTIONS(2525),
    [anon_sym_COLON] = ACTIONS(2527),
    [anon_sym_yield] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_RBRACK] = ACTIONS(2527),
    [anon_sym_LTtemplate_GT] = ACTIONS(2527),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_GT] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2525),
    [anon_sym_DOT] = ACTIONS(2525),
    [anon_sym_class] = ACTIONS(2525),
    [anon_sym_async] = ACTIONS(2525),
    [anon_sym_function] = ACTIONS(2525),
    [anon_sym_EQ_GT] = ACTIONS(2527),
    [anon_sym_QMARK_DOT] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_PIPE] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2525),
    [anon_sym_DASH] = ACTIONS(2525),
    [anon_sym_TILDE] = ACTIONS(2527),
    [anon_sym_void] = ACTIONS(2525),
    [anon_sym_delete] = ACTIONS(2525),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2525),
    [anon_sym_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2527),
    [sym_number] = ACTIONS(2527),
    [sym_this] = ACTIONS(2525),
    [sym_super] = ACTIONS(2525),
    [sym_true] = ACTIONS(2525),
    [sym_false] = ACTIONS(2525),
    [sym_null] = ACTIONS(2525),
    [sym_undefined] = ACTIONS(2525),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_static] = ACTIONS(2525),
    [anon_sym_readonly] = ACTIONS(2525),
    [anon_sym_get] = ACTIONS(2525),
    [anon_sym_set] = ACTIONS(2525),
    [anon_sym_QMARK] = ACTIONS(2525),
    [anon_sym_declare] = ACTIONS(2525),
    [anon_sym_public] = ACTIONS(2525),
    [anon_sym_private] = ACTIONS(2525),
    [anon_sym_protected] = ACTIONS(2525),
    [anon_sym_override] = ACTIONS(2525),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_any] = ACTIONS(2525),
    [anon_sym_number] = ACTIONS(2525),
    [anon_sym_boolean] = ACTIONS(2525),
    [anon_sym_string] = ACTIONS(2525),
    [anon_sym_symbol] = ACTIONS(2525),
    [anon_sym_abstract] = ACTIONS(2525),
    [anon_sym_extends] = ACTIONS(2525),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2529),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(2529),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_COMMA] = ACTIONS(2531),
    [anon_sym_RBRACE] = ACTIONS(2531),
    [anon_sym_typeof] = ACTIONS(2529),
    [anon_sym_import] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(2531),
    [anon_sym_LPAREN] = ACTIONS(2531),
    [anon_sym_RPAREN] = ACTIONS(2531),
    [anon_sym_await] = ACTIONS(2529),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_yield] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [anon_sym_RBRACK] = ACTIONS(2531),
    [anon_sym_LTtemplate_GT] = ACTIONS(2531),
    [anon_sym_LT] = ACTIONS(2529),
    [anon_sym_GT] = ACTIONS(2531),
    [anon_sym_SLASH] = ACTIONS(2529),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_class] = ACTIONS(2529),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_EQ_GT] = ACTIONS(2531),
    [anon_sym_QMARK_DOT] = ACTIONS(2531),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(2531),
    [anon_sym_PIPE] = ACTIONS(2531),
    [anon_sym_PLUS] = ACTIONS(2529),
    [anon_sym_DASH] = ACTIONS(2529),
    [anon_sym_TILDE] = ACTIONS(2531),
    [anon_sym_void] = ACTIONS(2529),
    [anon_sym_delete] = ACTIONS(2529),
    [anon_sym_PLUS_PLUS] = ACTIONS(2531),
    [anon_sym_DASH_DASH] = ACTIONS(2529),
    [anon_sym_DQUOTE] = ACTIONS(2531),
    [anon_sym_SQUOTE] = ACTIONS(2531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2531),
    [sym_number] = ACTIONS(2531),
    [sym_this] = ACTIONS(2529),
    [sym_super] = ACTIONS(2529),
    [sym_true] = ACTIONS(2529),
    [sym_false] = ACTIONS(2529),
    [sym_null] = ACTIONS(2529),
    [sym_undefined] = ACTIONS(2529),
    [anon_sym_AT] = ACTIONS(2531),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_QMARK] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_abstract] = ACTIONS(2529),
    [anon_sym_extends] = ACTIONS(2529),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_export] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2533),
    [anon_sym_namespace] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(2535),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [anon_sym_typeof] = ACTIONS(2533),
    [anon_sym_import] = ACTIONS(2533),
    [anon_sym_BANG] = ACTIONS(2535),
    [anon_sym_LPAREN] = ACTIONS(2535),
    [anon_sym_RPAREN] = ACTIONS(2535),
    [anon_sym_await] = ACTIONS(2533),
    [anon_sym_COLON] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [anon_sym_RBRACK] = ACTIONS(2535),
    [anon_sym_LTtemplate_GT] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2533),
    [anon_sym_GT] = ACTIONS(2535),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_class] = ACTIONS(2533),
    [anon_sym_async] = ACTIONS(2533),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_EQ_GT] = ACTIONS(2535),
    [anon_sym_QMARK_DOT] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2535),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [anon_sym_void] = ACTIONS(2533),
    [anon_sym_delete] = ACTIONS(2533),
    [anon_sym_PLUS_PLUS] = ACTIONS(2535),
    [anon_sym_DASH_DASH] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2535),
    [sym_number] = ACTIONS(2535),
    [sym_this] = ACTIONS(2533),
    [sym_super] = ACTIONS(2533),
    [sym_true] = ACTIONS(2533),
    [sym_false] = ACTIONS(2533),
    [sym_null] = ACTIONS(2533),
    [sym_undefined] = ACTIONS(2533),
    [anon_sym_AT] = ACTIONS(2535),
    [anon_sym_static] = ACTIONS(2533),
    [anon_sym_readonly] = ACTIONS(2533),
    [anon_sym_get] = ACTIONS(2533),
    [anon_sym_set] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_declare] = ACTIONS(2533),
    [anon_sym_public] = ACTIONS(2533),
    [anon_sym_private] = ACTIONS(2533),
    [anon_sym_protected] = ACTIONS(2533),
    [anon_sym_override] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_any] = ACTIONS(2533),
    [anon_sym_number] = ACTIONS(2533),
    [anon_sym_boolean] = ACTIONS(2533),
    [anon_sym_string] = ACTIONS(2533),
    [anon_sym_symbol] = ACTIONS(2533),
    [anon_sym_abstract] = ACTIONS(2533),
    [anon_sym_extends] = ACTIONS(2533),
  },
  [793] = {
    [sym_nested_identifier] = STATE(139),
    [sym_string] = STATE(140),
    [sym__module] = STATE(174),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [794] = {
    [sym_nested_identifier] = STATE(139),
    [sym_string] = STATE(140),
    [sym__module] = STATE(174),
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [795] = {
    [sym_nested_identifier] = STATE(588),
    [sym_string] = STATE(606),
    [sym__module] = STATE(729),
    [aux_sym_object_repeat1] = STATE(3568),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [796] = {
    [sym_nested_identifier] = STATE(588),
    [sym_string] = STATE(606),
    [sym__module] = STATE(729),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [797] = {
    [sym_nested_identifier] = STATE(588),
    [sym_string] = STATE(606),
    [sym__module] = STATE(729),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [798] = {
    [sym_nested_identifier] = STATE(139),
    [sym_string] = STATE(140),
    [sym__module] = STATE(174),
    [aux_sym_object_repeat1] = STATE(3596),
    [aux_sym_object_pattern_repeat1] = STATE(3640),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(1254),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(155),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [799] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2827),
    [sym_constructor_type] = STATE(2827),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2827),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_predicate] = STATE(3125),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2666),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2827),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2827),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2577),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_asserts] = ACTIONS(2587),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [800] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2664),
    [sym_constructor_type] = STATE(2664),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2664),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_predicate] = STATE(3107),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2583),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2664),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2664),
    [sym_identifier] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(2599),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_asserts] = ACTIONS(2601),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [801] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2733),
    [sym_constructor_type] = STATE(2733),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2733),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_predicate] = STATE(3828),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2406),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2733),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2733),
    [sym_identifier] = ACTIONS(2603),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(2605),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_asserts] = ACTIONS(2607),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [802] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2606),
    [sym_constructor_type] = STATE(2606),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2606),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_predicate] = STATE(2609),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2583),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2606),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2606),
    [sym_identifier] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(2599),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [803] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3467),
    [sym_constructor_type] = STATE(3467),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3467),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3467),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3467),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [804] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3006),
    [sym_constructor_type] = STATE(3006),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3006),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3006),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3006),
    [sym_identifier] = ACTIONS(2611),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [sym_jsx_identifier] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [805] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1694),
    [sym_constructor_type] = STATE(1694),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1694),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_predicate] = STATE(1621),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1513),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1694),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1694),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2643),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [806] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2659),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [807] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [808] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2779),
    [sym_constructor_type] = STATE(2779),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2779),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_predicate] = STATE(2780),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2666),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2779),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2779),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2577),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [809] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2663),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [810] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [811] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2809),
    [sym_constructor_type] = STATE(2809),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2809),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_predicate] = STATE(2810),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2666),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2809),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2809),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2577),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [812] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3498),
    [sym_constructor_type] = STATE(3498),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3498),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3498),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3498),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [813] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2612),
    [sym_constructor_type] = STATE(2612),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2612),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_predicate] = STATE(2603),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2583),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2612),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2612),
    [sym_identifier] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(2599),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [814] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3534),
    [sym_constructor_type] = STATE(3534),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3534),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3534),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3534),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2669),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [815] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2689),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2697),
    [anon_sym_readonly] = ACTIONS(2699),
    [anon_sym_get] = ACTIONS(2701),
    [anon_sym_set] = ACTIONS(2701),
    [anon_sym_declare] = ACTIONS(2671),
    [anon_sym_public] = ACTIONS(2703),
    [anon_sym_private] = ACTIONS(2703),
    [anon_sym_protected] = ACTIONS(2703),
    [anon_sym_override] = ACTIONS(2705),
    [anon_sym_module] = ACTIONS(2671),
    [anon_sym_any] = ACTIONS(2671),
    [anon_sym_number] = ACTIONS(2671),
    [anon_sym_boolean] = ACTIONS(2671),
    [anon_sym_string] = ACTIONS(2671),
    [anon_sym_symbol] = ACTIONS(2671),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [816] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2457),
    [sym_constructor_type] = STATE(2457),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2457),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_predicate] = STATE(2376),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2406),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2457),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2457),
    [sym_identifier] = ACTIONS(2603),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(2605),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [817] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1624),
    [sym_constructor_type] = STATE(1624),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1624),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_predicate] = STATE(1623),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1513),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1624),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1624),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2643),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [818] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2711),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [819] = {
    [sym_export_statement] = STATE(2983),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(2983),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(2983),
    [sym_property_signature] = STATE(2983),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(2983),
    [sym_index_signature] = STATE(2983),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2713),
    [anon_sym_RBRACE] = ACTIONS(2715),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2689),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2697),
    [anon_sym_readonly] = ACTIONS(2699),
    [anon_sym_get] = ACTIONS(2701),
    [anon_sym_set] = ACTIONS(2701),
    [anon_sym_declare] = ACTIONS(2671),
    [anon_sym_public] = ACTIONS(2703),
    [anon_sym_private] = ACTIONS(2703),
    [anon_sym_protected] = ACTIONS(2703),
    [anon_sym_override] = ACTIONS(2705),
    [anon_sym_module] = ACTIONS(2671),
    [anon_sym_any] = ACTIONS(2671),
    [anon_sym_number] = ACTIONS(2671),
    [anon_sym_boolean] = ACTIONS(2671),
    [anon_sym_string] = ACTIONS(2671),
    [anon_sym_symbol] = ACTIONS(2671),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2719),
  },
  [820] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2721),
    [anon_sym_export] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2727),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2729),
    [anon_sym_readonly] = ACTIONS(2731),
    [anon_sym_get] = ACTIONS(2733),
    [anon_sym_set] = ACTIONS(2733),
    [anon_sym_declare] = ACTIONS(2721),
    [anon_sym_public] = ACTIONS(2735),
    [anon_sym_private] = ACTIONS(2735),
    [anon_sym_protected] = ACTIONS(2735),
    [anon_sym_override] = ACTIONS(2737),
    [anon_sym_module] = ACTIONS(2721),
    [anon_sym_any] = ACTIONS(2721),
    [anon_sym_number] = ACTIONS(2721),
    [anon_sym_boolean] = ACTIONS(2721),
    [anon_sym_string] = ACTIONS(2721),
    [anon_sym_symbol] = ACTIONS(2721),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [821] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2739),
    [anon_sym_export] = ACTIONS(2741),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2739),
    [anon_sym_namespace] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2743),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2745),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_readonly] = ACTIONS(2749),
    [anon_sym_get] = ACTIONS(2751),
    [anon_sym_set] = ACTIONS(2751),
    [anon_sym_declare] = ACTIONS(2739),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2755),
    [anon_sym_module] = ACTIONS(2739),
    [anon_sym_any] = ACTIONS(2739),
    [anon_sym_number] = ACTIONS(2739),
    [anon_sym_boolean] = ACTIONS(2739),
    [anon_sym_string] = ACTIONS(2739),
    [anon_sym_symbol] = ACTIONS(2739),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [822] = {
    [sym_nested_identifier] = STATE(1232),
    [sym_string] = STATE(1231),
    [sym__module] = STATE(1392),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [823] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2689),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2697),
    [anon_sym_readonly] = ACTIONS(2699),
    [anon_sym_get] = ACTIONS(2701),
    [anon_sym_set] = ACTIONS(2701),
    [anon_sym_declare] = ACTIONS(2671),
    [anon_sym_public] = ACTIONS(2703),
    [anon_sym_private] = ACTIONS(2703),
    [anon_sym_protected] = ACTIONS(2703),
    [anon_sym_override] = ACTIONS(2705),
    [anon_sym_module] = ACTIONS(2671),
    [anon_sym_any] = ACTIONS(2671),
    [anon_sym_number] = ACTIONS(2671),
    [anon_sym_boolean] = ACTIONS(2671),
    [anon_sym_string] = ACTIONS(2671),
    [anon_sym_symbol] = ACTIONS(2671),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [824] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3070),
    [sym_constructor_type] = STATE(3070),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3070),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_predicate] = STATE(2376),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2869),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3070),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3070),
    [sym_identifier] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(2771),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [825] = {
    [sym_nested_identifier] = STATE(1232),
    [sym_string] = STATE(1231),
    [sym__module] = STATE(1392),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [826] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2671),
    [anon_sym_namespace] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2689),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2697),
    [anon_sym_readonly] = ACTIONS(2699),
    [anon_sym_get] = ACTIONS(2701),
    [anon_sym_set] = ACTIONS(2701),
    [anon_sym_declare] = ACTIONS(2671),
    [anon_sym_public] = ACTIONS(2703),
    [anon_sym_private] = ACTIONS(2703),
    [anon_sym_protected] = ACTIONS(2703),
    [anon_sym_override] = ACTIONS(2705),
    [anon_sym_module] = ACTIONS(2671),
    [anon_sym_any] = ACTIONS(2671),
    [anon_sym_number] = ACTIONS(2671),
    [anon_sym_boolean] = ACTIONS(2671),
    [anon_sym_string] = ACTIONS(2671),
    [anon_sym_symbol] = ACTIONS(2671),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [827] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [828] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [829] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_export] = ACTIONS(2791),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2795),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_readonly] = ACTIONS(2799),
    [anon_sym_get] = ACTIONS(2801),
    [anon_sym_set] = ACTIONS(2801),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_public] = ACTIONS(2803),
    [anon_sym_private] = ACTIONS(2803),
    [anon_sym_protected] = ACTIONS(2803),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2789),
    [anon_sym_any] = ACTIONS(2789),
    [anon_sym_number] = ACTIONS(2789),
    [anon_sym_boolean] = ACTIONS(2789),
    [anon_sym_string] = ACTIONS(2789),
    [anon_sym_symbol] = ACTIONS(2789),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [830] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [831] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [832] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [833] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2739),
    [anon_sym_export] = ACTIONS(2741),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2739),
    [anon_sym_namespace] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2745),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_readonly] = ACTIONS(2749),
    [anon_sym_get] = ACTIONS(2751),
    [anon_sym_set] = ACTIONS(2751),
    [anon_sym_declare] = ACTIONS(2739),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2755),
    [anon_sym_module] = ACTIONS(2739),
    [anon_sym_any] = ACTIONS(2739),
    [anon_sym_number] = ACTIONS(2739),
    [anon_sym_boolean] = ACTIONS(2739),
    [anon_sym_string] = ACTIONS(2739),
    [anon_sym_symbol] = ACTIONS(2739),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [834] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3437),
    [sym_constructor_type] = STATE(3437),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3437),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3437),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3437),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [835] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3657),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3657),
    [sym_pair] = STATE(3657),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3690),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2815),
    [anon_sym_export] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_readonly] = ACTIONS(2825),
    [anon_sym_get] = ACTIONS(2827),
    [anon_sym_set] = ACTIONS(2827),
    [anon_sym_declare] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_override] = ACTIONS(2831),
    [anon_sym_module] = ACTIONS(2815),
    [anon_sym_any] = ACTIONS(2815),
    [anon_sym_number] = ACTIONS(2815),
    [anon_sym_boolean] = ACTIONS(2815),
    [anon_sym_string] = ACTIONS(2815),
    [anon_sym_symbol] = ACTIONS(2815),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [836] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1286),
    [sym_constructor_type] = STATE(1286),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1286),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_predicate] = STATE(1287),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1223),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1286),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1286),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2861),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [837] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3042),
    [sym_constructor_type] = STATE(3042),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3042),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_predicate] = STATE(2404),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2869),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3042),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3042),
    [sym_identifier] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(2771),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [838] = {
    [sym_nested_identifier] = STATE(1232),
    [sym_string] = STATE(1231),
    [sym__module] = STATE(1392),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(1267),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(218),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(2003),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [839] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [840] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3657),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3657),
    [sym_pair] = STATE(3657),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3690),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2815),
    [anon_sym_export] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_readonly] = ACTIONS(2825),
    [anon_sym_get] = ACTIONS(2827),
    [anon_sym_set] = ACTIONS(2827),
    [anon_sym_declare] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_override] = ACTIONS(2831),
    [anon_sym_module] = ACTIONS(2815),
    [anon_sym_any] = ACTIONS(2815),
    [anon_sym_number] = ACTIONS(2815),
    [anon_sym_boolean] = ACTIONS(2815),
    [anon_sym_string] = ACTIONS(2815),
    [anon_sym_symbol] = ACTIONS(2815),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [841] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [842] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_export] = ACTIONS(2791),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2795),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_readonly] = ACTIONS(2799),
    [anon_sym_get] = ACTIONS(2801),
    [anon_sym_set] = ACTIONS(2801),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_public] = ACTIONS(2803),
    [anon_sym_private] = ACTIONS(2803),
    [anon_sym_protected] = ACTIONS(2803),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2789),
    [anon_sym_any] = ACTIONS(2789),
    [anon_sym_number] = ACTIONS(2789),
    [anon_sym_boolean] = ACTIONS(2789),
    [anon_sym_string] = ACTIONS(2789),
    [anon_sym_symbol] = ACTIONS(2789),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [843] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [844] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3547),
    [sym_constructor_type] = STATE(3547),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3547),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3547),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3547),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [845] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2447),
    [sym_constructor_type] = STATE(2447),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2447),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_predicate] = STATE(2404),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2406),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2447),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2447),
    [sym_identifier] = ACTIONS(2603),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(2605),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [846] = {
    [sym_export_statement] = STATE(3086),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3649),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3214),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3718),
    [sym_string] = STATE(2496),
    [sym_decorator] = STATE(1150),
    [sym_formal_parameters] = STATE(2672),
    [sym_rest_pattern] = STATE(3649),
    [sym_method_definition] = STATE(3718),
    [sym_pair] = STATE(3718),
    [sym_pair_pattern] = STATE(3649),
    [sym__property_name] = STATE(2496),
    [sym_computed_property_name] = STATE(2496),
    [sym_method_signature] = STATE(3086),
    [sym_accessibility_modifier] = STATE(2253),
    [sym_override_modifier] = STATE(2288),
    [sym_call_signature] = STATE(3086),
    [sym_property_signature] = STATE(3086),
    [sym_type_parameters] = STATE(4053),
    [sym_construct_signature] = STATE(3086),
    [sym_index_signature] = STATE(3086),
    [aux_sym_export_statement_repeat1] = STATE(3488),
    [aux_sym_object_repeat1] = STATE(3720),
    [aux_sym_object_pattern_repeat1] = STATE(3693),
    [sym_identifier] = ACTIONS(2739),
    [anon_sym_export] = ACTIONS(2741),
    [anon_sym_STAR] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2739),
    [anon_sym_namespace] = ACTIONS(2739),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(2745),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(238),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2747),
    [anon_sym_readonly] = ACTIONS(2749),
    [anon_sym_get] = ACTIONS(2751),
    [anon_sym_set] = ACTIONS(2751),
    [anon_sym_declare] = ACTIONS(2739),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2755),
    [anon_sym_module] = ACTIONS(2739),
    [anon_sym_any] = ACTIONS(2739),
    [anon_sym_number] = ACTIONS(2739),
    [anon_sym_boolean] = ACTIONS(2739),
    [anon_sym_string] = ACTIONS(2739),
    [anon_sym_symbol] = ACTIONS(2739),
    [anon_sym_abstract] = ACTIONS(2707),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2709),
  },
  [847] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1349),
    [sym_constructor_type] = STATE(1349),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1349),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_predicate] = STATE(1350),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1223),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1349),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1349),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2861),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [848] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [849] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2687),
    [sym_constructor_type] = STATE(2687),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2687),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2687),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2687),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [850] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2821),
    [sym_constructor_type] = STATE(2821),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2821),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2821),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2821),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [851] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1269),
    [sym_constructor_type] = STATE(1269),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1269),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1269),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1269),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [852] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3486),
    [sym_constructor_type] = STATE(3486),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3486),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3486),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3486),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [853] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1688),
    [sym_constructor_type] = STATE(1688),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1688),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1688),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1688),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [854] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(3257),
    [sym_constructor_type] = STATE(3257),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(3257),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(3257),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(3257),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [855] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(3121),
    [sym_constructor_type] = STATE(3121),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(3121),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(3121),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(3121),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [856] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2450),
    [sym_constructor_type] = STATE(2450),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2450),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2450),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2450),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [857] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2413),
    [sym_constructor_type] = STATE(2413),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2413),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2413),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2413),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [858] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1235),
    [sym_constructor_type] = STATE(1235),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1235),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1235),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1235),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [859] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1234),
    [sym_constructor_type] = STATE(1234),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1234),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1234),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1234),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [860] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3502),
    [sym_constructor_type] = STATE(3502),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3502),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3502),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3502),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [861] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1346),
    [sym_constructor_type] = STATE(1346),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1346),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1346),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1346),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [862] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3021),
    [sym_constructor_type] = STATE(3021),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3021),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3021),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3021),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [863] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3097),
    [sym_constructor_type] = STATE(3097),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3097),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3097),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3097),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [864] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1663),
    [sym_constructor_type] = STATE(1663),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1663),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1663),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1663),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [865] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1662),
    [sym_constructor_type] = STATE(1662),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1662),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1662),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1662),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [866] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1658),
    [sym_constructor_type] = STATE(1658),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1658),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1658),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1658),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [867] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1721),
    [sym_constructor_type] = STATE(1721),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1721),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1721),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1721),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [868] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1748),
    [sym_constructor_type] = STATE(1748),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1748),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1748),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1748),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [869] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1750),
    [sym_constructor_type] = STATE(1750),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1750),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1750),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1750),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [870] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(3770),
    [sym_constructor_type] = STATE(3770),
    [sym__primary_type] = STATE(1657),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(3770),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(3770),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(3770),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [871] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2830),
    [sym_constructor_type] = STATE(2830),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2830),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2830),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2830),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [872] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2455),
    [sym_constructor_type] = STATE(2455),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2455),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2455),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2455),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [873] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1322),
    [sym_constructor_type] = STATE(1322),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1322),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1322),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1322),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [874] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1301),
    [sym_constructor_type] = STATE(1301),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1301),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1301),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1301),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [875] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2387),
    [sym_constructor_type] = STATE(2387),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2387),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2387),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2387),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [876] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1299),
    [sym_constructor_type] = STATE(1299),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1299),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1299),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1299),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [877] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(3217),
    [sym_constructor_type] = STATE(3217),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(3217),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(3217),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(3217),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [878] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(3770),
    [sym_constructor_type] = STATE(3770),
    [sym__primary_type] = STATE(1655),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(3770),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(3770),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(3770),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [879] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(3133),
    [sym_constructor_type] = STATE(3133),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(3133),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(3133),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(3133),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [880] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2398),
    [sym_constructor_type] = STATE(2398),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2398),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2398),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2398),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [881] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2448),
    [sym_constructor_type] = STATE(2448),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2448),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2448),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2448),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [882] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3068),
    [sym_constructor_type] = STATE(3068),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3068),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3068),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3068),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [883] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3418),
    [sym_constructor_type] = STATE(3418),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3418),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3418),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3418),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [884] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3145),
    [sym_constructor_type] = STATE(3145),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3145),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3145),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3145),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [885] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3420),
    [sym_constructor_type] = STATE(3420),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3420),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3420),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3420),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [886] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3468),
    [sym_constructor_type] = STATE(3468),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3468),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3468),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3468),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [887] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3742),
    [sym_constructor_type] = STATE(3742),
    [sym__primary_type] = STATE(2407),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3742),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3742),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3742),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [888] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1684),
    [sym_constructor_type] = STATE(1684),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1684),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1684),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1684),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [889] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2481),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [890] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(3582),
    [sym_constructor_type] = STATE(3582),
    [sym__primary_type] = STATE(1264),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(3582),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(3582),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(3582),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [891] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1313),
    [sym_constructor_type] = STATE(1313),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1313),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1313),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1313),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [892] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(3582),
    [sym_constructor_type] = STATE(3582),
    [sym__primary_type] = STATE(1261),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(3582),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(3582),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(3582),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [893] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2480),
    [sym_constructor_type] = STATE(2480),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2480),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2480),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2480),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [894] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3350),
    [sym_constructor_type] = STATE(3350),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3350),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3350),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3350),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [895] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2750),
    [sym_constructor_type] = STATE(2750),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2750),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2750),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2750),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [896] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2751),
    [sym_constructor_type] = STATE(2751),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2751),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2751),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2751),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [897] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2755),
    [sym_constructor_type] = STATE(2755),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2755),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2755),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2755),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [898] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3484),
    [sym_constructor_type] = STATE(3484),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [899] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(3615),
    [sym_constructor_type] = STATE(3615),
    [sym__primary_type] = STATE(2756),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(3615),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(3615),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(3615),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [900] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2587),
    [sym_constructor_type] = STATE(2587),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2587),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2587),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2587),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [901] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2642),
    [sym_constructor_type] = STATE(2642),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2642),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2642),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2642),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [902] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(3615),
    [sym_constructor_type] = STATE(3615),
    [sym__primary_type] = STATE(2758),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(3615),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(3615),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(3615),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [903] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3509),
    [sym_constructor_type] = STATE(3509),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3509),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3509),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3509),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [904] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1260),
    [sym_constructor_type] = STATE(1260),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1260),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1260),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1260),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [905] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1255),
    [sym_constructor_type] = STATE(1255),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1255),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1255),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1255),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [906] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1254),
    [sym_constructor_type] = STATE(1254),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1254),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1254),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1254),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [907] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3512),
    [sym_constructor_type] = STATE(3512),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3512),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3512),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3512),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [908] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2643),
    [sym_constructor_type] = STATE(2643),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2643),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2643),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2643),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [909] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3120),
    [sym_constructor_type] = STATE(3120),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3120),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3120),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3120),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [910] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3031),
    [sym_constructor_type] = STATE(3031),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3031),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3031),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3031),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [911] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2413),
    [sym_constructor_type] = STATE(2413),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2413),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2413),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2413),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [912] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2639),
    [sym_constructor_type] = STATE(2639),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2639),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2639),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2639),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [913] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2397),
    [sym_constructor_type] = STATE(2397),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2397),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2397),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2397),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [914] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2396),
    [sym_constructor_type] = STATE(2396),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2396),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2396),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2396),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [915] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3006),
    [sym_constructor_type] = STATE(3006),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3006),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3006),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3006),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [916] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2626),
    [sym_constructor_type] = STATE(2626),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2626),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2626),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2626),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [917] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2781),
    [sym_constructor_type] = STATE(2781),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2781),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2781),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2781),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [918] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2398),
    [sym_constructor_type] = STATE(2398),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2398),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2398),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2398),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [919] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2397),
    [sym_constructor_type] = STATE(2397),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2397),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2397),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2397),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [920] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(3781),
    [sym_constructor_type] = STATE(3781),
    [sym__primary_type] = STATE(2620),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(3781),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(3781),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(3781),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [921] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(3781),
    [sym_constructor_type] = STATE(3781),
    [sym__primary_type] = STATE(2615),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(3781),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(3781),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(3781),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [922] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3059),
    [sym_constructor_type] = STATE(3059),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3059),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3059),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3059),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [923] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3063),
    [sym_constructor_type] = STATE(3063),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3063),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3063),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3063),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [924] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3090),
    [sym_constructor_type] = STATE(3090),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3090),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3090),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3090),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [925] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2782),
    [sym_constructor_type] = STATE(2782),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2782),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2782),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2782),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [926] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3466),
    [sym_constructor_type] = STATE(3466),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3466),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3466),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3466),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [927] = {
    [sym_nested_identifier] = STATE(1232),
    [sym_string] = STATE(1231),
    [sym__module] = STATE(1392),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1222),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [928] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2627),
    [sym_constructor_type] = STATE(2627),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2627),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2627),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2627),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [929] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2987),
    [sym_constructor_type] = STATE(2987),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2987),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2987),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2987),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [930] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2805),
    [sym_constructor_type] = STATE(2805),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2805),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2805),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2805),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [931] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3742),
    [sym_constructor_type] = STATE(3742),
    [sym__primary_type] = STATE(2401),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3742),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3742),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3742),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [932] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2624),
    [sym_constructor_type] = STATE(2624),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2624),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2624),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2624),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [933] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3069),
    [sym_constructor_type] = STATE(3069),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3069),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3069),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3069),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [934] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2380),
    [sym_constructor_type] = STATE(2380),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [935] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2598),
    [sym_constructor_type] = STATE(2598),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2598),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2598),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2598),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [936] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1636),
    [sym_constructor_type] = STATE(1636),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1636),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1636),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1636),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [937] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2720),
    [sym_constructor_type] = STATE(2720),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2720),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2720),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2720),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [938] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3432),
    [sym_constructor_type] = STATE(3432),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3432),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3432),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3432),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [939] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2719),
    [sym_constructor_type] = STATE(2719),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2719),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2719),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2719),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [940] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2396),
    [sym_constructor_type] = STATE(2396),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2396),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2396),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2396),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [941] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2762),
    [sym_constructor_type] = STATE(2762),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2762),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2762),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2762),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [942] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1695),
    [sym_constructor_type] = STATE(1695),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1695),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1695),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1695),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [943] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2596),
    [sym_constructor_type] = STATE(2596),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2596),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2596),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2596),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [944] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3473),
    [sym_constructor_type] = STATE(3473),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3473),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3473),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3473),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [945] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3656),
    [sym_constructor_type] = STATE(3656),
    [sym__primary_type] = STATE(2407),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3656),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3656),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3656),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [946] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3656),
    [sym_constructor_type] = STATE(3656),
    [sym__primary_type] = STATE(2401),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3656),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3656),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3656),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [947] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3049),
    [sym_constructor_type] = STATE(3049),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3049),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3049),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3049),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [948] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3055),
    [sym_constructor_type] = STATE(3055),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3055),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3055),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3055),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [949] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4447),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2387),
    [sym_constructor_type] = STATE(2387),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2387),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3971),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2387),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2387),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_typeof] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(2779),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2781),
  },
  [950] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(3194),
    [sym_constructor_type] = STATE(3194),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(3194),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(3194),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(3194),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [951] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3445),
    [sym_constructor_type] = STATE(3445),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3445),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3445),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3445),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [952] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2631),
    [sym_constructor_type] = STATE(2631),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2631),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2631),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2631),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [953] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3536),
    [sym_constructor_type] = STATE(3536),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3536),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3536),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3536),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [954] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3528),
    [sym_constructor_type] = STATE(3528),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3528),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3528),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3528),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [955] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2733),
    [sym_constructor_type] = STATE(2733),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2733),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2733),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2733),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [956] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(3191),
    [sym_constructor_type] = STATE(3191),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(3191),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(3191),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(3191),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [957] = {
    [sym_nested_identifier] = STATE(1232),
    [sym_string] = STATE(1231),
    [sym__module] = STATE(1392),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_EQ_GT] = ACTIONS(153),
    [anon_sym_QMARK_DOT] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(155),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(155),
  },
  [958] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3532),
    [sym_constructor_type] = STATE(3532),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3532),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3532),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3532),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [959] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2664),
    [sym_constructor_type] = STATE(2664),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2664),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2664),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2664),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [960] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1792),
    [sym_constructor_type] = STATE(1792),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1792),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1792),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1792),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [961] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3046),
    [sym_constructor_type] = STATE(3046),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3046),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3046),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3046),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [962] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1791),
    [sym_constructor_type] = STATE(1791),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1791),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1791),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1791),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [963] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3447),
    [sym_constructor_type] = STATE(3447),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3447),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3447),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3447),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [964] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2954),
    [sym_constructor_type] = STATE(2954),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2954),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2954),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2954),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [965] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1274),
    [sym_constructor_type] = STATE(1274),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1274),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1274),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1274),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [966] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1319),
    [sym_constructor_type] = STATE(1319),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1319),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1319),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1319),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [967] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3422),
    [sym_constructor_type] = STATE(3422),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3422),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3422),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3422),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [968] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2697),
    [sym_constructor_type] = STATE(2697),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2697),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2697),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2697),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
  [969] = {
    [sym_nested_identifier] = STATE(4131),
    [sym_string] = STATE(1292),
    [sym_formal_parameters] = STATE(4120),
    [sym_nested_type_identifier] = STATE(1210),
    [sym__type] = STATE(1296),
    [sym_constructor_type] = STATE(1296),
    [sym__primary_type] = STATE(1283),
    [sym_template_literal_type] = STATE(1281),
    [sym_infer_type] = STATE(1296),
    [sym_conditional_type] = STATE(1281),
    [sym_generic_type] = STATE(1281),
    [sym_type_query] = STATE(1281),
    [sym_index_type_query] = STATE(1281),
    [sym_lookup_type] = STATE(1281),
    [sym_literal_type] = STATE(1281),
    [sym__number] = STATE(1238),
    [sym_existential_type] = STATE(1281),
    [sym_flow_maybe_type] = STATE(1281),
    [sym_parenthesized_type] = STATE(1281),
    [sym_predefined_type] = STATE(1281),
    [sym_object_type] = STATE(1281),
    [sym_type_parameters] = STATE(4060),
    [sym_array_type] = STATE(1281),
    [sym_tuple_type] = STATE(1281),
    [sym_readonly_type] = STATE(1296),
    [sym_union_type] = STATE(1281),
    [sym_intersection_type] = STATE(1281),
    [sym_function_type] = STATE(1296),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_typeof] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_void] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2857),
    [sym_number] = ACTIONS(2859),
    [sym_this] = ACTIONS(2899),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [sym_null] = ACTIONS(2863),
    [sym_undefined] = ACTIONS(2863),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2867),
    [anon_sym_any] = ACTIONS(2855),
    [anon_sym_number] = ACTIONS(2855),
    [anon_sym_boolean] = ACTIONS(2855),
    [anon_sym_string] = ACTIONS(2855),
    [anon_sym_symbol] = ACTIONS(2855),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_infer] = ACTIONS(2871),
    [anon_sym_keyof] = ACTIONS(2873),
    [anon_sym_unknown] = ACTIONS(2855),
    [anon_sym_never] = ACTIONS(2855),
    [anon_sym_object] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2875),
  },
  [970] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2625),
    [sym_constructor_type] = STATE(2625),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2625),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2625),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2625),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [971] = {
    [sym_nested_identifier] = STATE(4159),
    [sym_string] = STATE(2623),
    [sym_formal_parameters] = STATE(4123),
    [sym_nested_type_identifier] = STATE(2498),
    [sym__type] = STATE(2601),
    [sym_constructor_type] = STATE(2601),
    [sym__primary_type] = STATE(2628),
    [sym_template_literal_type] = STATE(2621),
    [sym_infer_type] = STATE(2601),
    [sym_conditional_type] = STATE(2621),
    [sym_generic_type] = STATE(2621),
    [sym_type_query] = STATE(2621),
    [sym_index_type_query] = STATE(2621),
    [sym_lookup_type] = STATE(2621),
    [sym_literal_type] = STATE(2621),
    [sym__number] = STATE(2618),
    [sym_existential_type] = STATE(2621),
    [sym_flow_maybe_type] = STATE(2621),
    [sym_parenthesized_type] = STATE(2621),
    [sym_predefined_type] = STATE(2621),
    [sym_object_type] = STATE(2621),
    [sym_type_parameters] = STATE(4042),
    [sym_array_type] = STATE(2621),
    [sym_tuple_type] = STATE(2621),
    [sym_readonly_type] = STATE(2601),
    [sym_union_type] = STATE(2621),
    [sym_intersection_type] = STATE(2621),
    [sym_function_type] = STATE(2601),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_typeof] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_any] = ACTIONS(750),
    [anon_sym_number] = ACTIONS(750),
    [anon_sym_boolean] = ACTIONS(750),
    [anon_sym_string] = ACTIONS(750),
    [anon_sym_symbol] = ACTIONS(750),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_infer] = ACTIONS(746),
    [anon_sym_keyof] = ACTIONS(748),
    [anon_sym_unknown] = ACTIONS(750),
    [anon_sym_never] = ACTIONS(750),
    [anon_sym_object] = ACTIONS(750),
    [anon_sym_LBRACE_PIPE] = ACTIONS(752),
  },
  [972] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3527),
    [sym_constructor_type] = STATE(3527),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3527),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3527),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3527),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [973] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3496),
    [sym_constructor_type] = STATE(3496),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3496),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3496),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3496),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [974] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2441),
    [sym_constructor_type] = STATE(2441),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2441),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2441),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2441),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [975] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3742),
    [sym_constructor_type] = STATE(3742),
    [sym__primary_type] = STATE(3180),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3448),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3742),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3742),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [976] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(2380),
    [sym_constructor_type] = STATE(2380),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [977] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1718),
    [sym_constructor_type] = STATE(1718),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1718),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1718),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1718),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [978] = {
    [sym_nested_identifier] = STATE(4364),
    [sym_string] = STATE(2378),
    [sym_formal_parameters] = STATE(4365),
    [sym_nested_type_identifier] = STATE(2371),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2385),
    [sym_template_literal_type] = STATE(2386),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2386),
    [sym_generic_type] = STATE(2386),
    [sym_type_query] = STATE(2386),
    [sym_index_type_query] = STATE(2386),
    [sym_lookup_type] = STATE(2386),
    [sym_literal_type] = STATE(2386),
    [sym__number] = STATE(2391),
    [sym_existential_type] = STATE(2386),
    [sym_flow_maybe_type] = STATE(2386),
    [sym_parenthesized_type] = STATE(2386),
    [sym_predefined_type] = STATE(2386),
    [sym_object_type] = STATE(2386),
    [sym_type_parameters] = STATE(3869),
    [sym_array_type] = STATE(2386),
    [sym_tuple_type] = STATE(2386),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(2386),
    [sym_intersection_type] = STATE(2386),
    [sym_function_type] = STATE(3064),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_void] = ACTIONS(209),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_this] = ACTIONS(1246),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(203),
    [anon_sym_infer] = ACTIONS(205),
    [anon_sym_keyof] = ACTIONS(207),
    [anon_sym_unknown] = ACTIONS(209),
    [anon_sym_never] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(211),
  },
  [979] = {
    [sym_nested_identifier] = STATE(4448),
    [sym_string] = STATE(1730),
    [sym_formal_parameters] = STATE(4322),
    [sym_nested_type_identifier] = STATE(1526),
    [sym__type] = STATE(1689),
    [sym_constructor_type] = STATE(1689),
    [sym__primary_type] = STATE(1727),
    [sym_template_literal_type] = STATE(1726),
    [sym_infer_type] = STATE(1689),
    [sym_conditional_type] = STATE(1726),
    [sym_generic_type] = STATE(1726),
    [sym_type_query] = STATE(1726),
    [sym_index_type_query] = STATE(1726),
    [sym_lookup_type] = STATE(1726),
    [sym_literal_type] = STATE(1726),
    [sym__number] = STATE(1724),
    [sym_existential_type] = STATE(1726),
    [sym_flow_maybe_type] = STATE(1726),
    [sym_parenthesized_type] = STATE(1726),
    [sym_predefined_type] = STATE(1726),
    [sym_object_type] = STATE(1726),
    [sym_type_parameters] = STATE(3824),
    [sym_array_type] = STATE(1726),
    [sym_tuple_type] = STATE(1726),
    [sym_readonly_type] = STATE(1689),
    [sym_union_type] = STATE(1726),
    [sym_intersection_type] = STATE(1726),
    [sym_function_type] = STATE(1689),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2641),
    [sym_this] = ACTIONS(2903),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2647),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_infer] = ACTIONS(2653),
    [anon_sym_keyof] = ACTIONS(2655),
    [anon_sym_unknown] = ACTIONS(2637),
    [anon_sym_never] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2657),
  },
  [980] = {
    [sym_nested_identifier] = STATE(4204),
    [sym_string] = STATE(2721),
    [sym_formal_parameters] = STATE(4305),
    [sym_nested_type_identifier] = STATE(2605),
    [sym__type] = STATE(2696),
    [sym_constructor_type] = STATE(2696),
    [sym__primary_type] = STATE(2728),
    [sym_template_literal_type] = STATE(2729),
    [sym_infer_type] = STATE(2696),
    [sym_conditional_type] = STATE(2729),
    [sym_generic_type] = STATE(2729),
    [sym_type_query] = STATE(2729),
    [sym_index_type_query] = STATE(2729),
    [sym_lookup_type] = STATE(2729),
    [sym_literal_type] = STATE(2729),
    [sym__number] = STATE(2730),
    [sym_existential_type] = STATE(2729),
    [sym_flow_maybe_type] = STATE(2729),
    [sym_parenthesized_type] = STATE(2729),
    [sym_predefined_type] = STATE(2729),
    [sym_object_type] = STATE(2729),
    [sym_type_parameters] = STATE(4024),
    [sym_array_type] = STATE(2729),
    [sym_tuple_type] = STATE(2729),
    [sym_readonly_type] = STATE(2696),
    [sym_union_type] = STATE(2729),
    [sym_intersection_type] = STATE(2729),
    [sym_function_type] = STATE(2696),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_typeof] = ACTIONS(2551),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_AMP] = ACTIONS(2559),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_void] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2573),
    [sym_number] = ACTIONS(2575),
    [sym_this] = ACTIONS(2895),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [sym_null] = ACTIONS(2579),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_QMARK] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_infer] = ACTIONS(2589),
    [anon_sym_keyof] = ACTIONS(2591),
    [anon_sym_unknown] = ACTIONS(2567),
    [anon_sym_never] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2593),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 26,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [89] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_EQ,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(1264), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(155), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [182] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1899), 1,
      anon_sym_COLON,
    ACTIONS(2543), 1,
      sym_identifier,
    STATE(588), 1,
      sym_nested_identifier,
    STATE(606), 1,
      sym_string,
    STATE(729), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [273] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(1256), 1,
      anon_sym_EQ,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(2905), 1,
      sym_identifier,
    STATE(1207), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1467), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 26,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [362] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(2905), 1,
      sym_identifier,
    STATE(1207), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1467), 1,
      sym__module,
    ACTIONS(155), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [451] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1901), 1,
      anon_sym_COLON,
    ACTIONS(2537), 1,
      sym_identifier,
    ACTIONS(2539), 1,
      anon_sym_DQUOTE,
    ACTIONS(2541), 1,
      anon_sym_SQUOTE,
    STATE(139), 1,
      sym_nested_identifier,
    STATE(140), 1,
      sym_string,
    STATE(174), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [542] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1899), 1,
      anon_sym_COLON,
    ACTIONS(2905), 1,
      sym_identifier,
    STATE(1207), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1467), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [633] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [722] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(2019), 1,
      anon_sym_in,
    ACTIONS(2022), 1,
      anon_sym_of,
    ACTIONS(2905), 1,
      sym_identifier,
    STATE(1207), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1467), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [815] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1901), 1,
      anon_sym_COLON,
    ACTIONS(2543), 1,
      sym_identifier,
    STATE(588), 1,
      sym_nested_identifier,
    STATE(606), 1,
      sym_string,
    STATE(729), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [906] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1838), 1,
      anon_sym_LT,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_EQ,
    ACTIONS(2907), 1,
      sym_identifier,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [998] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1838), 1,
      anon_sym_LT,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_EQ,
    ACTIONS(2907), 1,
      sym_identifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [1090] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1309), 1,
      anon_sym_EQ,
    ACTIONS(1311), 1,
      anon_sym_EQ_GT,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 26,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [1178] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [1266] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1838), 1,
      anon_sym_LT,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_EQ,
    ACTIONS(2907), 1,
      sym_identifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [1358] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [1446] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1311), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 26,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [1534] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_RBRACK,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2044), 1,
      anon_sym_EQ,
    ACTIONS(2047), 1,
      anon_sym_COLON,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [1628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 24,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(2911), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1697] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2675), 1,
      anon_sym_STAR,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2687), 1,
      anon_sym_LBRACK,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(2915), 1,
      anon_sym_export,
    ACTIONS(2920), 1,
      anon_sym_async,
    ACTIONS(2922), 1,
      anon_sym_static,
    ACTIONS(2924), 1,
      anon_sym_readonly,
    ACTIONS(2930), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2253), 1,
      sym_accessibility_modifier,
    STATE(2288), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(2695), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2917), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2926), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2928), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3808), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4070), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2978), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2913), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [1830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 24,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(2934), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1899] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2057), 1,
      anon_sym_COLON,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [1988] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(2938), 1,
      anon_sym_EQ,
    ACTIONS(2942), 1,
      anon_sym_LPAREN,
    ACTIONS(2945), 1,
      anon_sym_LT,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [2077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 24,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(2954), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2146] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1838), 1,
      anon_sym_LT,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [2235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 24,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(2958), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2304] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2047), 1,
      anon_sym_COLON,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [2393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 24,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(2962), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2462] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(2938), 1,
      anon_sym_EQ,
    ACTIONS(2942), 1,
      anon_sym_LPAREN,
    ACTIONS(2945), 1,
      anon_sym_LT,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [2551] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1838), 1,
      anon_sym_LT,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_EQ,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [2640] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(2905), 1,
      sym_identifier,
    STATE(1207), 1,
      sym_nested_identifier,
    STATE(1215), 1,
      sym_string,
    STATE(1467), 1,
      sym__module,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [2727] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(2537), 1,
      sym_identifier,
    ACTIONS(2539), 1,
      anon_sym_DQUOTE,
    ACTIONS(2541), 1,
      anon_sym_SQUOTE,
    STATE(139), 1,
      sym_nested_identifier,
    STATE(140), 1,
      sym_string,
    STATE(174), 1,
      sym__module,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [2814] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2964), 1,
      sym_identifier,
    STATE(2833), 1,
      sym_nested_identifier,
    STATE(2862), 1,
      sym_string,
    STATE(3328), 1,
      sym__module,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [2901] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(2543), 1,
      sym_identifier,
    STATE(588), 1,
      sym_nested_identifier,
    STATE(606), 1,
      sym_string,
    STATE(729), 1,
      sym__module,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [2988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 24,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(2968), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3057] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(2938), 1,
      anon_sym_EQ,
    ACTIONS(2942), 1,
      anon_sym_LPAREN,
    ACTIONS(2945), 1,
      anon_sym_LT,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [3146] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2675), 1,
      anon_sym_STAR,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2687), 1,
      anon_sym_LBRACK,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(2915), 1,
      anon_sym_export,
    ACTIONS(2920), 1,
      anon_sym_async,
    ACTIONS(2922), 1,
      anon_sym_static,
    ACTIONS(2924), 1,
      anon_sym_readonly,
    ACTIONS(2930), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2253), 1,
      sym_accessibility_modifier,
    STATE(2288), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(2695), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2917), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2926), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2928), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3808), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4070), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(3095), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2913), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [3279] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_RBRACK,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2044), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [3370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 24,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(2972), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3439] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    ACTIONS(1835), 1,
      anon_sym_COLON,
    ACTIONS(1838), 1,
      anon_sym_LT,
    ACTIONS(1847), 1,
      anon_sym_QMARK,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [3528] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [3615] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1313), 1,
      anon_sym_EQ,
    ACTIONS(1315), 1,
      anon_sym_EQ_GT,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 26,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [3701] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2976), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2982), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [3787] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [3875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2507), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3943] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2019), 1,
      anon_sym_in,
    ACTIONS(2022), 1,
      anon_sym_of,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [4033] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2996), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [4119] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(3011), 1,
      anon_sym_QMARK,
    STATE(2399), 1,
      sym_type_arguments,
    STATE(3959), 1,
      sym_type_annotation,
    ACTIONS(2982), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3005), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [4213] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(3014), 1,
      anon_sym_LT,
    ACTIONS(3017), 1,
      anon_sym_DOT,
    STATE(2632), 1,
      sym_type_arguments,
    ACTIONS(2982), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3005), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2990), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [4301] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(1315), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 26,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [4387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4459] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(3022), 1,
      anon_sym_LPAREN,
    ACTIONS(3024), 1,
      anon_sym_DOT,
    ACTIONS(3026), 1,
      anon_sym_QMARK_DOT,
    STATE(2501), 1,
      sym_arguments,
    ACTIONS(2996), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2992), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2940), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [4545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2523), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4613] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2996), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2992), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [4698] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    ACTIONS(3032), 1,
      anon_sym_QMARK,
    ACTIONS(3028), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [4775] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    ACTIONS(3034), 1,
      anon_sym_EQ,
    ACTIONS(3039), 1,
      anon_sym_RPAREN,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2982), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3037), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [4866] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2757), 1,
      sym_identifier,
    STATE(1231), 1,
      sym_string,
    STATE(1232), 1,
      sym_nested_identifier,
    STATE(1392), 1,
      sym__module,
    ACTIONS(155), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [4951] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(574), 1,
      anon_sym_QMARK,
    ACTIONS(216), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    ACTIONS(3044), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5105] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(1222), 1,
      anon_sym_EQ,
    ACTIONS(1381), 1,
      anon_sym_extends,
    ACTIONS(3047), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3050), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5184] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3055), 1,
      anon_sym_EQ_GT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2996), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5269] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2996), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5354] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(3005), 1,
      anon_sym_RPAREN,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2982), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3044), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5445] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3055), 1,
      anon_sym_EQ_GT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2976), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2982), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3059), 1,
      anon_sym_EQ,
    ACTIONS(3061), 1,
      anon_sym_EQ_GT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2996), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5615] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2003), 1,
      anon_sym_QMARK,
    ACTIONS(1267), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5692] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(3059), 1,
      anon_sym_EQ,
    ACTIONS(3061), 1,
      anon_sym_EQ_GT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2990), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2982), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5777] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(3050), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1381), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(574), 1,
      anon_sym_QMARK,
    ACTIONS(124), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [5933] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2976), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2982), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6018] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    ACTIONS(3034), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    ACTIONS(3037), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6095] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(574), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(216), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3050), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1899), 1,
      anon_sym_COLON,
    ACTIONS(2907), 1,
      sym_identifier,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [6253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(1381), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3050), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(574), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3050), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3032), 1,
      anon_sym_QMARK,
    ACTIONS(3028), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6487] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 1,
      anon_sym_EQ,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1381), 1,
      anon_sym_extends,
    ACTIONS(3047), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3050), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6709] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    ACTIONS(3028), 1,
      anon_sym_COLON,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2982), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3063), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(1222), 1,
      anon_sym_EQ,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6869] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3067), 1,
      anon_sym_EQ,
    ACTIONS(3069), 1,
      anon_sym_EQ_GT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2996), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [6953] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3028), 1,
      anon_sym_COLON,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2982), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2990), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1381), 1,
      anon_sym_extends,
    ACTIONS(3047), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3050), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7117] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2996), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(2992), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2940), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    ACTIONS(3037), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7347] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1901), 1,
      anon_sym_COLON,
    ACTIONS(2907), 1,
      sym_identifier,
    ACTIONS(155), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [7423] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3071), 1,
      anon_sym_EQ,
    ACTIONS(3073), 1,
      anon_sym_EQ_GT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2996), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    ACTIONS(3044), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7581] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(3071), 1,
      anon_sym_EQ,
    ACTIONS(3073), 1,
      anon_sym_EQ_GT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2990), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2982), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7665] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    ACTIONS(3067), 1,
      anon_sym_EQ,
    ACTIONS(3069), 1,
      anon_sym_EQ_GT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2976), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2982), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(1381), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3050), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(155), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7826] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_COLON,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [7968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_EQ,
    ACTIONS(1311), 1,
      anon_sym_EQ_GT,
    ACTIONS(1381), 1,
      anon_sym_extends,
    ACTIONS(3047), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3050), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(155), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3055), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8187] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3075), 1,
      anon_sym_EQ,
    ACTIONS(3077), 1,
      anon_sym_EQ_GT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2996), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2958), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8335] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1901), 1,
      anon_sym_COLON,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8408] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8479] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(1222), 1,
      anon_sym_EQ,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    ACTIONS(1264), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8554] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(3079), 1,
      anon_sym_in,
    ACTIONS(3082), 1,
      anon_sym_of,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8629] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(3050), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1381), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8779] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(1383), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(3050), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1381), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3055), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [8998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2507), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2968), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(2019), 1,
      anon_sym_in,
    ACTIONS(3084), 1,
      anon_sym_of,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [9203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 1,
      anon_sym_EQ,
    ACTIONS(1258), 1,
      anon_sym_EQ_GT,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [9274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2934), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9339] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(2990), 1,
      anon_sym_extends,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2976), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(2982), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [9422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2962), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2972), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9552] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2996), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2992), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2940), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [9635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2911), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9700] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(3075), 1,
      anon_sym_EQ,
    ACTIONS(3077), 1,
      anon_sym_EQ_GT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2990), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2982), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [9783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_COLON,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [9856] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1899), 1,
      anon_sym_COLON,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [9929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2523), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10136] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(1222), 1,
      anon_sym_EQ,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    ACTIONS(1381), 1,
      anon_sym_extends,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(3050), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
    ACTIONS(2954), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10282] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_EQ,
    ACTIONS(1315), 1,
      anon_sym_EQ_GT,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(1381), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3050), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(3028), 1,
      anon_sym_COLON,
    ACTIONS(3090), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10430] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
    ACTIONS(2979), 1,
      anon_sym_LT,
    ACTIONS(2985), 1,
      anon_sym_DOT,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2990), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2982), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10582] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_EQ_GT,
    ACTIONS(1222), 1,
      anon_sym_EQ,
    ACTIONS(1381), 1,
      anon_sym_extends,
    ACTIONS(3047), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3050), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_AT,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
    ACTIONS(3095), 12,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
    ACTIONS(3093), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_DASH_DASH,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [10728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10866] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2996), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2940), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [10948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3061), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2988), 1,
      anon_sym_EQ_GT,
    ACTIONS(3090), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(3079), 1,
      anon_sym_in,
    ACTIONS(3082), 1,
      anon_sym_of,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11162] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RBRACK,
    ACTIONS(3061), 1,
      anon_sym_EQ_GT,
    ACTIONS(3100), 1,
      anon_sym_EQ,
    ACTIONS(3103), 1,
      anon_sym_in,
    ACTIONS(3105), 1,
      anon_sym_COLON,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11240] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_RBRACK,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2044), 1,
      anon_sym_EQ,
    ACTIONS(2047), 1,
      anon_sym_COLON,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_EQ,
    ACTIONS(3061), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11454] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(3107), 1,
      sym_identifier,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [11526] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2996), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2992), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2940), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3069), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(3113), 1,
      anon_sym_DOT,
    STATE(1157), 1,
      sym_arguments,
    ACTIONS(3111), 12,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3109), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_DASH_DASH,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [11748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_EQ,
    ACTIONS(3069), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_EQ,
    ACTIONS(1311), 1,
      anon_sym_EQ_GT,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [11958] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(2907), 1,
      sym_identifier,
    ACTIONS(155), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [12030] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2047), 1,
      anon_sym_COLON,
    ACTIONS(155), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_AT,
    ACTIONS(3115), 1,
      anon_sym_class,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
    ACTIONS(3095), 12,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
    ACTIONS(3093), 39,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_DASH_DASH,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [12172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RBRACK,
    ACTIONS(3061), 1,
      anon_sym_EQ_GT,
    ACTIONS(3100), 1,
      anon_sym_EQ,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12245] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(3047), 1,
      anon_sym_LBRACK,
    ACTIONS(1381), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3050), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(155), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12389] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_EQ,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2057), 1,
      anon_sym_COLON,
    ACTIONS(155), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3118), 42,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_DASH_DASH,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [12590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12657] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_RBRACK,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(1262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2044), 1,
      anon_sym_EQ,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_EQ,
    ACTIONS(3073), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(155), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12868] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_EQ,
    ACTIONS(3061), 1,
      anon_sym_EQ_GT,
    ACTIONS(3103), 1,
      anon_sym_in,
    ACTIONS(3105), 1,
      anon_sym_COLON,
    ACTIONS(2940), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [12941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3073), 1,
      anon_sym_EQ_GT,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13010] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_EQ,
    ACTIONS(3061), 1,
      anon_sym_EQ_GT,
    ACTIONS(3103), 1,
      anon_sym_in,
    ACTIONS(3122), 1,
      anon_sym_COLON,
    ACTIONS(2940), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13083] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RBRACK,
    ACTIONS(3100), 1,
      anon_sym_EQ,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3077), 1,
      anon_sym_EQ_GT,
    ACTIONS(2940), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2019), 1,
      anon_sym_in,
    ACTIONS(3084), 1,
      anon_sym_of,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3124), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_DASH_DASH,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [13355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      anon_sym_EQ,
    ACTIONS(3077), 1,
      anon_sym_EQ_GT,
    ACTIONS(2940), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_EQ,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2940), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(155), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    ACTIONS(3079), 1,
      anon_sym_in,
    ACTIONS(3082), 1,
      anon_sym_of,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_EQ,
    ACTIONS(1315), 1,
      anon_sym_EQ_GT,
    ACTIONS(155), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13697] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3128), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_DASH_DASH,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [13829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3111), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(3109), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_DASH_DASH,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [13891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3028), 1,
      anon_sym_COLON,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [13958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_EQ_GT,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [14025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      anon_sym_EQ,
    ACTIONS(2940), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [14090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(218), 1,
      anon_sym_EQ_GT,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(155), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(159), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [14157] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3079), 1,
      anon_sym_in,
    ACTIONS(3082), 1,
      anon_sym_of,
    ACTIONS(2940), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2950), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2936), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH_DASH,
  [14226] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(2685), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2709), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3086), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14342] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3154), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3156), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3117), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14458] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3158), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3160), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3022), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14574] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3162), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3164), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3073), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14690] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3166), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3168), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2976), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14806] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(2717), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2719), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2983), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [14922] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3170), 1,
      sym_identifier,
    ACTIONS(3172), 1,
      anon_sym_STAR,
    ACTIONS(3174), 1,
      anon_sym_type,
    ACTIONS(3178), 1,
      anon_sym_LBRACE,
    ACTIONS(3182), 1,
      anon_sym_typeof,
    STATE(3932), 1,
      sym_string,
    STATE(3933), 1,
      sym__import_identifier,
    STATE(3934), 1,
      sym_import_require_clause,
    STATE(4018), 1,
      sym_import_clause,
    STATE(4308), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3176), 16,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(3180), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
  [15005] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3184), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15117] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3186), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15229] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3188), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15341] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    ACTIONS(3190), 1,
      anon_sym_STAR,
    ACTIONS(3192), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_type,
    ACTIONS(3196), 1,
      anon_sym_EQ,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(3208), 1,
      anon_sym_module,
    STATE(1150), 1,
      sym_decorator,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3384), 1,
      sym_declaration,
    STATE(3511), 1,
      sym_export_clause,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3829), 1,
      sym_namespace_export,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [15461] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3210), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15573] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3212), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15685] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3214), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15797] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3216), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15909] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    ACTIONS(3190), 1,
      anon_sym_STAR,
    ACTIONS(3192), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_type,
    ACTIONS(3196), 1,
      anon_sym_EQ,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3208), 1,
      anon_sym_module,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    STATE(1150), 1,
      sym_decorator,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3384), 1,
      sym_declaration,
    STATE(3511), 1,
      sym_export_clause,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3829), 1,
      sym_namespace_export,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [16029] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3221), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16141] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    ACTIONS(3190), 1,
      anon_sym_STAR,
    ACTIONS(3192), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_type,
    ACTIONS(3196), 1,
      anon_sym_EQ,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3208), 1,
      anon_sym_module,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(1150), 1,
      sym_decorator,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3384), 1,
      sym_declaration,
    STATE(3511), 1,
      sym_export_clause,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3829), 1,
      sym_namespace_export,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [16261] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3226), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16373] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3228), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16485] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3230), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16597] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    ACTIONS(3190), 1,
      anon_sym_STAR,
    ACTIONS(3192), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_type,
    ACTIONS(3196), 1,
      anon_sym_EQ,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3208), 1,
      anon_sym_module,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    STATE(1150), 1,
      sym_decorator,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3384), 1,
      sym_declaration,
    STATE(3511), 1,
      sym_export_clause,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3829), 1,
      sym_namespace_export,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [16717] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3235), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16829] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3237), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16941] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3239), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17053] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    ACTIONS(3190), 1,
      anon_sym_STAR,
    ACTIONS(3192), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_type,
    ACTIONS(3196), 1,
      anon_sym_EQ,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3208), 1,
      anon_sym_module,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    STATE(1150), 1,
      sym_decorator,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3384), 1,
      sym_declaration,
    STATE(3511), 1,
      sym_export_clause,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3829), 1,
      sym_namespace_export,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [17173] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3244), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17285] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3246), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17397] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3248), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17509] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3250), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17621] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    ACTIONS(3190), 1,
      anon_sym_STAR,
    ACTIONS(3192), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_type,
    ACTIONS(3196), 1,
      anon_sym_EQ,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3208), 1,
      anon_sym_module,
    STATE(1150), 1,
      sym_decorator,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3384), 1,
      sym_declaration,
    STATE(3511), 1,
      sym_export_clause,
    STATE(3829), 1,
      sym_namespace_export,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [17733] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3247), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17841] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    ACTIONS(3190), 1,
      anon_sym_STAR,
    ACTIONS(3192), 1,
      anon_sym_default,
    ACTIONS(3194), 1,
      anon_sym_type,
    ACTIONS(3198), 1,
      anon_sym_as,
    ACTIONS(3208), 1,
      anon_sym_module,
    ACTIONS(3256), 1,
      anon_sym_EQ,
    STATE(1150), 1,
      sym_decorator,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3384), 1,
      sym_declaration,
    STATE(3511), 1,
      sym_export_clause,
    STATE(3829), 1,
      sym_namespace_export,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [17951] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2966), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18059] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3079), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 15,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(1582), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [18223] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2950), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 15,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(1556), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [18387] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2978), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18495] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3076), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18603] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(2707), 1,
      anon_sym_abstract,
    ACTIONS(3134), 1,
      anon_sym_export,
    ACTIONS(3136), 1,
      anon_sym_STAR,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3140), 1,
      anon_sym_async,
    ACTIONS(3144), 1,
      anon_sym_static,
    ACTIONS(3146), 1,
      anon_sym_readonly,
    ACTIONS(3152), 1,
      anon_sym_override,
    STATE(1150), 1,
      sym_decorator,
    STATE(2257), 1,
      sym_accessibility_modifier,
    STATE(2286), 1,
      sym_override_modifier,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3214), 1,
      sym__call_signature,
    STATE(3488), 1,
      aux_sym_export_statement_repeat1,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(3142), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3148), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3095), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [18711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3270), 1,
      anon_sym_QMARK_DOT,
    STATE(1289), 1,
      sym_type_arguments,
    STATE(1470), 1,
      sym_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3260), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [18782] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3274), 1,
      anon_sym_DOT,
    ACTIONS(3276), 1,
      anon_sym_is,
    STATE(1259), 1,
      sym_type_arguments,
    ACTIONS(3272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2990), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_DOT,
    STATE(1509), 1,
      sym_statement_block,
    ACTIONS(1389), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1387), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [18905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    STATE(1275), 1,
      sym_arguments,
    ACTIONS(3282), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3284), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [18965] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3290), 1,
      anon_sym_RBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(3294), 1,
      anon_sym_async,
    ACTIONS(3296), 1,
      anon_sym_static,
    ACTIONS(3298), 1,
      anon_sym_readonly,
    ACTIONS(3304), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    STATE(3690), 1,
      aux_sym_object_repeat1,
    STATE(3693), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(242), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3300), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3302), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3649), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3657), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3288), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [19063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LT,
    STATE(1266), 1,
      sym_type_arguments,
    ACTIONS(3306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3308), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19121] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(3312), 1,
      anon_sym_RBRACE,
    ACTIONS(3314), 1,
      anon_sym_async,
    ACTIONS(3316), 1,
      anon_sym_static,
    ACTIONS(3318), 1,
      anon_sym_readonly,
    ACTIONS(3324), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    STATE(3693), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3720), 1,
      aux_sym_object_repeat1,
    ACTIONS(242), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3320), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3322), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3649), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3718), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3310), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [19219] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(3328), 1,
      anon_sym_RBRACE,
    ACTIONS(3330), 1,
      anon_sym_async,
    ACTIONS(3332), 1,
      anon_sym_static,
    ACTIONS(3334), 1,
      anon_sym_readonly,
    ACTIONS(3340), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    STATE(3693), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3720), 1,
      aux_sym_object_repeat1,
    ACTIONS(242), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3336), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3338), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3649), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3718), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3326), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [19317] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(3344), 1,
      anon_sym_RBRACE,
    ACTIONS(3346), 1,
      anon_sym_async,
    ACTIONS(3348), 1,
      anon_sym_static,
    ACTIONS(3350), 1,
      anon_sym_readonly,
    ACTIONS(3356), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    STATE(3690), 1,
      aux_sym_object_repeat1,
    STATE(3693), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(242), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3649), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3657), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3342), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [19415] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(3360), 1,
      anon_sym_RBRACE,
    ACTIONS(3362), 1,
      anon_sym_async,
    ACTIONS(3364), 1,
      anon_sym_static,
    ACTIONS(3366), 1,
      anon_sym_readonly,
    ACTIONS(3372), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    STATE(3693), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3720), 1,
      aux_sym_object_repeat1,
    ACTIONS(242), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3368), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3370), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3649), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3718), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3358), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [19513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1509), 1,
      sym_statement_block,
    ACTIONS(1389), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1387), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [19571] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    ACTIONS(3378), 1,
      anon_sym_async,
    ACTIONS(3380), 1,
      anon_sym_static,
    ACTIONS(3382), 1,
      anon_sym_readonly,
    ACTIONS(3388), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    STATE(3693), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3720), 1,
      aux_sym_object_repeat1,
    ACTIONS(242), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3384), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3386), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3649), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3718), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3374), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [19669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3274), 1,
      anon_sym_DOT,
    STATE(1259), 1,
      sym_type_arguments,
    ACTIONS(3272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2990), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3394), 1,
      anon_sym_DOT,
    STATE(1276), 1,
      sym_arguments,
    ACTIONS(3390), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3392), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1381), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [19843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 15,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(1556), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3276), 1,
      anon_sym_is,
    ACTIONS(3396), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3398), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [19953] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(3402), 1,
      anon_sym_RBRACE,
    ACTIONS(3404), 1,
      anon_sym_async,
    ACTIONS(3406), 1,
      anon_sym_static,
    ACTIONS(3408), 1,
      anon_sym_readonly,
    ACTIONS(3414), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    STATE(3693), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3720), 1,
      aux_sym_object_repeat1,
    ACTIONS(242), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3410), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3412), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3649), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3718), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3400), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [20051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_is,
    ACTIONS(3306), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3308), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 15,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
      anon_sym_QMARK,
    ACTIONS(1582), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(3418), 1,
      sym__automatic_semicolon,
    ACTIONS(1397), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1395), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [20219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3420), 1,
      anon_sym_DOT,
    STATE(1273), 1,
      sym_arguments,
    ACTIONS(2996), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2992), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3398), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3428), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3418), 1,
      sym__automatic_semicolon,
    ACTIONS(1397), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1395), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [20493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1380), 1,
      sym_statement_block,
    ACTIONS(1389), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1387), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [20550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    ACTIONS(3432), 1,
      anon_sym_DOT,
    STATE(1380), 1,
      sym_statement_block,
    ACTIONS(1389), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1387), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [20609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3436), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3444), 1,
      anon_sym_PIPE,
    ACTIONS(3446), 1,
      anon_sym_extends,
    ACTIONS(3438), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3440), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [20721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3444), 1,
      anon_sym_PIPE,
    ACTIONS(3446), 1,
      anon_sym_extends,
    ACTIONS(3448), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3450), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [20780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3454), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3458), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3462), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3466), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [20992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3458), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3466), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3470), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21151] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3270), 1,
      anon_sym_QMARK_DOT,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(1578), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [21212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1490), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [21265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3466), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1987), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [21426] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3476), 1,
      anon_sym_LT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3472), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3474), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [21501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_DOT,
    ACTIONS(3485), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3487), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3493), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3493), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3497), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21715] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3507), 1,
      anon_sym_LT,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3514), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3516), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3518), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [21904] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3522), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [22017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3560), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3564), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3568), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3444), 1,
      anon_sym_PIPE,
    ACTIONS(3446), 1,
      anon_sym_extends,
    ACTIONS(3570), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3572), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [22235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 1,
      anon_sym_extends,
    ACTIONS(3580), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3574), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3576), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [22294] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3588), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3586), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_satisfies,
  [22365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3593), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_LBRACK,
    ACTIONS(3595), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3597), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3493), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3601), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3603), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3605), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1985), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1983), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3607), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3609), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      sym__automatic_semicolon,
    ACTIONS(1486), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1484), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [22793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1971), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [22846] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3613), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [22959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3617), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3621), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3623), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3625), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3627), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3629), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23171] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3631), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [23284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3633), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3635), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3637), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3639), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3641), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3643), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3308), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3647), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_LBRACK,
    ACTIONS(3580), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3582), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3649), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3651), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3444), 1,
      anon_sym_PIPE,
    ACTIONS(3446), 1,
      anon_sym_extends,
    ACTIONS(3656), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3658), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [23771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3658), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [23824] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3660), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [23937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    STATE(1382), 1,
      sym_arguments,
    ACTIONS(3662), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3664), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [23994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24047] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3666), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [24160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3670), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3674), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24266] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3676), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [24379] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3682), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [24456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3444), 1,
      anon_sym_PIPE,
    ACTIONS(3446), 1,
      anon_sym_extends,
    ACTIONS(3685), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3687), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [24515] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3691), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [24630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2531), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3693), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3695), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3674), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3697), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3699), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24844] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [24931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3701), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3703), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3674), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25037] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [25138] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [25241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1977), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1975), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25294] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3682), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [25377] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3680), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [25472] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [25569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3705), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3707), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25622] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [25721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3444), 1,
      anon_sym_PIPE,
    ACTIONS(3709), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3711), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25778] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3682), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [25859] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3682), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [25942] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [26033] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [26138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3715), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3444), 1,
      anon_sym_PIPE,
    ACTIONS(3446), 1,
      anon_sym_extends,
    ACTIONS(3717), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3719), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [26250] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3721), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [26363] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3723), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [26476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3725), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3727), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2535), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3731), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26635] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3733), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [26748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3737), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3741), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3458), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3731), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3737), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3745), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3749), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3745), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3749), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27282] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3751), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [27395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3755), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27448] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(1987), 1,
      anon_sym_extends,
    ACTIONS(3757), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3760), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3765), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3755), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3765), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27668] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3767), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [27781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3560), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2527), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3771), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3773), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3775), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3779), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3741), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_AMP,
    ACTIONS(3444), 1,
      anon_sym_PIPE,
    ACTIONS(3446), 1,
      anon_sym_extends,
    ACTIONS(3781), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3783), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3783), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1979), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_extends,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3791), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3794), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3785), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3799), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3741), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28435] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3801), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [28548] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3767), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [28660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3855), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3857), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1538), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3861), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3861), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3861), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3863), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3865), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3861), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3869), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1455), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1441), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1534), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29284] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3871), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3472), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3474), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [29358] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3874), 1,
      anon_sym_LT,
    ACTIONS(3876), 1,
      anon_sym_QMARK_DOT,
    STATE(1703), 1,
      sym_type_arguments,
    STATE(1905), 1,
      sym_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3260), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [29426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3878), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3880), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3882), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3884), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3886), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3586), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_satisfies,
  [29600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(1399), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3891), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_extends,
    ACTIONS(3897), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3900), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3893), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29764] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    ACTIONS(3903), 1,
      anon_sym_COMMA,
    ACTIONS(3906), 1,
      anon_sym_RBRACE,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1484), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_EQ,
    ACTIONS(3908), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3912), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1514), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3785), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3916), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3918), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3920), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3767), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3751), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3928), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3801), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3934), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30456] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3939), 1,
      anon_sym_RBRACE,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30572] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(3941), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(4128), 1,
      sym_type_annotation,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1490), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1610), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30794] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [30880] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3522), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [30992] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    ACTIONS(3906), 1,
      anon_sym_RBRACE,
    ACTIONS(3979), 1,
      anon_sym_COMMA,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31108] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3982), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3586), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_satisfies,
  [31178] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3801), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [31290] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3613), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [31402] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3631), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [31514] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    ACTIONS(3906), 1,
      anon_sym_RBRACE,
    ACTIONS(3979), 1,
      anon_sym_COMMA,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31682] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3751), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [31794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3989), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31846] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3723), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [31958] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(3991), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(4329), 1,
      sym_type_annotation,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32128] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3993), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3472), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3474), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [32202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1586), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3996), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3998), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4000), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4002), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4004), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4006), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32410] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3721), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [32522] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4008), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [32634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1596), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1538), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [32738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4012), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4016), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4020), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32894] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3733), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [33006] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [33110] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [33200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3180), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4024), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3721), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4028), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4030), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4032), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4034), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4038), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4042), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33564] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4044), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33646] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4044), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [33726] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4047), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(4179), 1,
      sym_type_annotation,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1524), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1548), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1510), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1465), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1475), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34156] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3957), 1,
      anon_sym_GT,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    ACTIONS(4055), 1,
      anon_sym_in,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4053), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [34270] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34350] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3522), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [34462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4061), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3785), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [34518] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [34616] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [34712] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [34806] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4044), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [34888] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [34990] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_LT,
    ACTIONS(4064), 1,
      anon_sym_DOT,
    ACTIONS(4066), 1,
      anon_sym_is,
    STATE(1659), 1,
      sym_type_arguments,
    ACTIONS(3272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2990), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [35050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4070), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_extends,
    ACTIONS(4072), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4075), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35160] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [35260] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4078), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1586), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [35370] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3660), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [35482] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4084), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(4220), 1,
      sym_type_annotation,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3893), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4086), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4088), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4092), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35756] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3906), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4094), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1606), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1500), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35974] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4096), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [36054] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3613), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [36166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3676), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1445), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [36270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4103), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36322] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    ACTIONS(4113), 1,
      anon_sym_LT,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    STATE(2815), 1,
      sym_type_arguments,
    STATE(3429), 1,
      aux_sym_extends_clause_repeat1,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4107), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [36490] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [36576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      sym__automatic_semicolon,
    ACTIONS(1397), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1395), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [36630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4147), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4149), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4151), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4153), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4155), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4157), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36786] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3631), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [36898] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3733), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [37010] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3660), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [37122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4161), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4165), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37226] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3767), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [37338] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3751), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [37450] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4044), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [37526] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3666), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [37638] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3801), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [37750] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(238), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(4169), 1,
      anon_sym_async,
    ACTIONS(4171), 1,
      anon_sym_static,
    ACTIONS(4173), 1,
      anon_sym_readonly,
    ACTIONS(4179), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    ACTIONS(242), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2917), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4175), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4177), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3808), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4070), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4167), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [37840] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3676), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [37952] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4181), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [38028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1445), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38080] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3723), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [38192] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    ACTIONS(3975), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3977), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3721), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [38304] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3961), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [38408] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3676), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [38520] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [38610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4184), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4186), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4188), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4190), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38714] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3666), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [38826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4194), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4198), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4200), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1399), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [38986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4203), 1,
      sym__automatic_semicolon,
    ACTIONS(1486), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1484), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [39040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4207), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39092] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4209), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4211), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39244] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39346] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4181), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [39428] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39522] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1484), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [39670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4213), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3908), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3912), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [39726] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3945), 1,
      anon_sym_LT,
    ACTIONS(3947), 1,
      anon_sym_GT_GT,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    ACTIONS(3965), 1,
      anon_sym_CARET,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3957), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3971), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3973), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3969), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1514), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [39876] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4181), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [39958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3613), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40010] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3953), 1,
      anon_sym_PERCENT,
    ACTIONS(3955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4181), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3943), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [40090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_is,
    ACTIONS(3306), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [40143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1381), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [40194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4220), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3785), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40249] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3723), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40360] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4226), 1,
      anon_sym_LT,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [40439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3791), 1,
      anon_sym_LBRACK,
    ACTIONS(3497), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3794), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3785), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40498] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4235), 1,
      anon_sym_RBRACE,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1520), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [40593] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4253), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1552), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [40688] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(3618), 1,
      aux_sym_array_repeat1,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40803] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3723), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40914] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3721), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_LT,
    ACTIONS(4064), 1,
      anon_sym_DOT,
    STATE(1659), 1,
      sym_type_arguments,
    ACTIONS(3272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2990), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [41082] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    ACTIONS(4287), 1,
      anon_sym_COMMA,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_LT,
    STATE(1653), 1,
      sym_type_arguments,
    ACTIONS(3306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [41250] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(3776), 1,
      aux_sym_array_repeat1,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4291), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1399), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [41420] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4293), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [41531] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4295), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3586), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_satisfies,
      anon_sym_implements,
  [41600] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3522), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41711] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4298), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1552), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [41806] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4300), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(3790), 1,
      aux_sym_array_repeat1,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41921] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3721), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42032] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3801), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42143] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3613), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42254] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3631), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42365] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3660), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42476] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3666), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42587] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3676), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42698] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4226), 1,
      anon_sym_LT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42773] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42858] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    ACTIONS(4287), 1,
      anon_sym_COMMA,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4302), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [42971] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43070] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43171] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4226), 1,
      anon_sym_LT,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [43252] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4304), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [43363] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [43466] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4306), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [43545] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    ACTIONS(3044), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [43602] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4309), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3472), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3474), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [43675] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_STAR,
    ACTIONS(4318), 1,
      anon_sym_RBRACE,
    ACTIONS(4320), 1,
      anon_sym_LBRACK,
    ACTIONS(4323), 1,
      anon_sym_async,
    ACTIONS(4326), 1,
      anon_sym_DASH,
    ACTIONS(4329), 1,
      anon_sym_DQUOTE,
    ACTIONS(4332), 1,
      anon_sym_SQUOTE,
    ACTIONS(4338), 1,
      anon_sym_AT,
    ACTIONS(4341), 1,
      anon_sym_static,
    ACTIONS(4344), 1,
      anon_sym_readonly,
    ACTIONS(4350), 1,
      anon_sym_declare,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4359), 1,
      anon_sym_abstract,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4335), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4347), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4353), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1552), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4312), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [43770] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43863] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43958] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [44055] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3751), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44166] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    ACTIONS(4287), 1,
      anon_sym_COMMA,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4362), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44279] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4078), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44338] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [44427] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4226), 1,
      anon_sym_LT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 16,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [44508] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [44597] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4364), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [44678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_is,
    ACTIONS(3396), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3398), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [44731] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [44834] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3676), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3032), 1,
      anon_sym_QMARK,
    ACTIONS(3028), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45002] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45113] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3767), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45224] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4364), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [45303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    ACTIONS(3037), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45360] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3801), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45471] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3751), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45582] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3767), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45693] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3733), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45804] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [45901] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [45996] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4367), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(3751), 1,
      aux_sym_array_repeat1,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46111] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1552), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [46206] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3733), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46317] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4371), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1605), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [46412] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4373), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3472), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3474), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46485] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4376), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 17,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46564] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3522), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46675] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4379), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3586), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_satisfies,
  [46744] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1578), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [46839] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4053), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [46950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(4384), 1,
      anon_sym_DOT,
    STATE(1632), 1,
      sym_arguments,
    ACTIONS(2996), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2992), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47007] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4386), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3553), 1,
      aux_sym_array_repeat1,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47122] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4388), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1532), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [47217] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4390), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(3647), 1,
      aux_sym_array_repeat1,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(4392), 1,
      anon_sym_DOT,
    STATE(1631), 1,
      sym_arguments,
    ACTIONS(3282), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3284), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(4394), 1,
      anon_sym_DOT,
    STATE(1630), 1,
      sym_arguments,
    ACTIONS(3390), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3392), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47446] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4396), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(3713), 1,
      aux_sym_array_repeat1,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47561] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4113), 1,
      anon_sym_LT,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    STATE(2894), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4398), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [47672] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4400), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3553), 1,
      aux_sym_array_repeat1,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47787] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3613), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47898] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4364), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [47979] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3631), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48090] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3631), 1,
      anon_sym_COMMA,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48203] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3660), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3791), 1,
      anon_sym_LBRACK,
    ACTIONS(3794), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4402), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3497), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48375] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_LBRACK,
    ACTIONS(3760), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1987), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(1987), 1,
      anon_sym_extends,
    ACTIONS(3757), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3760), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_extends,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3791), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3794), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3785), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48554] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4410), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1552), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [48649] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [48750] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4412), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(3576), 1,
      aux_sym_array_repeat1,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48865] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(4414), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(3686), 1,
      aux_sym_array_repeat1,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48980] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4115), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4117), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4141), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 1,
      sym__ternary_qmark,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3666), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4416), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3908), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3912), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49146] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4364), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [49221] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [49306] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_LT,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3821), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3823), 1,
      anon_sym_GT_GT,
    ACTIONS(3827), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_CARET,
    ACTIONS(3831), 1,
      anon_sym_PIPE,
    ACTIONS(3835), 1,
      anon_sym_PERCENT,
    ACTIONS(3837), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3845), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(3853), 1,
      sym__ternary_qmark,
    ACTIONS(4287), 1,
      anon_sym_COMMA,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3811), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3825), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3841), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3839), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49419] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4420), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1552), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [49514] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2693), 1,
      anon_sym_DASH,
    ACTIONS(3138), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4233), 1,
      anon_sym_STAR,
    ACTIONS(4237), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_AT,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4249), 1,
      anon_sym_declare,
    ACTIONS(4251), 1,
      anon_sym_abstract,
    ACTIONS(4422), 1,
      anon_sym_RBRACE,
    STATE(2206), 1,
      sym_method_definition,
    STATE(2250), 1,
      sym_accessibility_modifier,
    STATE(2284), 1,
      sym_override_modifier,
    STATE(3522), 1,
      sym_method_signature,
    ACTIONS(4239), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(1614), 3,
      sym_decorator,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    STATE(2433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3586), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3132), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [49609] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [49702] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4119), 1,
      anon_sym_GT_GT,
    ACTIONS(4123), 1,
      anon_sym_AMP,
    ACTIONS(4125), 1,
      anon_sym_CARET,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_PERCENT,
    ACTIONS(4133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4222), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4105), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4111), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4121), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4129), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4135), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [49801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3670), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49860] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_LBRACK,
    ACTIONS(1987), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3760), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3731), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [49969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3783), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50019] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4434), 1,
      anon_sym_readonly,
    STATE(2279), 1,
      sym_override_modifier,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3658), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(4442), 1,
      anon_sym_extends,
    ACTIONS(3656), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3658), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3649), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3651), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3647), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3637), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3639), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3633), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3635), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3627), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3629), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3623), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3625), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3617), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50615] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_extends,
    ACTIONS(3791), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
    ACTIONS(3787), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3794), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4061), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1971), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50727] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4434), 1,
      anon_sym_readonly,
    STATE(2279), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(3697), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3699), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 1,
      anon_sym_extends,
    ACTIONS(3757), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 1,
      anon_sym_RPAREN,
    ACTIONS(1401), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3760), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4200), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3701), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3703), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3560), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3876), 1,
      anon_sym_QMARK_DOT,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(1578), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51087] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4444), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3470), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2535), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3454), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51347] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_extends,
    ACTIONS(3897), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3900), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3893), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51403] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4434), 1,
      anon_sym_readonly,
    STATE(2279), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [51487] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4434), 1,
      anon_sym_readonly,
    STATE(2279), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [51571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1977), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1975), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51621] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4446), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3705), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3707), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3715), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3731), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3601), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3737), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(3595), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3597), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3593), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_extends,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(3580), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3574), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3576), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(4442), 1,
      anon_sym_extends,
    ACTIONS(3570), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3572), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3568), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3564), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3560), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(3516), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3518), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3514), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2527), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3497), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52549] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4450), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(3044), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3670), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52723] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_extends,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4457), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4452), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4454), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_DOT,
    ACTIONS(3485), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3487), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3737), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1987), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3745), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3749), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3745), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3749), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53137] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4463), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3472), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3474), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [53209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4466), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [53287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3755), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53337] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3765), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3755), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3765), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3771), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3773), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3775), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53697] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(4505), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3586), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_satisfies,
  [53765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3779), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53815] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4508), 1,
      anon_sym_RBRACE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(4442), 1,
      anon_sym_extends,
    ACTIONS(3717), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3719), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(4442), 1,
      anon_sym_extends,
    ACTIONS(3685), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3687), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4078), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_extends,
    ACTIONS(4072), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4075), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4078), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54209] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    ACTIONS(4510), 1,
      anon_sym_SEMI,
    ACTIONS(4512), 1,
      sym__automatic_semicolon,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(4442), 1,
      anon_sym_extends,
    ACTIONS(3781), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3783), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3693), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3695), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54427] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(1987), 1,
      anon_sym_extends,
    ACTIONS(1989), 1,
      anon_sym_QMARK,
    ACTIONS(3757), 1,
      anon_sym_LBRACK,
    ACTIONS(4291), 1,
      anon_sym_COLON,
    ACTIONS(3760), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54491] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4514), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2531), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3436), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54703] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4516), 1,
      anon_sym_RBRACE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4078), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54873] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_extends,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3791), 1,
      anon_sym_LBRACK,
    ACTIONS(4220), 1,
      anon_sym_COLON,
    ACTIONS(3794), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4402), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    STATE(1883), 1,
      sym_arguments,
    ACTIONS(3662), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3664), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54991] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_EQ,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(3670), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1979), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3799), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3458), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3458), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3458), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3674), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3674), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3674), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55599] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3906), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3641), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3643), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3621), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55809] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3939), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55919] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4094), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3607), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3609), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4078), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3670), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56135] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4518), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3462), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3785), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(3580), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3582), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1985), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1983), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3398), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3670), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3603), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3605), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3900), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3897), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3564), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3493), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3493), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3428), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4072), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3398), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3493), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 1,
      sym_regex_flags,
    ACTIONS(4520), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(4522), 24,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
  [57015] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4526), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3466), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3466), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3466), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57277] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4528), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3741), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3741), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3741), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57539] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4530), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3725), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3727), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57701] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4532), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(3709), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3711), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57867] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3733), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(4145), 1,
      sym__automatic_semicolon,
    ACTIONS(1397), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1395), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58031] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4536), 1,
      sym__automatic_semicolon,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58143] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4538), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_LBRACK,
    ACTIONS(3564), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3900), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3893), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3560), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58365] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3767), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58475] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3751), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58585] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3801), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58695] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_extends,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4544), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4540), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4542), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58757] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(3398), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4075), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58975] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59085] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4547), 1,
      anon_sym_RBRACE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59197] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59299] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59387] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4549), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59467] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4549), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [59545] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59641] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59735] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59827] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59937] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4549), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [60017] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [60117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_EQ,
    ACTIONS(3908), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3912), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60169] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [60267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 1,
      anon_sym_extends,
    ACTIONS(3757), 1,
      anon_sym_LBRACK,
    ACTIONS(4554), 1,
      anon_sym_RPAREN,
    ACTIONS(1401), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3760), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4291), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60329] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4434), 1,
      anon_sym_readonly,
    STATE(2279), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [60413] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_extends,
    ACTIONS(3791), 1,
      anon_sym_LBRACK,
    ACTIONS(4557), 1,
      anon_sym_RPAREN,
    ACTIONS(3787), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3794), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60475] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4560), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60587] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [60671] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4549), 1,
      anon_sym_LT,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [60745] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4562), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60857] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3676), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60967] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4564), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61079] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61189] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4566), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61301] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3526), 1,
      anon_sym_LT,
    ACTIONS(3528), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3532), 1,
      anon_sym_GT_GT,
    ACTIONS(3536), 1,
      anon_sym_AMP,
    ACTIONS(3538), 1,
      anon_sym_CARET,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    ACTIONS(3544), 1,
      anon_sym_PERCENT,
    ACTIONS(3546), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3554), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3556), 1,
      sym__ternary_qmark,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    ACTIONS(4568), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3524), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3534), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3550), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3552), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3548), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(1405), 1,
      sym__automatic_semicolon,
    ACTIONS(1395), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1399), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(4442), 1,
      anon_sym_extends,
    ACTIONS(3438), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3440), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_AMP,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(4442), 1,
      anon_sym_extends,
    ACTIONS(3448), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3450), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(3670), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61637] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_extends,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4452), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4570), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(1399), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61913] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(3037), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3670), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61975] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62085] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(3613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62195] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3805), 1,
      anon_sym_as,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3847), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3849), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3851), 1,
      anon_sym_satisfies,
    ACTIONS(4473), 1,
      anon_sym_LT,
    ACTIONS(4475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4479), 1,
      anon_sym_GT_GT,
    ACTIONS(4483), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      anon_sym_CARET,
    ACTIONS(4487), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_PERCENT,
    ACTIONS(4493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4503), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4469), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4471), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4575), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1548), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62354] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [62451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [62526] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [62599] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(3028), 1,
      anon_sym_COLON,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4614), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62660] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3666), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_extends,
    ACTIONS(3900), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3897), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4626), 1,
      sym_regex_flags,
    ACTIONS(4520), 18,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(4522), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
  [62875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62924] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4008), 1,
      anon_sym_RBRACE,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      sym__automatic_semicolon,
    ACTIONS(1518), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1522), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1524), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4630), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4630), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4207), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1498), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1500), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      sym__automatic_semicolon,
    ACTIONS(1600), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1604), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1606), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63396] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [63471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym__automatic_semicolon,
    ACTIONS(1600), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1604), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1606), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63524] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3660), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63633] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [63710] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4636), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4024), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4630), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4640), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4188), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4190), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64023] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3631), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1578), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 1,
      sym__automatic_semicolon,
    ACTIONS(1494), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1498), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1500), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1473), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1475), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1463), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1465), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3861), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64387] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4642), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym__automatic_semicolon,
    ACTIONS(1504), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1508), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1510), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 1,
      sym__automatic_semicolon,
    ACTIONS(1542), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1546), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1548), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64602] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_EQ,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(3670), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      sym__automatic_semicolon,
    ACTIONS(1449), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1453), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1455), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3861), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1522), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1524), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3861), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64910] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4053), 1,
      anon_sym_of,
    ACTIONS(4579), 1,
      anon_sym_GT,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    ACTIONS(4648), 1,
      anon_sym_in,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3863), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3865), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3861), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1453), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3934), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65219] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4651), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4570), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1500), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1606), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3801), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3928), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3869), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65626] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_QMARK,
    ACTIONS(3564), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3900), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3897), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3560), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      sym__automatic_semicolon,
    ACTIONS(1542), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1546), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1548), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3751), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      sym__automatic_semicolon,
    ACTIONS(1504), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1508), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1510), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3676), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_EQ,
    ACTIONS(3079), 1,
      anon_sym_in,
    ACTIONS(3082), 1,
      anon_sym_of,
    ACTIONS(2936), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65995] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [66072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1596), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3767), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66170] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [66245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      sym__automatic_semicolon,
    ACTIONS(1425), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1429), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4542), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4004), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4006), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4000), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4002), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_EQ,
    ACTIONS(3668), 1,
      anon_sym_QMARK,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3670), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4661), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3855), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3857), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1439), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1441), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1532), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1534), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66818] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4663), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3613), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3918), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3920), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4012), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3916), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67225] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4209), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4211), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym__automatic_semicolon,
    ACTIONS(1459), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1463), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1465), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4626), 1,
      sym_regex_flags,
    ACTIONS(4520), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(4522), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
  [67487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__automatic_semicolon,
    ACTIONS(1469), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1473), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1475), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67540] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4667), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3996), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3998), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4198), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4103), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4194), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67845] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4669), 1,
      anon_sym_STAR,
    ACTIONS(4671), 1,
      anon_sym_LBRACE,
    ACTIONS(4673), 1,
      anon_sym_async,
    ACTIONS(4677), 1,
      anon_sym_readonly,
    STATE(2265), 1,
      sym_statement_block,
    STATE(2275), 1,
      sym_override_modifier,
    ACTIONS(4675), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4679), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67922] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_QMARK,
    ACTIONS(3670), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67979] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68056] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4683), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68184] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3613), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68293] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4685), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68402] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4687), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1594), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1596), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3882), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3884), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3989), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4147), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4149), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68786] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_COLON,
    ACTIONS(4694), 1,
      anon_sym_LT,
    ACTIONS(4697), 1,
      anon_sym_QMARK,
    ACTIONS(3855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3857), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      sym__automatic_semicolon,
    ACTIONS(1425), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1429), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68896] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4699), 1,
      anon_sym_RBRACK,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [69080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4016), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69129] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3028), 1,
      anon_sym_COLON,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3670), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1524), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(4220), 1,
      anon_sym_of,
    ACTIONS(4701), 1,
      anon_sym_in,
    ACTIONS(3785), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69292] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [69369] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3676), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4184), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4186), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3893), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69576] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [69659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1510), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1465), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1475), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4042), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4151), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4153), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4078), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4155), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4157), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3891), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4038), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4032), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4034), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70206] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4704), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3586), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_satisfies,
  [70273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1578), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70324] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3522), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70433] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4707), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70510] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4710), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3472), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3474), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [70581] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3733), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4161), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3878), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3880), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4020), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70837] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3767), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70946] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3751), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71055] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [71154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym__automatic_semicolon,
    ACTIONS(1435), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1439), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1441), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 1,
      sym__automatic_semicolon,
    ACTIONS(1528), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1532), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1534), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3791), 1,
      anon_sym_LBRACK,
    ACTIONS(4220), 1,
      anon_sym_COLON,
    ACTIONS(3794), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3497), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_LBRACK,
    ACTIONS(4291), 1,
      anon_sym_COLON,
    ACTIONS(3760), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1987), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      sym__automatic_semicolon,
    ACTIONS(1590), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1594), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1596), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71431] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3801), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4070), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4165), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71638] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4229), 1,
      anon_sym_PERCENT,
    ACTIONS(4231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4259), 1,
      anon_sym_LT,
    ACTIONS(4261), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4265), 1,
      anon_sym_GT_GT,
    ACTIONS(4269), 1,
      anon_sym_AMP,
    ACTIONS(4271), 1,
      anon_sym_CARET,
    ACTIONS(4273), 1,
      anon_sym_PIPE,
    ACTIONS(4283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4285), 1,
      sym__ternary_qmark,
    ACTIONS(4713), 1,
      anon_sym_COLON,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4224), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4257), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4267), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4275), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1455), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4717), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3791), 1,
      anon_sym_LBRACK,
    ACTIONS(3497), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3794), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3785), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71955] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3723), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72064] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3721), 1,
      anon_sym_of,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4624), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72173] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4591), 1,
      anon_sym_PIPE,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4620), 1,
      anon_sym_PIPE_PIPE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_LBRACK,
    ACTIONS(1987), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3760), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1441), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3721), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72429] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72516] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4028), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4030), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(4291), 1,
      anon_sym_of,
    ACTIONS(4719), 1,
      anon_sym_in,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_EQ,
    ACTIONS(4416), 1,
      anon_sym_of,
    ACTIONS(4722), 1,
      anon_sym_in,
    ACTIONS(3908), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3912), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72754] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4086), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4088), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3180), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72943] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1534), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73085] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4581), 1,
      anon_sym_LT,
    ACTIONS(4583), 1,
      anon_sym_GT_GT,
    ACTIONS(4587), 1,
      anon_sym_AMP,
    ACTIONS(4589), 1,
      anon_sym_CARET,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4579), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4585), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4593), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4601), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4603), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4599), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_EQ,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4078), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [73237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4454), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73290] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73369] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_LT,
    ACTIONS(4733), 1,
      anon_sym_QMARK,
    ACTIONS(2936), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4092), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73475] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4595), 1,
      anon_sym_PERCENT,
    ACTIONS(4597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4577), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73552] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(3670), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73700] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73806] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73912] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73982] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74088] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74194] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_EQ,
    ACTIONS(4416), 1,
      anon_sym_COLON,
    ACTIONS(4213), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3908), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3912), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74354] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74460] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(1987), 1,
      anon_sym_extends,
    ACTIONS(3757), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3760), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_extends,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(3791), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3794), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3785), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74572] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_LBRACK,
    ACTIONS(3564), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3900), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3893), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74696] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74766] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4771), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74842] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(3398), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4075), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(3670), 1,
      anon_sym_extends,
    ACTIONS(4078), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75058] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(3807), 1,
      anon_sym_BANG,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3494), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1827), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75164] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75234] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [75330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 1,
      sym_regex_flags,
    ACTIONS(4520), 18,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4522), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
  [75380] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75486] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75592] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4774), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [75664] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [75746] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [75844] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4774), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [75922] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [76012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_QMARK,
    ACTIONS(3398), 1,
      anon_sym_extends,
    ACTIONS(4075), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4072), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76068] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(3678), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [76160] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4779), 1,
      anon_sym_static,
    ACTIONS(4781), 1,
      anon_sym_readonly,
    ACTIONS(4783), 1,
      anon_sym_abstract,
    STATE(2256), 1,
      sym_accessibility_modifier,
    STATE(2297), 1,
      sym_override_modifier,
    ACTIONS(4777), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3150), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2709), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76234] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4774), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [76310] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4434), 1,
      anon_sym_readonly,
    STATE(2279), 1,
      sym_override_modifier,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76436] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4774), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3678), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [76514] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3678), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3680), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [76600] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3678), 1,
      anon_sym_BANG,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3680), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [76700] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76806] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76912] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76982] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(4785), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3472), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3474), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [77052] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      anon_sym_EQ,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(3670), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77108] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3560), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    ACTIONS(3090), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77318] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4788), 1,
      anon_sym_LT,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3586), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_satisfies,
  [77384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77434] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    ACTIONS(3479), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH_DASH,
    ACTIONS(3501), 1,
      anon_sym_as,
    ACTIONS(3505), 1,
      anon_sym_BANG,
    ACTIONS(3510), 1,
      anon_sym_satisfies,
    ACTIONS(4739), 1,
      anon_sym_LT,
    ACTIONS(4741), 1,
      anon_sym_GT_GT,
    ACTIONS(4745), 1,
      anon_sym_AMP,
    ACTIONS(4747), 1,
      anon_sym_CARET,
    ACTIONS(4751), 1,
      anon_sym_PERCENT,
    ACTIONS(4753), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4765), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4769), 1,
      sym__ternary_qmark,
    STATE(3535), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_optional_chain,
    ACTIONS(4735), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4743), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4749), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4757), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4759), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1493), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4755), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(3670), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4081), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77595] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    STATE(2280), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77676] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(2280), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4075), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3398), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77810] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4795), 1,
      sym_identifier,
    ACTIONS(3176), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(3180), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
  [77928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4020), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4797), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4800), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77977] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4803), 1,
      anon_sym_STAR,
    ACTIONS(4805), 1,
      anon_sym_async,
    ACTIONS(4809), 1,
      anon_sym_readonly,
    STATE(2282), 1,
      sym_override_modifier,
    ACTIONS(4807), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4811), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2511), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78048] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(2280), 1,
      sym_override_modifier,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78129] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_STAR,
    ACTIONS(4815), 1,
      anon_sym_async,
    ACTIONS(4821), 1,
      anon_sym_abstract,
    ACTIONS(4817), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78196] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(4827), 1,
      anon_sym_RBRACE,
    STATE(3693), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4829), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3649), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(4194), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4823), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(4061), 1,
      anon_sym_RBRACK,
    ACTIONS(4220), 1,
      anon_sym_COMMA,
    ACTIONS(3785), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4831), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4834), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78367] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78434] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(2280), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 1,
      sym_identifier,
    ACTIONS(3176), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(3180), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
  [78564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4841), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4844), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78613] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(4849), 1,
      anon_sym_RBRACE,
    STATE(3725), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4829), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3806), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(4194), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4847), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3884), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4851), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4854), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78731] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4857), 1,
      anon_sym_STAR,
    ACTIONS(4859), 1,
      anon_sym_async,
    ACTIONS(4863), 1,
      anon_sym_readonly,
    STATE(2276), 1,
      sym_override_modifier,
    ACTIONS(4861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4865), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2512), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_EQ,
    ACTIONS(4213), 1,
      anon_sym_RBRACK,
    ACTIONS(4416), 1,
      anon_sym_COMMA,
    ACTIONS(3908), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3912), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4867), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4870), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78904] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4669), 1,
      anon_sym_STAR,
    ACTIONS(4673), 1,
      anon_sym_async,
    ACTIONS(4873), 1,
      anon_sym_abstract,
    ACTIONS(4675), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4679), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(4200), 1,
      anon_sym_RBRACK,
    ACTIONS(4291), 1,
      anon_sym_COMMA,
    ACTIONS(1399), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_extends,
    ACTIONS(4072), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4075), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LPAREN,
    STATE(2501), 1,
      sym_arguments,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79128] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4875), 1,
      anon_sym_STAR,
    ACTIONS(4877), 1,
      anon_sym_async,
    ACTIONS(4881), 1,
      anon_sym_readonly,
    STATE(2278), 1,
      sym_override_modifier,
    ACTIONS(4879), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4883), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79199] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    STATE(2280), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79280] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_STAR,
    ACTIONS(4815), 1,
      anon_sym_async,
    ACTIONS(4887), 1,
      anon_sym_readonly,
    STATE(2285), 1,
      sym_override_modifier,
    ACTIONS(4817), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_LBRACK,
    ACTIONS(3900), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3564), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3895), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4051), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4889), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4892), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_LBRACK,
    ACTIONS(4081), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3670), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2936), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79555] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(2280), 1,
      sym_override_modifier,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4897), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4900), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RBRACK,
    ACTIONS(3100), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4903), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(4906), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79787] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(2280), 1,
      sym_override_modifier,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79868] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4875), 1,
      anon_sym_STAR,
    ACTIONS(4909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4911), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3094), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79930] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_STAR,
    ACTIONS(4915), 1,
      anon_sym_async,
    ACTIONS(4917), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4919), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2439), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79994] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80068] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80142] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80202] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4921), 1,
      anon_sym_STAR,
    ACTIONS(4923), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4925), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3002), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80264] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_STAR,
    ACTIONS(4929), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4931), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3034), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80326] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80386] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 1,
      sym_regex_flags,
    ACTIONS(4520), 18,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
    ACTIONS(4522), 19,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
  [80494] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80554] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3079), 1,
      anon_sym_in,
    ACTIONS(3082), 1,
      anon_sym_of,
    ACTIONS(2936), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80666] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80738] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80798] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4933), 1,
      anon_sym_STAR,
    ACTIONS(4935), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4937), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80860] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80934] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_STAR,
    ACTIONS(4815), 1,
      anon_sym_async,
    ACTIONS(4817), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80998] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81060] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81120] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4803), 1,
      anon_sym_STAR,
    ACTIONS(4805), 1,
      anon_sym_async,
    ACTIONS(4807), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4811), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2511), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      anon_sym_EQ,
    ACTIONS(2936), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(2940), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81292] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4939), 1,
      anon_sym_STAR,
    ACTIONS(4941), 1,
      anon_sym_async,
    ACTIONS(4943), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4945), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2517), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81356] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81430] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81502] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81562] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(4829), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4070), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(4194), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4947), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81626] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_STAR,
    ACTIONS(4953), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4955), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2974), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81688] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(4220), 1,
      anon_sym_of,
    ACTIONS(4701), 1,
      anon_sym_in,
    ACTIONS(3785), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3789), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81812] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81886] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81958] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_EQ,
    ACTIONS(4416), 1,
      anon_sym_of,
    ACTIONS(4722), 1,
      anon_sym_in,
    ACTIONS(3908), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(3912), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4957), 1,
      anon_sym_STAR,
    ACTIONS(4959), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4961), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3039), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82144] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82218] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_STAR,
    ACTIONS(4963), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4965), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3113), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82280] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_STAR,
    ACTIONS(4969), 1,
      anon_sym_async,
    ACTIONS(4971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4973), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82344] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_STAR,
    ACTIONS(4975), 1,
      anon_sym_async,
    ACTIONS(4977), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4979), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2465), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82408] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_EQ,
    ACTIONS(4291), 1,
      anon_sym_of,
    ACTIONS(4719), 1,
      anon_sym_in,
    ACTIONS(1399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_DASH,
    ACTIONS(1403), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82520] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1656), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [82642] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4803), 1,
      anon_sym_STAR,
    ACTIONS(4981), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4983), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82704] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82778] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82850] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4875), 1,
      anon_sym_STAR,
    ACTIONS(4877), 1,
      anon_sym_async,
    ACTIONS(4879), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4883), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82914] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_STAR,
    ACTIONS(4987), 1,
      anon_sym_async,
    ACTIONS(4989), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4991), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2491), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82978] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4669), 1,
      anon_sym_STAR,
    ACTIONS(4993), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3011), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83040] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4857), 1,
      anon_sym_STAR,
    ACTIONS(4997), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4999), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3041), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83102] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4939), 1,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5003), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3100), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83164] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_STAR,
    ACTIONS(5005), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5007), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2951), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83226] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_STAR,
    ACTIONS(5009), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5011), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2994), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83288] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_STAR,
    ACTIONS(5013), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3053), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83350] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4957), 1,
      anon_sym_STAR,
    ACTIONS(5017), 1,
      anon_sym_async,
    ACTIONS(5019), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2514), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83414] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4857), 1,
      anon_sym_STAR,
    ACTIONS(4859), 1,
      anon_sym_async,
    ACTIONS(4861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4865), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2512), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83478] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83545] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5013), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3053), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2994), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83659] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4909), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3094), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4993), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3011), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5023), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3056), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2731), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4929), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3034), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4959), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3039), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3030), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84192] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4935), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84249] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3002), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2974), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4981), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84487] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5001), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3100), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84544] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3113), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84668] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(224), 1,
      anon_sym_STAR,
    ACTIONS(1620), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5037), 1,
      anon_sym_static,
    ACTIONS(5039), 1,
      anon_sym_readonly,
    ACTIONS(5045), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_accessibility_modifier,
    STATE(2274), 1,
      sym_override_modifier,
    ACTIONS(5031), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5041), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5043), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2889), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3808), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5029), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84745] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(2280), 1,
      sym_override_modifier,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4997), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3041), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84924] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84991] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85058] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5005), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2951), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5050), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85172] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85236] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5052), 1,
      anon_sym_abstract,
    ACTIONS(5050), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85292] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5054), 1,
      anon_sym_readonly,
    STATE(2305), 1,
      sym_override_modifier,
    ACTIONS(5050), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85352] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85418] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 1,
      anon_sym_readonly,
    STATE(2302), 1,
      sym_override_modifier,
    ACTIONS(5025), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2731), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85582] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4821), 1,
      anon_sym_abstract,
    ACTIONS(5025), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2731), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85638] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    STATE(2280), 1,
      sym_override_modifier,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85708] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85765] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5060), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2722), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85879] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85936] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85993] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86050] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86107] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86164] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86221] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86278] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86335] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86392] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86449] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86506] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86563] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86620] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5062), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3206), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86736] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86795] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86851] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1941), 1,
      anon_sym_type,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1961), 1,
      anon_sym_module,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1965), 1,
      anon_sym_global,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    STATE(1150), 1,
      sym_decorator,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3330), 1,
      sym_declaration,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [86930] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(5047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86979] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1818), 1,
      anon_sym_namespace,
    ACTIONS(1824), 1,
      anon_sym_import,
    ACTIONS(1826), 1,
      anon_sym_var,
    ACTIONS(1828), 1,
      anon_sym_let,
    ACTIONS(1830), 1,
      anon_sym_const,
    ACTIONS(1841), 1,
      anon_sym_class,
    ACTIONS(1843), 1,
      anon_sym_async,
    ACTIONS(1845), 1,
      anon_sym_function,
    ACTIONS(1849), 1,
      anon_sym_declare,
    ACTIONS(1851), 1,
      anon_sym_module,
    ACTIONS(1853), 1,
      anon_sym_abstract,
    ACTIONS(1855), 1,
      anon_sym_interface,
    ACTIONS(1857), 1,
      anon_sym_enum,
    ACTIONS(1887), 1,
      anon_sym_type,
    ACTIONS(5064), 1,
      anon_sym_default,
    STATE(679), 1,
      sym_internal_module,
    STATE(692), 1,
      sym_declaration,
    STATE(1150), 1,
      sym_decorator,
    STATE(3282), 1,
      aux_sym_export_statement_repeat1,
    STATE(668), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [87058] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(5047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87107] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1818), 1,
      anon_sym_namespace,
    ACTIONS(1824), 1,
      anon_sym_import,
    ACTIONS(1826), 1,
      anon_sym_var,
    ACTIONS(1828), 1,
      anon_sym_let,
    ACTIONS(1830), 1,
      anon_sym_const,
    ACTIONS(1841), 1,
      anon_sym_class,
    ACTIONS(1843), 1,
      anon_sym_async,
    ACTIONS(1845), 1,
      anon_sym_function,
    ACTIONS(1849), 1,
      anon_sym_declare,
    ACTIONS(1851), 1,
      anon_sym_module,
    ACTIONS(1853), 1,
      anon_sym_abstract,
    ACTIONS(1855), 1,
      anon_sym_interface,
    ACTIONS(1857), 1,
      anon_sym_enum,
    ACTIONS(1887), 1,
      anon_sym_type,
    ACTIONS(5066), 1,
      anon_sym_default,
    STATE(679), 1,
      sym_internal_module,
    STATE(692), 1,
      sym_declaration,
    STATE(1150), 1,
      sym_decorator,
    STATE(3282), 1,
      aux_sym_export_statement_repeat1,
    STATE(668), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [87186] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1818), 1,
      anon_sym_namespace,
    ACTIONS(1824), 1,
      anon_sym_import,
    ACTIONS(1826), 1,
      anon_sym_var,
    ACTIONS(1828), 1,
      anon_sym_let,
    ACTIONS(1830), 1,
      anon_sym_const,
    ACTIONS(1841), 1,
      anon_sym_class,
    ACTIONS(1843), 1,
      anon_sym_async,
    ACTIONS(1845), 1,
      anon_sym_function,
    ACTIONS(1849), 1,
      anon_sym_declare,
    ACTIONS(1853), 1,
      anon_sym_abstract,
    ACTIONS(1855), 1,
      anon_sym_interface,
    ACTIONS(1857), 1,
      anon_sym_enum,
    ACTIONS(1887), 1,
      anon_sym_type,
    ACTIONS(1891), 1,
      anon_sym_module,
    ACTIONS(1893), 1,
      anon_sym_global,
    STATE(679), 1,
      sym_internal_module,
    STATE(730), 1,
      sym_declaration,
    STATE(1150), 1,
      sym_decorator,
    STATE(3282), 1,
      aux_sym_export_statement_repeat1,
    STATE(668), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [87265] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5068), 1,
      anon_sym_STAR,
    ACTIONS(5070), 1,
      anon_sym_async,
    ACTIONS(5074), 1,
      anon_sym_readonly,
    STATE(2277), 1,
      sym_override_modifier,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5072), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5076), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87330] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1941), 1,
      anon_sym_type,
    ACTIONS(1943), 1,
      anon_sym_namespace,
    ACTIONS(1945), 1,
      anon_sym_import,
    ACTIONS(1947), 1,
      anon_sym_var,
    ACTIONS(1949), 1,
      anon_sym_let,
    ACTIONS(1951), 1,
      anon_sym_const,
    ACTIONS(1953), 1,
      anon_sym_class,
    ACTIONS(1955), 1,
      anon_sym_async,
    ACTIONS(1957), 1,
      anon_sym_function,
    ACTIONS(1959), 1,
      anon_sym_declare,
    ACTIONS(1963), 1,
      anon_sym_abstract,
    ACTIONS(1967), 1,
      anon_sym_interface,
    ACTIONS(1969), 1,
      anon_sym_enum,
    ACTIONS(3208), 1,
      anon_sym_module,
    ACTIONS(5078), 1,
      anon_sym_default,
    STATE(1150), 1,
      sym_decorator,
    STATE(3124), 1,
      sym_declaration,
    STATE(3212), 1,
      aux_sym_export_statement_repeat1,
    STATE(3320), 1,
      sym_internal_module,
    STATE(3391), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [87409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_DOT,
    STATE(2260), 1,
      sym_arguments,
    ACTIONS(3111), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3109), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5084), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1540), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87536] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5088), 1,
      anon_sym_EQ_GT,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5072), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5090), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5094), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5098), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5090), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5102), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5106), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(5058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(5058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1658), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1656), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5110), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87962] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5114), 1,
      anon_sym_STAR,
    ACTIONS(5116), 1,
      anon_sym_async,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5118), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5120), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3061), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88020] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5068), 1,
      anon_sym_STAR,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5072), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5076), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 1,
      sym__automatic_semicolon,
    ACTIONS(1484), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1486), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88118] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5068), 1,
      anon_sym_STAR,
    ACTIONS(5070), 1,
      anon_sym_async,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5072), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5076), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5126), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5124), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5130), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5098), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5084), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88338] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5114), 1,
      anon_sym_STAR,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5118), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5120), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3061), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88394] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_async,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5138), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5140), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5094), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5142), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5146), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5152), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5150), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5110), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88652] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5138), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5140), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5154), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3118), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88788] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5158), 1,
      anon_sym_STAR,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5160), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5162), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2962), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5164), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1486), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5152), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5150), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5102), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5168), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 1,
      sym__automatic_semicolon,
    ACTIONS(1395), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1397), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 10,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5130), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5160), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2962), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89177] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(4997), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3041), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5138), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5005), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2951), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89330] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5013), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3053), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89381] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(4935), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89432] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(4963), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3113), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89483] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5009), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2994), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89534] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(4981), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89585] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(4959), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3039), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89636] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5001), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3100), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 1,
      sym__automatic_semicolon,
    ACTIONS(1484), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1486), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89728] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(4929), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3034), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5118), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3061), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5176), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2981), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89881] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3012), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5072), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5180), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3032), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(4953), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2974), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__automatic_semicolon,
    ACTIONS(1395), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1397), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(4923), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3002), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90177] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(5184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2997), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90228] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4669), 1,
      anon_sym_STAR,
    ACTIONS(4673), 1,
      anon_sym_async,
    ACTIONS(5186), 1,
      anon_sym_static,
    ACTIONS(5188), 1,
      anon_sym_readonly,
    ACTIONS(5190), 1,
      anon_sym_abstract,
    STATE(2275), 1,
      sym_override_modifier,
    ACTIONS(4675), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4679), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90291] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5192), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(2525), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90379] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4434), 1,
      anon_sym_readonly,
    ACTIONS(5196), 1,
      anon_sym_static,
    STATE(2279), 1,
      sym_override_modifier,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90439] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5198), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1486), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90527] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5200), 1,
      anon_sym_static,
    ACTIONS(5202), 1,
      anon_sym_readonly,
    ACTIONS(5204), 1,
      anon_sym_abstract,
    STATE(2302), 1,
      sym_override_modifier,
    ACTIONS(5025), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2731), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90583] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3152), 1,
      anon_sym_override,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4875), 1,
      anon_sym_STAR,
    ACTIONS(4877), 1,
      anon_sym_async,
    ACTIONS(4881), 1,
      anon_sym_readonly,
    ACTIONS(5206), 1,
      anon_sym_static,
    STATE(2278), 1,
      sym_override_modifier,
    ACTIONS(4879), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4883), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(2529), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3128), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(2533), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5210), 1,
      anon_sym_RBRACE,
    STATE(3738), 1,
      sym_enum_assignment,
    ACTIONS(5212), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3127), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1540), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3111), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3109), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5214), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90971] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(1939), 1,
      anon_sym_override,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(5218), 1,
      anon_sym_static,
    STATE(2280), 1,
      sym_override_modifier,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91031] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91081] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5222), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91131] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5226), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 8,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5228), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_DASH,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91269] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5230), 1,
      anon_sym_RBRACE,
    STATE(3755), 1,
      sym_enum_assignment,
    ACTIONS(5232), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3164), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5234), 1,
      anon_sym_RBRACE,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91369] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(1933), 1,
      anon_sym_async,
    ACTIONS(1935), 1,
      anon_sym_readonly,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4791), 1,
      anon_sym_STAR,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1937), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91422] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_STAR,
    ACTIONS(4815), 1,
      anon_sym_async,
    ACTIONS(4887), 1,
      anon_sym_readonly,
    ACTIONS(4817), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91475] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_STAR,
    ACTIONS(4969), 1,
      anon_sym_async,
    ACTIONS(5236), 1,
      anon_sym_readonly,
    ACTIONS(4971), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4973), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2497), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91528] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_async,
    ACTIONS(5238), 1,
      anon_sym_readonly,
    ACTIONS(5138), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5140), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91581] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4857), 1,
      anon_sym_STAR,
    ACTIONS(4859), 1,
      anon_sym_async,
    ACTIONS(4863), 1,
      anon_sym_readonly,
    ACTIONS(4861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4865), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2512), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91634] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4803), 1,
      anon_sym_STAR,
    ACTIONS(4805), 1,
      anon_sym_async,
    ACTIONS(4809), 1,
      anon_sym_readonly,
    ACTIONS(4807), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4811), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2511), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91687] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5068), 1,
      anon_sym_STAR,
    ACTIONS(5070), 1,
      anon_sym_async,
    ACTIONS(5074), 1,
      anon_sym_readonly,
    ACTIONS(5072), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5076), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
    ACTIONS(1670), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1668), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91781] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_STAR,
    ACTIONS(4987), 1,
      anon_sym_async,
    ACTIONS(5240), 1,
      anon_sym_readonly,
    ACTIONS(4989), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4991), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2491), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91834] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 1,
      anon_sym_readonly,
    ACTIONS(5242), 1,
      anon_sym_STAR,
    ACTIONS(5244), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5246), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2445), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91885] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4669), 1,
      anon_sym_STAR,
    ACTIONS(4673), 1,
      anon_sym_async,
    ACTIONS(4677), 1,
      anon_sym_readonly,
    ACTIONS(4675), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4679), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91938] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_STAR,
    ACTIONS(4915), 1,
      anon_sym_async,
    ACTIONS(5248), 1,
      anon_sym_readonly,
    ACTIONS(4917), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4919), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2439), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91991] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4875), 1,
      anon_sym_STAR,
    ACTIONS(4877), 1,
      anon_sym_async,
    ACTIONS(4881), 1,
      anon_sym_readonly,
    ACTIONS(4879), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4883), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92044] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_enum_assignment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92091] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4424), 1,
      anon_sym_STAR,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(4430), 1,
      anon_sym_async,
    ACTIONS(4434), 1,
      anon_sym_readonly,
    ACTIONS(4432), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92144] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5250), 1,
      anon_sym_STAR,
    ACTIONS(5254), 1,
      anon_sym_readonly,
    ACTIONS(5252), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5256), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2464), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4997), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3041), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92239] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5050), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92283] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2731), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92327] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5072), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92371] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5005), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2951), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4935), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4959), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3039), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 1,
      anon_sym_readonly,
    ACTIONS(5025), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2731), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2997), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4981), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92637] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3113), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92681] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5023), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3056), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92725] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5054), 1,
      anon_sym_readonly,
    ACTIONS(5050), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92771] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5062), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4929), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3034), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(4428), 1,
      anon_sym_LBRACK,
    ACTIONS(5258), 1,
      anon_sym_readonly,
    ACTIONS(5062), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3132), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5180), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3032), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92949] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5013), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3053), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92993] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5176), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2981), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93081] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4953), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2974), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4607), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93169] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4909), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3094), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3030), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93257] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5001), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3100), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93301] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3002), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(4993), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3011), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93389] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3012), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93433] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5118), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3061), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93477] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5138), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5160), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2962), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93565] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(4605), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2994), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1931), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 1,
      sym_identifier,
    STATE(4449), 1,
      sym_mapped_type_clause,
    ACTIONS(5262), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3424), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3741), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3458), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3674), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3458), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3755), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3731), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3799), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(5264), 1,
      anon_sym_DOT,
    ACTIONS(5266), 1,
      anon_sym_QMARK_DOT,
    STATE(2370), 1,
      sym_arguments,
    ACTIONS(3390), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3392), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3737), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3674), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3424), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3674), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [93986] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(5268), 1,
      anon_sym_DOT,
    ACTIONS(5270), 1,
      anon_sym_QMARK_DOT,
    STATE(2367), 1,
      sym_arguments,
    ACTIONS(3282), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3284), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2996), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(2992), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3705), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3707), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_EQ,
    ACTIONS(5272), 1,
      anon_sym_LT,
    ACTIONS(5274), 1,
      anon_sym_DOT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2990), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [94112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3458), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      anon_sym_EQ,
    ACTIONS(3454), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_implements,
  [94164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_EQ,
    ACTIONS(3470), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_implements,
  [94190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3424), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_EQ,
    ACTIONS(3436), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_implements,
  [94242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3731), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94268] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5278), 1,
      anon_sym_EQ,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5282), 1,
      anon_sym_COMMA,
    ACTIONS(5284), 1,
      anon_sym_COLON,
    ACTIONS(5286), 1,
      anon_sym_LT,
    ACTIONS(5288), 1,
      anon_sym_GT,
    ACTIONS(5291), 1,
      anon_sym_SLASH,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5297), 1,
      anon_sym_extends,
    STATE(2703), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3533), 1,
      sym_constraint,
    STATE(3962), 1,
      sym_default_type,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [94324] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_EQ,
    ACTIONS(5272), 1,
      anon_sym_LT,
    ACTIONS(5274), 1,
      anon_sym_DOT,
    ACTIONS(5299), 1,
      anon_sym_is,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2990), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [94358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3737), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3741), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3765), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3715), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3741), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3466), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3765), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3466), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3466), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3745), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3749), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3493), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3493), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3493), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3603), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3605), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3745), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3749), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3755), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94826] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5278), 1,
      anon_sym_EQ,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5282), 1,
      anon_sym_COMMA,
    ACTIONS(5284), 1,
      anon_sym_COLON,
    ACTIONS(5286), 1,
      anon_sym_LT,
    ACTIONS(5288), 1,
      anon_sym_GT,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5297), 1,
      anon_sym_extends,
    ACTIONS(5301), 1,
      anon_sym_SLASH,
    STATE(2771), 1,
      sym_type_arguments,
    STATE(2772), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3533), 1,
      sym_constraint,
    STATE(3962), 1,
      sym_default_type,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [94882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3623), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3625), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5303), 1,
      anon_sym_DOT,
    ACTIONS(5305), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3485), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3487), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_DOT,
    ACTIONS(3649), 2,
      anon_sym_EQ,
      anon_sym_LT,
    ACTIONS(3651), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [94963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3629), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [94988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_EQ,
    ACTIONS(5272), 1,
      anon_sym_LT,
    STATE(2411), 1,
      sym_type_arguments,
    ACTIONS(3308), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3617), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 2,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(1556), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [95066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 2,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(1582), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [95090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      anon_sym_EQ,
    ACTIONS(1381), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [95114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_EQ,
    ACTIONS(3658), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [95158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_EQ,
    ACTIONS(3670), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [95202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_EQ,
    ACTIONS(3695), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_EQ,
    ACTIONS(3497), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_EQ,
    ACTIONS(3398), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_EQ,
    ACTIONS(3647), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(3428), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_EQ,
    ACTIONS(5311), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_EQ,
    ACTIONS(3308), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_EQ,
    ACTIONS(3514), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [95409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [95430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [95451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_EQ,
    ACTIONS(3462), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 1,
      anon_sym_EQ,
    ACTIONS(3560), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_EQ,
    ACTIONS(3643), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_EQ,
    ACTIONS(3564), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 1,
      anon_sym_EQ,
    ACTIONS(3771), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    ACTIONS(3621), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_EQ,
    ACTIONS(3609), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_EQ,
    ACTIONS(3775), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_EQ,
    ACTIONS(3568), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [95679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      anon_sym_EQ,
    ACTIONS(5311), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(3576), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [95706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_EQ,
    ACTIONS(3779), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95729] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_PIPE,
    ACTIONS(5321), 1,
      anon_sym_LT,
    ACTIONS(5323), 1,
      anon_sym_DOT,
    ACTIONS(5325), 1,
      anon_sym_is,
    STATE(2632), 1,
      sym_type_arguments,
    ACTIONS(2990), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [95760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(3783), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      anon_sym_EQ,
    ACTIONS(3593), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_EQ,
    ACTIONS(5327), 1,
      anon_sym_is,
    ACTIONS(3308), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_EQ,
    ACTIONS(5311), 1,
      anon_sym_LBRACK,
    ACTIONS(3597), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95856] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_PIPE,
    ACTIONS(3022), 1,
      anon_sym_LPAREN,
    ACTIONS(3024), 1,
      anon_sym_DOT,
    ACTIONS(3026), 1,
      anon_sym_QMARK_DOT,
    STATE(2501), 1,
      sym_arguments,
    ACTIONS(2992), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [95887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LPAREN,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(5329), 1,
      anon_sym_DOT,
    ACTIONS(5331), 1,
      anon_sym_QMARK_DOT,
    STATE(2516), 1,
      sym_arguments,
    ACTIONS(3284), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [95918] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LPAREN,
    ACTIONS(3390), 1,
      anon_sym_PIPE,
    ACTIONS(5333), 1,
      anon_sym_DOT,
    ACTIONS(5335), 1,
      anon_sym_QMARK_DOT,
    STATE(2502), 1,
      sym_arguments,
    ACTIONS(3392), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [95949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 1,
      anon_sym_EQ,
    ACTIONS(3601), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_EQ,
    ACTIONS(5299), 1,
      anon_sym_is,
    ACTIONS(3398), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [95997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_EQ,
    ACTIONS(3727), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [96020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_EQ,
    ACTIONS(3703), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [96043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    ACTIONS(3635), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [96066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [96087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3637), 1,
      anon_sym_EQ,
    ACTIONS(3639), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [96110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [96131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3705), 1,
      anon_sym_PIPE,
    ACTIONS(3707), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_PIPE,
    ACTIONS(3755), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_PIPE,
    ACTIONS(3605), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_PIPE,
    ACTIONS(3424), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_PIPE,
    ACTIONS(3424), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5343), 1,
      sym_number,
    STATE(4405), 1,
      sym_string,
    STATE(4415), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5345), 1,
      sym_number,
    STATE(4394), 1,
      sym_string,
    STATE(4397), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5347), 1,
      sym_number,
    STATE(4381), 1,
      sym_string,
    STATE(4384), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5349), 1,
      sym_number,
    STATE(4371), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_PIPE,
    ACTIONS(3424), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_PIPE,
    ACTIONS(3674), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5351), 1,
      sym_number,
    STATE(4377), 1,
      sym_predefined_type,
    STATE(4378), 1,
      sym_string,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96477] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5357), 1,
      anon_sym_BANG,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5363), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3071), 1,
      sym__call_signature,
    STATE(3197), 1,
      sym_type_annotation,
    STATE(3695), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [96519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_PIPE,
    ACTIONS(3674), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5365), 1,
      sym_number,
    STATE(4284), 1,
      sym_string,
    STATE(4285), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5367), 1,
      sym_number,
    STATE(4276), 1,
      sym_string,
    STATE(4280), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96601] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5371), 1,
      anon_sym_BANG,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3004), 1,
      sym__call_signature,
    STATE(3298), 1,
      sym_type_annotation,
    STATE(3572), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5369), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [96643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5375), 1,
      sym_number,
    STATE(4272), 1,
      sym_string,
    STATE(4273), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96673] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5379), 1,
      anon_sym_BANG,
    ACTIONS(5381), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(2993), 1,
      sym__call_signature,
    STATE(3414), 1,
      sym_type_annotation,
    STATE(3610), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [96715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5383), 1,
      sym_number,
    STATE(4268), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [96743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_EQ,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(3699), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [96767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_PIPE,
    ACTIONS(3674), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 1,
      anon_sym_PIPE,
    ACTIONS(3458), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 1,
      anon_sym_PIPE,
    ACTIONS(3458), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96833] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5389), 1,
      anon_sym_BANG,
    ACTIONS(5391), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3172), 1,
      sym_type_annotation,
    STATE(3661), 1,
      sym__initializer,
    STATE(3662), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5387), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [96875] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3178), 1,
      anon_sym_LBRACE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5397), 1,
      anon_sym_type,
    ACTIONS(5399), 1,
      anon_sym_COMMA,
    ACTIONS(5401), 1,
      anon_sym_from,
    STATE(3807), 1,
      sym_import_require_clause,
    STATE(3933), 1,
      sym__import_identifier,
    STATE(4051), 1,
      sym_string,
    STATE(4055), 1,
      sym_import_clause,
    STATE(4308), 2,
      sym_namespace_import,
      sym_named_imports,
  [96919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(3783), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [96947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(3711), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [96973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 1,
      anon_sym_PIPE,
    ACTIONS(3458), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3570), 1,
      anon_sym_EQ,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(3572), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [97023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97045] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_extends,
    ACTIONS(5272), 1,
      anon_sym_LT,
    ACTIONS(5274), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_GT,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(5407), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(5409), 2,
      anon_sym_LBRACE,
      sym_jsx_identifier,
    ACTIONS(2990), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [97079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      anon_sym_PIPE,
    ACTIONS(3466), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5414), 1,
      sym_number,
    STATE(4372), 1,
      sym_predefined_type,
    STATE(4373), 1,
      sym_string,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      anon_sym_EQ,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(3518), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [97155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      anon_sym_PIPE,
    ACTIONS(3466), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_EQ,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(3658), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [97205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      anon_sym_PIPE,
    ACTIONS(3466), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 1,
      anon_sym_PIPE,
    ACTIONS(3741), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 1,
      anon_sym_PIPE,
    ACTIONS(3741), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5416), 1,
      sym_number,
    STATE(4119), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97299] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5389), 1,
      anon_sym_BANG,
    ACTIONS(5418), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3110), 1,
      sym__call_signature,
    STATE(3172), 1,
      sym_type_annotation,
    STATE(3802), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5387), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [97341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3739), 1,
      anon_sym_PIPE,
    ACTIONS(3741), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97363] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5371), 1,
      anon_sym_BANG,
    ACTIONS(5420), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3298), 1,
      sym_type_annotation,
    STATE(3613), 1,
      sym__call_signature,
    STATE(3616), 1,
      sym__initializer,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5369), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [97405] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5424), 1,
      anon_sym_BANG,
    ACTIONS(5426), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3112), 1,
      sym__call_signature,
    STATE(3128), 1,
      sym_type_annotation,
    STATE(3789), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5422), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [97447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_PIPE,
    ACTIONS(3765), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5428), 1,
      sym_number,
    STATE(4176), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5430), 1,
      sym_number,
    STATE(4172), 1,
      sym_predefined_type,
    STATE(4173), 1,
      sym_string,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_PIPE,
    ACTIONS(3755), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5432), 1,
      sym_number,
    STATE(4138), 1,
      sym_string,
    STATE(4139), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5434), 1,
      sym_number,
    STATE(4149), 1,
      sym_string,
    STATE(4150), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97609] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5436), 1,
      sym_number,
    STATE(4386), 1,
      sym_predefined_type,
    STATE(4388), 1,
      sym_string,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_PIPE,
    ACTIONS(5321), 1,
      anon_sym_LT,
    ACTIONS(5323), 1,
      anon_sym_DOT,
    STATE(2632), 1,
      sym_type_arguments,
    ACTIONS(2990), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5438), 1,
      sym_number,
    STATE(4168), 1,
      sym_predefined_type,
    STATE(4169), 1,
      sym_string,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97697] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5440), 1,
      sym_number,
    STATE(4152), 1,
      sym_string,
    STATE(4157), 1,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5442), 1,
      sym_number,
    STATE(4164), 1,
      sym_predefined_type,
    STATE(4165), 1,
      sym_string,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_PIPE,
    ACTIONS(3765), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 1,
      anon_sym_PIPE,
    ACTIONS(3749), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5444), 1,
      sym_number,
    STATE(4393), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5341), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      anon_sym_EQ,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(3440), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [97857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(3450), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [97885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_PIPE,
    ACTIONS(3715), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 1,
      anon_sym_PIPE,
    ACTIONS(3731), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 1,
      anon_sym_PIPE,
    ACTIONS(3737), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 1,
      anon_sym_PIPE,
    ACTIONS(3731), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 1,
      anon_sym_PIPE,
    ACTIONS(3737), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_PIPE,
    ACTIONS(3745), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 1,
      anon_sym_PIPE,
    ACTIONS(3749), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_PIPE,
    ACTIONS(3745), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98083] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5448), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2908), 1,
      sym__call_signature,
    STATE(3199), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3270), 1,
      sym_type_predicate,
    STATE(4257), 1,
      sym_predefined_type,
    ACTIONS(5450), 2,
      sym_identifier,
      sym_this,
    ACTIONS(209), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5452), 1,
      anon_sym_LPAREN,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(5456), 1,
      anon_sym_QMARK_DOT,
    STATE(2610), 1,
      sym_arguments,
    ACTIONS(3392), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5452), 1,
      anon_sym_LPAREN,
    ACTIONS(5458), 1,
      anon_sym_DOT,
    ACTIONS(5460), 1,
      anon_sym_QMARK_DOT,
    STATE(2611), 1,
      sym_arguments,
    ACTIONS(3284), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5452), 1,
      anon_sym_LPAREN,
    ACTIONS(5462), 1,
      anon_sym_DOT,
    ACTIONS(5464), 1,
      anon_sym_QMARK_DOT,
    STATE(2622), 1,
      sym_arguments,
    ACTIONS(2992), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98224] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5468), 1,
      anon_sym_COLON,
    ACTIONS(5470), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2851), 1,
      sym__call_signature,
    STATE(3123), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5466), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98259] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5472), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3186), 1,
      sym__call_signature,
    STATE(3199), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_PIPE,
    ACTIONS(5321), 1,
      anon_sym_LT,
    STATE(2613), 1,
      sym_type_arguments,
    ACTIONS(3308), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_DOT,
    ACTIONS(3649), 2,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(3651), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3085), 1,
      sym_type_predicate,
    STATE(4093), 1,
      sym_predefined_type,
    ACTIONS(5474), 2,
      sym_identifier,
      sym_this,
    ACTIONS(209), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      anon_sym_PIPE,
    ACTIONS(3617), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3627), 1,
      anon_sym_PIPE,
    ACTIONS(3629), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98409] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5286), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(5478), 1,
      anon_sym_GT,
    ACTIONS(5480), 1,
      anon_sym_SLASH,
    STATE(2792), 1,
      sym_type_arguments,
    STATE(2799), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [98450] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3245), 1,
      sym__call_signature,
    STATE(3246), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5482), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98485] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5486), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2937), 1,
      sym__call_signature,
    STATE(3246), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5482), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98520] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5488), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3123), 1,
      sym_type_annotation,
    STATE(3371), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5466), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_PIPE,
    ACTIONS(2531), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98576] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5286), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(5478), 1,
      anon_sym_GT,
    ACTIONS(5490), 1,
      anon_sym_SLASH,
    STATE(2796), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2797), 1,
      sym_type_arguments,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [98617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3826), 1,
      sym_type_predicate,
    STATE(4443), 1,
      sym_predefined_type,
    ACTIONS(5492), 2,
      sym_identifier,
      sym_this,
    ACTIONS(209), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_DOT,
    ACTIONS(5496), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3487), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98667] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5500), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2917), 1,
      sym__call_signature,
    STATE(3252), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5498), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98702] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5502), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3251), 1,
      sym__call_signature,
    STATE(3252), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5498), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98758] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5506), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2903), 1,
      sym__call_signature,
    STATE(3376), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5504), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_LT,
    ACTIONS(5510), 1,
      anon_sym_DOT,
    ACTIONS(5512), 1,
      anon_sym_is,
    STATE(2700), 1,
      sym_type_arguments,
    ACTIONS(2990), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_PIPE,
    ACTIONS(3625), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98841] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5514), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3369), 1,
      sym__call_signature,
    STATE(3376), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5504), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [98876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 1,
      anon_sym_PIPE,
    ACTIONS(2535), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98897] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3119), 1,
      sym__call_signature,
    STATE(3240), 1,
      sym_type_annotation,
    STATE(3691), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5516), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3749), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98951] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3075), 1,
      sym__call_signature,
    STATE(3205), 1,
      sym_type_annotation,
    STATE(3721), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5518), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3248), 1,
      sym__call_signature,
    STATE(3249), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99019] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2914), 1,
      sym__call_signature,
    STATE(3249), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99051] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2909), 1,
      sym__call_signature,
    STATE(3182), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5522), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99083] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(3178), 1,
      anon_sym_LBRACE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5397), 1,
      anon_sym_type,
    STATE(3807), 1,
      sym_import_require_clause,
    STATE(3933), 1,
      sym__import_identifier,
    STATE(4051), 1,
      sym_string,
    STATE(4055), 1,
      sym_import_clause,
    STATE(4308), 2,
      sym_namespace_import,
      sym_named_imports,
  [99121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LT,
    ACTIONS(1556), 11,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [99141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_LT,
    ACTIONS(5510), 1,
      anon_sym_DOT,
    STATE(2700), 1,
      sym_type_arguments,
    ACTIONS(2990), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99183] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3173), 1,
      sym_type_annotation,
    STATE(3671), 1,
      sym__initializer,
    STATE(3696), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3009), 1,
      sym__call_signature,
    STATE(3268), 1,
      sym_type_annotation,
    STATE(3604), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99255] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5286), 1,
      anon_sym_LT,
    ACTIONS(5291), 1,
      anon_sym_SLASH,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5478), 1,
      anon_sym_GT,
    STATE(2710), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2788), 1,
      sym_type_arguments,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [99293] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [99323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99341] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5286), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5301), 1,
      anon_sym_SLASH,
    ACTIONS(5478), 1,
      anon_sym_GT,
    STATE(2771), 1,
      sym_type_arguments,
    STATE(2776), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [99379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_LT,
    ACTIONS(1582), 11,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [99471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3605), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3364), 1,
      sym__call_signature,
    STATE(3367), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99521] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3179), 1,
      sym__call_signature,
    STATE(3182), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5522), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99553] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3043), 1,
      sym__call_signature,
    STATE(3256), 1,
      sym_type_annotation,
    STATE(3635), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3424), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3424), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3424), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3674), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99661] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [99691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3674), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [99739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3253), 1,
      sym__call_signature,
    STATE(3271), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3674), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3458), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(5272), 1,
      anon_sym_LT,
    ACTIONS(5274), 1,
      anon_sym_DOT,
    ACTIONS(5534), 1,
      anon_sym_QMARK,
    STATE(2399), 1,
      sym_type_arguments,
    STATE(3959), 1,
      sym_type_annotation,
    ACTIONS(2990), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99855] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [99885] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2905), 1,
      sym__call_signature,
    STATE(3367), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [99947] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2915), 1,
      sym__call_signature,
    STATE(3271), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3458), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99997] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3102), 1,
      sym__call_signature,
    STATE(3173), 1,
      sym_type_annotation,
    STATE(3740), 1,
      sym__initializer,
    STATE(3882), 1,
      sym_type_parameters,
    ACTIONS(5524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1381), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [100071] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5286), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5478), 1,
      anon_sym_GT,
    ACTIONS(5480), 1,
      anon_sym_SLASH,
    STATE(2792), 1,
      sym_type_arguments,
    STATE(2801), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [100109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3240), 1,
      sym_type_annotation,
    STATE(3682), 1,
      sym__initializer,
    STATE(3722), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5516), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3458), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3749), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3731), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100307] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5286), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5478), 1,
      anon_sym_GT,
    ACTIONS(5490), 1,
      anon_sym_SLASH,
    STATE(2795), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2797), 1,
      sym_type_arguments,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [100345] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2896), 1,
      sym__call_signature,
    STATE(3415), 1,
      sym_type_annotation,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5537), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [100377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3731), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3755), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3715), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(5325), 1,
      anon_sym_is,
    ACTIONS(3398), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_PIPE,
    ACTIONS(5539), 1,
      anon_sym_is,
    ACTIONS(3308), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3415), 1,
      sym_type_annotation,
    STATE(3416), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
    ACTIONS(5537), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [100543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3707), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3755), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(3450), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [100602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 1,
      anon_sym_PIPE,
    ACTIONS(3560), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3637), 1,
      anon_sym_PIPE,
    ACTIONS(3639), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3633), 1,
      anon_sym_PIPE,
    ACTIONS(3635), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_PIPE,
    ACTIONS(1971), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3206), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [100697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_PIPE,
    ACTIONS(3643), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_PIPE,
    ACTIONS(3428), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_PIPE,
    ACTIONS(3621), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_DOT,
    ACTIONS(3649), 1,
      anon_sym_LT,
    ACTIONS(3651), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_PIPE,
    ACTIONS(3609), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100813] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5547), 1,
      sym_identifier,
    ACTIONS(5549), 1,
      anon_sym_type,
    ACTIONS(5551), 1,
      anon_sym_COMMA,
    ACTIONS(5553), 1,
      anon_sym_RBRACE,
    ACTIONS(5555), 1,
      anon_sym_typeof,
    STATE(3664), 1,
      sym_import_specifier,
    STATE(4029), 1,
      sym__import_identifier,
    STATE(4163), 2,
      sym__module_export_name,
      sym_string,
  [100848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_PIPE,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(3699), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_PIPE,
    ACTIONS(1983), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_PIPE,
    ACTIONS(3783), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_PIPE,
    ACTIONS(3436), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_LT,
    STATE(2699), 1,
      sym_type_arguments,
    ACTIONS(3308), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(3658), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [100987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_PIPE,
    ACTIONS(3658), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3629), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3625), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(3783), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [101099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_PIPE,
    ACTIONS(5557), 1,
      anon_sym_LBRACK,
    ACTIONS(3597), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      anon_sym_PIPE,
    ACTIONS(3593), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE,
    ACTIONS(3470), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_PIPE,
    ACTIONS(3462), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4692), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [101234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_PIPE,
    ACTIONS(5557), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(3576), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_PIPE,
    ACTIONS(3308), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3617), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_PIPE,
    ACTIONS(3670), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3727), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_PIPE,
    ACTIONS(3695), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(3572), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [101373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(3711), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_PIPE,
    ACTIONS(5557), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5559), 1,
      anon_sym_DOT,
    ACTIONS(5561), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3487), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE,
    ACTIONS(3775), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_PIPE,
    ACTIONS(3568), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_PIPE,
    ACTIONS(3703), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_PIPE,
    ACTIONS(3564), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_PIPE,
    ACTIONS(3647), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_PIPE,
    ACTIONS(3497), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 1,
      anon_sym_PIPE,
    ACTIONS(3771), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      anon_sym_PIPE,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(3518), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      anon_sym_PIPE,
    ACTIONS(3454), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_PIPE,
    ACTIONS(1975), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(3440), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [101687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_PIPE,
    ACTIONS(3514), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101706] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5563), 1,
      sym_identifier,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    STATE(1949), 1,
      sym_class_body,
    STATE(2873), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3975), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [101740] = 7,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5573), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      sym_jsx_text,
    ACTIONS(5577), 1,
      sym_comment,
    STATE(1885), 1,
      sym_jsx_closing_element,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2667), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [101766] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5579), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_class_body,
    STATE(2835), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3840), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [101800] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5547), 1,
      sym_identifier,
    ACTIONS(5549), 1,
      anon_sym_type,
    ACTIONS(5555), 1,
      anon_sym_typeof,
    ACTIONS(5581), 1,
      anon_sym_RBRACE,
    STATE(3888), 1,
      sym_import_specifier,
    STATE(4029), 1,
      sym__import_identifier,
    STATE(4163), 2,
      sym__module_export_name,
      sym_string,
  [101832] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5583), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_class_body,
    STATE(2835), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3840), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [101866] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5301), 1,
      anon_sym_SLASH,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(5478), 1,
      anon_sym_GT,
    STATE(2766), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [101898] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5585), 1,
      sym_identifier,
    STATE(1949), 1,
      sym_class_body,
    STATE(2873), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3975), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [101932] = 7,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5587), 1,
      anon_sym_LT,
    ACTIONS(5589), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(3761), 1,
      sym_jsx_closing_element,
    STATE(2684), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [101958] = 7,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5591), 1,
      anon_sym_LT,
    ACTIONS(5593), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(3294), 1,
      sym_jsx_closing_element,
    STATE(2654), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [101984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      anon_sym_is,
    ACTIONS(3398), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102002] = 7,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5591), 1,
      anon_sym_LT,
    ACTIONS(5595), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(3392), 1,
      sym_jsx_closing_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [102028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 1,
      anon_sym_DOT,
    ACTIONS(5266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(2370), 1,
      sym_arguments,
    ACTIONS(3392), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5601), 1,
      anon_sym_BANG,
    STATE(3339), 1,
      sym_type_annotation,
    STATE(3624), 1,
      sym__initializer,
    ACTIONS(5603), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(5599), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [102080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 1,
      anon_sym_DOT,
    ACTIONS(5270), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(2367), 1,
      sym_arguments,
    ACTIONS(3284), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102104] = 7,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5595), 1,
      sym_jsx_text,
    ACTIONS(5605), 1,
      anon_sym_LT,
    STATE(1425), 1,
      sym_jsx_closing_element,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [102130] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5291), 1,
      anon_sym_SLASH,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(5478), 1,
      anon_sym_GT,
    STATE(2765), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [102162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_DOT,
    ACTIONS(3000), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_arguments,
    ACTIONS(2992), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102186] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5607), 1,
      sym_identifier,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(2035), 1,
      sym_class_body,
    STATE(2940), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4045), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [102220] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5611), 1,
      sym_identifier,
    STATE(1949), 1,
      sym_class_body,
    STATE(2873), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3975), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [102254] = 7,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5605), 1,
      anon_sym_LT,
    ACTIONS(5613), 1,
      sym_jsx_text,
    STATE(1501), 1,
      sym_jsx_closing_element,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2658), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [102280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(5615), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102302] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5547), 1,
      sym_identifier,
    ACTIONS(5549), 1,
      anon_sym_type,
    ACTIONS(5555), 1,
      anon_sym_typeof,
    ACTIONS(5617), 1,
      anon_sym_RBRACE,
    STATE(3888), 1,
      sym_import_specifier,
    STATE(4029), 1,
      sym__import_identifier,
    STATE(4163), 2,
      sym__module_export_name,
      sym_string,
  [102334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5619), 1,
      anon_sym_is,
    ACTIONS(3308), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102352] = 7,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5573), 1,
      anon_sym_LT,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5595), 1,
      sym_jsx_text,
    STATE(1964), 1,
      sym_jsx_closing_element,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [102378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 6,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [102400] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5601), 1,
      anon_sym_BANG,
    ACTIONS(5621), 1,
      anon_sym_EQ,
    STATE(3272), 1,
      sym__initializer,
    STATE(3339), 1,
      sym_type_annotation,
    ACTIONS(5603), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(5599), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [102428] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5623), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_class_body,
    STATE(2835), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3840), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [102462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [102478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5627), 1,
      anon_sym_COLON,
    STATE(3028), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5625), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5629), 1,
      anon_sym_LT,
    ACTIONS(5631), 1,
      anon_sym_DQUOTE,
    ACTIONS(5633), 1,
      anon_sym_SQUOTE,
    STATE(2652), 1,
      sym_jsx_opening_element,
    STATE(3359), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [102524] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(5478), 1,
      anon_sym_GT,
    ACTIONS(5480), 1,
      anon_sym_SLASH,
    STATE(2791), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [102556] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5635), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_class_body,
    STATE(2835), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3840), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [102590] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(5478), 1,
      anon_sym_GT,
    ACTIONS(5490), 1,
      anon_sym_SLASH,
    STATE(2803), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [102622] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5637), 1,
      sym_identifier,
    STATE(1418), 1,
      sym_class_body,
    STATE(2841), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3935), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [102656] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5639), 1,
      sym_identifier,
    STATE(1949), 1,
      sym_class_body,
    STATE(2873), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3975), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [102690] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5567), 1,
      anon_sym_extends,
    ACTIONS(5569), 1,
      anon_sym_implements,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5641), 1,
      sym_identifier,
    STATE(1448), 1,
      sym_class_body,
    STATE(2929), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3897), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [102724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5627), 1,
      anon_sym_COLON,
    STATE(3105), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5643), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5645), 1,
      sym_identifier,
    ACTIONS(5649), 1,
      anon_sym_COMMA,
    ACTIONS(5651), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_export_specifier,
    ACTIONS(5647), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(3578), 2,
      sym__module_export_name,
      sym_string,
  [102774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5547), 1,
      sym_identifier,
    ACTIONS(5653), 1,
      anon_sym_type,
    ACTIONS(5655), 1,
      anon_sym_as,
    STATE(3950), 1,
      sym__import_identifier,
    ACTIONS(5399), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4085), 2,
      sym__module_export_name,
      sym_string,
  [102804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 1,
      anon_sym_LT,
    ACTIONS(5274), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_is,
    STATE(2399), 1,
      sym_type_arguments,
    ACTIONS(2990), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102828] = 7,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5587), 1,
      anon_sym_LT,
    ACTIONS(5595), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(3630), 1,
      sym_jsx_closing_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [102854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5629), 1,
      anon_sym_LT,
    ACTIONS(5631), 1,
      anon_sym_DQUOTE,
    ACTIONS(5633), 1,
      anon_sym_SQUOTE,
    STATE(2652), 1,
      sym_jsx_opening_element,
    STATE(3122), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [102880] = 6,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5595), 1,
      sym_jsx_text,
    ACTIONS(5659), 1,
      anon_sym_LT,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [102903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(5663), 1,
      anon_sym_PIPE,
    ACTIONS(3711), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
  [102922] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(594), 1,
      sym_class_body,
    STATE(2883), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3839), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [102953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [102968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [102983] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5645), 1,
      sym_identifier,
    ACTIONS(5675), 1,
      anon_sym_RBRACE,
    STATE(3834), 1,
      sym_export_specifier,
    ACTIONS(5647), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(3578), 2,
      sym__module_export_name,
      sym_string,
  [103010] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5677), 1,
      anon_sym_GT,
    ACTIONS(5679), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [103039] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym_class_body,
    STATE(2912), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4032), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103070] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1365), 1,
      sym_class_body,
    STATE(2876), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3982), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103101] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 1,
      sym_identifier,
    ACTIONS(5686), 1,
      anon_sym_LBRACE,
    ACTIONS(5689), 1,
      anon_sym_GT,
    ACTIONS(5691), 1,
      anon_sym_SLASH,
    ACTIONS(5693), 1,
      sym_jsx_identifier,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [103130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(5663), 1,
      anon_sym_PIPE,
    ACTIONS(5696), 1,
      anon_sym_extends,
    ACTIONS(3450), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [103151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(5663), 1,
      anon_sym_PIPE,
    ACTIONS(5696), 1,
      anon_sym_extends,
    ACTIONS(3440), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [103172] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1902), 1,
      sym_class_body,
    STATE(2927), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4062), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3601), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103233] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym_class_body,
    STATE(2932), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3878), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [103291] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5698), 1,
      anon_sym_GT,
    ACTIONS(5700), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [103320] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1414), 1,
      sym_class_body,
    STATE(2847), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3944), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103351] = 6,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(5705), 1,
      anon_sym_LT,
    ACTIONS(5708), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [103374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 1,
      anon_sym_COLON,
    STATE(3301), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5625), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [103408] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(2838), 1,
      sym_type_parameters,
    STATE(3136), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3939), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3298), 1,
      sym_type_annotation,
    STATE(3590), 1,
      sym__initializer,
    ACTIONS(5371), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5369), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103464] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5715), 1,
      anon_sym_GT,
    ACTIONS(5717), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [103493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5719), 1,
      anon_sym_GT,
    ACTIONS(5721), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [103522] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1863), 1,
      sym_class_body,
    STATE(2913), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3929), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [103568] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1952), 1,
      sym_class_body,
    STATE(2899), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3864), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103614] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5645), 1,
      sym_identifier,
    ACTIONS(5725), 1,
      anon_sym_RBRACE,
    STATE(3834), 1,
      sym_export_specifier,
    ACTIONS(5647), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(3578), 2,
      sym__module_export_name,
      sym_string,
  [103641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3428), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103656] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3128), 1,
      sym_type_annotation,
    STATE(3800), 1,
      sym__initializer,
    ACTIONS(5424), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5422), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3609), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3621), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3315), 1,
      sym_type_annotation,
    STATE(3566), 1,
      sym__initializer,
    ACTIONS(5729), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 1,
      anon_sym_COLON,
    STATE(3138), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5643), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103785] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1846), 1,
      sym_class_body,
    STATE(2934), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4081), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103831] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5547), 1,
      sym_identifier,
    ACTIONS(5549), 1,
      anon_sym_type,
    ACTIONS(5555), 1,
      anon_sym_typeof,
    STATE(3888), 1,
      sym_import_specifier,
    STATE(4029), 1,
      sym__import_identifier,
    STATE(4163), 2,
      sym__module_export_name,
      sym_string,
  [103860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3462), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3172), 1,
      sym_type_annotation,
    STATE(3730), 1,
      sym__initializer,
    ACTIONS(5389), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5387), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103932] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(147), 1,
      sym_class_body,
    STATE(2866), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3832), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [103963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(5735), 1,
      anon_sym_EQ,
    ACTIONS(5615), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [103986] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5621), 1,
      anon_sym_EQ,
    STATE(3278), 1,
      sym__initializer,
    STATE(3339), 1,
      sym_type_annotation,
    ACTIONS(5603), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(5599), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104011] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(2050), 1,
      sym_class_body,
    STATE(2947), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3880), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [104042] = 6,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5737), 1,
      anon_sym_LT,
    ACTIONS(5739), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2686), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [104065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [104080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [104107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3568), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [104134] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5291), 1,
      anon_sym_SLASH,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5478), 1,
      anon_sym_GT,
    STATE(2711), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104163] = 6,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5743), 1,
      anon_sym_LT,
    ACTIONS(5745), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2759), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [104186] = 6,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5595), 1,
      sym_jsx_text,
    ACTIONS(5747), 1,
      anon_sym_LT,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [104209] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(171), 1,
      sym_class_body,
    STATE(2916), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3937), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [104240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104255] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1839), 1,
      sym_class_body,
    STATE(2863), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3972), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [104286] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(2872), 1,
      sym_type_parameters,
    STATE(3354), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3976), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [104317] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(2887), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4007), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [104348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(3518), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [104410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [104467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(5663), 1,
      anon_sym_PIPE,
    ACTIONS(5696), 1,
      anon_sym_extends,
    ACTIONS(3572), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [104488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(3576), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(3597), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104539] = 6,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5595), 1,
      sym_jsx_text,
    ACTIONS(5749), 1,
      anon_sym_LT,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [104562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104577] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [104604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3727), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104619] = 6,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5751), 1,
      anon_sym_LT,
    ACTIONS(5753), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2742), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [104642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5301), 1,
      anon_sym_SLASH,
    ACTIONS(5478), 1,
      anon_sym_GT,
    STATE(2778), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5755), 1,
      anon_sym_GT,
    ACTIONS(5757), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104700] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5755), 1,
      anon_sym_GT,
    ACTIONS(5759), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104729] = 6,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5761), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      sym_jsx_text,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2768), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [104752] = 6,
    ACTIONS(5571), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(5595), 1,
      sym_jsx_text,
    ACTIONS(5765), 1,
      anon_sym_LT,
    STATE(2651), 1,
      sym_jsx_opening_element,
    STATE(2705), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [104775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3470), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104805] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5767), 1,
      anon_sym_GT,
    ACTIONS(5769), 1,
      anon_sym_SLASH,
    STATE(2800), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5698), 1,
      anon_sym_GT,
    ACTIONS(5771), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104863] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1947), 1,
      sym_class_body,
    STATE(2884), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3917), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [104894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3635), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3639), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5715), 1,
      anon_sym_GT,
    ACTIONS(5773), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5719), 1,
      anon_sym_GT,
    ACTIONS(5775), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(5663), 1,
      anon_sym_PIPE,
    ACTIONS(5696), 1,
      anon_sym_extends,
    ACTIONS(3658), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [105018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3695), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(3699), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [105065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [105107] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(602), 1,
      sym_class_body,
    STATE(2867), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3861), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [105138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105153] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3339), 1,
      sym_type_annotation,
    STATE(3597), 1,
      sym__initializer,
    ACTIONS(5603), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(5599), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [105178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5767), 1,
      anon_sym_GT,
    ACTIONS(5777), 1,
      anon_sym_SLASH,
    STATE(2692), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105222] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5478), 1,
      anon_sym_GT,
    ACTIONS(5480), 1,
      anon_sym_SLASH,
    STATE(2807), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105251] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5755), 1,
      anon_sym_GT,
    ACTIONS(5779), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105280] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5767), 1,
      anon_sym_GT,
    ACTIONS(5781), 1,
      anon_sym_SLASH,
    STATE(2814), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5677), 1,
      anon_sym_GT,
    ACTIONS(5783), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105338] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5719), 1,
      anon_sym_GT,
    ACTIONS(5785), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5715), 1,
      anon_sym_GT,
    ACTIONS(5787), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5698), 1,
      anon_sym_GT,
    ACTIONS(5789), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5767), 1,
      anon_sym_GT,
    ACTIONS(5791), 1,
      anon_sym_SLASH,
    STATE(2793), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105454] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3414), 1,
      sym_type_annotation,
    STATE(3623), 1,
      sym__initializer,
    ACTIONS(5379), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [105479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5698), 1,
      anon_sym_GT,
    ACTIONS(5793), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5677), 1,
      anon_sym_GT,
    ACTIONS(5795), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105537] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5715), 1,
      anon_sym_GT,
    ACTIONS(5797), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105566] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(2855), 1,
      sym_type_parameters,
    STATE(3201), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3963), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [105597] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5755), 1,
      anon_sym_GT,
    ACTIONS(5799), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3771), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3775), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5478), 1,
      anon_sym_GT,
    ACTIONS(5490), 1,
      anon_sym_SLASH,
    STATE(2794), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5719), 1,
      anon_sym_GT,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(5663), 1,
      anon_sym_PIPE,
    ACTIONS(5696), 1,
      anon_sym_extends,
    ACTIONS(3783), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [105750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3783), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105795] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3596), 1,
      aux_sym_object_repeat1,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [105822] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      sym_identifier,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    ACTIONS(5293), 1,
      sym_jsx_identifier,
    ACTIONS(5677), 1,
      anon_sym_GT,
    ACTIONS(5803), 1,
      anon_sym_SLASH,
    STATE(2695), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3013), 1,
      sym_jsx_namespace_name,
    STATE(3316), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    STATE(3457), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5805), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(1428), 2,
      sym_template_string,
      sym_arguments,
  [105875] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 1,
      sym_escape_sequence,
    ACTIONS(5809), 1,
      anon_sym_BQUOTE,
    ACTIONS(5811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5813), 1,
      sym__template_chars,
    STATE(3007), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5813), 1,
      sym__template_chars,
    ACTIONS(5815), 1,
      sym_escape_sequence,
    ACTIONS(5817), 1,
      anon_sym_BQUOTE,
    STATE(3058), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105923] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 1,
      sym_escape_sequence,
    ACTIONS(5811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5813), 1,
      sym__template_chars,
    ACTIONS(5819), 1,
      anon_sym_BQUOTE,
    STATE(3007), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(5821), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106009] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 1,
      sym_identifier,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5829), 1,
      anon_sym_enum,
    STATE(3441), 1,
      sym_variable_declarator,
    STATE(2839), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(5601), 1,
      anon_sym_BANG,
    STATE(3339), 1,
      sym_type_annotation,
    STATE(3624), 1,
      sym__initializer,
    ACTIONS(5599), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 1,
      sym_escape_sequence,
    ACTIONS(5811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5813), 1,
      sym__template_chars,
    ACTIONS(5831), 1,
      anon_sym_BQUOTE,
    STATE(3007), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [106081] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 1,
      sym_escape_sequence,
    ACTIONS(5811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5813), 1,
      sym__template_chars,
    ACTIONS(5833), 1,
      anon_sym_BQUOTE,
    STATE(3007), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [106105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(5663), 1,
      anon_sym_PIPE,
    ACTIONS(5696), 1,
      anon_sym_extends,
    ACTIONS(5615), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 1,
      sym_escape_sequence,
    ACTIONS(5811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5813), 1,
      sym__template_chars,
    ACTIONS(5835), 1,
      anon_sym_BQUOTE,
    STATE(3007), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [106149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 1,
      sym_escape_sequence,
    ACTIONS(5811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5813), 1,
      sym__template_chars,
    ACTIONS(5837), 1,
      anon_sym_BQUOTE,
    STATE(3007), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3403), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [106173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_PIPE,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(5839), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106193] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5645), 1,
      sym_identifier,
    STATE(3834), 1,
      sym_export_specifier,
    ACTIONS(5647), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(3578), 2,
      sym__module_export_name,
      sym_string,
  [106217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 1,
      sym_identifier,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5841), 1,
      anon_sym_enum,
    STATE(3421), 1,
      sym_variable_declarator,
    STATE(2839), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    ACTIONS(5845), 1,
      anon_sym_DOT,
    STATE(3170), 1,
      sym_statement_block,
    ACTIONS(1387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106261] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5813), 1,
      sym__template_chars,
    ACTIONS(5815), 1,
      sym_escape_sequence,
    ACTIONS(5847), 1,
      anon_sym_BQUOTE,
    STATE(3058), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [106285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1938), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3833), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4291), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [106323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5849), 1,
      sym_identifier,
    STATE(3421), 1,
      sym_variable_declarator,
    STATE(2839), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(3352), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3974), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3339), 1,
      sym_type_annotation,
    STATE(3597), 1,
      sym__initializer,
    ACTIONS(5599), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 3,
      anon_sym_LT,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1490), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
  [106405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1371), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3973), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [106443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [106456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 1,
      anon_sym_EQ,
    ACTIONS(3037), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [106484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3470), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_BQUOTE,
  [106499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1367), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3978), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3268), 1,
      sym_type_annotation,
    STATE(3608), 1,
      sym__initializer,
    ACTIONS(5526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [106558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5856), 1,
      sym_identifier,
    ACTIONS(5858), 1,
      anon_sym_STAR,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3899), 1,
      sym__call_signature,
  [106583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3924), 1,
      sym_statement_block,
    ACTIONS(5862), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106600] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3240), 1,
      sym_type_annotation,
    STATE(3727), 1,
      sym__initializer,
    ACTIONS(5516), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(5868), 1,
      anon_sym_QMARK,
    STATE(3541), 1,
      sym_type_annotation,
    STATE(3996), 1,
      sym__initializer,
    ACTIONS(5866), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [106644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106657] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(3382), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3999), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [106695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3244), 1,
      sym_type_annotation,
    ACTIONS(5872), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [106725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5849), 1,
      sym_identifier,
    STATE(3441), 1,
      sym_variable_declarator,
    STATE(2839), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4011), 1,
      sym_statement_block,
    ACTIONS(5874), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5849), 1,
      sym_identifier,
    STATE(3442), 1,
      sym_variable_declarator,
    STATE(2839), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    STATE(3170), 1,
      sym_statement_block,
    ACTIONS(1387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106801] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1888), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4003), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 1,
      anon_sym_is,
    ACTIONS(3398), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_EQ,
    ACTIONS(3028), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(149), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3948), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(607), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3836), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [106919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 1,
      anon_sym_is,
    ACTIONS(3308), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_is,
    ACTIONS(5882), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5884), 1,
      sym_identifier,
    ACTIONS(5886), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3998), 1,
      sym__call_signature,
  [106974] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(3326), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4008), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [106999] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1937), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3857), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [107037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5890), 1,
      sym_identifier,
    ACTIONS(5892), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3851), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [107062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1437), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4017), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107087] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5894), 1,
      sym_identifier,
    ACTIONS(5896), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3998), 1,
      sym__call_signature,
  [107112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5898), 1,
      sym_identifier,
    ACTIONS(5900), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3851), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [107137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 1,
      anon_sym_EQ,
    ACTIONS(3037), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [107152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3256), 1,
      sym_type_annotation,
    STATE(3594), 1,
      sym__initializer,
    ACTIONS(5530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5905), 1,
      sym_identifier,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3998), 1,
      sym__call_signature,
  [107198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5909), 1,
      anon_sym_COLON,
    ACTIONS(5911), 1,
      anon_sym_QMARK,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4075), 1,
      sym__call_signature,
  [107223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(597), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3874), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107248] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1943), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3955), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4692), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [107288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      sym_identifier,
    ACTIONS(5915), 1,
      anon_sym_DOT,
    STATE(588), 1,
      sym_nested_identifier,
    STATE(606), 1,
      sym_string,
    STATE(729), 1,
      sym__module,
  [107313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(3299), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4028), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107338] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(5917), 1,
      anon_sym_LT,
    ACTIONS(5919), 1,
      anon_sym_extends,
    STATE(621), 1,
      sym_object_type,
    STATE(3163), 1,
      sym_type_parameters,
    STATE(3754), 1,
      sym_extends_type_clause,
  [107363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5911), 1,
      anon_sym_QMARK,
    ACTIONS(5921), 1,
      anon_sym_COLON,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4075), 1,
      sym__call_signature,
  [107388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4080), 1,
      sym_statement_block,
    ACTIONS(5923), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5849), 1,
      sym_identifier,
    STATE(3419), 1,
      sym_variable_declarator,
    STATE(2839), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [107426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    ACTIONS(5286), 1,
      anon_sym_LT,
    STATE(1929), 1,
      sym_arguments,
    STATE(3810), 1,
      sym_type_arguments,
    ACTIONS(5925), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [107447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4067), 1,
      sym_statement_block,
    ACTIONS(5927), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    STATE(1428), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5929), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [107483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4064), 1,
      sym_statement_block,
    ACTIONS(5931), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4019), 1,
      sym_statement_block,
    ACTIONS(5933), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4071), 1,
      sym_statement_block,
    ACTIONS(5935), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3236), 1,
      sym_type_annotation,
    ACTIONS(5937), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107551] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1922), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3860), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3394), 1,
      sym_type_annotation,
    STATE(3743), 1,
      sym__initializer,
    ACTIONS(5939), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3377), 1,
      sym_type_annotation,
    ACTIONS(5941), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4000), 1,
      sym_statement_block,
    ACTIONS(5933), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4025), 1,
      sym_statement_block,
    ACTIONS(5943), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [107661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4026), 1,
      sym_statement_block,
    ACTIONS(5945), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3895), 1,
      sym_statement_block,
    ACTIONS(5943), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3892), 1,
      sym_statement_block,
    ACTIONS(5945), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4035), 1,
      sym_statement_block,
    ACTIONS(5947), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4039), 1,
      sym_statement_block,
    ACTIONS(5874), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4033), 1,
      sym_statement_block,
    ACTIONS(5947), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    ACTIONS(5286), 1,
      anon_sym_LT,
    STATE(1427), 1,
      sym_arguments,
    STATE(3928), 1,
      sym_type_arguments,
    ACTIONS(5925), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [107784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    STATE(708), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4010), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107809] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1960), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3846), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3845), 1,
      sym_statement_block,
    ACTIONS(5949), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4040), 1,
      sym_statement_block,
    ACTIONS(5951), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107868] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(145), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3965), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [107893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4041), 1,
      sym_statement_block,
    ACTIONS(5953), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3871), 1,
      sym_statement_block,
    ACTIONS(5953), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 1,
      anon_sym_EQ,
    STATE(3533), 1,
      sym_constraint,
    STATE(3962), 1,
      sym_default_type,
    ACTIONS(5282), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(5955), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [107948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [107961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3873), 1,
      sym_statement_block,
    ACTIONS(5951), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107978] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5957), 1,
      sym_identifier,
    ACTIONS(5959), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3851), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [108003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1277), 1,
      anon_sym_LBRACE,
    ACTIONS(5917), 1,
      anon_sym_LT,
    ACTIONS(5919), 1,
      anon_sym_extends,
    STATE(3195), 1,
      sym_type_parameters,
    STATE(3227), 1,
      sym_object_type,
    STATE(3702), 1,
      sym_extends_type_clause,
  [108028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(5963), 1,
      anon_sym_EQ,
    ACTIONS(5961), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(5965), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [108047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5967), 1,
      sym_identifier,
    ACTIONS(5969), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3926), 1,
      sym__call_signature,
  [108072] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(5971), 1,
      sym_identifier,
    ACTIONS(5973), 1,
      anon_sym_DOT,
    STATE(2833), 1,
      sym_nested_identifier,
    STATE(2862), 1,
      sym_string,
    STATE(3328), 1,
      sym__module,
  [108097] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1875), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4068), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [108122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3205), 1,
      sym_type_annotation,
    STATE(3687), 1,
      sym__initializer,
    ACTIONS(5518), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108143] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1476), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3925), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [108168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3173), 1,
      sym_type_annotation,
    STATE(3746), 1,
      sym__initializer,
    ACTIONS(5524), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 1,
      anon_sym_LBRACE,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    ACTIONS(5979), 1,
      anon_sym_LT,
    ACTIONS(5981), 1,
      anon_sym_DOT,
    ACTIONS(5983), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3544), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(3777), 1,
      sym_type_arguments,
  [108214] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    STATE(748), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4049), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [108239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(5047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [108258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(1831), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(4073), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [108283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [108296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5985), 1,
      sym_identifier,
    STATE(3421), 1,
      sym_variable_declarator,
    STATE(2787), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [108317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4048), 1,
      sym_statement_block,
    ACTIONS(5987), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5989), 1,
      sym_identifier,
    STATE(3419), 1,
      sym_variable_declarator,
    STATE(2734), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [108355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3436), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_BQUOTE,
  [108370] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(2045), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3883), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [108395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3842), 1,
      sym_statement_block,
    ACTIONS(5987), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108412] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(5547), 1,
      sym_identifier,
    ACTIONS(5653), 1,
      anon_sym_type,
    STATE(3950), 1,
      sym__import_identifier,
    STATE(4085), 2,
      sym__module_export_name,
      sym_string,
  [108435] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5991), 1,
      sym_identifier,
    ACTIONS(5993), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3851), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [108460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3213), 1,
      sym_type_annotation,
    ACTIONS(5995), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_LBRACE,
    ACTIONS(5827), 1,
      anon_sym_LBRACK,
    ACTIONS(5849), 1,
      sym_identifier,
    STATE(3612), 1,
      sym_variable_declarator,
    STATE(2839), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [108498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      sym_identifier,
    ACTIONS(5999), 1,
      anon_sym_STAR,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3998), 1,
      sym__call_signature,
  [108523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5667), 1,
      anon_sym_extends,
    ACTIONS(5669), 1,
      anon_sym_implements,
    STATE(2063), 1,
      sym_class_body,
    STATE(3711), 1,
      sym_extends_clause,
    STATE(3827), 1,
      sym_class_heritage,
    STATE(4250), 1,
      sym_implements_clause,
  [108548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [108561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3454), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_BQUOTE,
  [108576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3038), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3216), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6001), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6003), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3156), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [108614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(5971), 1,
      sym_identifier,
    STATE(2833), 1,
      sym_nested_identifier,
    STATE(2862), 1,
      sym_string,
    STATE(3178), 1,
      sym__module,
  [108636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(5625), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(4031), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [108652] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6007), 1,
      anon_sym_COMMA,
    ACTIONS(6009), 1,
      anon_sym_GT,
    STATE(3575), 1,
      aux_sym_implements_clause_repeat1,
  [108674] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    ACTIONS(5971), 1,
      sym_identifier,
    STATE(2833), 1,
      sym_nested_identifier,
    STATE(2862), 1,
      sym_string,
    STATE(3328), 1,
      sym__module,
  [108696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6011), 1,
      anon_sym_export,
    ACTIONS(6013), 1,
      anon_sym_class,
    ACTIONS(6015), 1,
      anon_sym_abstract,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [108718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      sym_identifier,
    ACTIONS(6019), 1,
      anon_sym_import,
    STATE(1208), 1,
      sym__type_query_member_expression,
    STATE(1218), 1,
      sym__type_query_subscript_expression,
    STATE(1249), 1,
      sym__type_query_call_expression,
    STATE(4012), 1,
      sym_import,
  [108740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_default,
    ACTIONS(6023), 1,
      anon_sym_RBRACE,
    ACTIONS(6025), 1,
      anon_sym_case,
    STATE(3019), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [108758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6031), 1,
      anon_sym_SLASH,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [108780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(6035), 1,
      sym_identifier,
    ACTIONS(6037), 1,
      anon_sym_LBRACK,
    STATE(3516), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [108798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(6037), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      sym_identifier,
    STATE(3876), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [108816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6041), 1,
      anon_sym_QMARK,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3898), 1,
      sym__call_signature,
  [108838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [108850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [108862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6043), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [108884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3008), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3230), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3363), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [108918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_default,
    ACTIONS(6025), 1,
      anon_sym_case,
    ACTIONS(6051), 1,
      anon_sym_RBRACE,
    STATE(2958), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [108936] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6053), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3849), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [108958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3333), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [108976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2201), 1,
      sym_statement_block,
    ACTIONS(5874), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3318), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2215), 1,
      sym_statement_block,
    ACTIONS(5947), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(6057), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [109048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3237), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6059), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3001), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6063), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6061), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3184), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2975), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3184), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2225), 1,
      sym_statement_block,
    ACTIONS(5923), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6067), 1,
      anon_sym_BQUOTE,
    ACTIONS(6069), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5807), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3007), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [109146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6071), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3398), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [109168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2218), 1,
      sym_statement_block,
    ACTIONS(5927), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2977), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6075), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6073), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2214), 1,
      sym_statement_block,
    ACTIONS(5931), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2224), 1,
      sym_statement_block,
    ACTIONS(5987), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3296), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109250] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6077), 1,
      anon_sym_COMMA,
    ACTIONS(6079), 1,
      anon_sym_GT,
    STATE(3796), 1,
      aux_sym_implements_clause_repeat1,
  [109272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(6037), 1,
      anon_sym_LBRACK,
    ACTIONS(6081), 1,
      sym_identifier,
    STATE(3636), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [109290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6083), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [109312] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6085), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [109334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_QMARK,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3866), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [109356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6089), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [109378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_statement_block,
    ACTIONS(5947), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(6091), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3115), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [109416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_import,
    ACTIONS(6093), 1,
      sym_identifier,
    STATE(2409), 1,
      sym__type_query_member_expression,
    STATE(2410), 1,
      sym__type_query_subscript_expression,
    STATE(2510), 1,
      sym__type_query_call_expression,
    STATE(4069), 1,
      sym_import,
  [109438] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6095), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [109460] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6097), 1,
      anon_sym_QMARK,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4020), 1,
      sym__call_signature,
  [109482] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    ACTIONS(5979), 1,
      anon_sym_LT,
    ACTIONS(6099), 1,
      anon_sym_LBRACE,
    ACTIONS(6101), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3546), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(3779), 1,
      sym_type_arguments,
  [109504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    STATE(3470), 1,
      sym_type_annotation,
    STATE(4043), 1,
      sym__initializer,
    ACTIONS(6103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [109524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(5409), 4,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [109538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3230), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6105), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3413), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [109576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(3206), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK,
  [109590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2197), 1,
      sym_statement_block,
    ACTIONS(5987), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6107), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [109628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6109), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [109646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6113), 1,
      anon_sym_BQUOTE,
    ACTIONS(6111), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3106), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [109664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3221), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6115), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_statement_block,
    ACTIONS(5933), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6117), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [109718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(6119), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(2985), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [109740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(6121), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(2982), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [109762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_EQ,
    ACTIONS(6123), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6127), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [109778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_LT,
    ACTIONS(5981), 1,
      anon_sym_DOT,
    ACTIONS(6129), 1,
      anon_sym_LBRACE,
    STATE(3777), 1,
      sym_type_arguments,
    ACTIONS(6131), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [109798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6133), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3887), 1,
      sym__call_signature,
  [109820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6137), 1,
      anon_sym_QMARK,
    ACTIONS(6135), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109840] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_import,
    ACTIONS(6139), 1,
      sym_identifier,
    STATE(2493), 1,
      sym__type_query_subscript_expression,
    STATE(2494), 1,
      sym__type_query_member_expression,
    STATE(2630), 1,
      sym__type_query_call_expression,
    STATE(3853), 1,
      sym_import,
  [109862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3887), 1,
      sym__call_signature,
  [109884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 1,
      anon_sym_default,
    ACTIONS(6146), 1,
      anon_sym_RBRACE,
    ACTIONS(6148), 1,
      anon_sym_case,
    STATE(3019), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [109902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      sym_identifier,
    STATE(588), 1,
      sym_nested_identifier,
    STATE(606), 1,
      sym_string,
    STATE(696), 1,
      sym__module,
  [109924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6151), 1,
      anon_sym_COMMA,
    ACTIONS(6153), 1,
      anon_sym_GT,
    STATE(3620), 1,
      aux_sym_implements_clause_repeat1,
  [109946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3033), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6157), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6155), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2194), 1,
      sym_statement_block,
    ACTIONS(5945), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_import,
    ACTIONS(6159), 1,
      sym_identifier,
    STATE(2331), 1,
      sym__type_query_subscript_expression,
    STATE(2336), 1,
      sym__type_query_member_expression,
    STATE(2368), 1,
      sym__type_query_call_expression,
    STATE(3922), 1,
      sym_import,
  [110000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2193), 1,
      sym_statement_block,
    ACTIONS(5943), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(5913), 1,
      sym_identifier,
    STATE(588), 1,
      sym_nested_identifier,
    STATE(606), 1,
      sym_string,
    STATE(729), 1,
      sym__module,
  [110038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      anon_sym_is,
    ACTIONS(5882), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [110076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6163), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3723), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [110098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(6167), 1,
      anon_sym_PIPE,
    ACTIONS(3711), 4,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
  [110114] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6169), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2893), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [110136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3216), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6001), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110152] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6171), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2897), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [110174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6173), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3849), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [110196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6178), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6175), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(5643), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(3837), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [110228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3214), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6180), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110244] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6182), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2906), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [110266] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6184), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [110288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6186), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3235), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [110310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(6167), 1,
      anon_sym_PIPE,
    ACTIONS(6188), 1,
      anon_sym_extends,
    ACTIONS(3783), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [110328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2198), 1,
      sym_statement_block,
    ACTIONS(5949), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2213), 1,
      sym_statement_block,
    ACTIONS(5935), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3226), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6190), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110376] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COMMA,
    STATE(3675), 1,
      aux_sym_implements_clause_repeat1,
  [110398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2190), 1,
      sym_statement_block,
    ACTIONS(5933), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6196), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [110436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(6167), 1,
      anon_sym_PIPE,
    ACTIONS(6188), 1,
      anon_sym_extends,
    ACTIONS(3572), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [110454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3390), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [110472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3389), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [110490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3186), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6200), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2910), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [110528] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6202), 1,
      anon_sym_QMARK,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3868), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [110550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(3518), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [110564] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6204), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3731), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [110586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6206), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [110608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6208), 1,
      anon_sym_BQUOTE,
    ACTIONS(6111), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3106), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [110626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(6167), 1,
      anon_sym_PIPE,
    ACTIONS(6188), 1,
      anon_sym_extends,
    ACTIONS(3450), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [110644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(5058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3206), 3,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [110660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6210), 1,
      anon_sym_QMARK,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4036), 1,
      sym__call_signature,
  [110682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_import,
    ACTIONS(6212), 1,
      sym_identifier,
    STATE(1591), 1,
      sym__type_query_member_expression,
    STATE(1592), 1,
      sym__type_query_subscript_expression,
    STATE(1669), 1,
      sym__type_query_call_expression,
    STATE(3956), 1,
      sym_import,
  [110704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(6167), 1,
      anon_sym_PIPE,
    ACTIONS(6188), 1,
      anon_sym_extends,
    ACTIONS(3440), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [110722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6214), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [110740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6216), 1,
      sym_identifier,
    ACTIONS(6218), 1,
      anon_sym_GT,
    ACTIONS(6220), 1,
      sym_jsx_identifier,
    STATE(2534), 1,
      sym_nested_identifier,
    STATE(2764), 1,
      sym_jsx_namespace_name,
    STATE(3767), 1,
      sym_type_parameter,
  [110762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(6222), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3044), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [110784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6224), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3058), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [110802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6226), 1,
      anon_sym_COMMA,
    ACTIONS(6228), 1,
      anon_sym_GT,
    STATE(3688), 1,
      aux_sym_implements_clause_repeat1,
  [110824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(3699), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [110838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(6167), 1,
      anon_sym_PIPE,
    ACTIONS(6188), 1,
      anon_sym_extends,
    ACTIONS(3658), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [110856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2221), 1,
      sym_statement_block,
    ACTIONS(5862), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6230), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3849), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [110894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3080), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6234), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6232), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3228), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6236), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2212), 1,
      sym_statement_block,
    ACTIONS(5945), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3052), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3228), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6236), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110958] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6238), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2918), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [110980] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6240), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3960), 1,
      sym__call_signature,
  [111002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3088), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3244), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6242), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3244), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6242), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111034] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6244), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3849), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [111056] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6246), 1,
      anon_sym_QMARK,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [111078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    ACTIONS(6248), 1,
      anon_sym_SLASH,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [111100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3103), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6252), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6250), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3250), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6254), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6256), 1,
      anon_sym_COMMA,
    ACTIONS(6258), 1,
      anon_sym_GT,
    STATE(3715), 1,
      aux_sym_implements_clause_repeat1,
  [111202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111214] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6260), 1,
      sym_identifier,
    ACTIONS(6262), 1,
      anon_sym_GT,
    ACTIONS(6264), 1,
      sym_jsx_identifier,
    STATE(2531), 1,
      sym_nested_identifier,
    STATE(2740), 1,
      sym_jsx_namespace_name,
    STATE(3767), 1,
      sym_type_parameter,
  [111236] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6266), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3887), 1,
      sym__call_signature,
  [111258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6268), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3242), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [111280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3045), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3210), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6270), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111296] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_import,
    ACTIONS(6272), 1,
      sym_identifier,
    STATE(2368), 1,
      sym__type_query_call_expression,
    STATE(2655), 1,
      sym__type_query_subscript_expression,
    STATE(2657), 1,
      sym__type_query_member_expression,
    STATE(3877), 1,
      sym_import,
  [111318] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6274), 1,
      anon_sym_COMMA,
    ACTIONS(6276), 1,
      anon_sym_GT,
    STATE(3748), 1,
      aux_sym_implements_clause_repeat1,
  [111340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6278), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3887), 1,
      sym__call_signature,
  [111374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6280), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3346), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [111396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3174), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [111414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2227), 1,
      sym_statement_block,
    ACTIONS(5951), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3210), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6270), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111446] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    ACTIONS(6282), 1,
      anon_sym_QMARK,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2941), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [111468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6284), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_BQUOTE,
    ACTIONS(6291), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6286), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3106), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [111498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3260), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [111528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    ACTIONS(6047), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(6049), 1,
      anon_sym_QMARK_COLON,
    STATE(3265), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [111546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2195), 1,
      sym_statement_block,
    ACTIONS(5953), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6015), 1,
      anon_sym_abstract,
    ACTIONS(6296), 1,
      anon_sym_export,
    ACTIONS(6298), 1,
      anon_sym_class,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [111584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2196), 1,
      sym_statement_block,
    ACTIONS(5943), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111600] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      anon_sym_QMARK,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(2973), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [111622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [111634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2208), 1,
      sym_statement_block,
    ACTIONS(5953), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2207), 1,
      sym_statement_block,
    ACTIONS(5951), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3074), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(6304), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    ACTIONS(6306), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3927), 1,
      sym__call_signature,
  [111704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_LBRACE,
    STATE(2216), 1,
      sym_statement_block,
    ACTIONS(5874), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111720] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6308), 1,
      anon_sym_COMMA,
    ACTIONS(6310), 1,
      anon_sym_GT,
    STATE(3769), 1,
      aux_sym_implements_clause_repeat1,
  [111742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(6314), 1,
      anon_sym_PIPE,
    ACTIONS(6312), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [111759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6318), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [111772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3131), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [111824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(6322), 1,
      anon_sym_COMMA,
    ACTIONS(6324), 1,
      anon_sym_RBRACE,
    STATE(3672), 1,
      aux_sym_enum_body_repeat1,
    STATE(4072), 1,
      sym__initializer,
  [111843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3603), 1,
      sym__initializer,
    ACTIONS(6326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6015), 1,
      anon_sym_abstract,
    ACTIONS(6298), 1,
      anon_sym_class,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [111877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    ACTIONS(6328), 1,
      anon_sym_SEMI,
    ACTIONS(6330), 1,
      sym__automatic_semicolon,
    ACTIONS(6332), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3188), 1,
      sym_statement_block,
  [111907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(6314), 1,
      anon_sym_PIPE,
    ACTIONS(6334), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [111935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2319), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(6336), 1,
      anon_sym_EQ_GT,
    STATE(4031), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [111983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6284), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4570), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3945), 1,
      sym__call_signature,
  [112068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(6167), 1,
      anon_sym_PIPE,
    ACTIONS(6188), 1,
      anon_sym_extends,
    ACTIONS(6339), 1,
      anon_sym_as,
    ACTIONS(6341), 1,
      anon_sym_RBRACK,
  [112087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3204), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [112106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [112117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 1,
      anon_sym_BQUOTE,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6347), 1,
      sym__template_chars,
    STATE(3211), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [112156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6349), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [112184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(6351), 1,
      anon_sym_EQ_GT,
    STATE(3837), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [112199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3338), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [112229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6354), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6356), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [112253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      anon_sym_SEMI,
    ACTIONS(6360), 1,
      sym__automatic_semicolon,
    ACTIONS(6362), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1857), 1,
      sym_statement_block,
  [112272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3158), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [112302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3908), 1,
      sym__call_signature,
  [112321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(6364), 1,
      anon_sym_EQ_GT,
    STATE(4031), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [112336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    ACTIONS(5919), 1,
      anon_sym_extends,
    STATE(648), 1,
      sym_object_type,
    STATE(3585), 1,
      sym_extends_type_clause,
  [112355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    ACTIONS(6367), 1,
      anon_sym_COMMA,
    ACTIONS(6369), 1,
      anon_sym_RBRACE,
    STATE(3676), 1,
      aux_sym_enum_body_repeat1,
    STATE(4072), 1,
      sym__initializer,
  [112374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym__call_signature,
  [112393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3771), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [112412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      sym_identifier,
    ACTIONS(6029), 1,
      anon_sym_GT,
    ACTIONS(6033), 1,
      sym_jsx_identifier,
    STATE(2564), 1,
      sym_nested_identifier,
    STATE(2790), 1,
      sym_jsx_namespace_name,
  [112431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(6371), 1,
      anon_sym_EQ_GT,
    STATE(4031), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [112446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3896), 1,
      sym__call_signature,
  [112465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(6374), 1,
      anon_sym_EQ_GT,
    STATE(3837), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [112491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3694), 1,
      sym__initializer,
    ACTIONS(6377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3699), 1,
      sym__initializer,
    ACTIONS(6379), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_LBRACE,
    ACTIONS(6383), 1,
      anon_sym_SEMI,
    ACTIONS(6385), 1,
      sym__automatic_semicolon,
    ACTIONS(6387), 1,
      sym__function_signature_automatic_semicolon,
    STATE(144), 1,
      sym_statement_block,
  [112551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3885), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [112570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3344), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [112589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACK,
    ACTIONS(6389), 1,
      anon_sym_RBRACE,
    ACTIONS(3582), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(6391), 1,
      sym_identifier,
    STATE(3835), 2,
      sym__module_export_name,
      sym_string,
  [112643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3782), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [112673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(6395), 1,
      sym_identifier,
    STATE(3891), 2,
      sym__module_export_name,
      sym_string,
  [112690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3216), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [112709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    ACTIONS(6397), 1,
      anon_sym_SEMI,
    ACTIONS(6399), 1,
      sym__automatic_semicolon,
    ACTIONS(6401), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3232), 1,
      sym_statement_block,
  [112739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      sym__automatic_semicolon,
    ACTIONS(1425), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3187), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [112771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3838), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [112790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(6314), 1,
      anon_sym_PIPE,
    ACTIONS(6403), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [112807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    ACTIONS(6383), 1,
      anon_sym_SEMI,
    ACTIONS(6385), 1,
      sym__automatic_semicolon,
    ACTIONS(6387), 1,
      sym__function_signature_automatic_semicolon,
    STATE(604), 1,
      sym_statement_block,
  [112826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2179), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(6314), 1,
      anon_sym_PIPE,
    ACTIONS(6405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [112854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1277), 1,
      anon_sym_LBRACE,
    ACTIONS(5919), 1,
      anon_sym_extends,
    STATE(3208), 1,
      sym_object_type,
    STATE(3756), 1,
      sym_extends_type_clause,
  [112873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2179), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3660), 1,
      sym__initializer,
    ACTIONS(6407), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2179), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2921), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [112940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3841), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [112970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    ACTIONS(6383), 1,
      anon_sym_SEMI,
    ACTIONS(6385), 1,
      sym__automatic_semicolon,
    ACTIONS(6387), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1908), 1,
      sym_statement_block,
  [113000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3619), 1,
      sym__initializer,
    ACTIONS(6411), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1582), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [113028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3175), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [113047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(6413), 1,
      anon_sym_EQ_GT,
    STATE(4031), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [113073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3875), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [113092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 1,
      anon_sym_BQUOTE,
    ACTIONS(6418), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6421), 1,
      sym__template_chars,
    STATE(3211), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [113109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6424), 1,
      anon_sym_class,
    ACTIONS(6426), 1,
      anon_sym_abstract,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [113128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(2971), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [113169] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      anon_sym_SEMI,
    ACTIONS(6360), 1,
      sym__automatic_semicolon,
    ACTIONS(6362), 1,
      sym__function_signature_automatic_semicolon,
    STATE(611), 1,
      sym_statement_block,
  [113188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(6314), 1,
      anon_sym_PIPE,
    ACTIONS(6432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3980), 1,
      sym__call_signature,
  [113224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4030), 1,
      sym__call_signature,
  [113243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6434), 1,
      anon_sym_BQUOTE,
    ACTIONS(6436), 1,
      sym__template_chars,
    STATE(3150), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [113260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5951), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3981), 1,
      sym__call_signature,
  [113290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    STATE(3959), 1,
      sym_type_annotation,
    ACTIONS(3037), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [113305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1556), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [113318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(6438), 1,
      anon_sym_EQ_GT,
    STATE(3837), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [113333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3154), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [113374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3865), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [113393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3990), 1,
      sym__call_signature,
  [113423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 1,
      sym__automatic_semicolon,
    ACTIONS(1542), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym__automatic_semicolon,
    ACTIONS(1504), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6443), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [113462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3221), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [113503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2860), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [113522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      sym_identifier,
    ACTIONS(6449), 1,
      anon_sym_GT,
    ACTIONS(6451), 1,
      sym_jsx_identifier,
    STATE(2575), 1,
      sym_nested_identifier,
    STATE(2806), 1,
      sym_jsx_namespace_name,
  [113541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3681), 1,
      sym__initializer,
    ACTIONS(6453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4013), 1,
      sym__call_signature,
  [113575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5987), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4066), 1,
      sym__call_signature,
  [113605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6455), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5987), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6457), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(2984), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [113690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6461), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5951), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4092), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [113736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4086), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4088), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [113749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3670), 1,
      sym__initializer,
    ACTIONS(6463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(6314), 1,
      anon_sym_PIPE,
    ACTIONS(6465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_COLON,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(6467), 1,
      anon_sym_RBRACE,
    STATE(3640), 1,
      aux_sym_object_pattern_repeat1,
  [113800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6469), 1,
      anon_sym_BQUOTE,
    ACTIONS(6471), 1,
      sym__template_chars,
    STATE(3400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [113817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6473), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym__automatic_semicolon,
    ACTIONS(1600), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2907), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [113860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6347), 1,
      sym__template_chars,
    ACTIONS(6475), 1,
      anon_sym_BQUOTE,
    STATE(3211), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [113877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4024), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [113890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6477), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2243), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3735), 1,
      sym__initializer,
    ACTIONS(6479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    ACTIONS(6481), 1,
      sym_identifier,
    STATE(4425), 2,
      sym__module_export_name,
      sym_string,
  [113955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 1,
      anon_sym_in,
    ACTIONS(6489), 1,
      anon_sym_of,
    ACTIONS(6485), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6013), 1,
      anon_sym_class,
    ACTIONS(6015), 1,
      anon_sym_abstract,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [114011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [114022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4291), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [114033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6491), 1,
      anon_sym_BQUOTE,
    ACTIONS(6493), 1,
      sym__template_chars,
    STATE(3263), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [114050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2902), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [114069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 1,
      anon_sym_in,
    ACTIONS(6497), 1,
      anon_sym_of,
    ACTIONS(6485), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3858), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [114103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2895), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [114122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4683), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6015), 1,
      anon_sym_abstract,
    ACTIONS(6499), 1,
      anon_sym_class,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [114152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(2890), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [114171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
    ACTIONS(6501), 1,
      sym_identifier,
    STATE(3729), 2,
      sym__module_export_name,
      sym_string,
  [114188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3862), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [114207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3861), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4209), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4211), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3047), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [114351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3739), 1,
      sym__initializer,
    ACTIONS(6505), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [114421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2199), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3861), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3861), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3192), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [114554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3745), 1,
      sym__initializer,
    ACTIONS(6509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6513), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3863), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3865), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3861), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_LT,
    ACTIONS(6517), 1,
      anon_sym_LBRACE,
    STATE(3779), 1,
      sym_type_arguments,
    ACTIONS(6519), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [114647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3869), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3872), 1,
      sym__call_signature,
    STATE(3886), 1,
      sym_type_parameters,
  [114679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2379), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6347), 1,
      sym__template_chars,
    ACTIONS(6521), 1,
      anon_sym_BQUOTE,
    STATE(3211), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [114773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3378), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [114814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [114847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3609), 1,
      sym__initializer,
    ACTIONS(6527), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3404), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [114892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6529), 1,
      anon_sym_BQUOTE,
    ACTIONS(6531), 1,
      sym__template_chars,
    STATE(3331), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [114909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      anon_sym_SEMI,
    ACTIONS(6360), 1,
      sym__automatic_semicolon,
    ACTIONS(6362), 1,
      sym__function_signature_automatic_semicolon,
    STATE(161), 1,
      sym_statement_block,
  [114950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_COLON,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(6533), 1,
      anon_sym_RBRACE,
    STATE(3598), 1,
      aux_sym_object_pattern_repeat1,
  [115002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6535), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [115030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6426), 1,
      anon_sym_abstract,
    ACTIONS(6537), 1,
      anon_sym_class,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [115049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4046), 1,
      sym__call_signature,
  [115101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2363), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3893), 1,
      sym__call_signature,
  [115142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6541), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [115155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [115166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2359), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2451), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_COLON,
    ACTIONS(6545), 1,
      anon_sym_EQ_GT,
    STATE(3837), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [115236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3408), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [115288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4084), 1,
      sym__call_signature,
  [115318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4006), 1,
      sym__call_signature,
  [115337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_DOT,
    ACTIONS(3649), 2,
      anon_sym_LBRACE,
      anon_sym_LT,
    ACTIONS(3651), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [115352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6550), 1,
      anon_sym_BQUOTE,
    ACTIONS(6552), 1,
      sym__template_chars,
    STATE(3403), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [115369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    ACTIONS(6328), 1,
      anon_sym_SEMI,
    ACTIONS(6330), 1,
      sym__automatic_semicolon,
    ACTIONS(6332), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1867), 1,
      sym_statement_block,
  [115410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(4074), 1,
      sym__call_signature,
  [115429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4000), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4002), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [115442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3940), 1,
      sym__call_signature,
  [115461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2407), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2235), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3023), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [115524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4028), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4030), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [115592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3680), 1,
      sym__initializer,
    ACTIONS(6562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [115629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(2979), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [115648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_formal_parameters,
    STATE(3116), 1,
      sym__call_signature,
    STATE(3882), 1,
      sym_type_parameters,
  [115667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6347), 1,
      sym__template_chars,
    ACTIONS(6564), 1,
      anon_sym_BQUOTE,
    STATE(3211), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [115706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(2953), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym_type_parameters,
    STATE(3918), 1,
      sym__call_signature,
  [115725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3393), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [115744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6347), 1,
      sym__template_chars,
    ACTIONS(6566), 1,
      anon_sym_BQUOTE,
    STATE(3211), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [115761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [115794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_formal_parameters,
    STATE(3405), 1,
      sym__call_signature,
    STATE(4053), 1,
      sym_type_parameters,
  [115813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    ACTIONS(6397), 1,
      anon_sym_SEMI,
    ACTIONS(6399), 1,
      sym__automatic_semicolon,
    ACTIONS(6401), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1836), 1,
      sym_statement_block,
  [115832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 1,
      anon_sym_EQ,
    ACTIONS(3028), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [115845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [115856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [115878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    STATE(3734), 1,
      sym__initializer,
    ACTIONS(6572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 1,
      anon_sym_LBRACE,
    ACTIONS(6578), 1,
      anon_sym_COMMA,
    ACTIONS(6581), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3417), 1,
      aux_sym_extends_type_clause_repeat1,
  [115942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6583), 1,
      anon_sym_RBRACK,
  [115958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3513), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [115972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6589), 1,
      anon_sym_RBRACK,
  [115988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3515), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6593), 1,
      anon_sym_RBRACK,
  [116018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2857), 1,
      sym_formal_parameters,
    STATE(4001), 1,
      sym_type_parameters,
  [116034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(6597), 1,
      anon_sym_RBRACK,
    STATE(3555), 1,
      aux_sym_array_pattern_repeat1,
  [116050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      sym_identifier,
    ACTIONS(6601), 1,
      sym_jsx_identifier,
    STATE(3822), 1,
      sym_nested_identifier,
    STATE(4446), 1,
      sym_jsx_namespace_name,
  [116066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6603), 1,
      anon_sym_RPAREN,
  [116082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(6605), 1,
      anon_sym_EQ_GT,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
  [116096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6607), 1,
      sym_escape_sequence,
    ACTIONS(6609), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [116108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    STATE(3451), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6612), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [116122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3881), 1,
      sym_type_parameters,
    STATE(4278), 1,
      sym_formal_parameters,
  [116138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6614), 1,
      anon_sym_class,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [116154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6616), 1,
      anon_sym_QMARK,
  [116170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6618), 1,
      anon_sym_RPAREN,
  [116186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 1,
      sym_identifier,
    STATE(2998), 1,
      sym_nested_type_identifier,
    STATE(3540), 1,
      sym_generic_type,
    STATE(4189), 1,
      sym_nested_identifier,
  [116202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LT,
    ACTIONS(5088), 1,
      anon_sym_EQ_GT,
    ACTIONS(3206), 2,
      anon_sym_LPAREN,
      anon_sym_QMARK,
  [116216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3964), 1,
      sym_type_parameters,
    STATE(4349), 1,
      sym_formal_parameters,
  [116232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6622), 1,
      anon_sym_RBRACK,
  [116248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2901), 1,
      sym_formal_parameters,
    STATE(3913), 1,
      sym_type_parameters,
  [116264] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6624), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6626), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116278] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6631), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3503), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6634), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3504), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6636), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3967), 1,
      sym_type_parameters,
    STATE(4401), 1,
      sym_formal_parameters,
  [116336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    STATE(3936), 1,
      sym__from_clause,
    ACTIONS(4094), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6640), 1,
      anon_sym_QMARK,
  [116366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      sym_identifier,
    ACTIONS(6644), 1,
      sym_jsx_identifier,
    STATE(3970), 1,
      sym_nested_identifier,
    STATE(4258), 1,
      sym_jsx_namespace_name,
  [116382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6646), 1,
      anon_sym_RBRACK,
  [116398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_RBRACE,
    ACTIONS(3582), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(6648), 1,
      anon_sym_RBRACK,
    STATE(3648), 1,
      aux_sym_array_pattern_repeat1,
  [116426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4002), 1,
      sym_type_parameters,
    STATE(4200), 1,
      sym_formal_parameters,
  [116442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 1,
      anon_sym_COMMA,
    STATE(3451), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6650), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [116456] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6655), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6657), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116470] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6655), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6659), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116484] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_SQUOTE,
    STATE(3452), 1,
      aux_sym_string_repeat2,
    ACTIONS(6663), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116498] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_DQUOTE,
    STATE(3453), 1,
      aux_sym_string_repeat1,
    ACTIONS(6665), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6667), 1,
      anon_sym_class,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [116528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    STATE(3451), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6669), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [116542] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6671), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6657), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4061), 1,
      sym_type_parameters,
    STATE(4095), 1,
      sym_formal_parameters,
  [116572] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6671), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6659), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6673), 1,
      sym_identifier,
    ACTIONS(6675), 1,
      sym_jsx_identifier,
    STATE(4082), 1,
      sym_nested_identifier,
    STATE(4094), 1,
      sym_jsx_namespace_name,
  [116602] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6677), 1,
      anon_sym_SQUOTE,
    STATE(3458), 1,
      aux_sym_string_repeat2,
    ACTIONS(6679), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116616] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6677), 1,
      anon_sym_DQUOTE,
    STATE(3460), 1,
      aux_sym_string_repeat1,
    ACTIONS(6681), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116630] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6683), 1,
      anon_sym_DQUOTE,
    STATE(3471), 1,
      aux_sym_string_repeat1,
    ACTIONS(6685), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116644] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6683), 1,
      anon_sym_SQUOTE,
    STATE(3476), 1,
      aux_sym_string_repeat2,
    ACTIONS(6687), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6689), 1,
      anon_sym_COLON,
  [116674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6691), 1,
      anon_sym_RBRACK,
  [116690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6693), 1,
      anon_sym_QMARK,
  [116706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_COLON,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(6695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    STATE(3879), 1,
      sym__initializer,
    ACTIONS(6697), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [116734] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6659), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116748] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6657), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6703), 1,
      anon_sym_COLON,
  [116778] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6659), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4056), 1,
      sym_type_parameters,
    STATE(4100), 1,
      sym_formal_parameters,
  [116808] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6657), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116822] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_SQUOTE,
    STATE(3472), 1,
      aux_sym_string_repeat2,
    ACTIONS(6707), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116836] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    STATE(3474), 1,
      aux_sym_string_repeat1,
    ACTIONS(6709), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116850] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6711), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6657), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116864] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6713), 1,
      anon_sym_DQUOTE,
    STATE(3490), 1,
      aux_sym_string_repeat1,
    ACTIONS(6715), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116878] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6713), 1,
      anon_sym_SQUOTE,
    STATE(3491), 1,
      aux_sym_string_repeat2,
    ACTIONS(6717), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116892] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6711), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6659), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3691), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [116916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6719), 1,
      anon_sym_QMARK,
  [116932] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6721), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6659), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6723), 1,
      anon_sym_COLON,
  [116962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4059), 1,
      sym_type_parameters,
    STATE(4212), 1,
      sym_formal_parameters,
  [116978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(6725), 1,
      anon_sym_export,
    STATE(1113), 1,
      aux_sym_export_statement_repeat1,
    STATE(1150), 1,
      sym_decorator,
  [116994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6727), 1,
      sym_identifier,
    ACTIONS(6729), 1,
      sym_jsx_identifier,
    STATE(4004), 1,
      sym_nested_identifier,
    STATE(4215), 1,
      sym_jsx_namespace_name,
  [117010] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6659), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [117024] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6657), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [117038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3905), 1,
      sym_type_parameters,
    STATE(4228), 1,
      sym_formal_parameters,
  [117054] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6721), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6657), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [117068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    STATE(1923), 2,
      sym_template_string,
      sym_arguments,
  [117082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_LBRACE,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    STATE(4224), 2,
      sym_namespace_import,
      sym_named_imports,
  [117096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6733), 1,
      anon_sym_RBRACK,
  [117112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4022), 1,
      sym_type_parameters,
    STATE(4332), 1,
      sym_formal_parameters,
  [117128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6735), 1,
      anon_sym_RBRACK,
  [117144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4023), 1,
      sym_type_parameters,
    STATE(4309), 1,
      sym_formal_parameters,
  [117160] = 5,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6737), 1,
      sym__glimmer_template_content,
    ACTIONS(6739), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1930), 1,
      sym_glimmer_closing_tag,
    STATE(3784), 1,
      aux_sym_glimmer_template_repeat1,
  [117176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4057), 1,
      sym_type_parameters,
    STATE(4231), 1,
      sym_formal_parameters,
  [117192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6741), 1,
      anon_sym_COLON,
  [117208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3505), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3505), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6745), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6747), 1,
      anon_sym_COMMA,
    STATE(3505), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6750), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3902), 1,
      sym_type_parameters,
    STATE(4351), 1,
      sym_formal_parameters,
  [117266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6752), 1,
      anon_sym_RPAREN,
  [117282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6754), 1,
      anon_sym_RPAREN,
  [117298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6756), 1,
      anon_sym_QMARK,
  [117314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    STATE(3854), 1,
      sym__from_clause,
    ACTIONS(3985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    STATE(3912), 1,
      sym__from_clause,
    ACTIONS(6758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6760), 1,
      anon_sym_COLON,
  [117358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3505), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6762), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    STATE(4052), 1,
      sym__from_clause,
    ACTIONS(6764), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3505), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6766), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 1,
      anon_sym_EQ,
    STATE(3830), 1,
      sym__initializer,
    ACTIONS(5603), 2,
      anon_sym_in,
      anon_sym_of,
  [117414] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6770), 1,
      anon_sym_SQUOTE,
    STATE(3439), 1,
      aux_sym_string_repeat2,
    ACTIONS(6657), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [117428] = 5,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6772), 1,
      sym__glimmer_template_content,
    ACTIONS(6774), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1496), 1,
      sym_glimmer_closing_tag,
    STATE(3531), 1,
      aux_sym_glimmer_template_repeat1,
  [117444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6776), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [117454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6778), 1,
      anon_sym_RPAREN,
  [117470] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6770), 1,
      anon_sym_DQUOTE,
    STATE(3440), 1,
      aux_sym_string_repeat1,
    ACTIONS(6659), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [117484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117494] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_SQUOTE,
    STATE(3517), 1,
      aux_sym_string_repeat2,
    ACTIONS(6782), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [117508] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_SQUOTE,
    STATE(3479), 1,
      aux_sym_string_repeat2,
    ACTIONS(6786), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [117522] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6784), 1,
      anon_sym_DQUOTE,
    STATE(3482), 1,
      aux_sym_string_repeat1,
    ACTIONS(6788), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [117536] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_DQUOTE,
    STATE(3521), 1,
      aux_sym_string_repeat1,
    ACTIONS(6790), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [117550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6792), 1,
      anon_sym_QMARK,
  [117566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6794), 1,
      anon_sym_COLON,
  [117582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6796), 1,
      anon_sym_COMMA,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(6214), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [117596] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_SQUOTE,
    STATE(3493), 1,
      aux_sym_string_repeat2,
    ACTIONS(6801), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [117610] = 5,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6737), 1,
      sym__glimmer_template_content,
    ACTIONS(6774), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1426), 1,
      sym_glimmer_closing_tag,
    STATE(3784), 1,
      aux_sym_glimmer_template_repeat1,
  [117626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6803), 1,
      anon_sym_RBRACK,
  [117642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 1,
      anon_sym_EQ,
    STATE(4058), 1,
      sym_default_type,
    ACTIONS(6805), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [117656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6807), 1,
      anon_sym_RBRACK,
  [117672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_BQUOTE,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    STATE(1428), 2,
      sym_template_string,
      sym_arguments,
  [117686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6809), 1,
      anon_sym_RBRACK,
  [117702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6811), 1,
      sym_identifier,
    STATE(3321), 1,
      sym_nested_type_identifier,
    STATE(3554), 1,
      sym_generic_type,
    STATE(4189), 1,
      sym_nested_identifier,
  [117718] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_DQUOTE,
    STATE(3485), 1,
      aux_sym_string_repeat1,
    ACTIONS(6813), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [117732] = 5,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_LT_SLASHtemplate_GT,
    ACTIONS(6815), 1,
      sym__glimmer_template_content,
    STATE(1891), 1,
      sym_glimmer_closing_tag,
    STATE(3500), 1,
      aux_sym_glimmer_template_repeat1,
  [117748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    ACTIONS(6099), 1,
      anon_sym_LBRACE,
    ACTIONS(6101), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3543), 1,
      aux_sym_extends_type_clause_repeat1,
  [117764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    STATE(4044), 1,
      sym__initializer,
    ACTIONS(6817), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [117778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      anon_sym_EQ,
    STATE(4072), 1,
      sym__initializer,
    ACTIONS(6819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [117792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    ACTIONS(6821), 1,
      anon_sym_LBRACE,
    ACTIONS(6823), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3417), 1,
      aux_sym_extends_type_clause_repeat1,
  [117808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    ACTIONS(6825), 1,
      anon_sym_LBRACE,
    ACTIONS(6827), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3417), 1,
      aux_sym_extends_type_clause_repeat1,
  [117824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6829), 1,
      anon_sym_COMMA,
    STATE(3545), 1,
      aux_sym_array_repeat1,
    ACTIONS(4304), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [117838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    ACTIONS(6821), 1,
      anon_sym_LBRACE,
    ACTIONS(6823), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3417), 1,
      aux_sym_extends_type_clause_repeat1,
  [117854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
    ACTIONS(6832), 1,
      anon_sym_RBRACK,
  [117870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_COMMA,
    ACTIONS(6836), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      aux_sym_object_repeat1,
  [117883] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(3859), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [117892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      anon_sym_DOT,
    ACTIONS(6838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_RBRACE,
    ACTIONS(6840), 1,
      anon_sym_COMMA,
    STATE(3607), 1,
      aux_sym_named_imports_repeat1,
  [117916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 1,
      anon_sym_RBRACK,
    ACTIONS(6842), 1,
      anon_sym_COMMA,
    STATE(3570), 1,
      aux_sym_tuple_type_repeat1,
  [117929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(6844), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [117942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_LBRACE,
    ACTIONS(6519), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [117953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(6846), 1,
      anon_sym_RBRACK,
    STATE(3557), 1,
      aux_sym_array_pattern_repeat1,
  [117966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      anon_sym_RPAREN,
    ACTIONS(6848), 1,
      anon_sym_COMMA,
    STATE(3668), 1,
      aux_sym_formal_parameters_repeat1,
  [117979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_COMMA,
    ACTIONS(6853), 1,
      anon_sym_RBRACK,
    STATE(3557), 1,
      aux_sym_array_pattern_repeat1,
  [117992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4304), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [118001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    ACTIONS(6855), 1,
      anon_sym_LPAREN,
    STATE(608), 1,
      sym_statement_block,
  [118014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_RPAREN,
    ACTIONS(6857), 1,
      anon_sym_COMMA,
    STATE(3668), 1,
      aux_sym_formal_parameters_repeat1,
  [118027] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6859), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [118036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 1,
      anon_sym_COMMA,
    ACTIONS(6863), 1,
      anon_sym_RBRACK,
    STATE(3747), 1,
      aux_sym_tuple_type_repeat1,
  [118049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6865), 1,
      sym_identifier,
    ACTIONS(6867), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      sym_private_property_identifier,
  [118062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [118071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_type,
    ACTIONS(6871), 1,
      sym_identifier,
    STATE(3870), 1,
      sym__import_identifier,
  [118084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6873), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6875), 1,
      anon_sym_COMMA,
    ACTIONS(6878), 1,
      anon_sym_RBRACE,
    STATE(3567), 1,
      aux_sym_enum_body_repeat1,
  [118106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_COMMA,
    ACTIONS(6880), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      aux_sym_object_repeat1,
  [118119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [118128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 1,
      anon_sym_COMMA,
    ACTIONS(6887), 1,
      anon_sym_RBRACK,
    STATE(3570), 1,
      aux_sym_tuple_type_repeat1,
  [118141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      sym_identifier,
    ACTIONS(6891), 1,
      anon_sym_GT,
    STATE(4054), 1,
      sym_type_parameter,
  [118154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_GT,
    ACTIONS(6895), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      aux_sym_type_parameters_repeat1,
  [118176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(6897), 1,
      anon_sym_GT,
  [118189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_GT,
    ACTIONS(6899), 1,
      anon_sym_COMMA,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
  [118202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(6901), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [118215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_EQ,
    ACTIONS(3082), 2,
      anon_sym_in,
      anon_sym_of,
  [118226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6905), 1,
      anon_sym_as,
    ACTIONS(6907), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [118237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_COMMA,
    ACTIONS(6911), 1,
      anon_sym_RBRACE,
    STATE(3726), 1,
      aux_sym_export_clause_repeat1,
  [118250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_type,
    ACTIONS(6913), 1,
      sym_identifier,
    STATE(3867), 1,
      sym__import_identifier,
  [118263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6915), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym_extends,
    ACTIONS(6917), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_PIPE,
  [118285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 1,
      anon_sym_as,
    ACTIONS(5399), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [118296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6923), 1,
      anon_sym_COMMA,
    ACTIONS(6925), 1,
      anon_sym_RPAREN,
    STATE(3641), 1,
      aux_sym_formal_parameters_repeat1,
  [118309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    STATE(752), 1,
      sym_object_type,
  [118322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [118340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_COMMA,
    ACTIONS(6929), 1,
      anon_sym_RBRACK,
    STATE(3552), 1,
      aux_sym_tuple_type_repeat1,
  [118353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      sym_identifier,
    STATE(2189), 1,
      sym_decorator_member_expression,
    STATE(2264), 1,
      sym_decorator_call_expression,
  [118366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [118384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_COMMA,
    ACTIONS(6938), 1,
      anon_sym_GT,
    STATE(3592), 1,
      aux_sym_type_parameters_repeat1,
  [118397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      anon_sym_EQ,
    ACTIONS(3037), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [118408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6943), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(6945), 1,
      anon_sym_EQ,
    STATE(4147), 1,
      sym_type_parameters,
  [118430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_COMMA,
    ACTIONS(6947), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      aux_sym_object_repeat1,
  [118443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(6949), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      aux_sym_object_pattern_repeat1,
  [118465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      sym_identifier,
    ACTIONS(6951), 1,
      anon_sym_GT,
    STATE(4054), 1,
      sym_type_parameter,
  [118478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(6953), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      aux_sym_object_pattern_repeat1,
  [118491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
    STATE(3618), 1,
      aux_sym_array_repeat1,
  [118504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [118517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_DQUOTE,
    ACTIONS(1295), 1,
      anon_sym_SQUOTE,
    STATE(3850), 1,
      sym_string,
  [118548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_DQUOTE,
    ACTIONS(1240), 1,
      anon_sym_SQUOTE,
    STATE(4428), 1,
      sym_string,
  [118561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6959), 1,
      anon_sym_COMMA,
    ACTIONS(6962), 1,
      anon_sym_RBRACE,
    STATE(3607), 1,
      aux_sym_named_imports_repeat1,
  [118574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_COMMA,
    ACTIONS(6970), 1,
      anon_sym_RBRACK,
    STATE(3633), 1,
      aux_sym_tuple_type_repeat1,
  [118614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4412), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [118645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_AMP,
    ACTIONS(5663), 1,
      anon_sym_PIPE,
    ACTIONS(5696), 1,
      anon_sym_extends,
  [118658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_EQ,
    ACTIONS(3082), 2,
      anon_sym_in,
      anon_sym_of,
  [118678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(6974), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [118691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6976), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 1,
      anon_sym_GT,
    ACTIONS(6978), 1,
      anon_sym_COMMA,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
  [118713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4412), 1,
      anon_sym_RPAREN,
    STATE(3576), 1,
      aux_sym_array_repeat1,
  [118726] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [118735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6982), 1,
      sym_identifier,
    ACTIONS(6984), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      sym_private_property_identifier,
  [118766] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [118775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      sym_identifier,
    ACTIONS(6990), 1,
      anon_sym_LBRACK,
    ACTIONS(6992), 1,
      sym_private_property_identifier,
  [118788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6994), 1,
      anon_sym_LBRACE,
    ACTIONS(6507), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [118799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6996), 1,
      sym_identifier,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      sym_private_property_identifier,
  [118812] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(4028), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [118821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      sym_identifier,
    ACTIONS(7004), 1,
      anon_sym_LBRACK,
    ACTIONS(7006), 1,
      sym_private_property_identifier,
  [118834] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [118843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2485), 1,
      anon_sym_RBRACK,
    ACTIONS(7008), 1,
      anon_sym_COMMA,
    STATE(3570), 1,
      aux_sym_tuple_type_repeat1,
  [118856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_type,
    ACTIONS(7010), 1,
      sym_identifier,
    STATE(3816), 1,
      sym__import_identifier,
  [118869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6943), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    ACTIONS(7012), 1,
      anon_sym_RPAREN,
    STATE(4450), 1,
      sym_type_annotation,
  [118891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(7014), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [118902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_type,
    ACTIONS(7016), 1,
      sym_identifier,
    STATE(3856), 1,
      sym__import_identifier,
  [118915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_LBRACE,
    ACTIONS(3436), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [118926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(7018), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      aux_sym_object_pattern_repeat1,
  [118939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    STATE(3668), 1,
      aux_sym_formal_parameters_repeat1,
  [118952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      anon_sym_LBRACE,
    ACTIONS(3454), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [118963] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(4090), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [118972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    ACTIONS(3470), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [118983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      sym_identifier,
    STATE(1127), 1,
      sym_decorator_member_expression,
    STATE(1158), 1,
      sym_decorator_call_expression,
  [118996] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(7024), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(7026), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [119018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(7028), 1,
      anon_sym_RBRACK,
    STATE(3557), 1,
      aux_sym_array_pattern_repeat1,
  [119031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(7030), 1,
      anon_sym_RBRACE,
    STATE(3797), 1,
      aux_sym_object_pattern_repeat1,
  [119044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7032), 1,
      sym_identifier,
    ACTIONS(7034), 1,
      anon_sym_LBRACK,
    ACTIONS(7036), 1,
      sym_private_property_identifier,
  [119057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [119066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      sym_identifier,
    ACTIONS(7038), 1,
      anon_sym_GT,
    STATE(4054), 1,
      sym_type_parameter,
  [119079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7038), 1,
      anon_sym_GT,
    ACTIONS(7040), 1,
      anon_sym_COMMA,
    STATE(3592), 1,
      aux_sym_type_parameters_repeat1,
  [119092] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(4086), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7042), 1,
      sym_identifier,
    ACTIONS(7044), 1,
      anon_sym_require,
    STATE(3550), 1,
      sym_nested_identifier,
  [119114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      anon_sym_AMP,
    ACTIONS(6167), 1,
      anon_sym_PIPE,
    ACTIONS(6188), 1,
      anon_sym_extends,
  [119127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_COMMA,
    ACTIONS(7046), 1,
      anon_sym_RBRACE,
    STATE(3774), 1,
      aux_sym_object_repeat1,
  [119140] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(4022), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7048), 1,
      anon_sym_COMMA,
    ACTIONS(7050), 1,
      anon_sym_RPAREN,
    STATE(3556), 1,
      aux_sym_formal_parameters_repeat1,
  [119162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7052), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7056), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    ACTIONS(7058), 1,
      anon_sym_as,
    STATE(4034), 1,
      sym__from_clause,
  [119202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7060), 1,
      anon_sym_COMMA,
    ACTIONS(7062), 1,
      anon_sym_RBRACE,
    STATE(3551), 1,
      aux_sym_named_imports_repeat1,
  [119215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [119224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      sym_identifier,
    STATE(3510), 1,
      sym_export_clause,
  [119237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [119246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7068), 1,
      anon_sym_COMMA,
    ACTIONS(7071), 1,
      anon_sym_RPAREN,
    STATE(3668), 1,
      aux_sym_formal_parameters_repeat1,
  [119259] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7073), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7077), 1,
      anon_sym_COMMA,
    ACTIONS(7079), 1,
      anon_sym_RBRACE,
    STATE(3567), 1,
      aux_sym_enum_body_repeat1,
  [119299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      anon_sym_COMMA,
    ACTIONS(7083), 1,
      anon_sym_RBRACE,
    STATE(3567), 1,
      aux_sym_enum_body_repeat1,
  [119312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7085), 1,
      anon_sym_COMMA,
    ACTIONS(7087), 1,
      anon_sym_RBRACE,
    STATE(3567), 1,
      aux_sym_enum_body_repeat1,
  [119325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_COMMA,
    ACTIONS(7089), 1,
      anon_sym_LBRACE,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
  [119338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_COMMA,
    ACTIONS(7093), 1,
      anon_sym_RBRACE,
    STATE(3567), 1,
      aux_sym_enum_body_repeat1,
  [119351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_EQ,
    ACTIONS(6853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [119362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4414), 1,
      anon_sym_RPAREN,
    STATE(3686), 1,
      aux_sym_array_repeat1,
  [119375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4414), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [119388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119415] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(3859), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7101), 1,
      anon_sym_as,
    ACTIONS(7103), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_LBRACE,
    ACTIONS(6570), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [119446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(7107), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [119459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7109), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 1,
      anon_sym_GT,
    ACTIONS(7111), 1,
      anon_sym_COMMA,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
  [119481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2491), 1,
      anon_sym_RBRACK,
    ACTIONS(7113), 1,
      anon_sym_COMMA,
    STATE(3570), 1,
      aux_sym_tuple_type_repeat1,
  [119494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_COMMA,
    ACTIONS(7046), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      aux_sym_object_repeat1,
  [119507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LT,
    ACTIONS(7115), 1,
      anon_sym_EQ,
    STATE(4249), 1,
      sym_type_parameters,
  [119529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(7030), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      aux_sym_object_pattern_repeat1,
  [119542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7121), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119569] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(3859), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119578] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(3863), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119596] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(7125), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119605] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(3859), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1277), 1,
      anon_sym_LBRACE,
    STATE(3203), 1,
      sym_object_type,
  [119627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7127), 1,
      anon_sym_COMMA,
    ACTIONS(7129), 1,
      anon_sym_GT,
    STATE(3653), 1,
      aux_sym_type_parameters_repeat1,
  [119640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(6648), 1,
      anon_sym_RBRACK,
    STATE(3557), 1,
      aux_sym_array_pattern_repeat1,
  [119653] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(3867), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [119662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4367), 1,
      anon_sym_RPAREN,
    STATE(3751), 1,
      aux_sym_array_repeat1,
  [119675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4396), 1,
      anon_sym_RPAREN,
    STATE(3713), 1,
      aux_sym_array_repeat1,
  [119688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4396), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [119701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4367), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [119714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4390), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [119727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5669), 1,
      anon_sym_implements,
    ACTIONS(7131), 1,
      anon_sym_LBRACE,
    STATE(4421), 1,
      sym_implements_clause,
  [119740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_COMMA,
    ACTIONS(7136), 1,
      anon_sym_RBRACE,
    STATE(3712), 1,
      aux_sym_export_clause_repeat1,
  [119753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(7138), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [119766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7140), 1,
      anon_sym_EQ,
    ACTIONS(7103), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [119777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_GT,
    ACTIONS(7142), 1,
      anon_sym_COMMA,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
  [119790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [119799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [119808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_COMMA,
    ACTIONS(7146), 1,
      anon_sym_RBRACE,
    STATE(3548), 1,
      aux_sym_object_repeat1,
  [119821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4300), 1,
      anon_sym_RPAREN,
    STATE(3790), 1,
      aux_sym_array_repeat1,
  [119834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_COMMA,
    ACTIONS(7146), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      aux_sym_object_repeat1,
  [119847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7109), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7056), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4300), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [119887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(7150), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      aux_sym_object_pattern_repeat1,
  [119900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 1,
      anon_sym_RBRACE,
    ACTIONS(7152), 1,
      anon_sym_COMMA,
    STATE(3712), 1,
      aux_sym_export_clause_repeat1,
  [119913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7154), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [119931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7156), 1,
      anon_sym_as,
    ACTIONS(7158), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4390), 1,
      anon_sym_RBRACK,
    STATE(3647), 1,
      aux_sym_array_repeat1,
  [119973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(6648), 1,
      anon_sym_RBRACK,
    STATE(3648), 1,
      aux_sym_array_pattern_repeat1,
  [119986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7162), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_await,
    STATE(46), 1,
      sym__for_header,
  [120017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(7170), 1,
      anon_sym_GT,
  [120030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7172), 1,
      anon_sym_COMMA,
    ACTIONS(7174), 1,
      anon_sym_RBRACE,
    STATE(3673), 1,
      aux_sym_enum_body_repeat1,
  [120043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7176), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5299), 1,
      anon_sym_is,
    ACTIONS(5882), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [120072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      anon_sym_PIPE,
    ACTIONS(5405), 1,
      anon_sym_extends,
  [120085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7178), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120094] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(4000), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [120103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7180), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_RBRACK,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    STATE(3570), 1,
      aux_sym_tuple_type_repeat1,
  [120134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_GT,
    ACTIONS(7184), 1,
      anon_sym_COMMA,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
  [120147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      anon_sym_COMMA,
    ACTIONS(7189), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      aux_sym_object_pattern_repeat1,
  [120160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_COMMA,
    ACTIONS(7194), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      aux_sym_object_repeat1,
  [120173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(7196), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [120186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    ACTIONS(7058), 1,
      anon_sym_as,
    STATE(3907), 1,
      sym__from_clause,
  [120199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_LBRACE,
    ACTIONS(7198), 1,
      sym_identifier,
    STATE(3444), 1,
      sym_export_clause,
  [120212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1224), 1,
      anon_sym_LBRACE,
    STATE(649), 1,
      sym_object_type,
  [120225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7200), 1,
      anon_sym_COMMA,
    ACTIONS(7202), 1,
      anon_sym_RBRACE,
    STATE(3674), 1,
      aux_sym_enum_body_repeat1,
  [120238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1277), 1,
      anon_sym_LBRACE,
    STATE(3368), 1,
      sym_object_type,
  [120251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RBRACK,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    STATE(3570), 1,
      aux_sym_tuple_type_repeat1,
  [120275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(7210), 1,
      anon_sym_GT,
  [120288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      anon_sym_LBRACE,
    ACTIONS(6525), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [120299] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(4209), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [120308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      sym_identifier,
    ACTIONS(7216), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120319] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6441), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [120328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_LBRACK,
    ACTIONS(7222), 1,
      sym_private_property_identifier,
  [120341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7224), 1,
      anon_sym_LPAREN,
    ACTIONS(7226), 1,
      anon_sym_await,
    STATE(33), 1,
      sym__for_header,
  [120354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_COMMA,
    ACTIONS(7230), 1,
      anon_sym_RBRACK,
    STATE(3758), 1,
      aux_sym_tuple_type_repeat1,
  [120367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_COMMA,
    ACTIONS(7234), 1,
      anon_sym_GT,
    STATE(3573), 1,
      aux_sym_type_parameters_repeat1,
  [120380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7236), 1,
      sym_identifier,
    ACTIONS(7238), 1,
      anon_sym_LBRACK,
    ACTIONS(7240), 1,
      sym_private_property_identifier,
  [120393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2661), 1,
      anon_sym_GT,
    ACTIONS(7242), 1,
      anon_sym_COMMA,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
  [120406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 1,
      anon_sym_extends,
    ACTIONS(7244), 1,
      anon_sym_AMP,
    ACTIONS(7246), 1,
      anon_sym_PIPE,
  [120419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7248), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7250), 1,
      anon_sym_COMMA,
    ACTIONS(7252), 1,
      anon_sym_RBRACK,
    STATE(3689), 1,
      aux_sym_tuple_type_repeat1,
  [120441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(6597), 1,
      anon_sym_RBRACK,
    STATE(3557), 1,
      aux_sym_array_pattern_repeat1,
  [120454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_COMMA,
    ACTIONS(7254), 1,
      anon_sym_RBRACE,
    STATE(3750), 1,
      aux_sym_object_repeat1,
  [120467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 1,
      sym_identifier,
    ACTIONS(7258), 1,
      anon_sym_LBRACK,
    ACTIONS(7260), 1,
      sym_private_property_identifier,
  [120480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(7262), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [120493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    ACTIONS(3568), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [120504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4400), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [120517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 1,
      anon_sym_LBRACE,
    ACTIONS(3601), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [120528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7264), 1,
      sym_identifier,
    ACTIONS(7266), 1,
      anon_sym_LBRACK,
    ACTIONS(7268), 1,
      sym_private_property_identifier,
  [120541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_AMP,
    ACTIONS(5545), 1,
      anon_sym_extends,
    ACTIONS(6314), 1,
      anon_sym_PIPE,
  [120554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120563] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(6354), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [120572] = 4,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(7270), 1,
      sym__glimmer_template_content,
    ACTIONS(7273), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3784), 1,
      aux_sym_glimmer_template_repeat1,
  [120585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      sym_identifier,
    ACTIONS(7275), 1,
      anon_sym_GT,
    STATE(4054), 1,
      sym_type_parameter,
  [120598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_while,
    ACTIONS(7277), 1,
      anon_sym_else,
    STATE(755), 1,
      sym_else_clause,
  [120611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4400), 1,
      anon_sym_RBRACK,
    STATE(3553), 1,
      aux_sym_array_repeat1,
  [120624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    ACTIONS(6597), 1,
      anon_sym_RBRACK,
    STATE(3555), 1,
      aux_sym_array_pattern_repeat1,
  [120637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(7281), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [120659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7283), 1,
      sym_identifier,
    ACTIONS(7285), 1,
      anon_sym_LBRACK,
    ACTIONS(7287), 1,
      sym_private_property_identifier,
  [120672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      anon_sym_DOT,
    ACTIONS(7289), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_COMMA,
    ACTIONS(7293), 1,
      anon_sym_RPAREN,
    STATE(3560), 1,
      aux_sym_formal_parameters_repeat1,
  [120696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      sym_identifier,
    ACTIONS(7297), 1,
      anon_sym_LBRACK,
    ACTIONS(7299), 1,
      sym_private_property_identifier,
  [120709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [120718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_GT,
    ACTIONS(7301), 1,
      anon_sym_COMMA,
    STATE(3529), 1,
      aux_sym_implements_clause_repeat1,
  [120731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(7303), 1,
      anon_sym_RBRACE,
    STATE(3749), 1,
      aux_sym_object_pattern_repeat1,
  [120744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(7305), 1,
      anon_sym_GT,
  [120757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7307), 1,
      sym_identifier,
    ACTIONS(7309), 1,
      anon_sym_LBRACK,
    ACTIONS(7311), 1,
      sym_private_property_identifier,
  [120770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      sym_identifier,
    ACTIONS(7315), 1,
      anon_sym_LBRACK,
    ACTIONS(7317), 1,
      sym_private_property_identifier,
  [120792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_EQ,
    ACTIONS(7103), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [120812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
    STATE(3545), 1,
      aux_sym_array_repeat1,
  [120825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
    STATE(3776), 1,
      aux_sym_array_repeat1,
  [120838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    ACTIONS(7150), 1,
      anon_sym_RBRACE,
    STATE(3600), 1,
      aux_sym_object_pattern_repeat1,
  [120851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7194), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3366), 1,
      sym_formal_parameters,
  [120877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    STATE(1928), 1,
      sym_arguments,
  [120887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3153), 1,
      sym_formal_parameters,
  [120897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_LPAREN,
    STATE(37), 1,
      sym_parenthesized_expression,
  [120907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_LPAREN,
    STATE(3942), 1,
      sym_parenthesized_expression,
  [120917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(7210), 1,
      anon_sym_GT,
  [120927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
  [120953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_in,
    ACTIONS(7329), 1,
      anon_sym_COLON,
  [120963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_statement_block,
  [120973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
  [120983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym__for_header,
  [120993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(7210), 1,
      anon_sym_GT,
  [121003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7333), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4275), 1,
      sym_formal_parameters,
  [121021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(605), 1,
      sym_statement_block,
  [121031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [121039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      sym_class_body,
  [121049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [121057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    STATE(3910), 1,
      sym__from_clause,
  [121067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 1,
      anon_sym_in,
    ACTIONS(6489), 1,
      anon_sym_of,
  [121077] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(7335), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [121085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(148), 1,
      sym_class_body,
  [121095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1838), 1,
      sym_class_body,
  [121105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(612), 1,
      sym_class_body,
  [121131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6284), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [121139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    STATE(595), 1,
      sym_statement_block,
  [121149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(596), 1,
      sym_class_body,
  [121159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1903), 1,
      sym_class_body,
  [121169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3873), 1,
      sym_statement_block,
  [121179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3171), 1,
      sym_formal_parameters,
  [121197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3871), 1,
      sym_statement_block,
  [121207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1913), 1,
      sym_class_body,
  [121225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
  [121235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_LPAREN,
    STATE(48), 1,
      sym_parenthesized_expression,
  [121245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1879), 1,
      sym_statement_block,
  [121255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7339), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1853), 1,
      sym_statement_block,
  [121273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
  [121283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5452), 1,
      anon_sym_LPAREN,
    STATE(2622), 1,
      sym_arguments,
  [121293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7341), 1,
      anon_sym_SEMI,
    ACTIONS(7343), 1,
      sym__automatic_semicolon,
  [121303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7347), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1847), 1,
      sym_class_body,
  [121329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1802), 1,
      sym_statement_block,
  [121339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7349), 1,
      sym_identifier,
    STATE(3550), 1,
      sym_nested_identifier,
  [121349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1850), 1,
      sym_class_body,
  [121359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(601), 1,
      sym_class_body,
  [121369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1920), 1,
      sym_statement_block,
  [121379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      sym_identifier,
    STATE(3792), 1,
      sym_nested_identifier,
  [121389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1921), 1,
      sym_class_body,
  [121399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1851), 1,
      sym_statement_block,
  [121409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3842), 1,
      sym_statement_block,
  [121419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7353), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4033), 1,
      sym_statement_block,
  [121437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4374), 1,
      sym_formal_parameters,
  [121447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4011), 1,
      sym_statement_block,
  [121473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(600), 1,
      sym_class_body,
  [121491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    STATE(603), 1,
      sym_statement_block,
  [121501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 2,
      anon_sym_in,
      anon_sym_of,
  [121509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_arguments,
  [121519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    STATE(676), 1,
      sym_class_body,
  [121529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [121537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(2065), 1,
      sym_class_body,
  [121547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4229), 1,
      sym_formal_parameters,
  [121557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5359), 1,
      anon_sym_LPAREN,
    STATE(2724), 1,
      sym_formal_parameters,
  [121567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_class_body,
  [121577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_LBRACE,
    STATE(155), 1,
      sym_statement_block,
  [121595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3037), 1,
      sym_formal_parameters,
  [121605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1904), 1,
      sym_statement_block,
  [121615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6962), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      sym_identifier,
    STATE(4054), 1,
      sym_type_parameter,
  [121633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      sym_identifier,
    STATE(3703), 1,
      sym_type_parameter,
  [121643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4000), 1,
      sym_statement_block,
  [121669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3225), 1,
      sym_formal_parameters,
  [121679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    STATE(3233), 1,
      sym_statement_block,
  [121697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(1477), 1,
      sym_class_body,
  [121707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4071), 1,
      sym_statement_block,
  [121717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1472), 1,
      sym_statement_block,
  [121727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    STATE(3230), 1,
      sym_statement_block,
  [121737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_LBRACE,
    STATE(3226), 1,
      sym_enum_body,
  [121747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4310), 1,
      sym_formal_parameters,
  [121757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      sym_identifier,
    ACTIONS(7365), 1,
      sym_private_property_identifier,
  [121767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    STATE(3959), 1,
      sym_type_annotation,
  [121777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4183), 1,
      sym_formal_parameters,
  [121787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7367), 1,
      anon_sym_SEMI,
    ACTIONS(7369), 1,
      sym__automatic_semicolon,
  [121805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 1,
      anon_sym_LBRACE,
    STATE(3261), 1,
      sym_statement_block,
  [121815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      sym_identifier,
    ACTIONS(7373), 1,
      anon_sym_STAR,
  [121825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_SEMI,
    ACTIONS(7377), 1,
      sym__automatic_semicolon,
  [121835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    STATE(4050), 1,
      sym__from_clause,
  [121845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_SEMI,
    ACTIONS(7381), 1,
      sym__automatic_semicolon,
  [121855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2944), 1,
      sym_formal_parameters,
  [121865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7014), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_LBRACE,
    STATE(3151), 1,
      sym_enum_body,
  [121883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1944), 1,
      sym_class_body,
  [121901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3845), 1,
      sym_statement_block,
  [121911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      sym_private_property_identifier,
  [121921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      sym_identifier,
    ACTIONS(7389), 1,
      sym_private_property_identifier,
  [121931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      sym_private_property_identifier,
  [121941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_arguments,
  [121951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6982), 1,
      sym_identifier,
    ACTIONS(6986), 1,
      sym_private_property_identifier,
  [121961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(1388), 1,
      sym_class_body,
  [121979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1386), 1,
      sym_statement_block,
  [121989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1383), 1,
      sym_statement_block,
  [121999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    STATE(1375), 1,
      sym_arguments,
  [122009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1971), 1,
      sym_class_body,
  [122019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      sym_identifier,
    ACTIONS(7317), 1,
      sym_private_property_identifier,
  [122029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7395), 1,
      sym_identifier,
    ACTIONS(7397), 1,
      sym_private_property_identifier,
  [122039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7399), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7401), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_from,
  [122057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_class_body,
  [122075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7407), 1,
      anon_sym_SEMI,
    ACTIONS(7409), 1,
      sym__automatic_semicolon,
  [122085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(158), 1,
      sym_class_body,
  [122095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(3399), 1,
      sym_class_body,
  [122113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1955), 1,
      sym_statement_block,
  [122123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7413), 1,
      sym_identifier,
    ACTIONS(7415), 1,
      sym_private_property_identifier,
  [122133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7417), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym_switch_body,
  [122143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym__for_header,
  [122153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(1368), 1,
      sym_class_body,
  [122163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1366), 1,
      sym_statement_block,
  [122173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7419), 1,
      sym_identifier,
    ACTIONS(7421), 1,
      sym_private_property_identifier,
  [122183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(154), 1,
      sym_class_body,
  [122201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7425), 1,
      anon_sym_SEMI,
    ACTIONS(7427), 1,
      sym__automatic_semicolon,
  [122211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4362), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [122251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1813), 1,
      sym_class_body,
  [122261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    STATE(1632), 1,
      sym_arguments,
  [122271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_COLON,
    STATE(3954), 1,
      sym_type_annotation,
  [122281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [122289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [122297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1403), 1,
      sym_statement_block,
  [122307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1859), 1,
      sym_statement_block,
  [122317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7437), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [122325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(3383), 1,
      sym_class_body,
  [122335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4330), 1,
      sym_formal_parameters,
  [122345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_LBRACE,
    STATE(157), 1,
      sym_class_body,
  [122355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7439), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [122363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4352), 1,
      sym_formal_parameters,
  [122373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      sym_identifier,
    STATE(3767), 1,
      sym_type_parameter,
  [122383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(7170), 1,
      anon_sym_GT,
  [122393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(7170), 1,
      anon_sym_GT,
  [122403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4382), 1,
      sym_formal_parameters,
  [122413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1886), 1,
      sym_class_body,
  [122423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(1432), 1,
      sym_class_body,
  [122433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(3332), 1,
      sym_class_body,
  [122443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1950), 1,
      sym_class_body,
  [122453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(3329), 1,
      sym_class_body,
  [122463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 1,
      sym_jsx_identifier,
    ACTIONS(7441), 1,
      sym_identifier,
  [122473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(1433), 1,
      sym_class_body,
  [122483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7443), 1,
      sym_identifier,
    ACTIONS(7445), 1,
      anon_sym_STAR,
  [122493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1434), 1,
      sym_statement_block,
  [122503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1435), 1,
      sym_statement_block,
  [122513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(1436), 1,
      sym_class_body,
  [122523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7447), 1,
      sym_identifier,
    ACTIONS(7449), 1,
      sym_private_property_identifier,
  [122533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      sym_private_property_identifier,
  [122543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      sym_private_property_identifier,
  [122553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      sym_private_property_identifier,
  [122563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7463), 1,
      sym_identifier,
    ACTIONS(7465), 1,
      anon_sym_STAR,
  [122573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [122581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(715), 1,
      sym_statement_block,
  [122591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1818), 1,
      sym_statement_block,
  [122601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    STATE(4063), 1,
      sym_parenthesized_expression,
  [122611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7469), 1,
      sym_identifier,
    ACTIONS(7471), 1,
      sym_private_property_identifier,
  [122621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7473), 1,
      sym_identifier,
    ACTIONS(7475), 1,
      sym_private_property_identifier,
  [122631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7477), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7479), 1,
      sym_identifier,
    ACTIONS(7481), 1,
      sym_private_property_identifier,
  [122649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7483), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [122657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7485), 1,
      sym_identifier,
    ACTIONS(7487), 1,
      sym_private_property_identifier,
  [122667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1926), 1,
      sym_statement_block,
  [122677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(3309), 1,
      sym_class_body,
  [122687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2898), 1,
      sym_formal_parameters,
  [122705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4271), 1,
      sym_formal_parameters,
  [122715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1830), 1,
      sym_class_body,
  [122725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(6897), 1,
      anon_sym_GT,
  [122735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(6897), 1,
      anon_sym_GT,
  [122745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4064), 1,
      sym_statement_block,
  [122755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(3304), 1,
      sym_class_body,
  [122765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(3302), 1,
      sym_class_body,
  [122775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(617), 1,
      sym_statement_block,
  [122785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    STATE(757), 1,
      sym_class_body,
  [122795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_LPAREN,
    STATE(1273), 1,
      sym_arguments,
  [122813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(1459), 1,
      sym_statement_block,
  [122823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7489), 1,
      anon_sym_LBRACE,
    STATE(754), 1,
      sym_enum_body,
  [122833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7489), 1,
      anon_sym_LBRACE,
    STATE(624), 1,
      sym_enum_body,
  [122843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7491), 1,
      sym_identifier,
    ACTIONS(7493), 1,
      sym_private_property_identifier,
  [122853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(1460), 1,
      sym_class_body,
  [122863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    STATE(4027), 1,
      sym__from_clause,
  [122873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4067), 1,
      sym_statement_block,
  [122891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_COLON,
    STATE(3581), 1,
      sym_type_annotation,
  [122901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4369), 1,
      sym_formal_parameters,
  [122911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4303), 1,
      sym_formal_parameters,
  [122921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4321), 1,
      sym_formal_parameters,
  [122931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7495), 1,
      anon_sym_SEMI,
    ACTIONS(7497), 1,
      sym__automatic_semicolon,
  [122957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_LBRACE,
    STATE(3289), 1,
      sym_class_body,
  [122967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3892), 1,
      sym_statement_block,
  [122985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [122993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    STATE(707), 1,
      sym_class_body,
  [123003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7501), 1,
      anon_sym_SEMI,
    ACTIONS(7503), 1,
      sym__automatic_semicolon,
  [123021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3895), 1,
      sym_statement_block,
  [123039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [123047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [123055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4098), 1,
      sym_formal_parameters,
  [123089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [123097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7509), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [123105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(2047), 1,
      sym_class_body,
  [123115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_LBRACE,
    STATE(173), 1,
      sym_statement_block,
  [123125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7511), 1,
      sym_identifier,
    ACTIONS(7513), 1,
      anon_sym_STAR,
  [123135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    STATE(644), 1,
      sym_class_body,
  [123153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7515), 1,
      anon_sym_SEMI,
    ACTIONS(7517), 1,
      sym__automatic_semicolon,
  [123163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [123171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7521), 1,
      anon_sym_SEMI,
    ACTIONS(7523), 1,
      sym__automatic_semicolon,
  [123181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_LPAREN,
    STATE(2680), 1,
      sym_formal_parameters,
  [123191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [123199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_from,
    STATE(3949), 1,
      sym__from_clause,
  [123209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4097), 1,
      sym_formal_parameters,
  [123219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4266), 1,
      sym_formal_parameters,
  [123229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7525), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [123237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4230), 1,
      sym_formal_parameters,
  [123247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4214), 1,
      sym_formal_parameters,
  [123257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(4118), 1,
      sym_formal_parameters,
  [123267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1876), 1,
      sym_class_body,
  [123277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [123285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(609), 1,
      sym_statement_block,
  [123303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(4080), 1,
      sym_statement_block,
  [123313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1841), 1,
      sym_class_body,
  [123331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LPAREN,
    STATE(2501), 1,
      sym_arguments,
  [123341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7529), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1817), 1,
      sym_class_body,
  [123375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1820), 1,
      sym_statement_block,
  [123385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LBRACE,
    STATE(3924), 1,
      sym_statement_block,
  [123395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7531), 1,
      sym_identifier,
    ACTIONS(7533), 1,
      sym_private_property_identifier,
  [123405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7535), 1,
      sym_identifier,
    ACTIONS(7537), 1,
      sym_private_property_identifier,
  [123415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7539), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      sym_private_property_identifier,
  [123425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7264), 1,
      sym_identifier,
    ACTIONS(7268), 1,
      sym_private_property_identifier,
  [123435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(1832), 1,
      sym_class_body,
  [123453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOT,
    ACTIONS(7305), 1,
      anon_sym_GT,
  [123463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(7305), 1,
      anon_sym_GT,
  [123473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_LBRACE,
    STATE(1835), 1,
      sym_statement_block,
  [123483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7543), 1,
      anon_sym_as,
  [123490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_RBRACK,
  [123497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 1,
      anon_sym_RBRACK,
  [123504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_RBRACK,
  [123511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7551), 1,
      anon_sym_GT,
  [123518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_GT,
  [123525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_RBRACK,
  [123532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7557), 1,
      anon_sym_RBRACK,
  [123539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 1,
      anon_sym_is,
  [123546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7305), 1,
      anon_sym_GT,
  [123553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7559), 1,
      anon_sym_EQ_GT,
  [123560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7561), 1,
      anon_sym_RBRACK,
  [123567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7563), 1,
      anon_sym_EQ_GT,
  [123574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_EQ_GT,
  [123581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7567), 1,
      sym_identifier,
  [123588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7569), 1,
      anon_sym_EQ_GT,
  [123595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7230), 1,
      anon_sym_RBRACK,
  [123602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym_RBRACK,
  [123609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7573), 1,
      anon_sym_EQ,
  [123616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      sym_identifier,
  [123623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_RBRACK,
  [123630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7579), 1,
      anon_sym_RBRACK,
  [123637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_GT,
  [123644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7583), 1,
      anon_sym_GT,
  [123651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_GT,
  [123658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7587), 1,
      anon_sym_EQ_GT,
  [123665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7589), 1,
      anon_sym_GT,
  [123672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7591), 1,
      anon_sym_GT,
  [123679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7593), 1,
      anon_sym_EQ_GT,
  [123686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym_EQ_GT,
  [123693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7597), 1,
      anon_sym_EQ_GT,
  [123700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7599), 1,
      anon_sym_GT,
  [123707] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(7601), 1,
      sym_regex_pattern,
  [123714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7603), 1,
      anon_sym_EQ_GT,
  [123721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7605), 1,
      anon_sym_RBRACK,
  [123728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_EQ_GT,
  [123735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7609), 1,
      anon_sym_RPAREN,
  [123742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7611), 1,
      anon_sym_GT,
  [123749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 1,
      anon_sym_EQ_GT,
  [123756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7615), 1,
      sym_identifier,
  [123763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7617), 1,
      sym_number,
  [123770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7619), 1,
      anon_sym_RPAREN,
  [123777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7621), 1,
      anon_sym_GT,
  [123784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7623), 1,
      anon_sym_RPAREN,
  [123791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7625), 1,
      sym_identifier,
  [123798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7627), 1,
      anon_sym_GT,
  [123805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_DOT,
  [123812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7629), 1,
      anon_sym_RPAREN,
  [123819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7631), 1,
      anon_sym_SLASH2,
  [123826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_RPAREN,
  [123833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7633), 1,
      anon_sym_RBRACK,
  [123840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7635), 1,
      anon_sym_GT,
  [123847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7637), 1,
      anon_sym_RBRACK,
  [123854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7639), 1,
      anon_sym_RBRACK,
  [123861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7641), 1,
      anon_sym_RBRACK,
  [123868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7643), 1,
      anon_sym_GT,
  [123875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_GT,
  [123882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_GT,
  [123889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7649), 1,
      anon_sym_RBRACK,
  [123896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7651), 1,
      anon_sym_RPAREN,
  [123903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7653), 1,
      anon_sym_RBRACK,
  [123910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      sym_identifier,
  [123917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_EQ,
  [123924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7659), 1,
      sym_identifier,
  [123931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_RBRACK,
  [123938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_RBRACK,
  [123945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7665), 1,
      anon_sym_RBRACK,
  [123952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7667), 1,
      anon_sym_RBRACK,
  [123959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7669), 1,
      sym_identifier,
  [123966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7062), 1,
      anon_sym_RBRACE,
  [123973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7671), 1,
      anon_sym_LBRACK,
  [123980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7673), 1,
      anon_sym_EQ,
  [123987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7675), 1,
      anon_sym_RBRACK,
  [123994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7677), 1,
      anon_sym_from,
  [124001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 1,
      anon_sym_DOT,
  [124008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6911), 1,
      anon_sym_RBRACE,
  [124015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7679), 1,
      anon_sym_RBRACK,
  [124022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7681), 1,
      sym_identifier,
  [124029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7683), 1,
      anon_sym_as,
  [124036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7685), 1,
      anon_sym_RBRACK,
  [124043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_RBRACK,
  [124050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      anon_sym_RBRACK,
  [124057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_RPAREN,
  [124064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7691), 1,
      anon_sym_RBRACK,
  [124071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7693), 1,
      anon_sym_RBRACK,
  [124078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7695), 1,
      anon_sym_class,
  [124085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      anon_sym_RBRACK,
  [124092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7699), 1,
      anon_sym_RBRACK,
  [124099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_RBRACK,
  [124106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7703), 1,
      anon_sym_SLASH2,
  [124113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7705), 1,
      anon_sym_RBRACK,
  [124120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7707), 1,
      anon_sym_RBRACK,
  [124127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      sym_identifier,
  [124134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7711), 1,
      anon_sym_EQ_GT,
  [124141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_RPAREN,
  [124148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      anon_sym_EQ_GT,
  [124155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_EQ_GT,
  [124162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 1,
      anon_sym_EQ_GT,
  [124169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7721), 1,
      anon_sym_EQ_GT,
  [124176] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(7723), 1,
      sym_regex_pattern,
  [124183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym_GT,
  [124190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 1,
      anon_sym_RBRACK,
  [124197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7729), 1,
      anon_sym_RBRACK,
  [124204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7731), 1,
      anon_sym_RBRACK,
  [124211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 1,
      anon_sym_DOT,
  [124218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7733), 1,
      anon_sym_COLON,
  [124225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7735), 1,
      anon_sym_RBRACK,
  [124232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7737), 1,
      sym_number,
  [124239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7739), 1,
      anon_sym_RBRACK,
  [124246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7741), 1,
      anon_sym_COLON,
  [124253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      anon_sym_RBRACK,
  [124260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7745), 1,
      anon_sym_RBRACK,
  [124267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      sym_identifier,
  [124274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      anon_sym_RBRACK,
  [124281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7751), 1,
      anon_sym_RBRACK,
  [124288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7753), 1,
      anon_sym_EQ_GT,
  [124295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      sym_number,
  [124302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7757), 1,
      anon_sym_GT,
  [124309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7759), 1,
      anon_sym_GT,
  [124316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 1,
      anon_sym_DOT,
  [124323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_GT,
  [124330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7763), 1,
      anon_sym_GT,
  [124337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7765), 1,
      anon_sym_GT,
  [124344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7767), 1,
      sym_identifier,
  [124351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7769), 1,
      anon_sym_GT,
  [124358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 1,
      anon_sym_RBRACK,
  [124365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      sym_identifier,
  [124372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7771), 1,
      anon_sym_EQ_GT,
  [124379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7773), 1,
      sym_identifier,
  [124386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_EQ_GT,
  [124393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 1,
      anon_sym_GT,
  [124400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7777), 1,
      anon_sym_GT,
  [124407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_LPAREN,
  [124414] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(7779), 1,
      sym_regex_pattern,
  [124421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_target,
  [124428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7783), 1,
      anon_sym_RPAREN,
  [124435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7785), 1,
      anon_sym_class,
  [124442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7787), 1,
      anon_sym_GT,
  [124449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7789), 1,
      anon_sym_EQ_GT,
  [124456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7791), 1,
      anon_sym_from,
  [124463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7793), 1,
      anon_sym_EQ,
  [124470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7795), 1,
      anon_sym_namespace,
  [124477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7797), 1,
      anon_sym_LPAREN,
  [124484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7799), 1,
      anon_sym_EQ_GT,
  [124491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7801), 1,
      anon_sym_EQ_GT,
  [124498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7803), 1,
      anon_sym_EQ_GT,
  [124505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7805), 1,
      anon_sym_EQ_GT,
  [124512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_RBRACK,
  [124519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7809), 1,
      anon_sym_EQ_GT,
  [124526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6605), 1,
      anon_sym_EQ_GT,
  [124533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7811), 1,
      anon_sym_RBRACK,
  [124540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7813), 1,
      anon_sym_EQ_GT,
  [124547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_GT,
  [124554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym_EQ_GT,
  [124561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      anon_sym_EQ_GT,
  [124568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7821), 1,
      anon_sym_GT,
  [124575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_RBRACK,
  [124582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7198), 1,
      sym_identifier,
  [124589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7825), 1,
      anon_sym_RBRACK,
  [124596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_class,
  [124603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 1,
      anon_sym_EQ_GT,
  [124610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_RBRACK,
  [124617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7831), 1,
      anon_sym_EQ,
  [124624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_RBRACK,
  [124631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7835), 1,
      anon_sym_EQ,
  [124638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7131), 1,
      anon_sym_LBRACE,
  [124645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_RBRACK,
  [124652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym_RBRACK,
  [124659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_RBRACK,
  [124666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7843), 1,
      anon_sym_EQ_GT,
  [124673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7845), 1,
      anon_sym_EQ_GT,
  [124680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7847), 1,
      anon_sym_EQ_GT,
  [124687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5619), 1,
      anon_sym_is,
  [124694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_GT,
  [124701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7849), 1,
      anon_sym_new,
  [124708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7851), 1,
      anon_sym_RBRACK,
  [124715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 1,
      anon_sym_EQ,
  [124722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      sym_identifier,
  [124729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_EQ_GT,
  [124736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_RBRACK,
  [124743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_GT,
  [124750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7859), 1,
      anon_sym_EQ_GT,
  [124757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_COLON,
  [124764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_RBRACK,
  [124771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_SLASH2,
  [124778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7867), 1,
      anon_sym_RBRACK,
  [124785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_EQ_GT,
  [124792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_RBRACK,
  [124799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_RBRACK,
  [124806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7875), 1,
      anon_sym_RBRACK,
  [124813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7877), 1,
      anon_sym_EQ_GT,
  [124820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7879), 1,
      anon_sym_RBRACK,
  [124827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7881), 1,
      sym_identifier,
  [124834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7883), 1,
      anon_sym_EQ_GT,
  [124841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7252), 1,
      anon_sym_RBRACK,
  [124848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7885), 1,
      anon_sym_RBRACK,
  [124855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_RBRACK,
  [124862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7889), 1,
      anon_sym_GT,
  [124869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7891), 1,
      anon_sym_GT,
  [124876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7893), 1,
      anon_sym_RBRACK,
  [124883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7895), 1,
      anon_sym_RBRACK,
  [124890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_from,
  [124897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7899), 1,
      anon_sym_readonly,
  [124904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7901), 1,
      anon_sym_while,
  [124911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_GT,
  [124918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7905), 1,
      anon_sym_GT,
  [124925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7907), 1,
      anon_sym_GT,
  [124932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4084), 1,
      anon_sym_RPAREN,
  [124939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7909), 1,
      anon_sym_GT,
  [124946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7911), 1,
      anon_sym_RBRACK,
  [124953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7913), 1,
      anon_sym_RBRACK,
  [124960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_RBRACK,
  [124967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_RBRACK,
  [124974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_SLASH2,
  [124981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      sym_identifier,
  [124988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7923), 1,
      anon_sym_from,
  [124995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7925), 1,
      sym_identifier,
  [125002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_RBRACK,
  [125009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7929), 1,
      anon_sym_EQ_GT,
  [125016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 1,
      sym_identifier,
  [125023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7933), 1,
      anon_sym_EQ_GT,
  [125030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7935), 1,
      anon_sym_require,
  [125037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6970), 1,
      anon_sym_RBRACK,
  [125044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_from,
  [125051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7937), 1,
      anon_sym_EQ_GT,
  [125058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7939), 1,
      anon_sym_EQ_GT,
  [125065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4547), 1,
      anon_sym_RBRACE,
  [125072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7941), 1,
      anon_sym_RBRACK,
  [125079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7943), 1,
      sym_identifier,
  [125086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7945), 1,
      anon_sym_GT,
  [125093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7947), 1,
      anon_sym_as,
  [125100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7949), 1,
      anon_sym_new,
  [125107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_RBRACK,
  [125114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      sym_identifier,
  [125121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      sym_number,
  [125128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7955), 1,
      anon_sym_RBRACK,
  [125135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7957), 1,
      anon_sym_EQ_GT,
  [125142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7959), 1,
      anon_sym_EQ_GT,
  [125149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7961), 1,
      sym_identifier,
  [125156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7963), 1,
      sym_number,
  [125163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7965), 1,
      anon_sym_RBRACK,
  [125170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7967), 1,
      anon_sym_EQ,
  [125177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7969), 1,
      anon_sym_RBRACK,
  [125184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_RBRACE,
  [125191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7971), 1,
      anon_sym_RPAREN,
  [125198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_EQ_GT,
  [125205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7975), 1,
      sym_identifier,
  [125212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7977), 1,
      anon_sym_EQ_GT,
  [125219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7979), 1,
      anon_sym_RBRACK,
  [125226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7981), 1,
      anon_sym_RBRACK,
  [125233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_RBRACK,
  [125240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_RBRACK,
  [125247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7985), 1,
      anon_sym_RBRACK,
  [125254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_function,
  [125261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      sym_identifier,
  [125268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7991), 1,
      sym_identifier,
  [125275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_RBRACK,
  [125282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7995), 1,
      anon_sym_new,
  [125289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_EQ_GT,
  [125296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7999), 1,
      sym_identifier,
  [125303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_EQ,
  [125310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_EQ_GT,
  [125317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8005), 1,
      anon_sym_EQ_GT,
  [125324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8007), 1,
      anon_sym_EQ_GT,
  [125331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8009), 1,
      anon_sym_EQ_GT,
  [125338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8011), 1,
      anon_sym_namespace,
  [125345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8013), 1,
      anon_sym_EQ_GT,
  [125352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8015), 1,
      anon_sym_EQ_GT,
  [125359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8017), 1,
      anon_sym_RBRACK,
  [125366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8019), 1,
      anon_sym_RBRACK,
  [125373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8021), 1,
      anon_sym_target,
  [125380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8023), 1,
      anon_sym_RBRACK,
  [125387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_EQ_GT,
  [125394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_EQ_GT,
  [125401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8029), 1,
      anon_sym_EQ_GT,
  [125408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_RPAREN,
  [125415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8031), 1,
      anon_sym_RBRACK,
  [125422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8033), 1,
      anon_sym_RBRACK,
  [125429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8035), 1,
      anon_sym_RBRACK,
  [125436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 1,
      anon_sym_DOT,
  [125443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8037), 1,
      anon_sym_EQ_GT,
  [125450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8039), 1,
      anon_sym_SLASH2,
  [125457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 1,
      anon_sym_RPAREN,
  [125464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8041), 1,
      sym_identifier,
  [125471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8043), 1,
      anon_sym_EQ_GT,
  [125478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8045), 1,
      anon_sym_GT,
  [125485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_RBRACK,
  [125492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8049), 1,
      anon_sym_RBRACK,
  [125499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_RBRACK,
  [125506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8053), 1,
      anon_sym_EQ_GT,
  [125513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_GT,
  [125520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_RBRACK,
  [125527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8059), 1,
      anon_sym_RBRACK,
  [125534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8061), 1,
      anon_sym_RBRACK,
  [125541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8063), 1,
      anon_sym_RBRACK,
  [125548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8065), 1,
      anon_sym_RBRACK,
  [125555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8067), 1,
      anon_sym_RBRACK,
  [125562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_EQ_GT,
  [125569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8071), 1,
      anon_sym_EQ,
  [125576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_RBRACK,
  [125583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_EQ,
  [125590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8075), 1,
      anon_sym_RBRACK,
  [125597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8077), 1,
      anon_sym_RBRACK,
  [125604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8079), 1,
      anon_sym_RBRACK,
  [125611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8081), 1,
      anon_sym_EQ_GT,
  [125618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8083), 1,
      anon_sym_EQ_GT,
  [125625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8085), 1,
      anon_sym_RBRACK,
  [125632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8087), 1,
      anon_sym_EQ,
  [125639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8089), 1,
      anon_sym_RBRACK,
  [125646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8091), 1,
      anon_sym_RBRACK,
  [125653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_EQ,
  [125660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      anon_sym_EQ_GT,
  [125667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8095), 1,
      anon_sym_RBRACK,
  [125674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8097), 1,
      anon_sym_EQ_GT,
  [125681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8099), 1,
      anon_sym_EQ_GT,
  [125688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8101), 1,
      anon_sym_EQ_GT,
  [125695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      anon_sym_EQ_GT,
  [125702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8105), 1,
      anon_sym_COLON,
  [125709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8107), 1,
      anon_sym_RBRACK,
  [125716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8109), 1,
      anon_sym_new,
  [125723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8111), 1,
      anon_sym_RBRACK,
  [125730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_RPAREN,
  [125737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_RPAREN,
  [125744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_COLON,
  [125751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_RPAREN,
  [125758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_from,
  [125765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      ts_builtin_sym_end,
  [125772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8117), 1,
      sym_identifier,
  [125779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      sym_identifier,
  [125786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8121), 1,
      anon_sym_class,
  [125793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_RBRACK,
  [125800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8125), 1,
      sym_identifier,
  [125807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8127), 1,
      sym_identifier,
  [125814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8129), 1,
      anon_sym_EQ,
  [125821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8131), 1,
      sym_identifier,
  [125828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8133), 1,
      sym_identifier,
  [125835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8135), 1,
      anon_sym_LBRACE,
  [125842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8137), 1,
      anon_sym_new,
  [125849] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(8139), 1,
      sym_regex_pattern,
  [125856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_from,
  [125863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8143), 1,
      anon_sym_from,
  [125870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8145), 1,
      sym_identifier,
  [125877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8147), 1,
      anon_sym_new,
  [125884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8149), 1,
      anon_sym_RPAREN,
  [125891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_RPAREN,
  [125898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_RBRACE,
  [125905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      sym_identifier,
  [125912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8153), 1,
      anon_sym_RBRACK,
  [125919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8155), 1,
      sym_identifier,
  [125926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8157), 1,
      anon_sym_function,
  [125933] = 2,
    ACTIONS(5577), 1,
      sym_comment,
    ACTIONS(8159), 1,
      sym_regex_pattern,
  [125940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8161), 1,
      sym_identifier,
  [125947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8163), 1,
      sym_identifier,
  [125954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8165), 1,
      sym_identifier,
  [125961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8167), 1,
      anon_sym_new,
  [125968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8169), 1,
      sym_identifier,
  [125975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8171), 1,
      sym_identifier,
  [125982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8173), 1,
      sym_identifier,
  [125989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_is,
  [125996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      sym_identifier,
  [126003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8177), 1,
      sym_identifier,
  [126010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7210), 1,
      anon_sym_GT,
  [126017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8179), 1,
      anon_sym_EQ_GT,
  [126024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_DOT,
  [126031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8181), 1,
      anon_sym_RBRACK,
  [126038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8183), 1,
      anon_sym_RPAREN,
  [126045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8185), 1,
      anon_sym_COLON,
  [126052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8187), 1,
      sym_identifier,
  [126059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_RBRACK,
  [126066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_RBRACK,
  [126073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8189), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(981)] = 0,
  [SMALL_STATE(982)] = 89,
  [SMALL_STATE(983)] = 182,
  [SMALL_STATE(984)] = 273,
  [SMALL_STATE(985)] = 362,
  [SMALL_STATE(986)] = 451,
  [SMALL_STATE(987)] = 542,
  [SMALL_STATE(988)] = 633,
  [SMALL_STATE(989)] = 722,
  [SMALL_STATE(990)] = 815,
  [SMALL_STATE(991)] = 906,
  [SMALL_STATE(992)] = 998,
  [SMALL_STATE(993)] = 1090,
  [SMALL_STATE(994)] = 1178,
  [SMALL_STATE(995)] = 1266,
  [SMALL_STATE(996)] = 1358,
  [SMALL_STATE(997)] = 1446,
  [SMALL_STATE(998)] = 1534,
  [SMALL_STATE(999)] = 1628,
  [SMALL_STATE(1000)] = 1697,
  [SMALL_STATE(1001)] = 1830,
  [SMALL_STATE(1002)] = 1899,
  [SMALL_STATE(1003)] = 1988,
  [SMALL_STATE(1004)] = 2077,
  [SMALL_STATE(1005)] = 2146,
  [SMALL_STATE(1006)] = 2235,
  [SMALL_STATE(1007)] = 2304,
  [SMALL_STATE(1008)] = 2393,
  [SMALL_STATE(1009)] = 2462,
  [SMALL_STATE(1010)] = 2551,
  [SMALL_STATE(1011)] = 2640,
  [SMALL_STATE(1012)] = 2727,
  [SMALL_STATE(1013)] = 2814,
  [SMALL_STATE(1014)] = 2901,
  [SMALL_STATE(1015)] = 2988,
  [SMALL_STATE(1016)] = 3057,
  [SMALL_STATE(1017)] = 3146,
  [SMALL_STATE(1018)] = 3279,
  [SMALL_STATE(1019)] = 3370,
  [SMALL_STATE(1020)] = 3439,
  [SMALL_STATE(1021)] = 3528,
  [SMALL_STATE(1022)] = 3615,
  [SMALL_STATE(1023)] = 3701,
  [SMALL_STATE(1024)] = 3787,
  [SMALL_STATE(1025)] = 3875,
  [SMALL_STATE(1026)] = 3943,
  [SMALL_STATE(1027)] = 4033,
  [SMALL_STATE(1028)] = 4119,
  [SMALL_STATE(1029)] = 4213,
  [SMALL_STATE(1030)] = 4301,
  [SMALL_STATE(1031)] = 4387,
  [SMALL_STATE(1032)] = 4459,
  [SMALL_STATE(1033)] = 4545,
  [SMALL_STATE(1034)] = 4613,
  [SMALL_STATE(1035)] = 4698,
  [SMALL_STATE(1036)] = 4775,
  [SMALL_STATE(1037)] = 4866,
  [SMALL_STATE(1038)] = 4951,
  [SMALL_STATE(1039)] = 5028,
  [SMALL_STATE(1040)] = 5105,
  [SMALL_STATE(1041)] = 5184,
  [SMALL_STATE(1042)] = 5269,
  [SMALL_STATE(1043)] = 5354,
  [SMALL_STATE(1044)] = 5445,
  [SMALL_STATE(1045)] = 5530,
  [SMALL_STATE(1046)] = 5615,
  [SMALL_STATE(1047)] = 5692,
  [SMALL_STATE(1048)] = 5777,
  [SMALL_STATE(1049)] = 5856,
  [SMALL_STATE(1050)] = 5933,
  [SMALL_STATE(1051)] = 6018,
  [SMALL_STATE(1052)] = 6095,
  [SMALL_STATE(1053)] = 6177,
  [SMALL_STATE(1054)] = 6253,
  [SMALL_STATE(1055)] = 6331,
  [SMALL_STATE(1056)] = 6413,
  [SMALL_STATE(1057)] = 6487,
  [SMALL_STATE(1058)] = 6565,
  [SMALL_STATE(1059)] = 6637,
  [SMALL_STATE(1060)] = 6709,
  [SMALL_STATE(1061)] = 6797,
  [SMALL_STATE(1062)] = 6869,
  [SMALL_STATE(1063)] = 6953,
  [SMALL_STATE(1064)] = 7039,
  [SMALL_STATE(1065)] = 7117,
  [SMALL_STATE(1066)] = 7201,
  [SMALL_STATE(1067)] = 7275,
  [SMALL_STATE(1068)] = 7347,
  [SMALL_STATE(1069)] = 7423,
  [SMALL_STATE(1070)] = 7507,
  [SMALL_STATE(1071)] = 7581,
  [SMALL_STATE(1072)] = 7665,
  [SMALL_STATE(1073)] = 7749,
  [SMALL_STATE(1074)] = 7826,
  [SMALL_STATE(1075)] = 7899,
  [SMALL_STATE(1076)] = 7968,
  [SMALL_STATE(1077)] = 8045,
  [SMALL_STATE(1078)] = 8116,
  [SMALL_STATE(1079)] = 8187,
  [SMALL_STATE(1080)] = 8270,
  [SMALL_STATE(1081)] = 8335,
  [SMALL_STATE(1082)] = 8408,
  [SMALL_STATE(1083)] = 8479,
  [SMALL_STATE(1084)] = 8554,
  [SMALL_STATE(1085)] = 8629,
  [SMALL_STATE(1086)] = 8708,
  [SMALL_STATE(1087)] = 8779,
  [SMALL_STATE(1088)] = 8858,
  [SMALL_STATE(1089)] = 8929,
  [SMALL_STATE(1090)] = 8998,
  [SMALL_STATE(1091)] = 9063,
  [SMALL_STATE(1092)] = 9128,
  [SMALL_STATE(1093)] = 9203,
  [SMALL_STATE(1094)] = 9274,
  [SMALL_STATE(1095)] = 9339,
  [SMALL_STATE(1096)] = 9422,
  [SMALL_STATE(1097)] = 9487,
  [SMALL_STATE(1098)] = 9552,
  [SMALL_STATE(1099)] = 9635,
  [SMALL_STATE(1100)] = 9700,
  [SMALL_STATE(1101)] = 9783,
  [SMALL_STATE(1102)] = 9856,
  [SMALL_STATE(1103)] = 9929,
  [SMALL_STATE(1104)] = 10000,
  [SMALL_STATE(1105)] = 10071,
  [SMALL_STATE(1106)] = 10136,
  [SMALL_STATE(1107)] = 10217,
  [SMALL_STATE(1108)] = 10282,
  [SMALL_STATE(1109)] = 10358,
  [SMALL_STATE(1110)] = 10430,
  [SMALL_STATE(1111)] = 10512,
  [SMALL_STATE(1112)] = 10582,
  [SMALL_STATE(1113)] = 10658,
  [SMALL_STATE(1114)] = 10728,
  [SMALL_STATE(1115)] = 10798,
  [SMALL_STATE(1116)] = 10866,
  [SMALL_STATE(1117)] = 10948,
  [SMALL_STATE(1118)] = 11018,
  [SMALL_STATE(1119)] = 11090,
  [SMALL_STATE(1120)] = 11162,
  [SMALL_STATE(1121)] = 11240,
  [SMALL_STATE(1122)] = 11316,
  [SMALL_STATE(1123)] = 11386,
  [SMALL_STATE(1124)] = 11454,
  [SMALL_STATE(1125)] = 11526,
  [SMALL_STATE(1126)] = 11608,
  [SMALL_STATE(1127)] = 11678,
  [SMALL_STATE(1128)] = 11748,
  [SMALL_STATE(1129)] = 11818,
  [SMALL_STATE(1130)] = 11888,
  [SMALL_STATE(1131)] = 11958,
  [SMALL_STATE(1132)] = 12030,
  [SMALL_STATE(1133)] = 12101,
  [SMALL_STATE(1134)] = 12172,
  [SMALL_STATE(1135)] = 12245,
  [SMALL_STATE(1136)] = 12314,
  [SMALL_STATE(1137)] = 12389,
  [SMALL_STATE(1138)] = 12460,
  [SMALL_STATE(1139)] = 12527,
  [SMALL_STATE(1140)] = 12590,
  [SMALL_STATE(1141)] = 12657,
  [SMALL_STATE(1142)] = 12730,
  [SMALL_STATE(1143)] = 12799,
  [SMALL_STATE(1144)] = 12868,
  [SMALL_STATE(1145)] = 12941,
  [SMALL_STATE(1146)] = 13010,
  [SMALL_STATE(1147)] = 13083,
  [SMALL_STATE(1148)] = 13153,
  [SMALL_STATE(1149)] = 13221,
  [SMALL_STATE(1150)] = 13293,
  [SMALL_STATE(1151)] = 13355,
  [SMALL_STATE(1152)] = 13423,
  [SMALL_STATE(1153)] = 13489,
  [SMALL_STATE(1154)] = 13557,
  [SMALL_STATE(1155)] = 13629,
  [SMALL_STATE(1156)] = 13697,
  [SMALL_STATE(1157)] = 13767,
  [SMALL_STATE(1158)] = 13829,
  [SMALL_STATE(1159)] = 13891,
  [SMALL_STATE(1160)] = 13958,
  [SMALL_STATE(1161)] = 14025,
  [SMALL_STATE(1162)] = 14090,
  [SMALL_STATE(1163)] = 14157,
  [SMALL_STATE(1164)] = 14226,
  [SMALL_STATE(1165)] = 14342,
  [SMALL_STATE(1166)] = 14458,
  [SMALL_STATE(1167)] = 14574,
  [SMALL_STATE(1168)] = 14690,
  [SMALL_STATE(1169)] = 14806,
  [SMALL_STATE(1170)] = 14922,
  [SMALL_STATE(1171)] = 15005,
  [SMALL_STATE(1172)] = 15117,
  [SMALL_STATE(1173)] = 15229,
  [SMALL_STATE(1174)] = 15341,
  [SMALL_STATE(1175)] = 15461,
  [SMALL_STATE(1176)] = 15573,
  [SMALL_STATE(1177)] = 15685,
  [SMALL_STATE(1178)] = 15797,
  [SMALL_STATE(1179)] = 15909,
  [SMALL_STATE(1180)] = 16029,
  [SMALL_STATE(1181)] = 16141,
  [SMALL_STATE(1182)] = 16261,
  [SMALL_STATE(1183)] = 16373,
  [SMALL_STATE(1184)] = 16485,
  [SMALL_STATE(1185)] = 16597,
  [SMALL_STATE(1186)] = 16717,
  [SMALL_STATE(1187)] = 16829,
  [SMALL_STATE(1188)] = 16941,
  [SMALL_STATE(1189)] = 17053,
  [SMALL_STATE(1190)] = 17173,
  [SMALL_STATE(1191)] = 17285,
  [SMALL_STATE(1192)] = 17397,
  [SMALL_STATE(1193)] = 17509,
  [SMALL_STATE(1194)] = 17621,
  [SMALL_STATE(1195)] = 17733,
  [SMALL_STATE(1196)] = 17841,
  [SMALL_STATE(1197)] = 17951,
  [SMALL_STATE(1198)] = 18059,
  [SMALL_STATE(1199)] = 18167,
  [SMALL_STATE(1200)] = 18223,
  [SMALL_STATE(1201)] = 18331,
  [SMALL_STATE(1202)] = 18387,
  [SMALL_STATE(1203)] = 18495,
  [SMALL_STATE(1204)] = 18603,
  [SMALL_STATE(1205)] = 18711,
  [SMALL_STATE(1206)] = 18782,
  [SMALL_STATE(1207)] = 18845,
  [SMALL_STATE(1208)] = 18905,
  [SMALL_STATE(1209)] = 18965,
  [SMALL_STATE(1210)] = 19063,
  [SMALL_STATE(1211)] = 19121,
  [SMALL_STATE(1212)] = 19219,
  [SMALL_STATE(1213)] = 19317,
  [SMALL_STATE(1214)] = 19415,
  [SMALL_STATE(1215)] = 19513,
  [SMALL_STATE(1216)] = 19571,
  [SMALL_STATE(1217)] = 19669,
  [SMALL_STATE(1218)] = 19729,
  [SMALL_STATE(1219)] = 19789,
  [SMALL_STATE(1220)] = 19843,
  [SMALL_STATE(1221)] = 19897,
  [SMALL_STATE(1222)] = 19953,
  [SMALL_STATE(1223)] = 20051,
  [SMALL_STATE(1224)] = 20107,
  [SMALL_STATE(1225)] = 20161,
  [SMALL_STATE(1226)] = 20219,
  [SMALL_STATE(1227)] = 20279,
  [SMALL_STATE(1228)] = 20332,
  [SMALL_STATE(1229)] = 20385,
  [SMALL_STATE(1230)] = 20438,
  [SMALL_STATE(1231)] = 20493,
  [SMALL_STATE(1232)] = 20550,
  [SMALL_STATE(1233)] = 20609,
  [SMALL_STATE(1234)] = 20662,
  [SMALL_STATE(1235)] = 20721,
  [SMALL_STATE(1236)] = 20780,
  [SMALL_STATE(1237)] = 20833,
  [SMALL_STATE(1238)] = 20886,
  [SMALL_STATE(1239)] = 20939,
  [SMALL_STATE(1240)] = 20992,
  [SMALL_STATE(1241)] = 21045,
  [SMALL_STATE(1242)] = 21098,
  [SMALL_STATE(1243)] = 21151,
  [SMALL_STATE(1244)] = 21212,
  [SMALL_STATE(1245)] = 21265,
  [SMALL_STATE(1246)] = 21318,
  [SMALL_STATE(1247)] = 21371,
  [SMALL_STATE(1248)] = 21426,
  [SMALL_STATE(1249)] = 21501,
  [SMALL_STATE(1250)] = 21556,
  [SMALL_STATE(1251)] = 21609,
  [SMALL_STATE(1252)] = 21662,
  [SMALL_STATE(1253)] = 21715,
  [SMALL_STATE(1254)] = 21796,
  [SMALL_STATE(1255)] = 21849,
  [SMALL_STATE(1256)] = 21904,
  [SMALL_STATE(1257)] = 22017,
  [SMALL_STATE(1258)] = 22070,
  [SMALL_STATE(1259)] = 22123,
  [SMALL_STATE(1260)] = 22176,
  [SMALL_STATE(1261)] = 22235,
  [SMALL_STATE(1262)] = 22294,
  [SMALL_STATE(1263)] = 22365,
  [SMALL_STATE(1264)] = 22418,
  [SMALL_STATE(1265)] = 22473,
  [SMALL_STATE(1266)] = 22526,
  [SMALL_STATE(1267)] = 22579,
  [SMALL_STATE(1268)] = 22632,
  [SMALL_STATE(1269)] = 22685,
  [SMALL_STATE(1270)] = 22738,
  [SMALL_STATE(1271)] = 22793,
  [SMALL_STATE(1272)] = 22846,
  [SMALL_STATE(1273)] = 22959,
  [SMALL_STATE(1274)] = 23012,
  [SMALL_STATE(1275)] = 23065,
  [SMALL_STATE(1276)] = 23118,
  [SMALL_STATE(1277)] = 23171,
  [SMALL_STATE(1278)] = 23284,
  [SMALL_STATE(1279)] = 23337,
  [SMALL_STATE(1280)] = 23390,
  [SMALL_STATE(1281)] = 23443,
  [SMALL_STATE(1282)] = 23496,
  [SMALL_STATE(1283)] = 23549,
  [SMALL_STATE(1284)] = 23604,
  [SMALL_STATE(1285)] = 23659,
  [SMALL_STATE(1286)] = 23712,
  [SMALL_STATE(1287)] = 23771,
  [SMALL_STATE(1288)] = 23824,
  [SMALL_STATE(1289)] = 23937,
  [SMALL_STATE(1290)] = 23994,
  [SMALL_STATE(1291)] = 24047,
  [SMALL_STATE(1292)] = 24160,
  [SMALL_STATE(1293)] = 24213,
  [SMALL_STATE(1294)] = 24266,
  [SMALL_STATE(1295)] = 24379,
  [SMALL_STATE(1296)] = 24456,
  [SMALL_STATE(1297)] = 24515,
  [SMALL_STATE(1298)] = 24630,
  [SMALL_STATE(1299)] = 24683,
  [SMALL_STATE(1300)] = 24736,
  [SMALL_STATE(1301)] = 24789,
  [SMALL_STATE(1302)] = 24844,
  [SMALL_STATE(1303)] = 24931,
  [SMALL_STATE(1304)] = 24984,
  [SMALL_STATE(1305)] = 25037,
  [SMALL_STATE(1306)] = 25138,
  [SMALL_STATE(1307)] = 25241,
  [SMALL_STATE(1308)] = 25294,
  [SMALL_STATE(1309)] = 25377,
  [SMALL_STATE(1310)] = 25472,
  [SMALL_STATE(1311)] = 25569,
  [SMALL_STATE(1312)] = 25622,
  [SMALL_STATE(1313)] = 25721,
  [SMALL_STATE(1314)] = 25778,
  [SMALL_STATE(1315)] = 25859,
  [SMALL_STATE(1316)] = 25942,
  [SMALL_STATE(1317)] = 26033,
  [SMALL_STATE(1318)] = 26138,
  [SMALL_STATE(1319)] = 26191,
  [SMALL_STATE(1320)] = 26250,
  [SMALL_STATE(1321)] = 26363,
  [SMALL_STATE(1322)] = 26476,
  [SMALL_STATE(1323)] = 26529,
  [SMALL_STATE(1324)] = 26582,
  [SMALL_STATE(1325)] = 26635,
  [SMALL_STATE(1326)] = 26748,
  [SMALL_STATE(1327)] = 26801,
  [SMALL_STATE(1328)] = 26854,
  [SMALL_STATE(1329)] = 26907,
  [SMALL_STATE(1330)] = 26960,
  [SMALL_STATE(1331)] = 27013,
  [SMALL_STATE(1332)] = 27066,
  [SMALL_STATE(1333)] = 27119,
  [SMALL_STATE(1334)] = 27172,
  [SMALL_STATE(1335)] = 27225,
  [SMALL_STATE(1336)] = 27282,
  [SMALL_STATE(1337)] = 27395,
  [SMALL_STATE(1338)] = 27448,
  [SMALL_STATE(1339)] = 27509,
  [SMALL_STATE(1340)] = 27562,
  [SMALL_STATE(1341)] = 27615,
  [SMALL_STATE(1342)] = 27668,
  [SMALL_STATE(1343)] = 27781,
  [SMALL_STATE(1344)] = 27838,
  [SMALL_STATE(1345)] = 27891,
  [SMALL_STATE(1346)] = 27944,
  [SMALL_STATE(1347)] = 27997,
  [SMALL_STATE(1348)] = 28050,
  [SMALL_STATE(1349)] = 28103,
  [SMALL_STATE(1350)] = 28162,
  [SMALL_STATE(1351)] = 28215,
  [SMALL_STATE(1352)] = 28268,
  [SMALL_STATE(1353)] = 28329,
  [SMALL_STATE(1354)] = 28382,
  [SMALL_STATE(1355)] = 28435,
  [SMALL_STATE(1356)] = 28548,
  [SMALL_STATE(1357)] = 28660,
  [SMALL_STATE(1358)] = 28712,
  [SMALL_STATE(1359)] = 28764,
  [SMALL_STATE(1360)] = 28816,
  [SMALL_STATE(1361)] = 28868,
  [SMALL_STATE(1362)] = 28920,
  [SMALL_STATE(1363)] = 28972,
  [SMALL_STATE(1364)] = 29024,
  [SMALL_STATE(1365)] = 29076,
  [SMALL_STATE(1366)] = 29128,
  [SMALL_STATE(1367)] = 29180,
  [SMALL_STATE(1368)] = 29232,
  [SMALL_STATE(1369)] = 29284,
  [SMALL_STATE(1370)] = 29358,
  [SMALL_STATE(1371)] = 29426,
  [SMALL_STATE(1372)] = 29478,
  [SMALL_STATE(1373)] = 29530,
  [SMALL_STATE(1374)] = 29600,
  [SMALL_STATE(1375)] = 29654,
  [SMALL_STATE(1376)] = 29706,
  [SMALL_STATE(1377)] = 29764,
  [SMALL_STATE(1378)] = 29880,
  [SMALL_STATE(1379)] = 29932,
  [SMALL_STATE(1380)] = 29986,
  [SMALL_STATE(1381)] = 30038,
  [SMALL_STATE(1382)] = 30092,
  [SMALL_STATE(1383)] = 30144,
  [SMALL_STATE(1384)] = 30196,
  [SMALL_STATE(1385)] = 30248,
  [SMALL_STATE(1386)] = 30300,
  [SMALL_STATE(1387)] = 30352,
  [SMALL_STATE(1388)] = 30404,
  [SMALL_STATE(1389)] = 30456,
  [SMALL_STATE(1390)] = 30572,
  [SMALL_STATE(1391)] = 30690,
  [SMALL_STATE(1392)] = 30742,
  [SMALL_STATE(1393)] = 30794,
  [SMALL_STATE(1394)] = 30880,
  [SMALL_STATE(1395)] = 30992,
  [SMALL_STATE(1396)] = 31108,
  [SMALL_STATE(1397)] = 31178,
  [SMALL_STATE(1398)] = 31290,
  [SMALL_STATE(1399)] = 31402,
  [SMALL_STATE(1400)] = 31514,
  [SMALL_STATE(1401)] = 31630,
  [SMALL_STATE(1402)] = 31682,
  [SMALL_STATE(1403)] = 31794,
  [SMALL_STATE(1404)] = 31846,
  [SMALL_STATE(1405)] = 31958,
  [SMALL_STATE(1406)] = 32076,
  [SMALL_STATE(1407)] = 32128,
  [SMALL_STATE(1408)] = 32202,
  [SMALL_STATE(1409)] = 32254,
  [SMALL_STATE(1410)] = 32306,
  [SMALL_STATE(1411)] = 32358,
  [SMALL_STATE(1412)] = 32410,
  [SMALL_STATE(1413)] = 32522,
  [SMALL_STATE(1414)] = 32634,
  [SMALL_STATE(1415)] = 32686,
  [SMALL_STATE(1416)] = 32738,
  [SMALL_STATE(1417)] = 32790,
  [SMALL_STATE(1418)] = 32842,
  [SMALL_STATE(1419)] = 32894,
  [SMALL_STATE(1420)] = 33006,
  [SMALL_STATE(1421)] = 33110,
  [SMALL_STATE(1422)] = 33200,
  [SMALL_STATE(1423)] = 33252,
  [SMALL_STATE(1424)] = 33304,
  [SMALL_STATE(1425)] = 33356,
  [SMALL_STATE(1426)] = 33408,
  [SMALL_STATE(1427)] = 33460,
  [SMALL_STATE(1428)] = 33512,
  [SMALL_STATE(1429)] = 33564,
  [SMALL_STATE(1430)] = 33646,
  [SMALL_STATE(1431)] = 33726,
  [SMALL_STATE(1432)] = 33844,
  [SMALL_STATE(1433)] = 33896,
  [SMALL_STATE(1434)] = 33948,
  [SMALL_STATE(1435)] = 34000,
  [SMALL_STATE(1436)] = 34052,
  [SMALL_STATE(1437)] = 34104,
  [SMALL_STATE(1438)] = 34156,
  [SMALL_STATE(1439)] = 34270,
  [SMALL_STATE(1440)] = 34350,
  [SMALL_STATE(1441)] = 34462,
  [SMALL_STATE(1442)] = 34518,
  [SMALL_STATE(1443)] = 34616,
  [SMALL_STATE(1444)] = 34712,
  [SMALL_STATE(1445)] = 34806,
  [SMALL_STATE(1446)] = 34888,
  [SMALL_STATE(1447)] = 34990,
  [SMALL_STATE(1448)] = 35050,
  [SMALL_STATE(1449)] = 35102,
  [SMALL_STATE(1450)] = 35160,
  [SMALL_STATE(1451)] = 35260,
  [SMALL_STATE(1452)] = 35318,
  [SMALL_STATE(1453)] = 35370,
  [SMALL_STATE(1454)] = 35482,
  [SMALL_STATE(1455)] = 35600,
  [SMALL_STATE(1456)] = 35652,
  [SMALL_STATE(1457)] = 35704,
  [SMALL_STATE(1458)] = 35756,
  [SMALL_STATE(1459)] = 35870,
  [SMALL_STATE(1460)] = 35922,
  [SMALL_STATE(1461)] = 35974,
  [SMALL_STATE(1462)] = 36054,
  [SMALL_STATE(1463)] = 36166,
  [SMALL_STATE(1464)] = 36218,
  [SMALL_STATE(1465)] = 36270,
  [SMALL_STATE(1466)] = 36322,
  [SMALL_STATE(1467)] = 36438,
  [SMALL_STATE(1468)] = 36490,
  [SMALL_STATE(1469)] = 36576,
  [SMALL_STATE(1470)] = 36630,
  [SMALL_STATE(1471)] = 36682,
  [SMALL_STATE(1472)] = 36734,
  [SMALL_STATE(1473)] = 36786,
  [SMALL_STATE(1474)] = 36898,
  [SMALL_STATE(1475)] = 37010,
  [SMALL_STATE(1476)] = 37122,
  [SMALL_STATE(1477)] = 37174,
  [SMALL_STATE(1478)] = 37226,
  [SMALL_STATE(1479)] = 37338,
  [SMALL_STATE(1480)] = 37450,
  [SMALL_STATE(1481)] = 37526,
  [SMALL_STATE(1482)] = 37638,
  [SMALL_STATE(1483)] = 37750,
  [SMALL_STATE(1484)] = 37840,
  [SMALL_STATE(1485)] = 37952,
  [SMALL_STATE(1486)] = 38028,
  [SMALL_STATE(1487)] = 38080,
  [SMALL_STATE(1488)] = 38192,
  [SMALL_STATE(1489)] = 38304,
  [SMALL_STATE(1490)] = 38408,
  [SMALL_STATE(1491)] = 38520,
  [SMALL_STATE(1492)] = 38610,
  [SMALL_STATE(1493)] = 38662,
  [SMALL_STATE(1494)] = 38714,
  [SMALL_STATE(1495)] = 38826,
  [SMALL_STATE(1496)] = 38878,
  [SMALL_STATE(1497)] = 38930,
  [SMALL_STATE(1498)] = 38986,
  [SMALL_STATE(1499)] = 39040,
  [SMALL_STATE(1500)] = 39092,
  [SMALL_STATE(1501)] = 39192,
  [SMALL_STATE(1502)] = 39244,
  [SMALL_STATE(1503)] = 39346,
  [SMALL_STATE(1504)] = 39428,
  [SMALL_STATE(1505)] = 39522,
  [SMALL_STATE(1506)] = 39618,
  [SMALL_STATE(1507)] = 39670,
  [SMALL_STATE(1508)] = 39726,
  [SMALL_STATE(1509)] = 39824,
  [SMALL_STATE(1510)] = 39876,
  [SMALL_STATE(1511)] = 39958,
  [SMALL_STATE(1512)] = 40010,
  [SMALL_STATE(1513)] = 40090,
  [SMALL_STATE(1514)] = 40143,
  [SMALL_STATE(1515)] = 40194,
  [SMALL_STATE(1516)] = 40249,
  [SMALL_STATE(1517)] = 40360,
  [SMALL_STATE(1518)] = 40439,
  [SMALL_STATE(1519)] = 40498,
  [SMALL_STATE(1520)] = 40593,
  [SMALL_STATE(1521)] = 40688,
  [SMALL_STATE(1522)] = 40803,
  [SMALL_STATE(1523)] = 40914,
  [SMALL_STATE(1524)] = 41025,
  [SMALL_STATE(1525)] = 41082,
  [SMALL_STATE(1526)] = 41195,
  [SMALL_STATE(1527)] = 41250,
  [SMALL_STATE(1528)] = 41365,
  [SMALL_STATE(1529)] = 41420,
  [SMALL_STATE(1530)] = 41531,
  [SMALL_STATE(1531)] = 41600,
  [SMALL_STATE(1532)] = 41711,
  [SMALL_STATE(1533)] = 41806,
  [SMALL_STATE(1534)] = 41921,
  [SMALL_STATE(1535)] = 42032,
  [SMALL_STATE(1536)] = 42143,
  [SMALL_STATE(1537)] = 42254,
  [SMALL_STATE(1538)] = 42365,
  [SMALL_STATE(1539)] = 42476,
  [SMALL_STATE(1540)] = 42587,
  [SMALL_STATE(1541)] = 42698,
  [SMALL_STATE(1542)] = 42773,
  [SMALL_STATE(1543)] = 42858,
  [SMALL_STATE(1544)] = 42971,
  [SMALL_STATE(1545)] = 43070,
  [SMALL_STATE(1546)] = 43171,
  [SMALL_STATE(1547)] = 43252,
  [SMALL_STATE(1548)] = 43363,
  [SMALL_STATE(1549)] = 43466,
  [SMALL_STATE(1550)] = 43545,
  [SMALL_STATE(1551)] = 43602,
  [SMALL_STATE(1552)] = 43675,
  [SMALL_STATE(1553)] = 43770,
  [SMALL_STATE(1554)] = 43863,
  [SMALL_STATE(1555)] = 43958,
  [SMALL_STATE(1556)] = 44055,
  [SMALL_STATE(1557)] = 44166,
  [SMALL_STATE(1558)] = 44279,
  [SMALL_STATE(1559)] = 44338,
  [SMALL_STATE(1560)] = 44427,
  [SMALL_STATE(1561)] = 44508,
  [SMALL_STATE(1562)] = 44597,
  [SMALL_STATE(1563)] = 44678,
  [SMALL_STATE(1564)] = 44731,
  [SMALL_STATE(1565)] = 44834,
  [SMALL_STATE(1566)] = 44945,
  [SMALL_STATE(1567)] = 45002,
  [SMALL_STATE(1568)] = 45113,
  [SMALL_STATE(1569)] = 45224,
  [SMALL_STATE(1570)] = 45303,
  [SMALL_STATE(1571)] = 45360,
  [SMALL_STATE(1572)] = 45471,
  [SMALL_STATE(1573)] = 45582,
  [SMALL_STATE(1574)] = 45693,
  [SMALL_STATE(1575)] = 45804,
  [SMALL_STATE(1576)] = 45901,
  [SMALL_STATE(1577)] = 45996,
  [SMALL_STATE(1578)] = 46111,
  [SMALL_STATE(1579)] = 46206,
  [SMALL_STATE(1580)] = 46317,
  [SMALL_STATE(1581)] = 46412,
  [SMALL_STATE(1582)] = 46485,
  [SMALL_STATE(1583)] = 46564,
  [SMALL_STATE(1584)] = 46675,
  [SMALL_STATE(1585)] = 46744,
  [SMALL_STATE(1586)] = 46839,
  [SMALL_STATE(1587)] = 46950,
  [SMALL_STATE(1588)] = 47007,
  [SMALL_STATE(1589)] = 47122,
  [SMALL_STATE(1590)] = 47217,
  [SMALL_STATE(1591)] = 47332,
  [SMALL_STATE(1592)] = 47389,
  [SMALL_STATE(1593)] = 47446,
  [SMALL_STATE(1594)] = 47561,
  [SMALL_STATE(1595)] = 47672,
  [SMALL_STATE(1596)] = 47787,
  [SMALL_STATE(1597)] = 47898,
  [SMALL_STATE(1598)] = 47979,
  [SMALL_STATE(1599)] = 48090,
  [SMALL_STATE(1600)] = 48203,
  [SMALL_STATE(1601)] = 48314,
  [SMALL_STATE(1602)] = 48375,
  [SMALL_STATE(1603)] = 48436,
  [SMALL_STATE(1604)] = 48495,
  [SMALL_STATE(1605)] = 48554,
  [SMALL_STATE(1606)] = 48649,
  [SMALL_STATE(1607)] = 48750,
  [SMALL_STATE(1608)] = 48865,
  [SMALL_STATE(1609)] = 48980,
  [SMALL_STATE(1610)] = 49091,
  [SMALL_STATE(1611)] = 49146,
  [SMALL_STATE(1612)] = 49221,
  [SMALL_STATE(1613)] = 49306,
  [SMALL_STATE(1614)] = 49419,
  [SMALL_STATE(1615)] = 49514,
  [SMALL_STATE(1616)] = 49609,
  [SMALL_STATE(1617)] = 49702,
  [SMALL_STATE(1618)] = 49801,
  [SMALL_STATE(1619)] = 49860,
  [SMALL_STATE(1620)] = 49919,
  [SMALL_STATE(1621)] = 49969,
  [SMALL_STATE(1622)] = 50019,
  [SMALL_STATE(1623)] = 50103,
  [SMALL_STATE(1624)] = 50153,
  [SMALL_STATE(1625)] = 50209,
  [SMALL_STATE(1626)] = 50261,
  [SMALL_STATE(1627)] = 50311,
  [SMALL_STATE(1628)] = 50365,
  [SMALL_STATE(1629)] = 50415,
  [SMALL_STATE(1630)] = 50465,
  [SMALL_STATE(1631)] = 50515,
  [SMALL_STATE(1632)] = 50565,
  [SMALL_STATE(1633)] = 50615,
  [SMALL_STATE(1634)] = 50677,
  [SMALL_STATE(1635)] = 50727,
  [SMALL_STATE(1636)] = 50811,
  [SMALL_STATE(1637)] = 50863,
  [SMALL_STATE(1638)] = 50925,
  [SMALL_STATE(1639)] = 50975,
  [SMALL_STATE(1640)] = 51029,
  [SMALL_STATE(1641)] = 51087,
  [SMALL_STATE(1642)] = 51197,
  [SMALL_STATE(1643)] = 51247,
  [SMALL_STATE(1644)] = 51297,
  [SMALL_STATE(1645)] = 51347,
  [SMALL_STATE(1646)] = 51403,
  [SMALL_STATE(1647)] = 51487,
  [SMALL_STATE(1648)] = 51571,
  [SMALL_STATE(1649)] = 51621,
  [SMALL_STATE(1650)] = 51733,
  [SMALL_STATE(1651)] = 51783,
  [SMALL_STATE(1652)] = 51833,
  [SMALL_STATE(1653)] = 51883,
  [SMALL_STATE(1654)] = 51933,
  [SMALL_STATE(1655)] = 51983,
  [SMALL_STATE(1656)] = 52035,
  [SMALL_STATE(1657)] = 52085,
  [SMALL_STATE(1658)] = 52141,
  [SMALL_STATE(1659)] = 52197,
  [SMALL_STATE(1660)] = 52247,
  [SMALL_STATE(1661)] = 52297,
  [SMALL_STATE(1662)] = 52347,
  [SMALL_STATE(1663)] = 52399,
  [SMALL_STATE(1664)] = 52449,
  [SMALL_STATE(1665)] = 52499,
  [SMALL_STATE(1666)] = 52549,
  [SMALL_STATE(1667)] = 52661,
  [SMALL_STATE(1668)] = 52723,
  [SMALL_STATE(1669)] = 52785,
  [SMALL_STATE(1670)] = 52837,
  [SMALL_STATE(1671)] = 52887,
  [SMALL_STATE(1672)] = 52937,
  [SMALL_STATE(1673)] = 52987,
  [SMALL_STATE(1674)] = 53037,
  [SMALL_STATE(1675)] = 53087,
  [SMALL_STATE(1676)] = 53137,
  [SMALL_STATE(1677)] = 53209,
  [SMALL_STATE(1678)] = 53287,
  [SMALL_STATE(1679)] = 53337,
  [SMALL_STATE(1680)] = 53447,
  [SMALL_STATE(1681)] = 53497,
  [SMALL_STATE(1682)] = 53547,
  [SMALL_STATE(1683)] = 53597,
  [SMALL_STATE(1684)] = 53647,
  [SMALL_STATE(1685)] = 53697,
  [SMALL_STATE(1686)] = 53765,
  [SMALL_STATE(1687)] = 53815,
  [SMALL_STATE(1688)] = 53927,
  [SMALL_STATE(1689)] = 53983,
  [SMALL_STATE(1690)] = 54039,
  [SMALL_STATE(1691)] = 54097,
  [SMALL_STATE(1692)] = 54153,
  [SMALL_STATE(1693)] = 54209,
  [SMALL_STATE(1694)] = 54321,
  [SMALL_STATE(1695)] = 54377,
  [SMALL_STATE(1696)] = 54427,
  [SMALL_STATE(1697)] = 54491,
  [SMALL_STATE(1698)] = 54603,
  [SMALL_STATE(1699)] = 54653,
  [SMALL_STATE(1700)] = 54703,
  [SMALL_STATE(1701)] = 54815,
  [SMALL_STATE(1702)] = 54873,
  [SMALL_STATE(1703)] = 54937,
  [SMALL_STATE(1704)] = 54991,
  [SMALL_STATE(1705)] = 55049,
  [SMALL_STATE(1706)] = 55099,
  [SMALL_STATE(1707)] = 55149,
  [SMALL_STATE(1708)] = 55199,
  [SMALL_STATE(1709)] = 55249,
  [SMALL_STATE(1710)] = 55299,
  [SMALL_STATE(1711)] = 55349,
  [SMALL_STATE(1712)] = 55399,
  [SMALL_STATE(1713)] = 55449,
  [SMALL_STATE(1714)] = 55499,
  [SMALL_STATE(1715)] = 55549,
  [SMALL_STATE(1716)] = 55599,
  [SMALL_STATE(1717)] = 55709,
  [SMALL_STATE(1718)] = 55759,
  [SMALL_STATE(1719)] = 55809,
  [SMALL_STATE(1720)] = 55919,
  [SMALL_STATE(1721)] = 56029,
  [SMALL_STATE(1722)] = 56079,
  [SMALL_STATE(1723)] = 56135,
  [SMALL_STATE(1724)] = 56247,
  [SMALL_STATE(1725)] = 56297,
  [SMALL_STATE(1726)] = 56349,
  [SMALL_STATE(1727)] = 56399,
  [SMALL_STATE(1728)] = 56451,
  [SMALL_STATE(1729)] = 56501,
  [SMALL_STATE(1730)] = 56551,
  [SMALL_STATE(1731)] = 56601,
  [SMALL_STATE(1732)] = 56651,
  [SMALL_STATE(1733)] = 56707,
  [SMALL_STATE(1734)] = 56757,
  [SMALL_STATE(1735)] = 56807,
  [SMALL_STATE(1736)] = 56857,
  [SMALL_STATE(1737)] = 56913,
  [SMALL_STATE(1738)] = 56963,
  [SMALL_STATE(1739)] = 57015,
  [SMALL_STATE(1740)] = 57127,
  [SMALL_STATE(1741)] = 57177,
  [SMALL_STATE(1742)] = 57227,
  [SMALL_STATE(1743)] = 57277,
  [SMALL_STATE(1744)] = 57389,
  [SMALL_STATE(1745)] = 57439,
  [SMALL_STATE(1746)] = 57489,
  [SMALL_STATE(1747)] = 57539,
  [SMALL_STATE(1748)] = 57651,
  [SMALL_STATE(1749)] = 57701,
  [SMALL_STATE(1750)] = 57813,
  [SMALL_STATE(1751)] = 57867,
  [SMALL_STATE(1752)] = 57977,
  [SMALL_STATE(1753)] = 58031,
  [SMALL_STATE(1754)] = 58143,
  [SMALL_STATE(1755)] = 58255,
  [SMALL_STATE(1756)] = 58311,
  [SMALL_STATE(1757)] = 58365,
  [SMALL_STATE(1758)] = 58475,
  [SMALL_STATE(1759)] = 58585,
  [SMALL_STATE(1760)] = 58695,
  [SMALL_STATE(1761)] = 58757,
  [SMALL_STATE(1762)] = 58867,
  [SMALL_STATE(1763)] = 58919,
  [SMALL_STATE(1764)] = 58975,
  [SMALL_STATE(1765)] = 59085,
  [SMALL_STATE(1766)] = 59197,
  [SMALL_STATE(1767)] = 59299,
  [SMALL_STATE(1768)] = 59387,
  [SMALL_STATE(1769)] = 59467,
  [SMALL_STATE(1770)] = 59545,
  [SMALL_STATE(1771)] = 59641,
  [SMALL_STATE(1772)] = 59735,
  [SMALL_STATE(1773)] = 59827,
  [SMALL_STATE(1774)] = 59937,
  [SMALL_STATE(1775)] = 60017,
  [SMALL_STATE(1776)] = 60117,
  [SMALL_STATE(1777)] = 60169,
  [SMALL_STATE(1778)] = 60267,
  [SMALL_STATE(1779)] = 60329,
  [SMALL_STATE(1780)] = 60413,
  [SMALL_STATE(1781)] = 60475,
  [SMALL_STATE(1782)] = 60587,
  [SMALL_STATE(1783)] = 60671,
  [SMALL_STATE(1784)] = 60745,
  [SMALL_STATE(1785)] = 60857,
  [SMALL_STATE(1786)] = 60967,
  [SMALL_STATE(1787)] = 61079,
  [SMALL_STATE(1788)] = 61189,
  [SMALL_STATE(1789)] = 61301,
  [SMALL_STATE(1790)] = 61413,
  [SMALL_STATE(1791)] = 61469,
  [SMALL_STATE(1792)] = 61525,
  [SMALL_STATE(1793)] = 61581,
  [SMALL_STATE(1794)] = 61637,
  [SMALL_STATE(1795)] = 61747,
  [SMALL_STATE(1796)] = 61809,
  [SMALL_STATE(1797)] = 61861,
  [SMALL_STATE(1798)] = 61913,
  [SMALL_STATE(1799)] = 61975,
  [SMALL_STATE(1800)] = 62085,
  [SMALL_STATE(1801)] = 62195,
  [SMALL_STATE(1802)] = 62305,
  [SMALL_STATE(1803)] = 62354,
  [SMALL_STATE(1804)] = 62451,
  [SMALL_STATE(1805)] = 62526,
  [SMALL_STATE(1806)] = 62599,
  [SMALL_STATE(1807)] = 62660,
  [SMALL_STATE(1808)] = 62769,
  [SMALL_STATE(1809)] = 62824,
  [SMALL_STATE(1810)] = 62875,
  [SMALL_STATE(1811)] = 62924,
  [SMALL_STATE(1812)] = 63033,
  [SMALL_STATE(1813)] = 63084,
  [SMALL_STATE(1814)] = 63137,
  [SMALL_STATE(1815)] = 63190,
  [SMALL_STATE(1816)] = 63243,
  [SMALL_STATE(1817)] = 63292,
  [SMALL_STATE(1818)] = 63343,
  [SMALL_STATE(1819)] = 63396,
  [SMALL_STATE(1820)] = 63471,
  [SMALL_STATE(1821)] = 63524,
  [SMALL_STATE(1822)] = 63633,
  [SMALL_STATE(1823)] = 63710,
  [SMALL_STATE(1824)] = 63819,
  [SMALL_STATE(1825)] = 63868,
  [SMALL_STATE(1826)] = 63921,
  [SMALL_STATE(1827)] = 63974,
  [SMALL_STATE(1828)] = 64023,
  [SMALL_STATE(1829)] = 64132,
  [SMALL_STATE(1830)] = 64183,
  [SMALL_STATE(1831)] = 64236,
  [SMALL_STATE(1832)] = 64287,
  [SMALL_STATE(1833)] = 64338,
  [SMALL_STATE(1834)] = 64387,
  [SMALL_STATE(1835)] = 64496,
  [SMALL_STATE(1836)] = 64549,
  [SMALL_STATE(1837)] = 64602,
  [SMALL_STATE(1838)] = 64659,
  [SMALL_STATE(1839)] = 64708,
  [SMALL_STATE(1840)] = 64761,
  [SMALL_STATE(1841)] = 64810,
  [SMALL_STATE(1842)] = 64861,
  [SMALL_STATE(1843)] = 64910,
  [SMALL_STATE(1844)] = 65021,
  [SMALL_STATE(1845)] = 65070,
  [SMALL_STATE(1846)] = 65119,
  [SMALL_STATE(1847)] = 65170,
  [SMALL_STATE(1848)] = 65219,
  [SMALL_STATE(1849)] = 65328,
  [SMALL_STATE(1850)] = 65381,
  [SMALL_STATE(1851)] = 65430,
  [SMALL_STATE(1852)] = 65479,
  [SMALL_STATE(1853)] = 65528,
  [SMALL_STATE(1854)] = 65577,
  [SMALL_STATE(1855)] = 65626,
  [SMALL_STATE(1856)] = 65683,
  [SMALL_STATE(1857)] = 65736,
  [SMALL_STATE(1858)] = 65789,
  [SMALL_STATE(1859)] = 65838,
  [SMALL_STATE(1860)] = 65891,
  [SMALL_STATE(1861)] = 65940,
  [SMALL_STATE(1862)] = 65995,
  [SMALL_STATE(1863)] = 66072,
  [SMALL_STATE(1864)] = 66121,
  [SMALL_STATE(1865)] = 66170,
  [SMALL_STATE(1866)] = 66245,
  [SMALL_STATE(1867)] = 66298,
  [SMALL_STATE(1868)] = 66351,
  [SMALL_STATE(1869)] = 66404,
  [SMALL_STATE(1870)] = 66457,
  [SMALL_STATE(1871)] = 66506,
  [SMALL_STATE(1872)] = 66555,
  [SMALL_STATE(1873)] = 66614,
  [SMALL_STATE(1874)] = 66667,
  [SMALL_STATE(1875)] = 66716,
  [SMALL_STATE(1876)] = 66767,
  [SMALL_STATE(1877)] = 66818,
  [SMALL_STATE(1878)] = 66927,
  [SMALL_STATE(1879)] = 66976,
  [SMALL_STATE(1880)] = 67025,
  [SMALL_STATE(1881)] = 67074,
  [SMALL_STATE(1882)] = 67127,
  [SMALL_STATE(1883)] = 67176,
  [SMALL_STATE(1884)] = 67225,
  [SMALL_STATE(1885)] = 67334,
  [SMALL_STATE(1886)] = 67383,
  [SMALL_STATE(1887)] = 67436,
  [SMALL_STATE(1888)] = 67487,
  [SMALL_STATE(1889)] = 67540,
  [SMALL_STATE(1890)] = 67649,
  [SMALL_STATE(1891)] = 67698,
  [SMALL_STATE(1892)] = 67747,
  [SMALL_STATE(1893)] = 67796,
  [SMALL_STATE(1894)] = 67845,
  [SMALL_STATE(1895)] = 67922,
  [SMALL_STATE(1896)] = 67979,
  [SMALL_STATE(1897)] = 68056,
  [SMALL_STATE(1898)] = 68131,
  [SMALL_STATE(1899)] = 68184,
  [SMALL_STATE(1900)] = 68293,
  [SMALL_STATE(1901)] = 68402,
  [SMALL_STATE(1902)] = 68511,
  [SMALL_STATE(1903)] = 68562,
  [SMALL_STATE(1904)] = 68611,
  [SMALL_STATE(1905)] = 68660,
  [SMALL_STATE(1906)] = 68709,
  [SMALL_STATE(1907)] = 68786,
  [SMALL_STATE(1908)] = 68843,
  [SMALL_STATE(1909)] = 68896,
  [SMALL_STATE(1910)] = 69005,
  [SMALL_STATE(1911)] = 69080,
  [SMALL_STATE(1912)] = 69129,
  [SMALL_STATE(1913)] = 69188,
  [SMALL_STATE(1914)] = 69237,
  [SMALL_STATE(1915)] = 69292,
  [SMALL_STATE(1916)] = 69369,
  [SMALL_STATE(1917)] = 69478,
  [SMALL_STATE(1918)] = 69527,
  [SMALL_STATE(1919)] = 69576,
  [SMALL_STATE(1920)] = 69659,
  [SMALL_STATE(1921)] = 69708,
  [SMALL_STATE(1922)] = 69757,
  [SMALL_STATE(1923)] = 69806,
  [SMALL_STATE(1924)] = 69855,
  [SMALL_STATE(1925)] = 69904,
  [SMALL_STATE(1926)] = 69959,
  [SMALL_STATE(1927)] = 70008,
  [SMALL_STATE(1928)] = 70059,
  [SMALL_STATE(1929)] = 70108,
  [SMALL_STATE(1930)] = 70157,
  [SMALL_STATE(1931)] = 70206,
  [SMALL_STATE(1932)] = 70273,
  [SMALL_STATE(1933)] = 70324,
  [SMALL_STATE(1934)] = 70433,
  [SMALL_STATE(1935)] = 70510,
  [SMALL_STATE(1936)] = 70581,
  [SMALL_STATE(1937)] = 70690,
  [SMALL_STATE(1938)] = 70739,
  [SMALL_STATE(1939)] = 70788,
  [SMALL_STATE(1940)] = 70837,
  [SMALL_STATE(1941)] = 70946,
  [SMALL_STATE(1942)] = 71055,
  [SMALL_STATE(1943)] = 71154,
  [SMALL_STATE(1944)] = 71207,
  [SMALL_STATE(1945)] = 71260,
  [SMALL_STATE(1946)] = 71319,
  [SMALL_STATE(1947)] = 71378,
  [SMALL_STATE(1948)] = 71431,
  [SMALL_STATE(1949)] = 71540,
  [SMALL_STATE(1950)] = 71589,
  [SMALL_STATE(1951)] = 71638,
  [SMALL_STATE(1952)] = 71747,
  [SMALL_STATE(1953)] = 71796,
  [SMALL_STATE(1954)] = 71849,
  [SMALL_STATE(1955)] = 71906,
  [SMALL_STATE(1956)] = 71955,
  [SMALL_STATE(1957)] = 72064,
  [SMALL_STATE(1958)] = 72173,
  [SMALL_STATE(1959)] = 72274,
  [SMALL_STATE(1960)] = 72331,
  [SMALL_STATE(1961)] = 72380,
  [SMALL_STATE(1962)] = 72429,
  [SMALL_STATE(1963)] = 72516,
  [SMALL_STATE(1964)] = 72595,
  [SMALL_STATE(1965)] = 72644,
  [SMALL_STATE(1966)] = 72699,
  [SMALL_STATE(1967)] = 72754,
  [SMALL_STATE(1968)] = 72845,
  [SMALL_STATE(1969)] = 72894,
  [SMALL_STATE(1970)] = 72943,
  [SMALL_STATE(1971)] = 73036,
  [SMALL_STATE(1972)] = 73085,
  [SMALL_STATE(1973)] = 73180,
  [SMALL_STATE(1974)] = 73237,
  [SMALL_STATE(1975)] = 73290,
  [SMALL_STATE(1976)] = 73369,
  [SMALL_STATE(1977)] = 73426,
  [SMALL_STATE(1978)] = 73475,
  [SMALL_STATE(1979)] = 73552,
  [SMALL_STATE(1980)] = 73646,
  [SMALL_STATE(1981)] = 73700,
  [SMALL_STATE(1982)] = 73806,
  [SMALL_STATE(1983)] = 73912,
  [SMALL_STATE(1984)] = 73982,
  [SMALL_STATE(1985)] = 74088,
  [SMALL_STATE(1986)] = 74194,
  [SMALL_STATE(1987)] = 74300,
  [SMALL_STATE(1988)] = 74354,
  [SMALL_STATE(1989)] = 74460,
  [SMALL_STATE(1990)] = 74516,
  [SMALL_STATE(1991)] = 74572,
  [SMALL_STATE(1992)] = 74642,
  [SMALL_STATE(1993)] = 74696,
  [SMALL_STATE(1994)] = 74766,
  [SMALL_STATE(1995)] = 74842,
  [SMALL_STATE(1996)] = 74948,
  [SMALL_STATE(1997)] = 75002,
  [SMALL_STATE(1998)] = 75058,
  [SMALL_STATE(1999)] = 75164,
  [SMALL_STATE(2000)] = 75234,
  [SMALL_STATE(2001)] = 75330,
  [SMALL_STATE(2002)] = 75380,
  [SMALL_STATE(2003)] = 75486,
  [SMALL_STATE(2004)] = 75592,
  [SMALL_STATE(2005)] = 75664,
  [SMALL_STATE(2006)] = 75746,
  [SMALL_STATE(2007)] = 75844,
  [SMALL_STATE(2008)] = 75922,
  [SMALL_STATE(2009)] = 76012,
  [SMALL_STATE(2010)] = 76068,
  [SMALL_STATE(2011)] = 76160,
  [SMALL_STATE(2012)] = 76234,
  [SMALL_STATE(2013)] = 76310,
  [SMALL_STATE(2014)] = 76386,
  [SMALL_STATE(2015)] = 76436,
  [SMALL_STATE(2016)] = 76514,
  [SMALL_STATE(2017)] = 76600,
  [SMALL_STATE(2018)] = 76700,
  [SMALL_STATE(2019)] = 76806,
  [SMALL_STATE(2020)] = 76912,
  [SMALL_STATE(2021)] = 76982,
  [SMALL_STATE(2022)] = 77052,
  [SMALL_STATE(2023)] = 77108,
  [SMALL_STATE(2024)] = 77214,
  [SMALL_STATE(2025)] = 77266,
  [SMALL_STATE(2026)] = 77318,
  [SMALL_STATE(2027)] = 77384,
  [SMALL_STATE(2028)] = 77434,
  [SMALL_STATE(2029)] = 77540,
  [SMALL_STATE(2030)] = 77595,
  [SMALL_STATE(2031)] = 77676,
  [SMALL_STATE(2032)] = 77757,
  [SMALL_STATE(2033)] = 77810,
  [SMALL_STATE(2034)] = 77879,
  [SMALL_STATE(2035)] = 77928,
  [SMALL_STATE(2036)] = 77977,
  [SMALL_STATE(2037)] = 78048,
  [SMALL_STATE(2038)] = 78129,
  [SMALL_STATE(2039)] = 78196,
  [SMALL_STATE(2040)] = 78265,
  [SMALL_STATE(2041)] = 78318,
  [SMALL_STATE(2042)] = 78367,
  [SMALL_STATE(2043)] = 78434,
  [SMALL_STATE(2044)] = 78515,
  [SMALL_STATE(2045)] = 78564,
  [SMALL_STATE(2046)] = 78613,
  [SMALL_STATE(2047)] = 78682,
  [SMALL_STATE(2048)] = 78731,
  [SMALL_STATE(2049)] = 78802,
  [SMALL_STATE(2050)] = 78855,
  [SMALL_STATE(2051)] = 78904,
  [SMALL_STATE(2052)] = 78971,
  [SMALL_STATE(2053)] = 79024,
  [SMALL_STATE(2054)] = 79077,
  [SMALL_STATE(2055)] = 79128,
  [SMALL_STATE(2056)] = 79199,
  [SMALL_STATE(2057)] = 79280,
  [SMALL_STATE(2058)] = 79351,
  [SMALL_STATE(2059)] = 79404,
  [SMALL_STATE(2060)] = 79453,
  [SMALL_STATE(2061)] = 79506,
  [SMALL_STATE(2062)] = 79555,
  [SMALL_STATE(2063)] = 79636,
  [SMALL_STATE(2064)] = 79685,
  [SMALL_STATE(2065)] = 79738,
  [SMALL_STATE(2066)] = 79787,
  [SMALL_STATE(2067)] = 79868,
  [SMALL_STATE(2068)] = 79930,
  [SMALL_STATE(2069)] = 79994,
  [SMALL_STATE(2070)] = 80068,
  [SMALL_STATE(2071)] = 80142,
  [SMALL_STATE(2072)] = 80202,
  [SMALL_STATE(2073)] = 80264,
  [SMALL_STATE(2074)] = 80326,
  [SMALL_STATE(2075)] = 80386,
  [SMALL_STATE(2076)] = 80446,
  [SMALL_STATE(2077)] = 80494,
  [SMALL_STATE(2078)] = 80554,
  [SMALL_STATE(2079)] = 80614,
  [SMALL_STATE(2080)] = 80666,
  [SMALL_STATE(2081)] = 80738,
  [SMALL_STATE(2082)] = 80798,
  [SMALL_STATE(2083)] = 80860,
  [SMALL_STATE(2084)] = 80934,
  [SMALL_STATE(2085)] = 80998,
  [SMALL_STATE(2086)] = 81060,
  [SMALL_STATE(2087)] = 81120,
  [SMALL_STATE(2088)] = 81180,
  [SMALL_STATE(2089)] = 81244,
  [SMALL_STATE(2090)] = 81292,
  [SMALL_STATE(2091)] = 81356,
  [SMALL_STATE(2092)] = 81430,
  [SMALL_STATE(2093)] = 81502,
  [SMALL_STATE(2094)] = 81562,
  [SMALL_STATE(2095)] = 81626,
  [SMALL_STATE(2096)] = 81688,
  [SMALL_STATE(2097)] = 81760,
  [SMALL_STATE(2098)] = 81812,
  [SMALL_STATE(2099)] = 81886,
  [SMALL_STATE(2100)] = 81958,
  [SMALL_STATE(2101)] = 82030,
  [SMALL_STATE(2102)] = 82082,
  [SMALL_STATE(2103)] = 82144,
  [SMALL_STATE(2104)] = 82218,
  [SMALL_STATE(2105)] = 82280,
  [SMALL_STATE(2106)] = 82344,
  [SMALL_STATE(2107)] = 82408,
  [SMALL_STATE(2108)] = 82468,
  [SMALL_STATE(2109)] = 82520,
  [SMALL_STATE(2110)] = 82592,
  [SMALL_STATE(2111)] = 82642,
  [SMALL_STATE(2112)] = 82704,
  [SMALL_STATE(2113)] = 82778,
  [SMALL_STATE(2114)] = 82850,
  [SMALL_STATE(2115)] = 82914,
  [SMALL_STATE(2116)] = 82978,
  [SMALL_STATE(2117)] = 83040,
  [SMALL_STATE(2118)] = 83102,
  [SMALL_STATE(2119)] = 83164,
  [SMALL_STATE(2120)] = 83226,
  [SMALL_STATE(2121)] = 83288,
  [SMALL_STATE(2122)] = 83350,
  [SMALL_STATE(2123)] = 83414,
  [SMALL_STATE(2124)] = 83478,
  [SMALL_STATE(2125)] = 83545,
  [SMALL_STATE(2126)] = 83602,
  [SMALL_STATE(2127)] = 83659,
  [SMALL_STATE(2128)] = 83726,
  [SMALL_STATE(2129)] = 83783,
  [SMALL_STATE(2130)] = 83840,
  [SMALL_STATE(2131)] = 83897,
  [SMALL_STATE(2132)] = 83954,
  [SMALL_STATE(2133)] = 84011,
  [SMALL_STATE(2134)] = 84068,
  [SMALL_STATE(2135)] = 84125,
  [SMALL_STATE(2136)] = 84192,
  [SMALL_STATE(2137)] = 84249,
  [SMALL_STATE(2138)] = 84316,
  [SMALL_STATE(2139)] = 84373,
  [SMALL_STATE(2140)] = 84430,
  [SMALL_STATE(2141)] = 84487,
  [SMALL_STATE(2142)] = 84544,
  [SMALL_STATE(2143)] = 84611,
  [SMALL_STATE(2144)] = 84668,
  [SMALL_STATE(2145)] = 84745,
  [SMALL_STATE(2146)] = 84818,
  [SMALL_STATE(2147)] = 84875,
  [SMALL_STATE(2148)] = 84924,
  [SMALL_STATE(2149)] = 84991,
  [SMALL_STATE(2150)] = 85058,
  [SMALL_STATE(2151)] = 85115,
  [SMALL_STATE(2152)] = 85172,
  [SMALL_STATE(2153)] = 85236,
  [SMALL_STATE(2154)] = 85292,
  [SMALL_STATE(2155)] = 85352,
  [SMALL_STATE(2156)] = 85418,
  [SMALL_STATE(2157)] = 85478,
  [SMALL_STATE(2158)] = 85530,
  [SMALL_STATE(2159)] = 85582,
  [SMALL_STATE(2160)] = 85638,
  [SMALL_STATE(2161)] = 85708,
  [SMALL_STATE(2162)] = 85765,
  [SMALL_STATE(2163)] = 85826,
  [SMALL_STATE(2164)] = 85879,
  [SMALL_STATE(2165)] = 85936,
  [SMALL_STATE(2166)] = 85993,
  [SMALL_STATE(2167)] = 86050,
  [SMALL_STATE(2168)] = 86107,
  [SMALL_STATE(2169)] = 86164,
  [SMALL_STATE(2170)] = 86221,
  [SMALL_STATE(2171)] = 86278,
  [SMALL_STATE(2172)] = 86335,
  [SMALL_STATE(2173)] = 86392,
  [SMALL_STATE(2174)] = 86449,
  [SMALL_STATE(2175)] = 86506,
  [SMALL_STATE(2176)] = 86563,
  [SMALL_STATE(2177)] = 86620,
  [SMALL_STATE(2178)] = 86683,
  [SMALL_STATE(2179)] = 86736,
  [SMALL_STATE(2180)] = 86795,
  [SMALL_STATE(2181)] = 86851,
  [SMALL_STATE(2182)] = 86930,
  [SMALL_STATE(2183)] = 86979,
  [SMALL_STATE(2184)] = 87058,
  [SMALL_STATE(2185)] = 87107,
  [SMALL_STATE(2186)] = 87186,
  [SMALL_STATE(2187)] = 87265,
  [SMALL_STATE(2188)] = 87330,
  [SMALL_STATE(2189)] = 87409,
  [SMALL_STATE(2190)] = 87456,
  [SMALL_STATE(2191)] = 87496,
  [SMALL_STATE(2192)] = 87536,
  [SMALL_STATE(2193)] = 87590,
  [SMALL_STATE(2194)] = 87630,
  [SMALL_STATE(2195)] = 87670,
  [SMALL_STATE(2196)] = 87710,
  [SMALL_STATE(2197)] = 87750,
  [SMALL_STATE(2198)] = 87790,
  [SMALL_STATE(2199)] = 87830,
  [SMALL_STATE(2200)] = 87876,
  [SMALL_STATE(2201)] = 87922,
  [SMALL_STATE(2202)] = 87962,
  [SMALL_STATE(2203)] = 88020,
  [SMALL_STATE(2204)] = 88076,
  [SMALL_STATE(2205)] = 88118,
  [SMALL_STATE(2206)] = 88176,
  [SMALL_STATE(2207)] = 88218,
  [SMALL_STATE(2208)] = 88258,
  [SMALL_STATE(2209)] = 88298,
  [SMALL_STATE(2210)] = 88338,
  [SMALL_STATE(2211)] = 88394,
  [SMALL_STATE(2212)] = 88452,
  [SMALL_STATE(2213)] = 88492,
  [SMALL_STATE(2214)] = 88532,
  [SMALL_STATE(2215)] = 88572,
  [SMALL_STATE(2216)] = 88612,
  [SMALL_STATE(2217)] = 88652,
  [SMALL_STATE(2218)] = 88708,
  [SMALL_STATE(2219)] = 88748,
  [SMALL_STATE(2220)] = 88788,
  [SMALL_STATE(2221)] = 88844,
  [SMALL_STATE(2222)] = 88884,
  [SMALL_STATE(2223)] = 88924,
  [SMALL_STATE(2224)] = 88964,
  [SMALL_STATE(2225)] = 89004,
  [SMALL_STATE(2226)] = 89044,
  [SMALL_STATE(2227)] = 89086,
  [SMALL_STATE(2228)] = 89126,
  [SMALL_STATE(2229)] = 89177,
  [SMALL_STATE(2230)] = 89228,
  [SMALL_STATE(2231)] = 89279,
  [SMALL_STATE(2232)] = 89330,
  [SMALL_STATE(2233)] = 89381,
  [SMALL_STATE(2234)] = 89432,
  [SMALL_STATE(2235)] = 89483,
  [SMALL_STATE(2236)] = 89534,
  [SMALL_STATE(2237)] = 89585,
  [SMALL_STATE(2238)] = 89636,
  [SMALL_STATE(2239)] = 89687,
  [SMALL_STATE(2240)] = 89728,
  [SMALL_STATE(2241)] = 89779,
  [SMALL_STATE(2242)] = 89830,
  [SMALL_STATE(2243)] = 89881,
  [SMALL_STATE(2244)] = 89932,
  [SMALL_STATE(2245)] = 89983,
  [SMALL_STATE(2246)] = 90034,
  [SMALL_STATE(2247)] = 90085,
  [SMALL_STATE(2248)] = 90126,
  [SMALL_STATE(2249)] = 90177,
  [SMALL_STATE(2250)] = 90228,
  [SMALL_STATE(2251)] = 90291,
  [SMALL_STATE(2252)] = 90341,
  [SMALL_STATE(2253)] = 90379,
  [SMALL_STATE(2254)] = 90439,
  [SMALL_STATE(2255)] = 90489,
  [SMALL_STATE(2256)] = 90527,
  [SMALL_STATE(2257)] = 90583,
  [SMALL_STATE(2258)] = 90643,
  [SMALL_STATE(2259)] = 90693,
  [SMALL_STATE(2260)] = 90731,
  [SMALL_STATE(2261)] = 90769,
  [SMALL_STATE(2262)] = 90807,
  [SMALL_STATE(2263)] = 90857,
  [SMALL_STATE(2264)] = 90895,
  [SMALL_STATE(2265)] = 90933,
  [SMALL_STATE(2266)] = 90971,
  [SMALL_STATE(2267)] = 91031,
  [SMALL_STATE(2268)] = 91081,
  [SMALL_STATE(2269)] = 91131,
  [SMALL_STATE(2270)] = 91181,
  [SMALL_STATE(2271)] = 91231,
  [SMALL_STATE(2272)] = 91269,
  [SMALL_STATE(2273)] = 91319,
  [SMALL_STATE(2274)] = 91369,
  [SMALL_STATE(2275)] = 91422,
  [SMALL_STATE(2276)] = 91475,
  [SMALL_STATE(2277)] = 91528,
  [SMALL_STATE(2278)] = 91581,
  [SMALL_STATE(2279)] = 91634,
  [SMALL_STATE(2280)] = 91687,
  [SMALL_STATE(2281)] = 91740,
  [SMALL_STATE(2282)] = 91781,
  [SMALL_STATE(2283)] = 91834,
  [SMALL_STATE(2284)] = 91885,
  [SMALL_STATE(2285)] = 91938,
  [SMALL_STATE(2286)] = 91991,
  [SMALL_STATE(2287)] = 92044,
  [SMALL_STATE(2288)] = 92091,
  [SMALL_STATE(2289)] = 92144,
  [SMALL_STATE(2290)] = 92195,
  [SMALL_STATE(2291)] = 92239,
  [SMALL_STATE(2292)] = 92283,
  [SMALL_STATE(2293)] = 92327,
  [SMALL_STATE(2294)] = 92371,
  [SMALL_STATE(2295)] = 92415,
  [SMALL_STATE(2296)] = 92459,
  [SMALL_STATE(2297)] = 92503,
  [SMALL_STATE(2298)] = 92549,
  [SMALL_STATE(2299)] = 92593,
  [SMALL_STATE(2300)] = 92637,
  [SMALL_STATE(2301)] = 92681,
  [SMALL_STATE(2302)] = 92725,
  [SMALL_STATE(2303)] = 92771,
  [SMALL_STATE(2304)] = 92815,
  [SMALL_STATE(2305)] = 92859,
  [SMALL_STATE(2306)] = 92905,
  [SMALL_STATE(2307)] = 92949,
  [SMALL_STATE(2308)] = 92993,
  [SMALL_STATE(2309)] = 93037,
  [SMALL_STATE(2310)] = 93081,
  [SMALL_STATE(2311)] = 93125,
  [SMALL_STATE(2312)] = 93169,
  [SMALL_STATE(2313)] = 93213,
  [SMALL_STATE(2314)] = 93257,
  [SMALL_STATE(2315)] = 93301,
  [SMALL_STATE(2316)] = 93345,
  [SMALL_STATE(2317)] = 93389,
  [SMALL_STATE(2318)] = 93433,
  [SMALL_STATE(2319)] = 93477,
  [SMALL_STATE(2320)] = 93521,
  [SMALL_STATE(2321)] = 93565,
  [SMALL_STATE(2322)] = 93609,
  [SMALL_STATE(2323)] = 93640,
  [SMALL_STATE(2324)] = 93666,
  [SMALL_STATE(2325)] = 93692,
  [SMALL_STATE(2326)] = 93718,
  [SMALL_STATE(2327)] = 93744,
  [SMALL_STATE(2328)] = 93770,
  [SMALL_STATE(2329)] = 93796,
  [SMALL_STATE(2330)] = 93822,
  [SMALL_STATE(2331)] = 93848,
  [SMALL_STATE(2332)] = 93882,
  [SMALL_STATE(2333)] = 93908,
  [SMALL_STATE(2334)] = 93934,
  [SMALL_STATE(2335)] = 93960,
  [SMALL_STATE(2336)] = 93986,
  [SMALL_STATE(2337)] = 94020,
  [SMALL_STATE(2338)] = 94054,
  [SMALL_STATE(2339)] = 94080,
  [SMALL_STATE(2340)] = 94112,
  [SMALL_STATE(2341)] = 94138,
  [SMALL_STATE(2342)] = 94164,
  [SMALL_STATE(2343)] = 94190,
  [SMALL_STATE(2344)] = 94216,
  [SMALL_STATE(2345)] = 94242,
  [SMALL_STATE(2346)] = 94268,
  [SMALL_STATE(2347)] = 94324,
  [SMALL_STATE(2348)] = 94358,
  [SMALL_STATE(2349)] = 94384,
  [SMALL_STATE(2350)] = 94410,
  [SMALL_STATE(2351)] = 94436,
  [SMALL_STATE(2352)] = 94462,
  [SMALL_STATE(2353)] = 94488,
  [SMALL_STATE(2354)] = 94514,
  [SMALL_STATE(2355)] = 94540,
  [SMALL_STATE(2356)] = 94566,
  [SMALL_STATE(2357)] = 94592,
  [SMALL_STATE(2358)] = 94618,
  [SMALL_STATE(2359)] = 94644,
  [SMALL_STATE(2360)] = 94670,
  [SMALL_STATE(2361)] = 94696,
  [SMALL_STATE(2362)] = 94722,
  [SMALL_STATE(2363)] = 94748,
  [SMALL_STATE(2364)] = 94774,
  [SMALL_STATE(2365)] = 94800,
  [SMALL_STATE(2366)] = 94826,
  [SMALL_STATE(2367)] = 94882,
  [SMALL_STATE(2368)] = 94907,
  [SMALL_STATE(2369)] = 94936,
  [SMALL_STATE(2370)] = 94963,
  [SMALL_STATE(2371)] = 94988,
  [SMALL_STATE(2372)] = 95017,
  [SMALL_STATE(2373)] = 95042,
  [SMALL_STATE(2374)] = 95066,
  [SMALL_STATE(2375)] = 95090,
  [SMALL_STATE(2376)] = 95114,
  [SMALL_STATE(2377)] = 95137,
  [SMALL_STATE(2378)] = 95158,
  [SMALL_STATE(2379)] = 95181,
  [SMALL_STATE(2380)] = 95202,
  [SMALL_STATE(2381)] = 95225,
  [SMALL_STATE(2382)] = 95248,
  [SMALL_STATE(2383)] = 95271,
  [SMALL_STATE(2384)] = 95294,
  [SMALL_STATE(2385)] = 95317,
  [SMALL_STATE(2386)] = 95342,
  [SMALL_STATE(2387)] = 95365,
  [SMALL_STATE(2388)] = 95388,
  [SMALL_STATE(2389)] = 95409,
  [SMALL_STATE(2390)] = 95430,
  [SMALL_STATE(2391)] = 95451,
  [SMALL_STATE(2392)] = 95474,
  [SMALL_STATE(2393)] = 95497,
  [SMALL_STATE(2394)] = 95520,
  [SMALL_STATE(2395)] = 95543,
  [SMALL_STATE(2396)] = 95566,
  [SMALL_STATE(2397)] = 95589,
  [SMALL_STATE(2398)] = 95612,
  [SMALL_STATE(2399)] = 95635,
  [SMALL_STATE(2400)] = 95658,
  [SMALL_STATE(2401)] = 95679,
  [SMALL_STATE(2402)] = 95706,
  [SMALL_STATE(2403)] = 95729,
  [SMALL_STATE(2404)] = 95760,
  [SMALL_STATE(2405)] = 95783,
  [SMALL_STATE(2406)] = 95806,
  [SMALL_STATE(2407)] = 95831,
  [SMALL_STATE(2408)] = 95856,
  [SMALL_STATE(2409)] = 95887,
  [SMALL_STATE(2410)] = 95918,
  [SMALL_STATE(2411)] = 95949,
  [SMALL_STATE(2412)] = 95972,
  [SMALL_STATE(2413)] = 95997,
  [SMALL_STATE(2414)] = 96020,
  [SMALL_STATE(2415)] = 96043,
  [SMALL_STATE(2416)] = 96066,
  [SMALL_STATE(2417)] = 96087,
  [SMALL_STATE(2418)] = 96110,
  [SMALL_STATE(2419)] = 96131,
  [SMALL_STATE(2420)] = 96153,
  [SMALL_STATE(2421)] = 96175,
  [SMALL_STATE(2422)] = 96197,
  [SMALL_STATE(2423)] = 96219,
  [SMALL_STATE(2424)] = 96241,
  [SMALL_STATE(2425)] = 96263,
  [SMALL_STATE(2426)] = 96285,
  [SMALL_STATE(2427)] = 96315,
  [SMALL_STATE(2428)] = 96345,
  [SMALL_STATE(2429)] = 96375,
  [SMALL_STATE(2430)] = 96403,
  [SMALL_STATE(2431)] = 96425,
  [SMALL_STATE(2432)] = 96447,
  [SMALL_STATE(2433)] = 96477,
  [SMALL_STATE(2434)] = 96519,
  [SMALL_STATE(2435)] = 96541,
  [SMALL_STATE(2436)] = 96571,
  [SMALL_STATE(2437)] = 96601,
  [SMALL_STATE(2438)] = 96643,
  [SMALL_STATE(2439)] = 96673,
  [SMALL_STATE(2440)] = 96715,
  [SMALL_STATE(2441)] = 96743,
  [SMALL_STATE(2442)] = 96767,
  [SMALL_STATE(2443)] = 96789,
  [SMALL_STATE(2444)] = 96811,
  [SMALL_STATE(2445)] = 96833,
  [SMALL_STATE(2446)] = 96875,
  [SMALL_STATE(2447)] = 96919,
  [SMALL_STATE(2448)] = 96947,
  [SMALL_STATE(2449)] = 96973,
  [SMALL_STATE(2450)] = 96995,
  [SMALL_STATE(2451)] = 97023,
  [SMALL_STATE(2452)] = 97045,
  [SMALL_STATE(2453)] = 97079,
  [SMALL_STATE(2454)] = 97101,
  [SMALL_STATE(2455)] = 97131,
  [SMALL_STATE(2456)] = 97155,
  [SMALL_STATE(2457)] = 97177,
  [SMALL_STATE(2458)] = 97205,
  [SMALL_STATE(2459)] = 97227,
  [SMALL_STATE(2460)] = 97249,
  [SMALL_STATE(2461)] = 97271,
  [SMALL_STATE(2462)] = 97299,
  [SMALL_STATE(2463)] = 97341,
  [SMALL_STATE(2464)] = 97363,
  [SMALL_STATE(2465)] = 97405,
  [SMALL_STATE(2466)] = 97447,
  [SMALL_STATE(2467)] = 97469,
  [SMALL_STATE(2468)] = 97497,
  [SMALL_STATE(2469)] = 97527,
  [SMALL_STATE(2470)] = 97549,
  [SMALL_STATE(2471)] = 97579,
  [SMALL_STATE(2472)] = 97609,
  [SMALL_STATE(2473)] = 97639,
  [SMALL_STATE(2474)] = 97667,
  [SMALL_STATE(2475)] = 97697,
  [SMALL_STATE(2476)] = 97727,
  [SMALL_STATE(2477)] = 97757,
  [SMALL_STATE(2478)] = 97779,
  [SMALL_STATE(2479)] = 97801,
  [SMALL_STATE(2480)] = 97829,
  [SMALL_STATE(2481)] = 97857,
  [SMALL_STATE(2482)] = 97885,
  [SMALL_STATE(2483)] = 97907,
  [SMALL_STATE(2484)] = 97929,
  [SMALL_STATE(2485)] = 97951,
  [SMALL_STATE(2486)] = 97973,
  [SMALL_STATE(2487)] = 97995,
  [SMALL_STATE(2488)] = 98017,
  [SMALL_STATE(2489)] = 98039,
  [SMALL_STATE(2490)] = 98061,
  [SMALL_STATE(2491)] = 98083,
  [SMALL_STATE(2492)] = 98118,
  [SMALL_STATE(2493)] = 98143,
  [SMALL_STATE(2494)] = 98170,
  [SMALL_STATE(2495)] = 98197,
  [SMALL_STATE(2496)] = 98224,
  [SMALL_STATE(2497)] = 98259,
  [SMALL_STATE(2498)] = 98294,
  [SMALL_STATE(2499)] = 98319,
  [SMALL_STATE(2500)] = 98342,
  [SMALL_STATE(2501)] = 98367,
  [SMALL_STATE(2502)] = 98388,
  [SMALL_STATE(2503)] = 98409,
  [SMALL_STATE(2504)] = 98450,
  [SMALL_STATE(2505)] = 98485,
  [SMALL_STATE(2506)] = 98520,
  [SMALL_STATE(2507)] = 98555,
  [SMALL_STATE(2508)] = 98576,
  [SMALL_STATE(2509)] = 98617,
  [SMALL_STATE(2510)] = 98642,
  [SMALL_STATE(2511)] = 98667,
  [SMALL_STATE(2512)] = 98702,
  [SMALL_STATE(2513)] = 98737,
  [SMALL_STATE(2514)] = 98758,
  [SMALL_STATE(2515)] = 98793,
  [SMALL_STATE(2516)] = 98820,
  [SMALL_STATE(2517)] = 98841,
  [SMALL_STATE(2518)] = 98876,
  [SMALL_STATE(2519)] = 98897,
  [SMALL_STATE(2520)] = 98933,
  [SMALL_STATE(2521)] = 98951,
  [SMALL_STATE(2522)] = 98987,
  [SMALL_STATE(2523)] = 99019,
  [SMALL_STATE(2524)] = 99051,
  [SMALL_STATE(2525)] = 99083,
  [SMALL_STATE(2526)] = 99121,
  [SMALL_STATE(2527)] = 99141,
  [SMALL_STATE(2528)] = 99159,
  [SMALL_STATE(2529)] = 99183,
  [SMALL_STATE(2530)] = 99219,
  [SMALL_STATE(2531)] = 99255,
  [SMALL_STATE(2532)] = 99293,
  [SMALL_STATE(2533)] = 99323,
  [SMALL_STATE(2534)] = 99341,
  [SMALL_STATE(2535)] = 99379,
  [SMALL_STATE(2536)] = 99397,
  [SMALL_STATE(2537)] = 99415,
  [SMALL_STATE(2538)] = 99433,
  [SMALL_STATE(2539)] = 99451,
  [SMALL_STATE(2540)] = 99471,
  [SMALL_STATE(2541)] = 99489,
  [SMALL_STATE(2542)] = 99521,
  [SMALL_STATE(2543)] = 99553,
  [SMALL_STATE(2544)] = 99589,
  [SMALL_STATE(2545)] = 99607,
  [SMALL_STATE(2546)] = 99625,
  [SMALL_STATE(2547)] = 99643,
  [SMALL_STATE(2548)] = 99661,
  [SMALL_STATE(2549)] = 99691,
  [SMALL_STATE(2550)] = 99709,
  [SMALL_STATE(2551)] = 99739,
  [SMALL_STATE(2552)] = 99771,
  [SMALL_STATE(2553)] = 99789,
  [SMALL_STATE(2554)] = 99807,
  [SMALL_STATE(2555)] = 99825,
  [SMALL_STATE(2556)] = 99855,
  [SMALL_STATE(2557)] = 99885,
  [SMALL_STATE(2558)] = 99917,
  [SMALL_STATE(2559)] = 99947,
  [SMALL_STATE(2560)] = 99979,
  [SMALL_STATE(2561)] = 99997,
  [SMALL_STATE(2562)] = 100033,
  [SMALL_STATE(2563)] = 100051,
  [SMALL_STATE(2564)] = 100071,
  [SMALL_STATE(2565)] = 100109,
  [SMALL_STATE(2566)] = 100127,
  [SMALL_STATE(2567)] = 100163,
  [SMALL_STATE(2568)] = 100181,
  [SMALL_STATE(2569)] = 100199,
  [SMALL_STATE(2570)] = 100217,
  [SMALL_STATE(2571)] = 100235,
  [SMALL_STATE(2572)] = 100253,
  [SMALL_STATE(2573)] = 100271,
  [SMALL_STATE(2574)] = 100289,
  [SMALL_STATE(2575)] = 100307,
  [SMALL_STATE(2576)] = 100345,
  [SMALL_STATE(2577)] = 100377,
  [SMALL_STATE(2578)] = 100395,
  [SMALL_STATE(2579)] = 100413,
  [SMALL_STATE(2580)] = 100431,
  [SMALL_STATE(2581)] = 100449,
  [SMALL_STATE(2582)] = 100467,
  [SMALL_STATE(2583)] = 100489,
  [SMALL_STATE(2584)] = 100511,
  [SMALL_STATE(2585)] = 100543,
  [SMALL_STATE(2586)] = 100561,
  [SMALL_STATE(2587)] = 100579,
  [SMALL_STATE(2588)] = 100602,
  [SMALL_STATE(2589)] = 100621,
  [SMALL_STATE(2590)] = 100640,
  [SMALL_STATE(2591)] = 100659,
  [SMALL_STATE(2592)] = 100678,
  [SMALL_STATE(2593)] = 100697,
  [SMALL_STATE(2594)] = 100716,
  [SMALL_STATE(2595)] = 100735,
  [SMALL_STATE(2596)] = 100754,
  [SMALL_STATE(2597)] = 100773,
  [SMALL_STATE(2598)] = 100794,
  [SMALL_STATE(2599)] = 100813,
  [SMALL_STATE(2600)] = 100848,
  [SMALL_STATE(2601)] = 100865,
  [SMALL_STATE(2602)] = 100886,
  [SMALL_STATE(2603)] = 100905,
  [SMALL_STATE(2604)] = 100924,
  [SMALL_STATE(2605)] = 100943,
  [SMALL_STATE(2606)] = 100964,
  [SMALL_STATE(2607)] = 100987,
  [SMALL_STATE(2608)] = 101006,
  [SMALL_STATE(2609)] = 101023,
  [SMALL_STATE(2610)] = 101042,
  [SMALL_STATE(2611)] = 101059,
  [SMALL_STATE(2612)] = 101076,
  [SMALL_STATE(2613)] = 101099,
  [SMALL_STATE(2614)] = 101118,
  [SMALL_STATE(2615)] = 101137,
  [SMALL_STATE(2616)] = 101158,
  [SMALL_STATE(2617)] = 101177,
  [SMALL_STATE(2618)] = 101196,
  [SMALL_STATE(2619)] = 101215,
  [SMALL_STATE(2620)] = 101234,
  [SMALL_STATE(2621)] = 101257,
  [SMALL_STATE(2622)] = 101276,
  [SMALL_STATE(2623)] = 101293,
  [SMALL_STATE(2624)] = 101312,
  [SMALL_STATE(2625)] = 101331,
  [SMALL_STATE(2626)] = 101350,
  [SMALL_STATE(2627)] = 101373,
  [SMALL_STATE(2628)] = 101394,
  [SMALL_STATE(2629)] = 101415,
  [SMALL_STATE(2630)] = 101434,
  [SMALL_STATE(2631)] = 101455,
  [SMALL_STATE(2632)] = 101474,
  [SMALL_STATE(2633)] = 101493,
  [SMALL_STATE(2634)] = 101512,
  [SMALL_STATE(2635)] = 101529,
  [SMALL_STATE(2636)] = 101548,
  [SMALL_STATE(2637)] = 101567,
  [SMALL_STATE(2638)] = 101586,
  [SMALL_STATE(2639)] = 101605,
  [SMALL_STATE(2640)] = 101626,
  [SMALL_STATE(2641)] = 101645,
  [SMALL_STATE(2642)] = 101664,
  [SMALL_STATE(2643)] = 101687,
  [SMALL_STATE(2644)] = 101706,
  [SMALL_STATE(2645)] = 101740,
  [SMALL_STATE(2646)] = 101766,
  [SMALL_STATE(2647)] = 101800,
  [SMALL_STATE(2648)] = 101832,
  [SMALL_STATE(2649)] = 101866,
  [SMALL_STATE(2650)] = 101898,
  [SMALL_STATE(2651)] = 101932,
  [SMALL_STATE(2652)] = 101958,
  [SMALL_STATE(2653)] = 101984,
  [SMALL_STATE(2654)] = 102002,
  [SMALL_STATE(2655)] = 102028,
  [SMALL_STATE(2656)] = 102052,
  [SMALL_STATE(2657)] = 102080,
  [SMALL_STATE(2658)] = 102104,
  [SMALL_STATE(2659)] = 102130,
  [SMALL_STATE(2660)] = 102162,
  [SMALL_STATE(2661)] = 102186,
  [SMALL_STATE(2662)] = 102220,
  [SMALL_STATE(2663)] = 102254,
  [SMALL_STATE(2664)] = 102280,
  [SMALL_STATE(2665)] = 102302,
  [SMALL_STATE(2666)] = 102334,
  [SMALL_STATE(2667)] = 102352,
  [SMALL_STATE(2668)] = 102378,
  [SMALL_STATE(2669)] = 102400,
  [SMALL_STATE(2670)] = 102428,
  [SMALL_STATE(2671)] = 102462,
  [SMALL_STATE(2672)] = 102478,
  [SMALL_STATE(2673)] = 102498,
  [SMALL_STATE(2674)] = 102524,
  [SMALL_STATE(2675)] = 102556,
  [SMALL_STATE(2676)] = 102590,
  [SMALL_STATE(2677)] = 102622,
  [SMALL_STATE(2678)] = 102656,
  [SMALL_STATE(2679)] = 102690,
  [SMALL_STATE(2680)] = 102724,
  [SMALL_STATE(2681)] = 102744,
  [SMALL_STATE(2682)] = 102774,
  [SMALL_STATE(2683)] = 102804,
  [SMALL_STATE(2684)] = 102828,
  [SMALL_STATE(2685)] = 102854,
  [SMALL_STATE(2686)] = 102880,
  [SMALL_STATE(2687)] = 102903,
  [SMALL_STATE(2688)] = 102922,
  [SMALL_STATE(2689)] = 102953,
  [SMALL_STATE(2690)] = 102968,
  [SMALL_STATE(2691)] = 102983,
  [SMALL_STATE(2692)] = 103010,
  [SMALL_STATE(2693)] = 103039,
  [SMALL_STATE(2694)] = 103070,
  [SMALL_STATE(2695)] = 103101,
  [SMALL_STATE(2696)] = 103130,
  [SMALL_STATE(2697)] = 103151,
  [SMALL_STATE(2698)] = 103172,
  [SMALL_STATE(2699)] = 103203,
  [SMALL_STATE(2700)] = 103218,
  [SMALL_STATE(2701)] = 103233,
  [SMALL_STATE(2702)] = 103264,
  [SMALL_STATE(2703)] = 103291,
  [SMALL_STATE(2704)] = 103320,
  [SMALL_STATE(2705)] = 103351,
  [SMALL_STATE(2706)] = 103374,
  [SMALL_STATE(2707)] = 103393,
  [SMALL_STATE(2708)] = 103408,
  [SMALL_STATE(2709)] = 103439,
  [SMALL_STATE(2710)] = 103464,
  [SMALL_STATE(2711)] = 103493,
  [SMALL_STATE(2712)] = 103522,
  [SMALL_STATE(2713)] = 103553,
  [SMALL_STATE(2714)] = 103568,
  [SMALL_STATE(2715)] = 103599,
  [SMALL_STATE(2716)] = 103614,
  [SMALL_STATE(2717)] = 103641,
  [SMALL_STATE(2718)] = 103656,
  [SMALL_STATE(2719)] = 103681,
  [SMALL_STATE(2720)] = 103696,
  [SMALL_STATE(2721)] = 103711,
  [SMALL_STATE(2722)] = 103726,
  [SMALL_STATE(2723)] = 103751,
  [SMALL_STATE(2724)] = 103766,
  [SMALL_STATE(2725)] = 103785,
  [SMALL_STATE(2726)] = 103816,
  [SMALL_STATE(2727)] = 103831,
  [SMALL_STATE(2728)] = 103860,
  [SMALL_STATE(2729)] = 103877,
  [SMALL_STATE(2730)] = 103892,
  [SMALL_STATE(2731)] = 103907,
  [SMALL_STATE(2732)] = 103932,
  [SMALL_STATE(2733)] = 103963,
  [SMALL_STATE(2734)] = 103986,
  [SMALL_STATE(2735)] = 104011,
  [SMALL_STATE(2736)] = 104042,
  [SMALL_STATE(2737)] = 104065,
  [SMALL_STATE(2738)] = 104080,
  [SMALL_STATE(2739)] = 104107,
  [SMALL_STATE(2740)] = 104134,
  [SMALL_STATE(2741)] = 104163,
  [SMALL_STATE(2742)] = 104186,
  [SMALL_STATE(2743)] = 104209,
  [SMALL_STATE(2744)] = 104240,
  [SMALL_STATE(2745)] = 104255,
  [SMALL_STATE(2746)] = 104286,
  [SMALL_STATE(2747)] = 104317,
  [SMALL_STATE(2748)] = 104348,
  [SMALL_STATE(2749)] = 104363,
  [SMALL_STATE(2750)] = 104378,
  [SMALL_STATE(2751)] = 104393,
  [SMALL_STATE(2752)] = 104410,
  [SMALL_STATE(2753)] = 104425,
  [SMALL_STATE(2754)] = 104440,
  [SMALL_STATE(2755)] = 104467,
  [SMALL_STATE(2756)] = 104488,
  [SMALL_STATE(2757)] = 104507,
  [SMALL_STATE(2758)] = 104522,
  [SMALL_STATE(2759)] = 104539,
  [SMALL_STATE(2760)] = 104562,
  [SMALL_STATE(2761)] = 104577,
  [SMALL_STATE(2762)] = 104604,
  [SMALL_STATE(2763)] = 104619,
  [SMALL_STATE(2764)] = 104642,
  [SMALL_STATE(2765)] = 104671,
  [SMALL_STATE(2766)] = 104700,
  [SMALL_STATE(2767)] = 104729,
  [SMALL_STATE(2768)] = 104752,
  [SMALL_STATE(2769)] = 104775,
  [SMALL_STATE(2770)] = 104790,
  [SMALL_STATE(2771)] = 104805,
  [SMALL_STATE(2772)] = 104834,
  [SMALL_STATE(2773)] = 104863,
  [SMALL_STATE(2774)] = 104894,
  [SMALL_STATE(2775)] = 104909,
  [SMALL_STATE(2776)] = 104924,
  [SMALL_STATE(2777)] = 104953,
  [SMALL_STATE(2778)] = 104968,
  [SMALL_STATE(2779)] = 104997,
  [SMALL_STATE(2780)] = 105018,
  [SMALL_STATE(2781)] = 105033,
  [SMALL_STATE(2782)] = 105048,
  [SMALL_STATE(2783)] = 105065,
  [SMALL_STATE(2784)] = 105080,
  [SMALL_STATE(2785)] = 105107,
  [SMALL_STATE(2786)] = 105138,
  [SMALL_STATE(2787)] = 105153,
  [SMALL_STATE(2788)] = 105178,
  [SMALL_STATE(2789)] = 105207,
  [SMALL_STATE(2790)] = 105222,
  [SMALL_STATE(2791)] = 105251,
  [SMALL_STATE(2792)] = 105280,
  [SMALL_STATE(2793)] = 105309,
  [SMALL_STATE(2794)] = 105338,
  [SMALL_STATE(2795)] = 105367,
  [SMALL_STATE(2796)] = 105396,
  [SMALL_STATE(2797)] = 105425,
  [SMALL_STATE(2798)] = 105454,
  [SMALL_STATE(2799)] = 105479,
  [SMALL_STATE(2800)] = 105508,
  [SMALL_STATE(2801)] = 105537,
  [SMALL_STATE(2802)] = 105566,
  [SMALL_STATE(2803)] = 105597,
  [SMALL_STATE(2804)] = 105626,
  [SMALL_STATE(2805)] = 105641,
  [SMALL_STATE(2806)] = 105656,
  [SMALL_STATE(2807)] = 105685,
  [SMALL_STATE(2808)] = 105714,
  [SMALL_STATE(2809)] = 105729,
  [SMALL_STATE(2810)] = 105750,
  [SMALL_STATE(2811)] = 105765,
  [SMALL_STATE(2812)] = 105780,
  [SMALL_STATE(2813)] = 105795,
  [SMALL_STATE(2814)] = 105822,
  [SMALL_STATE(2815)] = 105851,
  [SMALL_STATE(2816)] = 105875,
  [SMALL_STATE(2817)] = 105899,
  [SMALL_STATE(2818)] = 105923,
  [SMALL_STATE(2819)] = 105947,
  [SMALL_STATE(2820)] = 105961,
  [SMALL_STATE(2821)] = 105975,
  [SMALL_STATE(2822)] = 105995,
  [SMALL_STATE(2823)] = 106009,
  [SMALL_STATE(2824)] = 106033,
  [SMALL_STATE(2825)] = 106057,
  [SMALL_STATE(2826)] = 106081,
  [SMALL_STATE(2827)] = 106105,
  [SMALL_STATE(2828)] = 106125,
  [SMALL_STATE(2829)] = 106149,
  [SMALL_STATE(2830)] = 106173,
  [SMALL_STATE(2831)] = 106193,
  [SMALL_STATE(2832)] = 106217,
  [SMALL_STATE(2833)] = 106241,
  [SMALL_STATE(2834)] = 106261,
  [SMALL_STATE(2835)] = 106285,
  [SMALL_STATE(2836)] = 106310,
  [SMALL_STATE(2837)] = 106323,
  [SMALL_STATE(2838)] = 106344,
  [SMALL_STATE(2839)] = 106369,
  [SMALL_STATE(2840)] = 106390,
  [SMALL_STATE(2841)] = 106405,
  [SMALL_STATE(2842)] = 106430,
  [SMALL_STATE(2843)] = 106443,
  [SMALL_STATE(2844)] = 106456,
  [SMALL_STATE(2845)] = 106471,
  [SMALL_STATE(2846)] = 106484,
  [SMALL_STATE(2847)] = 106499,
  [SMALL_STATE(2848)] = 106524,
  [SMALL_STATE(2849)] = 106545,
  [SMALL_STATE(2850)] = 106558,
  [SMALL_STATE(2851)] = 106583,
  [SMALL_STATE(2852)] = 106600,
  [SMALL_STATE(2853)] = 106621,
  [SMALL_STATE(2854)] = 106644,
  [SMALL_STATE(2855)] = 106657,
  [SMALL_STATE(2856)] = 106682,
  [SMALL_STATE(2857)] = 106695,
  [SMALL_STATE(2858)] = 106712,
  [SMALL_STATE(2859)] = 106725,
  [SMALL_STATE(2860)] = 106746,
  [SMALL_STATE(2861)] = 106763,
  [SMALL_STATE(2862)] = 106784,
  [SMALL_STATE(2863)] = 106801,
  [SMALL_STATE(2864)] = 106826,
  [SMALL_STATE(2865)] = 106841,
  [SMALL_STATE(2866)] = 106856,
  [SMALL_STATE(2867)] = 106881,
  [SMALL_STATE(2868)] = 106906,
  [SMALL_STATE(2869)] = 106919,
  [SMALL_STATE(2870)] = 106934,
  [SMALL_STATE(2871)] = 106949,
  [SMALL_STATE(2872)] = 106974,
  [SMALL_STATE(2873)] = 106999,
  [SMALL_STATE(2874)] = 107024,
  [SMALL_STATE(2875)] = 107037,
  [SMALL_STATE(2876)] = 107062,
  [SMALL_STATE(2877)] = 107087,
  [SMALL_STATE(2878)] = 107112,
  [SMALL_STATE(2879)] = 107137,
  [SMALL_STATE(2880)] = 107152,
  [SMALL_STATE(2881)] = 107173,
  [SMALL_STATE(2882)] = 107198,
  [SMALL_STATE(2883)] = 107223,
  [SMALL_STATE(2884)] = 107248,
  [SMALL_STATE(2885)] = 107273,
  [SMALL_STATE(2886)] = 107288,
  [SMALL_STATE(2887)] = 107313,
  [SMALL_STATE(2888)] = 107338,
  [SMALL_STATE(2889)] = 107363,
  [SMALL_STATE(2890)] = 107388,
  [SMALL_STATE(2891)] = 107405,
  [SMALL_STATE(2892)] = 107426,
  [SMALL_STATE(2893)] = 107447,
  [SMALL_STATE(2894)] = 107464,
  [SMALL_STATE(2895)] = 107483,
  [SMALL_STATE(2896)] = 107500,
  [SMALL_STATE(2897)] = 107517,
  [SMALL_STATE(2898)] = 107534,
  [SMALL_STATE(2899)] = 107551,
  [SMALL_STATE(2900)] = 107576,
  [SMALL_STATE(2901)] = 107597,
  [SMALL_STATE(2902)] = 107614,
  [SMALL_STATE(2903)] = 107631,
  [SMALL_STATE(2904)] = 107648,
  [SMALL_STATE(2905)] = 107661,
  [SMALL_STATE(2906)] = 107678,
  [SMALL_STATE(2907)] = 107695,
  [SMALL_STATE(2908)] = 107712,
  [SMALL_STATE(2909)] = 107729,
  [SMALL_STATE(2910)] = 107746,
  [SMALL_STATE(2911)] = 107763,
  [SMALL_STATE(2912)] = 107784,
  [SMALL_STATE(2913)] = 107809,
  [SMALL_STATE(2914)] = 107834,
  [SMALL_STATE(2915)] = 107851,
  [SMALL_STATE(2916)] = 107868,
  [SMALL_STATE(2917)] = 107893,
  [SMALL_STATE(2918)] = 107910,
  [SMALL_STATE(2919)] = 107927,
  [SMALL_STATE(2920)] = 107948,
  [SMALL_STATE(2921)] = 107961,
  [SMALL_STATE(2922)] = 107978,
  [SMALL_STATE(2923)] = 108003,
  [SMALL_STATE(2924)] = 108028,
  [SMALL_STATE(2925)] = 108047,
  [SMALL_STATE(2926)] = 108072,
  [SMALL_STATE(2927)] = 108097,
  [SMALL_STATE(2928)] = 108122,
  [SMALL_STATE(2929)] = 108143,
  [SMALL_STATE(2930)] = 108168,
  [SMALL_STATE(2931)] = 108189,
  [SMALL_STATE(2932)] = 108214,
  [SMALL_STATE(2933)] = 108239,
  [SMALL_STATE(2934)] = 108258,
  [SMALL_STATE(2935)] = 108283,
  [SMALL_STATE(2936)] = 108296,
  [SMALL_STATE(2937)] = 108317,
  [SMALL_STATE(2938)] = 108334,
  [SMALL_STATE(2939)] = 108355,
  [SMALL_STATE(2940)] = 108370,
  [SMALL_STATE(2941)] = 108395,
  [SMALL_STATE(2942)] = 108412,
  [SMALL_STATE(2943)] = 108435,
  [SMALL_STATE(2944)] = 108460,
  [SMALL_STATE(2945)] = 108477,
  [SMALL_STATE(2946)] = 108498,
  [SMALL_STATE(2947)] = 108523,
  [SMALL_STATE(2948)] = 108548,
  [SMALL_STATE(2949)] = 108561,
  [SMALL_STATE(2950)] = 108576,
  [SMALL_STATE(2951)] = 108592,
  [SMALL_STATE(2952)] = 108614,
  [SMALL_STATE(2953)] = 108636,
  [SMALL_STATE(2954)] = 108652,
  [SMALL_STATE(2955)] = 108674,
  [SMALL_STATE(2956)] = 108696,
  [SMALL_STATE(2957)] = 108718,
  [SMALL_STATE(2958)] = 108740,
  [SMALL_STATE(2959)] = 108758,
  [SMALL_STATE(2960)] = 108780,
  [SMALL_STATE(2961)] = 108798,
  [SMALL_STATE(2962)] = 108816,
  [SMALL_STATE(2963)] = 108838,
  [SMALL_STATE(2964)] = 108850,
  [SMALL_STATE(2965)] = 108862,
  [SMALL_STATE(2966)] = 108884,
  [SMALL_STATE(2967)] = 108900,
  [SMALL_STATE(2968)] = 108918,
  [SMALL_STATE(2969)] = 108936,
  [SMALL_STATE(2970)] = 108958,
  [SMALL_STATE(2971)] = 108976,
  [SMALL_STATE(2972)] = 108992,
  [SMALL_STATE(2973)] = 109010,
  [SMALL_STATE(2974)] = 109026,
  [SMALL_STATE(2975)] = 109048,
  [SMALL_STATE(2976)] = 109064,
  [SMALL_STATE(2977)] = 109080,
  [SMALL_STATE(2978)] = 109096,
  [SMALL_STATE(2979)] = 109112,
  [SMALL_STATE(2980)] = 109128,
  [SMALL_STATE(2981)] = 109146,
  [SMALL_STATE(2982)] = 109168,
  [SMALL_STATE(2983)] = 109184,
  [SMALL_STATE(2984)] = 109200,
  [SMALL_STATE(2985)] = 109216,
  [SMALL_STATE(2986)] = 109232,
  [SMALL_STATE(2987)] = 109250,
  [SMALL_STATE(2988)] = 109272,
  [SMALL_STATE(2989)] = 109290,
  [SMALL_STATE(2990)] = 109312,
  [SMALL_STATE(2991)] = 109334,
  [SMALL_STATE(2992)] = 109356,
  [SMALL_STATE(2993)] = 109378,
  [SMALL_STATE(2994)] = 109394,
  [SMALL_STATE(2995)] = 109416,
  [SMALL_STATE(2996)] = 109438,
  [SMALL_STATE(2997)] = 109460,
  [SMALL_STATE(2998)] = 109482,
  [SMALL_STATE(2999)] = 109504,
  [SMALL_STATE(3000)] = 109524,
  [SMALL_STATE(3001)] = 109538,
  [SMALL_STATE(3002)] = 109554,
  [SMALL_STATE(3003)] = 109576,
  [SMALL_STATE(3004)] = 109590,
  [SMALL_STATE(3005)] = 109606,
  [SMALL_STATE(3006)] = 109628,
  [SMALL_STATE(3007)] = 109646,
  [SMALL_STATE(3008)] = 109664,
  [SMALL_STATE(3009)] = 109680,
  [SMALL_STATE(3010)] = 109696,
  [SMALL_STATE(3011)] = 109718,
  [SMALL_STATE(3012)] = 109740,
  [SMALL_STATE(3013)] = 109762,
  [SMALL_STATE(3014)] = 109778,
  [SMALL_STATE(3015)] = 109798,
  [SMALL_STATE(3016)] = 109820,
  [SMALL_STATE(3017)] = 109840,
  [SMALL_STATE(3018)] = 109862,
  [SMALL_STATE(3019)] = 109884,
  [SMALL_STATE(3020)] = 109902,
  [SMALL_STATE(3021)] = 109924,
  [SMALL_STATE(3022)] = 109946,
  [SMALL_STATE(3023)] = 109962,
  [SMALL_STATE(3024)] = 109978,
  [SMALL_STATE(3025)] = 110000,
  [SMALL_STATE(3026)] = 110016,
  [SMALL_STATE(3027)] = 110038,
  [SMALL_STATE(3028)] = 110052,
  [SMALL_STATE(3029)] = 110064,
  [SMALL_STATE(3030)] = 110076,
  [SMALL_STATE(3031)] = 110098,
  [SMALL_STATE(3032)] = 110114,
  [SMALL_STATE(3033)] = 110136,
  [SMALL_STATE(3034)] = 110152,
  [SMALL_STATE(3035)] = 110174,
  [SMALL_STATE(3036)] = 110196,
  [SMALL_STATE(3037)] = 110212,
  [SMALL_STATE(3038)] = 110228,
  [SMALL_STATE(3039)] = 110244,
  [SMALL_STATE(3040)] = 110266,
  [SMALL_STATE(3041)] = 110288,
  [SMALL_STATE(3042)] = 110310,
  [SMALL_STATE(3043)] = 110328,
  [SMALL_STATE(3044)] = 110344,
  [SMALL_STATE(3045)] = 110360,
  [SMALL_STATE(3046)] = 110376,
  [SMALL_STATE(3047)] = 110398,
  [SMALL_STATE(3048)] = 110414,
  [SMALL_STATE(3049)] = 110436,
  [SMALL_STATE(3050)] = 110454,
  [SMALL_STATE(3051)] = 110472,
  [SMALL_STATE(3052)] = 110490,
  [SMALL_STATE(3053)] = 110506,
  [SMALL_STATE(3054)] = 110528,
  [SMALL_STATE(3055)] = 110550,
  [SMALL_STATE(3056)] = 110564,
  [SMALL_STATE(3057)] = 110586,
  [SMALL_STATE(3058)] = 110608,
  [SMALL_STATE(3059)] = 110626,
  [SMALL_STATE(3060)] = 110644,
  [SMALL_STATE(3061)] = 110660,
  [SMALL_STATE(3062)] = 110682,
  [SMALL_STATE(3063)] = 110704,
  [SMALL_STATE(3064)] = 110722,
  [SMALL_STATE(3065)] = 110740,
  [SMALL_STATE(3066)] = 110762,
  [SMALL_STATE(3067)] = 110784,
  [SMALL_STATE(3068)] = 110802,
  [SMALL_STATE(3069)] = 110824,
  [SMALL_STATE(3070)] = 110838,
  [SMALL_STATE(3071)] = 110856,
  [SMALL_STATE(3072)] = 110872,
  [SMALL_STATE(3073)] = 110894,
  [SMALL_STATE(3074)] = 110910,
  [SMALL_STATE(3075)] = 110926,
  [SMALL_STATE(3076)] = 110942,
  [SMALL_STATE(3077)] = 110958,
  [SMALL_STATE(3078)] = 110980,
  [SMALL_STATE(3079)] = 111002,
  [SMALL_STATE(3080)] = 111018,
  [SMALL_STATE(3081)] = 111034,
  [SMALL_STATE(3082)] = 111056,
  [SMALL_STATE(3083)] = 111078,
  [SMALL_STATE(3084)] = 111100,
  [SMALL_STATE(3085)] = 111112,
  [SMALL_STATE(3086)] = 111124,
  [SMALL_STATE(3087)] = 111140,
  [SMALL_STATE(3088)] = 111152,
  [SMALL_STATE(3089)] = 111168,
  [SMALL_STATE(3090)] = 111180,
  [SMALL_STATE(3091)] = 111202,
  [SMALL_STATE(3092)] = 111214,
  [SMALL_STATE(3093)] = 111236,
  [SMALL_STATE(3094)] = 111258,
  [SMALL_STATE(3095)] = 111280,
  [SMALL_STATE(3096)] = 111296,
  [SMALL_STATE(3097)] = 111318,
  [SMALL_STATE(3098)] = 111340,
  [SMALL_STATE(3099)] = 111352,
  [SMALL_STATE(3100)] = 111374,
  [SMALL_STATE(3101)] = 111396,
  [SMALL_STATE(3102)] = 111414,
  [SMALL_STATE(3103)] = 111430,
  [SMALL_STATE(3104)] = 111446,
  [SMALL_STATE(3105)] = 111468,
  [SMALL_STATE(3106)] = 111480,
  [SMALL_STATE(3107)] = 111498,
  [SMALL_STATE(3108)] = 111510,
  [SMALL_STATE(3109)] = 111528,
  [SMALL_STATE(3110)] = 111546,
  [SMALL_STATE(3111)] = 111562,
  [SMALL_STATE(3112)] = 111584,
  [SMALL_STATE(3113)] = 111600,
  [SMALL_STATE(3114)] = 111622,
  [SMALL_STATE(3115)] = 111634,
  [SMALL_STATE(3116)] = 111650,
  [SMALL_STATE(3117)] = 111666,
  [SMALL_STATE(3118)] = 111682,
  [SMALL_STATE(3119)] = 111704,
  [SMALL_STATE(3120)] = 111720,
  [SMALL_STATE(3121)] = 111742,
  [SMALL_STATE(3122)] = 111759,
  [SMALL_STATE(3123)] = 111772,
  [SMALL_STATE(3124)] = 111783,
  [SMALL_STATE(3125)] = 111794,
  [SMALL_STATE(3126)] = 111805,
  [SMALL_STATE(3127)] = 111824,
  [SMALL_STATE(3128)] = 111843,
  [SMALL_STATE(3129)] = 111858,
  [SMALL_STATE(3130)] = 111877,
  [SMALL_STATE(3131)] = 111888,
  [SMALL_STATE(3132)] = 111907,
  [SMALL_STATE(3133)] = 111918,
  [SMALL_STATE(3134)] = 111935,
  [SMALL_STATE(3135)] = 111946,
  [SMALL_STATE(3136)] = 111957,
  [SMALL_STATE(3137)] = 111968,
  [SMALL_STATE(3138)] = 111983,
  [SMALL_STATE(3139)] = 111994,
  [SMALL_STATE(3140)] = 112005,
  [SMALL_STATE(3141)] = 112016,
  [SMALL_STATE(3142)] = 112027,
  [SMALL_STATE(3143)] = 112038,
  [SMALL_STATE(3144)] = 112049,
  [SMALL_STATE(3145)] = 112068,
  [SMALL_STATE(3146)] = 112087,
  [SMALL_STATE(3147)] = 112106,
  [SMALL_STATE(3148)] = 112117,
  [SMALL_STATE(3149)] = 112128,
  [SMALL_STATE(3150)] = 112139,
  [SMALL_STATE(3151)] = 112156,
  [SMALL_STATE(3152)] = 112167,
  [SMALL_STATE(3153)] = 112184,
  [SMALL_STATE(3154)] = 112199,
  [SMALL_STATE(3155)] = 112210,
  [SMALL_STATE(3156)] = 112229,
  [SMALL_STATE(3157)] = 112240,
  [SMALL_STATE(3158)] = 112253,
  [SMALL_STATE(3159)] = 112272,
  [SMALL_STATE(3160)] = 112283,
  [SMALL_STATE(3161)] = 112302,
  [SMALL_STATE(3162)] = 112321,
  [SMALL_STATE(3163)] = 112336,
  [SMALL_STATE(3164)] = 112355,
  [SMALL_STATE(3165)] = 112374,
  [SMALL_STATE(3166)] = 112393,
  [SMALL_STATE(3167)] = 112412,
  [SMALL_STATE(3168)] = 112431,
  [SMALL_STATE(3169)] = 112446,
  [SMALL_STATE(3170)] = 112465,
  [SMALL_STATE(3171)] = 112476,
  [SMALL_STATE(3172)] = 112491,
  [SMALL_STATE(3173)] = 112506,
  [SMALL_STATE(3174)] = 112521,
  [SMALL_STATE(3175)] = 112532,
  [SMALL_STATE(3176)] = 112551,
  [SMALL_STATE(3177)] = 112570,
  [SMALL_STATE(3178)] = 112589,
  [SMALL_STATE(3179)] = 112600,
  [SMALL_STATE(3180)] = 112611,
  [SMALL_STATE(3181)] = 112626,
  [SMALL_STATE(3182)] = 112643,
  [SMALL_STATE(3183)] = 112654,
  [SMALL_STATE(3184)] = 112673,
  [SMALL_STATE(3185)] = 112690,
  [SMALL_STATE(3186)] = 112709,
  [SMALL_STATE(3187)] = 112720,
  [SMALL_STATE(3188)] = 112739,
  [SMALL_STATE(3189)] = 112752,
  [SMALL_STATE(3190)] = 112771,
  [SMALL_STATE(3191)] = 112790,
  [SMALL_STATE(3192)] = 112807,
  [SMALL_STATE(3193)] = 112826,
  [SMALL_STATE(3194)] = 112837,
  [SMALL_STATE(3195)] = 112854,
  [SMALL_STATE(3196)] = 112873,
  [SMALL_STATE(3197)] = 112884,
  [SMALL_STATE(3198)] = 112899,
  [SMALL_STATE(3199)] = 112910,
  [SMALL_STATE(3200)] = 112921,
  [SMALL_STATE(3201)] = 112940,
  [SMALL_STATE(3202)] = 112951,
  [SMALL_STATE(3203)] = 112970,
  [SMALL_STATE(3204)] = 112981,
  [SMALL_STATE(3205)] = 113000,
  [SMALL_STATE(3206)] = 113015,
  [SMALL_STATE(3207)] = 113028,
  [SMALL_STATE(3208)] = 113047,
  [SMALL_STATE(3209)] = 113058,
  [SMALL_STATE(3210)] = 113073,
  [SMALL_STATE(3211)] = 113092,
  [SMALL_STATE(3212)] = 113109,
  [SMALL_STATE(3213)] = 113128,
  [SMALL_STATE(3214)] = 113139,
  [SMALL_STATE(3215)] = 113150,
  [SMALL_STATE(3216)] = 113169,
  [SMALL_STATE(3217)] = 113188,
  [SMALL_STATE(3218)] = 113205,
  [SMALL_STATE(3219)] = 113224,
  [SMALL_STATE(3220)] = 113243,
  [SMALL_STATE(3221)] = 113260,
  [SMALL_STATE(3222)] = 113271,
  [SMALL_STATE(3223)] = 113290,
  [SMALL_STATE(3224)] = 113305,
  [SMALL_STATE(3225)] = 113318,
  [SMALL_STATE(3226)] = 113333,
  [SMALL_STATE(3227)] = 113344,
  [SMALL_STATE(3228)] = 113355,
  [SMALL_STATE(3229)] = 113374,
  [SMALL_STATE(3230)] = 113393,
  [SMALL_STATE(3231)] = 113404,
  [SMALL_STATE(3232)] = 113423,
  [SMALL_STATE(3233)] = 113436,
  [SMALL_STATE(3234)] = 113449,
  [SMALL_STATE(3235)] = 113462,
  [SMALL_STATE(3236)] = 113473,
  [SMALL_STATE(3237)] = 113484,
  [SMALL_STATE(3238)] = 113503,
  [SMALL_STATE(3239)] = 113522,
  [SMALL_STATE(3240)] = 113541,
  [SMALL_STATE(3241)] = 113556,
  [SMALL_STATE(3242)] = 113575,
  [SMALL_STATE(3243)] = 113586,
  [SMALL_STATE(3244)] = 113605,
  [SMALL_STATE(3245)] = 113616,
  [SMALL_STATE(3246)] = 113627,
  [SMALL_STATE(3247)] = 113638,
  [SMALL_STATE(3248)] = 113649,
  [SMALL_STATE(3249)] = 113660,
  [SMALL_STATE(3250)] = 113671,
  [SMALL_STATE(3251)] = 113690,
  [SMALL_STATE(3252)] = 113701,
  [SMALL_STATE(3253)] = 113712,
  [SMALL_STATE(3254)] = 113723,
  [SMALL_STATE(3255)] = 113736,
  [SMALL_STATE(3256)] = 113749,
  [SMALL_STATE(3257)] = 113764,
  [SMALL_STATE(3258)] = 113781,
  [SMALL_STATE(3259)] = 113800,
  [SMALL_STATE(3260)] = 113817,
  [SMALL_STATE(3261)] = 113828,
  [SMALL_STATE(3262)] = 113841,
  [SMALL_STATE(3263)] = 113860,
  [SMALL_STATE(3264)] = 113877,
  [SMALL_STATE(3265)] = 113890,
  [SMALL_STATE(3266)] = 113901,
  [SMALL_STATE(3267)] = 113912,
  [SMALL_STATE(3268)] = 113923,
  [SMALL_STATE(3269)] = 113938,
  [SMALL_STATE(3270)] = 113955,
  [SMALL_STATE(3271)] = 113966,
  [SMALL_STATE(3272)] = 113977,
  [SMALL_STATE(3273)] = 113992,
  [SMALL_STATE(3274)] = 114011,
  [SMALL_STATE(3275)] = 114022,
  [SMALL_STATE(3276)] = 114033,
  [SMALL_STATE(3277)] = 114050,
  [SMALL_STATE(3278)] = 114069,
  [SMALL_STATE(3279)] = 114084,
  [SMALL_STATE(3280)] = 114103,
  [SMALL_STATE(3281)] = 114122,
  [SMALL_STATE(3282)] = 114133,
  [SMALL_STATE(3283)] = 114152,
  [SMALL_STATE(3284)] = 114171,
  [SMALL_STATE(3285)] = 114188,
  [SMALL_STATE(3286)] = 114207,
  [SMALL_STATE(3287)] = 114220,
  [SMALL_STATE(3288)] = 114231,
  [SMALL_STATE(3289)] = 114242,
  [SMALL_STATE(3290)] = 114253,
  [SMALL_STATE(3291)] = 114264,
  [SMALL_STATE(3292)] = 114275,
  [SMALL_STATE(3293)] = 114286,
  [SMALL_STATE(3294)] = 114297,
  [SMALL_STATE(3295)] = 114310,
  [SMALL_STATE(3296)] = 114321,
  [SMALL_STATE(3297)] = 114332,
  [SMALL_STATE(3298)] = 114351,
  [SMALL_STATE(3299)] = 114366,
  [SMALL_STATE(3300)] = 114377,
  [SMALL_STATE(3301)] = 114388,
  [SMALL_STATE(3302)] = 114399,
  [SMALL_STATE(3303)] = 114410,
  [SMALL_STATE(3304)] = 114421,
  [SMALL_STATE(3305)] = 114432,
  [SMALL_STATE(3306)] = 114443,
  [SMALL_STATE(3307)] = 114454,
  [SMALL_STATE(3308)] = 114465,
  [SMALL_STATE(3309)] = 114476,
  [SMALL_STATE(3310)] = 114487,
  [SMALL_STATE(3311)] = 114498,
  [SMALL_STATE(3312)] = 114509,
  [SMALL_STATE(3313)] = 114522,
  [SMALL_STATE(3314)] = 114535,
  [SMALL_STATE(3315)] = 114554,
  [SMALL_STATE(3316)] = 114569,
  [SMALL_STATE(3317)] = 114582,
  [SMALL_STATE(3318)] = 114595,
  [SMALL_STATE(3319)] = 114606,
  [SMALL_STATE(3320)] = 114619,
  [SMALL_STATE(3321)] = 114630,
  [SMALL_STATE(3322)] = 114647,
  [SMALL_STATE(3323)] = 114660,
  [SMALL_STATE(3324)] = 114679,
  [SMALL_STATE(3325)] = 114690,
  [SMALL_STATE(3326)] = 114701,
  [SMALL_STATE(3327)] = 114712,
  [SMALL_STATE(3328)] = 114723,
  [SMALL_STATE(3329)] = 114734,
  [SMALL_STATE(3330)] = 114745,
  [SMALL_STATE(3331)] = 114756,
  [SMALL_STATE(3332)] = 114773,
  [SMALL_STATE(3333)] = 114784,
  [SMALL_STATE(3334)] = 114795,
  [SMALL_STATE(3335)] = 114814,
  [SMALL_STATE(3336)] = 114825,
  [SMALL_STATE(3337)] = 114836,
  [SMALL_STATE(3338)] = 114847,
  [SMALL_STATE(3339)] = 114858,
  [SMALL_STATE(3340)] = 114873,
  [SMALL_STATE(3341)] = 114892,
  [SMALL_STATE(3342)] = 114909,
  [SMALL_STATE(3343)] = 114920,
  [SMALL_STATE(3344)] = 114931,
  [SMALL_STATE(3345)] = 114950,
  [SMALL_STATE(3346)] = 114961,
  [SMALL_STATE(3347)] = 114972,
  [SMALL_STATE(3348)] = 114983,
  [SMALL_STATE(3349)] = 115002,
  [SMALL_STATE(3350)] = 115013,
  [SMALL_STATE(3351)] = 115030,
  [SMALL_STATE(3352)] = 115049,
  [SMALL_STATE(3353)] = 115060,
  [SMALL_STATE(3354)] = 115071,
  [SMALL_STATE(3355)] = 115082,
  [SMALL_STATE(3356)] = 115101,
  [SMALL_STATE(3357)] = 115112,
  [SMALL_STATE(3358)] = 115123,
  [SMALL_STATE(3359)] = 115142,
  [SMALL_STATE(3360)] = 115155,
  [SMALL_STATE(3361)] = 115166,
  [SMALL_STATE(3362)] = 115177,
  [SMALL_STATE(3363)] = 115188,
  [SMALL_STATE(3364)] = 115199,
  [SMALL_STATE(3365)] = 115210,
  [SMALL_STATE(3366)] = 115221,
  [SMALL_STATE(3367)] = 115236,
  [SMALL_STATE(3368)] = 115247,
  [SMALL_STATE(3369)] = 115258,
  [SMALL_STATE(3370)] = 115269,
  [SMALL_STATE(3371)] = 115288,
  [SMALL_STATE(3372)] = 115299,
  [SMALL_STATE(3373)] = 115318,
  [SMALL_STATE(3374)] = 115337,
  [SMALL_STATE(3375)] = 115352,
  [SMALL_STATE(3376)] = 115369,
  [SMALL_STATE(3377)] = 115380,
  [SMALL_STATE(3378)] = 115391,
  [SMALL_STATE(3379)] = 115410,
  [SMALL_STATE(3380)] = 115429,
  [SMALL_STATE(3381)] = 115442,
  [SMALL_STATE(3382)] = 115461,
  [SMALL_STATE(3383)] = 115472,
  [SMALL_STATE(3384)] = 115483,
  [SMALL_STATE(3385)] = 115494,
  [SMALL_STATE(3386)] = 115505,
  [SMALL_STATE(3387)] = 115524,
  [SMALL_STATE(3388)] = 115535,
  [SMALL_STATE(3389)] = 115546,
  [SMALL_STATE(3390)] = 115557,
  [SMALL_STATE(3391)] = 115568,
  [SMALL_STATE(3392)] = 115579,
  [SMALL_STATE(3393)] = 115592,
  [SMALL_STATE(3394)] = 115603,
  [SMALL_STATE(3395)] = 115618,
  [SMALL_STATE(3396)] = 115629,
  [SMALL_STATE(3397)] = 115648,
  [SMALL_STATE(3398)] = 115667,
  [SMALL_STATE(3399)] = 115678,
  [SMALL_STATE(3400)] = 115689,
  [SMALL_STATE(3401)] = 115706,
  [SMALL_STATE(3402)] = 115725,
  [SMALL_STATE(3403)] = 115744,
  [SMALL_STATE(3404)] = 115761,
  [SMALL_STATE(3405)] = 115772,
  [SMALL_STATE(3406)] = 115783,
  [SMALL_STATE(3407)] = 115794,
  [SMALL_STATE(3408)] = 115813,
  [SMALL_STATE(3409)] = 115832,
  [SMALL_STATE(3410)] = 115845,
  [SMALL_STATE(3411)] = 115856,
  [SMALL_STATE(3412)] = 115867,
  [SMALL_STATE(3413)] = 115878,
  [SMALL_STATE(3414)] = 115889,
  [SMALL_STATE(3415)] = 115904,
  [SMALL_STATE(3416)] = 115915,
  [SMALL_STATE(3417)] = 115926,
  [SMALL_STATE(3418)] = 115942,
  [SMALL_STATE(3419)] = 115958,
  [SMALL_STATE(3420)] = 115972,
  [SMALL_STATE(3421)] = 115988,
  [SMALL_STATE(3422)] = 116002,
  [SMALL_STATE(3423)] = 116018,
  [SMALL_STATE(3424)] = 116034,
  [SMALL_STATE(3425)] = 116050,
  [SMALL_STATE(3426)] = 116066,
  [SMALL_STATE(3427)] = 116082,
  [SMALL_STATE(3428)] = 116096,
  [SMALL_STATE(3429)] = 116108,
  [SMALL_STATE(3430)] = 116122,
  [SMALL_STATE(3431)] = 116138,
  [SMALL_STATE(3432)] = 116154,
  [SMALL_STATE(3433)] = 116170,
  [SMALL_STATE(3434)] = 116186,
  [SMALL_STATE(3435)] = 116202,
  [SMALL_STATE(3436)] = 116216,
  [SMALL_STATE(3437)] = 116232,
  [SMALL_STATE(3438)] = 116248,
  [SMALL_STATE(3439)] = 116264,
  [SMALL_STATE(3440)] = 116278,
  [SMALL_STATE(3441)] = 116292,
  [SMALL_STATE(3442)] = 116306,
  [SMALL_STATE(3443)] = 116320,
  [SMALL_STATE(3444)] = 116336,
  [SMALL_STATE(3445)] = 116350,
  [SMALL_STATE(3446)] = 116366,
  [SMALL_STATE(3447)] = 116382,
  [SMALL_STATE(3448)] = 116398,
  [SMALL_STATE(3449)] = 116410,
  [SMALL_STATE(3450)] = 116426,
  [SMALL_STATE(3451)] = 116442,
  [SMALL_STATE(3452)] = 116456,
  [SMALL_STATE(3453)] = 116470,
  [SMALL_STATE(3454)] = 116484,
  [SMALL_STATE(3455)] = 116498,
  [SMALL_STATE(3456)] = 116512,
  [SMALL_STATE(3457)] = 116528,
  [SMALL_STATE(3458)] = 116542,
  [SMALL_STATE(3459)] = 116556,
  [SMALL_STATE(3460)] = 116572,
  [SMALL_STATE(3461)] = 116586,
  [SMALL_STATE(3462)] = 116602,
  [SMALL_STATE(3463)] = 116616,
  [SMALL_STATE(3464)] = 116630,
  [SMALL_STATE(3465)] = 116644,
  [SMALL_STATE(3466)] = 116658,
  [SMALL_STATE(3467)] = 116674,
  [SMALL_STATE(3468)] = 116690,
  [SMALL_STATE(3469)] = 116706,
  [SMALL_STATE(3470)] = 116720,
  [SMALL_STATE(3471)] = 116734,
  [SMALL_STATE(3472)] = 116748,
  [SMALL_STATE(3473)] = 116762,
  [SMALL_STATE(3474)] = 116778,
  [SMALL_STATE(3475)] = 116792,
  [SMALL_STATE(3476)] = 116808,
  [SMALL_STATE(3477)] = 116822,
  [SMALL_STATE(3478)] = 116836,
  [SMALL_STATE(3479)] = 116850,
  [SMALL_STATE(3480)] = 116864,
  [SMALL_STATE(3481)] = 116878,
  [SMALL_STATE(3482)] = 116892,
  [SMALL_STATE(3483)] = 116906,
  [SMALL_STATE(3484)] = 116916,
  [SMALL_STATE(3485)] = 116932,
  [SMALL_STATE(3486)] = 116946,
  [SMALL_STATE(3487)] = 116962,
  [SMALL_STATE(3488)] = 116978,
  [SMALL_STATE(3489)] = 116994,
  [SMALL_STATE(3490)] = 117010,
  [SMALL_STATE(3491)] = 117024,
  [SMALL_STATE(3492)] = 117038,
  [SMALL_STATE(3493)] = 117054,
  [SMALL_STATE(3494)] = 117068,
  [SMALL_STATE(3495)] = 117082,
  [SMALL_STATE(3496)] = 117096,
  [SMALL_STATE(3497)] = 117112,
  [SMALL_STATE(3498)] = 117128,
  [SMALL_STATE(3499)] = 117144,
  [SMALL_STATE(3500)] = 117160,
  [SMALL_STATE(3501)] = 117176,
  [SMALL_STATE(3502)] = 117192,
  [SMALL_STATE(3503)] = 117208,
  [SMALL_STATE(3504)] = 117222,
  [SMALL_STATE(3505)] = 117236,
  [SMALL_STATE(3506)] = 117250,
  [SMALL_STATE(3507)] = 117266,
  [SMALL_STATE(3508)] = 117282,
  [SMALL_STATE(3509)] = 117298,
  [SMALL_STATE(3510)] = 117314,
  [SMALL_STATE(3511)] = 117328,
  [SMALL_STATE(3512)] = 117342,
  [SMALL_STATE(3513)] = 117358,
  [SMALL_STATE(3514)] = 117372,
  [SMALL_STATE(3515)] = 117386,
  [SMALL_STATE(3516)] = 117400,
  [SMALL_STATE(3517)] = 117414,
  [SMALL_STATE(3518)] = 117428,
  [SMALL_STATE(3519)] = 117444,
  [SMALL_STATE(3520)] = 117454,
  [SMALL_STATE(3521)] = 117470,
  [SMALL_STATE(3522)] = 117484,
  [SMALL_STATE(3523)] = 117494,
  [SMALL_STATE(3524)] = 117508,
  [SMALL_STATE(3525)] = 117522,
  [SMALL_STATE(3526)] = 117536,
  [SMALL_STATE(3527)] = 117550,
  [SMALL_STATE(3528)] = 117566,
  [SMALL_STATE(3529)] = 117582,
  [SMALL_STATE(3530)] = 117596,
  [SMALL_STATE(3531)] = 117610,
  [SMALL_STATE(3532)] = 117626,
  [SMALL_STATE(3533)] = 117642,
  [SMALL_STATE(3534)] = 117656,
  [SMALL_STATE(3535)] = 117672,
  [SMALL_STATE(3536)] = 117686,
  [SMALL_STATE(3537)] = 117702,
  [SMALL_STATE(3538)] = 117718,
  [SMALL_STATE(3539)] = 117732,
  [SMALL_STATE(3540)] = 117748,
  [SMALL_STATE(3541)] = 117764,
  [SMALL_STATE(3542)] = 117778,
  [SMALL_STATE(3543)] = 117792,
  [SMALL_STATE(3544)] = 117808,
  [SMALL_STATE(3545)] = 117824,
  [SMALL_STATE(3546)] = 117838,
  [SMALL_STATE(3547)] = 117854,
  [SMALL_STATE(3548)] = 117870,
  [SMALL_STATE(3549)] = 117883,
  [SMALL_STATE(3550)] = 117892,
  [SMALL_STATE(3551)] = 117903,
  [SMALL_STATE(3552)] = 117916,
  [SMALL_STATE(3553)] = 117929,
  [SMALL_STATE(3554)] = 117942,
  [SMALL_STATE(3555)] = 117953,
  [SMALL_STATE(3556)] = 117966,
  [SMALL_STATE(3557)] = 117979,
  [SMALL_STATE(3558)] = 117992,
  [SMALL_STATE(3559)] = 118001,
  [SMALL_STATE(3560)] = 118014,
  [SMALL_STATE(3561)] = 118027,
  [SMALL_STATE(3562)] = 118036,
  [SMALL_STATE(3563)] = 118049,
  [SMALL_STATE(3564)] = 118062,
  [SMALL_STATE(3565)] = 118071,
  [SMALL_STATE(3566)] = 118084,
  [SMALL_STATE(3567)] = 118093,
  [SMALL_STATE(3568)] = 118106,
  [SMALL_STATE(3569)] = 118119,
  [SMALL_STATE(3570)] = 118128,
  [SMALL_STATE(3571)] = 118141,
  [SMALL_STATE(3572)] = 118154,
  [SMALL_STATE(3573)] = 118163,
  [SMALL_STATE(3574)] = 118176,
  [SMALL_STATE(3575)] = 118189,
  [SMALL_STATE(3576)] = 118202,
  [SMALL_STATE(3577)] = 118215,
  [SMALL_STATE(3578)] = 118226,
  [SMALL_STATE(3579)] = 118237,
  [SMALL_STATE(3580)] = 118250,
  [SMALL_STATE(3581)] = 118263,
  [SMALL_STATE(3582)] = 118272,
  [SMALL_STATE(3583)] = 118285,
  [SMALL_STATE(3584)] = 118296,
  [SMALL_STATE(3585)] = 118309,
  [SMALL_STATE(3586)] = 118322,
  [SMALL_STATE(3587)] = 118331,
  [SMALL_STATE(3588)] = 118340,
  [SMALL_STATE(3589)] = 118353,
  [SMALL_STATE(3590)] = 118366,
  [SMALL_STATE(3591)] = 118375,
  [SMALL_STATE(3592)] = 118384,
  [SMALL_STATE(3593)] = 118397,
  [SMALL_STATE(3594)] = 118408,
  [SMALL_STATE(3595)] = 118417,
  [SMALL_STATE(3596)] = 118430,
  [SMALL_STATE(3597)] = 118443,
  [SMALL_STATE(3598)] = 118452,
  [SMALL_STATE(3599)] = 118465,
  [SMALL_STATE(3600)] = 118478,
  [SMALL_STATE(3601)] = 118491,
  [SMALL_STATE(3602)] = 118504,
  [SMALL_STATE(3603)] = 118517,
  [SMALL_STATE(3604)] = 118526,
  [SMALL_STATE(3605)] = 118535,
  [SMALL_STATE(3606)] = 118548,
  [SMALL_STATE(3607)] = 118561,
  [SMALL_STATE(3608)] = 118574,
  [SMALL_STATE(3609)] = 118583,
  [SMALL_STATE(3610)] = 118592,
  [SMALL_STATE(3611)] = 118601,
  [SMALL_STATE(3612)] = 118614,
  [SMALL_STATE(3613)] = 118623,
  [SMALL_STATE(3614)] = 118632,
  [SMALL_STATE(3615)] = 118645,
  [SMALL_STATE(3616)] = 118658,
  [SMALL_STATE(3617)] = 118667,
  [SMALL_STATE(3618)] = 118678,
  [SMALL_STATE(3619)] = 118691,
  [SMALL_STATE(3620)] = 118700,
  [SMALL_STATE(3621)] = 118713,
  [SMALL_STATE(3622)] = 118726,
  [SMALL_STATE(3623)] = 118735,
  [SMALL_STATE(3624)] = 118744,
  [SMALL_STATE(3625)] = 118753,
  [SMALL_STATE(3626)] = 118766,
  [SMALL_STATE(3627)] = 118775,
  [SMALL_STATE(3628)] = 118788,
  [SMALL_STATE(3629)] = 118799,
  [SMALL_STATE(3630)] = 118812,
  [SMALL_STATE(3631)] = 118821,
  [SMALL_STATE(3632)] = 118834,
  [SMALL_STATE(3633)] = 118843,
  [SMALL_STATE(3634)] = 118856,
  [SMALL_STATE(3635)] = 118869,
  [SMALL_STATE(3636)] = 118878,
  [SMALL_STATE(3637)] = 118891,
  [SMALL_STATE(3638)] = 118902,
  [SMALL_STATE(3639)] = 118915,
  [SMALL_STATE(3640)] = 118926,
  [SMALL_STATE(3641)] = 118939,
  [SMALL_STATE(3642)] = 118952,
  [SMALL_STATE(3643)] = 118963,
  [SMALL_STATE(3644)] = 118972,
  [SMALL_STATE(3645)] = 118983,
  [SMALL_STATE(3646)] = 118996,
  [SMALL_STATE(3647)] = 119005,
  [SMALL_STATE(3648)] = 119018,
  [SMALL_STATE(3649)] = 119031,
  [SMALL_STATE(3650)] = 119044,
  [SMALL_STATE(3651)] = 119057,
  [SMALL_STATE(3652)] = 119066,
  [SMALL_STATE(3653)] = 119079,
  [SMALL_STATE(3654)] = 119092,
  [SMALL_STATE(3655)] = 119101,
  [SMALL_STATE(3656)] = 119114,
  [SMALL_STATE(3657)] = 119127,
  [SMALL_STATE(3658)] = 119140,
  [SMALL_STATE(3659)] = 119149,
  [SMALL_STATE(3660)] = 119162,
  [SMALL_STATE(3661)] = 119171,
  [SMALL_STATE(3662)] = 119180,
  [SMALL_STATE(3663)] = 119189,
  [SMALL_STATE(3664)] = 119202,
  [SMALL_STATE(3665)] = 119215,
  [SMALL_STATE(3666)] = 119224,
  [SMALL_STATE(3667)] = 119237,
  [SMALL_STATE(3668)] = 119246,
  [SMALL_STATE(3669)] = 119259,
  [SMALL_STATE(3670)] = 119268,
  [SMALL_STATE(3671)] = 119277,
  [SMALL_STATE(3672)] = 119286,
  [SMALL_STATE(3673)] = 119299,
  [SMALL_STATE(3674)] = 119312,
  [SMALL_STATE(3675)] = 119325,
  [SMALL_STATE(3676)] = 119338,
  [SMALL_STATE(3677)] = 119351,
  [SMALL_STATE(3678)] = 119362,
  [SMALL_STATE(3679)] = 119375,
  [SMALL_STATE(3680)] = 119388,
  [SMALL_STATE(3681)] = 119397,
  [SMALL_STATE(3682)] = 119406,
  [SMALL_STATE(3683)] = 119415,
  [SMALL_STATE(3684)] = 119424,
  [SMALL_STATE(3685)] = 119435,
  [SMALL_STATE(3686)] = 119446,
  [SMALL_STATE(3687)] = 119459,
  [SMALL_STATE(3688)] = 119468,
  [SMALL_STATE(3689)] = 119481,
  [SMALL_STATE(3690)] = 119494,
  [SMALL_STATE(3691)] = 119507,
  [SMALL_STATE(3692)] = 119516,
  [SMALL_STATE(3693)] = 119529,
  [SMALL_STATE(3694)] = 119542,
  [SMALL_STATE(3695)] = 119551,
  [SMALL_STATE(3696)] = 119560,
  [SMALL_STATE(3697)] = 119569,
  [SMALL_STATE(3698)] = 119578,
  [SMALL_STATE(3699)] = 119587,
  [SMALL_STATE(3700)] = 119596,
  [SMALL_STATE(3701)] = 119605,
  [SMALL_STATE(3702)] = 119614,
  [SMALL_STATE(3703)] = 119627,
  [SMALL_STATE(3704)] = 119640,
  [SMALL_STATE(3705)] = 119653,
  [SMALL_STATE(3706)] = 119662,
  [SMALL_STATE(3707)] = 119675,
  [SMALL_STATE(3708)] = 119688,
  [SMALL_STATE(3709)] = 119701,
  [SMALL_STATE(3710)] = 119714,
  [SMALL_STATE(3711)] = 119727,
  [SMALL_STATE(3712)] = 119740,
  [SMALL_STATE(3713)] = 119753,
  [SMALL_STATE(3714)] = 119766,
  [SMALL_STATE(3715)] = 119777,
  [SMALL_STATE(3716)] = 119790,
  [SMALL_STATE(3717)] = 119799,
  [SMALL_STATE(3718)] = 119808,
  [SMALL_STATE(3719)] = 119821,
  [SMALL_STATE(3720)] = 119834,
  [SMALL_STATE(3721)] = 119847,
  [SMALL_STATE(3722)] = 119856,
  [SMALL_STATE(3723)] = 119865,
  [SMALL_STATE(3724)] = 119874,
  [SMALL_STATE(3725)] = 119887,
  [SMALL_STATE(3726)] = 119900,
  [SMALL_STATE(3727)] = 119913,
  [SMALL_STATE(3728)] = 119922,
  [SMALL_STATE(3729)] = 119931,
  [SMALL_STATE(3730)] = 119942,
  [SMALL_STATE(3731)] = 119951,
  [SMALL_STATE(3732)] = 119960,
  [SMALL_STATE(3733)] = 119973,
  [SMALL_STATE(3734)] = 119986,
  [SMALL_STATE(3735)] = 119995,
  [SMALL_STATE(3736)] = 120004,
  [SMALL_STATE(3737)] = 120017,
  [SMALL_STATE(3738)] = 120030,
  [SMALL_STATE(3739)] = 120043,
  [SMALL_STATE(3740)] = 120052,
  [SMALL_STATE(3741)] = 120061,
  [SMALL_STATE(3742)] = 120072,
  [SMALL_STATE(3743)] = 120085,
  [SMALL_STATE(3744)] = 120094,
  [SMALL_STATE(3745)] = 120103,
  [SMALL_STATE(3746)] = 120112,
  [SMALL_STATE(3747)] = 120121,
  [SMALL_STATE(3748)] = 120134,
  [SMALL_STATE(3749)] = 120147,
  [SMALL_STATE(3750)] = 120160,
  [SMALL_STATE(3751)] = 120173,
  [SMALL_STATE(3752)] = 120186,
  [SMALL_STATE(3753)] = 120199,
  [SMALL_STATE(3754)] = 120212,
  [SMALL_STATE(3755)] = 120225,
  [SMALL_STATE(3756)] = 120238,
  [SMALL_STATE(3757)] = 120251,
  [SMALL_STATE(3758)] = 120262,
  [SMALL_STATE(3759)] = 120275,
  [SMALL_STATE(3760)] = 120288,
  [SMALL_STATE(3761)] = 120299,
  [SMALL_STATE(3762)] = 120308,
  [SMALL_STATE(3763)] = 120319,
  [SMALL_STATE(3764)] = 120328,
  [SMALL_STATE(3765)] = 120341,
  [SMALL_STATE(3766)] = 120354,
  [SMALL_STATE(3767)] = 120367,
  [SMALL_STATE(3768)] = 120380,
  [SMALL_STATE(3769)] = 120393,
  [SMALL_STATE(3770)] = 120406,
  [SMALL_STATE(3771)] = 120419,
  [SMALL_STATE(3772)] = 120428,
  [SMALL_STATE(3773)] = 120441,
  [SMALL_STATE(3774)] = 120454,
  [SMALL_STATE(3775)] = 120467,
  [SMALL_STATE(3776)] = 120480,
  [SMALL_STATE(3777)] = 120493,
  [SMALL_STATE(3778)] = 120504,
  [SMALL_STATE(3779)] = 120517,
  [SMALL_STATE(3780)] = 120528,
  [SMALL_STATE(3781)] = 120541,
  [SMALL_STATE(3782)] = 120554,
  [SMALL_STATE(3783)] = 120563,
  [SMALL_STATE(3784)] = 120572,
  [SMALL_STATE(3785)] = 120585,
  [SMALL_STATE(3786)] = 120598,
  [SMALL_STATE(3787)] = 120611,
  [SMALL_STATE(3788)] = 120624,
  [SMALL_STATE(3789)] = 120637,
  [SMALL_STATE(3790)] = 120646,
  [SMALL_STATE(3791)] = 120659,
  [SMALL_STATE(3792)] = 120672,
  [SMALL_STATE(3793)] = 120683,
  [SMALL_STATE(3794)] = 120696,
  [SMALL_STATE(3795)] = 120709,
  [SMALL_STATE(3796)] = 120718,
  [SMALL_STATE(3797)] = 120731,
  [SMALL_STATE(3798)] = 120744,
  [SMALL_STATE(3799)] = 120757,
  [SMALL_STATE(3800)] = 120770,
  [SMALL_STATE(3801)] = 120779,
  [SMALL_STATE(3802)] = 120792,
  [SMALL_STATE(3803)] = 120801,
  [SMALL_STATE(3804)] = 120812,
  [SMALL_STATE(3805)] = 120825,
  [SMALL_STATE(3806)] = 120838,
  [SMALL_STATE(3807)] = 120851,
  [SMALL_STATE(3808)] = 120859,
  [SMALL_STATE(3809)] = 120867,
  [SMALL_STATE(3810)] = 120877,
  [SMALL_STATE(3811)] = 120887,
  [SMALL_STATE(3812)] = 120897,
  [SMALL_STATE(3813)] = 120907,
  [SMALL_STATE(3814)] = 120917,
  [SMALL_STATE(3815)] = 120927,
  [SMALL_STATE(3816)] = 120935,
  [SMALL_STATE(3817)] = 120943,
  [SMALL_STATE(3818)] = 120953,
  [SMALL_STATE(3819)] = 120963,
  [SMALL_STATE(3820)] = 120973,
  [SMALL_STATE(3821)] = 120983,
  [SMALL_STATE(3822)] = 120993,
  [SMALL_STATE(3823)] = 121003,
  [SMALL_STATE(3824)] = 121011,
  [SMALL_STATE(3825)] = 121021,
  [SMALL_STATE(3826)] = 121031,
  [SMALL_STATE(3827)] = 121039,
  [SMALL_STATE(3828)] = 121049,
  [SMALL_STATE(3829)] = 121057,
  [SMALL_STATE(3830)] = 121067,
  [SMALL_STATE(3831)] = 121077,
  [SMALL_STATE(3832)] = 121085,
  [SMALL_STATE(3833)] = 121095,
  [SMALL_STATE(3834)] = 121105,
  [SMALL_STATE(3835)] = 121113,
  [SMALL_STATE(3836)] = 121121,
  [SMALL_STATE(3837)] = 121131,
  [SMALL_STATE(3838)] = 121139,
  [SMALL_STATE(3839)] = 121149,
  [SMALL_STATE(3840)] = 121159,
  [SMALL_STATE(3841)] = 121169,
  [SMALL_STATE(3842)] = 121179,
  [SMALL_STATE(3843)] = 121187,
  [SMALL_STATE(3844)] = 121197,
  [SMALL_STATE(3845)] = 121207,
  [SMALL_STATE(3846)] = 121215,
  [SMALL_STATE(3847)] = 121225,
  [SMALL_STATE(3848)] = 121235,
  [SMALL_STATE(3849)] = 121245,
  [SMALL_STATE(3850)] = 121255,
  [SMALL_STATE(3851)] = 121263,
  [SMALL_STATE(3852)] = 121273,
  [SMALL_STATE(3853)] = 121283,
  [SMALL_STATE(3854)] = 121293,
  [SMALL_STATE(3855)] = 121303,
  [SMALL_STATE(3856)] = 121311,
  [SMALL_STATE(3857)] = 121319,
  [SMALL_STATE(3858)] = 121329,
  [SMALL_STATE(3859)] = 121339,
  [SMALL_STATE(3860)] = 121349,
  [SMALL_STATE(3861)] = 121359,
  [SMALL_STATE(3862)] = 121369,
  [SMALL_STATE(3863)] = 121379,
  [SMALL_STATE(3864)] = 121389,
  [SMALL_STATE(3865)] = 121399,
  [SMALL_STATE(3866)] = 121409,
  [SMALL_STATE(3867)] = 121419,
  [SMALL_STATE(3868)] = 121427,
  [SMALL_STATE(3869)] = 121437,
  [SMALL_STATE(3870)] = 121447,
  [SMALL_STATE(3871)] = 121455,
  [SMALL_STATE(3872)] = 121463,
  [SMALL_STATE(3873)] = 121473,
  [SMALL_STATE(3874)] = 121481,
  [SMALL_STATE(3875)] = 121491,
  [SMALL_STATE(3876)] = 121501,
  [SMALL_STATE(3877)] = 121509,
  [SMALL_STATE(3878)] = 121519,
  [SMALL_STATE(3879)] = 121529,
  [SMALL_STATE(3880)] = 121537,
  [SMALL_STATE(3881)] = 121547,
  [SMALL_STATE(3882)] = 121557,
  [SMALL_STATE(3883)] = 121567,
  [SMALL_STATE(3884)] = 121577,
  [SMALL_STATE(3885)] = 121585,
  [SMALL_STATE(3886)] = 121595,
  [SMALL_STATE(3887)] = 121605,
  [SMALL_STATE(3888)] = 121615,
  [SMALL_STATE(3889)] = 121623,
  [SMALL_STATE(3890)] = 121633,
  [SMALL_STATE(3891)] = 121643,
  [SMALL_STATE(3892)] = 121651,
  [SMALL_STATE(3893)] = 121659,
  [SMALL_STATE(3894)] = 121669,
  [SMALL_STATE(3895)] = 121679,
  [SMALL_STATE(3896)] = 121687,
  [SMALL_STATE(3897)] = 121697,
  [SMALL_STATE(3898)] = 121707,
  [SMALL_STATE(3899)] = 121717,
  [SMALL_STATE(3900)] = 121727,
  [SMALL_STATE(3901)] = 121737,
  [SMALL_STATE(3902)] = 121747,
  [SMALL_STATE(3903)] = 121757,
  [SMALL_STATE(3904)] = 121767,
  [SMALL_STATE(3905)] = 121777,
  [SMALL_STATE(3906)] = 121787,
  [SMALL_STATE(3907)] = 121795,
  [SMALL_STATE(3908)] = 121805,
  [SMALL_STATE(3909)] = 121815,
  [SMALL_STATE(3910)] = 121825,
  [SMALL_STATE(3911)] = 121835,
  [SMALL_STATE(3912)] = 121845,
  [SMALL_STATE(3913)] = 121855,
  [SMALL_STATE(3914)] = 121865,
  [SMALL_STATE(3915)] = 121873,
  [SMALL_STATE(3916)] = 121883,
  [SMALL_STATE(3917)] = 121891,
  [SMALL_STATE(3918)] = 121901,
  [SMALL_STATE(3919)] = 121911,
  [SMALL_STATE(3920)] = 121921,
  [SMALL_STATE(3921)] = 121931,
  [SMALL_STATE(3922)] = 121941,
  [SMALL_STATE(3923)] = 121951,
  [SMALL_STATE(3924)] = 121961,
  [SMALL_STATE(3925)] = 121969,
  [SMALL_STATE(3926)] = 121979,
  [SMALL_STATE(3927)] = 121989,
  [SMALL_STATE(3928)] = 121999,
  [SMALL_STATE(3929)] = 122009,
  [SMALL_STATE(3930)] = 122019,
  [SMALL_STATE(3931)] = 122029,
  [SMALL_STATE(3932)] = 122039,
  [SMALL_STATE(3933)] = 122047,
  [SMALL_STATE(3934)] = 122057,
  [SMALL_STATE(3935)] = 122065,
  [SMALL_STATE(3936)] = 122075,
  [SMALL_STATE(3937)] = 122085,
  [SMALL_STATE(3938)] = 122095,
  [SMALL_STATE(3939)] = 122103,
  [SMALL_STATE(3940)] = 122113,
  [SMALL_STATE(3941)] = 122123,
  [SMALL_STATE(3942)] = 122133,
  [SMALL_STATE(3943)] = 122143,
  [SMALL_STATE(3944)] = 122153,
  [SMALL_STATE(3945)] = 122163,
  [SMALL_STATE(3946)] = 122173,
  [SMALL_STATE(3947)] = 122183,
  [SMALL_STATE(3948)] = 122191,
  [SMALL_STATE(3949)] = 122201,
  [SMALL_STATE(3950)] = 122211,
  [SMALL_STATE(3951)] = 122219,
  [SMALL_STATE(3952)] = 122227,
  [SMALL_STATE(3953)] = 122235,
  [SMALL_STATE(3954)] = 122243,
  [SMALL_STATE(3955)] = 122251,
  [SMALL_STATE(3956)] = 122261,
  [SMALL_STATE(3957)] = 122271,
  [SMALL_STATE(3958)] = 122281,
  [SMALL_STATE(3959)] = 122289,
  [SMALL_STATE(3960)] = 122297,
  [SMALL_STATE(3961)] = 122307,
  [SMALL_STATE(3962)] = 122317,
  [SMALL_STATE(3963)] = 122325,
  [SMALL_STATE(3964)] = 122335,
  [SMALL_STATE(3965)] = 122345,
  [SMALL_STATE(3966)] = 122355,
  [SMALL_STATE(3967)] = 122363,
  [SMALL_STATE(3968)] = 122373,
  [SMALL_STATE(3969)] = 122383,
  [SMALL_STATE(3970)] = 122393,
  [SMALL_STATE(3971)] = 122403,
  [SMALL_STATE(3972)] = 122413,
  [SMALL_STATE(3973)] = 122423,
  [SMALL_STATE(3974)] = 122433,
  [SMALL_STATE(3975)] = 122443,
  [SMALL_STATE(3976)] = 122453,
  [SMALL_STATE(3977)] = 122463,
  [SMALL_STATE(3978)] = 122473,
  [SMALL_STATE(3979)] = 122483,
  [SMALL_STATE(3980)] = 122493,
  [SMALL_STATE(3981)] = 122503,
  [SMALL_STATE(3982)] = 122513,
  [SMALL_STATE(3983)] = 122523,
  [SMALL_STATE(3984)] = 122533,
  [SMALL_STATE(3985)] = 122543,
  [SMALL_STATE(3986)] = 122553,
  [SMALL_STATE(3987)] = 122563,
  [SMALL_STATE(3988)] = 122573,
  [SMALL_STATE(3989)] = 122581,
  [SMALL_STATE(3990)] = 122591,
  [SMALL_STATE(3991)] = 122601,
  [SMALL_STATE(3992)] = 122611,
  [SMALL_STATE(3993)] = 122621,
  [SMALL_STATE(3994)] = 122631,
  [SMALL_STATE(3995)] = 122639,
  [SMALL_STATE(3996)] = 122649,
  [SMALL_STATE(3997)] = 122657,
  [SMALL_STATE(3998)] = 122667,
  [SMALL_STATE(3999)] = 122677,
  [SMALL_STATE(4000)] = 122687,
  [SMALL_STATE(4001)] = 122695,
  [SMALL_STATE(4002)] = 122705,
  [SMALL_STATE(4003)] = 122715,
  [SMALL_STATE(4004)] = 122725,
  [SMALL_STATE(4005)] = 122735,
  [SMALL_STATE(4006)] = 122745,
  [SMALL_STATE(4007)] = 122755,
  [SMALL_STATE(4008)] = 122765,
  [SMALL_STATE(4009)] = 122775,
  [SMALL_STATE(4010)] = 122785,
  [SMALL_STATE(4011)] = 122795,
  [SMALL_STATE(4012)] = 122803,
  [SMALL_STATE(4013)] = 122813,
  [SMALL_STATE(4014)] = 122823,
  [SMALL_STATE(4015)] = 122833,
  [SMALL_STATE(4016)] = 122843,
  [SMALL_STATE(4017)] = 122853,
  [SMALL_STATE(4018)] = 122863,
  [SMALL_STATE(4019)] = 122873,
  [SMALL_STATE(4020)] = 122881,
  [SMALL_STATE(4021)] = 122891,
  [SMALL_STATE(4022)] = 122901,
  [SMALL_STATE(4023)] = 122911,
  [SMALL_STATE(4024)] = 122921,
  [SMALL_STATE(4025)] = 122931,
  [SMALL_STATE(4026)] = 122939,
  [SMALL_STATE(4027)] = 122947,
  [SMALL_STATE(4028)] = 122957,
  [SMALL_STATE(4029)] = 122967,
  [SMALL_STATE(4030)] = 122975,
  [SMALL_STATE(4031)] = 122985,
  [SMALL_STATE(4032)] = 122993,
  [SMALL_STATE(4033)] = 123003,
  [SMALL_STATE(4034)] = 123011,
  [SMALL_STATE(4035)] = 123021,
  [SMALL_STATE(4036)] = 123029,
  [SMALL_STATE(4037)] = 123039,
  [SMALL_STATE(4038)] = 123047,
  [SMALL_STATE(4039)] = 123055,
  [SMALL_STATE(4040)] = 123063,
  [SMALL_STATE(4041)] = 123071,
  [SMALL_STATE(4042)] = 123079,
  [SMALL_STATE(4043)] = 123089,
  [SMALL_STATE(4044)] = 123097,
  [SMALL_STATE(4045)] = 123105,
  [SMALL_STATE(4046)] = 123115,
  [SMALL_STATE(4047)] = 123125,
  [SMALL_STATE(4048)] = 123135,
  [SMALL_STATE(4049)] = 123143,
  [SMALL_STATE(4050)] = 123153,
  [SMALL_STATE(4051)] = 123163,
  [SMALL_STATE(4052)] = 123171,
  [SMALL_STATE(4053)] = 123181,
  [SMALL_STATE(4054)] = 123191,
  [SMALL_STATE(4055)] = 123199,
  [SMALL_STATE(4056)] = 123209,
  [SMALL_STATE(4057)] = 123219,
  [SMALL_STATE(4058)] = 123229,
  [SMALL_STATE(4059)] = 123237,
  [SMALL_STATE(4060)] = 123247,
  [SMALL_STATE(4061)] = 123257,
  [SMALL_STATE(4062)] = 123267,
  [SMALL_STATE(4063)] = 123277,
  [SMALL_STATE(4064)] = 123285,
  [SMALL_STATE(4065)] = 123293,
  [SMALL_STATE(4066)] = 123303,
  [SMALL_STATE(4067)] = 123313,
  [SMALL_STATE(4068)] = 123321,
  [SMALL_STATE(4069)] = 123331,
  [SMALL_STATE(4070)] = 123341,
  [SMALL_STATE(4071)] = 123349,
  [SMALL_STATE(4072)] = 123357,
  [SMALL_STATE(4073)] = 123365,
  [SMALL_STATE(4074)] = 123375,
  [SMALL_STATE(4075)] = 123385,
  [SMALL_STATE(4076)] = 123395,
  [SMALL_STATE(4077)] = 123405,
  [SMALL_STATE(4078)] = 123415,
  [SMALL_STATE(4079)] = 123425,
  [SMALL_STATE(4080)] = 123435,
  [SMALL_STATE(4081)] = 123443,
  [SMALL_STATE(4082)] = 123453,
  [SMALL_STATE(4083)] = 123463,
  [SMALL_STATE(4084)] = 123473,
  [SMALL_STATE(4085)] = 123483,
  [SMALL_STATE(4086)] = 123490,
  [SMALL_STATE(4087)] = 123497,
  [SMALL_STATE(4088)] = 123504,
  [SMALL_STATE(4089)] = 123511,
  [SMALL_STATE(4090)] = 123518,
  [SMALL_STATE(4091)] = 123525,
  [SMALL_STATE(4092)] = 123532,
  [SMALL_STATE(4093)] = 123539,
  [SMALL_STATE(4094)] = 123546,
  [SMALL_STATE(4095)] = 123553,
  [SMALL_STATE(4096)] = 123560,
  [SMALL_STATE(4097)] = 123567,
  [SMALL_STATE(4098)] = 123574,
  [SMALL_STATE(4099)] = 123581,
  [SMALL_STATE(4100)] = 123588,
  [SMALL_STATE(4101)] = 123595,
  [SMALL_STATE(4102)] = 123602,
  [SMALL_STATE(4103)] = 123609,
  [SMALL_STATE(4104)] = 123616,
  [SMALL_STATE(4105)] = 123623,
  [SMALL_STATE(4106)] = 123630,
  [SMALL_STATE(4107)] = 123637,
  [SMALL_STATE(4108)] = 123644,
  [SMALL_STATE(4109)] = 123651,
  [SMALL_STATE(4110)] = 123658,
  [SMALL_STATE(4111)] = 123665,
  [SMALL_STATE(4112)] = 123672,
  [SMALL_STATE(4113)] = 123679,
  [SMALL_STATE(4114)] = 123686,
  [SMALL_STATE(4115)] = 123693,
  [SMALL_STATE(4116)] = 123700,
  [SMALL_STATE(4117)] = 123707,
  [SMALL_STATE(4118)] = 123714,
  [SMALL_STATE(4119)] = 123721,
  [SMALL_STATE(4120)] = 123728,
  [SMALL_STATE(4121)] = 123735,
  [SMALL_STATE(4122)] = 123742,
  [SMALL_STATE(4123)] = 123749,
  [SMALL_STATE(4124)] = 123756,
  [SMALL_STATE(4125)] = 123763,
  [SMALL_STATE(4126)] = 123770,
  [SMALL_STATE(4127)] = 123777,
  [SMALL_STATE(4128)] = 123784,
  [SMALL_STATE(4129)] = 123791,
  [SMALL_STATE(4130)] = 123798,
  [SMALL_STATE(4131)] = 123805,
  [SMALL_STATE(4132)] = 123812,
  [SMALL_STATE(4133)] = 123819,
  [SMALL_STATE(4134)] = 123826,
  [SMALL_STATE(4135)] = 123833,
  [SMALL_STATE(4136)] = 123840,
  [SMALL_STATE(4137)] = 123847,
  [SMALL_STATE(4138)] = 123854,
  [SMALL_STATE(4139)] = 123861,
  [SMALL_STATE(4140)] = 123868,
  [SMALL_STATE(4141)] = 123875,
  [SMALL_STATE(4142)] = 123882,
  [SMALL_STATE(4143)] = 123889,
  [SMALL_STATE(4144)] = 123896,
  [SMALL_STATE(4145)] = 123903,
  [SMALL_STATE(4146)] = 123910,
  [SMALL_STATE(4147)] = 123917,
  [SMALL_STATE(4148)] = 123924,
  [SMALL_STATE(4149)] = 123931,
  [SMALL_STATE(4150)] = 123938,
  [SMALL_STATE(4151)] = 123945,
  [SMALL_STATE(4152)] = 123952,
  [SMALL_STATE(4153)] = 123959,
  [SMALL_STATE(4154)] = 123966,
  [SMALL_STATE(4155)] = 123973,
  [SMALL_STATE(4156)] = 123980,
  [SMALL_STATE(4157)] = 123987,
  [SMALL_STATE(4158)] = 123994,
  [SMALL_STATE(4159)] = 124001,
  [SMALL_STATE(4160)] = 124008,
  [SMALL_STATE(4161)] = 124015,
  [SMALL_STATE(4162)] = 124022,
  [SMALL_STATE(4163)] = 124029,
  [SMALL_STATE(4164)] = 124036,
  [SMALL_STATE(4165)] = 124043,
  [SMALL_STATE(4166)] = 124050,
  [SMALL_STATE(4167)] = 124057,
  [SMALL_STATE(4168)] = 124064,
  [SMALL_STATE(4169)] = 124071,
  [SMALL_STATE(4170)] = 124078,
  [SMALL_STATE(4171)] = 124085,
  [SMALL_STATE(4172)] = 124092,
  [SMALL_STATE(4173)] = 124099,
  [SMALL_STATE(4174)] = 124106,
  [SMALL_STATE(4175)] = 124113,
  [SMALL_STATE(4176)] = 124120,
  [SMALL_STATE(4177)] = 124127,
  [SMALL_STATE(4178)] = 124134,
  [SMALL_STATE(4179)] = 124141,
  [SMALL_STATE(4180)] = 124148,
  [SMALL_STATE(4181)] = 124155,
  [SMALL_STATE(4182)] = 124162,
  [SMALL_STATE(4183)] = 124169,
  [SMALL_STATE(4184)] = 124176,
  [SMALL_STATE(4185)] = 124183,
  [SMALL_STATE(4186)] = 124190,
  [SMALL_STATE(4187)] = 124197,
  [SMALL_STATE(4188)] = 124204,
  [SMALL_STATE(4189)] = 124211,
  [SMALL_STATE(4190)] = 124218,
  [SMALL_STATE(4191)] = 124225,
  [SMALL_STATE(4192)] = 124232,
  [SMALL_STATE(4193)] = 124239,
  [SMALL_STATE(4194)] = 124246,
  [SMALL_STATE(4195)] = 124253,
  [SMALL_STATE(4196)] = 124260,
  [SMALL_STATE(4197)] = 124267,
  [SMALL_STATE(4198)] = 124274,
  [SMALL_STATE(4199)] = 124281,
  [SMALL_STATE(4200)] = 124288,
  [SMALL_STATE(4201)] = 124295,
  [SMALL_STATE(4202)] = 124302,
  [SMALL_STATE(4203)] = 124309,
  [SMALL_STATE(4204)] = 124316,
  [SMALL_STATE(4205)] = 124323,
  [SMALL_STATE(4206)] = 124330,
  [SMALL_STATE(4207)] = 124337,
  [SMALL_STATE(4208)] = 124344,
  [SMALL_STATE(4209)] = 124351,
  [SMALL_STATE(4210)] = 124358,
  [SMALL_STATE(4211)] = 124365,
  [SMALL_STATE(4212)] = 124372,
  [SMALL_STATE(4213)] = 124379,
  [SMALL_STATE(4214)] = 124386,
  [SMALL_STATE(4215)] = 124393,
  [SMALL_STATE(4216)] = 124400,
  [SMALL_STATE(4217)] = 124407,
  [SMALL_STATE(4218)] = 124414,
  [SMALL_STATE(4219)] = 124421,
  [SMALL_STATE(4220)] = 124428,
  [SMALL_STATE(4221)] = 124435,
  [SMALL_STATE(4222)] = 124442,
  [SMALL_STATE(4223)] = 124449,
  [SMALL_STATE(4224)] = 124456,
  [SMALL_STATE(4225)] = 124463,
  [SMALL_STATE(4226)] = 124470,
  [SMALL_STATE(4227)] = 124477,
  [SMALL_STATE(4228)] = 124484,
  [SMALL_STATE(4229)] = 124491,
  [SMALL_STATE(4230)] = 124498,
  [SMALL_STATE(4231)] = 124505,
  [SMALL_STATE(4232)] = 124512,
  [SMALL_STATE(4233)] = 124519,
  [SMALL_STATE(4234)] = 124526,
  [SMALL_STATE(4235)] = 124533,
  [SMALL_STATE(4236)] = 124540,
  [SMALL_STATE(4237)] = 124547,
  [SMALL_STATE(4238)] = 124554,
  [SMALL_STATE(4239)] = 124561,
  [SMALL_STATE(4240)] = 124568,
  [SMALL_STATE(4241)] = 124575,
  [SMALL_STATE(4242)] = 124582,
  [SMALL_STATE(4243)] = 124589,
  [SMALL_STATE(4244)] = 124596,
  [SMALL_STATE(4245)] = 124603,
  [SMALL_STATE(4246)] = 124610,
  [SMALL_STATE(4247)] = 124617,
  [SMALL_STATE(4248)] = 124624,
  [SMALL_STATE(4249)] = 124631,
  [SMALL_STATE(4250)] = 124638,
  [SMALL_STATE(4251)] = 124645,
  [SMALL_STATE(4252)] = 124652,
  [SMALL_STATE(4253)] = 124659,
  [SMALL_STATE(4254)] = 124666,
  [SMALL_STATE(4255)] = 124673,
  [SMALL_STATE(4256)] = 124680,
  [SMALL_STATE(4257)] = 124687,
  [SMALL_STATE(4258)] = 124694,
  [SMALL_STATE(4259)] = 124701,
  [SMALL_STATE(4260)] = 124708,
  [SMALL_STATE(4261)] = 124715,
  [SMALL_STATE(4262)] = 124722,
  [SMALL_STATE(4263)] = 124729,
  [SMALL_STATE(4264)] = 124736,
  [SMALL_STATE(4265)] = 124743,
  [SMALL_STATE(4266)] = 124750,
  [SMALL_STATE(4267)] = 124757,
  [SMALL_STATE(4268)] = 124764,
  [SMALL_STATE(4269)] = 124771,
  [SMALL_STATE(4270)] = 124778,
  [SMALL_STATE(4271)] = 124785,
  [SMALL_STATE(4272)] = 124792,
  [SMALL_STATE(4273)] = 124799,
  [SMALL_STATE(4274)] = 124806,
  [SMALL_STATE(4275)] = 124813,
  [SMALL_STATE(4276)] = 124820,
  [SMALL_STATE(4277)] = 124827,
  [SMALL_STATE(4278)] = 124834,
  [SMALL_STATE(4279)] = 124841,
  [SMALL_STATE(4280)] = 124848,
  [SMALL_STATE(4281)] = 124855,
  [SMALL_STATE(4282)] = 124862,
  [SMALL_STATE(4283)] = 124869,
  [SMALL_STATE(4284)] = 124876,
  [SMALL_STATE(4285)] = 124883,
  [SMALL_STATE(4286)] = 124890,
  [SMALL_STATE(4287)] = 124897,
  [SMALL_STATE(4288)] = 124904,
  [SMALL_STATE(4289)] = 124911,
  [SMALL_STATE(4290)] = 124918,
  [SMALL_STATE(4291)] = 124925,
  [SMALL_STATE(4292)] = 124932,
  [SMALL_STATE(4293)] = 124939,
  [SMALL_STATE(4294)] = 124946,
  [SMALL_STATE(4295)] = 124953,
  [SMALL_STATE(4296)] = 124960,
  [SMALL_STATE(4297)] = 124967,
  [SMALL_STATE(4298)] = 124974,
  [SMALL_STATE(4299)] = 124981,
  [SMALL_STATE(4300)] = 124988,
  [SMALL_STATE(4301)] = 124995,
  [SMALL_STATE(4302)] = 125002,
  [SMALL_STATE(4303)] = 125009,
  [SMALL_STATE(4304)] = 125016,
  [SMALL_STATE(4305)] = 125023,
  [SMALL_STATE(4306)] = 125030,
  [SMALL_STATE(4307)] = 125037,
  [SMALL_STATE(4308)] = 125044,
  [SMALL_STATE(4309)] = 125051,
  [SMALL_STATE(4310)] = 125058,
  [SMALL_STATE(4311)] = 125065,
  [SMALL_STATE(4312)] = 125072,
  [SMALL_STATE(4313)] = 125079,
  [SMALL_STATE(4314)] = 125086,
  [SMALL_STATE(4315)] = 125093,
  [SMALL_STATE(4316)] = 125100,
  [SMALL_STATE(4317)] = 125107,
  [SMALL_STATE(4318)] = 125114,
  [SMALL_STATE(4319)] = 125121,
  [SMALL_STATE(4320)] = 125128,
  [SMALL_STATE(4321)] = 125135,
  [SMALL_STATE(4322)] = 125142,
  [SMALL_STATE(4323)] = 125149,
  [SMALL_STATE(4324)] = 125156,
  [SMALL_STATE(4325)] = 125163,
  [SMALL_STATE(4326)] = 125170,
  [SMALL_STATE(4327)] = 125177,
  [SMALL_STATE(4328)] = 125184,
  [SMALL_STATE(4329)] = 125191,
  [SMALL_STATE(4330)] = 125198,
  [SMALL_STATE(4331)] = 125205,
  [SMALL_STATE(4332)] = 125212,
  [SMALL_STATE(4333)] = 125219,
  [SMALL_STATE(4334)] = 125226,
  [SMALL_STATE(4335)] = 125233,
  [SMALL_STATE(4336)] = 125240,
  [SMALL_STATE(4337)] = 125247,
  [SMALL_STATE(4338)] = 125254,
  [SMALL_STATE(4339)] = 125261,
  [SMALL_STATE(4340)] = 125268,
  [SMALL_STATE(4341)] = 125275,
  [SMALL_STATE(4342)] = 125282,
  [SMALL_STATE(4343)] = 125289,
  [SMALL_STATE(4344)] = 125296,
  [SMALL_STATE(4345)] = 125303,
  [SMALL_STATE(4346)] = 125310,
  [SMALL_STATE(4347)] = 125317,
  [SMALL_STATE(4348)] = 125324,
  [SMALL_STATE(4349)] = 125331,
  [SMALL_STATE(4350)] = 125338,
  [SMALL_STATE(4351)] = 125345,
  [SMALL_STATE(4352)] = 125352,
  [SMALL_STATE(4353)] = 125359,
  [SMALL_STATE(4354)] = 125366,
  [SMALL_STATE(4355)] = 125373,
  [SMALL_STATE(4356)] = 125380,
  [SMALL_STATE(4357)] = 125387,
  [SMALL_STATE(4358)] = 125394,
  [SMALL_STATE(4359)] = 125401,
  [SMALL_STATE(4360)] = 125408,
  [SMALL_STATE(4361)] = 125415,
  [SMALL_STATE(4362)] = 125422,
  [SMALL_STATE(4363)] = 125429,
  [SMALL_STATE(4364)] = 125436,
  [SMALL_STATE(4365)] = 125443,
  [SMALL_STATE(4366)] = 125450,
  [SMALL_STATE(4367)] = 125457,
  [SMALL_STATE(4368)] = 125464,
  [SMALL_STATE(4369)] = 125471,
  [SMALL_STATE(4370)] = 125478,
  [SMALL_STATE(4371)] = 125485,
  [SMALL_STATE(4372)] = 125492,
  [SMALL_STATE(4373)] = 125499,
  [SMALL_STATE(4374)] = 125506,
  [SMALL_STATE(4375)] = 125513,
  [SMALL_STATE(4376)] = 125520,
  [SMALL_STATE(4377)] = 125527,
  [SMALL_STATE(4378)] = 125534,
  [SMALL_STATE(4379)] = 125541,
  [SMALL_STATE(4380)] = 125548,
  [SMALL_STATE(4381)] = 125555,
  [SMALL_STATE(4382)] = 125562,
  [SMALL_STATE(4383)] = 125569,
  [SMALL_STATE(4384)] = 125576,
  [SMALL_STATE(4385)] = 125583,
  [SMALL_STATE(4386)] = 125590,
  [SMALL_STATE(4387)] = 125597,
  [SMALL_STATE(4388)] = 125604,
  [SMALL_STATE(4389)] = 125611,
  [SMALL_STATE(4390)] = 125618,
  [SMALL_STATE(4391)] = 125625,
  [SMALL_STATE(4392)] = 125632,
  [SMALL_STATE(4393)] = 125639,
  [SMALL_STATE(4394)] = 125646,
  [SMALL_STATE(4395)] = 125653,
  [SMALL_STATE(4396)] = 125660,
  [SMALL_STATE(4397)] = 125667,
  [SMALL_STATE(4398)] = 125674,
  [SMALL_STATE(4399)] = 125681,
  [SMALL_STATE(4400)] = 125688,
  [SMALL_STATE(4401)] = 125695,
  [SMALL_STATE(4402)] = 125702,
  [SMALL_STATE(4403)] = 125709,
  [SMALL_STATE(4404)] = 125716,
  [SMALL_STATE(4405)] = 125723,
  [SMALL_STATE(4406)] = 125730,
  [SMALL_STATE(4407)] = 125737,
  [SMALL_STATE(4408)] = 125744,
  [SMALL_STATE(4409)] = 125751,
  [SMALL_STATE(4410)] = 125758,
  [SMALL_STATE(4411)] = 125765,
  [SMALL_STATE(4412)] = 125772,
  [SMALL_STATE(4413)] = 125779,
  [SMALL_STATE(4414)] = 125786,
  [SMALL_STATE(4415)] = 125793,
  [SMALL_STATE(4416)] = 125800,
  [SMALL_STATE(4417)] = 125807,
  [SMALL_STATE(4418)] = 125814,
  [SMALL_STATE(4419)] = 125821,
  [SMALL_STATE(4420)] = 125828,
  [SMALL_STATE(4421)] = 125835,
  [SMALL_STATE(4422)] = 125842,
  [SMALL_STATE(4423)] = 125849,
  [SMALL_STATE(4424)] = 125856,
  [SMALL_STATE(4425)] = 125863,
  [SMALL_STATE(4426)] = 125870,
  [SMALL_STATE(4427)] = 125877,
  [SMALL_STATE(4428)] = 125884,
  [SMALL_STATE(4429)] = 125891,
  [SMALL_STATE(4430)] = 125898,
  [SMALL_STATE(4431)] = 125905,
  [SMALL_STATE(4432)] = 125912,
  [SMALL_STATE(4433)] = 125919,
  [SMALL_STATE(4434)] = 125926,
  [SMALL_STATE(4435)] = 125933,
  [SMALL_STATE(4436)] = 125940,
  [SMALL_STATE(4437)] = 125947,
  [SMALL_STATE(4438)] = 125954,
  [SMALL_STATE(4439)] = 125961,
  [SMALL_STATE(4440)] = 125968,
  [SMALL_STATE(4441)] = 125975,
  [SMALL_STATE(4442)] = 125982,
  [SMALL_STATE(4443)] = 125989,
  [SMALL_STATE(4444)] = 125996,
  [SMALL_STATE(4445)] = 126003,
  [SMALL_STATE(4446)] = 126010,
  [SMALL_STATE(4447)] = 126017,
  [SMALL_STATE(4448)] = 126024,
  [SMALL_STATE(4449)] = 126031,
  [SMALL_STATE(4450)] = 126038,
  [SMALL_STATE(4451)] = 126045,
  [SMALL_STATE(4452)] = 126052,
  [SMALL_STATE(4453)] = 126059,
  [SMALL_STATE(4454)] = 126066,
  [SMALL_STATE(4455)] = 126073,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(349),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(516),
  [134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4423),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(477),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(477),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(479),
  [216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1074),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(521),
  [326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1068),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(986),
  [334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(474),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1170),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2891),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2837),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2832),
  [352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(474),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3812),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3813),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3765),
  [364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(116),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(385),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3817),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(40),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3819),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3820),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3762),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3757),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3823),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(217),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(247),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(598),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(90),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(137),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3831),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3092),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4435),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2644),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(558),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2871),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(238),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(377),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(377),
  [433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3464),
  [436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3465),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3067),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1810),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1810),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1812),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3645),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1081),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(526),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(990),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4414),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4413),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4412),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 204),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 204),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 53),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, .production_id = 53),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 49),
  [486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 49),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(117),
  [557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(130),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3065),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(2980),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 27),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 27),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 115),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 115),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 115),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 115),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 99),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 99),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 99),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 99),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 123),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 123),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 123),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 123),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 160),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 160),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 160),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 160),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 161),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 161),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 161),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 161),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 199),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 199),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 199),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 199),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 151),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 151),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 151),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 151),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 24),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 24),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 141),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 141),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 141),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 141),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 98),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 98),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 98),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 98),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 151),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 151),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 151),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 151),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1552] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2589),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1568] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2417),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 48),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 48),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 48),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 48),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 193),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 193),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 193),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 193),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [1835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(45),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [1907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(2293),
  [1910] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(122),
  [1914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(338),
  [1917] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3968),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(122),
  [1998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3968),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 27),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [2019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(241),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(392),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 40),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 40),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 207),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 207),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 231),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 231),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 32),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 32),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 163),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 163),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 75),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 75),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 34),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 34),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 48),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 48),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 60),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 60),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 126),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 126),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 150),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 150),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 141),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 141),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 134),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 134),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 122),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 122),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 194),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 194),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 99),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 99),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 98),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 98),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 117),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 117),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 114),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 114),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 98),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 98),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 44),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 44),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 99),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 99),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 196),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 196),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 151),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 151),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 43),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 43),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 193),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 193),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 198),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 198),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 196),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 196),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 33),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 33),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 115),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 115),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 31),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 31),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 198),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 198),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 43),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 43),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 152),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 152),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 28),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 28),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 42),
  [2277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 42),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 41),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 41),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 170),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 170),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 84),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 84),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 48),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 48),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 72),
  [2297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 72),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 20),
  [2301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 20),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 226),
  [2305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 226),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 160),
  [2309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 160),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 151),
  [2313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 151),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 74),
  [2317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 74),
  [2319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [2321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 39),
  [2325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 39),
  [2327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [2329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [2331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 161),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 161),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 200),
  [2337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 200),
  [2339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 201),
  [2341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 201),
  [2343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [2345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 91),
  [2349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 91),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [2353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [2355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [2357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [2359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [2361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 128),
  [2365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 128),
  [2367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 126),
  [2369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 126),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [2377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 165),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 165),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 22),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 22),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 123),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 123),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 79),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 79),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [2397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [2399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 159),
  [2401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 159),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 206),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 206),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 153),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 153),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 74),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 74),
  [2415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [2417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [2419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 141),
  [2421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 141),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 31),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 31),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 82),
  [2429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 82),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 83),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 83),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 227),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 227),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 199),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 199),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 44),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 44),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 230),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, .production_id = 230),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 169),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 169),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 205),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 205),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 168),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 168),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 85),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 85),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4427),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4323),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4316),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 62),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 62),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [2942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 157),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 157),
  [2956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 120),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 120),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 63),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 63),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 65),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 65),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 64),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 64),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [2979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(964),
  [2982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4368),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [3002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(500),
  [3005] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 50), SHIFT(3957),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(862),
  [3017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4099),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [3034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(486),
  [3037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [3042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [3047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [3050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3063] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50), REDUCE(sym_rest_pattern, 2),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(224),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3086] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 27),
  [3090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [3093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 19),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 19),
  [3097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 19), SHIFT_REPEAT(3645),
  [3100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(383),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [3109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [3115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 19), SHIFT(2677),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 62),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 62),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 15),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 15),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [3200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1483),
  [3203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1776),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [3218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1610),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1507),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1379),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [3241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1987),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [3252] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 25), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 26),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 13),
  [3260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 13),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 50),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 103),
  [3284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 103),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [3390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 104),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 104),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [3396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 51),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 51),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [3422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 223),
  [3424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 223),
  [3426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [3428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [3434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [3438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 80),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 80),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 158),
  [3450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 158),
  [3452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [3456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 221),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 221),
  [3460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 52),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 52),
  [3464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 248),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 248),
  [3468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [3472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(79),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 105),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 105),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 247),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 247),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [3507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(79),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [3562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [3566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 106),
  [3568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 106),
  [3570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [3574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [3588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(79),
  [3591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 107),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 107),
  [3595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [3599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 108),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 108),
  [3603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 246),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 246),
  [3607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 225),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 225),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 23),
  [3615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 15),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 15),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 224),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 224),
  [3623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 145),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 145),
  [3627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 146),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 146),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 21),
  [3633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [3637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [3645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [3649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 147),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 147),
  [3653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3), REDUCE(sym_nested_type_identifier, 3, .production_id = 147),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 148),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 148),
  [3660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [3662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 57),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 57),
  [3666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 58),
  [3668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [3672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 222),
  [3674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 222),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 59),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 61),
  [3682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61), SHIFT(79),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 58),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [3697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [3701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [3705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 62),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 62),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 263),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 263),
  [3713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 63),
  [3715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 63),
  [3717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3),
  [3719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 70),
  [3723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 61),
  [3725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 250),
  [3727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 250),
  [3729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 185),
  [3731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 185),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 156),
  [3735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 186),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 186),
  [3739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 249),
  [3741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 249),
  [3743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 187),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 187),
  [3747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 188),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 188),
  [3751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 112),
  [3753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 189),
  [3755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 189),
  [3757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [3760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [3763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 190),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 190),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 113),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [3773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 191),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 191),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [3781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 192),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 192),
  [3785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [3787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [3797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 120),
  [3799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 120),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 110),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [3859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 92),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 92),
  [3863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 94),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 94),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 5),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 5),
  [3871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(82),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [3878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 125),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 125),
  [3882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 124),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 124),
  [3886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(82),
  [3889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 121),
  [3891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 121),
  [3893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [3903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 76), REDUCE(sym_assignment_expression, 3, .production_id = 58),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 76),
  [3908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 25),
  [3910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 26),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 25),
  [3914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 116),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 116),
  [3918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 111),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 111),
  [3922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 113),
  [3924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 112),
  [3926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 111),
  [3928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 111),
  [3930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 110),
  [3932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 109),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 109),
  [3936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 58), REDUCE(sym_assignment_expression, 3, .production_id = 58),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 58),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 76), REDUCE(sym_assignment_expression, 3, .production_id = 21),
  [3982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(78),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 149),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 149),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(78),
  [3996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 96),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 96),
  [4000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 44),
  [4002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 44),
  [4004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [4010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [4014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 25),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 25),
  [4018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 73),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 73),
  [4022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 136),
  [4024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 136),
  [4026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 70),
  [4028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 69),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 69),
  [4032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 68),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 68),
  [4036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 67),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 67),
  [4040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 66),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 66),
  [4044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61), SHIFT(82),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [4049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 162),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 162),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 49),
  [4055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 49), SHIFT(427),
  [4058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(82),
  [4061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [4072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 51),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 51),
  [4078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 6),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 6),
  [4090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 6, .dynamic_precedence = -1, .production_id = 135),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 6, .dynamic_precedence = -1, .production_id = 135),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [4096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(78),
  [4099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 59),
  [4101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 49),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [4151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [4155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 55),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 55),
  [4159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 54),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 54),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [4181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61), SHIFT(78),
  [4184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [4188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 15),
  [4190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 15),
  [4192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [4196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 16),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 16),
  [4200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [4209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 16),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 16),
  [4213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 25), REDUCE(sym_object_pattern, 3, .production_id = 26),
  [4216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 23),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [4226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61), SHIFT(85),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [4293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 58),
  [4295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(84),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [4306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(84),
  [4309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(84),
  [4312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2592),
  [4315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2316),
  [4318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [4320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(280),
  [4323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2116),
  [4326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(4287),
  [4329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3525),
  [4332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3524),
  [4335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2433),
  [4338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3589),
  [4341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1894),
  [4344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2051),
  [4347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2129),
  [4350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2011),
  [4353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2110),
  [4356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2147),
  [4359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2289),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61), SHIFT(84),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [4373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(85),
  [4376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(85),
  [4379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(85),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 49),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4402] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [4406] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 26),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 77),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4457] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 51),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [4463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(87),
  [4466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(87),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(87),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 35),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 35),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 35),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 35),
  [4544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 51), REDUCE(sym__parameter_name, 2, .production_id = 35),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [4549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61), SHIFT(87),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [4557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 51),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61), SHIFT(88),
  [4614] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [4628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 90),
  [4630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 90),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 86),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 86),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [4648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 49), SHIFT(323),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 133),
  [4655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 133),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [4659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 38),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 38),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [4681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 131),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 131),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [4689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [4694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [4697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [4701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [4704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(88),
  [4707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(88),
  [4710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(88),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 171),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 171),
  [4719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [4722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 25), REDUCE(sym_object_pattern, 3, .production_id = 26),
  [4725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [4733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(83),
  [4774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 61), SHIFT(83),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [4785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(83),
  [4788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(83),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [4797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 73),
  [4800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 73),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [4831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 141), REDUCE(sym_class, 6, .production_id = 199),
  [4834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 141), REDUCE(sym_class, 6, .production_id = 199),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [4841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 54), REDUCE(sym_class, 4, .production_id = 125),
  [4844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 54), REDUCE(sym_class, 4, .production_id = 125),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [4851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 124),
  [4854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 124),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [4867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 48), REDUCE(sym_class, 4, .production_id = 123),
  [4870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 48), REDUCE(sym_class, 4, .production_id = 123),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [4889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 109), REDUCE(sym_class, 5, .production_id = 162),
  [4892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 109), REDUCE(sym_class, 5, .production_id = 162),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 99), REDUCE(sym_class, 5, .production_id = 161),
  [4900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 99), REDUCE(sym_class, 5, .production_id = 161),
  [4903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 98), REDUCE(sym_class, 5, .production_id = 160),
  [4906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 98), REDUCE(sym_class, 5, .production_id = 160),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [4949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [5031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [5047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 25), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 26),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [5058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 25),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 251),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 251),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [5090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 229),
  [5092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 229),
  [5094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 228),
  [5096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 228),
  [5098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 151),
  [5100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 151),
  [5102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 115),
  [5104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 115),
  [5106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 129),
  [5108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 129),
  [5110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 202),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 202),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [5126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [5130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 166),
  [5132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 166),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [5142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 252),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 252),
  [5146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 264),
  [5148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 264),
  [5150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 193),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 193),
  [5154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 265),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 265),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [5164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 78),
  [5166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 78),
  [5168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 274),
  [5170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 274),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [5214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 11),
  [5216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, .production_id = 11),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 12),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [5288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 12), SHIFT(3561),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [5369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 44),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [5377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 180),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [5387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 136),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [5399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [5401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [5407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [5409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [5411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50), REDUCE(sym_jsx_namespace_name, 3),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 217),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 180),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 44),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 136),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [5504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 217),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 136),
  [5518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 180),
  [5520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 136),
  [5524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 44),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 217),
  [5528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 180),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 44),
  [5534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50), SHIFT(3957),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 217),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [5547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [5563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [5577] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [5599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [5615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [5625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [5641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [5643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [5653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [5655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [5671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 26),
  [5673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [5679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [5683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 93), SHIFT_REPEAT(2924),
  [5686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 93), SHIFT_REPEAT(196),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 93),
  [5691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 93),
  [5693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 93), SHIFT_REPEAT(2924),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [5702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(193),
  [5705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(3167),
  [5708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(2705),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [5713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [5717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [5723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [5727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 244),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [5735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [5737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [5739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [5765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [5769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [5781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [5783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [5785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [5805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 100),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [5821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [5839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [5841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [5851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(500),
  [5854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [5862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 97),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [5866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [5870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [5872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 144),
  [5874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 208),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [5878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 3),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [5902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(486),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [5923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 276),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1),
  [5927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 273),
  [5929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 3, .production_id = 100),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 268),
  [5933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 253),
  [5935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 254),
  [5937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 183),
  [5939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 244),
  [5941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 184),
  [5943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 237),
  [5945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 236),
  [5947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 209),
  [5949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 140),
  [5951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 172),
  [5953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 150),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [5961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 7),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [5965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, .production_id = 7),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [5975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 118),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 118),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [5987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 114),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [5995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 220),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [6027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [6031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [6089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 119),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 119),
  [6103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [6109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [6123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [6127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1),
  [6129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 118),
  [6131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 118),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [6135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [6139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [6143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(4190),
  [6146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [6148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(242),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [6161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 17),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [6175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(1195),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [6192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [6214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [6284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 71),
  [6286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(3106),
  [6289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [6291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(237),
  [6294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [6316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [6318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 30),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [6326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 243),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [6336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(880),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [6341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 173),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [6351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18), SHIFT(845),
  [6354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [6356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [6364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(802),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [6371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(952),
  [6374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18), SHIFT(813),
  [6377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 176),
  [6379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 178),
  [6381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 216),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [6393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 211),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 30),
  [6409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 215),
  [6411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 240),
  [6413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(816),
  [6416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [6418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(975),
  [6421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(3211),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [6428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 245),
  [6430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 102),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [6438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18), SHIFT(943),
  [6441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3),
  [6445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 218),
  [6447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [6453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 211),
  [6455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 182),
  [6457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 138),
  [6459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 80),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 176),
  [6463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 80),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [6473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 256),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 257),
  [6479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 259),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [6483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 178),
  [6485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 29),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [6503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 174),
  [6505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 138),
  [6507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 262),
  [6511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, .production_id = 45),
  [6513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, .production_id = 45),
  [6515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 235),
  [6517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 119),
  [6519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 119),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [6523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 234),
  [6525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [6527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 30),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [6535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [6539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 7),
  [6541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, .production_id = 7),
  [6543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 232),
  [6545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18), SHIFT(940),
  [6548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 240),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [6554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 243),
  [6556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 219),
  [6558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 266),
  [6560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 267),
  [6562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 271),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [6570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [6572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 215),
  [6574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 259),
  [6576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 195),
  [6578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 195), SHIFT_REPEAT(3537),
  [6581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 195),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [6607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [6609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [6612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 101),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [6624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [6626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(3439),
  [6629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [6631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3440),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [6650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 143),
  [6652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 143), SHIFT_REPEAT(354),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [6661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [6669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 4, .production_id = 142),
  [6671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [6683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [6695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 26),
  [6697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 88),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [6721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 233),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [6737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [6747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(2945),
  [6750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [6776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [6796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(978),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [6805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 47),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [6817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 37),
  [6819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 44),
  [6821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 155),
  [6823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 155),
  [6825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 154),
  [6827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 154),
  [6829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(185),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [6850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(175),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [6859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 44),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [6873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 261),
  [6875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 197), SHIFT_REPEAT(2287),
  [6878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 197),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [6882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [6884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(776),
  [6887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [6893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 137),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [6907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [6915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 80),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [6933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [6935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(3889),
  [6938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [6940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(383),
  [6943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 139),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [6955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 260),
  [6957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 258),
  [6959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(2727),
  [6962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [6964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 81),
  [6966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 214),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [6972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 114),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [6976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 255),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [6980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 92),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [6994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 77),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [7024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 94),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [7052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 81),
  [7054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 175),
  [7056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 150),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [7064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [7068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(135),
  [7071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [7073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 181),
  [7075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 177),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [7089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [7095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 275),
  [7097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 238),
  [7099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 210),
  [7101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [7103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1),
  [7105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [7109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 239),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [7117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 212),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 29),
  [7121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 172),
  [7123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 213),
  [7125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, .dynamic_precedence = -1, .production_id = 135),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [7131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [7133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(2831),
  [7136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [7144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [7148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 208),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [7154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [7158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, .production_id = 44),
  [7160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 209),
  [7162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 241),
  [7164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 269),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [7176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 179),
  [7178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 270),
  [7180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 272),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [7186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(2094),
  [7189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [7191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(2144),
  [7194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [7212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [7248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 236),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [7270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(3784),
  [7273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [7279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 242),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [7325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 164),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [7335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [7337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 127),
  [7339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 28),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [7347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 167),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [7353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 130),
  [7355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 127),
  [7357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 132),
  [7359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, .production_id = 164),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [7403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [7429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, .production_id = 44),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [7433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 80),
  [7435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 30),
  [7437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 46),
  [7439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [7477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [7483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 36),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [7499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [7505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 203),
  [7507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 87),
  [7509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 89),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 95),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [7529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 29),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [7677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [7791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [7897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [7923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [8039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [8113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [8115] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [8135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [8139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [8141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [8143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [8159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4269),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_tsx_external_scanner_create(void);
void tree_sitter_tsx_external_scanner_destroy(void *);
bool tree_sitter_tsx_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_tsx_external_scanner_serialize(void *, char *);
void tree_sitter_tsx_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_tsx(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_tsx_external_scanner_create,
      tree_sitter_tsx_external_scanner_destroy,
      tree_sitter_tsx_external_scanner_scan,
      tree_sitter_tsx_external_scanner_serialize,
      tree_sitter_tsx_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
